var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-01F4E635-93BD-44C9-8773-72FD413B54F0\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Bone naming conventions</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-01F4E635-93BD-44C9-8773-72FD413B54F0\"></a><div class=\"head\">\n            <h1>Bone naming conventions</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-304\"></a> To better integrate your models with <span class=\"charspan-msgph\">MotionBuilder</span>, create skeletons with bones that follow the recognized naming conventions. These bone naming conventions can be found in\n            the Mapping List. See <span class=\"char_link\"><a href=\"GUID-A900A0BA-A1A6-4707-A6AE-26FE8F49BEC6.htm\">HIK character structure</a></span> for HIK character bone naming conventions. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-302\"></a>If you follow the <span class=\"charspan-msgph\">MotionBuilder</span> naming conventions when you create a skeleton, even if you create the model using different software, you can automatically\n            map out and characterize your character models. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-301\"></a>If you use other bone naming conventions, <span class=\"charspan-msgph\">MotionBuilder</span> cannot automatically recognize the structure of your model, and you must manually map out and characterize your character\n            models. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-300\"></a>For example, if you have a model with an upper left leg bone named LeftUpLeg, that bone can be automatically mapped in the\n            Mapping List, because <span class=\"charspan-msgph\">MotionBuilder</span> recognizes the name. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2FF\"></a>On the other hand, if you have a model with the upper left leg bone named LeftThigh, you need to manually map the LeftThigh\n            bone to the LeftUpLeg slot in the Mapping List. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2FE\"></a>The Mapping List requires that you indicate a minimum of fifteen required bones, as illustrated in the following diagram.\n            <a name=\"WS73099CC142F4875535A241551166AC8792F-2FD\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-37A76398-76EB-4F2A-858A-B051BF7E63FC-low.png\"><p class=\"figure-title\">Basic skeleton with Base bones labelled</p>\n            </div> \n         </p>\n         <div><a name=\"WS73099CC142F4875535A241551166AC8792F-2FB\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You need not rename the bone objects on your existing skeletons. Instead, you can create a template of your own naming conventions\n               to use for all of your characters. However, when creating new skeletons, you may find it is easier to follow <span class=\"charspan-msgph\">MotionBuilder</span> naming conventions so that the mapping process can be done automatically. \n            </div>\n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-A9E1388D-40B1-4D3D-B2BD-A4715C126814.htm\">Characterizing a character model </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-0AFB9286-450F-4C8D-A966-841B86BE0A43.htm\">Defining a spine </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-0008F9D7-A2A4-4A30-A149-BA6C03F9910A.htm\">Automatically mapping and characterizing a character </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";