var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-02996F75-D1C6-4743-80C4-6D689F1865BF\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Anti-aliasing settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-02996F75-D1C6-4743-80C4-6D689F1865BF\"></a><div class=\"head\">\n            <h1>Anti-aliasing settings</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FD6\"></a>Use the Anti-aliasing settings in the Render Options pane to use and configure anti-aliasing when rendering the camera image.\n            \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FD5\"></a>You should remove the grid from your current camera when using anti-aliasing because anti-aliasing is applied to the grid\n            as well as to models. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FD4\"></a>You should also hide objects such as Nulls, lights, cameras, and skeletons. These objects are also anti-aliased when anti-aliasing\n            is activated, and slow the frame rate and rendering time of your scene.\n            	 \n         </p>\n         <div class=\"section\"><a name=\"SECTION_9C3183C192F649F8B018DEED828B58B7\"></a> \n            <h2><a name=\"GUID-DD5418C8-9909-4DF4-A094-F2CD24455E54\"></a>Use Anti-aliasing option\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FD3\"></a>Activate Use Anti-aliasing to blur the hard edges of your models in the display so they do not appear pixelated. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FD2\"></a>When this setting is activated, there is a brief pause as the scene is re-rendered. When this setting is disabled, anti-aliasing\n               is not applied. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_8486384E561549FE8D3200052BB7206C\"></a> \n            <h2><a name=\"GUID-31DBAC33-F2CA-41F8-9460-1779BD249493\"></a>Intensity field\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FD0\"></a>Double-click in the Intensity field to enter an Anti-aliasing value to increase or decrease the intensity of the anti-alias\n               blur. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FCF\"></a>For best results, use a low intensity. The default setting is 0.78.\n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FCE\"></a>Because anti-aliasing blurs the entire image, a high intensity may blur important details.\n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_7168150B5AA1406F9E7513FA55FDFFD6\"></a> \n            <h2><a name=\"GUID-366B13CB-11EB-4EF8-81D4-8B6A0EDBE137\"></a>Sample Count\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FC7\"></a>This Anti-aliasing option concerns oversampling, which is a method used to determine the color of each pixel viewed by the\n               current camera.\n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FC6\"></a>The resolution of the scene is not dependent on the number of pixels or scan lines. The unit of measurement is much smaller\n               but must be adapted to pixels to be viewed by the current camera, and shown on the computer screen.\n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FC5\"></a>Use this field to enter the number of times each pixel is sampled to determine the pixel’s color. The higher the number of\n               samples the more accurate the pixel color, but the longer it takes to render.\n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_A80478F729254C8D9851CD8F56C21809\"></a> \n            <h2><a name=\"GUID-9386FD9A-A230-462B-86DE-5B8186E9C28D\"></a>Use Accumulation Buffer option\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FBD\"></a>Activate the Use Accumulation Buffer option if you are using a computer with a hardware accumulation buffer. If your computer\n               is not equipped with a hardware accumulation buffer, a software emulation of the buffer is activated. \n               		\n            </p> \n            <div><a name=\"WS73099CC142F4875535A241551166AC8792F-1FBC\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The software emulation of the accumulation buffer may decrease computer performance. \n                  		\n               </div>\n            </div> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FBA\"></a>For more information on buffer settings, see the OpenGL pane preference settings in the \n               		  <span class=\"char_link\"><a href=\"GUID-F5D16212-0F22-4976-9206-E73EB5DF5E83.htm\">OpenGL Viewer Info window</a></span>. \n               		\n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";