var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-03106479-6557-43CD-8C45-4B6B2130DD2C\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Keying Mode menu</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-03106479-6557-43CD-8C45-4B6B2130DD2C\"></a><div class=\"head\">\n            <h1>Keying Mode menu</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-15C2\"></a> The Keying Modes menu in the Key Controls window determines which properties of selected objects receive keyframes. \n         </p>\n         <p><a name=\"GUID-F22E33C1-BAD8-4E5B-95F4-CB812504DE59\"></a> <a name=\"FIG_025796323FAC42F2858FA1345ABEE671\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-D8B6E04A-611D-4C1B-844B-8AA17F9911CC-low.png\"><p class=\"figure-title\">Key Controls window displays default TR Keying mode</p>\n            </div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-15BE\"></a>For example, selecting the T option in the Keying Mode menu displays the visual keyframes only for a selected object’s translation\n            curves on the Action timeline. This lets you add, edit, or delete keyframes on the object’s translation curves. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-15BD\"></a>The items in the menu may change, depending on what you are doing in <span class=\"charspan-msgph\">MotionBuilder</span> (and depending on whether you have created custom keying groups which get added to the menu—see <span class=\"char_link\"><a href=\"GUID-D6EE4044-305C-4505-8FEE-4374484B532D.htm#WS1A9193826455F5FF-3859B43C1209703A8383020\">Creating a custom keying group</a></span>). For example, working with certain windows and settings can influence the keyframing options in the Key Controls (see <span class=\"char_link\"><a href=\"GUID-300E7959-86ED-4B47-B9C3-17310FC166D4.htm\">Context keying modes </a></span>). \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-15BC\"></a>The following table describes the default Keying modes: \n         </p><a name=\"WS73099CC142F48755-385A98B012180D20F19-1D14\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"26.465927099841522%\">\n                  <col width=\"73.53407290015849%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\">Keying Mode </th>\n                  <th class=\"table-heading\">Description </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">T </td>\n                  <td class=\"table-body\">Displays keyframes associated with the selected object’s translation (T) curve. Select T to add a keyframe to the translation\n                     at the current timecode. \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">R </td>\n                  <td class=\"table-body\">Displays keyframes associated with the selected object’s rotation curve. Select R to add a keyframe to the rotation properties\n                     at the current timecode. \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">S </td>\n                  <td class=\"table-body\">Displays keyframes associated with the selected object’s scaling (S) curve. Select S to add a keyframe to the scaling properties\n                     at the current timecode. \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">TR </td>\n                  <td class=\"table-body\">Displays keyframes associated with the selected object’s translation and rotation curves. Select TR to add a keyframe to the\n                     translation and rotation properties at the current timecode. Any change in scale is not keyframed. \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">TRS </td>\n                  <td class=\"table-body\">Displays keyframes associated with the selected object’s translation, rotation, and scaling curves. Select TRS to add a keyframe\n                     to the translation, rotation, and scaling properties at the current timecode. \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Current Camera </td>\n                  <td class=\"table-body\">Adds a keyframe to the current camera’s translation, rotation, field of view and roll properties. The camera does not need\n                     to be selected, as long as it is the current camera. Select this group when you want to create camera animation (such as a\n                     walk-through). Keys are set for Translation (T), Rotation (R), Field of View, and Roll. \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Selected Properties </td>\n                  <td class=\"table-body\">Adds a keyframe to the selected properties only. You can select properties in the Properties, FCurves, and Dopesheet windows,\n                     as well as in an object’s settings, such as Light settings. \n                  </td>\n               </tr>\n            </table>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-300E7959-86ED-4B47-B9C3-17310FC166D4.htm\">Context keying modes </a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";