var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-06785921-5C77-4203-B32C-AA6F2447D539\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Parent and child layers</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-06785921-5C77-4203-B32C-AA6F2447D539\"></a><div class=\"head\">\n            <h1>Parent and child layers</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-746E\"></a> Parenting is a way of linking layers in a hierarchy. Linking layers in this way is called parenting, because the source layer\n            is considered a “parent” and the target, or subordinate, layer is called a “child”. Manipulating a parent layer can affect\n            its child layers. \n         </p>\n         <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-746C\"></a>You can parent and unparent animation layers to organize and group your animation layers. See <span class=\"char_link\"><a href=\"GUID-DA3CD050-0F3F-4444-B915-2B2FA6BF5091.htm\">Parenting and unparenting animation layers</a></span>, <span class=\"char_link\"><a href=\"GUID-4E457C7F-C79B-4D47-AC5C-238D2466CE4E.htm\">Organizing animation layers</a></span>, and <span class=\"char_link\"><a href=\"GUID-040E0C8E-58A9-4CE2-B96A-62717D53DEE6.htm\">Comparing animation on different layers</a></span>. \n         </p>\n         <div><a name=\"WS73099CC142F48755527CC80126D167FFA2-746B\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The order of layers and their location in the hierarchy can affect the result animation. See <span class=\"char_link\"><a href=\"GUID-97CA53D7-044E-4CE2-8D87-27AF6A08E0A9.htm\">Result animation</a></span>. \n            </div>\n         </div><a name=\"WS73099CC142F48755527CC80126D167FFA2-746A\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-6FAD8EC9-4B47-4929-A553-E891F8A29EA0-low.png\"><p class=\"figure-title\">Animation Layer editor <em class=\"mild\">A.</em> Parent layer <em class=\"mild\">B.</em> Child of AnimLayer1\n            </p>\n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755527CC80126D167FFA2-7469\"></a> \n            <h2><a name=\"GUID-9CD3DD57-8B96-419B-B8EF-97EEF8785FAF\"></a>Layer hierarchy\n            </h2> \n         </div>\n         <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7468\"></a> When a layer is parented to another layer, the relationship is called a hierarchy. In a hierarchy, multiple layers can be\n            parented to a single layer, which in turn can also be parented. \n         </p>\n         <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7466\"></a>If you organize your layers into hierarchies, it is important to note that the state of the parent layer can affect the child\n            layer when you mute, weight, and select layers. \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F48755527CC80126D167FFA2-7465\"></a> \n            <h2><a name=\"GUID-2568D937-784C-4A03-8DB0-1EB0E8A9437B\"></a>Muting layers in a hierarchy\n            </h2> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7464\"></a>Muting a parent layer mutes its child layers. Child layers cannot be unmuted when their parent is muted, although they can\n               be muted independently of their parent. See <span class=\"char_link\"><a href=\"GUID-FDEF6006-A648-42CC-AE1C-59F4D87EC367.htm\">Muted layer</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755527CC80126D167FFA2-7463\"></a> \n            <h2><a name=\"GUID-ADA2218C-BF2B-4059-8847-667E7EDFBA06\"></a>Weighting layers in a hierarchy\n            </h2> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7462\"></a>A layer’s weight determines to what degree its animation plays in the result animation. See <span class=\"char_link\"><a href=\"GUID-A9EB4CC6-151E-4DE4-BF5F-C6EAFC65F07E.htm\">Animation layer weight</a></span>. \n            </p> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7461\"></a>The child layer’s weight is affected by its parent’s weight. The child’s weight in the result animation is calculated by multiplying\n               its own Weight value by its parent’s Weight value, then dividing by 100. \n            </p> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7460\"></a>For example, take a child layer’s Weight set to 90 and its parent layer’s Weight set to 50. Multiply 90 by 50, then divide\n               by 100. When you play the result animation, the weight of the child layer is 45. \n            </p> \n            <div><a name=\"WS73099CC142F48755527CC80126D167FFA2-745F\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>If you use parent layers only to organize groups of child layers, you can leave the parent layers empty and keep their Weight\n                  value set to 100. This avoids any issues with multiplying parent and child weights. See <span class=\"char_link\"><a href=\"GUID-040E0C8E-58A9-4CE2-B96A-62717D53DEE6.htm\">Comparing animation on different layers</a></span>. \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755527CC80126D167FFA2-745E\"></a> \n            <h2><a name=\"GUID-D13912D2-8DCA-4690-971B-5191287A02E6\"></a>Selecting layers in a hierarchy\n            </h2> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-745C\"></a>A child layer is deselected if its parent layer is collapsed and deselected. If a collapsed parent is selected, its child\n               layer is not necessarily selected. \n            </p> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-745B\"></a>As long as a child layer is the current layer, it can still receive keyframes even if its parent layer is collapsed and deselected.\n               \n            </p> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-745A\"></a>See <span class=\"char_link\"><a href=\"GUID-088D8E19-F3E8-4FC2-A19D-6DBCEAB2F017.htm\">Selecting layers</a></span>. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";