var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-07B6B2CF-9297-43C1-9BA3-8FEAB5B651A7\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Skeletons</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-07B6B2CF-9297-43C1-9BA3-8FEAB5B651A7\"></a><div class=\"head\">\n            <h1>Skeletons</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-373\"></a> All 3D character models have a rigid skeleton as their underlying structure in common: . The skeleton is covered by a skin\n            (or mesh) on which textures, colors, facial, and body features are applied to distinguish the appearance of a model. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-371\"></a>Although the characters in the following figure may look different, their underlying skeletons are similar. <a name=\"WS73099CC142F4875535A241551166AC8792F-370\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-F44222C7-A14A-45C9-8738-8EB9D10AF103-low.png\"><p class=\"figure-title\">Two models that look different can have very similar skeletons</p>\n            </div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-36E\"></a>Just like real skeletons, 3D skeletons contain a hierarchy of bones. In a real skeleton, these bones are connected by joints.\n            Skeletal hierarchies allow the figure to rotate around each individual joint. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-36D\"></a>A skeletal hierarchy chain starts with top-level joints, and finishes with end effectors. For example, the following figure\n            shows a common hierarchy for an arm. <a name=\"WS73099CC142F4875535A241551166AC8792F-36C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-9BCC10D0-70B8-4316-AD52-46AAA81C0DC0-low.png\"><p class=\"figure-title\">Arm hierarchy <em class=\"mild\">A.</em> Joint <em class=\"mild\">B.</em> Bone <em class=\"mild\">C. </em>End effector\n               </p>\n            </div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-36A\"></a>When you animate a character in 3D software you are always animating the skeleton, regardless of the outer appearance of the\n            character. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-369\"></a>Animation data for a character is always stored on the skeleton of a model. When you import an animated model into <span class=\"charspan-msgph\">MotionBuilder</span> and you want to edit the animation, you must first plot the animation to a Control rig. To export animation, you plot the\n            animation back to the skeleton. \n         </p>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-8E1B13DA-DB2F-48DF-B251-D9DA21E86C21.htm\">Plotting character animation </a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-6D6D919B-5BB4-4BE6-B485-E0A13DE263F1.htm\">Skeleton types</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-102E2D9C-098B-4D4C-86A8-4150FD9AEA54.htm\">Skeleton node and Skeleton root assets</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-15E4098C-1718-4136-BC3D-4C0D24CEEE0D.htm\">Creating a skeleton</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C2076A8F-3399-4DBC-B9AC-34E384FC55E3.htm\">Adding bones to a skeleton</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-413F4FD2-D5C4-46EC-B16B-41CA8C0F8874.htm\">Attaching more than one bone to the same joint on a skeleton</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C5A62147-7097-40D3-A113-B58DC0F89335.htm\">Inserting a limb between two joints</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-76A3C645-418C-408E-A3FC-57A75F36EC16.htm\">Changing the size of a skeleton</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-01F4E635-93BD-44C9-8773-72FD413B54F0.htm\">Bone naming conventions</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-FE9605FF-D294-4BBA-BC64-B22284310A05.htm\">Creating a bone-naming template</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-3B2207AA-282E-4544-92F0-ABDD98040879.htm\">Applying a bone naming template</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-9E7ADF4B-AACA-4478-9156-3184387D0F7E.htm\">Skeleton Node Settings</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";