var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-07CEC38B-1AE6-4DD9-AD73-DD62DD1A3264\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Aligning Control rigs</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-07CEC38B-1AE6-4DD9-AD73-DD62DD1A3264\"></a><div class=\"head\">\n            <h1>Aligning Control rigs</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F2EB\"></a>When you have a complex Control rig set up, it can be difficult to visualize how your manipulations create the final solving\n            on the skeleton of the character. Because the FK and IK systems are solved differently and can interpolate in different directions\n            between keyframes, the Control rig can appear disconnected even when there are no problems with the final animation on the\n            bones. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F2EC\"></a>It can also be difficult to keep track of prop objects parented to the FK or IK effectors (such as a weapon constrained to\n            the wrist), and where they are positioned in your final animation. Because they can follow either the IK or the FK system\n            depending on how you animate the Reach properties, prop objects can also appear disconnected from the character, even if they\n            will appear normally in the final solving. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F2ED\"></a>The Align Control rig option in the Properties window lets you visually merge the IK and FK systems together to show the final\n            solving on the bones of the character clearly. This gives you a preview of your final animation, and shows you the final solving\n            from which the position of child objects is calculated. <a name=\"WS73099CC142F4875535A241551166AC8792F2EE\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-BAE5FB6A-C34D-46ED-9B2E-22CA0E742C2E-low.png\"><p class=\"figure-title\">A character’s leg between keyframes <em class=\"mild\">A.</em> Align Control Rig is disabled. <em class=\"mild\">B.</em> Align Control rig is active. \n               </p>\n            </div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F2F0\"></a>Displaying the two systems forced together gives you a more intuitive way to manipulate the rig, as it replicates direct manipulation\n            of the bones of the character. The IK and FK elements can still be manipulated individually, are solved differently, and have\n            different function curves, but you can manipulate them and their children while previewing the final solving. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F2F1\"></a>By default, the Align Control rig option is activated when you create a Control rig. If you need to view the solving of the\n            IK and FK systems individually in order to fine-tune your animation, disable the Align Control rig option. \n         </p>\n         <div><a name=\"WS73099CC142F4875535A241551166AC8792F2F2\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The way the FK and IK systems are solved remains the same when the Align Control rig option is activated. The difference is\n               that the two systems are synchronized visually in the Viewer window and you can clearly see the final solving that affects\n               all child objects. \n            </div>\n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-2130D875-8134-46AF-9AD0-25F358835BD2.htm\">Control rig properties </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-752F245A-CA66-4E06-B295-3A64286115D7.htm\">Viewing final solving on a Control rig </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";