var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-07E2CBFB-52CC-4709-A28F-1E16FD9546D4\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Pinning</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-07E2CBFB-52CC-4709-A28F-1E16FD9546D4\"></a><div class=\"head\">\n            <h1>Pinning</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2A3E\"></a> When you are manipulating a character with a Control rig, you can pin down the effectors to restrict body movement and influence\n            how other joints behave relative to the pinned effector. This lets you selectively manipulate parts of your character without\n            affecting the entire hierarchy. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2A3C\"></a>For example, if you pin both wrists and ankles in translation and rotation, you can see that no matter how you move the character’s\n            body, the wrist remains in the same position . <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2A3B\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-8550583E-A12E-4414-8FC5-E6CEA067D82B-low.png\"><p class=\"figure-title\">Effector pinning <em class=\"mild\">A.</em> Character with wrists and ankles pinned in translation and rotation <em class=\"mild\">B.</em> The wrists and ankles remain in place even when the Hips are translated along the Z-axis.\n               </p>\n            </div> \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2A38\"></a>When you create a biped Control rig, IK effectors on the character’s feet are pinned in translation and rotation by default.\n            On a quadruped Control rig, the feet are pinned in both translation and rotation. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2A37\"></a>The Character Controls window toolbar contains options that let you pin and unpin effectors. \n         </p>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F959B2489511688C44611-7FFF\"></a> \n            <h2><a name=\"GUID-15C8D784-0E4F-46C0-8806-2AEA525D7EF8\"></a>Pinning Keyboard Shortcuts\n            </h2> \n            <p><a name=\"WSF00FE1F65A1E03F959B2489511688C44611-7FFE\"></a>The following table describes keyboard shortcuts for pinning and unpinning effectors: \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2A36\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"22.593764121102573%\">\n                     <col width=\"77.40623587889742%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Press </th>\n                     <th class=\"table-heading\">To </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\"> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2A35\"></a><p class=\"table-body\">W </p> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2A34\"></a><p class=\"table-body\">Toggle translation pinning on and off selected cells. </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\"> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2A33\"></a><p class=\"table-body\">E </p> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2A32\"></a><p class=\"table-body\">Toggle rotation pinning on and off selected cells. </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\"> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2A31\"></a><p class=\"table-body\">Q </p> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2A30\"></a><p class=\"table-body\">Temporarily unpin effectors. </p> \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-284FFC29-2A71-44B7-A7D7-619944E679C3.htm#SECTION_C34904EDD38643BC994A9342507392D1\">Pinning buttons </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-7DB59CCD-1CBE-41B5-9F30-5C21F65E3FEF.htm\">Pinning a Control rig effector </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-FA3A0EA0-1C16-4993-B27D-0DC1105F30E9.htm\">Unpinning a Control rig effector </a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-7DB59CCD-1CBE-41B5-9F30-5C21F65E3FEF.htm\">Pinning a Control rig effector</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-FA3A0EA0-1C16-4993-B27D-0DC1105F30E9.htm\">Unpinning a Control rig effector</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";