var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-096F19E9-E9FF-44DF-A8A5-8D5B7B1E3C06\">\n      <meta name=\"indexterm\" content=\"recording tracks: to disk\">\n      <meta name=\"indexterm\" content=\"Story track: recording to disk\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Recording Story tracks to disk</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-096F19E9-E9FF-44DF-A8A5-8D5B7B1E3C06\"></a><div class=\"head\">\n            <h1>Recording Story tracks to disk</h1>\n         </div>\n         <div class=\"section\"><a name=\"SECTION_CF9969C1E77048BD91E27A5E92AE5F37\"></a> \n            <h2><a name=\"GUID-D30F5D71-A218-4051-8207-94014AB80860\"></a>About Recording data to disk\n            </h2> \n            <p>Recording to disk enables you to (a) record many takes without stopping to free up memory, (b) record in real time sessions,\n               (c) efficiently aggregate animation via mocap sources, and (d) open the recorded scene and continue working on it as opposed\n               to rebuilding the scene from scratch. \n               		\n            </p> \n            <p><a name=\"GUID-8B5A3624-8199-405D-A318-2FBA9933BC54\"></a>The data you want to capture may be what you see when you look through a Director\'s camera (although sometimes, the Director\n               doesn\'t want to shoot cameras at the time the actors are recorded—he\'s just collecting animation assets for later use). \n               		\n            </p> \n            <p><a name=\"GUID-AFD20A04-5BBC-43B9-A3B9-47A54979D09B\"></a> For example, if you have a scene with motion capture data that shows a Character driven by motion capture markers and a skeleton\n               and marker data driving a constrained camera (as shown in the top Viewer pane in the following figure), you can record the\n               motion capture data, however, what you really want to record is the end result—the data recorded to the camera and the data\n               recorded to the retargeted character. In the following figure, the bottom Viewer pane displays what you see through a Director\'s\n               camera. \n               		\n            </p> \n            <p><a name=\"GUID-72CD23E0-1A34-450A-9284-10A6549C3869\"></a> <a name=\"FIG_35B44F8962D44BDAA05111209A5E7C76\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-01D7E21F-CDB0-4296-91C4-F4FC75498438-low.png\"></div> \n            </p> \n            <p><a name=\"GUID-E1EA594A-6EEB-446F-825D-6DA9727B6E70\"></a>When you record data to disk, you need to specify: \n               		<a name=\"UL_E75403EDD0744D2D8CA062D05E69029E\"></a><ul>\n                  <li>where you want the data to be recorded \n                     			 \n                     <div><a name=\"GUID-3B6ACCFA-BC9A-43FC-A4CE-C8BC6811EF9F\"></a><div class=\"note-bestpractice\"><span class=\"label label-target-language\">Best Practice</span>Define the same track recording path for all your tracks. \n                           			 \n                        </div>\n                     </div> \n                  </li>\n                  <li>the token naming convention (<span class=\"MenuCascade\" id=\"GUID-A47F9778-71DD-4ECD-A834-9CF1FB9B1EA1\">ClipNameConvention</span>) \n                     			 \n                     <p><a name=\"GUID-C1BC380A-E011-42DE-8384-8EDC14CCE3D7\"></a>The default naming convention is: \n                        				\n                        <div class=\"codeBlock\"><pre>&lt;Name&gt;_&lt;StartDate&gt;_&lt;StartTime&gt;</pre></div> \n                     </p> \n                  </li>\n               </ul> \n            </p> \n            <p><a name=\"GUID-06DC1B9D-2C27-4D6F-BD56-0DE81A9BD2AC\"></a>Each take requires a unique name. You can customize tokens. You can add the track name, the timecode, the start time, the\n               end time, the take name, and static text. The purpose of defining tokens for your recording tracks is to optimize recording\n               file management. \n               		\n            </p> \n            <p><a name=\"GUID-C8B8CF0B-ED37-4FFB-8EF7-7ADE155FB7BD\"></a>You can use the following keys to define the naming convention for your clips: \n               		<a name=\"UL_056DCF47A8214230AC571ED389A5D7A8\"></a><ul>\n                  <li>&lt;Name&gt; The current track Name property \n                     		  \n                  </li>\n                  <li>&lt;TakeName&gt; The system\'s current take name \n                     		  \n                  </li>\n                  <li>&lt;StartTCValue&gt; the TimeCode value using the timebase of the Transport Controls rate \n                     		  \n                  </li>\n                  <li>&lt;StartFrameValue&gt; the frame value according to the Transport Controls \n                     		  \n                  </li>\n                  <li>&lt;StartDate&gt; the current day, YYYY-MM-DD as per international ISO 8601 standards \n                     		  \n                  </li>\n                  <li>&lt;StartTime&gt; the current time, HHMMSS as per international ISO 8601 standards \n                     		  \n                  </li>\n               </ul> \n            </p> \n            <p><a name=\"GUID-F1FDDFDB-74DE-4B8D-8882-4039D296D5B6\"></a>You can also enter any alpha numeric string value (no special characters). If you do not enter an iteration value to keep\n               the clip name unique, new clips overwrite current clips. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_83C64950291D408EB194D8A88BEBA284\"></a> \n            <h2><a name=\"GUID-4D37603A-313C-40F7-9368-D3DFA003F423\"></a> Record a Story Track to disk\n            </h2> <a name=\"OL_36CE6042BC634DF3BAE1521510B2C642\"></a><p class=\"list-intro\"><a name=\"GUID-868BBC47-D240-4E10-83D7-6925F0E34C1E\"></a>To record a Story Track to disk:\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>In the Story Controls, click the Record to memory/disk option if the record option is set to memory (<img src=\"../images/GUID-4E96931F-CE99-4A3D-80FE-76CE9BADD8E8-low.png\">). If the Record to memory/disk option is set to Record to disk (<img src=\"../images/GUID-360D3D9C-D04C-4F3D-9A2C-7D6BD9AEE66E-low.png\">), proceed to the next step. \n                  			 \n                  <div><a name=\"GUID-104259BF-5D75-466F-A5BD-5E1529D90A8B\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The default Record to memory/disk option is set to memory (<img src=\"../images/GUID-4E96931F-CE99-4A3D-80FE-76CE9BADD8E8-low.png\">). \n                        			 \n                     </div>\n                  </div> \n               </li>\n               <li>In the Story Controls, select the Track you want to record. \n                  		  \n               </li>\n               <li>Set the path for the Track recording either via the Story window or the Property Resources window. \n                  			 \n                  <p><a name=\"GUID-85059CDE-F913-4675-9D59-D448BD4D1F4A\"></a>Refer to the procedure \n                     				<span class=\"char_link\"><a href=\"GUID-30C06A83-ADC3-43CC-A1B0-7A40635D0187.htm#GUID-FA1EC8BA-39E2-4050-990D-BE2B293E2438\">To set a recording path for a Story Track</a></span> and to the procedure \n                     				<span class=\"char_link\"><a href=\"GUID-30C06A83-ADC3-43CC-A1B0-7A40635D0187.htm#GUID-D426359C-C083-4CDA-A222-5B8533BAC710\">To set a recording path for a Story Folder</a></span>. \n                     			 \n                  </p> \n               </li>\n               <li>In the Story window, click the selected Track\'s \n                  			 <span class=\"MenuCascade\" id=\"GUID-1E9D4D1E-DA39-48F7-BBD4-A02F193E7341\">Recording options</span> button (<img src=\"../images/GUID-B2BE7119-21EA-446E-8CD4-8CBA80EB7165-low.png\">). \n                  			 \n                  <p><a name=\"GUID-A9CD32FD-F7A5-4FCA-80C1-F50A47626C6F\"></a>The contour of the selected Track\'s \n                     				<span class=\"MenuCascade\" id=\"GUID-13FEA2ED-4F3A-4DB3-AF8C-7CBB5357E565\">Recording options</span> button (<img src=\"../images/GUID-B2BE7119-21EA-446E-8CD4-8CBA80EB7165-low.png\">) changes from grey to green (<img src=\"../images/GUID-21A0F8C6-FFF9-47A2-843F-2A227D882968-low.png\">) once the recording path is set. \n                     			 \n                  </p> \n                  <p><a name=\"GUID-3C008F3E-EB81-44B4-850E-18FF368EEA81\"></a>The Track\'s Recording options dialog displays the recording path and any other changes you made to the track recording options.\n                     \n                     			 \n                  </p> \n               </li>\n               <li>In the Track Recording options dialog, click OK. \n                  		  \n               </li>\n               <li>(Optional) To verify the Track\'s recording path, in the Property Resources window, expand the Track and expand its Recording\n                  properties to view its contents. \n                  			 \n                  <p><a name=\"GUID-25B0BF67-C607-434A-8182-3F11367542E0\"></a> The \n                     				<span class=\"MenuCascade\" id=\"GUID-40E4C895-A72B-408F-AE31-D810C511EBEB\">RecordClipPath</span> field displays the Track\'s recording path. \n                     				<a name=\"FIG_B297B0CAE2164CFDBF33F947AD59FE9F\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E99ED1B6-2E03-40E1-9FC4-C60E821B81E1-low.png\"></div> \n                     <div style=\"margin-top: 9pt;\"><a name=\"GUID-4EAB8492-06E5-4D4C-98CF-F40C7D33365F\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can set Record via the Property Resources by enabling \n                           				  <span class=\"MenuCascade\" id=\"GUID-03343C42-F231-4998-A15D-AF7411115C39\">RecordToTrack</span> Recording property. \n                           				\n                        </div>\n                     </div> \n                  </p> \n               </li>\n               <li> In the Transport Controls, click Record (<img src=\"../images/GUID-844474E7-210F-418F-8D4E-308E8BED41DA-low.png\">). \n                  			 \n                  <p><a name=\"GUID-C5C76F36-BF03-4776-8CEA-7C1549F30D55\"></a>The Transport Controls Record button turns red (<img src=\"../images/GUID-CFA9838C-32DF-4444-A372-FE10B2E925DD-low.png\">), showing it is in a record state and the Record Mode button (<img src=\"../images/GUID-21A0F8C6-FFF9-47A2-843F-2A227D882968-low.png\">) in the Story window turns green (<img src=\"../images/GUID-123CC04A-BC54-4BBF-B073-A8C16A0454B3-low.png\">). \n                     			 \n                  </p> \n               </li>\n               <li> In the Transport Controls, click Play (<img src=\"../images/GUID-A495C637-B151-406B-9BCC-D398A5DE44E6-low.png\">) to start recording. \n                  			 \n                  <p><a name=\"GUID-87DE572D-0BA2-4F49-AB1D-305FF5AFE9A8\"></a> In the Story window, the Record Mode button is red (<img src=\"../images/GUID-992B1B36-1326-43CD-A804-E7397CCD5BA5-low.png\">), indicating data is being recorded. \n                     			 \n                  </p> \n                  <p><a name=\"GUID-DBB8F003-49D1-4155-984F-D9BFB598CCB6\"></a>When you record to disk, an \n                     				<em class=\"mild\">.fbx</em> file template containing the Track\'s contents (such as bones) is created. When the recording is finished, the \n                     				<em class=\"mild\">.fbx</em> file template and the recorded track\'s animation are merged in an \n                     				<em class=\"mild\">.fbx</em> file. \n                     				\n                     <div><a name=\"GUID-467C47D9-00A3-4DA1-97BC-488F89364339\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The \n                           				  <em class=\"mild\">.fbx</em> file templates are created as \n                           				  <span class=\"charspan-msgph\">MotionBuilder</span> cannot record directly to FBX. \n                           				\n                        </div>\n                     </div> \n                  </p> \n                  <p><a name=\"GUID-52FA1DFF-A06B-4878-8038-5A7233CB19F5\"></a>In the motion capture example used, even though you are not hooked live to a motion capture system you are recording a live\n                     constraint. There is no actual data on the retargeting character or camera. \n                     				<span class=\"charspan-msgph\">MotionBuilder</span> is writing this data on disk as it is being recorded. \n                     			 \n                  </p> The Story Tracks now represent the recorded data. The recorded data is inserted in the 3D record Editorial timeline. If you\n                  manipulate the objects, the animation is recorded. \n                  			 <a name=\"FIG_B448F14AAC014B09BBDFBF6DC2CBE456\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-DAD4E99A-1215-49B2-83A2-DA5F6B1FDAE2-low.png\"><p></p>\n                     <p class=\"figure-title\">Story tracks representing the recorded data</p>\n                  </div>The Tracks display the token naming convention you defined. \n                  			 \n                  <div class=\"codeBlock\"><pre>&lt;Name&gt; &lt;StartTCValue&gt; &lt;StartFrameValue&gt; &lt;StartDate&gt; &lt;StartTime&gt; &lt;TakeName&gt;</pre></div> \n               </li>\n               <li> In the Transport Controls, click Stop (<img src=\"../images/GUID-24C489DD-59A5-4288-B397-91D409CFEF40-low.png\">). \n                  			 \n                  <div><a name=\"GUID-3492BDFD-3D3F-4419-A1B2-1C35C2E4F623\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can stop, and resume your recording as often as you need to. \n                        			 \n                     </div>\n                  </div> \n                  <p><a name=\"GUID-2F2D33CB-4A30-4652-87B1-FB57491A8ACE\"></a>The Tracks in the Story window are now gray, meaning they are just a representation of the tracks recorded to disk. The Tracks\n                     are in fact unloaded. \n                     				<a name=\"FIG_42086A1D290346289C58DCF8F460547F\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-7B50681E-3E9D-41E3-A463-0DAB41D7D7A0-low.png\"></div> If you prefer to have the recorded Tracks loaded as opposed to unloaded after the recording, you need to change the Story\n                     recording preferences. \n                     			 \n                  </p> \n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_6C0540503DAC4829831AFFECCB83677C\"></a> \n            <h2><a name=\"GUID-2C86FFBE-29AD-4C9B-994A-43ED597F82D5\"></a>Reload the recorded track into the Story window \n            </h2> <a name=\"UL_C67674C57A09460E89D0DC07B0B86E3C\"></a><p class=\"list-intro\"><a name=\"GUID-45869324-9B0F-4757-A345-53B5FAAFF5D1\"></a>To reload the recorded track into the Story window \n            </p>\n            <ul>\n               <li> In the Story window, right-click the Story Track you want to reload and from the context menu, select Load/Unload &gt; Load\n                  Clips. \n                  			 <a name=\"FIG_F162C7CDA9E54A3BA1828EC3BFDC4640\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-5308C6F3-B100-4B8B-9F5B-AC80548FF32D-low.png\"></div> \n                  <p><a name=\"GUID-61CF6061-0B56-491D-BB69-79FAB795AD3D\"></a> The following figure shows one Story Track was selected to be reloaded. \n                     			 \n                  </p> \n                  <p><a name=\"GUID-B7EF455D-11FA-4640-95E6-D0690D8A689A\"></a>The recorded Story Track is loaded into the Story window, enabling you to edit the track. The Story Track is no longer gray,\n                     meaning it is loaded. \n                     				<a name=\"FIG_491BCC79550B471F8B6558DF3EEBB539\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-7A3718B6-DEA7-4DA7-BED2-706983859F20-low.png\"></div> \n                  </p> \n               </li>\n            </ul>\n            <div><a name=\"GUID-33D636B8-1164-4B46-92CF-E7EEAE71056D\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Remember you can set recording preferences to have clips unloaded or loaded after the recording finishes. Setting the clips\n                  to loaded once the recording finishes enables you to use the clips as soon as they are loaded. Setting the clips to unloaded\n                  while recording enables you to record one clip after another without affecting recording performance. \n                  		  \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_992CA180895344C3908610C7A7E7BDB4\"></a> \n            <h2><a name=\"GUID-FC1650F3-22B6-4ECE-BE28-68D48AA27DF0\"></a>Record a Track over the current clip\n            </h2> <a name=\"OL_7CA5CFE328614849A4134E69BEE8D7CF\"></a><p class=\"list-intro\"><a name=\"GUID-1EA7547C-8938-4747-AA54-D0106F355650\"></a>To record a Track over the current clip:\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>In the Story window, set the start time for the new clip. \n                  		  \n               </li>\n               <li>In the Transport Controls, click Record (<img src=\"../images/GUID-844474E7-210F-418F-8D4E-308E8BED41DA-low.png\">). \n                  			 \n                  <p><a name=\"GUID-F3AF2A20-C0BF-4B8B-98FB-59FB4A455E9F\"></a>The new clip overwrites the current clip but not necessarily from the beginning to the end. The new clip overwrites the portion\n                     of the current clip whose end time equals the start time of the new clip. The original clip\'s data is still there. Only the\n                     representation of the original clip is changed. \n                     			 \n                  </p> \n               </li>\n            </ol> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";