var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-0A0DB2AC-7239-4B49-BAE6-D120B3468FFC\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Dynamic Lighting shader settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-0A0DB2AC-7239-4B49-BAE6-D120B3468FFC\"></a><div class=\"head\">\n            <h1>Dynamic Lighting shader settings</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-4AE5\"></a> Use the Dynamic Lighting shader settings to control the light falloff your object reacts to lighting in the scene. <span class=\"charspan-msgph\">MotionBuilder</span> uses vertex per-face lighting by default, but the Dynamic Lighting shader gives you a softer per-pixel falloff, for more\n            realistic effects. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF45564F421269B08A8E9-5699\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If you select Append to apply the Dynamic Lighting shader when the Default shader is also applied to the model, you may see\n               undesirable results, such as flickering. Select Replace By Type or Replace All when you apply the Dynamic Lighting shader\n               to detach the Default shader. \n            </div>\n         </div>\n         <div><a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-4AE3\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The Dynamic Lighting shader works in conjunction with the Light Settings pane Attenuation menu. See <span class=\"char_link\"><a href=\"GUID-DDB09876-E8D9-45D7-99E4-5569F171CC71.htm#WS73099CC142F48755-1EB804411AF8B41570-71AF\">Attenuation</a></span>. \n            </div>\n         </div>\n         <div><a name=\"WS1A9193826455F5FF-30857B3612671CDEC183A81\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>When working with Dynamic Lighting shaders, use the Dynamic Lighting shader\'s Affecting Lights field to specify which lights\n               the shader uses, instead of appending the Selective Lighting shader. If you do not specify any lights, the Dynamic Lighting\n               Shader uses the first eight lights or default global lights from the scene.  \n            </div>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-61FD\"></a>The Dynamic Lighting shader is not affected by the Global lighting <span class=\"char_link\"><a href=\"GUID-8EA8AE8A-938C-4DCB-9E53-886C43B0EDA6.htm#WS1A9193826455F5FF-54F556CA1166AC9EE9E-5204\">Fog settings</a></span>. \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-4AE2\"></a> \n            <h2><a name=\"GUID-6858C39F-D7A8-459A-8B57-6709178D6157\"></a>Transparency Type menu\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-4AE1\"></a>The Transparency Type menu lets you select a method of calculating transparency, and set a percentage to boost or reduce the\n               object’s texture or material transparency. For a description of the transparency types you can select, see <span class=\"char_link\"><a href=\"GUID-5CCFA80E-0497-48D4-BD3D-61AEE2F271FC.htm\">Shader transparency types</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF45564F421269B08A8E9-5698\"></a> \n            <h2><a name=\"GUID-2B771A79-50C1-42A2-B51F-D855D95B1A12\"></a>Transparency Factor slider\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF45564F421269B08A8E9-5697\"></a>The Transparency Factor slider lets you manipulate or animate the Transparency value for the Dynamic Lighting shader. The\n               default setting is 1.00. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF45564F421269B08A8E9-5696\"></a>A material’s Transparency settings can also interact with the Dynamic Lighting shader’s Transparency values and affect the\n               result. See <span class=\"char_link\"><a href=\"GUID-6D43452D-E354-4E1A-B63A-654A7F99844B.htm\">Advanced material settings</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-398A\"></a> \n            <h2><a name=\"GUID-41FEF1E6-EAFA-4606-AE97-C1E7660B3B38\"></a>Affecting Lights\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-3989\"></a>The Affecting Lights field lets you specify which lights illuminate the object to which the Dynamic Lighting shader is applied.\n               Since there is a maximum of eight lights available in any given <span class=\"charspan-msgph\">MotionBuilder</span> scene due to OpenGL limitations, you can use the Affecting Lights field to add lights to the scene. For example, you can\n               use the Affecting Lights field to set up association between lights and objects to increase the number of lights in your scene\n               to eight per object. \n            </p> \n            <div><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-3988\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The Affecting Lights field has the same function as the Selective Lighting shader. Do not use the Selective Lighting shader\n                  with the Dynamic Lighting shader; this may cause problems. Use the Dynamic Lighting shader’s Affecting Lights field instead.\n                  \n               </div>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-3987\"></a>Alt-drag any lights in your scene into the Affecting Lights field. You can also click the Affecting Lights button next to\n               the field to display the Asset list, where you can choose from the lights in your scene. \n            </p> \n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-B903259D-1E5B-4679-B297-65E2DBB92138.htm\">Normal Map effect</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";