var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-0C811AED-FF4E-4D70-B388-9F790C7BB4E2\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Prepare a skeleton for HIK</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-0C811AED-FF4E-4D70-B388-9F790C7BB4E2\"></a><div class=\"head\">\n            <h1>Prepare a skeleton for HIK</h1>\n         </div>\n         <p><a name=\"GUID-CD0824A2-AE66-4204-AADE-A29229369E4D\"></a> Before you can use the <span class=\"char_link\"><a href=\"GUID-0CA89528-94E7-45EE-B604-EB6C1E7CD911.htm\">Definition tab</a></span> to map the skeleton bones in your character to the nodes understood by the HIK solver, you must set up your character in\n            a basic T-stance that provides HIK with crucial information about the proportions of the skeleton and joint transformations\n            of your character. \n         </p>\n         <p><a name=\"GUID-0924ED0C-2CA4-4A63-ABEF-6C5CC7EDC145\"></a> The T-stance of your character must match the description and example given below as closely as possible in order for the\n            inverse kinematics and retargeting solvers to produce accurate results for your character. Without a properly configured T-stance,\n            the solvers will base all of their operations on faulty data, and will likely produce skewed, awkward or unexpected poses.\n            \n         </p>\n         <p><a name=\"GUID-A12C46ED-66CF-49BA-826A-08645FE8DEF9\"></a>The T-stance has the following requirements: <a name=\"UL_98F8C0E193F64A1EA2C9C512A60F12DD\"></a><ul>\n               <li>The character must face along the positive direction of the Z axis. </li>\n               <li>The arms must be spread along the X-axis. The left arm should therefore be pointing along the positive direction of the X-axis.\n                  \n               </li>\n               <li>The top of the head of the character must be up, in the positive direction of the Y-axis. </li>\n               <li>The hands of the character should be flat, palms facing the ground, with the thumbs parallel to the X axis. </li>\n               <li>The feet of the character can be perpendicular to the legs (with the toes pointing along the Z-axis as shown), or they can\n                  continue along the orientation of the legs (with the toes pointed straight down). The feet must not be rotated around the\n                  Y-axis (meaning the toes of the left foot should not point inward toward the right leg or outward away from the right leg).\n                  \n               </li>\n            </ul> \n         </p>\n         <p><a name=\"GUID-4568C81F-2906-4E17-ABBE-4F3FED8EE2D0\"></a>A typical T-stance is shown in the following image: <a name=\"FIG_16C598506DD9407999C64CF58417FF87\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-43B83D40-78C4-48E1-A305-74AEC1D05DE7-low.png\"></div> \n         </p>\n         <div><a name=\"GUID-8CCEF35F-4B62-4617-83F6-70B9DEEC38C8\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>For additional information on the specific bone structure required for HIK, see <span class=\"char_link\"><a href=\"GUID-A900A0BA-A1A6-4707-A6AE-26FE8F49BEC6.htm\">HIK character structure</a></span>. \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"SECTION_517DC8F88AC247F58C7C41349794738D\"></a> \n            <h2><a name=\"GUID-80DF313A-C658-4720-8194-321A1BA4E98E\"></a>Quadrupeds\n            </h2> \n            <p><a name=\"GUID-AD53AC84-6E78-47F5-89EC-612778464820\"></a> HIK can be used to control quadrupeds as well as bipeds. If you are creating a characterization for a quadruped character,\n               you must set up the skeleton in a stance where the front and back limbs and all fingers and toes of the character are fully-extended\n               towards the floor. See <span class=\"char_link\"><a href=\"GUID-66E8AAFC-54D7-4ADD-9304-58BC3F77C0BF.htm\">Stance</a></span>. \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-0CA89528-94E7-45EE-B604-EB6C1E7CD911.htm\">Definition tab </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";