var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-0CC7458E-1F10-4714-BFD3-4465D4565A68\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Control rigs</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-0CC7458E-1F10-4714-BFD3-4465D4565A68\"></a><div class=\"head\">\n            <h1>Control rigs</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F243\"></a> A Control rig is a character manipulation tool that lets you change the position and orientation of a character to create\n            or alter animation. You can only create Control rigs for characters that are characterized. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F245\"></a>In the Viewer window, Control rigs display by default as a set of semi-transparent blue, red, and yellow markers on the joints\n            of a character. <a name=\"WS73099CC142F4875535A241551166AC8792F246\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-525C0808-22D2-4FE4-BC0C-FEB1FB432365-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> Character with Control rig <em class=\"mild\">B.</em> Control rig \n               </p>\n            </div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F248\"></a>Control rigs are equipped with kinematic tools that let you control the skeleton of a character intuitively and automatically\n            achieve smooth and predictable results over the entire body. They provide body part pinning, automatic floor contact, and\n            three different keying modes. All these elements help you achieve quick, high-level manipulation of a complex structure. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F24A\"></a><p><a name=\"WS73099CC142F4875535A241551166AC8792F249\"></a>Control rigs let you do the following: \n         </p>\n         <ul>\n            <li>Create character animation from scratch. \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F24C\"></a>Control rigs are one of the three types of motion source that you can connect to your character to make it move. You can use\n                  the Control rig to manipulate your character, then set keyframes on its position over time to create animation. \n               </p> \n            </li>\n            <li>Create, save, and reuse poses as you manipulate. \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F24E\"></a>For example, you may want to repeat a certain pose to create a cycle, or use a pose in multiple takes. You can even include\n                  any extra limbs, wings, or tails in these poses, using a Character Extension. \n               </p> \n            </li>\n            <li>Edit animation. \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F250\"></a>When you import a skeleton with animation data into <span class=\"charspan-msgph\">MotionBuilder</span>, you have to plot that animation to a Control rig in order to edit it. When you finish creating or editing animation with\n                  a Control rig, you plot the animation back to the model’s skeleton to prepare it for export to other 3D software. \n               </p> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F251\"></a>While editing character animation with the Control rig you can exaggerate or lessen the character’s movements. You can also\n                  use the Control rig to permanently offset body parts when retargeting animation from one character to another. \n               </p> \n            </li>\n            <li>Compensate for missing data. \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F253\"></a>If you are working with imported motion data, you can use the Control rig to fill in any missing animation. \n               </p> \n            </li>\n         </ul>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F254\"></a>You can save, modify, and load Control rigs just as you would any other asset. This is useful if you want to use the same\n            settings for pinning, stiffness, reach, and pull on multiple characters. \n         </p>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-A9E1388D-40B1-4D3D-B2BD-A4715C126814.htm\">Characterizing a character model </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-CC4AEF44-720B-45B9-82DA-752EF445073E.htm\">Saving a Control rig </a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8191BDAE-1E88-4A46-97F9-4AE2D143CCE7.htm\">Types of Control rigs</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C6939070-DE27-4AC8-8DCD-94CA468D95A6.htm\">Kinematics</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-7461D9D8-5193-4372-A6EF-267D3E9EB534.htm\">Creating a Control rig</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D7020FAF-C859-44DB-B43F-FAFFE86B89EB.htm\">Attaching a Control rig to a character</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-BB265D93-506D-4522-BB5C-BF9233DF7A04.htm\">Detaching a Control rig from a character</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-5E485DD4-A954-4C57-9CB8-2112E588E127.htm\">Deleting a Control rig</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-AE2A10E0-7F16-44F4-A1FC-0627DC446749.htm\">Selecting Control rig effectors</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-34ABA6A5-8213-4BAF-ABD2-06F12F93B7CF.htm\">Manipulating spines, fingers, and tails</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-07CEC38B-1AE6-4DD9-AD73-DD62DD1A3264.htm\">Aligning Control rigs</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-752F245A-CA66-4E06-B295-3A64286115D7.htm\">Viewing final solving on a Control rig</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-2130D875-8134-46AF-9AD0-25F358835BD2.htm\">Control rig properties</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8A24A10D-FF5C-4E88-8742-35F04518B47E.htm\">Updating a Control rig to remain compatible with older versions</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-0467676C-62C6-4736-BCE6-382C3CCAE916.htm\">Control rig effector properties</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-07E2CBFB-52CC-4709-A28F-1E16FD9546D4.htm\">Pinning</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-EBA1361E-3441-4C5D-85F2-DF3744E77EDC.htm\">Visual feedback on Control rigs</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-15AE92E1-337A-47D5-A1D9-300134493E25.htm\">Auxiliary objects</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C132D900-5585-476E-8EA5-4DD1EEA488F0.htm\">Customizing Control rigs</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-61DFF5F6-653E-4EE7-B933-6F12B3B62760.htm\">Poses</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-A43AB70C-610A-473B-8ABB-7CACB26000E4.htm\">Send control rigs to Maya</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";