var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-0D571147-175B-4F34-B775-2F851B5EC56E\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Complete the character map</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-0D571147-175B-4F34-B775-2F851B5EC56E\"></a><div class=\"head\">\n            <h1>Complete the character map</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2C7A\"></a>In the following procedure, you define the structure of your character model for <span class=\"charspan-msgph\">MotionBuilder</span> by mapping the required nodes in the Mapping list. Character mapping describes the character model for <span class=\"charspan-msgph\">MotionBuilder</span>, indicating what are the legs, arms, and so on. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2C79\"></a>Although you can load a skeleton definition template from the Character Controls window to map and characterize a character,\n            or by dragging the Character asset onto a character model, this tutorial shows you how to manually map Mia’s structure. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-2C78\"></a><p class=\"list-intro\"><a name=\"GUID-BBDF08CC-42BB-4329-91E5-F17641F1EB22\"></a>To complete the character map:\n         </p>\n         <div><a name=\"GUID-3079BE6A-9AE8-49B0-B0D3-41A3FB2A1587\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>This procedure assumes you have just completed the previous procedure. \n               <p><a name=\"GUID-1A9C2023-5B7B-4506-9225-436EA31707CD\"></a>See <span class=\"char_link\"><a href=\"GUID-1BBB5D46-BAE6-4F87-A594-1DCF6C9142DE.htm\">Prepare the scene</a></span>. \n               </p> \n            </div>\n         </div>\n         <ol type=\"1\" start=\"1\">\n            <li>In the Asset browser pane, click the <em class=\"mild\">Characters</em> folder to view its contents in the Asset browser display pane. \n            </li>\n            <li>In the Asset browser display pane, drag the <em class=\"mild\">Character</em> asset into an empty area of the scene. \n               <p><a name=\"WS1A9193826455F5FF-1034D8ED126D167ED83-66CA\"></a>A Character asset is added in the Navigator window Scene browser. The Definition settings for this Character asset are displayed\n                  in the Navigator window Definition Settings pane. \n               </p> <a name=\"FIG_C5A1E1249C6644659D91FEFFF3838093\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-DEA592E1-DDCD-470A-BBF7-69BA94A6AC09-low.png\"><p></p>\n                  <p class=\"figure-title\">Navigator window displaying the Character asset and its Character Settings</p>\n               </div> \n            </li>\n            <li>In the Navigator window, switch to the Character Definition pane and expand the <em class=\"mild\">Base (required)</em> group of nodes in the Mapping list (A). <a name=\"WS73099CC142F48755-385A98B012180D20F193487\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-1033C6BB-ABFC-453F-A263-AB753BFE752F-low.png\"><p></p>\n                  <p class=\"figure-title\">Character Definition pane: <em class=\"mild\">A.</em> Base nodes\n                  </p>\n               </div> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2C6E\"></a>This group of nodes is required for <span class=\"charspan-msgph\">MotionBuilder</span> to recognize the structure of your character model. If you had automatically characterized this character, the Mapping list\n                  would be populated with the character’s bone names. \n               </p> \n            </li>\n            <li>In the Viewer window, switch to the Schematic view (<span class=\"keyboardEntry\">Ctrl</span>-<span class=\"keyboardEntry\">W</span>) and press <span class=\"keyboardEntry\">A</span> to frame the hierarchy. <a name=\"WS1A9193826455F5FF-1034D8ED126D167ED83-66C8\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-29B7BC17-851B-456B-9113-CCEA4A8504A5-low.png\"><p></p>\n                  <p class=\"figure-title\">Schematic view of Mia’s structure</p>\n               </div> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2C6A\"></a>The Schematic view makes it easier to select bones from the model’s hierarchy because each bone is represented as a rectangular\n                  node. \n               </p> \n            </li>\n            <li>In the Navigator window Scene browser, activate the Lock option (<img src=\"../images/GUID-39A5A5C4-18C7-4B4C-BBAF-5F7AEA1BD00A-low.png\">) to lock the view of the Character Definition pane. <a name=\"FIG_B97B5271578C4D729562FD01026C946A\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C169536F-4A6C-4E4C-BF55-49E03979E008-low.png\"></div> \n            </li>\n            <li>In the Schematic view, zoom in ( <img src=\"../images/GUID-2A6F71A2-00B0-4B16-B0BD-6DFBDB671CED-low.png\"> or<span class=\"keyboardEntry\"> Ctrl</span>-drag) and pan ( <img src=\"../images/GUID-D206C5E4-D746-4FBE-809F-39759A0385EE-low.png\"> or <span class=\"keyboardEntry\">Shift</span>-drag). \n               <p><a name=\"GUID-BF3C332F-1F93-47BA-B767-F2E80D4737FE\"></a>These navigation buttons are at the to centre of the Viewer window. \n               </p> \n               <p><a name=\"GUID-570181A0-91D3-4169-85BC-10CD1D400D80\"></a> <a name=\"FIG_86D777EEF96B43E8A21E6CDF61483CCB\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E8BF3A60-70AF-4AE9-87FC-F2CEA2AE433F-low.png\"></div> \n               </p> \n            </li>\n            <li>In the Schematic view, press the keyboard shortcut <span class=\"keyboardEntry\">Shift</span>-<span class=\"keyboardEntry\">N</span>. \n               <p><a name=\"GUID-A6BD702A-D7B8-4BCC-80C5-50B2F8E4C474\"></a>The <span class=\"MenuCascade\" id=\"GUID-A53234F4-0103-46CF-ADF5-FD233BD2FBEB\">Find Model By Name</span> dialog appears. \n               </p> \n               <p><a name=\"GUID-552A31E3-1F15-48B8-B0E8-3DAA36E81855\"></a> <a name=\"FIG_C6EFCA29AD294AEA9E9E7CBB0A832AAD\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-946DA9A6-53E7-4DD3-851A-EBE8C5B11396-low.png\"></div> \n               </p> \n            </li>\n            <li>Enter <em class=\"mild\">Mia:LeftUpLeg</em> and click OK. \n            </li>\n            <li>In the Schematic view, locate the <em class=\"mild\">Mia:LeftUpLeg</em> node, and select the node. \n               <div><a name=\"GUID-A61A3C82-47B7-4E15-83B5-BA4E08583D45\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>You can use the keyboard shortcut <span class=\"keyboardEntry\">Ctrl</span>-drag to zoom in and the keyboard shortcut <span class=\"keyboardEntry\">Shift</span>-drag to travel (or pan) in the Viewer window. \n                  </div>\n               </div> <a name=\"FIG_779F7C0A1C234CDAB3115D2C446F67E5\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-8D208D54-C2AB-44AA-98A2-25FB439D8E0A-low.png\"><p></p>\n                  <p class=\"figure-title\"><em class=\"mild\">Mia:LeftUpLeg</em> node selected\n                  </p>\n               </div> \n            </li>\n            <li> <span class=\"keyboardEntry\">Alt</span>-drag the <em class=\"mild\">Mia:LeftUpLeg</em> node into the <em class=\"mild\">Base (required)</em><em class=\"mild\">LeftUpLeg</em> Mapping List slot. <a name=\"WS73099CC142F48755-385A98B0121D1BB015F-2DE4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E2BA309D-9CC5-4074-B6BE-91F776C6632E-low.png\"><p></p>\n                  <p class=\"figure-title\">Mia’s <em class=\"mild\">LeftUpLeg</em> node mapped to MotionBuilder <em class=\"mild\">LeftUpLeg</em></p>\n               </div> \n               <p><a name=\"WS73099CC142F48755-385A98B012180D20F19348B\"></a>When you characterize this character, <span class=\"charspan-msgph\">MotionBuilder</span> recognizes that for this skeleton the <em class=\"mild\">LeftUpLeg</em> node is called <em class=\"mild\">Mia:LeftUpLeg</em>. \n               </p> \n            </li>\n            <li>Use the following checklist and figure as guides to map the rest of Mia’s bones to the <em class=\"mild\">Base (required)</em> nodes in the Mapping list. \n               <div><a name=\"WS73099CC142F48755-385A98B012180D20F19348C\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> Although Mia has many bones, you are only required to map the Base group of 15 for MotionBuilder characterization. \n                  </div>\n               </div> <a name=\"WS73099CC142F4875535A241551166AC8792F-2C5C\"></a><div class=\"table-ruled\">\n                  <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                     <colgroup>\n                        <col width=\"33.33333333333333%\">\n                        <col width=\"33.33333333333333%\">\n                        <col width=\"33.33333333333333%\">\n                     </colgroup>\n                     <tr class=\"ruled-heading\">\n                        <th class=\"table-heading\">Bone </th>\n                        <th class=\"table-heading\">Slot </th>\n                        <th class=\"table-heading\">Mapped </th>\n                     </tr>\n                     <tr class=\"ruled-odd-row\">\n                        <td class=\"table-body\">Mia:Hips </td>\n                        <td class=\"table-body\">Hips </td>\n                        <td class=\"table-body\">&nbsp;</td>\n                     </tr>\n                     <tr class=\"ruled-even-row\">\n                        <td class=\"table-body\">Mia:LeftUpLeg </td>\n                        <td class=\"table-body\">LeftUpLeg </td>\n                        <td class=\"table-body\">x </td>\n                     </tr>\n                     <tr class=\"ruled-odd-row\">\n                        <td class=\"table-body\">Mia:LeftLeg </td>\n                        <td class=\"table-body\">LeftLeg </td>\n                        <td class=\"table-body\">&nbsp;</td>\n                     </tr>\n                     <tr class=\"ruled-even-row\">\n                        <td class=\"table-body\">Mia:LeftFoot </td>\n                        <td class=\"table-body\">LeftFoot </td>\n                        <td class=\"table-body\">&nbsp;</td>\n                     </tr>\n                     <tr class=\"ruled-odd-row\">\n                        <td class=\"table-body\">Mia:RightUpLeg </td>\n                        <td class=\"table-body\">RightUpLeg </td>\n                        <td class=\"table-body\">&nbsp;</td>\n                     </tr>\n                     <tr class=\"ruled-even-row\">\n                        <td class=\"table-body\">Mia:RightLeg </td>\n                        <td class=\"table-body\">RightLeg </td>\n                        <td class=\"table-body\">&nbsp;</td>\n                     </tr>\n                     <tr class=\"ruled-odd-row\">\n                        <td class=\"table-body\">Mia:RightFoot </td>\n                        <td class=\"table-body\">RightFoot </td>\n                        <td class=\"table-body\">&nbsp;</td>\n                     </tr>\n                     <tr class=\"ruled-even-row\">\n                        <td class=\"table-body\">Mia:Spine </td>\n                        <td class=\"table-body\">Spine </td>\n                        <td class=\"table-body\">&nbsp;</td>\n                     </tr>\n                     <tr class=\"ruled-odd-row\">\n                        <td class=\"table-body\">Mia:LeftArm </td>\n                        <td class=\"table-body\">LeftArm </td>\n                        <td class=\"table-body\">&nbsp;</td>\n                     </tr>\n                     <tr class=\"ruled-even-row\">\n                        <td class=\"table-body\">Mia:LeftForeArm </td>\n                        <td class=\"table-body\">LeftForeArm </td>\n                        <td class=\"table-body\">&nbsp;</td>\n                     </tr>\n                     <tr class=\"ruled-odd-row\">\n                        <td class=\"table-body\">Mia:LeftHand </td>\n                        <td class=\"table-body\">LeftHand </td>\n                        <td class=\"table-body\">&nbsp;</td>\n                     </tr>\n                     <tr class=\"ruled-even-row\">\n                        <td class=\"table-body\">Mia:RightArm </td>\n                        <td class=\"table-body\">RightArm </td>\n                        <td class=\"table-body\">&nbsp;</td>\n                     </tr>\n                     <tr class=\"ruled-odd-row\">\n                        <td class=\"table-body\">Mia:RightForeArm </td>\n                        <td class=\"table-body\">RightForeArm </td>\n                        <td class=\"table-body\">&nbsp;</td>\n                     </tr>\n                     <tr class=\"ruled-even-row\">\n                        <td class=\"table-body\">Mia:RightHand </td>\n                        <td class=\"table-body\">RightHand </td>\n                        <td class=\"table-body\">&nbsp;</td>\n                     </tr>\n                     <tr class=\"ruled-odd-row\">\n                        <td class=\"table-body\">Mia:Head </td>\n                        <td class=\"table-body\">Head </td>\n                        <td class=\"table-body\">&nbsp;</td>\n                     </tr>\n                  </table>\n               </div> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2C5A\"></a>After completing the character mapping process for the Base group, the Mapping list resembles the Mapping List shown in the\n                  following figure. <a name=\"FIG_AD41D27F2A434221B7B55D9116F20BE4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-0E9F8A12-1EE5-4BCD-B5ED-91BF4BC6C6E3-low.png\"><p></p>\n                     <p class=\"figure-title\">Mia’s base bones mapped to the Base nodes in the Mapping list</p>\n                  </div> \n               </p> \n               <p><a name=\"WS73099CC142F48755-385A98B012180D20F19348E\"></a>The Character mapping is now complete. \n               </p> \n               <p><a name=\"GUID-9A6EE130-C022-4C7A-B951-478E09E751EB\"></a>In the Character Controls Definition pane, the green symbol (<img src=\"../images/GUID-849F6BB1-4917-47DB-9AF5-64D0FB7FD922-low.png\">) indicates the mapping is valid. \n               </p> \n               <p><a name=\"GUID-CBE22309-4C83-49B9-805A-ADF40785082E\"></a> <a name=\"FIG_1F76C96EA54E469497EAC9DED31C1E45\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-FDB7F66F-7935-4737-ADD8-CBE7E3B9FC44-low.png\"></div> \n               </p> \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";