var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-0DBC05BB-C285-4DFD-92CB-8E889719C800\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>About shaders</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-0DBC05BB-C285-4DFD-92CB-8E889719C800\"></a><div class=\"head\">\n            <h1>About shaders</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA84A7\"></a> In 3D modeling, the term <em class=\"mild\">shaders</em> is used to describe an algorithm that specifies how a surface responds to light. In <span class=\"charspan-msgph\">MotionBuilder</span>, <em class=\"mild\">shaders</em> are assets that you apply to models to create different types of effects. Various types of shaders can define how a surface\n            responds to light, or create special effects like cartoon outlines and bump mapping. You can also use shaders to generate\n            shadow maps and light maps for scenes with a static light source. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD11CDE\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>In addition to the shaders described in this documentation, <span class=\"charspan-msgph\">MotionBuilder</span> supports custom shaders created using the Open Reality&reg; SDK. \n            </div>\n         </div>\n         <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA84AE\"></a>In the Asset browser’s Shading Elements folder, the Shaders folder contains shaders that you can add to a scene. When you\n            drop a shader on an object, you assign values that control the way the model’s surface interacts with the lighting in the\n            scene, creating color, specularity, reflection, transparency, shadowing, and refraction effects. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5092\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-ED152A27-1C15-4A9F-AA90-2C1A53C70AB1-low.png\"><p class=\"figure-title\">Asset browser<em class=\"mild\"> A.</em> Shaders folder\n            </p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5090\"></a>In the following figure, three teapots are arranged on a tray. Materials with textures have been applied to all objects in\n            the scene; a floral pattern for the teapots and a wood texture for the tray. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-508F\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B9C01485-F9F3-426F-95E3-681FA3511565-low.png\"><p class=\"figure-title\">Textured models with no shaders applied.</p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-508D\"></a>Somehow the models are still missing an element of realism. The flat, dull, texture creates the appearance that all objects\n            in the scene are constructed from the same uniform substance. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-508C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-EB4142D1-C0B0-4852-BFA0-361FA4B6C763-low.png\"><p class=\"figure-title\">Shader examples <em class=\"mild\">A. </em>Bump Map shader <em class=\"mild\">B. </em>Edge Cartoon shader <em class=\"mild\">C.</em> Lighted shader.\n            </p>\n         </div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5089\"></a><p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-508A\"></a>In the examples above, shaders have been applied to the teapots and tray: \n         </p>\n         <ul>\n            <li>The first teapot has a has a Bump Map shader applied to it to give it the appearance of a bumpy, modelled surface. </li>\n            <li>The second teapot has an Edge Cartoon shader applied to it, so it is outlined like a two-dimensional drawing. </li>\n            <li>The third teapot has a Lighting shader applied to it, so the “china” reflects the light, making it slightly shiny. </li>\n            <li>The wooden tray has a Live Shadow shader applied to it so it shows the shadow from anything blocking light from it. </li>\n         </ul>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5084\"></a>While the teapots are all identically modelled and textured, adding shaders can make them appear to be composed of very different\n            substances. \n         </p><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-79AA202D-45D2-4BBC-ACB6-DC9E07C01E58.htm\">Shader effects</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-BEB50B91-B793-43CC-B271-2988D1C13B51.htm\">Map shaders</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-418C7D45-1933-4657-9E16-0A77E43EDF53.htm\">Live shaders</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-FAD77D08-1FF5-43C6-A96E-FABF3CCC8845.htm\">Applying a shader to a model</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D42468F5-869D-47AB-BC1F-9EA321C1C622.htm\">Testing shaders, textures, and materials</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-F041F1F2-4EAB-4E18-A062-56D98A303F88.htm\">Default shader</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-01454C71-D380-44AB-B05B-17C6DFD7A37D.htm\">Hiding the Default shader</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-CD4B74A1-EABF-4E73-8215-EA5AFB10FF60.htm\">Disabling, activating, detaching, and applying shaders</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-75EF81F0-3109-4039-A1CD-D1C58CFF0B16.htm\">Changing the culling mode</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";