var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-1250DC36-5EDF-48BB-AD0B-3C46C160C4BE\">\n      <meta name=\"indexterm\" content=\"aim joint at marker: extraction type\">\n      <meta name=\"indexterm\" content=\"position and rotate joint in marker: extraction type\">\n      <meta name=\"indexterm\" content=\"marker: extraction types\">\n      <meta name=\"indexterm\" content=\"rotate joint in marker: extraction type\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Flexible Mocap extraction types</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-1250DC36-5EDF-48BB-AD0B-3C46C160C4BE\"></a><div class=\"head\">\n            <h1>Flexible Mocap extraction types</h1>\n         </div>\n         <p><a name=\"GUID-EDF633FB-FCBC-4E83-A48E-6DC4CB17C519\"></a> Three extraction types are available to use on a given set of markers to get the rotation and the translation of a given\n            goal: Position and rotate joint in markers, Rotate joint in markers, and Aim joint at markers. \n            	 \n         </p><a name=\"FIG_594A0FA254F7480D9A7467795CD20658\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-7BA64762-8343-4C7F-AF8C-03751AAF557B-low.png\"><p class=\"figure-title\">Extraction types</p>\n         </div>\n         <div class=\"section\"><a name=\"SECTION_53621DED962C4566878456465FA7850C\"></a> \n            <h2><a name=\"GUID-8D28B14C-AE44-4978-80C5-5997EC47A628\"></a>Position and rotate joint in markers\n            </h2> \n            <p><a name=\"GUID-DF7071BB-9FB6-42FD-950B-7CBA45EC7606\"></a>This extraction type requires at least three markers to be assigned to a given joint. If less than three markers are assigned,\n               \"Aim joint at marker(s)\" extraction type is used. Translation vector can easily be extracted from a set of three markers simply\n               by computing their average. Extracting a rotation can also be done in different ways: \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> does it by creating a rotated referential from the three markers. First, a vector is defined from the first marker to the\n               second, and a second vector from the first marker to the third. The cross-product of these vectors gives the Z axis of the\n               rotated referential. The sum of these two vectors is perpendicular to the Z axis (by property of cross-product) and is used\n               as the X axis of the rotated referential. The remaining Y axis can easily be computed as the cross-product of Z axis and X\n               axis. This rotated referential constitutes rotation extracted from the three markers. \n               		\n            </p> \n            <p><a name=\"GUID-9CA46C06-189D-4D5D-BAA5-DAC0A262C181\"></a> This rotation is not used directly as the goal rotation. At snap time, i.e. when markers were assigned to the joint, a \"snap\n               offset\" was computed as the difference between the joint\'s rotation and translation and the extracted rotation and translation\n               at snap time. These offsets allow computation of goal position and rotation at any time by simply removing them from extracted\n               rotation and translation. If more than three markers are available for this extraction type, the extracted position and rotation\n               are averaged between all possible combinations of three markers to get the final extracted values. \n               		\n            </p> \n            <div><a name=\"GUID-8CB23DD0-5CDD-43E6-B1B8-470C54AB5A16\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> Rotations are averaged using quaternion linear addition followed by normalization of the result. \n                  		\n               </div>\n            </div> \n            <p><a name=\"GUID-4F2DAD96-F3A1-4496-9FFD-0F78A724A735\"></a> Extraction is performed from the root of the hierarchy (i.e. the hips) and follows hierarchy down. For this reason, hips\n               joint should always use the \n               		  <em class=\"strong\">Position and rotate joint in marker(s)</em> extraction type for the hierarchy root to be positioned properly. Once the hips are positioned, anything down the hierarchy\n               can either use position information from extraction (i.e. use \n               		  <em class=\"strong\">Position and rotate joint in marker(s)</em> type) or use position that is coming from the hierarchy (i.e. use \n               		  <em class=\"strong\">Rotate joint in marker(s)</em> or \n               		  <em class=\"strong\">Aim joint at marker(s)</em> extraction types) because the hips position is known and thus can be propagated down the hierarchy. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_0A64CB7EC93842EAB6F3F7F4862875F6\"></a> \n            <h2><a name=\"GUID-A8D3A284-31A2-4C4A-8A14-A8BDA16B421C\"></a>Rotate joint in markers\n            </h2> \n            <p><a name=\"GUID-897689B6-20A9-42DC-98CE-D65C3D5233D7\"></a>This \n               		  <em class=\"strong\"></em> extraction type computes goal rotation in exactly the same way as the \n               		  <em class=\"strong\">Position and rotate joint in marker(</em> extraction type. However, instead of using markers to compute goal position, it simply uses hierarchical information from\n               the character to position the goal at the same place as its associated joint. Therefore, markers are only used to extract\n               rotation in this extraction type. \"Snap offsets\" are used the same way as before to compute actual goal rotation. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_43A2FBFC24734819A00EB4F63BE76B36\"></a> \n            <h2><a name=\"GUID-93672C74-E5B7-438D-B4C3-930893F687B2\"></a>Aim joint at markers\n            </h2> \n            <p><a name=\"GUID-B47BF8A6-0592-4BBC-865F-1C6FD3536C74\"></a> This \n               		  <em class=\"strong\"></em> extraction type can take only two markers to extract rotation. The joint position coming from the hierarchy (i.e. the one\n               used for position in previous extraction type) is used as a third point to perform the same rotation extraction as in the\n               \n               		  <em class=\"strong\">Position and rotate joint in marker(s)</em> extraction type and \n               		  <em class=\"strong\">Rotate joint in marker(s)</em> extraction type. Like all extraction types, \"snap offsets\" are used to compute actual goal rotation. \n               		\n            </p> \n            <p><a name=\"GUID-DB74CB22-8E62-4F85-B32B-6F50ED4D4268\"></a> If the \n               		  <em class=\"strong\">Aim joint at marker(s)</em> extraction type is used because a \n               		  <em class=\"strong\">Position and rotate joint in marker(s)</em> and \n               		  <em class=\"strong\">Rotate joint in marker(s)</em> extraction was chosen but only two markers were available, the position extracted from the set of points composed by the\n               two markers and the joint position from the hierarchy are used as the extracted position. This one can be different than the\n               joint position from the hierarchy if the three points do not perfectly respect a rigid body constraint. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_7565AABB0F3548C9B9FCA7DB0B6B8ED1\"></a> \n            <h2><a name=\"GUID-6D4BE3CE-2F53-4E5B-9BCB-76E23E226CCC\"></a>Related topics\n            </h2> <a name=\"UL_85733F8DE25B4BC482DBC40C4C66DC72\"></a><ul>\n               <li><span class=\"char_link\"><a href=\"GUID-1521373E-6C4F-4BE2-8A33-4A159C7B8EF6.htm\">About the Flexible Mocap pipeline</a></span> \n               </li>\n               <li><span class=\"char_link\"><a href=\"GUID-2F9D77FA-5B65-4A61-A44E-2C2F23F8BDDD.htm\">Solve the final skeleton with Flexible Mocap</a></span> \n               </li>\n            </ul> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";