var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-125686DA-1DB5-4686-83FF-0F1703A21058\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Ragdoll Solve</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-125686DA-1DB5-4686-83FF-0F1703A21058\"></a><div class=\"head\">\n            <h1>Ragdoll Solve</h1>\n         </div>\n         <p><a name=\"GUID-B284704C-BADD-4EC2-A17E-0571AE59F257\"></a> If you select All Ragdoll Properties (Type) View menu, the following options are available if you expand Solve: \n            <div><a name=\"GUID-1F4AEF06-570B-4AB6-91F0-6669EC19648C\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>An approximation must already exist in the scene. \n               </div>\n            </div> \n         </p>\n         <div class=\"section\"><a name=\"SECTION_3EEFD1E6CF6B4C19B43E89FA5CD11B9E\"></a> \n            <h2><a name=\"GUID-7B6BB33B-8880-40F6-A916-000A77BDD8EA\"></a>Global Properties Setup\n            </h2> \n            <p><a name=\"GUID-D381C9BC-8557-4BAC-BFB4-9EAF1BB92DF1\"></a> Use the Global properties settings to define the clamp value applied to the linear and angular velocity when calculating\n               the rolling friction. Because the Physical property does not model rolling friction, it uses dampening clamps behavior so\n               that objects can come to rest. \n            </p> \n            <p><a name=\"GUID-84D8FC4F-7FD8-495D-8EB8-16AE37DF1DF0\"></a> For example, without a dampening setting, a rolling sphere rolls on forever. It is done by scaling linear velocities at each\n               simulation step by dampening factor for all colliding objects. \n            </p> \n            <p><a name=\"GUID-5DF42DCE-A659-4F8B-B926-1462131593F2\"></a> A value of 1 retains actual velocity. Any value below one decreases velocity, while any value greater increases it \n            </p> <a name=\"WS73099CC142F48755-1257E12111BF108800E3C27\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"22.289156626506024%\">\n                     <col width=\"77.71084337349397%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Value </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Dampen Linear </td>\n                     <td class=\"table-body\">Change the Dampen Linear Velocity to modify the linear movement of the object. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Dampen Angular </td>\n                     <td class=\"table-body\">Change Dampen Angular velocity setting to modify the rotational movement of the object. </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"GUID-C7C1A3B8-46EB-4B69-86CD-4E78BC074034\"></a> \n            <h2><a name=\"GUID-C133D5F8-E1D5-4209-B345-219F2ABE4685\"></a>System Autodisable\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF6735402C1278C73E317-352E\"></a>System Autodisable clamps the calculation of collisions below a specified threshold. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF6735402C1278C73E317-352D\"></a>Activate the Auto-disable option so that the animation is cut off below a threshold, otherwise system resources absorb processing\n               vibrations so minute that they are no longer visible. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF6735402C1278C73E317-352C\"></a>But on a per-property list basis, you override the default Auto-disable settings. Disable the Auto-disable option to override\n               these settings for every object to which the Property list is applied. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF6735402C1278C73E317-352B\"></a>Use the following properties to specify a speed for the solve process: \n            </p> <a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-1B08\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"22.850678733031675%\">\n                     <col width=\"77.14932126696833%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Option </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\"> Auto-disable </td>\n                     <td class=\"table-body\">This option is active when you disable System Auto-disable. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Linear Threshold </td>\n                     <td class=\"table-body\">Sets a linear cutoff limit for motion. </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Angular Threshold </td>\n                     <td class=\"table-body\">Sets an angle-based cutoff limit for motion. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Steps </td>\n                     <td class=\"table-body\">Lets you specify the number of steps that the Physical property must process before it falls below the threshold. </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_7E9D25D4BDBA4F25B39B5166E6698F49\"></a> \n            <h2><a name=\"GUID-5F0382C2-0589-4B47-B91E-7A1E4D5310C2\"></a>Energy Transfer Setup\n            </h2> \n            <p><a name=\"GUID-43F3CD3C-EA15-42E9-9FC0-6FF4D1FDC20B\"></a>When a collision occurs with a body, velocities are used to calculate the force of the collision. \n            </p> \n            <p><a name=\"GUID-14E2B080-AC12-4432-8ADD-9AE7556106B1\"></a>Weight is the “weight transfer” or energy transfer between two objects. When two objects collide, you can control the apparent\n               transfer of energy from one to the other. \n            </p> \n            <p><a name=\"GUID-34BA7683-F53B-47F7-828B-0C4D389F1250\"></a>If the values are left to 1 the solvers uses the normal calculations to predict how far an object travels when hit. If you\n               set this value over 1, the apparent transfer of energy increases, while if set run it below 1, it decreases this transfer.\n               \n            </p> \n            <p><a name=\"GUID-88D4ACEE-5454-476F-AB39-BC08978DB965\"></a>Modify the Linear and Angular Velocity settings to override the default force of the collision. For example, use these settings\n               to assign more or less collision force to an object than what is already specified in the Physical property. \n            </p> \n            <div><a name=\"GUID-6052A7F5-8711-4F80-8E92-E0EDC2D978C6\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> You must have both colliding objects enabled for velocity settings to work. \n               </div>\n            </div> <a name=\"WS73099CC142F48755-1257E12111BF108800E3C2C\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"23.877551020408163%\">\n                     <col width=\"76.12244897959182%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Value </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Weight Linear Velocity </td>\n                     <td class=\"table-body\">Change the Linear Velocity to specify how linear movement is transferred to your object. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Weight Angular Velocity </td>\n                     <td class=\"table-body\">Change Angular velocity setting to specify how rotational movement is transferred to your object. </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";