var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-138273AE-3C9A-4235-89F3-EBE925D25563\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Creating a Ragdoll Approximation</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-138273AE-3C9A-4235-89F3-EBE925D25563\"></a><div class=\"head\">\n            <h1>Creating a Ragdoll Approximation</h1>\n         </div>\n         <p><a name=\"GUID-D02598F0-8874-486A-ABE4-EA2B24E26553\"></a>  For more realistic results, you can customize your approximation to simulate the body parts of your model. You can achieve\n            this by selecting an approximation type from the preset list in the Ragdoll setting\'s Approximation Type list and transforming\n            each approximation so that it is a close match for each body part. This is useful when you work with the Ragdoll Physical\n            property and pose matching. See <span class=\"char_link\"><a href=\"GUID-67DA016E-CCDD-46BC-B9F1-68BDEB0A1D7C.htm\">Creating a Ragdoll solve with poses</a></span>. \n         </p>\n         <p><a name=\"GUID-D16F6D3E-22B9-4A72-94CB-167440BF2E9B\"></a> In the Physical Properties &gt; Ragdoll &gt; Setup &gt; Approximation Object Setup, pick the approximation type that best describes\n            your model\'s form. Box, Sphere, Capsule, and Mesh. \n         </p><a name=\"UL_FD13ED73E82D4BCF888D80414AE24CC3\"></a><p class=\"list-intro\"><a name=\"GUID-AA7A7980-E5BF-42E4-A3E8-FA0543481DDE\"></a>Choose from four approximation types: \n         </p>\n         <ul>\n            <li>Box </li>\n            <li>Sphere </li>\n            <li>Capsule </li>\n            <li>Mesh </li>\n         </ul>\n         <div><a name=\"GUID-1014052E-A237-4F5F-AE79-84F1F551226F\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can select a different approximation type for each element. \n            </div>\n         </div>\n         <p><a name=\"GUID-DD203A99-C219-40DF-A29C-CADD4562603B\"></a> If the simple approximation types (Box, Sphere, Capsule,) are not detailed enough to mimic your model and do not provide\n            accurate results, use the Mesh approximation type. \n         </p>\n         <div class=\"section\"><a name=\"SECTION_ED2ACAEE10614617A3AB1A49C60D2F6C\"></a> \n            <h2><a name=\"GUID-83C3F031-1361-46AE-8011-19A181E18656\"></a>Creating a Mesh Approximation\n            </h2> \n            <p><a name=\"GUID-4BA3385B-FF90-4ACD-B081-4425A2E86A27\"></a>You can select a Mesh Approximation type if none of the default Approximation types are a good match for the body part of\n               your model. \n            </p> \n            <p><a name=\"GUID-0E58155A-80FD-4A56-9037-E081185C3427\"></a>When you select a Mesh approximation for a specific bone, you create an exclusive collision model for it. For example, if\n               you use a Mesh approximation for the character\'s RightKnee, a custom mesh model is created for \"Collision Model\'s RightKnee\".\n               \n            </p> <a name=\"OL_4AE9FD1CAAA94A59B360F3A945405728\"></a><p class=\"list-intro\"><a name=\"GUID-54854040-A627-4E72-AFEF-3FA5B74C31A6\"></a>To set a model as a Mesh approximation type:\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Using File &gt; Merge, import the model for your approximation into the scene. \n                  <div><a name=\"GUID-F9E94C59-AE8C-4D1E-9FAC-CE407B689557\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>While using a mesh for an approximation provides a more accurate solve, the collision detection is slower. The solve processing\n                        time is proportional to the mesh complexity. Using a simple primitive is recommended. \n                     </div>\n                  </div> \n               </li>\n               <li>In the Ragdoll Setup pane, create an approximation, if you have not created one already. </li>\n               <li>Select a property view for the body part you want to use a Mesh Approximation. </li>\n               <li>In the Approximation <em class=\"mild\">x</em> menu, (where <em class=\"mild\">x</em> is the body part you want to assign the mesh,) select Mesh. A Collision Models <em class=\"mild\">x</em> menu appears, (where <em class=\"mild\">x</em> is the body part you want to assign the mesh). \n               </li>\n               <li>Alt-drag the new approximation mesh object into the field or double-click the field to select the mesh model from a scene\n                  browser. \n               </li>\n               <li>Activate Correct Center Mass if you want to offset the body part to represent the center of gravity for a solve. </li>\n               <li>In the Navigator window, expand Solvers and double-click Physics Solver. </li>\n               <li>Click Online. When you click Online, the mesh approximation model snaps into place. \n                  <p><a name=\"GUID-0217895B-2132-4193-BA84-9BF2EC0CF0F2\"></a>You have now replaced the standard approximation on your model with a customized version. \n                  </p> \n                  <div><a name=\"GUID-5DF4F1B6-7318-49C0-8BF7-147E149F736F\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Mesh approximations are user-created and are not automatically saved with the Ragdoll approximations. To keep the mesh approximations,\n                        you must save them with your file. \n                     </div>\n                  </div> \n               </li>\n            </ol> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";