var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-1383229D-7671-49E8-BB22-84985B43EA11\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Property References pane</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-1383229D-7671-49E8-BB22-84985B43EA11\"></a><div class=\"head\">\n            <h1>Property References pane</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-16E4\"></a> The Property References pane lets you associate one element’s properties with another element. For example, you can associate\n            a light’s Cone Angle property with a camera. When you select the camera, a “Light.Cone angle” property displays after the\n            camera’s properties. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-16E2\"></a>This “Light.Cone angle” property refers to the light’s Cone angle property, and so it is called a <em class=\"mild\">property reference</em>. The original property still displays with the other light properties when you select the light. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-16E1\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-CB8D2A65-40BC-4498-9384-DCDC889C1B9C-low.png\"><p class=\"figure-title\">Properties window <em class=\"mild\">A.</em> The camera is selected but the light is not <em class=\"mild\">B.</em> The “Light.Cone angle” property reference is blue.\n            </p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-16DF\"></a>Because property references let you access the properties of any number of objects at once without the need to select each\n            one, they can be especially useful when you animate a complex scene, with many models, submodels, and other elements. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-16DE\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C46137CC-D370-448D-B8D2-0145680393E5-low.png\"><p class=\"figure-title\">Properties Editor <em class=\"mild\">A.</em> Property References pane <em class=\"mild\">B.</em> Source Properties area <em class=\"mild\">C.</em> Add button <em class=\"mild\">D.</em> Remove button <em class=\"mild\">E.</em> Destination area\n            </p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-16DC\"></a>The Property References pane consists of a Source Properties area, a Destination area, and Add and Remove buttons. \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-16DB\"></a> \n            <h2><a name=\"GUID-48B95CB5-C964-411E-8B20-4F2C3B1E119E\"></a>Source Properties\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-16DA\"></a>The Source Properties area displays the selected elements and their properties. If you open the Property Editor before selecting\n               elements, you can <span class=\"keyboardEntry\">Alt</span>-drag the elements from the View window into the Source Properties area. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-16D9\"></a> \n            <h2><a name=\"GUID-93B8FC01-8C20-482E-917E-163A00AA2DC7\"></a>Add\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-16D8\"></a>The Add button lets you add properties selected in the Source Properties area to the selected element or elements in the Destination\n               area. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-16D7\"></a> \n            <h2><a name=\"GUID-D5F0F8DC-90BB-4A3F-940D-ACF1D35B6F1A\"></a>Remove\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-16D6\"></a>The Remove button lets you remove custom properties selected in the Destination area. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F91DF51ABE11688C45CD7-7FF0\"></a> \n            <h2><a name=\"GUID-172E24A8-6349-42C2-8392-0093FE759EBC\"></a>Destination\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-16D5\"></a>The Destination area displays selected elements. You create property references for these properties by adding them from list\n               of properties in the Source Properties area. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-16D4\"></a>If you open the Property Editor before selecting elements, you can <span class=\"keyboardEntry\">Alt</span>-drag the elements from the View window into the Destination area. \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-16D2\"></a><p><a name=\"WS73099CC142F4875535A241551166AC8792F-16D3\"></a>There are three ways of creating property references: \n            </p>\n            <ul>\n               <li>With the Property References pane. </li>\n               <li>With the Properties window and the Viewer window. </li>\n               <li>With the Properties window and the Scene browser. </li>\n            </ul>  \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-16CE\"></a>The rest of this section shows you how to create a property reference from a light’s Cone Angle property using the Property\n               Reference and using the Properties window and the View window. Using the Scene browser to create a property reference is similar\n               to using the View window. \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-16CD\"></a><ul>\n               <li> <span class=\"char_link\"><a href=\"GUID-C6564C8B-14F8-4C5D-A52E-6366190A50AC.htm\">Property Editor</a></span> \n               </li>\n            </ul> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";