var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-13C7962D-C337-457E-A4DF-776632534B7A\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Skin</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-13C7962D-C337-457E-A4DF-776632534B7A\"></a><div class=\"head\">\n            <h1>Skin</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-429\"></a> For all character models, the skeleton provides their underlying structure. The outer appearance of each model is created\n            by a geometric skin (or mesh) on which textures, colors, facial and body features are applied to form the body of the character.\n            It is the skin that gives a model its distinct appearance. <a name=\"WS73099CC142F4875535A241551166AC8792F-427\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-76852CE7-727A-4A31-9AD4-5893BD9B389C-low.png\"><p class=\"figure-title\">Geometric skin gives the model its outer appearance. Model is shown in a T-stance</p>\n            </div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-425\"></a>Your character model should be properly skinned before being used within <span class=\"charspan-msgph\">MotionBuilder</span>. A properly skinned model has its mesh reacting with its skeleton when the arms, legs, head, and other body parts move. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-424\"></a>Some modeling software refers to this process as skinning while others refer to it as weighting. \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-423\"></a> \n            <h2><a name=\"GUID-45997C06-0A4B-45C7-9003-30287C531806\"></a>Weighting\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-422\"></a>Weighting defines to what extent the skin or mesh that envelopes a character follows the movements of its limbs. The skin\n               consists of vertices that control its shape. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-421\"></a>The weight applied to vertices determines how the skin or mesh deforms from its original shape as the bones translate or rotate.\n               The goal is to set the weight of each vertex so that the skin or mesh it controls adjusts realistically as the character moves.\n               \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-420\"></a>For example, in the following figure, A shows the shoulder mesh of the character deforms unnaturally as the shoulder is rotated\n               on the Z-axis. B, in the following figure shows the same character with improved weighting on the shoulder vertices. The shoulder\n               assumes a much more natural position as the shoulder is rotated on the Z-axis. <a name=\"WS73099CC142F4875535A241551166AC8792F-41F\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-28C3FC90-619E-44B1-B8BA-FCBCFB4C149B-low.png\"><p class=\"figure-title\">Mesh deformation <em class=\"mild\">A.</em> Shoulder mesh deforms at an unnatural angle <em class=\"mild\">B.</em> Shoulder mesh deforms naturally\n                  </p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-41D\"></a>Weight values are measured using a percentage. The higher the percentage, the closer the vertices follow the movements of\n               the bone. For example, with a value set at 100%, the vertex follows the bone exactly. With a value set at 50%, the vertex\n               moves only half as much as the bone. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-41C\"></a>For deformations to be realistic, you have to associate some vertices with more than one bone. In such a case, any change\n               in the weight percentage relative to one bone adjusts the weighting of the other bones. For example, vertices along the shoulder\n               of a character are influenced by movements of the arms, chest, or spine. To obtain realistic deformations, some shoulder vertices\n               are weighted using arm bones and chest bones, while other vertices are weighted using only arm bones. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-41B\"></a>The weighting process takes a lot of practice before you can achieve the best balance between vertices. To make it easier\n               to distinguish the influence of different bones on vertices, <span class=\"charspan-msgph\">MotionBuilder</span> indicates weight values using spectral color-coding. Different hues and color blends indicate which bones have the most and\n               least influence. \n            </p> \n            <div><a name=\"WS73099CC142F4875535A241551166AC8792F-41A\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>You can troubleshoot minor weighting problems using the Skinning window, but this window is not meant as a full skinning tool.\n                  See <span class=\"char_link\"><a href=\"GUID-A9BBD6EC-BC88-4FE1-8ABD-2CDCEC8A16E0.htm\">Skins window</a></span>. \n               </div>\n            </div> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-B0EFAD00-3EF0-45A6-A3BB-95864B46804E.htm\">Selecting vertices for immediate weighting </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-C55A87B6-AD22-42B2-9EDD-9B0EBA1C5EBF.htm\">Preselecting vertices for future weighting </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-A9BBD6EC-BC88-4FE1-8ABD-2CDCEC8A16E0.htm\">Skins window </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";