var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-1521373E-6C4F-4BE2-8A33-4A159C7B8EF6\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>About the Flexible Mocap pipeline</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-1521373E-6C4F-4BE2-8A33-4A159C7B8EF6\"></a><div class=\"head\">\n            <h1>About the Flexible Mocap pipeline</h1>\n         </div>\n         <p>The Flexible Mocap pipeline entails two main steps: Extraction and Goals. \n            	 \n         </p><a name=\"UL_4CBE9F1D15AC4C1F90CC53E4BD30B5C3\"></a><ul>\n            <li>Extraction takes as an input a set of optical markers and extracts from these (optical markers) a set of Goals. \n               		\n            </li>\n            <li>The Goals, which can be interpreted as controlling the character\'s rig, are then used to solve to the final skeleton and get\n               the actual character animated. \n               		\n            </li>\n         </ul>\n         <p>These two steps give open access to input, intermediate and output data, which allows a great deal of flexibility. There are\n            multiple ways user can inject custom logic in the pipeline. \n            	 \n         </p>\n         <p><a name=\"GUID-47AB69E3-3642-4153-8111-A4FCFFD24B70\"></a> <a name=\"FIG_EEB63EFA5C7A4C68BC9E95040C2920C5\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-35160C55-7883-4483-B792-D4236B4AF489-low.png\"><p class=\"figure-title\">Flexible mocap pipeline</p>\n            </div> \n         </p>\n         <p><a name=\"GUID-3F307F6B-ADC1-494C-B206-A28C091576F3\"></a>The simplest way to influence the motion capture pipeline is to modify the input markers. This allows \"low-level\" corrections\n            targeted at the motion capture data. For instance, markers can be constrained in different ways to enforce a given configuration\n            or to correct artifacts such as marker sliding. More complex operations can also be done on markers, such as combining several\n            markers into new ones. This can allow average or filtering schemes to be applied in real-time instead of offline by motion\n            capture hardware manufacturer\'s clean-up software. \n            	 \n         </p>\n         <p><a name=\"GUID-8303FA30-5BDE-43D1-AF16-EF2D36B9D0BE\"></a>Custom logic can be injected on extracted goals. These goals can be thought of as temporary (IK) goals that the next solving\n            step uses as an input. Those extracted goals are a nice higher-level, more intelligible place to apply correction then lower-level\n            input markers or output bones. They also take into account the whole character structure to perform corrections which is more\n            easily done on high-level goals than on low-level markers. Relation constraints can also be used to add custom logic to the\n            extraction. For instance, goals can be constrained not to allow knee snapping. In addition, the Story tool can be used to\n            add animation on top of extracted goals which can be very useful, for instance, to fix mesh penetration issues. It\'s also\n            possible to use custom constraints on goals to achieve pretty much any type of correction, such as custom control over the\n            way rotation is spread on each part of the spine for example. The constraints can either take extracted goals as an input\n            and modify them or simply override the value that came out of extraction step. \n            	 \n         </p>\n         <p><a name=\"GUID-97DF41AC-3476-442D-8825-A6E2E149BC6C\"></a> Finally, solving from goals to bones can also be customized. While this solving is usually performed by HIK solver or the\n            \n            		<span class=\"charspan-msgph\">MotionBuilder</span> solver, you can use a custom solver. Parts of solve output, for instance only an arm in a complex rig situation, can also\n            be modified or overridden as a post-processing step. \n            	 \n         </p>\n         <div class=\"section\"><a name=\"SECTION_7565AABB0F3548C9B9FCA7DB0B6B8ED1\"></a> \n            <h2><a name=\"GUID-8093DAF9-A997-4C60-9800-ABBFF9EFDA54\"></a>Related topics\n            </h2> <a name=\"UL_85733F8DE25B4BC482DBC40C4C66DC72\"></a><ul>\n               <li><span class=\"char_link\"><a href=\"GUID-1250DC36-5EDF-48BB-AD0B-3C46C160C4BE.htm\">Flexible Mocap extraction types</a></span> \n               </li>\n               <li><span class=\"char_link\"><a href=\"GUID-2F9D77FA-5B65-4A61-A44E-2C2F23F8BDDD.htm\">Solve the final skeleton with Flexible Mocap</a></span> \n               </li>\n            </ul> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";