var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-16D28F9B-DF09-4529-AA44-82F6570EEB0B\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>About material color and lighting</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-16D28F9B-DF09-4529-AA44-82F6570EEB0B\"></a><div class=\"head\">\n            <h1>About material color and lighting</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1F17\"></a> Materials govern an object’s own internal lighting attributes, such as Emissive, Ambient, and Diffuse color. These attributes\n            simulate how the object’s surface reacts to light and reflects color. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1F15\"></a>These effects are created by changing the colors on the object, but they can create effects that go beyond simply coloring\n            the object. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-7634\"></a>The following image shows a progression of changes to the basic Material settings to create an effective color and lighting\n            result. See <span class=\"char_link\"><a href=\"GUID-B05484E3-4C5F-4B8E-BBB2-406C18BB1681.htm\">Adjusting material color</a></span>. \n         </p><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-6A4B\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A94024C6-631E-43B9-9A7F-4BB17CA333E6-low.png\"><p class=\"figure-title\">Material settings results <em class=\"mild\">A.</em> Diffuse color alone <em class=\"mild\">B.</em> Specular color with Diffuse <em class=\"mild\">C.</em> Ambient color added to Diffuse and Specular <em class=\"mild\">D.</em> Emissive color added to the result\n            </p>\n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1F0D\"></a> \n            <h2><a name=\"GUID-6BC46612-8825-4158-A966-5AF3BA1E7CE3\"></a>Diffuse\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1F0C\"></a>Diffuse refers to the actual color of the object. In the figure above, the vase is orange. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-6A4A\"></a> \n            <h2><a name=\"GUID-B446B0DD-66E1-453C-8454-EC5482AD8BD8\"></a>Specularity\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-6A49\"></a> Specularity refers to the color of the highlight that appears on the object. Depending on the intensity and spread of the\n               specular highlight, a brighter, lighter color gives a sharp, shiny effect. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-6A48\"></a> \n            <h2><a name=\"GUID-FEAF8D6F-9E78-4E16-874E-AA4E00692F62\"></a>Ambient\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-6A47\"></a> Ambient refers to the color that shadows are filled with on the object, to simulate color that bounces off of a nearby object.\n               For example, a white sphere next to a red wall would have at least a bit of red as an ambient color. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-6A46\"></a>The Ambient color is dark gray by default, but few shadows are truly gray. By changing the Ambient color, you can simulate\n               various lighting effects. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-6A45\"></a>For example, when objects are placed close together, light bounces between them, causing the color of one object to affect\n               the color of the other, depending on the substance of the object. To choose the most realistic shadow color possible for your\n               model, look at the color of the other models in the scene to see what would make sense. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-6A44\"></a>Also, always keep in mind the substance you are trying to simulate; a rough or matte surface takes on less color from other\n               objects than a smoother or more reflective surface. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1F11\"></a> \n            <h2><a name=\"GUID-6E6C2231-FAF3-43D7-9382-CFDCFB327195\"></a>Emissive\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1F10\"></a> Emissive refers to the color of the light that radiates from the object. For example, choosing a bright color with high intensity\n               gives the effect of a radioactive glow. \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-E6E05469-DD42-4DBE-BC53-C0FDEBDD809E.htm\">Shading preferences </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-2695068C-7D7E-49EE-88CE-61B201A0EAC6.htm\">Materials working with shaders and textures </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-429EF94B-986F-4C5E-90E7-0328E5FDE37C.htm\">Applying a material to a model </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-B05484E3-4C5F-4B8E-BBB2-406C18BB1681.htm\">Adjusting material color </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";