var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-1795C2F6-8583-467C-8C1D-D3DA59C54C79\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Creating a Joint reaction</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-1795C2F6-8583-467C-8C1D-D3DA59C54C79\"></a><div class=\"head\">\n            <h1>Creating a Joint reaction</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-7F10494411F03A24F24373E\"></a>This example shows two models, Orange, and Spoon. This workflow shows a joint applied to the models that is then set so that\n            Orange swings from the end of Spoon. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF45564F421269B08A8E9-4E8A\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> Use the polySphere element in the Asset browser when you require a sphere model for Physics solves. The Elements folder Sphere\n               \"element\" has geometry that may produce unpredictable results. \n            </div>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-725F\"></a>To connect multiple objects in a chain, see <span class=\"char_link\"><a href=\"GUID-2F90B94B-3966-4448-9E2A-ADC9D950780B.htm\">Creating a Joint chain reaction</a></span>. \n         </p><a name=\"WS73099CC142F48755556E0C5911DCC55A1EF-2BE2\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755556E0C5911DCC55A1EF-2BE1\"></a>To create joint behavior between two or more objects:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Press Ctrl-A until you are in X-Ray mode. </li>\n            <li>From the Asset browser Solvers folder, drag a Physics solver into an empty area of the Viewer window. </li>\n            <li>Drag a Rigid Body Physical property from the Asset browser Physical Properties folder onto each object you want to join. <a name=\"WS1A9193826455F5FF-E569A012180CE5891-22A2\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C6CEDE31-DBBC-4CB5-877C-A9D5D6E021BD-low.png\"><p></p>\n                  <p class=\"figure-title\">A Rigid Body property is dragged onto the Spoon</p>\n               </div> \n               <p><a name=\"WS1A9193826455F5FF-7F10494411F03A24F243740\"></a>In this example, a Rigid Body property is added to the Spoon object. \n               </p> \n            </li>\n            <li>Drag a Null element from the Elements folder into the Viewer window and position it between the objects for which you want\n               joint behavior. This null becomes the pivot from which the joint action is based. \n               <p><a name=\"WS1A9193826455F5FF2566FFD511FF6F8C7CA-6575\"></a>You can use any object as a pivot point, but the joint orientation for physics is read from the local orientation of the pivot\n                  object. \n               </p> <a name=\"WS1A9193826455F5FF-E569A012180CE5891-22A1\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-FBBE4147-5193-4F42-B0A0-08C5A99A6747-low.png\"><p></p>\n                  <p class=\"figure-title\"><em class=\"mild\">A.</em> Drag a Null element between the objects.\n                  </p>\n               </div> \n            </li>\n            <li>Expand to the Navigator window Physical Properties folder. Click the Rigid Body property for the object that the second object\n               is to swing from and switch to the Setup pane. Select Passive from the Activation menu. \n               <p><a name=\"WS1A9193826455F5FF-7F10494411F03A24F243742\"></a>In this example, the spoon remains still and the orange swings from it, so the spoon object is set to Passive. \n               </p> \n            </li>\n            <li>From the Asset browser Physical Properties folder, drag a Joint Physical property onto the null in Viewer window. </li>\n            <li>Select Joint in the Navigator window Scene browser and expand Setup and ensure that the Joint is set to Active. Then select\n               the affected objects in the Null Joint Connections asset list. <a name=\"WS1A9193826455F5FF-7F10494411F03A24F243744\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-EA63D45C-8C1E-420C-9E6D-C57DDFE925DC-low.png\"><p></p>\n                  <p class=\"figure-title\">Select the element affected by the Joint behavior. A, (Orange), and B, (Spoon) are the objects in this example.</p>\n               </div> \n               <p><a name=\"WS1A9193826455F5FF-7F10494411F03A24F243745\"></a>In this example, the Orange and Spoon are the affected objects. \n               </p> \n               <p><a name=\"WS1A9193826455F5FF2566FFD511FF6F8C7CA-6573\"></a>You can also drag objects to the asset list, which lets you choose the hierarchy order by the order in which you selected\n                  the objects. In this example, if you select Spoon first, it becomes the parent, and if you select Orange first, it becomes\n                  the parent. \n               </p> \n               <p><a name=\"WS1A9193826455F5FF2566FFD511FF6F8C7CA-6572\"></a> \n               </p> \n            </li>\n            <li>Select a Joint Type from the Joint pane Type menu. See <span class=\"char_link\"><a href=\"GUID-D4F7BA9B-D5F6-4FC3-967E-29E301C0BABF.htm\">Joint types</a></span> for a description of different joints and their behaviors. See <span class=\"char_link\"><a href=\"GUID-1CB888F3-9ADE-48D1-BCBB-BA60641A3EBC.htm\">Joint settings</a></span> for more details about what each setting represents. \n            </li>\n            <li>Switch to the Scene browser Solvers &gt; Physics Solver folder. Double click Solver to expose the Solver pane, and click Online.\n               \n               <div><a name=\"WS1A9193826455F5FF47B7AA4B11FBE75ECF1-49C0\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span> You can also click the Active option in the Physics Solver properties in the Properties window. \n                  </div>\n               </div> \n            </li>\n            <li>Click Set Start State to set a position to which the objects can return. </li>\n            <li>Expand the Physical Properties and define specific properties for the object in the Joint settings, as well as in the Solve,\n               and Animation panes. \n            </li>\n            <li> Double-click Solver in the Scene browser Physics Solvers folder to expose the Solver pane and click Live. <a name=\"WS1A9193826455F5FF-7F10494411F03A24F243746\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-DA53AE7A-A22C-47CD-8EED-D347BBDF1FBD-low.png\"><p></p>\n                  <p class=\"figure-title\">Orange swings from Spoon.</p>\n               </div> \n               <div style=\"margin-top: 9pt;\"><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-770F\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> When you set the Physics Solver to Live, if you select an object that has a Physical property, such as Ragdoll, Rigid Body,\n                     or Joint attached to it, you must deselect the object otherwise the object will ignore the Physics Solver. This is because\n                     selecting the Physical property object when the Physics Solver is Live during recording re-evaluates the FCurves based on\n                     the Frame Rate shown in the Transport Controls. \n                  </div>\n               </div> \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";