var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-17B56877-21CC-4518-A401-A9A2F7EB93FE\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Work with editable motion trails</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-17B56877-21CC-4518-A401-A9A2F7EB93FE\"></a><div class=\"head\">\n            <h1>Work with editable motion trails</h1>\n         </div>\n         <p> Editable motion trails let you preview your animation and interactively adjust keyframes within the 3D scene. Motion trails\n            provide a visual representation of keys right around your animated models, letting you adjust the timing, keys, and position\n            of animation directly. \n            	 \n         </p>\n         <p>Edits between the motion trail and the animation curve are synchronized so that any edits you make to the FCurve, including\n            the merged result of animation layers, updates the motion trail. \n            	 \n         </p>\n         <div><a name=\"GUID-C73F2716-BAEB-4B8B-9333-D2276C22C8B3\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> Editable motion trails from control rigs are supported for HIK2014, HIK2016 and MBSolver. \n               	 \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"SECTION_76CF33B115E54AE6AE61E4AF20C34D2F\"></a> \n            <h2><a name=\"GUID-D2EF0EDF-0A09-4F92-AC6E-03F41A55C196\"></a>Display an editable motion trail\n            </h2> <a name=\"OL_38B2042341884F6CA3ED5F83E7BF5617\"></a><ol type=\"1\" start=\"1\">\n               <li>Select the element of the object or control rig, such as a hips effector. \n                  		  \n               </li>\n               <li>Click the Trajectories icon: \n                  			 <img src=\"../images/GUID-E8A591FE-41BF-4CF8-ADD5-7F139B8F5108-low.png\">. \n                  		  \n               </li>\n               <li>Click the down arrow next to the Trajectories icon, and select \n                  			 <span class=\"MenuCascade\">Set on Selection</span>. \n                  			 \n                  <p>The motion trail of the selected object or element displays. \n                     			 \n                  </p> \n               </li>\n               <li>Click the Object Model mode tool and select Vertex. \n                  			 <a name=\"FIG_7DBF4CC6EF9243449ED356FF2BC56453\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-23F31278-8FB2-4418-BDEE-52B9C8A13B1C-low.png\"></div> \n                  <p>Keys from the animation now appear on the motion trail. \n                     			 \n                  </p> <a name=\"FIG_4636A639C1694EA8B3F738E15A5A386D\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-62DAC088-4237-486E-B8E4-B1BE867E906E-low.png\"></div> \n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_BC441498CB8E4AA9A39C0A0877C93D66\"></a> \n            <h2><a name=\"GUID-A388E2F4-0379-47EA-896B-A8F142AE25DC\"></a>Edit the motion trail to affect the animation\n            </h2> \n            <p>You can manipulate, add, or delete keys on the motion trail curve to the affect the object or character animation.\n               		\n            </p> <a name=\"OL_273972837C2B46F4BF6B181DEFCA7058\"></a><ol type=\"1\" start=\"1\">\n               <li>Select a key on the motion trail, and use the manipulator tool to change its position. \n                  		  \n               </li>\n               <li>To insert a key, position the timeline indicator on the frame where you want to add the key, and do one of the following:\n                  \n                  			 <a name=\"UL_802B6B17F7904BC1AFC1965017D867DB\"></a><ul>\n                     <li> Click the Key icon: \n                        				  <img src=\"../images/GUID-E7EB33FE-CCCE-474F-BFBB-0CF245EB5A57-low.png\"> from the \n                        				  <span class=\"MenuCascade\">Key Controls</span> or \n                        				  <span class=\"MenuCascade\">FCurve</span> window.\n                        				\n                     </li>\n                     <li>Right-click the timeline, and select \n                        				  <span class=\"MenuCascade\">Key at Time</span> from the menu that appears.\n                        				\n                     </li>\n                  </ul> \n                  <p>Keys are added to the motion trail curve, the timeline, and the FCurve.\n                     			 \n                  </p> \n               </li>\n               <li>To delete a key, do one of the following:\n                  			 <a name=\"UL_7C2953CF8D2744F08C64D1F07A620F1C\"></a><ul>\n                     <li>Right-click the key on the motion trail, then select \n                        				  <span class=\"MenuCascade\">Delete &gt; Confirm</span> from the menu that appears. \n                        				\n                     </li>\n                     <li>Position the timeline indicator on the key you want to delete, and then click the delete key icon: \n                        				  <img src=\"../images/GUID-D4E3D0A9-850A-40E5-95FD-11B909B5223D-low.png\"> from the \n                        				  <span class=\"MenuCascade\">Key Controls</span> or \n                        				  <span class=\"MenuCascade\">FCurve</span> window.\n                        				\n                     </li>\n                  </ul>\n                  <p>The keys are deleted from the motion trail curve, the timeline, and the FCurve.\n                     			 \n                  </p> \n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_19BCFCB8FB584AD79CB31C82D228BA2F\"></a> \n            <h2><a name=\"GUID-4DB34249-2377-4588-896C-2008CCA8ECA2\"></a>Editing motion the trails of layered animation \n            </h2> \n            <p>When editing the motion trails of layered animation, note the following: \n               		\n            </p> <a name=\"UL_EC9DF31DA8A84F909BBD1E43A85E6CC9\"></a><ul>\n               <li>If you merge animation layers, mute or solo a layer, click the Trajectory icon \n                  			 <img src=\"../images/GUID-E8A591FE-41BF-4CF8-ADD5-7F139B8F5108-low.png\"> to update the motion trail in the scene. \n                  		  \n               </li>\n               <li> You can edit the motion trail of a muted animation layer. \n                  		  \n               </li>\n               <li> Locking an animation layer disables its motion trail from being edited. \n                  		  \n               </li>\n            </ul> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";