var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-1AFE5C14-1E09-46E8-A9CC-9EDE269F98A5\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Mapping area</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-1AFE5C14-1E09-46E8-A9CC-9EDE269F98A5\"></a><div class=\"head\">\n            <h1>Mapping area</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E7F\"></a>In the Texture settings, the Texture Mapping area contains controls that let you position and tile the texture. The Texture\n            Mapping settings consist of U and V Tile, Translation, Rotation and Scaling. \n         </p>\n         <div><a name=\"WS73099CC142F48755-BF06786125831C4316-3E33\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>A Layered texture treats multiple textures as if they were a single texture, but you can adjust each texture separately. For\n               example, you can tile, translate, scale, and rotate one texture differently from another texture. However, the Layered texture’s\n               mapping method, such as UV or Projection, overrides the mapping method of the textures attached to it. Used individually,\n               each texture retains its original settings, even if they are also attached to a Layered texture. \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E7E\"></a> \n            <h2><a name=\"GUID-C9EF2A69-E4EE-4868-8A23-56F3063E1969\"></a>Mapping Method\n            </h2> \n            <p><a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E7D\"></a> The Mapping Method menu lets you specify the mapping settings for your texture. Use the Mapping Method options to map your\n               texture to a selected object according to its coordinates (UV, XY, YZ, or XZ), to a designated wrap option (Spherical or Cylindrical),\n               or use Environment mapping. See <span class=\"char_link\"><a href=\"GUID-E2314FC7-8603-4400-A48C-04BCDBF14335.htm\">Mapping method types</a></span> and <span class=\"char_link\"><a href=\"GUID-4D39EDB0-F634-424F-BDC1-191446F63CE8.htm\">Choosing a mapping method</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-5928\"></a> \n            <h2><a name=\"GUID-0449DBC8-829B-404B-BB07-E73631023B84\"></a>UV Set\n            </h2> \n            <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-5927\"></a> The UV Set field lets you select different UV sets (also known as Map Channels) when a model has more than one. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E7C\"></a> \n            <h2><a name=\"GUID-D762AD18-4492-4051-B7F9-888F17F93C5E\"></a>U/V Tile\n            </h2> \n            <p><a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E7B\"></a> The U Tile and V Tile menus let you set the repetition of textures on a model’s U or V coordinates. \n            </p> \n            <p><a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E7A\"></a>In the following figure, two planes have the same texture applied, but each uses a different mapping method from the U/V tile\n               menus. \n            </p> <a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E79\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-5D33D208-4681-4F65-AD7E-A5FF9DCD4982-low.png\"><p class=\"figure-title\">The same striped texture on two planes <em class=\"mild\"> A.</em> Texture set to U and V Repeat. <em class=\"mild\"> B.</em> Texture set to U and V Clamp.\n               </p>\n            </div> \n            <p><a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E78\"></a>Both menus let you choose one of two options, Repeat and Clamp: \n            </p> <a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E77\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"16.066983480425435%\">\n                     <col width=\"83.93301651957455%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Option </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Repeat </td>\n                     <td class=\"table-body\">Applies the texture over and over on the model’s surface until the model is covered. This is the default setting. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Clamp </td>\n                     <td class=\"table-body\">Applies the texture to a model only once, using the color at the ends of the texture as the “filler”. </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E76\"></a> \n            <h2><a name=\"GUID-47979916-190F-4431-A818-7D69443F7462\"></a>Swap UV\n            </h2> \n            <p><a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E75\"></a>Activate the Swap UV option to change the direction of the texture’s UV map coordinates. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E74\"></a> \n            <h2><a name=\"GUID-94BDF4CD-9A7F-488A-BBF4-C909063D098F\"></a>Translation\n            </h2> \n            <p><a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E73\"></a> Use the Translation values to modify the UV starting position of your texture. The data in these fields determines where\n               your texture is applied on a selected model. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E72\"></a> \n            <h2><a name=\"GUID-99245BE4-CEE2-4C2D-A621-F9319331769A\"></a>Scaling\n            </h2> \n            <p><a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E71\"></a> Use the Scaling values to modify the UV scaling of your texture. Use Scaling to stretch, shrink, or tile your texture. The\n               Scaling values determine the size of your texture relative to a selected object. For example, entering a value of 5 shrinks\n               the texture; the texture tiles 5 times if it is set to Repeat, or only shrinks to 1/5 of its original size if it is set to\n               Clamp. Set the values to 1.00 to keep the texture at its original size. \n            </p> \n            <p><a name=\"WS73099CC142F48755-BF06786125831C4316-3E31\"></a> You can change the texture’s scaling pivot using the Scaling Pivot Offset properties in the Properties window. When you scale\n               a texture, it scales in or out from its pivot point. The Scaling Pivot Offset U and V values range from 0 to 1.00. Change\n               the value of the Scaling Pivot Offset.u property to move the pivot along the width of the texture. Change the value of the\n               Scaling Pivot Offset.v property to move the pivot along the height of the texture. For example, entering a value of 0.50 for\n               both U and V properties places the texture’s scale pivot in the center of the texture, letting you scale a texture from its\n               middle. \n            </p> <a name=\"WS73099CC142F48755-751DE995125FAA274EA-66D3\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-56E5AC6E-0447-45E8-8A68-6C97F43511E1-low.png\"><p class=\"figure-title\">A texture’s U and V values range from 0 to 1.</p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E70\"></a> \n            <h2><a name=\"GUID-CF4A2078-6FA0-4D49-9C4F-19F740794FBE\"></a>Rotation\n            </h2> \n            <p><a name=\"WS73099CC142F48755-63C0748611A1FA08F71-E6F\"></a> Use the Rotation values to adjust and animate the rotation of your texture on the object to which it is applied. The fields\n               you use depends on whether you are using a 2D texture or a 3D texture. \n            </p> \n            <p><a name=\"WS73099CC142F48755-BF06786125831C4316-62D6\"></a>For 2D textures change the value of the Z field. This value is the degree of rotation, so a value of 180, for example, would\n               be half a rotation. \n            </p> \n            <p><a name=\"WS73099CC142F48755-BF06786125831C4316-62D5\"></a>For 3D textures, use all three Rotation fields in the Texture settings to adjust the texture. \n            </p> \n            <p><a name=\"WS73099CC142F48755-BF06786125831C4316-3E2E\"></a> You can change the texture’s rotation pivot using the Rotation Pivot Offset properties in the Properties window. The Rotation\n               Pivot Offset U and V values range from 0 to 1.00. Change the value of the Rotation Pivot Offset.u property to move the pivot\n               along the width of the texture. Change the value of the Rotation Pivot Offset.v property to move the pivot along the height\n               of the texture. For example, entering a value of 0.50 for both U and V properties places the texture’s rotation pivot in the\n               center. \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-616DFD1D-5907-405F-98C9-9EA6ED3F18C6.htm\">Adding a texture to a material </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-4D39EDB0-F634-424F-BDC1-191446F63CE8.htm\">Choosing a mapping method </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";