var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-1B8C721B-C829-424E-8E35-9B318B56A7D9\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Rules for setting rotation DOF on a character</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-1B8C721B-C829-424E-8E35-9B318B56A7D9\"></a><div class=\"head\">\n            <h1>Rules for setting rotation DOF on a character</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1958\"></a>When you limit the rotation of a character’s bones using Degrees of Freedom (DOF), those limits always have priority and are\n            always respected during solving. However, it is important to note that some DOF settings may prevent a character from reaching\n            its goals. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1957\"></a>The following set of rules can help you create a character that reaches its goals even with Degrees of Freedom activated on\n            its bones. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-1956\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"22.6295541977823%\">\n                  <col width=\"77.37044580221769%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\">Bone </th>\n                  <th class=\"table-heading\">Rule </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Arms, legs, and fingers </td>\n                  <td class=\"table-body\">One axis must be aligned with the bone, and this axis should match the roll axis, which is the first axis of the Rotation\n                     order you have selected. \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Hips </td>\n                  <td class=\"table-body\">DOF set on hip bones do not affect the Reach of the hands and feet. However, setting DOF on hip bones is not recommended since\n                     the hips are always animated in global space. DOF can be set on all three axes. \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Spine </td>\n                  <td class=\"table-body\">Limiting the DOF on Spine bones does not affect the Reach of the hands, but may prevent Upper Chest Effectors from reaching\n                     their goals. This occurs because the first Spine bone is important during IK solving. DOF can be set on all three axes. \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Clavicle </td>\n                  <td class=\"table-body\">Setting DOF on clavicle bones does not affect the Reach of the hands. DOF can be set on all three axes. </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Shoulder or hip </td>\n                  <td class=\"table-body\">Only the roll axis can have DOF limited, and the other two axes should be free. If you limit the DOF for the roll axis, be\n                     sure to have an associated roll bone or expect to have DOF on all three axes for the elbow or knee bones. \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Elbows and knees </td>\n                  <td class=\"table-body\">Limiting the DOF for the elbows and knees lets you control the maximum extension angle for the arm or leg. Elbow and knee\n                     bones must have at least one axis, other than the roll axis, with no DOF set. It is recommended that the free axis be the\n                     last listed in the Rotation Order you have selected, and it should be aligned or close to the natural bending axis of the\n                     arm or leg. In addition, if you limit the DOF for the roll axis, be sure to have an associated roll bone or have DOF for all\n                     three axes limited on the wrist and ankle. \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Wrists and ankles </td>\n                  <td class=\"table-body\">DOF can only be set for the roll axis. The other two axes must be free. </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Roll </td>\n                  <td class=\"table-body\">All roll bones can have DOF. It is recommended that you completely limit the DOF for the last two axes listed in the Rotation\n                     Order you have selected, and set no DOF for the first axis. \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Fingers and toes </td>\n                  <td class=\"table-body\">The first bone of each finger and toe should have no DOF on any axis. All other finger and toe bones can have only one axis\n                     with no DOF defined. It is recommended that this DOF be the last of the Rotation Order and should be aligned or close to the\n                     natural bending axis of the finger or toe. \n                  </td>\n               </tr>\n            </table>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";