var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-1D884EA9-ED67-43C7-85C1-CB1311CE3A03\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Removing Peaks and Noise</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-1D884EA9-ED67-43C7-85C1-CB1311CE3A03\"></a><div class=\"head\">\n            <h1>Removing Peaks and Noise</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FFA\"></a> Just before a marker disappears from occlusion, it may be partially occluded, causing noise, peaks, or other jumps in the\n            capture data. During playback, you may notice that the marker appears to be moving normally, then it begins to fly off on\n            an incorrect tangent. The Quality Bar shows this as a black area. These normally appear near the end of a data segment. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FFC\"></a>There are two methods of correcting bad data segments: \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792FFD\"></a><ul>\n            <li>Split and remove the part of the data segment containing the peak, noise, or jump. This method is used for removing bad data\n               within a segment. \n            </li>\n            <li>Change the start or end of the data segment to remove the bad data. This forces <span class=\"charspan-msgph\">MotionBuilder</span> to interpolate the data before or after the data segment, usually resulting in better, more accurate movement, especially\n               within a Rigid body. \n            </li>\n         </ul>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F100\"></a> \n            <h2><a name=\"GUID-02A017D8-39FE-49E6-B379-0A6316ADFE49\"></a>Using Gap Interpolation to Remove Noise\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F101\"></a>Gap interpolations are also used to interpolate between two segments where there is noise. The segment that contains the noise\n               is split, then removed. Gap interpolation reconnects the two segments. \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F102\"></a><div><a name=\"GUID-BD33496B-5BAD-4F1A-8D20-049804A37D0A\"></a><div class=\"note-important\"><span class=\"label label-target-language\">IMPORTANT:</span>You can\'t undo optical segment actions in the Timeline such as <span class=\"MenuCascade\" id=\"GUID-A87B1AE2-D6FC-4637-977D-78B9920FAFE9\">Split Segment</span>, <span class=\"MenuCascade\" id=\"GUID-57D8364F-A15D-47D2-B40C-11730D766C62\">Remove Segment</span>, and <span class=\"MenuCascade\" id=\"GUID-AD35EA56-E664-4DC2-95FC-A454CC1FAE50\">Reset Segment</span>. \n               </div>\n            </div>\n            <p class=\"list-intro\"><a name=\"WS73099CC142F4875535A241551166AC8792F103\"></a>To split the segment:\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Place the Timeline indicator at the beginning of the noise as shown. <a name=\"WS73099CC142F4875535A241551166AC8792F105\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-F25353E0-CBB7-4D40-8E90-BDC6BF69733D-low.png\"><p></p>\n                     <p class=\"figure-title\">Timeline indicator positioned at the beginning of the noise</p>\n                  </div> \n                  <p><a name=\"WS73099CC142F4875535A241551166AC8792F107\"></a>Because the Timeline indicator is placed in a segment, the Segment menu is activated in the Optical Options pane. \n                  </p> \n               </li>\n               <li>Click Split Segment in the Segment menu. The segment is split into two separate segments. </li>\n               <li>Place the Timeline indicator at the end of the noise in the new segment, and split this segment as described in step 1 and\n                  2. \n                  <p><a name=\"WS73099CC142F4875535A241551166AC8792F10A\"></a>You now have three segments with the center segment containing the noise to be removed. <a name=\"WS73099CC142F4875535A241551166AC8792F10B\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-64EB3454-2208-42EC-AA7A-904BA34455EA-low.png\"><p></p>\n                        <p class=\"figure-title\">Two segments created</p>\n                     </div> \n                  </p> \n               </li>\n               <li>Place the Timeline indicator inside the segment to be removed and click Remove Segment in the Segment menu. \n                  <p><a name=\"WS73099CC142F4875535A241551166AC8792F10E\"></a>A gap is created. By default, its interpolation is set to Auto-Rigid Body which calculates the data based on the Rigid body.\n                     \n                  </p> \n                  <p><a name=\"WS73099CC142F4875535A241551166AC8792F111\"></a>If you want, you can change the Gap Interpolation. For example, the following figure shows the gap using Auto-Linear interpolation.\n                     <a name=\"WS73099CC142F4875535A241551166AC8792F112\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B7757FA2-A7BE-40E4-B8F0-DEE0A21F7AF9-low.png\"><p></p>\n                        <p class=\"figure-title\">Gap interpolated using Auto-Linear interpolation</p>\n                     </div> \n                  </p> \n               </li>\n            </ol> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-039242B4-5C51-4352-A1FE-8B511D494844.htm\">Correcting Rigid body quality </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-CA53B9AF-3E06-483E-BD09-48F10872A460.htm\">Filling Gaps with Interpolation </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-1D884EA9-ED67-43C7-85C1-CB1311CE3A03.htm\">Removing Peaks and Noise </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-039242B4-5C51-4352-A1FE-8B511D494844.htm\">Correcting Rigid body quality </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";