var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-1F3717D8-E2D8-4A6B-948D-8D6B953C3938\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>About rotation</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-1F3717D8-E2D8-4A6B-948D-8D6B953C3938\"></a><div class=\"head\">\n            <h1>About rotation</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1B52\"></a>The rotation of an object is its orientation in the scene. When you rotate an object, you are changing the properties that\n            define its degree of rotation around each of the three axes. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1B51\"></a>To rotate objects, you must be in Rotation mode. \n            	 \n         </p>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-612B1C0911688C4C4DE-7FF5\"></a> \n            <h2><a name=\"GUID-7BE4913A-D531-467B-9596-EF07B0949C35\"></a>Rotation mode\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1B50\"></a>Rotation mode lets you change the orientation of selected objects in the Viewer window. To activate Rotation mode, select\n               the appropriate button from the \n               		  <span class=\"char_link\"><a href=\"GUID-21D877A5-0CAA-413F-8709-1F073174CB9B.htm\">Viewer window Manipulation and Transformation mode tools</a></span>, or click in the Viewer window and press R. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1B4F\"></a>Activating Rotation mode makes Rotation rings appear on selected objects, so you can change the orientation of objects by\n               dragging the rings. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1B4E\"></a>For example, the following figure shows a sofa in the Viewer window with Rotation rings representing each axis. \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1B4D\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-D1DBD4C3-BA60-4CB4-93E8-D1139F115813-low.png\"><p class=\"figure-title\">Selected object in the Viewer window displays with Rotation rings for rotating on the X, Y, or Z axis</p>\n            </div> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1B4B\"></a>Three of the Rotation rings are color-coded to their specific axis. The red ring rotates the object along the X-axis, the\n               blue ring rotates along the Z-axis, and the green ring rotates along the Y-axis. The brown ring rotates along a perpendicular\n               angle from wherever the camera projects its angle. \n               		\n            </p> \n            <div><a name=\"WS73099CC142F4875535A241551166AC8792F-1B4A\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>When in Rotation mode, you can also use the Layer (Additive) mode from the Reference mode menu in the Viewer window. See \n                  		  <span class=\"char_link\"><a href=\"GUID-2A11F624-B868-408B-8022-C7590BB74AA1.htm\">Viewer window Reference mode tools</a></span>. \n                  		\n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1B48\"></a> \n            <h2><a name=\"GUID-400D026F-2409-49D3-91F7-BCFA031B78FE\"></a>Rotate Around mode\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1B47\"></a>Rotate Around mode lets you take a group of selected objects, designate one object as the ‘manipulation point’, and rotate\n               all other objects around that manipulation point. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1B46\"></a>In this mode, Rotation rings appear only on the manipulation point object, and as you rotate, the other objects in the selection\n               rotate around it. \n               		\n            </p> <a name=\"WS73099CC142F48755-385A98B012180D20F19-3560\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-3DFEC214-D523-48E8-A698-FA033119C848-low.png\"><p class=\"figure-title\">Rotation modes \n                  		  <em class=\"mild\">A.</em> Rotate \n                  		  <em class=\"mild\">B.</em> Rotate Around\n               </p>\n            </div> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1B43\"></a>This manipulation point creates a new center of rotation for the selected objects, replacing the local or global origin as\n               the center of rotation. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1B42\"></a>This manipulation mode can be very powerful when used with effector pivots, for example to rotate a character’s entire foot\n               around the toes. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1B41\"></a>You can also change the center of rotation for each individual object using the \n               		  <span class=\"char_link\"><a href=\"GUID-DA7A0393-F983-4CDC-BE4D-AE0302748C76.htm\">Rotation Pivot properties</a></span>. \n               		\n            </p> \n            <div><a name=\"WS73099CC142F4875535A241551166AC8792F-1B40\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>When you keyframe objects using the Rotate Around mode, remember that as the manipulation point rotates, the other selected\n                  objects rotate and translate. \n                  		\n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_5551397A93D44F28A7230CC0C34A58D1\"></a> \n            <h2><a name=\"GUID-0F7507D1-0774-43B7-AA6C-01D3941314C0\"></a>Related topics\n            </h2> <a name=\"UL_30A42003EF4A425E965B0DEC4BBBFA61\"></a><ul>\n               <li><span class=\"char_link\"><a href=\"GUID-EB9CF88F-BD2E-40FB-B348-2CD42544D091.htm\">Transform objects</a></span> \n               </li>\n               <li><span class=\"char_link\"><a href=\"GUID-21D877A5-0CAA-413F-8709-1F073174CB9B.htm\">Viewer window Manipulation and Transformation mode tools</a></span> \n               </li>\n            </ul> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";