var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-210E9453-1E1B-4EA6-A538-DF0089E4D986\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Shadow Map shader settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-210E9453-1E1B-4EA6-A538-DF0089E4D986\"></a><div class=\"head\">\n            <h1>Shadow Map shader settings</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4ED1\"></a> The Shadow Map shader settings govern the use of shadow maps in the shader. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4ECF\"></a>Map shaders take a “snapshot” of the scene at the moment it is rendered, and applies it to an object as a Shadow Map texture.\n            \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4ECE\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-48D90406-3DCC-4CF6-9A20-6EEC0DD2FBBC-low.png\"><p class=\"figure-title\">Map examples <em class=\"mild\">A.</em> Created map <em class=\"mild\">B.</em> Scene with the shadow map applied to the floor plane.\n            </p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4ECC\"></a>The Shadow Map shader is a useful alternative to live shaders as they do not demand much of the system’s resources to display.\n            Use the Shadow Map shader to apply a shadow image to an object or a plane. \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4ECB\"></a> \n            <h2><a name=\"GUID-7246634C-B54F-4CA9-9D57-EA8406D8E7BC\"></a>Map Type menu\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4ECA\"></a>The Map type menu lets you create textures that appear in the Texture settings when you generate a map. The resulting texture\n               depends on the shadow type that you choose. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EC7\"></a>The Shadow Map selection creates a texture combining all shaders, materials, textures, and lights applied to your model. Shadow\n               Map is faster but less accurate than Light Map. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EC5\"></a>The Light Map selection creates a texture using only the lights in your scene. Other textures, materials, and shaders do not\n               affect the Light Map texture. It is best to use this option with another shader to add a more realistic color to the object.\n               \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EC4\"></a> \n            <h2><a name=\"GUID-660357C0-AAE4-4C70-89D9-E8A87DE73732\"></a>Contrast slider\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EC3\"></a>The Contrast slider lets you manipulate the contrast of shadow to the surrounding plane. Contrast must be set before the map\n               is generated. You cannot modify the contrast after generating the map, unless you regenerate the map. The default intensity\n               is 70%. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EC2\"></a> \n            <h2><a name=\"GUID-8E584605-DE1C-43A1-B32B-15362A2A1F13\"></a>Generate Map For menu\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EC1\"></a>Use the Generate Map For menu to select the objects on which you would like to generate a shadow map. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EC0\"></a> \n            <h2><a name=\"GUID-8E5FE1A7-3479-4061-9253-F7999600F40F\"></a>Model Casting Shadows field\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EBF\"></a>The Models Casting Shadows field lists all the objects in your scene that cast shadows. You can also click the Models Casting\n               Shadows button next to the field to display the Asset list, where you can choose from models in your scene. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EBE\"></a>The Models Casting Shadows area lists all the models in your scene that can produce shadows. If you want an object to cast\n               shadows on a plane that uses the Shadow Map shader, select and Alt-drag each object into this field. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EBD\"></a>If the Asset list shows the Scene with a check mark next to it, all objects in your scene cast shadows. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EBC\"></a> \n            <h2><a name=\"GUID-463262FB-2CFB-4CA8-8591-D64CB9787E52\"></a>Generate Map For menu\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EBB\"></a>The Generate Map For menu lets you choose the models for which you want to create maps. You can select All Models or Selected\n               Shaded models. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EBA\"></a> \n            <h2><a name=\"GUID-E3D8D597-5688-4AD8-A84D-29CBC89AD026\"></a>File Path field\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EB9\"></a>The File path field lets you specify the path used for the file as well as save the generated map to disk as a texture file.\n               The default path is C:\\temp. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EB8\"></a>You can only save maps that are generated using the Generate Map For button. Define a Save Map Path before generating a map.\n               \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EB7\"></a> \n            <h2><a name=\"GUID-B6E1DE79-7281-4D4A-ACA4-EBD0F3C0F101\"></a>Map Size settings\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EB6\"></a>You can choose to use the size of the texture (if there is a texture applied to the selected object) or you can use the size\n               of the map as defined in Map Size. This option is only available with the Spherical Map and Sphere Map. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EB5\"></a> \n            <h2><a name=\"GUID-58058838-470E-4799-B80F-1BD6EC8AB417\"></a>X and Y menu\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EB4\"></a>The X and Y menus let you choose the size (in pixels) of the generated map. The default is 128 x 128. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EB3\"></a>There is a higher resolution, a longer generation waiting period, and a greater memory requirement with a larger map size.\n               \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EB2\"></a> \n            <h2><a name=\"GUID-3A43F05D-E7BF-43BF-90D8-A8698F55D51B\"></a>Preview Map button\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EB1\"></a>Click Preview Map to generate a preview map for all or selected objects with the Shadow Map shader applied. Use this option\n               to quickly generate a low resolution map, so that you can preview the result of the Shadow Map shader. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EB0\"></a>Use the Generate Preview Map option with the adjacent menu. This lets you choose between generating the map for all objects\n               or only selected shaded objects in your scene. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EAF\"></a> \n            <h2><a name=\"GUID-27974EC2-16E8-4F75-9253-16FAA3407C66\"></a>Generate Map button\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EAE\"></a>Click Generate Map to generate a full resolution map of all or selected objects with the Shadow Map shader applied. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EAD\"></a>Use the Generate Map button with the adjacent menu to select between generating the map for all objects or only selected shaded\n               objects. The shadow map cannot be generated unless the Save Map Path is valid. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EAC\"></a> \n            <h2><a name=\"GUID-6084E02B-365C-4925-9963-B5505363D6DE\"></a>Lights Producing Shadows field\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EAB\"></a>Alt-drag any lights in your scene that you want to have cast shadows into the Lights Producing Shadows field. You can also\n               click the Lights Producing Shadows button next to the field to display the Asset list, where you can choose from lights used\n               in your scene. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EAA\"></a>The Lights Producing Shadows area lists all the lights in your scene that produce shadows. If you want a light to produce\n               shadows on a plane that uses the Shadow Map shader, select and Alt-drag each light into this list. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EA9\"></a>If the Asset list shows Lights with a check mark next to it, all lights in your scene will produce shadows. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EA8\"></a> \n            <h2><a name=\"GUID-8542019A-4353-44B9-B032-95FED1729605\"></a>Cast Light On/Off buttons\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EA7\"></a>The Cast Light On and Cast Light Off buttons are shortcuts to the Cast Light On Object button in the Lights settings. Click\n               these buttons to globally change the settings for all lights in the Lights Producing Shadows list without modifying each light\n               separately in the Light settings. \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-2143A57C-90F1-4E42-99A0-FEAA5BA7995A.htm#WSF00FE1F65A1E03F9-480045811688C4C134-7FF9\">Mapped textures </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";