var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-2130D875-8134-46AF-9AD0-25F358835BD2\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Control rig properties</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-2130D875-8134-46AF-9AD0-25F358835BD2\"></a><div class=\"head\">\n            <h1>Control rig properties</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F2FF\"></a> \n            		The Control Rig group of properties display in the Navigator &gt; Properties window when you have a Control rig selected in\n            the Scene browser. \n            		<a name=\"FIG_3AA96DE6A8C84C6CA3318852F6FA668D\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-237BC8DB-1504-42BE-9F90-B758E13306CF-low.png\"></div> \n         </p>\n         <div><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-61B1\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The Use MB 5.5 Axis Orientations property option is no longer available. As a result, a warning message now appears when you\n               load MotionBuilder scenes that contain a character or characters that use the “Use MB 5.5 Axis Orientations” property option.\n               The recommended workaround for this change is to update the Control rig to remain compatible with MB scene files created in\n               MotionBuilder versions post version 7.5 Extension 2. See \n               		<span class=\"char_link\"><a href=\"GUID-8A24A10D-FF5C-4E88-8742-35F04518B47E.htm\">Updating a Control rig to remain compatible with older versions</a></span>. \n               	 \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F303\"></a> \n            <h2><a name=\"GUID-890A4682-3870-4F2E-8F0A-FD1FD7F7DC93\"></a>Align Control rig\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F304\"></a>When activated, this option forces the IK and FK systems that make up the Control rig align together, showing you the final\n               solving for the bones in a character. This option is activated by default. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F305\"></a>See \n               		  <span class=\"char_link\"><a href=\"GUID-07CEC38B-1AE6-4DD9-AD73-DD62DD1A3264.htm\">Aligning Control rigs</a></span> for more information. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F306\"></a> \n            <h2><a name=\"GUID-CE8F07B5-5016-4B2C-9BF0-6F0BFE6CCEFC\"></a>Double Solving\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F307\"></a>Lets you use complex character setups in which one part of the character directly or indirectly drives another part of its\n               own body, or part of another character. This option evaluates character solving repeatedly so that body parts driven by other\n               body parts are always positioned correctly. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F308\"></a>For example, you can set up a character carrying a weapon so that the left hand drives the weapon, and the weapon drives an\n               Auxiliary effector of the right hand. This creates a situation in which the left hand indirectly drives the right hand. With\n               Double Solving activated, the position of the left hand (and the weapon) is solved first, then another round of solving determines\n               the position of the right hand. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F309\"></a>When Double Solving is disabled, the position for all body parts is calculated simultaneously, so any body part constrained\n               by another body part may not reach the expected position. \n               		\n            </p> \n            <div><a name=\"WS73099CC142F4875535A241551166AC8792F30A\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If you plan to manipulate characters in Expert mode and use the Pull settings, Double Solving is calculated correctly only\n                  if one side of the character-driving-character set up has Pull values. For example, if a character is set up so that the right\n                  hand pulls the left, or if two characters are set up so that the first character pulls the second, Double Solving is not affected.\n                  However, if you set up the left hand to pull back on the right, or the second character to pull back on the first, activating\n                  Double Solving will not give the expected result since reaching both Pull goals simultaneously is not possible. You may notice\n                  a decrease in \n                  		  <span class=\"charspan-msgph\">MotionBuilder</span> performance if you have a complex scene where several characters use Double Solving and influence body parts of each other.\n                  \n                  		\n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F316\"></a> \n            <h2><a name=\"GUID-28FCB1AE-2A5B-4F46-A8C0-FF9051516FC6\"></a>Feedback Settings\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F317\"></a>This group of properties lets you show, hide, and change the way visual feedback is displayed on the Control rig. \n               		\n            </p> <a name=\"WS1A9193826455F5FF3075904D11BC05ED636-6CBE\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"32.1250566379701%\">\n                     <col width=\"67.87494336202991%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Property \n                        				  \n                     </th>\n                     <th class=\"table-heading\">Description \n                        				  \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Control Rig Feedback \n                        				  \n                     </td>\n                     <td class=\"table-body\">Shows or hides all visual feedback elements on the Control rig. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Reach Feedback \n                        				  \n                     </td>\n                     <td class=\"table-body\">Shows or hides the Reach feedback outline that displays on effectors with Reach values defined. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Reach Outline Width \n                        				  \n                     </td>\n                     <td class=\"table-body\">Changes the width of the outline that displays when an object has Translation Reach, Rotation Reach, or both values defined.\n                        When Reach is set to zero, no outline displays. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">IK Blend T Outline Color \n                        				  \n                     </td>\n                     <td class=\"table-body\">Changes the color of the outline that displays around objects with Translation Blend values defined. By default the IK Blend\n                        T Outline is red. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">IK Blend R Outline Color \n                        				  \n                     </td>\n                     <td class=\"table-body\">Changes the color of the outline that displays around objects with Rotation Blend values defined. By default, the IK Blend\n                        R Outline is orange. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">IK Blend TR Outline Color \n                        				  \n                     </td>\n                     <td class=\"table-body\">Changes the color of the outline that displays around objects with Rotation and Translation Blend values defined. By default,\n                        the IK Blend TR Outline is yellow. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Currently Keyed Outline \n                        				  \n                     </td>\n                     <td class=\"table-body\">Shows or hides the pale blue outline that displays on effectors that are keyframed at the current time. You can change the\n                        color of this outline using the Currently Keyed Outline Color property. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Currently Keyed Outline Width \n                        				  \n                     </td>\n                     <td class=\"table-body\">Changes the width of the outline on currently keyed objects in the Control rig. By default, the Currently Keyed Outline has\n                        a Width value of 1. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Currently Keyed Outline Color \n                        				  \n                     </td>\n                     <td class=\"table-body\">Changes the color of the outline that displays on currently keyed objects in the Control rig. By default, the Currently Keyed\n                        Outline displays in light blue. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">IK Effector Opacity \n                        				  \n                     </td>\n                     <td class=\"table-body\">Changes the opacity of IK effectors. By default, IK effectors have an opacity value of 40. When set to zero, the markers are\n                        wireframe. The higher the value, the more opaque the effectors become. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">FK Effector Opacity \n                        				  \n                     </td>\n                     <td class=\"table-body\">Changes the opacity of FK effectors. By default, FK effectors have an opacity value of 40. When set to zero, the markers are\n                        wireframe. The higher the value, the more opaque the effectors become. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Highlight Active Body Part \n                        				  \n                     </td>\n                     <td class=\"table-body\">When activated, active body parts are highlighted and inactive body parts are faded. When disabled, the entire Control rig\n                        displays with uniform highlighting. You can change the level of intensity on inactive effectors using the Inactive Body Part\n                        Intensity property. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Inactive Body Part Intensity \n                        				  \n                     </td>\n                     <td class=\"table-body\">Adjusts the intensity of color for inactive body parts. When you are in Body Part keying mode, all effectors that are not\n                        part of the selected body part display with faded coloring. This property lets you adjust the level of fading on those inactive\n                        body part effectors. \n                        				  \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";