var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-2143A57C-90F1-4E42-99A0-FEAA5BA7995A\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>About textures</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-2143A57C-90F1-4E42-99A0-FEAA5BA7995A\"></a><div class=\"head\">\n            <h1>About textures</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32F9\"></a> When a model uses textures with its materials, it is useful to know how to adjust the texture so that it displays properly\n            on the model. The following sections introduce you to the various texturing concepts. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DF9\"></a>Using a texture map lets you control the appearance of a model’s surface on a pixel-by-pixel basis, rather than by assigning\n            a single overall value. This is most commonly achieved by applying a color bitmap image to the surface. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DF7\"></a>Various types of textures used with shaders and materials can be used to produce various effects. Textures are most commonly\n            used to simulate detail that is not part of the model’s geometry, or to add static shadows and reflections. \n         </p>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-480045811688C4C134-7FF9\"></a> \n            <h2><a name=\"GUID-846722C0-BFE9-49CF-A0FA-C10C13A201C0\"></a>Mapped textures\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DF6\"></a>Mapped textures use graphic files (such as <em class=\"mild\">.tga</em> and <em class=\"mild\">.jpg</em> files) or video clips (such as <em class=\"mild\">.avi</em>) applied to the 3D object. These can be drawn quickly, but use some of the computer\'s memory (RAM) to store the image. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DF4\"></a>Mapped textures are preferred by animators over procedural textures because procedural textures take too much memory to compute\n               and slow down the animation. See <span class=\"char_link\"><a href=\"GUID-4D39EDB0-F634-424F-BDC1-191446F63CE8.htm\">Choosing a mapping method</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1DF3\"></a> \n            <h2><a name=\"GUID-5E92A2BF-8ADC-4BE1-B1F0-7C258FE9FF1B\"></a>Projective textures \n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DF2\"></a> Projective textures project an image onto an object’s surface as if it was a slide. You can use projective textures to create\n               shadows and spot light effects, among other things. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DEE\"></a>Projective textures do not require specific UV mapping coordinates, unlike textures intended to fit the shape of the model.\n               \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DED\"></a>Projective textures cause strange effects when used on three-dimensional objects, as they do not recognize the object’s shape\n               so much as project directly onto the front of it. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DEC\"></a> In the following figure, note how the striped texture does not recognize the curve of the teapot\'s lid, bowl, spout, or handle\n               \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1DEB\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-0A66D1EC-AFA0-4D64-AB25-D0A20A194342-low.png\"><p class=\"figure-title\">Teapot model with Projective texture</p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-480045811688C4C134-7FF8\"></a> \n            <h2><a name=\"GUID-46E3D099-AEE2-44C2-BF5B-30ADB82422C3\"></a>Procedural textures\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DE6\"></a> Procedural textures are algorithm-generated textures, which require no storage of graphics files. Unlike mapped textures\n               that use image and video files, the computations needed to portray the texture are performed by the computer’s processor.\n               This lets you create textures that do not use a lot of memory. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DE4\"></a>While this seems efficient because it uses less disk space, there is a trade-off. Procedural textures can take more time for\n               a computer to process because it needs to compute complex texture algorithms. \n            </p> \n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-491D617F-42F3-4A3F-8576-FA5696B56D5A.htm\">UVW coordinates</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-E41CC69C-2D23-4FB2-A794-4D0AB88A818B.htm\">Texture tiling</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-E2314FC7-8603-4400-A48C-04BCDBF14335.htm\">Mapping method types</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-5F8CB29F-8F4C-4FB2-9D3C-A2A1C1FF9880.htm\">Mipmapping</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D0376DD9-97E1-411C-B4CF-F158C163D93F.htm\">Layered texture</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";