var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-2489CD63-1ECC-4EB4-9276-D6374C643C7D\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Chain IK constraint settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-2489CD63-1ECC-4EB4-9276-D6374C643C7D\"></a><div class=\"head\">\n            <h1>Chain IK constraint settings</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-36E0\"></a> \n            		The Chain IK constraint uses Inverse Kinematics to constrain the movement of the elements in a bone chain, or hierarchy,\n            so that the end node reaches toward the position of another object, defined as the object assigned to the constraint’s Effector\n            cell. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-36DE\"></a>For more on configuring elements of the bone chain, see \n            		<span class=\"char_link\"><a href=\"GUID-C99F93E3-3049-4D7B-A271-21A1604B83F7.htm\">Chain IK properties</a></span>. \n            	 \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-36DD\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-350BD52F-9099-4B2A-AF81-568FEB272AB8-low.png\"><p class=\"figure-title\">Chain IK constraint</p>\n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-36DB\"></a> \n            <h2><a name=\"GUID-CDCC3548-CF11-47C0-BC20-59B3EC880A62\"></a>First Joint\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-36DA\"></a>The first node or the root of the IK chain. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-36D9\"></a> \n            <h2><a name=\"GUID-6B27AF55-CC62-4924-8029-7909E4C0BF3D\"></a>End Joint\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-36D8\"></a>The last node in the IK chain. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-36D7\"></a> \n            <h2><a name=\"GUID-41789425-E888-45E6-9390-7A4026B92D58\"></a>Effector\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-36D6\"></a>The object that the IK chain tries to reach. Clicking Snap in the constraint settings moves the effector object to the position\n               of the last node of the chain. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-36D5\"></a> \n            <h2><a name=\"GUID-BA034547-1FD2-44BD-9C48-E44917165E15\"></a>Pole Vector Object 1\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-36D4\"></a>The Pole object is used to specify an object that the chain is to aim at. For example, in a leg chain, you can use an object\n               to orient the bending of the knee in a specific direction. \n               		\n            </p> \n            <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-36D3\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can assign multiple Pole objects and weight their influence independently. See \n                  		  <span class=\"char_link\"><a href=\"GUID-3DE16F6F-7C4A-4F68-8B51-EC2CFA768115.htm\">Multiple Pole Vector objects</a></span>. \n                  		\n               </div>\n            </div> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-5A4CA235-9432-40A2-9532-AB87E280B4FB.htm\">Working with Chain IK constraints \n                           		</a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-82368A95-F2FC-4AB2-B50A-E2577FA7EEAC.htm\">Properties settings</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C99F93E3-3049-4D7B-A271-21A1604B83F7.htm\">Chain IK properties</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";