var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-25126449-FAA8-4F6C-B033-B93816140182\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Define a skeleton for HIK</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-25126449-FAA8-4F6C-B033-B93816140182\"></a><div class=\"head\">\n            <h1>Define a skeleton for HIK</h1>\n         </div>\n         <p><a name=\"GUID-908061C6-8A85-495E-9899-72FCF511D7DD\"></a> There are two main methods for completing the character mapping process, depending on whether you use a standard naming convention\n            for the bones of your character. \n            	 \n         </p><a name=\"OL_522273B5798D42BE9D0BA2B1B531A82C\"></a><p><a name=\"GUID-22BF70BD-9B52-48E5-976D-82EE65E7BEC8\"></a>For both methods, you can prepare to characterize a skeleton as follows: \n            	 \n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li> Load the skeleton. \n               	 \n               <div><a name=\"GUID-5928A11C-F112-47D1-A20B-D5A2959AB505\"></a><div class=\"note-important\"><span class=\"label label-target-language\">IMPORTANT:</span>Before attempting to characterize, ensure you have followed the guidelines in \n                     		<span class=\"char_link\"><a href=\"GUID-0C811AED-FF4E-4D70-B388-9F790C7BB4E2.htm\">Prepare a skeleton for HIK</a></span> , and that your character is setup as described in \n                     		<span class=\"char_link\"><a href=\"GUID-A900A0BA-A1A6-4707-A6AE-26FE8F49BEC6.htm\">HIK character structure</a></span>. \n                     	 \n                  </div>\n               </div> \n            </li>\n            <li> In the Definition tab, click the Create Character button \n               	 <img src=\"../images/GUID-6AEDD9D3-1E17-4981-B970-65EB346C4B7C-low.png\">, to create a new HIK character. \n               \n            </li>\n            <li> (Optional) To rename the character, click the \n               	 <img src=\"../images/GUID-76906E2C-322D-4F92-9AB3-863BD7DC1D7C-low.png\"><span class=\"MenuCascade\" id=\"GUID-29355AA7-255A-4A0D-B570-DF8372F31B01\"> &gt; Edit &gt; Definition &gt; Rename</span> option. \n               \n            </li>\n            <li>Select one of the following methods to map the structure of your character: \n               	 <a name=\"UL_05B8FDE07A6E4CC4A08E79F29891662E\"></a><ul>\n                  <li>Map bones manually \n                     		\n                  </li>\n                  <li>Map bones automatically based on a naming template \n                     		\n                  </li>\n               </ul> \n            </li>\n         </ol><a name=\"OL_1A7363BFF8994604BCA957161AC5E269\"></a><p class=\"list-intro\"><a name=\"GUID-4EF6ECF9-49D7-40EE-A9CB-DB9FAC1FFA6F\"></a>To map bones manually\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Do one of the following to start mapping bones to the Character: \n               		<a name=\"UL_51ECF693913149F88681183D66FBDDE0\"></a><ul>\n                  <li>Go from the \n                     			 <span class=\"MenuCascade\" id=\"GUID-17921AEC-FA4A-4A29-91C5-E344F30E4C9F\">Definition</span> tab to your skeleton: Double-click a cell in the Character view (cells turn blue when picked), then click the corresponding\n                     bone in the scene. \n                     		  \n                  </li>\n                  <li>Go from your skeleton to the \n                     			 <span class=\"MenuCascade\" id=\"GUID-B52BF82A-DEBC-4ED7-9FB7-534FEFBB6F52\">Definition</span> tab: Select a bone then right-click the corresponding cell in the Character and select \n                     			 <span class=\"MenuCascade\" id=\"GUID-E2EF17EF-F824-4BDF-BAC7-7153EBA21749\">Assign Selected Bone</span>. \n                     			 \n                     <p><a name=\"GUID-7F552460-0E9A-4D6F-A598-45121D2BA246\"></a>Bones in the Character view turn green to indicate each valid bone assignment. \n                        			 \n                     </p> \n                  </li>\n               </ul>\n               <p><a name=\"GUID-1409A07D-0C3C-4C4D-BE47-32884BAE0FA0\"></a> For more information on which bones map to which nodes, see \n                  		  <span class=\"char_link\"><a href=\"GUID-A900A0BA-A1A6-4707-A6AE-26FE8F49BEC6.htm\">HIK character structure</a></span>. \n                  		\n               </p>\n               <div><a name=\"GUID-17762904-CFAF-4F1A-9FC2-7BF7956B29CA\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>If you have used a standard left or right naming convention and keep the \n                     		  <span class=\"MenuCascade\" id=\"GUID-53CB72C6-879C-4371-B97A-E0B7877ADF2E\">Mirror Matching</span> option on, and map (for example) a right leg bone, the tool automatically maps the left bone for you. See also \n                     		  <span class=\"char_link\"><a href=\"GUID-F64BF823-CF5D-45AB-A1DD-1D38965D70C1.htm\">Edit menu</a></span> and \n                     		  <span class=\"char_link\"><a href=\"GUID-73DAADBC-B941-469B-B415-152C82C38719.htm\">Activate and configure mirror matching</a></span>. \n                     		\n                  </div>\n               </div> \n            </li>\n            <li>Continue mapping until you have all required bones defined. Once you have mapped all required bones, the validation status\n               indicator turns green, and you can lock the character definition. \n               		<a name=\"FIG_8760B61A578240E6973B0B3BE7655BC7\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-6B884E84-237C-4957-8F87-ED0883AF9D0F-low.png\"></div> \n            </li>\n            <li>(Optional) Expand the extra sections of the Character view to map other optional joints, such as additional spine joints or\n               roll bones. \n               	 \n            </li>\n            <li> (Optional) Map a reference bone. \n               	 \n            </li>\n            <li>Lock the character definition. \n               		\n               <div><a name=\"GUID-9518C38A-3F5E-4DFD-89D2-80F547D7CEEF\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Locking the character definition in the \n                     		  <span class=\"MenuCascade\" id=\"GUID-92590304-CD8F-4916-818B-116E0E5D9B2F\">Definition</span> tab will automatically update the mapping list. \n                     		\n                  </div>\n               </div> \n            </li>\n         </ol><a name=\"OL_FA5B4E05CB9A4DC4939D464C340D16AD\"></a><p class=\"list-intro\"><a name=\"GUID-C0B522AB-3739-4989-A950-19FF57C84726\"></a>To map bones automatically based on a naming template\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the bones you want to assign. \n               	 \n            </li>\n            <li> Click the \n               		<span class=\"MenuCascade\" id=\"GUID-A89AB505-6EBD-4113-B2C9-763ED58F853B\">Load Skeleton Definition</span> icon, \n               		<img src=\"../images/GUID-23A1D42E-9951-4F88-A7A7-0AF68500EC74-low.png\">. \n               	 \n            </li>\n            <li>In the \n               		<span class=\"MenuCascade\" id=\"GUID-9369A73F-3221-40DE-9F58-DBA19F568F65\">Load Skeleton Definition</span> window that appears, select the naming template you want to apply from the \n               		<span class=\"MenuCascade\" id=\"GUID-BF3B9C20-C4A4-47B8-84B0-EA48BB24D858\">Template</span> drop-down list. \n               		\n               <p><a name=\"GUID-0CA6750B-C10A-4864-B251-C17098DE70B5\"></a> By default, this list contains all templates supplied with the Definition tab, and any templates that you have created. To\n                  navigate and select a template that is not listed, select \n                  		  <span class=\"MenuCascade\" id=\"GUID-B5F23B1A-DB24-4E67-B4FA-6BF9A0EF1D91\">&lt;Browse&gt;</span>. \n                  		\n               </p> \n               <p><a name=\"GUID-F6E891E7-32C2-4B31-91D6-6B66F04448CB\"></a> For example, if the joints of your character are named according to the HIK naming conventions (listed in the \n                  		  <span class=\"char_link\"><a href=\"GUID-F3374419-7FF9-40A6-B8D4-6D012797A878.htm\">Character and Name Match views</a></span>), you can use the HIK template to automatically complete the mapping process. \n                  		\n               </p> \n            </li>\n            <li>(Optional) If you want to restrict the template matching to only a subset of the bones in your skeleton, select those bones.\n               \n               	 \n            </li>\n            <li>Set the scope for the name matching. \n               		\n               <p><a name=\"GUID-78F36700-8C46-48C9-BFA6-304A773CC346\"></a> Select the \n                  		  <span class=\"MenuCascade\" id=\"GUID-6C7BE983-C007-4869-ADD9-1D2DB3887E47\">Match all bones with prefix</span> option to map all bones whose names contain both the prefix shown in this field and a suffix contained in the mapping template.\n                  The suggested prefix is retrieved from the bones you have selected. You can change this suggested prefix if it does not match\n                  the prefix used by the skeleton you want to characterize. Select the \n                  		  <span class=\"MenuCascade\" id=\"GUID-FEA56086-01E4-49C2-A9EC-3E8D4399EED2\">Match only selected bones</span> option to restrict the suffix matching to only selected bones. \n                  		\n               </p> \n            </li>\n            <li>Click \n               		<span class=\"MenuCascade\" id=\"GUID-9C6CF6F1-F49A-4D3B-8259-2DBA52F7D947\">OK</span>. \n               	 \n            </li>\n         </ol>\n         <div class=\"section\"><a name=\"SECTION_CBBB32F845F14EFDADDD9D50F2FE3C14\"></a> \n            <h2><a name=\"GUID-136F20F6-90E0-4E94-892D-9823423C68FD\"></a>Editing naming templates in XML\n            </h2> \n            <p><a name=\"GUID-D114F2B8-244D-41E9-90A3-F33AFBDB0C47\"></a>Because mapping templates use a simple human-readable XML format, you can create and edit mapping templates in any text editor.\n               If you choose this approach, use the mapping templates supplied with the \n               		<span class=\"MenuCascade\" id=\"GUID-361D45B9-0D06-45EB-9A17-FAB5904D3FF8\">Definition</span> tab as examples of the format required. \n               	 \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-0CA89528-94E7-45EE-B604-EB6C1E7CD911.htm\">Definition tab \n                           		</a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-5E66702A-643F-4484-B0FD-72BCCA677B19.htm\">Character Controls\n                           		</a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";