var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-25277B22-F198-4506-B1B0-862D0731A285\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Pose options</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-25277B22-F198-4506-B1B0-862D0731A285\"></a><div class=\"head\">\n            <h1>Pose options</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E9B\"></a> A pose is a stationary character position set on a specific frame. To create motion cycles, you can insert poses on tracks\n            to determine the start or end positions of characters. If you want the beginning of a cut to start at one pose and the end\n            of the cut to finish at another pose, you need a track for each pose. The ghost of a pose appears in the Viewer window and\n            does not move when the take plays. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E9A\"></a>Each pose has a letter to distinguish it, and a frame number that appears when you select it. When a pose is selected in the\n            Result track, a handle appears in the middle of your cut. Adjust this handle to select when you want the blending between\n            your cut and the pose to begin. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E99\"></a>The Pose options affect poses and cuts within tracks. \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E98\"></a> \n            <h2><a name=\"GUID-AE19ECF0-8634-4B2C-8BBC-F88BDECE3835\"></a>Insert\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E97\"></a>Sets a pose on the selected track at the position of the Timeline indicator. You can change the position by click-dragging\n               the pose right or left, or double-clicking its value and typing in a frame number. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E96\"></a>A pose is selected when its frame number is visible. The ghost of the pose displays in a static position in the Viewer window.\n               You can no longer see the ghost’s movement when you play the take. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E95\"></a>The line representing your pose in the Cut area displays in the same color as the corresponding ghost, root, and cuts for\n               its track. \n            </p> \n            <p><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0E7D\"></a>In the following figure, the track’s ghost (A) displays for Pose A beside the rendered figure of another track. The frame\n               number on Pose A indicates that the pose is selected. The line of the pose is the same color as its ghost. \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E94\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-650B9EF1-DF34-4993-B711-10593512D9D9-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A. </em>Track’s ghost displays for Pose A <em class=\"mild\">B.</em> Frame number on Pose A indicates the pose is selected\n               </p>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E92\"></a>You can use multiple poses, which are differentiated by sequential alphabetical tagging, in an edit. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E91\"></a>For pose blending to work properly, you must translate and rotate the location of the pose’s ghost before you set the Start\n               or Stop Pose. This prevents jumps and slides that occur if the ghost of the pose is not standing in the same location or facing\n               the same direction as the character at the start of the cut. \n            </p> \n            <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E90\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> You can only use poses on skeletons with plotted animation. \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E8E\"></a> \n            <h2><a name=\"GUID-591AA0BC-7102-4E70-9441-F0683C98563A\"></a>Remove\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E8D\"></a>Removes the selected pose and renames remaining poses. For example, if you remove Pose A and there is a Pose B and a Pose\n               C, the last two poses are renamed A and B. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E8C\"></a> \n            <h2><a name=\"GUID-AF98AC41-F590-4DDF-B80A-5335A0A52F0C\"></a>Start Pose\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E8B\"></a>Defines a pose for the beginning of the Result track. If there is more than one pose, click Start Pose repeatedly to cycle\n               through the available poses. Start Pose can also remove the defined pose from the beginning of the cut in the Result track.\n               \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E8A\"></a> \n            <h2><a name=\"GUID-013177AC-C6AE-4420-8BFD-47772C8D93B1\"></a>Stop Pose\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E89\"></a>Defines a pose for the end of the Result track. If there is more than one pose, click Stop Pose repeatedly to cycle through\n               the available poses. Stop Pose can also remove the defined pose from the end of the cut in the Result, and create loops. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";