var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-2695068C-7D7E-49EE-88CE-61B201A0EAC6\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Materials working with shaders and textures</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-2695068C-7D7E-49EE-88CE-61B201A0EAC6\"></a><div class=\"head\">\n            <h1>Materials working with shaders and textures</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EFA\"></a> Some of the effects of materials, such as detail and reflectivity, can be also achieved with shaders or textures. Used together\n            these can give simple grey models surfaces which resemble glass, metal, skin, and so on. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EF8\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-F8841E63-AA62-42A4-8442-673C61899BEB-low.png\"><p class=\"figure-title\">Vase with materials, textures, and shaders added</p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EF6\"></a>A model’s material properties may be used by the texture settings when applying textures, and by the shader settings when\n            applying certain shaders. \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-136E\"></a> \n            <h2><a name=\"GUID-8C8B4CF3-DC1F-48B4-857C-71587D873297\"></a>Materials and textures\n            </h2> \n            <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-136D\"></a>Attach textures or Layered textures to a Material’s properties. For example, you can attach a texture to the Material’s Diffuse\n               property to add color and detail to the model’s surface. See <span class=\"char_link\"><a href=\"GUID-616DFD1D-5907-405F-98C9-9EA6ED3F18C6.htm\">Adding a texture to a material</a></span> and <span class=\"char_link\"><a href=\"GUID-11A64D59-F5B6-43F8-98F7-9572E62DC642.htm\">Detaching textures</a></span>. \n            </p> \n            <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-136C\"></a>For other Material properties, the attached texture can only display in the Viewer when a type of shader is applied to the\n               model. For example, to see the texture attached to the Normal Map property, apply a Bump Map shader and add a light to the\n               scene. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-136B\"></a> \n            <h2><a name=\"GUID-5892D1E0-E7A1-43EA-A039-D68E896D18D4\"></a>Materials and shaders\n            </h2> \n            <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-136A\"></a>The results of some material settings applied to a model may not display in the Viewer window. You must use shaders with advanced\n               Material settings to see the results in the Viewer window. The advanced settings that need shaders are as follows: \n            </p> <a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-6C3F\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"33.22763306908267%\">\n                     <col width=\"30.351075877689688%\">\n                     <col width=\"36.42129105322763%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Material settings </th>\n                     <th class=\"table-heading\">Shader </th>\n                     <th class=\"table-heading\">See </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Transparency </td>\n                     <td class=\"table-body\">Flat, Light, and Dynamic Light </td>\n                     <td class=\"table-body\">&nbsp; <span class=\"char_link\"><a href=\"GUID-F72CC4A6-7B02-4EB3-B2F5-2B0A6CB24F29.htm\">Making an object transparent</a></span> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Reflectivity </td>\n                     <td class=\"table-body\">Reflection </td>\n                     <td class=\"table-body\">&nbsp; <span class=\"char_link\"><a href=\"GUID-D45F1033-7594-409B-83DC-D5CD67F87A15.htm\">Reflection effects</a></span> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Bump Map and Normal Map </td>\n                     <td class=\"table-body\">Bump Map </td>\n                     <td class=\"table-body\">&nbsp; <span class=\"char_link\"><a href=\"GUID-6311A401-6EE8-4F71-94A8-1F7A5983B751.htm\">Creating a Bump Map</a></span> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Displacement </td>\n                     <td class=\"table-body\">Custom shaders </td>\n                     <td class=\"table-body\"> <span class=\"char_link\"><a href=\"GUID-6D43452D-E354-4E1A-B63A-654A7F99844B.htm#WS1A9193826455F5FF11D4ED1B128F2317A0893B\">Displacement settings</a></span> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Texture attached to a Material property. Only the Diffuse property does not need a shader. </td>\n                     <td class=\"table-body\">Custom shaders </td>\n                     <td class=\"table-body\">&nbsp; <span class=\"char_link\"><a href=\"GUID-A58F7B77-D93F-4329-AAD2-8D0AF072064A.htm\">Textures</a></span> \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div><a name=\"WS1A9193826455F5FF11D4ED1B128E0E4B3AA-7FFC\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Custom shaders are created using the Open Reality&reg; SDK. \n            </div>\n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-429EF94B-986F-4C5E-90E7-0328E5FDE37C.htm\">Applying a material to a model </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-0DBC05BB-C285-4DFD-92CB-8E889719C800.htm\">Shader basics </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";