var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-27946A61-BCFB-4885-B50B-0570781D3B07\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Exporting BVH animation to Character Studio</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-27946A61-BCFB-4885-B50B-0570781D3B07\"></a><div class=\"head\">\n            <h1>Exporting BVH animation to Character Studio</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-570B\"></a>If you want to use BIPED in Character Studio, you may have to export your animation as a Biovision (BVH) file. Before exporting\n            your animation, you must create a biped-type skeleton with the proper naming conventions in <span class=\"charspan-msgph\">MotionBuilder</span>. You must also plot the animation onto the skeleton itself, respecting its hierarchy. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-570A\"></a>Character Studio imposes names for the skeleton’s bones (nodes). If your skeleton does not use the names in the following\n            table (alternate names are shown in parentheses), then Character Studio rejects the skeleton when you import the <em class=\"mild\">.bvh</em> file. \n            <div><a name=\"GUID-DE2D3E23-4CC9-45C9-826F-47CF0F11BAF7\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Joint names should not contain spaces, for example, \'Left Knee\' is incorrect, but \'LeftKnee\' is accepted. Also, if your joint\n                  names do not match these conventions, Biped does not recognize them and they are ignored, that is, the animation does not\n                  retarget properly. \n               </div>\n            </div> \n         </p>\n         <p><a name=\"GUID-23448430-8319-49B1-B895-CE4DCCB873CF\"></a> The <em class=\"mild\">.bvh</em> file hierarchy requirement is important because the order in which every joint of a skeleton is the child of a parent joint,\n            with the exception of the root joint. If you open a <em class=\"mild\">.bvh</em> file in a text editor, you can see that the hip joint is at the root of the hierarchy. When you export an animated skeleton\n            using <em class=\"mild\">.bvh</em>, <span class=\"charspan-msgph\">MotionBuilder</span> does not use the skeleton hip joint as root by default, but uses its reference node instead. Because of this, Biped does\n            not recognize this first node, which leads to a static pelvis joint on a Biped character. \n         </p>\n         <p><a name=\"GUID-D4C29762-327B-4E4D-99CB-37100D213F56\"></a>You must export your scene in <em class=\"mild\">.bvh</em> format in order to bring it back into Character Studio. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5708\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Before you export a model from 3ds Max, make sure that you reset all transformations, the pivot, and the scale of your model.\n               \n            </div>\n         </div><a name=\"OL_CB0DDE6135C74F8C8162EA62915EA109\"></a><p class=\"list-intro\"><a name=\"GUID-F255BB89-8EF4-47C6-912C-A45B41D72773\"></a>To export your <em class=\"mild\">.bvh</em> animation to Character Studio\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>In the Viewer window, select the skeleton\'s Hip joint. \n               <div><a name=\"GUID-30B4AD7F-44C9-42D1-B196-950AED5992BC\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If you do not select the Hip joint, the Export Options dialog box does not display the correct menu items to perform this\n                     operation. \n                  </div>\n               </div> \n            </li>\n            <li>Select File &gt; Motion File Export, and enter a name for the new file. </li>\n            <li> In the Export Options dialog box, select Selected Model and Children from the Content menu. (For more information, see <span class=\"char_link\"><a href=\"GUID-C703CAF1-8824-4E67-A3E4-00091C5F07DB.htm\">Exporting motion files</a></span>) When you select Selected Model and Children from the Content, <span class=\"charspan-msgph\">MotionBuilder</span> uses your skeleton\'s hip joint as a root in the resulting <em class=\"mild\">.bvh</em> file. \n            </li>\n            <li>Make sure that the File name and Sampling Rate are correct, and click Export. </li>\n            <li>In 3ds Max, load the new <em class=\"mild\">.bvh</em> file onto a Biped. \n            </li>\n         </ol><a name=\"WS73099CC142F48755-49D92FDB129CC323221-6802\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"32.06607829825753%\">\n                  <col width=\"67.93392170174248%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\">Naming Convention </th>\n                  <th class=\"table-heading\">Description </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Hips </td>\n                  <td class=\"table-body\">Origin of the entire skeleton. Parent to LeftHip, RightHip, and Chest. </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">LeftHip (LeftUpLeg) </td>\n                  <td class=\"table-body\">Must be child of Hips and parent to LeftKnee. </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">LeftKnee (LeftLowLeg) </td>\n                  <td class=\"table-body\">Must be child of LeftHip and parent to LeftAnkle. </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">LeftAnkle(LeftFoot) </td>\n                  <td class=\"table-body\">Must be child of LeftKnee. </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">RightHip (RightUpLeg) </td>\n                  <td class=\"table-body\">Must be child of Hips and parent to RightKnee. </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">RightKnee (RightLowLeg) </td>\n                  <td class=\"table-body\">Must be child of RightHip and parent to RightAnkle. </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">RightAnkle (RightFoot) </td>\n                  <td class=\"table-body\">Must be child of RightKnee. </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Chest </td>\n                  <td class=\"table-body\">Must be child of Hips and parent to LeftCollar, RightCollar, and Neck. </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">LeftCollar </td>\n                  <td class=\"table-body\">Must be child of Chest and parent to LeftShoulder. </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">LeftShoulder (LeftUpArm) </td>\n                  <td class=\"table-body\">Must be child of LeftCollar and parent to LeftElbow. </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">LeftElbow (LeftLowArm) </td>\n                  <td class=\"table-body\">Must be child of LeftShoulder and parent to LeftWrist. </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">LeftWrist (LeftHand) </td>\n                  <td class=\"table-body\">Must be child of LeftElbow. </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">RightCollar </td>\n                  <td class=\"table-body\">Must be child of Chest and parent to RightShoulder. </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">RightShoulder (RightUpArm) </td>\n                  <td class=\"table-body\">Must be child of RightCollar and parent to RightElbow. </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">RightElbow (RightLowArm) </td>\n                  <td class=\"table-body\">Must be child of RightShoulder and parent to RightWrist. </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">RightWrist (RightHand) </td>\n                  <td class=\"table-body\">Must be child of RightElbow. </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Neck </td>\n                  <td class=\"table-body\">Must be child of Chest and parent to Head. </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Head </td>\n                  <td class=\"table-body\">Must be child of Neck. </td>\n               </tr>\n            </table>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";