var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-29BA63D4-CAA4-452F-8873-5A5197D4668E\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Magnetic capture and calibration</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-29BA63D4-CAA4-452F-8873-5A5197D4668E\"></a><div class=\"head\">\n            <h1>Magnetic capture and calibration</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F214\"></a> Magnetic motion capture devices are sensitive to magnetic interference caused by metallic objects such as aluminium heating\n            ducts, metal plumbing fixtures, and steel-reinforced concrete. This can cause noticeable distortion in captured data. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F216\"></a>To minimize distortion, you can remove all metallic objects from the capture area. You can also build an elevated stage to\n            raise the capture area and eliminate interference from beneath the studio floor. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F217\"></a>Even after taking these precautions, your studio may still contain some magnetic distortion. To compensate for the remaining\n            distortion, <span class=\"charspan-msgph\">MotionBuilder</span> creates an internal 3D distortion grid as part of the calibration process with your motion capture devices. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F218\"></a>The 3D distortion grid represents the amount of distortion the sensors receive at different locations of the capture area.\n            While creating the 3D distortion grid, the calibration pole is physically placed at the corner of each square, and the location\n            of the sensors are recorded. A distortion grid is created using the data from all recorded corners. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F219\"></a>Before calibrating, do the following: \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F21A\"></a><ul>\n            <li>Find the best location for your floor grid by walking around your studio holding the calibration pole, and capturing the location\n               of the sensors on the pole. \n            </li>\n            <li>Create a floor grid representing the capture area on your studio floor. The grid must be square and each grid unit must have\n               the same dimensions, such as one square foot, or 30.5 cm. Linoleum with a square tile pattern generally works well as it usually\n               has 6 or 12 tiles. \n               <div><a name=\"WS73099CC142F4875535A241551166AC8792F21D\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Although it is not recommended, you may decide to do motion capture without calibrating your environment. This decision depends\n                     on the amount of magnetic distortion in your capture environment, as well as the type of production. \n                  </div>\n               </div> \n            </li>\n         </ul>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-9E50652A-B2AE-45BD-81DB-2E438847B81C.htm\">Creating a capture area </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";