var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-2AEC9EB0-FC8B-4172-9A20-82CB582D1774\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Optical terminology</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-2AEC9EB0-FC8B-4172-9A20-82CB582D1774\"></a><div class=\"head\">\n            <h1>Optical terminology</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F14\"></a> Almost all optical devices, file formats, and capture systems have their terminology that refers to optical capture and reconstructing\n            optical data. This section lists the terms used to describe optical capture, cleaning, and reconstruction methods.\n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F16\"></a> \n            <h2><a name=\"GUID-BD887460-24BC-4F6F-8981-73EA0ED9CAA5\"></a>Optical Root\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F17\"></a>Represented as a sphere, the Optical root is the main reference for optical data imported into <span class=\"charspan-msgph\">MotionBuilder</span>. You can translate, rotate, and scale all markers attached to the optical marker.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F18\"></a> \n            <h2><a name=\"GUID-00E795A5-F48D-4480-B7BF-B3BEB66725E7\"></a>Sensor\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F19\"></a>A sensor is a reflector or light source attached to a performer’s body. Sensors are tracked by optical cameras during the\n               capture process. Captured data is combined to create segments.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F1A\"></a> \n            <h2><a name=\"GUID-FBC0546E-A5DB-4EE1-92A7-2258CD6339EE\"></a>Marker\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1B\"></a>Markers are used to identify segments. One or more segments, after being labelled or identified, combine to create a marker\n               of continuous data.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F1C\"></a> \n            <h2><a name=\"GUID-DA1424E8-DD7E-4C9F-93DB-FDCF30813248\"></a>Segment\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1D\"></a>Refers to data captured from a sensor during an optical capture session. During optical cleaning, you label segments to associate\n               them with markers. Unlabeled segments display as blue asterisks.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F1E\"></a> \n            <h2><a name=\"GUID-3807AA3E-51C3-44CB-8E2F-AF8A36EE2CBB\"></a>Current Segment\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F\"></a>The current segment is selected in the Optical editor. When a segment is selected and active (not set to Done in the Label\n               pane), it is colored green.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F20\"></a> \n            <h2><a name=\"GUID-167F8186-99B9-4BDF-9F66-9CDF58573293\"></a>Rigid Body\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F21\"></a>Two or more markers that are grouped to correct occlusion are called a Rigid body.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F22\"></a> \n            <h2><a name=\"GUID-EDD50339-7721-4536-AEF8-0E52BD253C04\"></a>Gap\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F23\"></a>A gap is the space before, after, or between a marker’s segments that do not contain sensor data.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F24\"></a> \n            <h2><a name=\"GUID-C69989BC-520B-4BB4-854A-67D5C024D855\"></a>Done\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F25\"></a>Done refers to the state of a marker in the optical system. When set to Done, the marker is no longer an active optical marker\n               and cannot be used within the Optical settings. Done optical markers are non-active markers whose data can be filtered and\n               modified in the FCurves window.\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F26\"></a> \n            <h2><a name=\"GUID-B18F99FC-AC23-4451-9B37-B0E49F30CF4A\"></a>Sample\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F27\"></a>The position of a sensor recorded by each camera at each frame is called a sample. All samples from each camera are processed\n               by a computer which generates a three-dimensional representation of each sensor’s position in time. These are also sometimes\n               referred to as keyframes.\n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";