var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-2F90B94B-3966-4448-9E2A-ADC9D950780B\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Creating a Joint chain reaction</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-2F90B94B-3966-4448-9E2A-ADC9D950780B\"></a><div class=\"head\">\n            <h1>Creating a Joint chain reaction</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF2566FFD511FDE75E6566A93\"></a>This section explains how to use multiple joints to create a chain or string of objects. \n         </p>\n         <p><a name=\"WS73099CC142F48755-191A86AC126720FA35442E7\"></a> \n         </p>\n         <div><a name=\"WS73099CC142F48755-191A86AC126720FA35442E8\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Use the polySphere element in the Asset browser when you require a sphere model for Physics solves. The Elements folder Sphere\n               \"element\" has geometry that may produce unpredictable results. \n            </div>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-725E\"></a>To connect two objects in a simple joint relationship, see <span class=\"char_link\"><a href=\"GUID-1795C2F6-8583-467C-8C1D-D3DA59C54C79.htm\">Creating a Joint reaction</a></span>. \n         </p><a name=\"WS1A9193826455F5FF2566FFD511FDE75E6566A94\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF2566FFD511FDE75E6566A95\"></a>To create a string of beads:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Create a group of spheres in a row in the Viewer window. <a name=\"WS1A9193826455F5FF2566FFD511FDE75E6566A97\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-164EEEC9-A905-42B9-8C75-2512E350DB2D-low.png\"><p></p>\n                  <p class=\"figure-title\">A row of spheres</p>\n               </div> \n            </li>\n            <li>From the Asset browser Elements folder, double-click the Null asset, and then click between the beads in the Viewer window.\n               Do this between each bead and press Enter when you finish. <a name=\"WS1A9193826455F5FF2566FFD511FDE75E6566A99\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-2C5772A8-6F9D-4ED4-AE43-D9ECD3B5DE22-low.png\"><p></p>\n                  <p class=\"figure-title\">Put Nulls between each sphere.</p>\n               </div> \n            </li>\n            <li>Select the first bead and drag a Rigid body Physical Property on top of it. </li>\n            <li>In the Physical Properties Setup pane, the Activation type to Passive. <a name=\"WS1A9193826455F5FF2566FFD511FDE75E6566A9C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-5F8F2CAB-8104-4304-A791-8EB69EEE7AA7-low.png\"><p></p>\n                  <p class=\"figure-title\">Setup pane <em class=\"mild\">A.</em> Passive option\n                  </p>\n               </div> \n            </li>\n            <li>Ctrl-click to select the remaining beads and drop a Rigid body Physical Property on them. This applies a rigid body to all\n               the selected beads. Make sure the Activation type of these remaining beads is set to Active. \n            </li>\n            <li>In the Setup pane, expand Approximation Setup and deactivate the Correct Mass Center option. <a name=\"WS1A9193826455F5FF2566FFD511FDE75E6566A9F\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A5C80EFF-5455-445C-840C-B2377EF4221B-low.png\"><p></p>\n                  <p class=\"figure-title\">Setup pane <em class=\"mild\">A.</em> Correct Mass Center option\n                  </p>\n               </div> \n            </li>\n            <li>Select the nulls between the beads and drag a Joint Physical Property on top of them. Click Joints in the Scene browser to\n               display the Joint properties in the Navigator window. \n            </li>\n            <li>Ctrl-click the top bead and then the second one to select them. Alt-drag them in the Null Joint Connections field. </li>\n            <li>Repeat this for all the other beads, for example bead 2 and bead 3, bead 3 and bead 4, and so on. <a name=\"WS1A9193826455F5FF2566FFD511FDE75E6566AA4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-0E066B9C-1EA3-488E-B942-4FA65E5968C7-low.png\"><p></p>\n                  <p class=\"figure-title\">The Setup pane Null Joint settings.</p>\n               </div> \n            </li>\n            <li>You should select the parent first and then the child nodes. \n               <p><a name=\"WS1A9193826455F5FF2566FFD511FF6F8C7CA-6571\"></a>The Parent/Child order in a joint relationship is important as it defines how much reaction is carried through the chain.\n                  The Parent/Child relationships can also define the number of objects connected to the parent. For example, one parent object\n                  can have many children that are linked to it by a joint, however you cannot have one child with many parents as this creates\n                  solve conflicts. \n               </p> \n            </li>\n            <li>Drag a Physics solver into the scene from the Asset browser Solvers folder. </li>\n            <li>In the Physics solver Solver window, click Online and Live. \n               <p><a name=\"WS1A9193826455F5FF2566FFD511FDE75E6566AA8\"></a>Translate the top bead to see the other beads in the chain react. You can tweak the <span class=\"char_link\"><a href=\"GUID-1CB888F3-9ADE-48D1-BCBB-BA60641A3EBC.htm\">Joint settings</a></span> to create different effects, such as an elastic or stiffness effect. \n               </p> <a name=\"WS1A9193826455F5FF2566FFD511FDE75E6566AA9\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-2A0DD306-6C46-4143-A774-45CC3D21BDD4-low.png\"><p></p>\n                  <p class=\"figure-title\">The beads swing.</p>\n               </div> \n               <div style=\"margin-top: 9pt;\"><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-770E\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>When you set the Physics Solver to Live, if you select an object that has a Physical property, such as Ragdoll, Rigid Body,\n                     or Joint attached to it, you must deselect the object, otherwise the object ignores the Physics Solver.This is because selecting\n                     the Physical property object when the Physics Solver is Live during recording re-evaluates the FCurves based on the Frame\n                     Rate shown in the Transport Controls. \n                  </div>\n               </div> \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";