var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-2F9D77FA-5B65-4A61-A44E-2C2F23F8BDDD\">\n      <meta name=\"indexterm\" content=\"converting goals to IK/FK state\">\n      <meta name=\"indexterm\" content=\"IK/FK state: converting goals\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Solve the final skeleton with Flexible Mocap</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-2F9D77FA-5B65-4A61-A44E-2C2F23F8BDDD\"></a><div class=\"head\">\n            <h1> Solve the final skeleton with Flexible Mocap</h1>\n         </div>\n         <div class=\"section\"><a name=\"SECTION_BDEADC12A0A14E7291EF5BE5284CC76C\"></a> \n            <h2><a name=\"GUID-DA3C3BF0-77B0-4748-999C-C8B137F58EF6\"></a>Converting Goals to IK/FK state\n            </h2> \n            <p>Before the solving step, goals must be converted to an IK/FK state so they can be used by the solver to output a skeleton\n               state. \n               		\n            </p> \n            <p><a name=\"GUID-414AFC88-AA33-464C-A542-CA44A687FA56\"></a>The IK state uses both the goals\' rotation and translation and the FK state uses only the goals\' extracted rotation. FK and\n               IK effectors that don\'t have corresponding goals (because no markers were assigned to corresponding bones) simply take values\n               from default stance pose. \n               		\n            </p> \n            <p><a name=\"GUID-79C38930-36F3-4F52-B450-FE26B0FBCCD9\"></a> Reaches can be adjusted to reach IK goals or keep the FK ones. When reaching IK translation, rotations up the hierarchy might\n               be changed so that the translation is reached. For this reason, IK effectors have the same rotation as FK effectors so that\n               if the rotation is kept, you can also reach this rotation. \n               		\n            </p> \n            <p>For example, if translation is set to be reached on the IK wrist effector, solving can change the extracted rotation on the\n               elbow so that the wrist reaches the right position. If the elbow rotation (i.e. its angle) is important, reach can be set\n               on the elbow rotation so that it is maintained during the solve (which might result in the shoulder getting pulled for example).\n               This is why IK effectors have the same rotation as FK effectors. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_B1552545B51B4C3BBB42AC3DA6A1E408\"></a> \n            <h2><a name=\"GUID-822E28A9-96A5-4628-8605-006007326C25\"></a>Modifying DOF values\n            </h2> \n            <p> You can adjust the DOF Rotation properties during the solving setup process while the character is active. Previously, you\n               could only modify the DOF Translation values post characterization. \n               		\n            </p> \n         </div>\n         <p><a name=\"GUID-B0F3982B-92F4-4BA2-8BC9-8160EE6CEADA\"></a> Previously, you would set Degrees of Freedom (DOF) on properties on the resulting solve to prevent body parts from moving\n            however, the results were inaccurate and sometimes undesirable. Now, you can lock the DOF properties on the skeleton and thererfore\n            have the HIK solver faithfully follow the joint limits in the final resulting solve. This is called locking DOF channels.\n            \n            	 \n         </p>\n         <div class=\"section\"><a name=\"SECTION_7565AABB0F3548C9B9FCA7DB0B6B8ED1\"></a> \n            <h2><a name=\"GUID-6FE31F42-6BB3-417E-B517-D48919905FB5\"></a>Related topics\n            </h2> <a name=\"UL_85733F8DE25B4BC482DBC40C4C66DC72\"></a><ul>\n               <li><span class=\"char_link\"><a href=\"GUID-1521373E-6C4F-4BE2-8A33-4A159C7B8EF6.htm\">About the Flexible Mocap pipeline</a></span> \n               </li>\n               <li><span class=\"char_link\"><a href=\"GUID-1250DC36-5EDF-48BB-AD0B-3C46C160C4BE.htm\">Flexible Mocap extraction types</a></span> \n               </li>\n            </ul> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";