var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-3439A939-FA94-4981-986F-FC92429ECD19\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Planning and creating motion clips</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-3439A939-FA94-4981-986F-FC92429ECD19\"></a><div class=\"head\">\n            <h1>Planning and creating motion clips</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FF74\"></a> Planning your motion clips before creating them helps to produce smooth transitions between motion clips. It is important\n            to blend the right clips together so that the beginning and end of each motion clip blends with the previous or next triggered\n            motion clip. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FF76\"></a>For example, when creating the “walk and turn” motion cycle, you must make sure its start and end match the “walk” cycle and\n            “walk and jump” cycle. Each cycle can continually trigger itself before playing the triggered motion clip. In the following\n            graphic, the “walk cycle” continues to loop until the “walk and turn” or “walk and jump” clips are triggered. \n         </p><a name=\"WS1A9193826455F5FF-3859B43C1209703A83820F3\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-F4F9761D-7FB0-4282-AB64-9F0E5D50B63C-low.png\"><p class=\"figure-title\">Trigger sequence with three motion cycles</p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FF79\"></a>A good walk cycle has no slides or jumps that mark the start and end of the motion clip. As the motion clip loops, a character\n            walks forward without a hitch. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FF7A\"></a>The transitions between these three motion clips are smooth because the start and end of each clip matches the start and end\n            of the other clips. In fact, the walk cycle serves as the main looping cycle, or base motion cycle. The other two animation\n            cycles are created so that their start and end match the start and end of the walk cycle. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FF7B\"></a>Similarly, in the following graphic, the “rest pose” motion clip is the base motion cycle for the other two facial motion\n            clips. The “rest pose and smile” clip and “rest pose and frown” clip both start and end with the same rest pose as the “rest\n            pose” cycle, to create smooth transitions. \n         </p><a name=\"WS1A9193826455F5FF-3859B43C1209703A83820F4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-1FC830AA-27F5-4FFC-A13E-A365F1FA1790-low.png\"><p class=\"figure-title\">Trigger sequence for facial animation</p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FF7E\"></a>When you create a series of animation cycles, the first cycle you create should serve as the base motion cycle for other animation\n            cycles. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FF7F\"></a>The more motion clips you use, the more useful base motion cycles become. When you plan to use a larger series of motion clips,\n            with run cycles and other types of animation, it is helpful to use more than one base motion cycle. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FF80\"></a>For example, the following graphic shows an expanded set of motion clips, or trigger hierarchy, that includes motion clips\n            for running and walking backwards, as well as walking forwards. The base motion cycles in this example are the walk, run,\n            and walk backwards cycles (A, B, and C). \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FF81\"></a>The start and end of the “run and turn” and “run and jump” motion clips match the start and end of the base motion clip “run\n            cycle”. The “run to walk” motion clip is a transition clip whose start matches the “run” cycle, and whose end matches the\n            “walk” cycle. All these factors must be considered when creating motion clips. \n         </p><a name=\"WS1A9193826455F5FF-3859B43C1209703A83820F5\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-D1B3E373-4503-4269-AE67-B62D4D686A6A-low.png\"><p class=\"figure-title\">Trigger hierarchy for a set of motion clips <em class=\"mild\">A.</em> Base walk cycle <em class=\"mild\">B.</em> Base run cycle <em class=\"mild\">C.</em> Base walk backwards cycle\n            </p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FF84\"></a>The easiest way to create animation cycles is to use the Story window. To use them as motion clips in the Animation Trigger\n            window, you then need to plot them to a character and save each animation cycle as a separate <em class=\"mild\">.fbx</em> file. \n         </p>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";