var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-39BBB786-1E4F-45B9-B147-0789400B8C91\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Temporarily shifting the pivot from original location</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-39BBB786-1E4F-45B9-B147-0789400B8C91\"></a><div class=\"head\">\n            <h1>Temporarily shifting the pivot from original location</h1>\n         </div>\n         <p><a name=\"GUID-079E70C1-767E-4522-B99F-E2AE9CB9AA06\"></a>This section provides an example to explain how to move the pivot of an object from an offset position to its center, using\n            the <span class=\"MenuCascade\" id=\"GUID-B3206A79-9361-430D-9A2B-EFFC9716F17F\">Temporary Pivot Shift</span> tool. \n         </p>\n         <p><a name=\"GUID-949172D0-0D6B-432D-9AA8-376CB07906D9\"></a> The following figure displays a parking lot scene in the Viewer window. The scene displays a car, which is parked between\n            the pillars B and C. Each pillar in the scene is an object. <a name=\"FIG_28CB291774DE48C99002B5FD4E9C4CAE\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-CB94EEE2-15EF-4675-845A-599888151FD4-low.png\"><p class=\"figure-title\">Camera view of a parking lot scene in Viewer window <em class=\"mild\">A, B, C, D</em> Pillars <em class=\"mild\">E.</em> Temporary Pivot Shift icon\n               </p>\n            </div> \n         </p>\n         <p><a name=\"GUID-CAA8E360-9B23-4E11-B030-B06D8BEBBA07\"></a>In the following figure, the pivot of the pillar B is offset at some distance from its center. The offset location of the\n            pivot is not visible in the normal camera view. To view the actual offset position, you need to rotate the scene until you\n            locate the pivot. <a name=\"FIG_02975249AD0A4154996E6CA85AF1C8C6\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E93694E6-F7E1-4DD5-8001-693F144F6AE2-low.png\"><p class=\"figure-title\">Parking lot scene rotated to locate the pivot of pillar C <em class=\"mild\">A.</em> Pivot Mode <em class=\"mild\">B, C</em> Pillars between which the car is parked <em class=\"mild\">D.</em> Offset location of the pivot of pillar C\n               </p>\n            </div> \n         </p>\n         <p><a name=\"GUID-E7286BA4-D1AA-4FEC-A89A-E38450EEC6B8\"></a>In a virtual production environment, if the director want to immediately reposition all the pillars (A, B, C, and D) on the\n            scene, then it is time consuming to rotate the scene, locate the offset position of each pillar, and drag them to the center\n            point of each pillar, before repositioning them. \n         </p><a name=\"OL_B2FA8B3851A045B2906E357D257EA89B\"></a><p class=\"list-intro\"><a name=\"GUID-6B6DD478-4411-438F-A67C-E63F6CB51EF3\"></a>To avoid this:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the object that you want to move. </li>\n            <li>From the <span class=\"MenuCascade\" id=\"GUID-0E784AC3-4ED6-43E7-8DAC-B925A6619E8F\">Viewer</span> window toolbar, click the <span class=\"MenuCascade\" id=\"GUID-C73638F0-0510-4D21-9059-6B2D637A2840\">Temporary Pivot Shift</span> icon. \n               <p><a name=\"GUID-B621425C-D228-46F1-A190-1149CC8D98CF\"></a>The pivot moves from the offset position to the center of the bounding box of the object, as shown in the following figure:\n                  <a name=\"FIG_75866F0C0599490FBC9F2A67F05A9CFF\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-AF290C58-07F8-4620-8B14-50D7B0703F3D-low.png\"></div> \n               </p> \n            </li>\n         </ol>\n         <p><a name=\"GUID-3410AFD6-DDED-43C5-AA1F-F42708122F5D\"></a>Notice that the coordinates of temporary pivot and the line that connects the offset location and the temporary shift to the\n            bounding box center appears dotted. This specifies that the shift from offset pivot location to the center of an object is\n            only temporary. \n         </p>\n         <div><a name=\"GUID-60BAE608-D37C-4272-9846-F827BBFE3585\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>Instead of clicking the <span class=\"MenuCascade\" id=\"GUID-D0844F1E-FE28-425B-A1E1-FCE784D456E1\">Temporary Pivot Shift</span> tool from the <span class=\"MenuCascade\" id=\"GUID-73239B27-FD6D-4BAB-A26A-D9EDF3345F4B\">Viewer</span> toolbar, press the <span class=\"keyboardEntry\">Alt+Shift+W</span> keys to toggle between normal and temporary pivot modes. \n            </div>\n         </div>\n         <p><a name=\"GUID-8805D7B6-766F-4DE3-9E76-1D64879EA9C0\"></a>In the temporary pivot mode, selecting any object in the scene shifts the pivot of the respective object, temporarily from\n            its offset location to the center of the bounding box. So you can select each pillar and move to the desired location in the\n            scene. <a name=\"FIG_C9C269F2338E46B394E9142B724FFF08\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-97DC785F-EA4D-4F1E-8184-A3AC5E0A21FD-low.png\"><p class=\"figure-title\">Parking lot scene <em class=\"mild\">A, B, C, D</em> Pillars moved backward <em class=\"mild\">E.</em> Temporary Pivot Shift tool active\n               </p>\n            </div> \n         </p>\n         <p><a name=\"GUID-F4356523-9B65-493F-89D3-548F2FAEA101\"></a>By default, the temporary pivot appears in the translation mode (T). You can change to the rotation and scaling modes using\n            the R and S keys, respectively. \n         </p>\n         <p><a name=\"GUID-8E90E692-E6F9-4B9E-BE37-9B03CDF55851\"></a>You can manipulate the translation, rotation, and scaling of pivots using the properties listed in <span class=\"MenuCascade\" id=\"GUID-4E47AC43-747A-4D68-AEA7-5E0D4AD44D9B\">Resources</span> window <span class=\"MenuCascade\" id=\"GUID-22589C6E-A43B-44DF-9A6F-D688FA4ED8F3\">&gt; Properties</span> tab. For more information regarding the pivot properties, see <span class=\"char_link\"><a href=\"GUID-A80646D3-0CAD-4559-8314-104B5DDE7691.htm\">Transformation Pivots properties</a></span>. \n         </p>\n         <p><a name=\"GUID-2038B391-A84C-4653-AF29-5F953F3F192E\"></a>You can save a scene with the <span class=\"keyboardEntry\">Alt+Shift+W</span> keys enabled. When you reload the scene, it contains the saved settings. \n         </p>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";