var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-3A667682-B554-42E4-A63A-38FE2391099F\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Data cells in Expression constraints</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-3A667682-B554-42E4-A63A-38FE2391099F\"></a><div class=\"head\">\n            <h1>Data cells in Expression constraints</h1>\n         </div>\n         <p><a name=\"GUID-298A9FEC-ECA3-4515-9187-DDA577F581A3\"></a>  \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-363C\"></a> Different properties may have different types of numeric fields. Make sure that when you reference cells you reference them\n            with the proper numeric type. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-363A\"></a>The Expression Constraint Settings pane includes the following conversion syntax for converting between numbers and vectors:\n            \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3639\"></a> \n            <h2><a name=\"GUID-F505A911-0D11-4D58-9006-001037D7E6F9\"></a>D7[0]\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3638\"></a>Extracts the value of the X co-ordinate of the vector in cell D7. Use 1 and 2 for the Y and Z co-ordinates respectively. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3637\"></a> \n            <h2><a name=\"GUID-E4E7ACE7-31F5-4A53-B56F-0D8DEF9896BF\"></a>{A4,A5,0}\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3636\"></a>Uses the number in cell A4 as the X co-ordinate, and the number in A5 as the Y co-ordinate in a vector. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3635\"></a> \n            <h2><a name=\"GUID-A96450A5-47B1-4B82-A8E6-DCC6AA0319E2\"></a>Data Types\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3634\"></a>There are 19 data types shown in the Data editor: <a name=\"FIG_ED902247E7B34D04A04EEC3CCAED71CA\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-7FF7EE6B-310A-43F2-814F-BF6403073353-low.png\"><p class=\"figure-title\">Expression constraint data types</p>\n               </div> \n            </p> \n            <p><a name=\"GUID-354B2601-A17D-4945-95DD-167C9FFC6BB7\"></a>The following table lists and describes each expression constraint data type. \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3631\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"26.766304347826082%\">\n                     <col width=\"73.2336956521739%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Data Type </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Default </td>\n                     <td class=\"table-body\">Default numerical value expressed as 0.00. Vectors and colors are expressed as {0.00,0.00,0.00,0.00}. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Action </td>\n                     <td class=\"table-body\">&nbsp;</td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Bool </td>\n                     <td class=\"table-body\">Boolean value (represented by a check box) data type. This value is true (1.00) when the box is checked, and false (0.00)\n                        when it is not. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Color RGB </td>\n                     <td class=\"table-body\">RGB color vector value. Each coordinate has its data cell that shows the coordinate’s color. Each coordinate holds a decimal\n                        value between 0 and 1. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Color RGBA </td>\n                     <td class=\"table-body\">RGBA color vector value. Similar to the Color data type, but with an additional data cell for the alpha channel. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">List </td>\n                     <td class=\"table-body\">&nbsp;</td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">HSB </td>\n                     <td class=\"table-body\">Int64 </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Int64 </td>\n                     <td class=\"table-body\">&nbsp;</td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Integer </td>\n                     <td class=\"table-body\">&nbsp;</td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Number </td>\n                     <td class=\"table-body\">0.00 value. When switching from vectors and colors, the new number cell takes the first coordinate. </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Scaling UV </td>\n                     <td class=\"table-body\">&nbsp;</td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">StringList </td>\n                     <td class=\"table-body\">&nbsp;</td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Time </td>\n                     <td class=\"table-body\">&nbsp;</td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Time Code </td>\n                     <td class=\"table-body\">Ttime code value (000:00:00:00 (00)). </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Translation UV </td>\n                     <td class=\"table-body\">&nbsp;</td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">UInt64 </td>\n                     <td class=\"table-body\">&nbsp;</td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Vector </td>\n                     <td class=\"table-body\"> X, Y, Z vector value. Each coordinate has its data cell. When switching from a number cell, the number is placed in the vector’s\n                        first coordinate. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Vector2 </td>\n                     <td class=\"table-body\">&nbsp;</td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Vector4 </td>\n                     <td class=\"table-body\">&nbsp;</td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-C01AA41B-1101-44BF-96A3-3FC2B7F2C4EC.htm\">Expression constraints </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";