var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-3D5115A3-3B37-4E7E-9E3D-0A44B0B8F513\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Adding a texture to the scene</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-3D5115A3-3B37-4E7E-9E3D-0A44B0B8F513\"></a><div class=\"head\">\n            <h1>Adding a texture to the scene</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-54D4\"></a> When you drag a Texture or Layered Texture asset into an empty space in the Viewer, you can choose to add an unattached texture\n            to the scene, or choose to automatically attach the texture to the current camera or to a material and a plane. The menu that\n            appears offers four options, as described in the following table. \n         </p><a name=\"WS1A9193826455F5FF219F8B8B1249CF2CB82-2F72\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"22.727272727272727%\">\n                  <col width=\"77.27272727272727%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\">Option </th>\n                  <th class=\"table-heading\">Function </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Current Camera Foreground </td>\n                  <td class=\"table-body\">Adds a texture to the scene and automatically sets it as the current camera’s Front Plate media. See <span class=\"char_link\"><a href=\"GUID-8D8B0B63-7A0C-4BED-B236-18E8B00DE55C.htm\">Setting a camera Front or Back Plane</a></span>. \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Current Camera Background </td>\n                  <td class=\"table-body\">Adds a texture to the scene and automatically sets it as the current camera’s Back Plate media. See <span class=\"char_link\"><a href=\"GUID-8D8B0B63-7A0C-4BED-B236-18E8B00DE55C.htm\">Setting a camera Front or Back Plane</a></span>. \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Video Plane </td>\n                  <td class=\"table-body\">Adds a texture, a material, and a plane to the scene. The texture is automatically attached to the material’s Diffuse property,\n                     and the material is applied to the plane. The plane is perpendicular to the floor. \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Add To Scene </td>\n                  <td class=\"table-body\">Adds a texture to the scene. It appears in the Textures folder in the Scene browser, and is not attached to other assets.\n                     \n                  </td>\n               </tr>\n            </table>\n         </div><a name=\"WS1A9193826455F5FF219F8B8B1249CF2CB82-2F76\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-54D3\"></a>To add a texture to the scene:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Open the Shading Elements folder in the Asset browser. </li>\n            <li>Drag a Texture asset or Layered Texture asset into an empty area in the Viewer window. </li>\n            <li>In the menu that appears, select one of the options: <a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-54D2\"></a><ul>\n                  <li>Current Camera Foreground </li>\n                  <li>Current Camera Background </li>\n                  <li>Video Plane </li>\n                  <li>Add To Scene </li>\n               </ul> \n               <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-54CD\"></a>A texture is added to the scene and is listed in the Scene browser. If you selected Video Plane, a material and a plane model\n                  are also added to the scene. If you selected Current Camera Foreground or Current Camera Background, the texture is also attached\n                  to the current camera’s Front Plate or Back Plate. \n               </p> \n            </li>\n            <li>Expand the Textures folder in the Scene browser. </li>\n            <li>Double-click the texture to display the Texture settings. \n               <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-1B1F\"></a>If you created a Layered texture, the Texture settings include the Layer Settings pane. See <span class=\"char_link\"><a href=\"GUID-A47C13B7-9F19-4DC6-9C3D-2E395B3FF76E.htm\">Blending multiple textures</a></span> to add textures to the Layered texture. \n               </p> \n               <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-1B1E\"></a>If you created a standard texture, continue with the following steps. \n               </p> \n            </li>\n            <li>Select New Media in the Texture settings’ Media menu. A file browser opens. </li>\n            <li>Browse for a texture file and click Open. \n               <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-54C8\"></a>The texture displays in the Texture settings. If you selected Current Camera Background or Current Camera Foreground, the\n                  texture displays in the Viewer window. If you selected Video Plane, the texture displays on the plane model in the scene.\n                  If you selected Add To Scene, the texture remains unattached. \n               </p> \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";