var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-42B46B9B-7B7F-45C1-BAC1-16F9DD3C114B\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Expression Constraints Settings pane</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-42B46B9B-7B7F-45C1-BAC1-16F9DD3C114B\"></a><div class=\"head\">\n            <h1>Expression Constraints Settings pane</h1>\n         </div>\n         <p><a name=\"GUID-F362EC54-1B66-4FD2-A9AC-43F99A70DE42\"></a>Expression constraints let you constrain the translation, rotation, scaling, and other data of an object (models, lights,\n            cameras, and so on) with that of another object. Unlike other constraints, you construct Expression constraints using a spreadsheet-like\n            interface called the Expression Constraints Settings pane. \n            	 \n         </p>\n         <p><a name=\"GUID-5A21CC9F-A94D-4C23-81E3-7EE6080FA2CE\"></a> When an Expression constraint is selected, the Expression\'s Constraint Settings pane is displayed in the Navigator window.\n            The Expression Constraint Settings pane is where you use a mathematical method of constraining objects, unlike the Relations\n            pane which offers a more graphical approach for constraining objects. \n            		<a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-365E\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-5DE72DA0-B276-470E-B056-72B1A11E2808-low.png\"><p class=\"figure-title\">Expression constraint \n                  		  <em class=\"mild\">A.</em> Sender Cells \n                  		  <em class=\"mild\">B.</em> Receiver Cells \n                  		  <em class=\"mild\">C.</em> Expression \n               </p>\n            </div> \n         </p>\n         <p><a name=\"GUID-E1C666C9-C7DF-4EB3-9F69-FAD08548D829\"></a> The Expression Constraint Settings pane contains a total of 500 rows and 26 columns (A-Z). \n            	 \n         </p><a name=\"UL_FCF9245FE9AA484B9416B1CBC6985BED\"></a><p class=\"list-intro\"><a name=\"GUID-0FFC45B2-9887-4559-ACD2-1929851CE08B\"></a>To navigate in the Expression Constraints Settings pane: \n         </p>\n         <ul>\n            <li><span class=\"keyboardEntry\">Shift</span>-<span class=\"keyboardEntry\">click</span>-drag \n               		\n            </li>\n         </ul><a name=\"UL_7D97FF07FA874195A888449A1328E1C7\"></a><p class=\"list-intro\"><a name=\"GUID-4273AA7E-BC7E-421E-A550-A500ACB480DE\"></a>To change the width of a column:\n         </p>\n         <ul>\n            <li>Drag the border of a column heading \n               		\n            </li>\n         </ul>\n         <p><a name=\"GUID-354C7BDD-AA53-48F1-AA96-D013DFA29E25\"></a>An Expression is comprised of at least three cells. One cell contains a reference to a Sender while the other two cells are\n            split into a Receiver cell and a mathematical expression cell. \n            	 \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-365C\"></a> \n            <h2><a name=\"GUID-2E008660-61AD-47C6-AF7B-088468AC8345\"></a>Types of cells\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-365B\"></a>When constructing Expression constraints, a cell may contain one of the following: \n               		\n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-365A\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"20.86070215175538%\">\n                     <col width=\"79.13929784824462%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Cell Type \n                        				  \n                     </th>\n                     <th class=\"table-heading\">Purpose \n                        				  \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Senders \n                        				  \n                     </td>\n                     <td class=\"table-body\">A Sender can be an input device or a model. Senders are used to send data to other cells. Senders only send data. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Expressions \n                        				  \n                     </td>\n                     <td class=\"table-body\">An Expression is a recognized keyword that performs a mathematical operation using the cells or numbers within its parentheses\n                        or on either side of its operator. For example, an addition symbol (+) is an operator. The result of the operation is assigned\n                        to the Receiver cell to the left and to the cell itself. This means that you can reference the cell in other expressions.\n                        \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Values \n                        				  \n                     </td>\n                     <td class=\"table-body\">A cell may also contain a value referenced by an expression or Receiver. Before assigning a value to a cell, you should select\n                        the cell’s data type. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Receivers \n                        				  \n                     </td>\n                     <td class=\"table-body\">A Receiver cell assigns the results of an expression to the properties of a model or an output device. \n                        				  \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-364C\"></a>The following conventions are used to describe each type of expression used in an Expression constraint: \n            	 \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-364B\"></a> \n            <h2><a name=\"GUID-5F545161-5E0B-456C-9A5C-3843E7404F34\"></a>Number\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-364A\"></a>Refers to a numerical value or a cell that contains a numerical value. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3649\"></a> \n            <h2><a name=\"GUID-F1E452EA-AADE-4E1D-AB7E-C383834F833A\"></a>Vector\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3648\"></a>Refers to a vector (X, Y, Z) or a cell that contains a vector value. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3647\"></a> \n            <h2><a name=\"GUID-AC08D71A-6B79-4766-B365-13D997527A32\"></a>Boolean (or Bool)\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3646\"></a>Refers to a Boolean value (0 or 1) or a cell that contains a Boolean value. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3645\"></a>An Expression constraint consists of at least three cells. One cell contains a reference to a Sender while the other two cells\n               are split into a Receiver cell and a mathematical expression. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3644\"></a>The cell sending the data can refer to an input device such as a mouse device, and the object receiving data can be a model,\n               light, or an output device. For example, the figure below shows a mouse mapped to a marker in the Expressions pane. \n               		\n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3643\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A5AB4DA2-F96E-4CEC-93FD-EDFBC368F70D-low.png\"><p class=\"figure-title\">Expression constraint<em class=\"mild\"> A</em>. Objects area \n                  		  <em class=\"mild\">B</em>. Expression Constraint Settings pane\n               </p>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3641\"></a>Between the Sender and Receiver, a mathematical expression is used to convert the numerical data from the X and Y mouse values\n               to a vector. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3640\"></a>You can use an unlimited amount of mathematical expressions between the Sender cell and the Receiver cell. \n               		\n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-C01AA41B-1101-44BF-96A3-3FC2B7F2C4EC.htm\">Working with Expression constraints \n                           		</a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-3A667682-B554-42E4-A63A-38FE2391099F.htm\">Data cells in Expression constraints</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";