var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-46D2D53D-351E-494B-9947-9877FF51346C\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Actor settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-46D2D53D-351E-494B-9947-9877FF51346C\"></a><div class=\"head\">\n            <h1>Actor settings</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F61\"></a> To display the Actor settings in the Navigator window, select an Actor from the Actors folder in the Scene browser. \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F1F63\"></a> \n            <h2><a name=\"GUID-0460E738-81A5-436B-A4DC-0203885091FD\"></a>Actor representation\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F64\"></a>The Actor representation visually represents the Actor in the Actor settings. The Actor representation is used to add markers\n               or sensors containing motion data to a Marker set and view selected markers in the Marker table (see <span class=\"char_link\"><a href=\"GUID-46D2D53D-351E-494B-9947-9877FF51346C.htm#WSF00FE1F65A1E03F9-1E2B8DBD11688C37FF7-7FF8\">Marker Table</a></span>). <a name=\"WS73099CC142F4875535A241551166AC8792F1F65\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-ED635E66-94B6-441E-8AA2-BEE87740E33E-low.png\"><p class=\"figure-title\">Actor Settings <em class=\"mild\">A.</em> Actor representation\n                  </p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F67\"></a>When you first create an Actor, the cells in the Actor representation are empty. These cells indicate the number of markers\n               that affect each part of the Actor body. You can assign up to five markers per cell. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F68\"></a>To add markers to a Marker set, <span class=\"keyboardEntry\">Alt</span>-drag one or more selected markers or sensors into one of the cells corresponding to the Actor body part. You can drag from\n               the Navigator or the Viewer window. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F69\"></a>Dragging connects the marker or sensor to the other markers in the cell, and influences the corresponding part of the Actor\n               body. If the cell already contains markers and sensors, the new markers and sensors are added to the existing list. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F1F6A\"></a> \n            <h2><a name=\"GUID-64940B7B-7A34-4C52-9587-805538FF853D\"></a>Active\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F6B\"></a>Turning on this option lets you activate the mapping and fit the Actor onto the Marker set. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F1F6C\"></a> \n            <h2><a name=\"GUID-5D6BD2DE-791C-486A-9E18-DF4496B014B1\"></a>Snap\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F6D\"></a>This button calculates rotational offsets and slight positioning differences between the Marker set and the markers or sensors\n               used by the Marker set. Snap is best suited for Marker sets that have oriented markers, found in magnetic capture data. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F6E\"></a>You can also use Snap to compensate for optical capture sessions that use the same Marker set, but were captured during different\n               sessions. Although the Marker set is identical, the sensors might have been in slightly different locations on the performer’s\n               body compared to the previous capture session. Snap works best when these differences are subtle. \n            </p> \n            <div><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-560F\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If you change the position of an Actor finger and click Snap, the finger pops back to place which appears more like selecting\n                  Active instead of Snap. See <span class=\"char_link\"><a href=\"GUID-1310AFCC-C598-4865-B0BD-9AD494760617.htm\">Actor Finger Settings and Properties</a></span>. \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F1F6F\"></a> \n            <h2><a name=\"GUID-9137B171-47F1-4EF7-A65F-6D4AABD0B46D\"></a>Lock\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F70\"></a>Turning on this option locks the current position and rotation of the selected Actor and its Marker set. You must have an\n               active Marker set to use Lock. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F1F71\"></a> \n            <h2><a name=\"GUID-A2C2C44A-3E05-4DFB-BD68-ACC726F98D99\"></a>Current Marker Set \n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F72\"></a>This field lets you select the Marker set used by the Actor. You work with the current Marker set when you edit, rename, import,\n               export, and map data to your Actor. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F73\"></a>If there are no Marker sets, &lt;No Marker Set&gt; appears in the Current Marker Set field and no cells display in the Actor representation.\n               <a name=\"WS73099CC142F4875535A241551166AC8792F1F74\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E96939DB-3C74-4AC8-90C1-383EACA7F525-low.png\"><p class=\"figure-title\">Actor Settings <em class=\"mild\">A.</em> Current Marker set field \n                  </p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F76\"></a>The Marker Set button to the right of the Current Marker Set field opens the Marker Set menu that lets you create, rename,\n               import, export, and delete Marker sets. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-1E2B8DBD11688C37FF7-7FF8\"></a> \n            <h2><a name=\"GUID-2431C962-370A-472B-97FC-708687D192A8\"></a>Marker Table\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F77\"></a>This table lists the markers that drive the Actor joints. If your selected Actor does not have a Marker set, the Marker table\n               is empty. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F78\"></a>The Marker table consists of the Marker, Model, and Oriented columns. <a name=\"WS73099CC142F4875535A241551166AC8792F1F79\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-537453D7-D0B8-4AE0-8AFE-3B1676C3D40E-low.png\"><p class=\"figure-title\">Actor Settings <em class=\"mild\">A.</em> Hips cell is selected in the Actor representation <em class=\"mild\">B.</em> Marker column <em class=\"mild\">B.</em> Model column <em class=\"mild\">C.</em> Oriented column\n                  </p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F7B\"></a>To view only the objects that influence a part of the Actor in the Marker table, click the corresponding cell in the Actor\n               representation. A green outline circles the selected cell in the Actor representation. The list of markers that influence\n               that part of the Actor appears in the Marker table as well. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F7C\"></a>Selecting a marker in the Marker column selects that marker in the Viewer window and deselects all other markers. \n            </p> \n            <div><a name=\"WS73099CC142F4875535A241551166AC8792F1F7D\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Be careful when you select markers in the Marker table. If there is a sensor or bone selected in your scene, it remains selected\n                  when you select a new marker from the Marker table. \n               </div>\n            </div> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F7F\"></a>To view all the markers in the Marker table, click the background of the Actor representation to deselect any selected cells.\n               To scroll through the Marker table, Shift-click and drag up or down, or use the scroll bars. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F80\"></a>To remove a marker or sensor from the Marker table, select the marker in the Marker column, and press Delete. This removes\n               the marker, which means that it is no longer used by the Marker set. The actual physical sensor or marker is still in the\n               scene. \n            </p> <a name=\"WS1A9193826455F5FF-4FDFBFFB11A5310C890-43F8\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"26.52321630804077%\">\n                     <col width=\"73.47678369195924%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Column </th>\n                     <th class=\"table-heading\">Function </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Marker </td>\n                     <td class=\"table-body\">Lists the defined markers that indicate the placement of the sensors, markers, or bones that drive the Actor in your scene.\n                        You can rename the fields in the Marker table by double-clicking the field, changing the name, and pressing Enter. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Model </td>\n                     <td class=\"table-body\">Specifies the sensors, markers, or bones that drive the white markers. Make sure you <span class=\"keyboardEntry\">Alt</span>-drag the root of your object into the Reference field in the Model column. This is the only field that is not modified in\n                        the Actor representation cells. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Oriented </td>\n                     <td class=\"table-body\">Activates rotation and translation data for the corresponding marker. If a marker contains both rotation and translation data,\n                        activate the Oriented option for that marker. When Oriented is disabled, only translation data is active. Click the Oriented\n                        title at the top of the column to activate all markers for your selected Actor. \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F1F88\"></a> \n            <h2><a name=\"GUID-53DA108E-F4AE-4A04-9974-617B5654134B\"></a>Output Marker Set \n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F89\"></a>This field outputs the result from one Actor to another Marker set. You can use this technique to transfer motion data that\n               was captured with many different Marker sets to a single format. <a name=\"WS73099CC142F4875535A241551166AC8792F1F8A\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A42137D9-84B0-44AA-91D7-AB0FDBB7BE3F-low.png\"><p class=\"figure-title\">Actor Settings <em class=\"mild\">A.</em> Output Marker Set field\n                  </p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F8C\"></a>For example, you can transfer data from the Marker set of an Actor using magnetic motion data to an Actor using optical data.\n               You can then export the optical data using one of the export file formats. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F8D\"></a>You can also reverse the direction of Character mapping and have a Character output to a Marker set. Since the Marker set\n               is based on either magnetic sensors or optical markers, you are actually outputting back to these sensors or markers. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F1F8E\"></a>This method of mapping lets you reverse the flow of Character mapping and transfer data from a plotted Character to magnetic\n               sensors or optical markers. This is important if you want to export the finished character as a data file (for example, Vicon\n               <em class=\"mild\">.c3d</em>). You can also save cleaned data as a different set of optical or magnetic sensors. \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-D93DE8FE-E2DE-4DF1-B750-E03A6D6F02AB.htm\">Actor assets </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";