var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-46E090C5-34AD-4E26-872F-F7D21DC57C74\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Managing Python packages with mobupy and pip</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-46E090C5-34AD-4E26-872F-F7D21DC57C74\"></a><div class=\"head\">\n            <h1>Managing Python packages with mobupy and pip</h1>\n         </div>\n         <p> The standard Python package management system, pip, can be used within MotionBuilder\'s Python interpreter to install and\n            query Python packages. \n            	 \n         </p>\n         <p>pip is called from the command line using mobupy, the MotionBuilder Python interpreter. It cannot be called from within the\n            MotionBuilder Python script editor. \n            	 \n         </p>\n         <p>mobupy is located in \n            		<span class=\"filePath\">C:\\Program Files\\Autodesk\\\"MotionBuilder &lt;VersionNumber&gt;\"\\bin\\x64</span> on Windows and \n            		<span class=\"filePath\">/usr/autodesk/MotionBuider&lt;VersionNumber&gt;/bin/linux_64</span> on Linux. \n            	 \n         </p>\n         <p>You will need Administrator privileges on Windows or super user privileges on Linux to install packages. \n            	 \n         </p>\n         <p>pip installs packages in the MotionbBuilder installation directories by default. You will need Administrator privileges on\n            Windows, or super user privileges on Linux, to install packages in that. If you do not have Administrator or super user privileges,\n            or if you do not want to install packages in the MotionBuilder installation directory, you can also install packages in your\n            user space using the \n            		<span class=\"code\">--user</span> flag. \n            	 \n         </p>\n         <p> <a name=\"TABLE_38D5694222494E5AB62645969E1812B2\"></a><div class=\"table-not-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n                  <colgroup>\n                     <col width=\"17.18213058419244%\">\n                     <col width=\"43.814432989690715%\">\n                     <col width=\"39.00343642611684%\">\n                  </colgroup>\n                  <tr class=\"not-ruled-heading\">\n                     <th class=\"table-heading\">Platform \n                        				\n                     </th>\n                     <th class=\"table-heading\">Installing in MotionBuilder\'s site-packages directory \n                        				\n                     </th>\n                     <th class=\"table-heading\">Installing in user space \n                        				\n                     </th>\n                  </tr>\n                  <tr class=\"not-ruled-odd-row\">\n                     <td class=\"table-body\">Linux \n                        				\n                     </td>\n                     <td class=\"table-body\"><span class=\"code\">sudo ./mobupy -m pip install &lt;flags&gt; &lt;package&gt; \n                           				  </span> \n                     </td>\n                     <td class=\"table-body\"><span class=\"code\">./mobupy -m pip install &lt;flags&gt; --user &lt;package&gt; \n                           				  </span> \n                     </td>\n                  </tr>\n                  <tr class=\"not-ruled-even-row\">\n                     <td class=\"table-body\">Windows \n                        				\n                     </td>\n                     <td class=\"table-body\"><span class=\"code\">mobupy -m pip install &lt;flags&gt; &lt;package&gt; \n                           				  </span> \n                        <p class=\"table-body\">from an command window running as Administrator \n                           				  \n                        </p> \n                     </td>\n                     <td class=\"table-body\"><span class=\"code\">mobupy -m pip install &lt;flags&gt; --user &lt;package&gt; \n                           				  </span> \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </p>\n         <p>You will also need Administrator or super user privileges to uninstall a package from the MotionBuilder site-packages directory.\n            \n            	 \n         </p>\n         <p> <a name=\"TABLE_4637775DE67E4185B97FCA4178FBD32F\"></a><div class=\"table-not-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n                  <colgroup>\n                     <col width=\"20.66115702479339%\">\n                     <col width=\"79.33884297520662%\">\n                  </colgroup>\n                  <tr class=\"not-ruled-odd-row\">\n                     <td class=\"table-body\">Linux \n                        				\n                     </td>\n                     <td class=\"table-body\"><span class=\"code\">sudo ./mobupy -m pip uninstall &lt;package&gt; \n                           				  </span> \n                     </td>\n                  </tr>\n                  <tr class=\"not-ruled-even-row\">\n                     <td class=\"table-body\">Windows \n                        				\n                     </td>\n                     <td class=\"table-body\"><span class=\"code\">mobupy -m pip uninstall &lt;package&gt;</span> \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </p>\n         <p>pip helps you maintain your MotionBuilder Python packages. You can see a list of installed packages by running \n            		<span class=\"code\">./mobupy -m pip list</span> on Linux, and \n            		<span class=\"code\">mobupy -m pip list</span> on Windows. \n            	 \n         </p>\n         <p>For more information about pip, see \n            		<a href=\"https://pip.pypa.io/en/stable/user_guide/\">the pip user guide</a>. \n            	 \n         </p>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";