var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-49774E14-3C77-4E1A-A61A-D15B570CF31B\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Surfaces</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-49774E14-3C77-4E1A-A61A-D15B570CF31B\"></a><div class=\"head\">\n            <h1>Surfaces</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1F2F\"></a> A model’s surface appearance simulates the substance from which it is made, such as skin, cloth, wood, or metal. Light and\n            shadow, and how these interact with models, also add a dimension of realism to the scene. \n         </p>\n         <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA86E9\"></a>Applying materials, textures, and shaders to a model lets you modify its surface appearance using identifiable properties\n            like color, pattern, and shine. They also let you create static shadows, cartoon outlines, and other special effects. \n         </p>\n         <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA88B4\"></a>In most cases, you can see the results of materials, textures, and shaders in real time, without the need to render. In certain\n            cases, the real-time result you see depends on which shaders and material settings you use. \n         </p>\n         <div><a name=\"WS73099CC142F48755-575EAB4C124F5234AA88B5\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Terminology may differ slightly from software to software. For information on what these terms mean in <span class=\"charspan-msgph\">MotionBuilder</span>, see <span class=\"term\"><a name=\"GUID-ABF795DB-C530-457F-B038-ACCBBBD3D480\"></a> <span class=\"char_link\"><a href=\"GUID-12932B5A-BA7C-4B41-BDA0-B76C40B32C74.htm#WS1A9193826455F5FF-56C0CD8012A8003217A-2D2E\">material</a></span> </span>, <span class=\"term\"><a name=\"GUID-67259669-C69D-470E-A2ED-15EDF20740C7\"></a> <span class=\"char_link\"><a href=\"GUID-956B9373-F4C7-471A-B3CD-E149855D9095.htm#WS1A9193826455F5FF-56C0CD8012A8003217A-2C1F\">texture</a></span> </span>, and <span class=\"term\"><a name=\"GUID-4776AFED-9340-4B8D-A2FC-D51AADEB9683\"></a> <span class=\"char_link\"><a href=\"GUID-20735C6C-5F1A-4067-ABAD-6A77DF6DBBD8.htm#WS1A9193826455F5FF-56C0CD8012A8003217A-2C74\">shader</a></span> </span>. \n            </div>\n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-82C48971-0DBA-444D-9609-DFFF25648D17.htm\">Shaders </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-AFAA0055-96E8-4E8F-93B8-F8F5023607DC.htm\">Lights Shaders and Surfaces Reference </a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-71CF88C1-DEBB-4065-8C43-8CA677F69AB8.htm\">Using textures with materials</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-CB5C6F48-63D0-4B2E-92BF-95E03A366F40-1.htm\">Using shaders with textures</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-913EF4E1-86C4-4D45-9CBC-95EA6BF6D217-1.htm\">Using shaders with advanced material settings</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D7EA9A8B-5812-4C16-9CB5-8237E56E004B-1.htm\">Creating surface effects using shaders</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-CDE267CA-CF45-43BE-BBF8-C10E36323869.htm\">About materials</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-A58F7B77-D93F-4329-AAD2-8D0AF072064A.htm\">Textures</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";