var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-4A42AF84-2177-4F2B-A3E8-B54E10F18A6E\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Batch processing</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-4A42AF84-2177-4F2B-A3E8-B54E10F18A6E\"></a><div class=\"head\">\n            <h1>Batch processing</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-272B\"></a> The Batch window lets you convert multiple data files between different formats. You can batch load a series of data files\n            onto the current character, or save all your takes to a specified data format. \n         </p>\n         <p><a name=\"GUID-BBCF825C-9ABC-449C-BBF2-FFD2AF3BC034\"></a> <a name=\"FIG_40DEF298C5A44FFB92F609D6D40C35AD\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-649DA5A9-37A1-4C99-9BAE-390071EF25EC-low.png\"><p class=\"figure-title\">Batch window</p>\n            </div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2727\"></a>You can also save all takes mapped to a selected Actor, Character, or Control rig as separate motion files, and convert files\n            from one format to another. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2726\"></a>Before using the Batch window, you must have a character with mapped data from one of the data files that you want to load,\n            save, or convert. All data files or takes must be from the same capture session, and from the same device. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2725\"></a>When you import a motion file and map its motion to an Actor and then to a character, you are creating a guide for converting\n            the other data files. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2724\"></a>For example, if you have four motion files stored in Motion Analysis <em class=\"mild\">.trc</em> format to convert to Acclaim <em class=\"mild\">.amc</em> format, you can manually convert each file by loading each <em class=\"mild\">.trc</em> motion file, mapping the data to an Actor and then a character, plotting the data to the character, then exporting each character\n            as an <em class=\"mild\">.amc</em> file. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2723\"></a>The Batch window simplifies this process by letting you base all conversions on a single mapped character. To convert the\n            same four <em class=\"mild\">.trc</em> files previously mentioned, you only need to load the first <em class=\"mild\">.trc</em> file, map its data to an Actor, then to a Character. You can use the Character as a guide to automatically convert the remaining\n            motion files to <em class=\"mild\">.amc</em> format. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-2721\"></a><p><a name=\"WS73099CC142F4875535A241551166AC8792F-2722\"></a>The Batch window is divided into two areas: \n         </p>\n         <ul>\n            <li> <span class=\"char_link\"><a href=\"GUID-56F693DF-F1DB-40EB-8B78-775AF4E1B090.htm#WSF00FE1F65A1E03F93C27957811688C392B5-7FFC\">Batch Input and Output area</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"GUID-56F693DF-F1DB-40EB-8B78-775AF4E1B090.htm#WSF00FE1F65A1E03F93C27957811688C392B5-7FFB\">Batch Process Type area</a></span> \n               <div><a name=\"WS73099CC142F4875535A241551166AC8792F-271E\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You cannot import biped animation and map it to a quadruped, or vice versa. For more information, see <span class=\"char_link\"><a href=\"GUID-F2EF9156-5A94-4124-9DF5-8601FDB95B09.htm\">Bipeds and quadrupeds</a></span>. \n                  </div>\n               </div> \n            </li>\n         </ul><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-5921F94F-B971-4D1A-8488-4CA380DFB686.htm\">Batch loading motion files</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8FF44AEF-1F98-4929-8EE9-0DA25C81AFC0.htm\">Batch saving files</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-7DC0CC71-2ED0-491C-97F5-7DF640CF1729.htm\">Batch conversion</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-56F693DF-F1DB-40EB-8B78-775AF4E1B090.htm\">Batch window</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-6422691B-8C10-4743-9EF7-99AE2AA20943.htm\">Batch errors</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";