var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-4BE8359C-7CAF-47F6-BF81-7F941EE5A373\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Customizing the 3ds Max Biped template</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-4BE8359C-7CAF-47F6-BF81-7F941EE5A373\"></a><div class=\"head\">\n            <h1>Customizing the 3ds Max Biped template</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A838-3C7D\"></a>You can edit the 3ds Max Biped template and save your customized templates. Once you save the customized Biped template, it\n            appears in the Asset browser &gt; Characters folder. \n         </p><a name=\"WS1A9193826455F5FF-3859B43C1209703A838-3C7C\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-3859B43C1209703A838-3C7B\"></a>To customize the 3ds Max Biped template:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Navigate to C:\\ &gt; My Documents &gt; MB &gt; &lt;version&gt; &gt; config &gt; <span class=\"filePath\">Character Template</span> folder. \n            </li>\n            <li>Create a copy of the <em class=\"mild\">3ds Max Biped Template.py</em> file. \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F7-1EB5\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>Make copies of <span class=\"charspan-msgph\">MotionBuilder</span> software files you wish to edit. Doing so ensures the original files remain intact. \n                  </div>\n               </div> \n            </li>\n            <li>Open the <em class=\"mild\">Copy of 3ds Max Biped Template.py</em> file. \n            </li>\n            <li>In the Windows dialog box, choose the select the program from a list option and click OK. </li>\n            <li>In the Open With dialog box, choose a Text editor program and disable “Always use the selected program to open this kind of\n               file” and then click OK. \n            </li>\n            <li>Make your changes to the file. <a name=\"WS1A9193826455F5FF-3859B43C1209703A83814EA\"></a><ul>\n                  <li>Make sure that the python script does not create a character as it creates conflicts. </li>\n                  <li>If you have a scene with more than one character, characterize the last character added to the scene: ( FBSystem().Scene.Characters[len(FBSystem().Scene.Characters)\n                     - 1]. This is necessary because the character was created at the moment you applied the template. This way it is exposed to\n                     Undo functionality. \n                  </li>\n               </ul> \n            </li>\n            <li>Save the file through File &gt; Save As . In the Save As dialog select “All Files” from the Save as type drop down menu and give\n               your file name a <em class=\"mild\">.py</em> extension. \n            </li>\n            <li>In the Character Template folder delete the <em class=\"mild\">Copy of 3ds Max Biped Template.py</em> file. \n               <p><a name=\"WS1A9193826455F5FF3913A1A412260CA5929-648F\"></a>The new template appears in the Asset browser &gt; Character asset folder after you restart <span class=\"charspan-msgph\">MotionBuilder</span>. <a name=\"WS1A9193826455F5FF3913A1A412260CA5929-648E\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-865D29E4-CBEA-47E7-98BC-F56E216D78C9-low.png\"><p></p>\n                     <p class=\"figure-title\">Characters folder <em class=\"mild\">A.</em> Custom template\n                     </p>\n                  </div> \n               </p> \n            </li>\n         </ol>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-3859B43C1209703A83814ED\"></a> \n            <h2><a name=\"GUID-0B77B794-5200-4E6C-AEFA-98216E66EAFB\"></a>Modifying the 3ds Max Biped Template for custom skeletons\n            </h2> \n         </div>\n         <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A83814EE\"></a>You can modify the current 3ds Max Biped Template.py script to accommodate a custom skeleton. \n         </p><a name=\"WS1A9193826455F5FF-3859B43C1209703A83814EF\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-3859B43C1209703A83814F0\"></a>To modify the 3ds Max Biped Template.py script for custom skeletons:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Navigate to C:\\ &gt; My Documents &gt; MB &gt; &lt;version&gt; &gt; config &gt; <span class=\"filePath\">Character Template</span> folder.  \n            </li>\n            <li>Create a copy of the <em class=\"mild\">3ds Max Biped Template.py</em> file. \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F7-1EB3\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>Make copies of <span class=\"charspan-msgph\">MotionBuilder</span> software files you wish to edit. Doing so ensures the original files remain intact. \n                  </div>\n               </div> \n            </li>\n            <li>Open the <em class=\"mild\">Copy of 3ds Max Biped Template.py</em> file. \n            </li>\n            <li>At the start of the script, there are three variables that you must modify: <a name=\"WS1A9193826455F5FF-3859B43C1209703A83814F4\"></a><ul>\n                  <li>bipedrootname # for custom skeleton: set bipedrootname # to the name as the root node. </li>\n                  <li>bipedPrefixNamingScheme = False # : this must be set to False for custom skeletons that do not use the normal biped naming\n                     conventions. \n                  </li>\n                  <li>bipedMap # : populate this python dictionary with the custom mapping for your skeleton. </li>\n               </ul> \n            </li>\n         </ol>\n         <div><a name=\"WS1A9193826455F5FF-3859B43C1209703A83814F8\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>A limitation exists if you merge the same bipeds multiple times into a scene. The MotionBuilder naming scheme conflicts with\n               the <em class=\"mild\">3ds Max Biped Template.py</em> script. To modify the script, all bones must be correctly named without any suffix numbering. The workaround is to activate\n               Apply Namespace from the Merge Options dialog when you merge the same bipeds into a scene. Using the Apply Namespace option\n               prepends a namespace to the bipeds, guaranteeing their uniqueness while their \"short name\" is correct. See the <span class=\"char_link\"><a href=\"GUID-097F1B7F-05F6-442B-80E6-338765965691.htm#WS73099CC142F48755-35A0330E12075ABE904-79B7\">Namespace area</a></span> in the <span class=\"char_link\"><a href=\"GUID-097F1B7F-05F6-442B-80E6-338765965691.htm\">Merge Options window</a></span>. \n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";