var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-4C1231F0-0C79-4E24-AE3C-52364EE347F3\">\n      <meta name=\"indexterm\" content=\"PrevisMoves assets\">\n      <meta name=\"indexterm\" content=\"Script assets\">\n      <meta name=\"indexterm\" content=\"Character assets\">\n      <meta name=\"indexterm\" content=\"PrevisMoves assets\">\n      <meta name=\"indexterm\" content=\"Script assets\">\n      <meta name=\"indexterm\" content=\"Command assets\">\n      <meta name=\"indexterm\" content=\"Constraint assets\">\n      <meta name=\"indexterm\" content=\"Deck assets\">\n      <meta name=\"indexterm\" content=\"Device assets\">\n      <meta name=\"indexterm\" content=\"Element assets\">\n      <meta name=\"indexterm\" content=\"Primitive Element assets\">\n      <meta name=\"indexterm\" content=\"PhysX Physical Property assets\">\n      <meta name=\"indexterm\" content=\"Physical Property assets\">\n      <meta name=\"indexterm\" content=\"Assets\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>MotionBuilder Assets</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-4C1231F0-0C79-4E24-AE3C-52364EE347F3\"></a><div class=\"head\">\n            <h1>MotionBuilder Assets</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1BB\"></a> Assets are objects that you can add to a scene, including characters, devices, elements, shaders, \n            		<em class=\"mild\">.fbx</em> files, and so on. Assets are listed in the Asset browser in a hierarchical tree structure. You can add them to the scene\n            by dragging them from the \n            		<span class=\"char_link\"><a href=\"GUID-2A24C8CB-DE8B-41D3-B38B-EFDE592DF293.htm\"> Asset Browser</a></span> folders. You can also create favorite paths in the Asset browser to make shortcuts to your own \n            		<em class=\"mild\">.fbx</em> files. See \n            		<span class=\"char_link\"><a href=\"GUID-E99443C1-2ACF-4E0D-90F0-EE7DB6362492.htm\"> Adding a favorite path</a></span>. \n            	 \n         </p>\n         <div class=\"section\"><a name=\"SECTION_62182CE86E724F6E9184851779A96EE0\"></a> \n            <h2><a name=\"GUID-E0E8C620-1B93-414B-89C6-FF1CA6C7B155\"></a>PrevisMoves assets\n            </h2> \n            <p>PrevisMoves assets includes a 100 useful animation files in the FBX format. \n               		\n            </p> \n            <p><a name=\"GUID-FD229D76-FA3D-41B0-81A6-FB4542E71F0A\"></a>These animations are primarily moves that offer coverage for frequently encountered scenarios, with walking, running, jumping,\n               crawling, falling, fighting, and idling categories, as well as those that involve furniture or weapons. \n               		\n            </p> \n            <p><a name=\"GUID-18AEC225-0A9D-4F73-B2A7-49A19F60CC14\"></a>Using these animations, you can combine, blend, and layer to block out or pre-visualize your scenes in less time, or use as\n               a starting point for further refinement. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_0BAE1055CB87494C9F8C75DFB3E9A06E\"></a> \n            <h2><a name=\"GUID-5C6DC981-3F4C-44B1-AAD0-1B8CEA74F4BE\"></a>Script assets\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A838-7F63\"></a>You can drag Python scripts to the Viewer window to either execute a task, add to the scene, or both. Use the scripts to automate\n               workflows, customize the interface, or speed up processes that are time consuming when executed manually. \n               		\n            </p> \n            <p>The Python scripts are located in the following location of the installation directory: \n               		\n            </p> \n            <p><span class=\"filePath\">C:\\Program Files\\Autodesk\\MotionBuilder &lt;version&gt;\\bin\\config\\Scripts</span>. \n               		\n            </p> \n            <p>See \n               		  <span class=\"char_link\"><a href=\"GUID-E206FC5D-8149-42C3-9745-AC18F6B514C2.htm\">Executing a script</a></span>. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_C21FBFD96C764C0FBFAEB49D3CD3F174\"></a> \n            <h2><a name=\"GUID-05F157F6-1B32-4882-9B9E-E3F5EC7DF54F\"></a> Character assets\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-581C\"></a>The Character assets help you create a complete map of your character model\'s structure and link it to a motion source for\n               animation. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5819\"></a>From the Asset Browser you can select Actor, Actor face, Character, and Character face templates to use when working with\n               character models and character head models, as well as a 3ds Max Biped Template and Character Extension. \n               		\n            </p> \n            <p>See the following: \n               		\n            </p> <a name=\"UL_7EBC2624828A4055A98DE7ED1D13E392\"></a><ul>\n               <li><span class=\"char_link\"><a href=\"GUID-E55E3560-C84B-4A36-9E81-EEE39E084B47.htm\">Adding a character asset</a></span> \n               </li>\n               <li><span class=\"char_link\"><a href=\"GUID-D9A728ED-1E4A-419A-8BF7-A426C36C0A91.htm\">Creating an Actor</a></span> \n               </li>\n               <li><span class=\"char_link\"><a href=\"GUID-32E74802-5719-4C7E-9B9C-506096C6F1A5.htm\">Creating a Character Extension</a></span> \n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_02B3AFBDC58E46F9B2FFCA70DA1A0684\"></a> \n            <h2><a name=\"GUID-1D488AE8-5EC6-418F-AA92-6F75891E8069\"></a>Command assets\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5811\"></a>The Asset browser Commands folder contains assets you can use in the Story window to insert Command clips that let you build\n               animation. There are three types of Command assets: Application Launch, Hide Models, and Show Models. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-580E\"></a>See \n               		  <span class=\"char_link\"><a href=\"GUID-7652C6F8-3579-4380-802F-35726140E456.htm\">Create command clips</a></span> for information on how to add these assets to your scene. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_F0EB1D3534E24E0DB9998851CC1DDE6D\"></a> \n            <h2><a name=\"GUID-61B5788B-39CF-429C-950F-3B90DCBAA06A\"></a>Constraint assets\n            </h2> \n            <p>The Asset browser’s Constraints folder contains constraints that you can use to create relationships between objects in your\n               scene. Use constraints to make a character pick up an object, have a camera follow a character, manipulate other objects in\n               relation to each other or use the keyboard or mouse to trigger events \n               		\n            </p>See the following: \n            		<a name=\"UL_F0402E43A3BF49DE9E1E803F4AA57268\"></a><ul>\n               <li><span class=\"char_link\"><a href=\"GUID-D962E9FA-C489-45D6-AB27-AAEEE9822EAA.htm\">Adding a constraint asset</a></span> \n               </li>\n               <li><span class=\"char_link\"><a href=\"GUID-01B6416C-3DA5-4D76-9760-8D641BA293CC.htm\">Constraint Settings</a></span> \n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_D422C4DBCD3E4B46BBDC459D10D84901\"></a> \n            <h2><a name=\"GUID-D2625DE8-DED2-4689-8990-49E7F7EF3364\"></a>Deck assets\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5807\"></a>Decks let you control, monitor, and synchronize the recording or playback of a VTR (Video Tape Recorders) from within \n               		  <span class=\"charspan-msgph\">MotionBuilder</span>. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5804\"></a> <span class=\"charspan-msgph\">MotionBuilder</span> supports two decks: \n               		\n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5803\"></a><ul>\n               <li> DDR RS-422 Compatible \n                  		  \n               </li>\n               <li> Sony RS-422 Compatible \n                  		  \n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_F85C7978BC734883B775CF470F26DEA0\"></a> \n            <h2><a name=\"GUID-EEC036D4-C6EA-4B06-AD15-9C30659187F6\"></a> Device assets\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-57FA\"></a>A device is either a special software component or a separate piece of hardware that connects to your computer using a serial,\n               ethernet, or other connection. These devices can include voice and sound devices, or a separate piece of hardware, such as\n               a joystick, mouse, or keyboard. \n               		\n            </p> \n            <div><a name=\"WS1A9193826455F5FF3D6161141208A8044F3-7F9F\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The Devices shown in the Asset Browser \n                  		  <span class=\"filePath\">Devices</span> folder are the devices supported by \n                  		  <span class=\"charspan-msgph\">MotionBuilder</span>. \n                  		\n               </div>\n            </div> \n            <p>For information on how to use a device in your scene, see \n               		  <span class=\"char_link\"><a href=\"GUID-4D842A6D-D6BA-4AEA-BE1B-7FCA968B4265.htm\">Animating with Devices</a></span> . \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_A6DAD2F3DE664A37B148C63DE40CD08C\"></a> \n            <h2><a name=\"GUID-CB35EDA7-C85A-4A3B-8783-96895B627EA1\"></a>Element assets\n            </h2> \n            <p>The Elements folder contains a variety of 3D objects that you can add to the scene. For example, you can add a camera or light\n               to adjust the way you view the scene, or you can add a 3D cube to test the effects of certain shaders. You can add video to\n               a scene by first adding a Plane element, and you can build a skeleton using the Skeleton Root and Skeleton reference. The\n               include: \n               		\n            </p> \n            <p>See \n               		  <span class=\"char_link\"><a href=\"GUID-436A7A17-C1E1-4761-BE2A-0589DF479BD3.htm\">Add element assets to a scene</a></span>. \n               		\n            </p> \n            <div class=\"section\"><a name=\"SECTION_164DA1FF479E456BA12A307BDE72559F\"></a> \n               <h3><a name=\"GUID-06FC3B8C-03BC-4E51-B813-A6A237721A2D\"></a>3D Curve asset\n               </h3> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1AD\"></a>A curve that can be attached to a constraint to create an animation path. Dragging this asset into the Viewer window lets\n                  you create a set of points that make up a spline. \n                  		  \n               </p> \n               <p><a name=\"WS73099CC142F48755-38A23F5C12A55EE7664-7E03\"></a>See \n                  			 <span class=\"char_link\"><a href=\"GUID-ECABECB3-9988-40ED-BAB3-67CE11730C7E.htm\">Creating an animated path with a 3D Curve</a></span>. \n                  		  \n               </p> \n            </div> \n            <div class=\"section\"><a name=\"SECTION_56916B3980E347598C2563B3821A33B8\"></a> \n               <h3><a name=\"GUID-F4C4D47F-4566-45DE-9034-5CBBDB036342\"></a>Cube asset\n               </h3> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1AB\"></a>A 3D cube object. You can use cubes to test shaders, textures, materials or create environmental effects using the Particle\n                  shader. \n                  		  \n               </p> \n            </div> \n            <div class=\"section\"><a name=\"SECTION_29118AEC4D6B4982B630937BB32D2CA4\"></a> \n               <h3><a name=\"GUID-27B98853-A647-4304-853E-A556779CEBC7\"></a>Marker asset\n               </h3> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1AA\"></a>A general purpose object you can use for everything from character rigging to creating floor constraints. \n                  		  \n               </p> \n            </div> \n            <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-306FDA8211688C388F1-7FFA\"></a> \n               <h3><a name=\"GUID-E3D64BB3-2ED0-4621-908A-60587B61B2AA\"></a>Note asset\n               </h3> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A9\"></a>A property that lets you create text comments for information sharing. You can add notes to individual objects in a scene,\n                  or groups of objects. \n                  		  \n               </p> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A8\"></a>Refer to \n                  			 <span class=\"char_link\"><a href=\"GUID-A1F3E14A-09A2-448E-A9E4-8FBFE7DAAF7B.htm\">Attaching and removing Notes</a></span> and \n                  			 <span class=\"char_link\"><a href=\"GUID-D47D74EB-0AFC-44B5-82EB-535B2248EFE2.htm\">Note properties</a></span> for more information. \n                  		  \n               </p> \n            </div> \n            <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-306FDA8211688C388F1-7FF9\"></a> \n               <h3><a name=\"GUID-814F98E4-4993-4578-AF7F-4BCF538D1CCF\"></a>Null asset\n               </h3> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A7\"></a>An axis that you can parent to other objects for additional transformation. To learn how to hide nulls in your scene, see\n                  \n                  			 <span class=\"char_link\"><a href=\"GUID-8D641BCE-ABEA-4CB2-ABBD-E0BD924864D0.htm\">Hiding nulls</a></span>. \n                  		  \n               </p> \n            </div> \n            <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-306FDA8211688C388F1-7FF8\"></a> \n               <h3><a name=\"GUID-73C2B49F-367E-4A9D-9C5B-DBB202D289B4\"></a>Plane asset\n               </h3> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A6\"></a>A flat 3D object that you can use for walls, floors, to display video clips, and to create shadows and reflection maps. See\n                  \n                  			 <span class=\"char_link\"><a href=\"GUID-1A1C7E6E-0FCB-4FE7-AD41-56C7DBA1C3AD.htm\">Applying shadows to objects</a></span>. \n                  		  \n               </p> \n            </div> \n            <div class=\"section\"><a name=\"SECTION_832CE0ADCB8C49918DCB1C4619C08AB7\"></a> \n               <h3><a name=\"GUID-366CF2FC-0E85-4C09-9573-8D377B9D24EB\"></a>Primitive Element assets\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF45564F421269B08A8E9-505F\"></a>The Primitives folder within the Elements folder contains basic shapes (or Primitives) you can use as basic models for testing.\n                  You can animate, transform, and apply materials and effects to Primitives. Use the polySphere element in the Asset browser\n                  when you require a sphere model for Physics solves (such as Rigid body, Joint, or Ragdoll). The Elements Sphere element has\n                  geometry that may produce unpredictable results. \n                  		  \n               </p> \n            </div> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_C91A473680894231A3B40FBD9F288CE3\"></a> \n            <h2><a name=\"GUID-24FD5F27-AF37-46F3-9113-FEF5A399D02F\"></a> Physical Property assets\n            </h2> \n            <p>The Rigid Body Physical property enables you to create real-time collisions you can use to prevent interpenetration of characters,\n               objects, and other scene elements. The Ragdoll Physical property enables you to simulate and record collisions and collapses\n               on characters with Control rigs. The Joint Physical Property enables you to create physical links between two objects that\n               are solved by the Physics Solver. These physical links then let you reproduce behaviors such as hinges, a ball and socket\n               joint, and so on. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_DCD5A6BDF90144D48FD1EC3AD6C358E7\"></a> \n            <h2><a name=\"GUID-228ADCB2-A3CE-466F-8D3F-765E845E65EC\"></a>PhysX Physical Property assets\n            </h2> \n            <p>The PhysX assets include the Cloth, the Fluid and the Softbody assets. When you have PhysX-compatible graphics card, you can\n               uses these assets to simulate the movement of cloth, fluid, and soft bodies. However, you cannot use these three assets to\n               generate visual keyframes. \n               		  \n               <div><a name=\"GUID-F5A8846A-C5E3-4826-BA7C-9FEB87D37CFE\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>A point cache functionality exists that will allow you to record and store vertex animation for Softbodies and Cloth. You\n                     can not record or store Fluids data. \n                     		  \n                  </div>\n               </div> \n            </p> \n            <p>See the following: \n               		\n            </p> <a name=\"UL_E286252614E54B90AA89EB16EA5131F2\"></a><ul>\n               <li><span class=\"char_link\"><a href=\"GUID-28721626-CD4F-4696-A3E3-DED7937FCBAA.htm\">Ragdoll Physical property</a></span> \n               </li>\n               <li><span class=\"char_link\"><a href=\"GUID-2F0335F0-4287-4F06-8AB3-0DAB1133AEEC.htm\">Rigid Body Physical property</a></span> \n               </li>\n               <li><span class=\"char_link\"><a href=\"GUID-4CF9478E-F650-4E14-AE0F-8F36262750E1.htm\">Joint Physical property</a></span> \n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_97EEBDF55D134521A5513253ECF8CBEE\"></a> \n            <h2><a name=\"GUID-63F75C9C-F359-45C4-8911-2251ED5E238E\"></a>Shading Element assets\n            </h2> \n            <p>The Shading Elements assets include assets for materials, textures, layered textures, and shaders. \n               		\n            </p> \n            <div class=\"section\"><a name=\"WS1A9193826455F5FF45564F421269B08A8E9DF9\"></a> \n               <h3><a name=\"GUID-C2BF10B4-1811-45AA-AB58-BF84089EEC77\"></a>Material assets\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A838-7F6F\"></a>You can assign materials to the surface or faces of an object to simulate different substances, such as wood, metal, cloth,\n                  or skin. Used alone, materials affect the color and glossiness of objects. Used with textures and shaders, materials let you\n                  simulate surface detail, transparency, reflectivity, and displacement. \n                  		  \n               </p> \n               <p>See the following: \n                  		  \n               </p> <a name=\"UL_00B3DB4CA4B847309B5F7F4F32B2A5E3\"></a><ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-CDE267CA-CF45-43BE-BBF8-C10E36323869.htm\">About materials</a></span> \n                  </li>\n                  <li><span class=\"char_link\"><a href=\"GUID-429EF94B-986F-4C5E-90E7-0328E5FDE37C.htm\">Applying a material to a model</a></span> \n                  </li>\n                  <li><span class=\"char_link\"><a href=\"GUID-16626D4B-7720-404E-8D34-3C65B475076E.htm\">Applying a material to a region</a></span> \n                  </li>\n               </ul> \n            </div> \n            <div class=\"section\"><a name=\"WS1A9193826455F5FF45564F421269B08A8E9DFA\"></a> \n               <h3><a name=\"GUID-FDEE4B9F-F1D8-4334-8D35-597DCB406CC5\"></a>Texture assets\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF45564F421269B08A8E9DFB\"></a>Textures let you add surface detail using an image or video. The Texture asset in the Shading Elements folder is meant to\n                  be attached to a material or Layered texture. See the following: \n                  		  \n               </p> <a name=\"UL_E9CA75DFE39E4D08AE7F30A1A53CF791\"></a><ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-A58F7B77-D93F-4329-AAD2-8D0AF072064A.htm\">Textures</a></span> \n                  </li>\n                  <li><span class=\"char_link\"><a href=\"GUID-3D5115A3-3B37-4E7E-9E3D-0A44B0B8F513.htm\">Adding a texture to the scene</a></span> \n                  </li>\n                  <li><span class=\"char_link\"><a href=\"GUID-616DFD1D-5907-405F-98C9-9EA6ED3F18C6.htm\">Adding a texture to a material</a></span> \n                  </li>\n                  <li><span class=\"char_link\"><a href=\"GUID-742B9277-4816-4139-A235-948E596AF61B.htm\">Choosing texture types</a></span> \n                  </li>\n               </ul> \n            </div> \n            <div class=\"section\"><a name=\"WS1A9193826455F5FF45564F421269B08A8E9DFD\"></a> \n               <h3><a name=\"GUID-9EEDADF7-1C9D-40CC-A08F-42CAC93B8AF6\"></a> Layered Texture assets\n               </h3> \n               <p><a name=\"WS1A9193826455F5FF45564F421269B08A8E9DFE\"></a>A Layered Texture asset lets you blend multiple images and videos, then add them to a material as if they were a single media.\n                  The Layered Texture asset in the Shading Elements folder is meant to be attached to a material. See \n                  			 <span class=\"char_link\"><a href=\"GUID-A47C13B7-9F19-4DC6-9C3D-2E395B3FF76E.htm\">Blending multiple textures</a></span>. \n                  		  \n               </p> For other types of Layered textures, see \n               		  <span class=\"char_link\"><a href=\"GUID-742B9277-4816-4139-A235-948E596AF61B.htm\">Choosing texture types</a></span>. \n               		\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_3DD530AE23084317BEB14DE351DD31C5\"></a> \n            <h2><a name=\"GUID-E4CB2468-B4E2-40A0-B69B-A884363B32F3\"></a>Global Lighting Texture assets\n            </h2> \n            <p>Apply Global Lighting textures directly to the model and use them with shaders. You have the option of creating layered or\n               standard single-layered Global Lighting textures. See \n               		  <span class=\"char_link\"><a href=\"GUID-742B9277-4816-4139-A235-948E596AF61B.htm\">Choosing texture types</a></span>. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_896167BF12D249AA95EB773B57FF9178\"></a> \n            <h2><a name=\"GUID-F863447C-CE4D-45C5-BDB8-089AFFE3205C\"></a>Shader assets\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF45564F421269B08A8E9-5054\"></a>Shaders control the way the surface interacts with the lighting in the scene, creating color, specularity, reflection, transparency,\n               shadowing, and refraction effects. You can use them with materials and textures to create various surface effects. \n               		\n            </p> \n            <p>See the following: \n               		\n            </p> <a name=\"UL_BEB19441397645088F201E1FC9E08E75\"></a><ul>\n               <li><span class=\"char_link\"><a href=\"GUID-0DBC05BB-C285-4DFD-92CB-8E889719C800.htm\">About shaders</a></span> \n               </li>\n               <li><span class=\"char_link\"><a href=\"GUID-FAD77D08-1FF5-43C6-A96E-FABF3CCC8845.htm\">Applying a shader to a model</a></span> \n               </li>\n               <li><span class=\"char_link\"><a href=\"GUID-FBAB9B4A-1F43-4EA5-9F49-09CF39FC712B.htm\">Shader manager</a></span> \n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_353A859E935B4AE1B7FF160499422E4E\"></a> \n            <h2><a name=\"GUID-CAB2476F-B299-4685-A9EC-07E7A3344E9B\"></a>Solver assets\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A838-7F60\"></a> Solving is a term for the result of all calculations, rigs, and settings when using the character or physical solving engine.\n               The Physics solver world is a reflection of dynamic elements from a scene, that is any object with a property attached to\n               it. \n               		\n            </p> \n            <p>See the following: \n               		\n            </p> <a name=\"UL_45349E1D45C240B9BD9726C4B1118849\"></a><ul>\n               <li><span class=\"char_link\"><a href=\"GUID-44608A05-8D2F-4C2F-BDA6-E3945F36C872.htm\">HumanIK (HIK) character solving</a></span> \n               </li>\n               <li><span class=\"char_link\"><a href=\"GUID-5D9B5830-D16C-494F-BA3B-6D28BCDDA196.htm\">Physics solver</a></span> \n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_4CB07189290A48128ACD66DFBED301E0\"></a> \n            <h2><a name=\"GUID-ED613058-893B-461F-ADC6-CA0F8AD9C48A\"></a>Tutorial assets\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A8384407\"></a>The \n               		  <em class=\"mild\">Tutorials</em> asset folder contains various assets required to do the \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> tutorials. \n               		\n            </p> \n            <p>See \n               		  <span class=\"char_link\"><a href=\"GUID-17E2AD49-708B-4E99-84A0-210890B09948.htm\">MotionBuilder Tutorials</a></span>. \n               		\n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";