var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-4C33E322-D32F-43B1-AA19-0AC5262E4EAB\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Characterize the character model</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-4C33E322-D32F-43B1-AA19-0AC5262E4EAB\"></a><div class=\"head\">\n            <h1>Characterize the character model</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2C58\"></a>The following procedure shows you how to characterize a model. The moment you characterize a character model, <span class=\"charspan-msgph\">MotionBuilder</span> reads the structure you have outlined in the Mapping list, taking the model’s current pose as the base for all future poses\n            and movement. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-2C57\"></a><p class=\"list-intro\"><a name=\"GUID-A07833D8-02BD-4D23-8D8B-92927FEFAD4C\"></a>To characterize the character model:\n         </p>\n         <div><a name=\"GUID-549853FC-EFC0-4D32-87F7-7D1A0C2862E5\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>This procedure assumes you have just completed the previous procedure. \n               <p><a name=\"GUID-74A3C92E-DD29-4558-AD63-54BA943249A4\"></a>See <span class=\"char_link\"><a href=\"GUID-0D571147-175B-4F34-B775-2F851B5EC56E.htm\">Complete the character map</a></span>. \n               </p> \n            </div>\n         </div>\n         <ol type=\"1\" start=\"1\">\n            <li>In the Character Definition pane, activate the Characterize option. <a name=\"FIG_413AFF5F434346BFB1E6A2DDB4E93B38\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-089BD581-4746-4594-8F8E-117D407C87AB-low.png\"><p></p>\n                  <p class=\"figure-title\">Characterize activated</p>\n               </div> \n            </li>\n            <li>In the Character dialog box that appears, click Biped, since the Mia skeleton stands on two legs and makes contact with the\n               floor using only the feet. <a name=\"FIG_A34190F92C2B4AF8A5775A75062247AD\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-8DEB6ACE-C0A6-4126-88DA-A655D686D12B-low.png\"><p></p>\n                  <p class=\"figure-title\">Biped option in the Character dialog box</p>\n               </div> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2C50\"></a>Generic offsets are calculated so that the character is compatible with any source, the character is characterized, and <span class=\"charspan-msgph\">MotionBuilder</span> recognizes its structure. \n               </p> \n               <p><a name=\"WS73099CC142F48755-385A98B012180D20F193490\"></a>The nodes in the Mapping list are gray and cannot be edited. <a name=\"FIG_B1DBC34DE3C84F78A7A5F30866B72B4E\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-609FA397-A758-405D-82B1-EA02A4FA61F8-low.png\"></div> \n               </p> \n               <p><a name=\"WS1A9193826455F5FF-71BC797A126FD6FB25B-7FA3\"></a>Your character is now fully characterized and ready to be animated. \n               </p> \n               <div><a name=\"WS73099CC142F487553B93539F117A163FBCC678D\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If you want to add bones or edit the Mapping list later, you can temporarily disable the Characterize option when your character\n                     is in the T-stance. \n                  </div>\n               </div> \n            </li>\n            <li>In the Navigator Scene browser, expand the <em class=\"mild\">Characters</em> branch and right-click the <em class=\"mild\">Character</em> asset. \n               <p><a name=\"GUID-88488874-0EE0-426A-9420-6FFC2D8FEF36\"></a>A context menu appears. \n               </p> \n               <p><a name=\"GUID-AE96658D-824F-4985-BB8E-02C175AA3160\"></a> <a name=\"FIG_847C6E7E05D9403BAC03BC86D3369A59\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-9DED9750-8338-46DA-B59D-97E7FD9E44CC-low.png\"></div> \n               </p> \n            </li>\n            <li>Choose Rename and name the <span class=\"MenuCascade\" id=\"GUID-076F2BB2-8812-4B58-9CC6-8275E24C59A1\">Character</span> <em class=\"mild\">Mia</em>. \n            </li>\n         </ol>\n         <div class=\"section\"><a name=\"WS73099CC142F487553B93539F11788DBF193-507A\"></a> \n            <h2><a name=\"GUID-E292F157-15E5-4D89-B3D2-A48542C7489C\"></a>Summary\n            </h2> \n            <p><a name=\"WS73099CC142F48755-385A98B0121D1BB015F-2DE2\"></a>In this tutorial, you loaded a character model, mapped out its structure, and characterized it. \n            </p> \n            <p><a name=\"WS73099CC142F487553B93539F11788DBF193-5079\"></a>In the next tutorial, (<span class=\"char_link\"><a href=\"GUID-1F00421C-F64B-4C09-9EAB-E42A8D4B7FC8.htm\">Creating and Customizing a Control Rig</a></span>), you create and customize a Control rig for your characterized character. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";