var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-4CCA0B4C-51D6-493E-9ED1-F367EEE4B9FA\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Aim constraint settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-4CCA0B4C-51D6-493E-9ED1-F367EEE4B9FA\"></a><div class=\"head\">\n            <h1>Aim constraint settings</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-766\"></a> \n            		Use the Aim constraint to make an object point in the direction of another object, creating an effect similar to a camera\n            interest. \n            	 \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-764\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E0A15E3B-E878-4AD6-8F40-E17CA972FF25-low.png\"><p class=\"figure-title\">The Aim constraint</p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-762\"></a>The Aim constraint requires the following objects: \n            	 \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-761\"></a> \n            <h2><a name=\"GUID-0BD9E7B7-CE0C-4341-9223-6FB3A9DE30F6\"></a>Constrained object\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-760\"></a>An asset, model, or other object whose orientation derives from the Aim At Object(s) position. Also known as the “child” object.\n               \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-75F\"></a> \n            <h2><a name=\"GUID-8E09460B-9EB2-474B-84BE-FB5665E7789A\"></a>Aim at object(s)\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-75E\"></a>Object from which the position of the constrained object is derived. You can have multiple Aim At objects for this constraint.\n               \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-75D\"></a> \n            <h2><a name=\"GUID-61A63C1B-4AD6-4A17-B93E-B0BCF05D6C5D\"></a>World Up object\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-75C\"></a>Lets you select an asset, model, or other object whose orientation defines the Up rotation for the object. \n               		\n            </p> \n            <div><a name=\"WS73099CC142F4875535A241551166AC8792F-75B\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>It is not necessary to specify a World Up Object for the Aim constraint to function. \n                  		\n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-759\"></a> \n            <h2><a name=\"GUID-FD2155A5-D58E-42C9-A493-FFD3B7CA4009\"></a>Properties settings\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-758\"></a>The following Aim constraint settings are found only in the Properties window when the constraint is selected in the Scene\n               browser: \n               		\n            </p> <a name=\"WS73099CC142F48755-42A8108711A530FF1D3-DF2\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"22.593764121102573%\">\n                     <col width=\"77.40623587889742%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Properties window setting \n                        				  \n                     </th>\n                     <th class=\"table-heading\">Function \n                        				  \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Aim Vector \n                        				  \n                     </td>\n                     <td class=\"table-body\">Lets you set a specific XYZ axis for the constrained object to orient towards. Expand Aim Vector to view the individual X,\n                        Y, and Z axes. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Up Vector \n                        				  \n                     </td>\n                     <td class=\"table-body\">Lets you set a specific XYZ axis for the object whose orientation defines the Up rotation for the object. Expand Up Vector\n                        to view the individual X, Y, and Z axes. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Rotation Offset \n                        				  \n                     </td>\n                     <td class=\"table-body\">Lets you set a specific XYZ offset for the object whose orientation defines the Up rotation for the object. Expand Rotation\n                        Offset to view the individual X, Y, and Z axes. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">World Up Type \n                        				  \n                     </td>\n                     <td class=\"table-body\">An asset, model, or other object whose orientation defines the Up for the object. See \n                        					 <span class=\"char_link\"><a href=\"GUID-8F361CF6-FBB8-4AB4-ABA4-12A0F9D1B244.htm\">World Up type settings</a></span> for information about what objects you can specify as a World Up Type. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Up Vector \n                        				  \n                     </td>\n                     <td class=\"table-body\">Lets you specify an X, Y, or Z coordinate for the Up Vector. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">World Up Object \n                        				  \n                     </td>\n                     <td class=\"table-body\">Lets you assign an asset. model, or other object whose orientation defines the Up for the constrained object. This is the\n                        same setting as the World Up Object cell in the Navigator window Aim constraint settings. This setting is active when either\n                        Object Up or Object Rotation Up is selected at the World Up Type. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Constraint Axes \n                        				  \n                     </td>\n                     <td class=\"table-body\">Activate the Affect X, Y, or Z axis option to assign which axis the Aim constraint takes effect on. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">[Object] Weight \n                        				  \n                     </td>\n                     <td class=\"table-body\">Adjust the Weight setting(s) to set the amount of influence the Source object has over the constrained objects, letting you\n                        create constraint “blends”. Each Aim At object has a Weight slider so you can modify its offset. \n                        				  \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-8D67F03D-8502-4BA8-84B1-B08C6FB4C850.htm\">Working with Aim constraints \n                           		</a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8F361CF6-FBB8-4AB4-ABA4-12A0F9D1B244.htm\">World Up type settings</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";