var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-4D39EDB0-F634-424F-BDC1-191446F63CE8\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Choosing a mapping method</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-4D39EDB0-F634-424F-BDC1-191446F63CE8\"></a><div class=\"head\">\n            <h1>Choosing a mapping method</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DD3\"></a> Various mapping methods let you specify how a texture is placed on the model. Place a texture according to the model’s UV\n            coordinates or binding box, or choose from a number of wrap options. The mapping method that creates the best results depends\n            on the your model’s shape or whether its UV coordinates are mapped, or “unwrapped”. Also consider the purpose of the texture\n            and of the model. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-651F\"></a> See also <span class=\"char_link\"><a href=\"GUID-1AFE5C14-1E09-46E8-A9CC-9EDE269F98A5.htm\">Mapping area</a></span>. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DD1\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-651E\"></a>To change the texture’s mapping method:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Apply a texture so that it displays on the model in the Viewer window. \n               <p><a name=\"GUID-636D3380-63CC-40BA-BDBC-2AE17F4E2E23\"></a>See <span class=\"char_link\"><a href=\"GUID-742B9277-4816-4139-A235-948E596AF61B.htm\">Choosing texture types</a></span> and <span class=\"char_link\"><a href=\"GUID-616DFD1D-5907-405F-98C9-9EA6ED3F18C6.htm\">Adding a texture to a material</a></span>. \n               </p> \n            </li>\n            <li>Double-click the texture in the Scene browser. \n               <p><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-651C\"></a>The Texture settings display in the Navigator window. Texture properties also display in the Properties window. \n               </p> \n            </li>\n            <li>In the Texture settings, locate the Mapping Method menu. The following steps describe the situations in which you select options\n               available from this menu. \n            </li>\n            <li>If the model’s UV coordinates are mapped, that is, if the model is <em class=\"mild\">unwrapped</em>, select UV from the Mapping Method menu. This option uses the UV coordinates that are assigned to the vertices of your model\n               to place the texture. \n               <div><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-651A\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If your model does not have mapped UV coordinates, the UV option has the same effect as the XY mapping option. \n                  </div>\n               </div> \n            </li>\n            <li>Select the XY, YZ, or XZ options to map a selected texture to the bounding box of your object. The bounding box is then applied\n               to your model. <a name=\"WS73099CC142F4875535A241551166AC8792F-1DCC\"></a><ul>\n                  <li>Select XY to map the image on the XY plane of the bounding box. </li>\n                  <li>Select YZ to map the image to the YZ plane. </li>\n                  <li>Select XZ to map the image to the XZ plane. </li>\n               </ul> \n            </li>\n            <li>If your model is spherical or cylindrical, wrap your texture around the model using either the Spherical or Cylindrical options.\n               \n            </li>\n            <li>Use the Environment mapping option when your texture is spheroid. You can use this type of texture to create skyscapes or\n               simulate reflective surfaces. \n               <p><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-6908\"></a>For the best results, using this mapping method for scenes in which the camera does not move much. See <span class=\"char_link\"><a href=\"GUID-E2314FC7-8603-4400-A48C-04BCDBF14335.htm#WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32E9\">Environment mapping</a></span>. \n               </p> \n            </li>\n            <li>Select the Projection option if you want to project the texture image straight onto the object, so that the texture remains\n               flat and always faces the camera. \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DC4\"></a>A texture with a Projection mapping method is always projected from the current camera’s viewpoint. \n               </p> \n            </li>\n         </ol>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-1AFE5C14-1E09-46E8-A9CC-9EDE269F98A5.htm\">Mapping area </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-616DFD1D-5907-405F-98C9-9EA6ED3F18C6.htm\">Adding a texture to a material </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-21999967-7DD0-4DE2-B4A0-1219B225F8BA.htm\">Tiling your texture </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-8F050497-8200-4FBC-A726-605628D4F666.htm\">Rotating your texture </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-67046E09-1280-4EA4-BF87-A6664AD32FCF.htm\">Texture settings </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";