var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-4DA73497-8E1A-4504-86AD-3891958B6EBE\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Stiffness properties</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-4DA73497-8E1A-4504-86AD-3891958B6EBE\"></a><div class=\"head\">\n            <h1>Stiffness properties</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F5B6\"></a> Let you determine the extent to which certain body parts resist when being transformed. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F5B8\"></a>By default, the stiffness settings are set to replicate human movement. Some body parts that typically start by moving slowly,\n            such as the hips, take more time or a more exaggerated movement to move quickly. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F5B9\"></a>To control the amount of stiffness, drag the slider in the setting, or type a value in the numerical field. Use the following\n            guidelines when manipulating stiffness: \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F5BA\"></a><ul>\n            <li>At 100%, the body part is stiff and resists transformations. </li>\n            <li>At 50%, the body part averages between fully stiff and fully fluid movement. Transformations start off slow and gradually\n               speed up. \n            </li>\n            <li>At 0%, the body part moves fluidly and constantly without a slow start. \n               <div><a name=\"WS73099CC142F4875535A241551166AC8792F5BE\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> When your input source is a Control rig and Full Body or Body Part keying mode is selected, stiffness values are ignored\n                     during character manipulation. Stiffness settings are only observed when you play your animation. To view the stiffness while\n                     manipulating your character, disable Stiffness Override in the Character Controls window. \n                  </div>\n               </div> \n            </li>\n         </ul>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F5C0\"></a>Some body parts have additional stiffness settings or function differently than described above. Additional settings and exceptions\n            are described in the rest of this section. \n         </p>\n         <div class=\"section\"><a name=\"SECTION_75EFBB34C5BF42B78A73C85DFC72E141\"></a> \n            <h2><a name=\"GUID-FD8ADD75-5937-420C-AE7D-40192CB7B93E\"></a>Neck Stiffness\n            </h2> \n            <p><a name=\"GUID-867EEED9-E33B-44B4-9508-7375FB76B4D8\"></a>Lets you adjust the stiffness of the neck in your character. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_17FE5BB80E1F477C85438CCA2E86DCB8\"></a> \n            <h2><a name=\"GUID-5A37D9BC-7EE0-4256-B2FF-4243106C799E\"></a>Left Shoulder and Right Shoulder Stiffness\n            </h2> \n            <p><a name=\"GUID-1D5A3EC3-D64D-44EA-B0A6-7408B34A6B13\"></a>Lets you adjust the stiffness of the left and right shoulders in your character. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F5C6\"></a> \n            <h2><a name=\"GUID-3AE2E7F4-330B-4832-A30C-E720B37611FF\"></a>Left and Right Arm Stiffness\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5C7\"></a>The left/right arm stiffness settings include additional settings for adjusting the stiffness and limits of elbow bending.\n               Left/Right Arm Stiffness must be set to a value other than zero to take advantage of these additional stiffness limits. \n            </p> <a name=\"WS73099CC142F48755258D2DC211BC18227AE-7426\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"34.087822544137616%\">\n                     <col width=\"65.91217745586238%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Setting </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Left/Right Elbow Max Extension </td>\n                     <td class=\"table-body\">Use this setting to damp the left or right arm as it fully extends, to prevent elbow and limb snapping. The higher the value,\n                        the more gradually the limb extends. By default, a value of 50 corrects most limb snapping. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Left/Right Elbow Compression Factor </td>\n                     <td class=\"table-body\">Use these settings to change the stiffness of an extended arm as it bends. At 100% (full effect) the extended arm does not\n                        bend, but instead pushes the character’s chest, moving the character. \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_727A1A2344FE4B8B88AA6D0394E32729\"></a> \n            <h2><a name=\"GUID-9D876730-D7F2-4F2D-A7E8-4EBDEF56C376\"></a>Chest Stiffness\n            </h2> \n            <p><a name=\"GUID-3F0C8A47-CD08-4258-8A92-1FDCAE329820\"></a>Lets you adjust the stiffness of the chest in your character. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F5CC\"></a> \n            <h2><a name=\"GUID-A2033777-B432-49E1-AC50-6B22ED144360\"></a>Spine Stiffness\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5CD\"></a>Spine Stiffness is effective on Characters that have complicated spines. This option stiffens the rotation of the spine of\n               a character so that bending the character appears more rigid when bending. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5CE\"></a>At 100%, the spine is rigid. Bending is not compensated for by every spine object. At 0%, the effect is the same as disabling\n               the option, so the spine bends freely. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F5C1\"></a> \n            <h2><a name=\"GUID-300A25AF-6041-4CDD-BF2F-63ADE004FDF9\"></a>Hips Stiffness \n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5C2\"></a>Lets you set the percentage of resistance for the hips. You can also expand the Hips stiffness setting to view the Enforce\n               Gravity setting. \n            </p> <a name=\"WS73099CC142F48755258D2DC211BC18227AE-7427\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"20.741075463172166%\">\n                     <col width=\"79.25892453682783%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Setting </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Enforce Gravity </td>\n                     <td class=\"table-body\">Forces the hips of the character between its feet. By default, Hips Enforce Gravity is set to 60%. You must set Hips Stiffness\n                        to a value other than zero to take advantage of the Enforce Gravity setting. \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F5CF\"></a> \n            <h2><a name=\"GUID-B5229E10-9310-44EF-9537-DF4C02F7259E\"></a>Left and Right Leg Stiffness\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5D0\"></a>The left/right leg stiffness settings include additional settings for adjusting the stiffness and limits of knee bending.\n               Left/Right Leg Stiffness must be set to a value other than zero to take advantage of these additional stiffness limits. \n            </p> <a name=\"WS73099CC142F48755258D2DC211BC18227AE-7425\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"30.00451875282422%\">\n                     <col width=\"69.99548124717577%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Setting </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Left/Right Knee Max Extension </td>\n                     <td class=\"table-body\">Use these settings to damp the leg as it fully extends, to prevent knee and limb snapping. The higher the value, the more\n                        gradually the limb extends. By default, a value of 50 corrects most limb snapping. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Left/Right Knee Compression Factor </td>\n                     <td class=\"table-body\">Use these settings to change the stiffness of an extended leg as it bends. At 100% (full effect) the extended leg does not\n                        bend, but instead pushes the hips of the character, moving the character. \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-4C040511-9322-484B-A5CC-F0435699B946.htm\">Character Controls menu button </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";