var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-4E5A8CEE-2117-4D1F-9941-6F0794268DD0\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Using arithmetic operations in numeric and timecode fields</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-4E5A8CEE-2117-4D1F-9941-6F0794268DD0\"></a><div class=\"head\">\n            <h1>Using arithmetic operations in numeric and timecode fields</h1>\n         </div>\n         <p> </p>\n         <p> An operator is a symbol that represents a calculation or order of calculations. Operators typically perform arithmetic calculations,\n            comparisons, and conditions such as addition (+), subtraction (-), multiplication (*), or division (/). Combinations of these\n            operators are supported by numeric and timecode fields in MotionBuilder. \n            	 \n         </p>\n         <div class=\"section\"><a name=\"SECTION_B257710FB6A448AC9CBDB8A7C627D976\"></a> \n            <h2><a name=\"GUID-25A3F42A-85AF-4AB4-B432-EFCCB329DDA0\"></a>Numeric fields\n            </h2> \n            <p>The following operations are supported by numeric fields: \n               		<a name=\"TABLE_E822F7AFD68B422A961F16BF929B9B57\"></a><div class=\"table-ruled\">\n                  <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                     <colgroup>\n                        <col>\n                        <col>\n                     </colgroup>\n                     <tr class=\"ruled-heading\">\n                        <th class=\"table-heading\"> \n                           <p class=\"table-heading\">Operation \n                              					 \n                           </p> \n                        </th>\n                        <th class=\"table-heading\"> \n                           <p class=\"table-heading\">Description \n                              					 \n                           </p> \n                        </th>\n                     </tr>\n                     <tr class=\"ruled-odd-row\">\n                        <td class=\"table-body\"> \n                           <p class=\"table-body\">+=(x) \n                              					 \n                           </p> \n                        </td>\n                        <td class=\"table-body\"> \n                           <p class=\"table-body\">Adds the (x) value to the current numeric value. \n                              					 \n                           </p> \n                        </td>\n                     </tr>\n                     <tr class=\"ruled-even-row\">\n                        <td class=\"table-body\"> \n                           <p class=\"table-body\">-=(x) \n                              					 \n                           </p> \n                        </td>\n                        <td class=\"table-body\"> \n                           <p class=\"table-body\">Subtracts the (x) value from the current numeric value. \n                              					 \n                           </p> \n                        </td>\n                     </tr>\n                     <tr class=\"ruled-odd-row\">\n                        <td class=\"table-body\"> \n                           <p class=\"table-body\">*=(x) \n                              					 \n                           </p> \n                        </td>\n                        <td class=\"table-body\"> \n                           <p class=\"table-body\">Multiplies the (x) value by the current numeric value. \n                              					 \n                           </p> \n                        </td>\n                     </tr>\n                     <tr class=\"ruled-even-row\">\n                        <td class=\"table-body\"> \n                           <p class=\"table-body\">/=(x) \n                              					 \n                           </p> \n                        </td>\n                        <td class=\"table-body\"> \n                           <p class=\"table-body\">Divides the current numeric value by the (x) value. \n                              					 \n                           </p> \n                        </td>\n                     </tr>\n                     <tr class=\"ruled-odd-row\">\n                        <td class=\"table-body\"> \n                           <p class=\"table-body\">++ \n                              					 \n                           </p> \n                        </td>\n                        <td class=\"table-body\"> \n                           <p class=\"table-body\">Increases the current numeric value by 1. \n                              					 \n                           </p> \n                        </td>\n                     </tr>\n                     <tr class=\"ruled-even-row\">\n                        <td class=\"table-body\"> \n                           <p class=\"table-body\">-- \n                              					 \n                           </p> \n                        </td>\n                        <td class=\"table-body\"> \n                           <p class=\"table-body\">Decreases the current numeric value by 1. \n                              					 \n                           </p> \n                        </td>\n                     </tr>\n                  </table>\n               </div> \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_105A4C165D134C6CADE3830ED870854F\"></a> \n            <h2><a name=\"GUID-4BD5DA88-D715-4E1F-A4FA-C3EF2849C39A\"></a>Timecode fields\n            </h2> \n            <p>The following operations are supported by timecode fields that are displayed as frames: \n               		\n            </p> <a name=\"TABLE_011F149FE517446CAC18FCFE25C58726\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col>\n                     <col>\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\"> \n                        <p class=\"table-heading\">Operation \n                           					 \n                        </p> \n                     </th>\n                     <th class=\"table-heading\"> \n                        <p class=\"table-heading\">Description \n                           					 \n                        </p> \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">+=(x) \n                           					 \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">Adds the (x) value to the current frame value. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">-=(x) \n                           					 \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">Subtracts the (x) value from the current frame value. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">*=(x) \n                           					 \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">Multiplies the (x) value by the current frame value. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">/=(x) \n                           					 \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">Divides the current frame value by the (x) value. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">++ \n                           					 \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">Increases the current frame value by 1. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">-- \n                           					 \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">Decreases the current frame value by 1. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n               </table>\n            </div> \n            <p>The following operations are supported by timecode fields that are displayed as timecode: \n               		\n            </p> <a name=\"TABLE_5590068053714747B5328574F4BAFE36\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col>\n                     <col>\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\"> \n                        <p class=\"table-heading\">Operation \n                           					 \n                        </p> \n                     </th>\n                     <th class=\"table-heading\"> \n                        <p class=\"table-heading\">Description \n                           					 \n                        </p> \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">+=(HH:MM:SS:FF) \n                           					 \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">Adds the (HH:MM:SS:FF) value to the current time value. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">-=(HH:MM:SS:FF) \n                           					 \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">Subtracts the (HH:MM:SS:FF) value from the current time value. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";