var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-4F8EBE11-EA59-451C-B446-733E63703ABB\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Audio</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-4F8EBE11-EA59-451C-B446-733E63703ABB\"></a><div class=\"head\">\n            <h1>Audio</h1>\n         </div>\n         <p><a name=\"GUID-2E9B8E1D-2532-4344-A53E-562C30505CA9\"></a>While shooting in a virtual production environment, audio helps the actor, director, and editor to confirm that the visual\n            scene is in sync with the story. The advanced audio engine lets you add multiple audio tracks in the \n            		<span class=\"MenuCascade\" id=\"GUID-E1A1CB70-C009-45EE-AC3C-ED5F58000916\">Story</span> tool, and play them back. In a take-based approach, a take is considered as the destination for an audio file to play. Therefore,\n            you can assign only one audio file to a take. \n            	 \n         </p><a name=\"UL_C8A13309BED3460EBF832851FA5A65EC\"></a><p><a name=\"GUID-A6B30157-FAC6-4EF8-93EE-F87E4E500732\"></a>With the advanced audio engine, you can: \n            	 \n         </p>\n         <ul>\n            <li> Stretch multiple audio tracks in time \n               \n            </li>\n            <li>Import 16-bit \n               	 <span class=\"filePath\">.WAV</span>, \n               	 <span class=\"filePath\">.MP3</span>, and \n               	 <span class=\"filePath\">.BWF</span> file formats \n               	 \n               <div><a name=\"GUID-F8A98EF0-372F-4CD6-BBB3-A9ED436102C3\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You need to install Apple QuickTime player to import \n                     		<span class=\"filePath\">.MP3</span> files. \n                     	 \n                  </div>\n               </div> \n               <p><a name=\"GUID-2386F85A-4F27-446F-9AA4-EB484A4A569F\"></a>The Broadcast Wave Format (BWF) is based on the Microsoft WAVE audio file format, to which the European Broadcasting Union\n                  (EBU) has added a Broadcast Audio Extension chunk. In addition to the audio data, a \n                  		<span class=\"filePath\">BWF</span> file contains the metadata which is considered necessary for all broadcast applications. This audio format enables seamless\n                  exchange of audio material between different broadcast environments and between equipments based on different computer platforms.\n                  \n                  	 \n               </p> \n            </li>\n            <li> Export WAV files from \n               	 <span class=\"charspan-msgph\">MotionBuilder</span> SDK. For more information, see the MotionBuilder \n               	 <a href=\"https://help.autodesk.com/view/MOBPRO/2022/ENU/?guid=MotionBuilder_SDK_cpp_ref_index_html\">C++ API reference</a> and \n               	 <a href=\"https://help.autodesk.com/view/MOBPRO/2022/ENU/?guid=MotionBuilder_SDK_py_ref_index_html\">Python API reference</a>. \n               	 \n               <div><a name=\"GUID-F336FF8E-42DF-4287-BCCC-6BC799B696CE\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You cannot export \n                     		<span class=\"filePath\">BWF</span> files. \n                     	 \n                  </div>\n               </div> \n            </li>\n            <li>Choose left, right, or both channels to play the audio content \n               \n            </li>\n            <li> Lock audio speed when constraining the audio to a take \n               \n            </li>\n         </ul>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-56A4\"></a>The Audio settings let you load and view audio files and devices, as well as record audio files (in \n            	 <em class=\"mild\">.wav</em> format). \n            \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-56A0\"></a><p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-56A3\"></a>The Audio settings in the Navigator window change depending on what is selected in the Scene browser. \n            \n         </p>\n         <ul>\n            <li>If the Audio folder is double-clicked, the Global Audio settings appear with a field for setting the playback delay. See \n               	 <span class=\"char_link\"><a href=\"GUID-C1F996BD-20A6-435A-9CBD-E1747AE3F540.htm\">Global Audio settings</a></span>. \n               \n            </li>\n            <li>If an audio device is double-clicked in the Scene browser, the Audio Device Settings appear with information and settings\n               that correspond to your computer’s default audio device. See \n               	 <span class=\"char_link\"><a href=\"GUID-FDB3986F-2EA6-416C-B153-0202833F0B66.htm\">Audio Device settings </a></span>. \n               \n            </li>\n            <li>If an audio file is double-clicked in the Scene browser, the Audio Settings appear with information and settings that correspond\n               to the audio file you just clicked. See \n               	 <span class=\"char_link\"><a href=\"GUID-C052DB82-54A4-4193-90F4-95FB07331D7F.htm\">Audio settings</a></span>. \n               \n            </li>\n         </ul>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-569C\"></a>Before you use the Audio settings, ensure that the Layout &gt; Preferences &gt; Loading &gt; Enable Audio checkbox is turned on. \n            \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5699\"></a><ul>\n            <li> <span class=\"char_link\"><a href=\"GUID-64A3391E-B451-4015-A0F4-027F522DE4A4.htm\">Connecting to an audio device</a></span> \n            </li>\n         </ul><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-64A3391E-B451-4015-A0F4-027F522DE4A4.htm\">Connecting to an audio device</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-6D2F40AB-E06D-4028-B803-708B838E4ED4.htm\">Playing audio files</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-27C5FD60-65CF-41DE-AB2C-A0C37BFC071D.htm\">Playing back audio channels</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-880FFB31-9E10-4857-90A5-B091B657187F.htm\">Recording audio</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-CA68850F-DC5A-44F2-9A32-1BA76BC72B3A.htm\">Audio waveform</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-0D303694-D0F6-4C30-B3E5-DFEF641027D2.htm\">Caching audio</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-DE1BBCED-0E5F-4764-BD7B-7403CBA661B9.htm\">Accessing audio from disk or memory</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";