var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-53EA32FD-7C8D-4C25-AE00-01BEB934E205\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Define leaf roll bone behavior</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-53EA32FD-7C8D-4C25-AE00-01BEB934E205\"></a><div class=\"head\">\n            <h1>Define leaf roll bone behavior</h1>\n         </div>\n         <p> You can use the HIK leaf roll bone system to add a maximum of five leaf roll bones per limb, giving you greater control over\n            the rotation of your character\'s upper arms, lower arms, upper legs, and lower legs. \n            	 \n         </p>\n         <div><a name=\"GUID-F37ED5C5-9307-4817-8FFA-E77CF96AA38C\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Your Character Solver must be set to HIK 2016 Solver to access the leaf roll bones. \n               	 \n            </div>\n         </div>\n         <p>Leaf roll bone controls in the \n            		<span class=\"MenuCascade\">Character Settings</span> tab let you define how you want a character\'s leaf roll bones to behave as you rotate the character limbs. \n            	 \n         </p><a name=\"OL_9A3C1F4879FD44A4AE3ED939BA1BA6BB\"></a><p class=\"list-intro\"><a name=\"GUID-D98FEED7-A5BE-4D5F-B908-7B35711112A1\"></a>To define leaf roll bone behavior\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Define an existing skeleton with roll bones. See \n               		  <span class=\"char_link\"><a href=\"GUID-25126449-FAA8-4F6C-B033-B93816140182.htm\"> Define a skeleton for HIK</a></span>. \n               		\n            </li>\n            <li>In the \n               		  <span class=\"char_link\"><a href=\"GUID-5E66702A-643F-4484-B0FD-72BCCA677B19.htm\">Character Controls</a></span> window, ensure the character you want to work with is selected as the current \n               		  <span class=\"MenuCascade\">Character</span>. \n               		\n            </li>\n            <li>Select \n               		  <img src=\"../images/GUID-39B60BBD-A9DF-46CA-8078-B4277C4CD703-low.png\"> &gt; \n               		  <span class=\"MenuCascade\" id=\"GUID-113C35D4-FA07-4E94-B202-BFFEC1E635A4\">Edit &gt; Definition &gt; Edit Properties</span>. \n               		  \n               <p>Your character is now selected in the \n                  			 <span class=\"MenuCascade\">Navigator</span>. \n                  		  \n               </p> \n            </li>\n            <li>Double-click the character to access the \n               		  <span class=\"MenuCascade\">Character Settings</span> tab. \n               		\n            </li>\n            <li> Expand the \n               		  <span class=\"MenuCascade\" id=\"GUID-62F28D30-6487-4909-9A8D-60A0362A06F3\">Roll</span> heading, then the \n               		  <span class=\"MenuCascade\">Leaf</span> heading. \n               		\n            </li>\n            <li>For each leaf roll bone defined for your character, use the \n               		  <span class=\"MenuCascade\" id=\"GUID-E4D6DC63-05E5-493B-94D0-7AFA38E1EF9F\">Leaf</span> sliders to define the degree to which each target leaf roll bone is influenced when you rotate the associated character limb.\n               \n               		  \n               <p><a name=\"GUID-898CFDEA-5199-4EA6-9630-495E1DC82564\"></a> You can map a maximum of five leaf roll bones per limb. All leaf roll bones are parented to the same limb bone. The placement\n                  of the leaf bones along the bone and the percentage of rotation per leaf bone is determined by the number of leaf bones per\n                  limb. By default, values are assigned to each leaf roll bone in the<span class=\"MenuCascade\"> Roll &gt; Leaf</span> sections in the \n                  			 <span class=\"MenuCascade\">Character Definition</span> pane. Adjust these values to change the percentage of rotation per roll bone . \n                  		  \n               </p> \n               <p>For example, if there is a \n                  			 <span class=\"MenuCascade\">LeafLeft ForeArmRoll1</span> bone defined, the \n                  			 <span class=\"MenuCascade\">Leaf Left ForeArm Roll 1</span> character setting controls the distribution between the left forearm roll and the elbow. Setting the \n                  			 <span class=\"MenuCascade\">Leaf Left ForeArm Roll 1</span> slider to 50.0 means that 50% of the left elbow roll will be distributed between the left forearm and the left elbow roll\n                  as you rotate the left arm. \n                  		  \n               </p> \n            </li>\n         </ol>\n         <div class=\"section\"><a name=\"SECTION_EC338DAE671645ABB3678DA3EB2D5F86\"></a> \n            <h2><a name=\"GUID-8774030D-27C1-477E-8C11-D3D3A6884C33\"></a>Related Topics\n            </h2> <a name=\"UL_99B453602B6947D9BE29D6AA28213C0F\"></a><ul>\n               <li><span class=\"char_link\"><a href=\"GUID-F3374419-7FF9-40A6-B8D4-6D012797A878.htm\">Character and Name Match views</a></span> \n               </li>\n               <li><span class=\"char_link\"><a href=\"GUID-A900A0BA-A1A6-4707-A6AE-26FE8F49BEC6.htm\">HIK character structure</a></span> \n               </li>\n            </ul> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";