var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-55AB33AC-EB22-47E0-9679-8A448E891478\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Lighted shader settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-55AB33AC-EB22-47E0-9679-8A448E891478\"></a><div class=\"head\">\n            <h1>Lighted shader settings</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F04\"></a> Use the Lighted shader settings to control how your object reacts to lighting in the scene. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F02\"></a>The Lighted shader contains three color controls: Contrast, Luminosity, and Specular Factor. To use one of these controls,\n            activate the Use option beside the control. The corresponding color control bar is activated. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F01\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-5D6B17C3-382E-4909-9997-BC31A9B366E9-low.png\"><p class=\"figure-title\">Lighted shader settings</p>\n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EFF\"></a> \n            <h2><a name=\"GUID-E4F1CBE2-7FBD-49A4-B2EF-D738AF344DAD\"></a>Luminosity option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EFE\"></a>Activate the Luminosity option and use the Luminosity slider to change the brightness of the object when reflecting light.\n               This increases overall brightness, including contrast. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EFD\"></a> \n            <h2><a name=\"GUID-37A28F97-FF26-49DC-835E-4A268B77A8AE\"></a>Contrast option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EFC\"></a>Activate the Contrast option and use the Contrast slider to change the contrast of the object when it reflects light. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EFB\"></a> \n            <h2><a name=\"GUID-EBBB5174-3283-4A06-B6CA-91217B56E000\"></a>Specularity option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EFA\"></a>Activate the Specularity option and use the Specularity slider to change an object’s level of shininess when it reflects light\n               by increasing or decreasing the size of the specular highlight. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EF9\"></a>The specular highlight is the reflection of the light source, and usually appears as a bright circular area. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EF8\"></a> \n            <h2><a name=\"GUID-7E1E9533-8633-4A0D-9270-55A447D5FE8F\"></a>Transparency Type menu\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EF7\"></a>The Transparency Type menu lets you select a method of calculating transparency, and set a percentage to boost or reduce the\n               object’s texture or material transparency. For a description of the transparency types you can select, see <span class=\"char_link\"><a href=\"GUID-5CCFA80E-0497-48D4-BD3D-61AEE2F271FC.htm\">Shader transparency types</a></span>. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EF6\"></a>The following figures show the vest of a model with no shader and with a transparent Lighted shader. \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EF5\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E5D3E023-FDFA-426E-A85B-7FEAC32F2559-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A. </em>Cap with no transparency shader <em class=\"mild\">B. </em>Cap with Lighted shader Accurate Transparency set to 0.43.\n               </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EF3\"></a> \n            <h2><a name=\"GUID-E7408896-36F5-4F05-9396-01552F9E39AA\"></a>Transparency Factor slider\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EF2\"></a>The Transparency Factor slider lets you manipulate or animate the Transparency value for the Lighted shader. The default setting\n               is 1.00. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EF1\"></a>A material’s Transparency settings can also interact with the Lighted shader’s Transparency values and affect the result.\n               See <span class=\"char_link\"><a href=\"GUID-6D43452D-E354-4E1A-B63A-654A7F99844B.htm\">Advanced material settings</a></span>. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";