var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-55DB16E1-5177-4D62-9641-CBDA5F32F09F\">\n      <meta name=\"indexterm\" content=\"Cycle Analysis\">\n      <meta name=\"indexterm\" content=\"analyze FCurves\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Analyze FCurve data</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-55DB16E1-5177-4D62-9641-CBDA5F32F09F\"></a><div class=\"head\">\n            <h1>Analyze FCurve data</h1>\n         </div>\n         <p> </p>\n         <p><a name=\"GUID-A2F62F8B-257A-457D-9A91-C05ADCDE637D\"></a> You can analyze FCurve animation data so you can choose the best start and end points in your curves for creating animation\n            loops. Use the \n            		<span class=\"MenuCascade\">Cycle Analysis</span> tool to analyze animation data from input sources such as control rigs, characters driven by Flex Mocap, and skeletons driven\n            by an Actor. \n            	 \n         </p>\n         <p><span class=\"MenuCascade\">Cycle Analysis</span> provides five comparison parameters: Pose, Root Rotation, Root Height, Root Direction, and Root Speed. The Cycle Analysis\n            data can be saved to a file, and is both Take and Character dependent. \n            	 \n         </p><a name=\"OL_25FC4EF3D1EE4DFFA860C6A0AFFAF422\"></a><p class=\"list-intro\">To analyze an animated frame</p>\n         <ol type=\"1\" start=\"1\">\n            <li>In the \n               		  <span class=\"MenuCascade\">Character Controls window</span>, select a Character with animation. \n               		\n            </li>\n            <li>In the \n               		  <span class=\"MenuCascade\">Transport Controls</span> window, use the \n               		  <span class=\"MenuCascade\">Zoom</span> bar to specify the frame range you want to analyze. \n               		\n            </li>\n            <li>Drag the Timeline indicator to the frame you want to use as the starting point for the analysis. \n               		\n            </li>\n            <li> Click the \n               		  <span class=\"MenuCascade\">Cycle Analysis</span> icon: \n               		  <img src=\"../images/GUID-37715C8E-DC0E-4A13-9102-BA6F3FCEEF5B-low.png\">. \n               		  \n               <p><a name=\"GUID-3A2E2C6B-2714-4EDF-A3B4-27E9FA30BBE2\"></a>The \n                  			 <span class=\"MenuCascade\">FCurves</span> window displays the comparison parameters for the analyzed curve. \n                  		  \n               </p> \n            </li>\n            <li>To view the analysis, in the \n               		  <span class=\"MenuCascade\">FCurves</span> window under \n               		  <span class=\"MenuCascade\">&lt;charactername&gt;_CA</span>, select one of the following comparison parameters to plot its curve in the FCurves window: \n               		  <a name=\"UL_5988EC5CE81049C3A1610D20950FA4DB\"></a><ul>\n                  <li><span class=\"MenuCascade\">Pose \n                        				</span>—as a relative difference in percent or absolute difference in degrees. \n                     			 \n                  </li>\n                  <li><span class=\"MenuCascade\">Root rotation</span>—as a relative difference in percent or absolute difference in centimeters. \n                     			 \n                  </li>\n                  <li><span class=\"MenuCascade\">Root height</span>—as a relative difference in percent or absolute difference in degrees. \n                     			 \n                  </li>\n                  <li><span class=\"MenuCascade\">Root X and Z direction</span>—as a relative difference in percent or absolute difference in degrees. \n                     			 \n                  </li>\n                  <li><span class=\"MenuCascade\">Root speed</span>—as a relative difference in percent or absolute difference in centimeters per-second. \n                     			 \n                  </li>\n               </ul> <a name=\"FIG_D29FB330D6C346908E17A4C3D49A0B7F\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-27A9CBFC-8CA5-4394-B8B1-2171A67458C6-low.png\"></div> \n               <p>By default, the values represent the difference in the pose as a percentage from 0 to 100, where 0 means no difference to\n                  the target frame, while 100 means greatest difference to the target frame. \n                  		  \n               </p> \n            </li>\n            <li>(Optional) To see absolute difference values, do the following: \n               		  <a name=\"UL_F4958EE047C5420EA6B24D922A0A48A3\"></a><ul>\n                  <li>In the \n                     				<span class=\"MenuCascade\">Navigator</span>, click the \n                     				<span class=\"MenuCascade\">Properties</span> tab, \n                     			 \n                  </li>\n                  <li>Under \n                     				<span class=\"MenuCascade\">Settings</span>, click beside a comparison parameter mode, such as \n                     				<span class=\"MenuCascade\">Root Speed Mode</span>, and select \n                     				<span class=\"MenuCascade\">Absolute Difference (cm/s)</span>. \n                     			 \n                  </li>\n               </ul> <a name=\"FIG_0788D867AE9243749D063F607445B757\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A398B65B-0B0F-4B91-82C6-21D59A0D8196-low.png\"></div> \n            </li>\n            <li>(Optional) To analyze the curves as you drag the timeslider (scrub) along the timeline, turn on<span class=\"MenuCascade\"> RealTime</span> in the \n               		  <span class=\"MenuCascade\">Properties</span> tab under \n               		  <span class=\"MenuCascade\">&lt;charactername&gt;_CA</span>. \n               		\n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";