var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-5676AE5F-AE21-4578-84FE-6CE90F51FF9A\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Bump Map shader settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-5676AE5F-AE21-4578-84FE-6CE90F51FF9A\"></a><div class=\"head\">\n            <h1>Bump Map shader settings</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FE3\"></a> Use the Bump Map shader to create a three-dimensional texture effect on models from a normal map texture. \n         </p>\n         <p><a name=\"GUID-78EED397-57F1-4FA8-95B1-EE7D78719CC9\"></a> <a name=\"FIG_B27E3773E1F249F5B6DD0A0D1E240A66\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B83D26A5-BE9D-4FC8-8021-53B055CD1CA2-low.png\"><p class=\"figure-title\">Bump Map shader settings</p>\n            </div> \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FDF\"></a>This lets you simulate roughness or smoothness, depending on how the texture reflects light, such as in the image below. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FDE\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-7ADF23D7-4FE8-42EE-A5F3-97F629450E0A-low.png\"><p class=\"figure-title\">Bump Map shader <em class=\"mild\">A.</em> An object with no shader. <em class=\"mild\">B.</em> The same object with the Bump Map shader.\n            </p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FDC\"></a>Use the Bump Map settings to create specularity effects and increase the contrast of the Bump Map texture. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FDB\"></a>The Bump Map shader works with either a black and white bump map texture or a normal map texture. These textures define the\n            details for the shader. To associate a texture with a Bump map shader, see <span class=\"char_link\"><a href=\"GUID-6311A401-6EE8-4F71-94A8-1F7A5983B751.htm\">Creating a Bump Map</a></span>. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FDA\"></a>The effect of the applied Bump Map shader texture is visible as soon as any lights are added to the scene. Otherwise, there\n            is no effect in the Viewer window. When you translate the light, the bump mapping effect updates in real time. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FD9\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Some sliders in the Bump Map shader settings require a video card capable of supporting 4 textures, such as the NVIDIA GeForce\n               3 (or higher). Otherwise some settings are disabled. \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FD4\"></a> \n            <h2><a name=\"GUID-FD6CC88F-3172-4A65-8C77-B3B7C5D4D7EF\"></a>Bump Contrast\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FD3\"></a>Use the Bump Contrast slider, or enter a value in the Bump Contrast field to adjust the level of contrast created by the Bump\n               Map. Increasing the contrast creates a higher texture relief. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FD2\"></a> \n            <h2><a name=\"GUID-E63FCF4C-159E-4CD1-9CDF-21B60B0B50A1\"></a>Intensity\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FD1\"></a>Activate the Intensity option to apply the Bump Map’s color concentration as a map for the shader. Use the Intensity slider\n               to manipulate the dark areas of the texture created by the Bump Map, which creates a high relief effect. The default intensity\n               is 100%. You can animate this setting. \n            </p> \n            <div><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-6211\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Only one light is used to create the Bump Intensity effect. This is always the last light in the Lights Used For Bump list.\n                  \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FCC\"></a> \n            <h2><a name=\"GUID-146F1BA5-900F-4237-8F5F-5AD66B62B127\"></a>Specularity\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FCB\"></a>Activate the Specularity option to apply the Bump Map’s light reflection which define the Bump Map’s light peaks. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FCA\"></a>Use the Specularity slider to manipulate how the Bump Map reflects light peaks, to create matte or shiny effect. You can animate\n               this setting. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FC8\"></a> \n            <h2><a name=\"GUID-495501A2-C893-413B-A418-0584A86703CC\"></a>Invert Bumps\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FC7\"></a>Select either the U or V Invert Bumps option to choose which UV coordinate creates the Bump Map texture. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FC6\"></a>Choosing either U or V inverts the normals of the Bump Map in order to create the opposite texture effect. For example, raised\n               textures appear lower and lower textures appear raised. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FC5\"></a>The U and V direction can be important if, for example, you were using a brick wall texture and you did not want the mortar\n               to stand out beyond the brick surface. \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FC4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-65989FE9-6BB9-4A14-99E5-B8F077DED8F3-low.png\"><p class=\"figure-title\">Invert Bumps <em class=\"mild\">A.</em> U is activated.<em class=\"mild\"> B.</em> V is activated. <em class=\"mild\">C.</em> Both U and V activated.\n               </p>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FC2\"></a>Activating both the U and V settings flattens the texture’s appearance. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FC1\"></a> \n            <h2><a name=\"GUID-693D4D96-7D96-426E-BDA5-DD58A00E55CF\"></a>Enable Bump Lighting\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FC0\"></a>Activate the Enable Bump Lighting option to use a more accurate per-pixel lighting effect on the bump texture, instead of\n               vertex-based lighting. Using Enable Bump Lighting creates a dramatic contrast on the object. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FBF\"></a>The Enable Bump Lighting option uses only one light to create its effect. \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FBE\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-6FF94C06-F300-498E-9959-6164F1A2873D-low.png\"><p class=\"figure-title\">Enable Bump Lighting option <em class=\"mild\">A. </em>Disabled <em class=\"mild\">B.</em> Activated\n               </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FBC\"></a> \n            <h2><a name=\"GUID-C16F47A2-024B-4125-A073-89240FF9599D\"></a>Lights Used for Bump\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FBB\"></a>The Lights Used for Bump field lets you select the lights that produce Bump Map textures. <span class=\"keyboardEntry\">Alt</span>-drag any lights in your scene into the Lights Used for Bump field. You can also click the Lights Used for Bump button next\n               to the field to display the asset list, where you can choose from the lights in your scene. \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-6311A401-6EE8-4F71-94A8-1F7A5983B751.htm\">Creating a Bump Map </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-742B9277-4816-4139-A235-948E596AF61B.htm\">Texture types </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";