var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-568F71B5-7C76-4F3C-8388-AAABA97DA71E\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Interpolation Modes</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-568F71B5-7C76-4F3C-8388-AAABA97DA71E\"></a><div class=\"head\">\n            <h1>Interpolation Modes</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-EE9\"></a> \n            		When you set multiple keyframes for a property, \n            		<span class=\"charspan-msgph\">MotionBuilder</span> automatically interpolates the animation between the keyframes. You can see a graphical representation of this interpolation\n            in the \n            		<span class=\"char_link\"><a href=\"GUID-E5A37828-36A6-48D1-9F83-A4C5E58D9C32.htm\">FCurves Window</a></span>. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-EE7\"></a>To edit animation, you can create, view, and modify function curves in various ways. For example, you can set the interpolation\n            mode between keyframes, the curve’s extrapolation, and the value and time of the function curve. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-EE6\"></a>The animation differs depending on the interpolation mode. For example, a model animated along the X axis in the Auto interpolation\n            mode moves left and right gradually, while the same model animated in Stepped interpolation mode suddenly appears in different\n            locations at each keyframe. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-2ADE9D9118A20D4F81-B68\"></a>The following figures show a graphical representation of each interpolation mode. \n            	 \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-EE5\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B456E637-AE22-4DAD-AC62-F1F6F5A354BB-low.png\"><p class=\"figure-title\">FCurves window \n               		<em class=\"mild\">A.</em> Auto interpolation \n               		<em class=\"mild\">B.</em> TCB interpolation \n               		<em class=\"mild\">C.</em> Stepped interpolation \n               		<em class=\"mild\">D.</em> Linear interpolation\n            </p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-EE1\"></a>The slope of a function curve determines the speed at which the values change between keyframes. A steep slope means the value\n            changes quickly, and a gradual slope means the value changes more slowly over a longer period of time. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-EE3\"></a>You can set the keyframe interpolation mode in the Key Controls window before you add keyframes. You can change the keyframe\n            interpolation mode of a selected keyframe or function curve via the FCurves window. You can also simultaneously change the\n            interpolation mode of selected keyframes and function curves via the FCurves window. \n            	 \n         </p>\n         <p>You can access the Interpolation Modes from the \n            		<span class=\"MenuCascade\">Key Control \n               		</span>and<span class=\"MenuCascade\"> FCurve Editor</span> windows as shown in the following table: \n            	 \n         </p><a name=\"TABLE_D06F8BAE05C2416EBBE667C7EEC96D24\"></a><div class=\"table-not-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n               <colgroup>\n                  <col width=\"38.095238095238095%\">\n                  <col width=\"35.44973544973545%\">\n                  <col width=\"26.455026455026452%\">\n               </colgroup>\n               <tr class=\"not-ruled-odd-row\">\n                  <td class=\"table-body\"><em class=\"strong\">Key Controls \n                        				  </em> \n                  </td>\n                  <td class=\"table-body\"><em class=\"strong\">FCurve Editor (normal mode)</em> \n                  </td>\n                  <td class=\"table-body\"><em class=\"strong\">FCurve Editor (classic mode)</em> \n                  </td>\n               </tr>\n               <tr class=\"not-ruled-even-row\">\n                  <td class=\"table-body\">Auto\n                     				\n                  </td>\n                  <td class=\"table-body\">Auto\n                     				\n                  </td>\n                  <td class=\"table-body\">Auto\n                     				\n                  </td>\n               </tr>\n               <tr class=\"not-ruled-odd-row\">\n                  <td class=\"table-body\">Spline\n                     				\n                  </td>\n                  <td class=\"table-body\">Spline\n                     				\n                  </td>\n                  <td class=\"table-body\">Spline\n                     				\n                  </td>\n               </tr>\n               <tr class=\"not-ruled-even-row\">\n                  <td class=\"table-body\">Spline Clamp\n                     				\n                  </td>\n                  <td class=\"table-body\">Spline Clamp\n                     				\n                  </td>\n                  <td class=\"table-body\">Stepped (Step)\n                     				\n                  </td>\n               </tr>\n               <tr class=\"not-ruled-odd-row\">\n                  <td class=\"table-body\">Linear\n                     				\n                  </td>\n                  <td class=\"table-body\">Linear\n                     				\n                  </td>\n                  <td class=\"table-body\">TCB\n                     				\n                  </td>\n               </tr>\n               <tr class=\"not-ruled-even-row\">\n                  <td class=\"table-body\">Step\n                     				\n                  </td>\n                  <td class=\"table-body\">Step\n                     				\n                  </td>\n                  <td class=\"table-body\">Smooth\n                     				\n                  </td>\n               </tr>\n               <tr class=\"not-ruled-odd-row\">\n                  <td class=\"table-body\">TCB\n                     				\n                  </td>\n                  <td class=\"table-body\">Smooth \n                     				\n                  </td>\n                  <td class=\"table-body\">TCB\n                     				\n                  </td>\n               </tr>\n               <tr class=\"not-ruled-even-row\">\n                  <td class=\"table-body\">Smooth\n                     				\n                  </td>\n                  <td class=\"table-body\">Smooth Clamp\n                     				\n                  </td>\n                  <td class=\"table-body\">Fixed\n                     				\n                  </td>\n               </tr>\n               <tr class=\"not-ruled-odd-row\">\n                  <td class=\"table-body\">Smooth Clamp\n                     				\n                  </td>\n                  <td class=\"table-body\">&nbsp; </td>\n                  <td class=\"table-body\">&nbsp; </td>\n               </tr>\n               <tr class=\"not-ruled-even-row\">\n                  <td class=\"table-body\">Fixed\n                     				\n                  </td>\n                  <td class=\"table-body\">&nbsp; </td>\n                  <td class=\"table-body\">&nbsp; </td>\n               </tr>\n            </table>\n         </div>\n         <div class=\"section\"><a name=\"SECTION_BCB0BD8505574C8492043D379E406466\"></a> \n            <h2><a name=\"GUID-C099A4A6-8FC6-4BD8-8586-EB401E0BB2F2\"></a>Related topics\n            </h2> <a name=\"UL_37AA4C03834040A8816D6B31C55A2F09\"></a><ul>\n               <li><span class=\"char_link\"><a href=\"GUID-929F5FCE-7B22-4B60-9B16-30F7B0D70BD6.htm\">Key Controls Interpolation Type menu</a></span> \n               </li>\n               <li><span class=\"char_link\"><a href=\"GUID-0142A229-FB81-42CF-9686-E725C28AB10F.htm\">FCurves pane</a></span> \n               </li>\n            </ul> \n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-E6B603D9-248A-45D4-8BCE-5C17341F124D.htm\">Auto interpolation</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-F78D5C99-0239-4461-94B4-0329EE6C1934.htm\">TCB interpolation</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-F263EE8F-70A4-4941-BD31-410C08EC101A.htm\">Stepped interpolation</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-68002662-6CD3-464F-B87D-09C7E20B5118.htm\">Linear interpolation</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-FE40C8BB-6747-46F1-9209-1D95562E8D61.htm\">Resetting interpolation</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";