var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-5764407A-71F9-4221-AD2C-BA1D14E47788\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Work with Relations constraints</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-5764407A-71F9-4221-AD2C-BA1D14E47788\"></a><div class=\"head\">\n            <h1>Work with Relations constraints</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34AC\"></a> \n            		Relations constraints refer to constraints you create using a graphical interface, called the Relations pane in a connect-the-dots\n            manner. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34AA\"></a>Elements of the relations constraint, known as objects, once they are added to the Relations pane, are connected to one another\n            to form an equation. Once these elements are combined, they create a relations constraint that can be applied to a model.\n            \n            	 \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34A9\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B78395E8-7212-4B65-B2C4-00AF23227632-low.png\"><p class=\"figure-title\">Relations pane \n               		<em class=\"mild\">A. \n                  		</em>Objects area\n            </p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34A7\"></a>Unlike other constraints, Relations constraints come with mathematical operators that you can use as building blocks to create\n            very specific actions for your models. These building blocks are called Operators. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34A6\"></a>When a Relations constraint is dragged into the Viewer window, the Constraint settings displays the Relations pane, which\n            is the “drawing board” on which you construct the relation. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34A5\"></a>To show how Relations constraints let you create relationships between objects with more control than you can have with other\n            constraint types, see the following figure. This figure shows what a Parent/Child constraint would resemble if it were constructed\n            in the Relations pane. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34A4\"></a>Unlike a Parent/Child constraint, you can parent the object’s rotation only, so that when the source model moves, the target\n            model is affected only if it rotates. This shows you the kind of precise control you have when you construct a Relations constraint.\n            \n            	 \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34A3\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-FB5AA7D3-6CA3-4D98-A336-48450058E48D-low.png\"><p class=\"figure-title\">Relations pane \n               		<em class=\"mild\">A.</em> version of a Parent/Child constraint \n               		<em class=\"mild\">B.</em> With only rotation parented\n            </p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34A1\"></a>The constraint shown in the following figure shows an even more complex Relations constraint. The keyboard Escape key is used\n            to trigger the visibility of the SphereNURBS model. The second constraint in the pane shows a complex relation that uses the\n            visibility and Rotation of the SphereNURBs model to affect the behavior of the Cube model. \n            	 \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34A0\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-DE89B3EF-22FC-44B3-BE39-46636E059FAA-low.png\"><p class=\"figure-title\">Complex Relation \n               		<em class=\"mild\">A.</em> Keyboard triggering the SphereNURB visibility \n               		<em class=\"mild\">B.</em> Using SphereNURB’s motion to constrain Cube\n            </p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-349E\"></a>When using more complex relations, such as the one shown in the previous figure, the Relations pane is helpful because it\n            lets you visualize construction of the relationships between operators. This visualization makes it easy to create and change\n            large constraint interactions involving multiple operators, models, and conditions. \n            	 \n         </p>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-8BD528B2-8EF5-45E0-8C33-4667F41B7550.htm\">Relations constraint Object browser \n                           		</a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-988E9EAE-B6B7-43CC-810C-1D3C76339AF4.htm\">About Relations constraints</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-54D60392-4823-4C08-BE78-34B54670FFBF.htm\">Types of objects used in Relations constraints</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C50152F9-5607-4779-A964-186B4E1A0601.htm\">Relations reference</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-FD5967A9-43B0-4A97-8B61-9467935872F7.htm\">Navigating the Relations pane</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C9B71E6D-563A-46C7-99C2-FC87DE6B976A.htm\">About Conversion relations</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-788F958C-98E0-44C6-8EFF-AC4C9A16DDB0.htm\">Creating a Relations constraint</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-B34E9633-134A-457E-ABD9-9DC8B6B49659.htm\">Copying and pasting Relations constraints</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-26E541DE-9A40-4271-B8A5-1C2459D94CA5.htm\">About Macro relations</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";