var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-58AEC329-0091-46F5-BF3F-C4B250C68EBC\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Occlusion</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-58AEC329-0091-46F5-BF3F-C4B250C68EBC\"></a><div class=\"head\">\n            <h1>Occlusion</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FD9\"></a> One problem inherent with optical motion capture is occlusion, when a sensor is hidden from all but three cameras. This occurs\n            when a performer passes by an obstructing object, or when the performer’s body comes between the sensor and the camera. Occlusion\n            is impossible to avoid because no single camera angle can capture all sensors at once. Cameras cannot look through the body\n            of a performer to find hidden sensors. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FDB\"></a>When occlusion happens, the sensor disappears from the camera view, and the computer has no way of knowing where it went.\n            When occlusion ends and the sensor reappears, some optical capture systems treat the sensor as a new sensor and add a data\n            segment at the location where the sensor reappears. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FDC\"></a>For example, assume that a sensor is travelling in space and becomes occluded by an object. The camera records the trajectory,\n            as illustrated in the following graphic. <a name=\"WS73099CC142F4875535A241551166AC8792FDD\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C26B4139-A035-46FE-A4BD-DC53EF7E714E-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> Sensor traveling through space <em class=\"mild\">B.</em> Object obstructing the camera’s view of the sensor <em class=\"mild\">C.</em> Sensor emerging from behind the obstruction\n               </p>\n            </div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FDF\"></a>How an optical capture system may interpret the situation is shown in the following graphic. <a name=\"WS73099CC142F4875535A241551166AC8792FE0\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-5DDED7FA-1E67-4804-B829-25935E704863-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> Sensor’s position tracked and recorded as a segment <em class=\"mild\">B.</em> Sensor can no longer be tracked <em class=\"mild\">C.</em> A sensor appears and the system records a new segment\n               </p>\n            </div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FE2\"></a>When the sensor reappears, the optical system has no way of knowing that it is the same sensor recorded as segment 1, so it\n            begins a new data segment. <a name=\"WS73099CC142F4875535A241551166AC8792FE3\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-D586D86D-F182-4263-9D78-BEDDCF2FBFAF-low.png\"><p class=\"figure-title\">New data segment begins <em class=\"mild\">A.</em> Segment 1 is recorded <em class=\"mild\">B.</em> New segment is recorded using the same sensor\n               </p>\n            </div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FE5\"></a>Therefore, the raw data capture generates a large number of disconnected data segments. It is not uncommon for a thirty-second\n            capture session to generate hundreds of different data segments. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792FE6\"></a>For all of this data to be of any use, all these segments have to be connected together to create continuous data for each\n            sensor shown in the following graphic. <a name=\"WS73099CC142F4875535A241551166AC8792FE7\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-D1FF2114-EB2B-4488-A70C-0E939FACDE7A-low.png\"><p class=\"figure-title\">Connecting data segments from the same optical markers</p>\n            </div> \n         </p>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-ACDBF488-F78C-4E43-93AF-63C88E55E304.htm\">Problems with Optical data </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-88ED9A72-B5D3-470F-97BF-EB87C5F921EF.htm\">Optical systems and data </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-4CD83160-E199-4460-A3C6-7C16EFFCF8A1.htm\">Partial Occlusion </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";