var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-59B676C1-A428-44A9-AC59-B907F178FD05\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Camera Depth of Field settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-59B676C1-A428-44A9-AC59-B907F178FD05\"></a><div class=\"head\">\n            <h1>Camera Depth of Field settings</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FB9\"></a>Use the \n            		<span class=\"MenuCascade\">Depth of Field options \n               		</span>tab to configure selected cameras for motion blur. \n            	 \n         </p>\n         <p>The camera depth of field is the amount of space within lens view that maintains focus at given settings, such as camera speed,\n            film speed, lens aperture, and so on. In MotionBuilder, it refers to a method of blurring the view depending on either the\n            camera\'s focal point or a specific distance from the camera. \n            	 \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1FB7\"></a> \n            <h2><a name=\"GUID-B1FB600D-B190-45B1-905D-93BD22E6CCAA\"></a>Use Depth of Field option\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FB6\"></a>When on, you can set the camera\'s depth of field, which is the amount of space within lens view that maintains focus at given\n               settings, such as camera speed, film speed, lens aperture, and so on. In \n               		  <span class=\"charspan-msgph\">MotionBuilder</span>, it refers to a method of blurring the view depending on either the camera’s focal point or a specific distance from the\n               camera. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FB5\"></a>The Depth of Field settings are a method of blurring the current camera view based on either the camera’s focal point or a\n               specified distance from the camera. \n               		\n            </p> \n            <p><a name=\"GUID-92E5DDAD-120D-463E-99C7-8E9AED85AA5B\"></a>This is a keyframeable property that can be later modified in editors such as the FCurve Editor. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1FB3\"></a> \n            <h2><a name=\"GUID-08B25F23-0A21-4872-A574-B2A3C5765E0D\"></a>Focus Distance Source\n            </h2> \n            <dl><a name=\"GUID-28B86927-6D81-4156-A02B-A7042125AF72\"></a><dt><span class=\"term\">Camera interest \n                     			 </span></dt>\n               <dd>\n                  <div class=\"definition\">Bases the depth of field on the camera interest. Models at the camera interest are in focus. As you move toward or away from\n                     the camera interest, models become increasingly blurred. \n                     			 \n                  </div>\n               </dd><a name=\"GUID-070B2263-DCB1-4BE5-AE5D-37173B1597C2\"></a><dt><span class=\"term\">Specific Distance \n                     			 </span></dt>\n               <dd>\n                  <div class=\"definition\">Bases the depth of field on a point defined by a specific distance from the camera interest. \n                     			 \n                  </div>\n               </dd><a name=\"GUID-10510ECE-F91C-438D-A973-7A46531DDEE0\"></a><dt><span class=\"term\">Focus Model \n                     			 </span></dt>\n               <dd>\n                  <div class=\"definition\">Bases the depth of field on a selected scene element such as character. When selected, use the browse field beside \n                     				<span class=\"MenuCascade\"> Focus Model \n                        				</span>to locate and select a scene element from the scene browser. \n                     			 \n                  </div>\n               </dd>\n            </dl> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1FAE\"></a> \n            <h2><a name=\"GUID-387C6BB5-2DF0-4B0E-A3DD-EAC632E1C219\"></a>Specific Distance\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FAD\"></a>Use this to set a distance value when \n               		  <span class=\"MenuCascade\">Specific Distance</span> is selected as the \n               		  <span class=\"MenuCascade\">Focus Distance</span>. \n               		\n            </p> \n            <p>This property can be keyframed and later modified in editors such as the FCurve Editor. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1FA9\"></a> \n            <h2><a name=\"GUID-25C7136F-830C-4797-BC83-92B35278D046\"></a>Focus Angle field\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FA8\"></a>Use this to specify the angle of the focus or blur. Increasing the angle value decreases the depth of field, and increases\n               the amount of blur. Decreasing the focus angle increases the depth of field, and decreases the amount of blur. \n               		\n            </p> \n            <p>This property can be keyframed and later modified in editors such as the \n               		  <span class=\"MenuCascade\">FCurve Editor</span>. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1FA6\"></a> \n            <h2><a name=\"GUID-0F6021FC-2057-41B8-A1F0-2A03CD47900A\"></a>Use Motion Blur option\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FA5\"></a>When on, a motion blur effect is created for the selected camera. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1FA4\"></a> \n            <h2><a name=\"GUID-73BBF23F-79FD-4646-B8D5-63C62AF869C4\"></a>Enable Real Time option\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FA3\"></a>When on, you can view the Motion Blur effects in real time. When off, the blur effect is visible only when rendered. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FA2\"></a>For better results, leave Enable Real Time turned off as the render time motion blur calculation is more precise. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1FA1\"></a> \n            <h2><a name=\"GUID-8FA3F8ED-5EEA-4229-81A8-3151B5A627D2\"></a>Intensity (In Frames) slider\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1FA0\"></a> Sets the duration, in frames, of the Motion blur effect. Use higher values to generate stronger blur effects and lower values\n               subtle blurs. \n               		\n            </p> \n            <div class=\"section\"><a name=\"SECTION_3E856C10B00E488FB53A96F3AB12B176\"></a>Related topics \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F-1F9F\"></a><ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-E11DF1D4-DD76-45B3-A773-7434F1ACD8FD.htm\">Configure Depth of Field to create motion blur</a></span> \n                  </li>\n                  <li> <span class=\"char_link\"><a href=\"GUID-E37A927D-332F-490F-BEAE-64207C331978.htm\">Customizing the camera’s view</a></span> \n                  </li>\n                  <li> <span class=\"char_link\"><a href=\"GUID-5A3F4629-EA32-4D4B-B4A8-1BBD4CD70695.htm\">Setting a default camera</a></span> \n                  </li>\n               </ul> \n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";