var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-5CCFA80E-0497-48D4-BD3D-61AEE2F271FC\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Shader transparency types</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-5CCFA80E-0497-48D4-BD3D-61AEE2F271FC\"></a><div class=\"head\">\n            <h1>Shader transparency types</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EEE\"></a> The Transparency menu in the Flat, Lighted, CgFX. and Dynamic Lighting shaders lets you select a method of calculating transparency\n            and of adjusting the percentage used to boost the object’s texture or material transparency. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF45564F421269B08A8E9-569B\"></a>When a material is also applied to the model, its Transparency settings can interact with the shader’s Transparency settings.\n            \n            	 \n         </p>\n         <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EEC\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The CgFX shader has limitations with using the Transparency and Alpha channels with the Accurate Transparency and Translucent\n               (Models Z-Sort) options with self-hiding or intersecting models. \n               	 \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EEA\"></a> \n            <h2><a name=\"GUID-0E6CBA6A-0000-4416-951F-1242B8A81D21\"></a>No Transparency option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EE9\"></a>Select the No Transparency option to disable the object or texture’s opacity. Applying No Transparency results in a fully\n               opaque object. The Opacity Multiplier is not activated with this selection. \n               		\n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EE8\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-CEBB7BAD-3C7F-4F79-8B87-0DD360BD0AF4-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> No Transparency \n                  		  <em class=\"mild\">B.</em> Accurate Transparency \n                  		  <em class=\"mild\">C. \n                     		  </em>Translucent \n                  		  <em class=\"mild\">D.</em> Matte<em class=\"mild\"> E.</em> 2D Transparency \n                  		  <em class=\"mild\">F.</em> Additive Transparency<em class=\"mild\"> G. \n                     		  </em>Translucent (Z Sort Models)\n               </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EE6\"></a> \n            <h2><a name=\"GUID-368DEDEF-E997-4E47-8E95-00ADF6693B26\"></a>Accurate Transparency option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EE5\"></a>Select the Accurate Transparency option to calculate the transparency of the object or texture’s opacity. Accurate Transparency\n               is intended for objects that are only slightly transparent. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EE3\"></a>Use the Opacity slider to boost the amount of accurate transparency. Low values may show layering problems. \n               		\n            </p> \n            <div><a name=\"GUID-41A24165-B95B-4810-B515-6C703CE71873\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The Accurate Transparency option does not calculate accurate results. It is recommended that you use one of the other transparency\n                  options for best results. \n                  		\n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EE2\"></a> \n            <h2><a name=\"GUID-C3BC7989-BEBD-4CC4-B6E9-15154230B6D7\"></a>Translucent option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EE1\"></a>Select the Translucent option to calculate the transparency of the object or texture’s opacity using a less accurate but faster\n               algorithm. Use Translucent for very transparent objects. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EE0\"></a>Use the Opacity slider to boost or reduce the amount of transparency. A value of 0% makes the shaded object invisible. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EDF\"></a> \n            <h2><a name=\"GUID-C88216A7-247A-40CC-BEEE-90DB660092D6\"></a>Matte option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EDE\"></a>Select the Matte option to use the quickest method of applying transparency. Use the Matte option for objects with textures\n               that have an Alpha matte. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EDD\"></a>The Opacity Multiplier functions differently for the Matte setting. Changing the percentage boosts or diminishes the matte,\n               changing which Alpha channel values are included in the matte. This creates a thinning or thickening effect on the matte.\n               \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EDC\"></a> \n            <h2><a name=\"GUID-AFC5E413-9478-4FAC-B753-50BA17A8BDDF\"></a>2D Transparency option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EDB\"></a>Select the 2D Transparency option to apply transparency to the visible surface of the object. When an object has 2D Transparency\n               applied to it, solid objects are visible while partially transparent objects are not. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4EDA\"></a>Use the Opacity slider to increase the amount of 2D transparency. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4ED9\"></a> \n            <h2><a name=\"GUID-AE33A247-604D-42CC-951E-8264490E699C\"></a>Additive Transparency option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4ED8\"></a>Select the Additive Transparency option to apply transparency to the whole object. This option incrementally increases the\n               color value of the object. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4ED7\"></a>Use the Transparency slider to change the object’s level of transparency. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4ED6\"></a> \n            <h2><a name=\"GUID-E2B5B471-435A-4222-AEEA-B7A591322AA4\"></a>Translucent (Models Z Sort) option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4ED5\"></a>Select the Translucent (Models Z Sort) option for more accurate effects whenever you have objects in front of one another\n               using transparency. \n               		\n            </p> \n            <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4ED4\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>This Transparency type is the only one that sorts models according to their distance from the camera. In cases where the models\n                  are very close to each other or overlapping, the algorithm may not be able to determine which model is in front. \n                  		\n               </div>\n            </div> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-6D43452D-E354-4E1A-B63A-654A7F99844B.htm\">Advanced material settings \n                           		</a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";