var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-616DFD1D-5907-405F-98C9-9EA6ED3F18C6\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Adding a texture to a material</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-616DFD1D-5907-405F-98C9-9EA6ED3F18C6\"></a><div class=\"head\">\n            <h1>Adding a texture to a material</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-6096\"></a> To see a texture on a model, attach a texture to a material property such as the Diffuse property. You can use Texture and\n            Layered Texture assets with a material. For information on using Layered Texture assets, see <span class=\"char_link\"><a href=\"GUID-A47C13B7-9F19-4DC6-9C3D-2E395B3FF76E.htm\">Blending multiple textures</a></span>. \n         </p>\n         <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-47EA\"></a>For information on using the other types of textures, see <span class=\"char_link\"><a href=\"GUID-742B9277-4816-4139-A235-948E596AF61B.htm\">Choosing texture types</a></span>. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-6524\"></a>The following steps describe attaching a texture to a material’s Diffuse property. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-6523\"></a>When you attach a texture to the Diffuse property, you see the result of the texture on the model in the Viewer window. For\n            all other material properties, a corresponding shader must also be applied to the model to see the result of the texture in\n            the Viewer window. For example, to see the results of the Bump Map texture, apply a Bump Map shader to the model. For the\n            remaining properties, a custom shader is needed. See <span class=\"char_link\"><a href=\"GUID-2695068C-7D7E-49EE-88CE-61B201A0EAC6.htm\">Materials working with shaders and textures</a></span> and <span class=\"char_link\"><a href=\"GUID-6D43452D-E354-4E1A-B63A-654A7F99844B.htm\">Advanced material settings</a></span>. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-1E3A\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-592A\"></a>To add a texture to a material:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li> Select the Shading Elements folder in the Asset browser. </li>\n            <li>Drag a Texture asset onto a model in the Viewer window. \n               <div><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-1DF1\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If a material is already applied to the model, you can also drag the texture onto the material in the Scene browser. \n                  </div>\n               </div> \n            </li>\n            <li>In the menu that appears, select Attach Texture to Material &gt; Diffuse. A texture is added to the scene. \n               <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-47E9\"></a>The texture is attached to the material’s Diffuse property. If the model had no material applied to it, a new material is\n                  also added to the scene; the material is automatically applied to the model and the texture is attached to the material’s\n                  Diffuse property. \n               </p> \n            </li>\n            <li>Expand the Textures folder in the Scene browser. </li>\n            <li>Double-click the texture to display the Texture settings. </li>\n            <li>Select New Media in the Texture setting’s Media menu. A file browser opens. </li>\n            <li>Browse for an image file, such as a .tga or .jpg, and click Open. \n               <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-6091\"></a>The texture displays in the Texture settings. The texture may also display on the model, depending on how your model’s UVs\n                  are mapped. \n               </p> \n            </li>\n            <li>If you added a Texture or Layered Texture asset and the texture does not display on the model, you may need to adjust the\n               position of the texture on the model. See <span class=\"char_link\"><a href=\"GUID-4D39EDB0-F634-424F-BDC1-191446F63CE8.htm\">Choosing a mapping method</a></span>, <span class=\"char_link\"><a href=\"GUID-21999967-7DD0-4DE2-B4A0-1219B225F8BA.htm\">Tiling your texture</a></span>, and <span class=\"char_link\"><a href=\"GUID-8F050497-8200-4FBC-A726-605628D4F666.htm\">Rotating your texture</a></span>. \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";