var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-6311A401-6EE8-4F71-94A8-1F7A5983B751\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Creating a Bump Map</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-6311A401-6EE8-4F71-94A8-1F7A5983B751\"></a><div class=\"head\">\n            <h1>Creating a Bump Map</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4FFA\"></a> Use bump mapping to create the appearance of detailed relief on a model or object with simple geometry. \n         </p>\n         <p><a name=\"GUID-6028970A-DD32-48FC-8ECF-08F0E703943B\"></a>To create the appearance of a <span class=\"MenuCascade\" id=\"GUID-81F0E6C8-AE0B-4C1A-A180-617E17616D47\">Bump Map</span> texture on a model or object with simple geometry, and see the result in the <span class=\"MenuCascade\" id=\"GUID-89064905-34C9-4D71-9966-612119AF3741\">Viewer</span> (window), you need to perform the following four procedures. <a name=\"UL_AC74782A182547B9BE0DCC3BFCBF363B\"></a><ul>\n               <li>Attach a texture to the Material\'s <span class=\"MenuCascade\" id=\"GUID-6637D952-62FE-4EF1-8ECB-754B95D04E42\">Diffuse</span> property of the object. \n               </li>\n               <li>Add a <span class=\"MenuCascade\" id=\"GUID-21EF0CF9-042B-4FF6-9932-1AA8F491B314\">Bump Map</span> shader to the object. \n               </li>\n               <li>Attach the object\'s texture to the object\'s <span class=\"MenuCascade\" id=\"GUID-D3296463-7431-4544-9089-FA94A77607F5\">Material</span> <span class=\"MenuCascade\" id=\"GUID-0ACF1491-DF3D-4EA0-8E00-6CC06F31525D\">Bump Map</span> property. \n               </li>\n               <li>Add a light to the scene. </li>\n            </ul> \n         </p><a name=\"OL_620C17C1D6E04DE0A3FBF5153DA9C92F\"></a><p class=\"list-intro\"><a name=\"GUID-A3863B86-1858-41E4-8F66-41549F911A3D\"></a>To attach a texture to the Material\'s <span class=\"MenuCascade\" id=\"GUID-B31B9C72-8464-49B2-8D6C-9A333B7FFE36\">Diffuse</span> property of an object:\n         </p>\n         <div><a name=\"GUID-F3A9E8A2-2E78-4745-95AB-680C1A8EDBB5\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>This procedure assumes the scene consists of a simple geometric object. \n            </div>\n         </div>\n         <ol type=\"1\" start=\"1\">\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-A613D121-05CC-4FE7-A0F4-B42A7ECFDE20\">Asset</span> browser, click the <span class=\"MenuCascade\" id=\"GUID-151AC35D-B321-4624-9995-B45505F5154D\">Shading Elements</span> folder and drag the <span class=\"MenuCascade\" id=\"GUID-9D58D26B-C0BC-4454-BBFB-C44BB2C4E222\">Texture</span> asset onto the object in the <span class=\"MenuCascade\" id=\"GUID-82102A1B-3D16-4936-89E4-2F7EAD94AB65\">Viewer</span> window. \n               <div><a name=\"GUID-A16A7CBB-1CC6-4122-86B4-EBBD5A59F06A\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Dragging the <span class=\"MenuCascade\" id=\"GUID-67C9A5A6-DC78-4412-88C7-8237EC30192D\">Texture</span> asset from the <span class=\"MenuCascade\" id=\"GUID-823BB21D-8AD3-42ED-9CBC-3E5E8EBBBD39\">Asset</span> browser onto the object in the <span class=\"MenuCascade\" id=\"GUID-C1261BF3-9E54-4D4A-B424-B0EDCB398581\">Navigator</span> <span class=\"MenuCascade\" id=\"GUID-0B4247D3-E0F6-498B-B572-62C1F1B3BE66\">Scene</span> browser yields the same result. \n                  </div>\n               </div> \n               <p><a name=\"GUID-4ADB8FEE-14B4-4398-AC6E-09960D3BAD11\"></a>The <img src=\"../images/GUID-BCB83EA6-F965-422A-8491-B162EE51624B-low.png\"> context menu appears. \n               </p> \n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-C4CE32D5-B2F3-4EED-8438-E3A776E1E19C\">Diffuse</span> from the context menu. \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-13790B31-279C-4B9F-B1F4-C00080896BDE\">Navigator</span> window <span class=\"MenuCascade\" id=\"GUID-AF6A59AE-C3E0-4BEE-B6D1-28A32056CD8A\">Scene</span> browser, expand the <span class=\"MenuCascade\" id=\"GUID-CE88B0C5-45EF-4B42-B901-2190D200CBCC\">Scene</span>, expand the object, and expand <span class=\"MenuCascade\" id=\"GUID-79A8B197-4472-42DC-906E-9491D5B02C9D\">Material</span> under the object (or the <span class=\"MenuCascade\" id=\"GUID-D9346CF0-DA63-4182-B157-A406EB95DC20\">Material</span> group). \n               <p><a name=\"GUID-E465B199-14AB-4030-8988-EAB0EF79B355\"></a> <a name=\"FIG_5DB9E09A5ED74AF7A3379D2466D8E148\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B0DC55E9-8708-4727-A650-CC4F5B985981-low.png\"><p></p>\n                     <p class=\"figure-title\">Texture added to the Material\'s Diffuse property</p>\n                  </div> \n               </p> \n               <p><a name=\"GUID-6E5867E5-097D-483D-A496-85804F7DC52C\"></a>The <span class=\"MenuCascade\" id=\"GUID-7F6AEADE-7D12-4E93-83AA-9E3202EEA8BD\">Scene</span> browser and the <span class=\"MenuCascade\" id=\"GUID-99C5B3AF-D0B6-4386-9BA7-0622B29448FA\">Material Settings</span> pane displays a Texture attached to the Material\'s <span class=\"MenuCascade\" id=\"GUID-C8D2F1BF-8438-4179-A759-FA71935148AC\">Diffuse</span> property. \n               </p> \n               <p><a name=\"GUID-587AA7D4-5A1A-43D7-A259-3377F3AAD34E\"></a>All materials, shaders, and textures you apply to models and objects are also displayed in their respective <span class=\"MenuCascade\" id=\"GUID-B3658778-9CB8-4421-A7B8-EE72FA292A55\">Materials</span>, <span class=\"MenuCascade\" id=\"GUID-2DF6C999-517C-4853-B671-B90B12A08E5D\">Shaders</span>, and <span class=\"MenuCascade\" id=\"GUID-A288DA00-3244-4683-AF8E-8C65E3D2394C\">Textures</span> branch in the <span class=\"MenuCascade\" id=\"GUID-8F099DD9-19E5-4534-97C2-8A2FA2B50741\">Navigator</span> <span class=\"MenuCascade\" id=\"GUID-6AFF1908-F026-4F04-A66B-084A281C52D9\">Scene</span> browser. \n               </p> \n               <p><a name=\"GUID-C8BBCEF3-B1D7-4617-B9DD-503ACCF6F52F\"></a>You can now import a file to use as a texture for the object. \n               </p> \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-67B98D62-5F8C-46E8-8D4D-A7A9A026D5B7\">Scene</span> browser, double-click <span class=\"MenuCascade\" id=\"GUID-EE1684CE-53AB-43DB-A778-31280B2F9635\">Texture (Diffuse)</span> to access the <span class=\"MenuCascade\" id=\"GUID-D1E34F07-E53B-4A8C-AFD3-7B562CF50D2A\">Texture Settings</span>. \n               <p><a name=\"GUID-9F8FFCD4-9697-4F2B-ACC8-55E93EDF868B\"></a> <a name=\"FIG_7658E85D6F414E739F3EF20D34517615\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-AB1B54BD-4940-4E7C-83E3-C2B62F32ABC0-low.png\"><p></p>\n                     <p class=\"figure-title\">Navigator window Texture Settings pane</p>\n                  </div> \n               </p> \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-9E1E2C2E-6D78-4370-833B-CBE8BE0F9246\">Texture Settings</span> pane, click the <span class=\"MenuCascade\" id=\"GUID-A016995E-C83F-44A7-8505-8513B03FDE11\">Media</span> field. \n               <p><a name=\"GUID-B3359367-2681-4D0A-8EEC-F2EB5F083605\"></a>The Media field includes three options. <a name=\"FIG_1BE40FFE47C84A0B8B0CAB828CB4236C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E2FED05C-EAFD-4479-B8A3-E98D2F4E68A4-low.png\"></div> \n               </p> \n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-6D64659A-BEA6-4E85-8E4E-7CE46E798C06\">New media...</span>. \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-BE49CBC0-B4AC-4990-9432-9973BFB39854\">Import Video</span> dialog, select a file to use as a texture for the object and click <span class=\"MenuCascade\" id=\"GUID-52EB7F36-B6C1-4390-8FBE-A43D0B5CDEFD\">OK</span>. \n               <p><a name=\"GUID-31F5A32B-F0D9-4FB0-978E-E704ACBCDA9E\"></a>The <span class=\"MenuCascade\" id=\"GUID-C4B89DF4-E0DF-491A-86F5-C7730C137A7B\">Viewer</span> window displays the texture applied to the object. \n               </p> \n               <p><a name=\"GUID-ACE49BB2-5FC8-4196-8CE9-7B4E3BB0D5B6\"></a>The <span class=\"MenuCascade\" id=\"GUID-553637A2-72CD-43A0-B42C-6B2F38FCF73D\">Texture Settings</span> pane displays the preview of the texture. \n               </p> \n               <p><a name=\"GUID-22524F00-AAE2-41F1-8284-4C6D6DE57403\"></a> <a name=\"FIG_341AC11CE63B48B39B794187A13787E5\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-32D5F0A7-0B53-46A5-88E5-59DA6E292F5E-low.png\"><p></p>\n                     <p class=\"figure-title\">Navigator Window Texture Settings pane</p>\n                  </div> \n               </p> \n               <p><a name=\"GUID-0B25D531-39AB-439F-9E08-F07CCE8782F7\"></a>The <span class=\"MenuCascade\" id=\"GUID-34050B7F-5874-4BA2-AA66-40BEED823DE0\">Navigator</span> <span class=\"MenuCascade\" id=\"GUID-AB65FD5F-4053-4258-AAEC-A358E26D6616\">Scene</span> browser displays the name of the imported file used as the texture for the object. \n               </p> \n               <p><a name=\"GUID-F7136C46-1DB9-4B5B-8B6C-92CF87AABBD1\"></a> The <span class=\"MenuCascade\" id=\"GUID-2C059141-AFC2-4AB6-99AC-553ACD5BE255\">Material Settings</span> pane displays the preview of the texture and the texture applied to the <span class=\"MenuCascade\" id=\"GUID-123491DD-7142-408E-A8A5-DA4689B730AE\">Material Settings</span> <span class=\"MenuCascade\" id=\"GUID-45BDB689-7CF7-4678-B853-AD6EBE1B42C2\">Diffuse</span> property. \n               </p> \n            </li>\n         </ol><a name=\"OL_81093CA573DC4956B20ECCC1B0396B0B\"></a><p class=\"list-intro\"><a name=\"GUID-279926D4-8C50-4C22-B5EB-C81D97F2B1E2\"></a>To add a <span class=\"MenuCascade\" id=\"GUID-C400A3A3-FDF9-4C40-862F-6DE0E506A267\">Bump Map</span> shader to the object:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-F5EA34D7-4CEB-4B46-A319-38B46864D02E\">Asset</span> browser, expand the<span class=\"MenuCascade\" id=\"GUID-F3AD0C1A-7B0C-4CFB-873F-1195CE373756\"> Shading Elements</span> directory and then click the <span class=\"MenuCascade\" id=\"GUID-086504D7-3C48-4AB4-85AD-45F6F9201FF9\">Shaders</span> folder to access its contents. \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-26F5F6D0-7263-4693-903D-6DD311962DE8\">Shaders</span> folder, drag the <span class=\"MenuCascade\" id=\"GUID-9353A405-7DCD-43FB-AE49-8874744A9B34\">Bump Map</span> asset and drop it onto the object. \n               <p><a name=\"GUID-3263D7EF-A358-4301-A874-D3404E2B8397\"></a> A context menu displays. \n               </p> \n               <p><a name=\"GUID-5A3C2ABF-ADAD-42CF-B5E6-C6D6242F8AB4\"></a> <a name=\"FIG_717E87D4BB93454BBE38CA6C3E6B4E03\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-1582539C-93B1-4C2E-B727-EB4B930A0996-low.png\"></div> \n               </p> \n            </li>\n            <li>From the context menu, click <span class=\"MenuCascade\" id=\"GUID-5AC33683-23DF-4F46-935A-63C1113AD404\">Replace by Type</span>. \n               <p><a name=\"GUID-910A5D15-87AF-4492-B20A-6241401369DB\"></a>In the <span class=\"MenuCascade\" id=\"GUID-B3256504-1AB4-476C-8978-E78D5C053099\">Navigator</span> window, the <span class=\"MenuCascade\" id=\"GUID-3E00BFA0-64A6-4EE3-986F-79EEB71E01D9\">Bump Map Shader Settings</span> pane displays and the <span class=\"MenuCascade\" id=\"GUID-1E47ED1C-033A-4074-9766-F23D8DFCF5B1\">Scene</span> browser displays the <span class=\"MenuCascade\" id=\"GUID-1BCD00E7-CE4F-45B1-B72C-EEBFBF88258C\">Bump Map</span> attached to the Material. \n               </p> \n               <p><a name=\"GUID-53CB6401-1304-477E-97B1-8BC6F4FAB8F5\"></a> <a name=\"FIG_9DF9A4EF6C854C1E8B0D6CB4FF8BA170\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B83D26A5-BE9D-4FC8-8021-53B055CD1CA2-low.png\"><p></p>\n                     <p class=\"figure-title\">Bump Map Shader Settings</p>\n                  </div> \n               </p> \n            </li>\n            <li>(Optional) In the <span class=\"MenuCascade\" id=\"GUID-AAE58778-5EF6-4D27-80B5-62AC8764A2B6\">Scene</span> browser, expand the <span class=\"MenuCascade\" id=\"GUID-8959182C-597F-44CA-8E5A-B472103A1992\">Shaders</span> branch. \n               <p><a name=\"GUID-DACCE45A-29D0-4F68-B1CB-CF78DA0EF6AA\"></a>The <span class=\"MenuCascade\" id=\"GUID-5EAC1746-44B2-4BAD-905B-8931721146C3\">Bump Map</span> shader is added to the branch. \n               </p> \n            </li>\n         </ol><a name=\"OL_CFD56584258B4F5BA612523EC8CEF5E3\"></a><p class=\"list-intro\"><a name=\"GUID-6CCF1C53-E649-47F2-8EB9-CD721562B2A7\"></a>To attach the object\'s texture to the object\'s <span class=\"MenuCascade\" id=\"GUID-8F59C13A-3E89-441A-97C8-71A93572E11B\">Material</span> <span class=\"MenuCascade\" id=\"GUID-3072FF74-9B85-4B4C-83A5-848009340AE8\">Bump Map</span> property:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-36DF801A-9528-4B7D-9302-3095C82D0DDA\">Navigator</span> <span class=\"MenuCascade\" id=\"GUID-066AD488-A1B4-4E32-BBAE-77E012D567B5\">Scene</span> browser, double-click the object\'s <span class=\"MenuCascade\" id=\"GUID-44E28DB4-CAFF-40C1-9C5D-9FDD37AC2A9C\">Material</span> branch to access the <span class=\"MenuCascade\" id=\"GUID-89F7F517-6939-49C4-9C44-60FDF90260EF\">Material Settings</span>. \n               <p><a name=\"GUID-CACFFB52-B028-47A8-88CD-642290D4F3A4\"></a> <a name=\"FIG_C6EC5D8EFC9E41D59092E03B7C62C547\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-6926EDDD-C09D-45D3-A256-FDCF90152E13-low.png\"><p></p>\n                     <p class=\"figure-title\">Material Settings</p>\n                  </div> \n               </p> \n               <p><a name=\"GUID-9B352625-50CA-44F7-9238-61DA8BAEFE28\"></a>The <span class=\"MenuCascade\" id=\"GUID-146DFD91-DA7D-4A1D-89C0-2F38C0E32F5B\">Material Settings</span> pane displays a texture attached to the Material\'s <span class=\"MenuCascade\" id=\"GUID-5173643C-41A1-458F-9A1B-3D7C3C2854B4\">Diffuse</span> property, and a thumbnail view (<span class=\"MenuCascade\" id=\"GUID-9E2178F2-8A4E-41EC-BDF6-DFEF1719F700\">Preview Texture</span>) of the texture. \n               </p> \n               <p><a name=\"GUID-3343F78E-0F6F-49D3-8966-512EC00F67C2\"></a>The Material\'s <span class=\"MenuCascade\" id=\"GUID-69609641-99C2-4E1B-8848-3726C3FD015A\">Transparency</span>, <span class=\"MenuCascade\" id=\"GUID-7DDA1C23-FC5E-4EE8-9627-681EF5BDAB5C\">Reflectivity</span>, <span class=\"MenuCascade\" id=\"GUID-C90CA516-8342-4759-9812-A29AD721F7DE\">Displacement</span>, <span class=\"MenuCascade\" id=\"GUID-CE3234E2-CCA6-45E5-B6B5-3C37C3782059\">Bump Map</span>, and <span class=\"MenuCascade\" id=\"GUID-96AFEB3B-EDFF-44BC-AF9B-2783A61A9EC5\">Normal Map</span> properties are not available when the <span class=\"MenuCascade\" id=\"GUID-EB3134A6-E0BB-41F6-BBD7-8795484C5F83\">Advanced Mode</span> is disabled. \n               </p> \n               <div><a name=\"GUID-75CE5562-32CE-4BB2-9AEF-E0FE9B5C09CC\"></a><div class=\"note-important\"><span class=\"label label-target-language\">IMPORTANT:</span>To see the result of the <span class=\"MenuCascade\" id=\"GUID-D70F6B5D-842E-4E7F-BE93-951890714216\">Bump Map</span> texture in the <span class=\"MenuCascade\" id=\"GUID-53A057B4-DCD7-451B-8D14-4FB10890A486\">Viewer</span> window, you need to add a <span class=\"MenuCascade\" id=\"GUID-CB521DB9-639F-46AE-A811-BAD1DC37086D\">Bump Map</span> shader to the object, attach the texture to the Material\'s <span class=\"MenuCascade\" id=\"GUID-3AC41287-C366-4826-9C71-0926C6FD819A\">Bump Map</span> property and add a light to the scene. \n                  </div>\n               </div> \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-AD2CFFB2-3F7F-435D-B3CA-940FAAF565B5\">Material Settings</span>, enable <span class=\"MenuCascade\" id=\"GUID-8612A07C-6898-4462-A09D-4251F368BA57\">Advanced Mode</span>. \n               <p><a name=\"GUID-2F4B3E9A-A0F9-4B6B-9D98-15440BC074D4\"></a>A warning message displays. \n               </p> \n               <p><a name=\"GUID-FEFB588C-1548-4870-BA87-F5CC6F9A7BB4\"></a> <a name=\"FIG_087DB84A6DBC40F4B49D2962094CF8C9\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-0E3C0E28-08FD-40EA-91FC-31CDD3B971BF-low.png\"></div> \n               </p> \n               <p><a name=\"GUID-57B07AC6-EAFA-4FC2-A90F-95550961827F\"></a>The <span class=\"MenuCascade\" id=\"GUID-106D0C6A-8709-4BF5-9A7B-FD0F04D1FE01\">Material Settings</span> <span class=\"MenuCascade\" id=\"GUID-DE545B1F-A06C-403D-80AF-E05DBB04A175\">Advanced Mode</span> enables you to access the settings that require a shader to display the result in the <span class=\"MenuCascade\" id=\"GUID-600DA07D-A987-4EC5-9D8A-B700F42862C9\">Viewer</span> window. \n               </p> \n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-35BCEC56-826A-48BE-8BD6-FA32C2D11232\">OK</span>. \n               <p><a name=\"GUID-543B23A5-A352-4EF1-AF22-70F6D708B261\"></a>The<span class=\"MenuCascade\" id=\"GUID-C96CD232-7C21-49F3-B903-40073725F033\"> Material Settings</span> in the <span class=\"MenuCascade\" id=\"GUID-5F84F8AA-3169-4DCA-A098-0630BBB40E54\">Advanced Mode</span> are now accessible. \n               </p> \n               <p><a name=\"GUID-6CCECB7F-126F-43B2-A9DE-B8D5DB5A907D\"></a> <a name=\"FIG_19EB50522BD043BEAE379DDE1FC2DE93\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B7312A7C-5AEF-410C-9A01-166BAA946084-low.png\"></div> \n               </p> \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-1F1CC8D4-A59F-4542-B446-012FD43783CB\">Navigator</span> <span class=\"MenuCascade\" id=\"GUID-FA26EA28-1908-42BF-9155-3397C845A9C3\">Scene</span> browser, under the object\'s Material branch, drag the texture <span class=\"MenuCascade\" id=\"GUID-30A57622-F0D7-4FE4-BD52-E38133CAFE07\">*.* (Diffuse)</span> in the <span class=\"MenuCascade\" id=\"GUID-86BE8C6E-FE82-4B1C-9F33-3C56F6263186\">Material Settings</span> pane onto the Material\'s <span class=\"MenuCascade\" id=\"GUID-F824B49E-9AB5-4E21-9377-AB3E7B18D521\">Bump Map</span> property (<span class=\"MenuCascade\" id=\"GUID-DA577BDF-95C1-478C-B427-5D9830A1904F\">&lt;no object&gt;</span>). \n               <p><a name=\"GUID-1D8E210B-AA8C-45FE-ABF6-B2A41D01A237\"></a> <a name=\"FIG_3D22EBADE5D846F2B62F27F24CA876F2\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-7F4FC0D2-662A-4B42-AE3F-844AFE962D77-low.png\"></div> \n               </p> \n               <p><a name=\"GUID-974DBF71-4E38-456F-86B9-42F9717A1030\"></a>The <span class=\"MenuCascade\" id=\"GUID-A8B6583C-5288-4EBA-AD5C-9E27C60EB009\">Navigator</span> <span class=\"MenuCascade\" id=\"GUID-AC0C4C78-039C-4E68-9C77-43691DF9381E\">Scene</span> browser and <span class=\"MenuCascade\" id=\"GUID-D88C8DE0-E61E-45B0-BA8D-9174BCA9191E\">Material Settings</span> pane show the texture is now attached to the Material\'s Bump Map property. \n               </p> \n               <p><a name=\"GUID-6E29F742-3A21-41FA-BFC8-5CE53A1A83FD\"></a> <a name=\"FIG_CDD13200078C472583317AEA768C94E1\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-AA6D3A2B-59A4-423E-9003-C8F5C0A87F60-low.png\"></div> \n               </p> \n               <p><a name=\"GUID-7059689A-D7B7-4233-9F61-A0124DB11D5C\"></a>Although you added a texture and a <span class=\"MenuCascade\" id=\"GUID-079978F6-E8A3-4330-A513-08EE08E4A019\">Bump Map</span> shader to the object, the <span class=\"MenuCascade\" id=\"GUID-0CCF243C-9C00-45A7-BA88-E0FB49F5217B\">Viewer</span> window does not display the appearance of detailed relief on the object because there is no light in the scene. \n               </p> \n               <p><a name=\"GUID-50C98612-56D4-4E45-B75A-AA9BFA2D00B0\"></a>The following screen shot displays a scene with a textured object and no lights. The object\'s texture is attached to the <span class=\"MenuCascade\" id=\"GUID-B3D1140D-9967-4C99-BDB2-6FD20F692531\">Bump Map</span> and <span class=\"MenuCascade\" id=\"GUID-24AB6497-7855-43CC-A5B7-84EA7F41F890\">Diffuse</span> Material properties. \n               </p> \n               <p><a name=\"GUID-A2151930-35D2-49BD-AA11-0175E9A73652\"></a> <a name=\"FIG_8849097FA48441CD8C9AD96111DF7857\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C7CCE63A-6017-413E-ADCD-D35958257FE3-low.png\"></div> \n               </p> \n               <div><a name=\"GUID-02B515F0-DB46-43B8-A0E5-49ABA878DB12\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The default <span class=\"MenuCascade\" id=\"GUID-E86A382D-E8B2-4CA4-8460-D7EE886AFE0E\">Global Light</span> is not considered a light because it is simply an ambient \"work light \" that illuminates your scene. The <span class=\"MenuCascade\" id=\"GUID-FBA1BFC6-F63E-4D79-BE58-46AAC138D2DD\">Global Light</span> cannot display shaders. \n                  </div>\n               </div> \n            </li>\n         </ol><a name=\"OL_8590222C9D6E4138BB82900F4695CF39\"></a><p class=\"list-intro\"><a name=\"GUID-150EAA5E-EBEA-47E7-8E40-8CC5BA33434F\"></a>To add a Light to the scene:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-583F69A6-383D-46E1-9A0F-C4518473343D\">Asset</span> browser, click the <span class=\"MenuCascade\" id=\"GUID-02AF2B45-66AC-4FA6-9A7C-3E0BCD7CAAD7\">Elements</span> folder to access its contents. \n            </li>\n            <li>Drag a <span class=\"MenuCascade\" id=\"GUID-B66355F3-C907-4777-8755-642647DE6B4D\">Light</span> in the scene. \n               <p><a name=\"GUID-68B0FCFD-6250-4B6D-9644-8B0D50F95520\"></a>The appearance of detailed relief of the object is now visible in the <span class=\"MenuCascade\" id=\"GUID-057FC956-8EC7-44F8-8931-F2A2E381E008\">Viewer</span> as shown in the following screen shot. \n               </p> \n               <p><a name=\"GUID-FA4482B8-2CA0-49F4-8D54-4463AC97259F\"></a> <a name=\"FIG_212A806CE08F44829906C27B4892F302\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-8022FD30-938A-48F4-9369-E5851C929DC1-low.png\"></div> \n               </p> \n            </li>\n         </ol><a name=\"OL_1DAD451C0DA84DE7A5E63428BB47EF84\"></a><p class=\"list-intro\"><a name=\"GUID-8C924AE6-7BD8-4F94-88B7-4630EF13E33A\"></a>(Optional) To fine-tune the Bump Map effect:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li> In the <span class=\"MenuCascade\" id=\"GUID-C279BC63-F7AA-4BE0-8479-B02858FF2CBC\">Navigator</span> <span class=\"MenuCascade\" id=\"GUID-BCEE1C5F-F7B4-4FA2-9958-EAF5273BCC44\">Scene</span> browser, double-click the <span class=\"MenuCascade\" id=\"GUID-00F40CF0-7216-4729-BFCC-B8D05FD3E65C\">Bump Map</span> shader to access the <span class=\"MenuCascade\" id=\"GUID-61F91694-2B41-4CF4-9985-88419E791982\">Bump Map Shader Settings</span>. \n               <p><a name=\"GUID-F15C0F07-BD54-46B0-AC92-905817980195\"></a> <a name=\"FIG_98131B0943634391ADD36F7EFDB16EE6\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-AE61F5B6-502B-43BC-A38E-DBD5F883E0DD-low.png\"></div> \n               </p> \n            </li>\n            <li> In the <span class=\"MenuCascade\" id=\"GUID-E386B128-E1A4-46ED-AF3B-9B4CED438313\">Bump Map Shader Settings</span>, fine-tune the effect by enabling <span class=\"MenuCascade\" id=\"GUID-21FAA386-6089-433B-9B9E-E8E8EEF55353\">Intensity</span> and changing the <span class=\"MenuCascade\" id=\"GUID-FE961158-33EA-4047-9FC0-B04DF759048B\">Bump Contrast</span>, <span class=\"MenuCascade\" id=\"GUID-D553A0D1-514A-4DC5-9146-4D22D7A27626\">Intensity</span>, and <span class=\"MenuCascade\" id=\"GUID-4E227F25-3DA3-4C2B-970B-1A0C29F87EB5\">Specularity</span> values, and by enabling <span class=\"MenuCascade\" id=\"GUID-409D246A-6ACC-4143-BFB7-E8C4A3D2959A\">Invert Bumps</span> and <span class=\"MenuCascade\" id=\"GUID-1017A334-F48C-4D48-9D13-8CC06A584777\">Enable Bump Lighting</span>, and by choosing a Light to use for <span class=\"MenuCascade\" id=\"GUID-594A4E22-6570-4FAE-964C-38D7043F9A73\">Bump</span>. \n               <p><a name=\"GUID-86B4F584-CC52-4B2E-9982-6CD3EEE26936\"></a>See <span class=\"char_link\"><a href=\"GUID-5676AE5F-AE21-4578-84FE-6CE90F51FF9A.htm\">Bump Map shader settings</a></span>. \n               </p> \n            </li>\n         </ol>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-CDE267CA-CF45-43BE-BBF8-C10E36323869.htm\">Materials </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-67046E09-1280-4EA4-BF87-A6664AD32FCF.htm\">Texture settings </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-B903259D-1E5B-4679-B297-65E2DBB92138.htm\">Normal Map effect </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";