var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-633EF6FF-E527-4240-8109-8CF8A684C6BB\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Set up a character</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-633EF6FF-E527-4240-8109-8CF8A684C6BB\"></a><div class=\"head\">\n            <h1>Set up a character</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4B7\"></a> \n            		Follow the steps in this workflow to set up a character model in \n            		<span class=\"charspan-msgph\">MotionBuilder</span> and prepare it for animation. \n            	 \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-4B5\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F4875535A241551166AC8792F-4B4\"></a>To set up a character:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Create a character model in external software and save it as an \n               		  <em class=\"mild\">.fbx</em> file. (To do this, you need to have the appropriate FBX plug-in installed.) \n               		  \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4B2\"></a>It is recommended to use the bone-naming conventions recognized by \n                  			 <span class=\"charspan-msgph\">MotionBuilder</span> as you build your model and name its bones. \n                  		  \n               </p> \n               <p><a name=\"GUID-8D2CCE3E-1750-4C8F-9CAE-37AD939256B9\"></a> See \n                  			 <span class=\"char_link\"><a href=\"GUID-01F4E635-93BD-44C9-8773-72FD413B54F0.htm\">Bone naming conventions</a></span>. \n                  		  \n               </p> \n            </li>\n            <li>Load the \n               		  <em class=\"mild\">.fbx</em> file containing your character model in \n               		  <span class=\"charspan-msgph\">MotionBuilder</span>. \n               		  \n               <p><a name=\"GUID-CF7FC3CE-B4D1-4204-89B9-540A2450EC9C\"></a>See \n                  			 <span class=\"char_link\"><a href=\"GUID-EE540CA9-C320-44C1-B1A5-528A1CB52726.htm\">Open a scene file</a></span>. \n                  		  \n               </p> \n            </li>\n            <li>Add a Character asset to the scene. See \n               		  <span class=\"char_link\"><a href=\"GUID-E55E3560-C84B-4A36-9E81-EEE39E084B47.htm\">Adding a Character asset</a></span>. \n               		  \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4AF\"></a>The Character asset provides you with a template you can use to map out your character for \n                  			 <span class=\"charspan-msgph\">MotionBuilder</span>. \n                  		  \n               </p> \n            </li>\n            <li>Link your character to the Character asset by completing a character map. \n               		  \n               <p><a name=\"GUID-6276F60E-7061-4CFE-A46F-FB06292FA402\"></a>See \n                  			 <span class=\"char_link\"><a href=\"GUID-81EE03EF-066C-4442-B47A-25E4D43E0203.htm\">Character mapping</a></span>. \n                  		  \n               </p> \n            </li>\n            <li>Characterize the character. \n               		  \n               <p><a name=\"GUID-6521F841-0B7E-447A-8890-4A05C8971A8D\"></a>See \n                  			 <span class=\"char_link\"><a href=\"GUID-853F8AB9-FD71-430E-85D0-6641F64CB1A5.htm\">About Characterizing</a></span>. \n                  		  \n               </p> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4AC\"></a>If you have named your character’s bones according to \n                  			 <span class=\"charspan-msgph\">MotionBuilder</span>’s naming conventions (as discussed in step 1), you can complete steps 4 and 5 automatically. See \n                  			 <span class=\"char_link\"><a href=\"GUID-0008F9D7-A2A4-4A30-A149-BA6C03F9910A.htm\">Automatically mapping and characterizing a character</a></span>. \n                  		  \n               </p> \n            </li>\n         </ol>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4AB\"></a>Your character is now set up and ready to be animated in \n            		<span class=\"charspan-msgph\">MotionBuilder</span>. \n            	 \n         </p>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-6D67BEC3-6586-4FB1-917D-19FFC9C80B65.htm\">Character assets \n                           		</a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-0CC7458E-1F10-4714-BFD3-4465D4565A68.htm\">Control rigs \n                           		</a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-A9E1388D-40B1-4D3D-B2BD-A4715C126814.htm\">Characterizing a character model \n                           		</a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-A9BBD6EC-BC88-4FE1-8ABD-2CDCEC8A16E0.htm\">Skins window \n                           		</a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";