var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-678E796F-3514-4FA8-AAAE-357CD05A91BC\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Object global, local and additive reference modes</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-678E796F-3514-4FA8-AAAE-357CD05A91BC\"></a><div class=\"head\">\n            <h1>Object global, local and additive reference modes</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1BCA\"></a>When you transform an object, you can change the way the values that define its location, size, and orientation are displayed.\n            Any transformation value can be defined relative to the scene (globally) or relative to the object itself (locally). Rotation\n            values can also be defined using the Additive Reference mode. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1BC9\"></a>The Reference mode menu in the Viewer window lets you choose which way you want to define transformation values. See \n            		<span class=\"char_link\"><a href=\"GUID-2A11F624-B868-408B-8022-C7590BB74AA1.htm\">Viewer window Reference mode tools</a></span>. \n            	 \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1BC8\"></a> \n            <h2><a name=\"GUID-A1DC0B4E-A291-4B30-AC01-3D1ADAE3977D\"></a>Global Reference mode\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1BC7\"></a>Select the Global Reference mode if you want an object’s transformation values displayed relative to the center of the scene\n               (the global axis). \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1BC6\"></a>When you activate the Global Reference mode while transforming objects, the Translation arrows and Rotation rings are shown\n               with the same orientation as the center of the scene. Scaling handles are always oriented to match the axis of the object\n               itself. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1BC5\"></a>For example, in the following figure, Global Reference mode is selected so that when the object is translated along the Y-axis,\n               it moves along the global Y-axis. \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1BC4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-4BF21E7F-5328-479E-996B-9FA664AF7F93-low.png\"><p class=\"figure-title\">Global Reference mode: The marker translates along the global Y-axis. </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-612B1C0911688C4C4DE-7FFE\"></a> \n            <h2><a name=\"GUID-364ED919-B3EF-4A8C-9FD2-2E151274CE51\"></a>Local Reference mode\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1BC2\"></a>Select Local Reference mode if you want an object’s transformation values to be displayed relative to its own center, or from\n               the center of its parent if it is parented. If the object does not have a parent, the values of Local mode are the same as\n               Global mode. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1BC1\"></a>When you activate Local Reference mode while transforming objects, the Translation arrows, Rotation rings, and Scaling handles\n               all display relative to the center of the object itself. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1BC0\"></a>For example, in the following figure, Local Reference mode is active, so the marker is translated along its local Y-axis.\n               \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1BBF\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-869862EB-7700-4B68-A7AB-477D62D54CF0-low.png\"><p class=\"figure-title\">Local Reference mode: The marker translates along the local Y-axis.</p>\n            </div> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1BBD\"></a>The object’s center (its local axis) is determined by the placement of its \n               		  <span class=\"char_link\"><a href=\"GUID-6DA48FA1-7CC9-4ADB-BE48-AFCE1CDE9E66.htm\">Transformation pivots</a></span>. You can offset an object’s Transformation pivots using the Transformation pivots properties. (See \n               		  <span class=\"char_link\"><a href=\"GUID-6DA48FA1-7CC9-4ADB-BE48-AFCE1CDE9E66.htm\">Transformation pivots</a></span>.) \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1BBC\"></a>While the Local Reference mode can be used to rotate any group of objects, it is particularly useful when you rotate objects\n               that are part of the same hierarchy, such as a character’s spine, fingers, or tail. Since the rotation of each object in the\n               hierarchy is calculated relative to its parent, you can easily create natural bending. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-612B1C0911688C4C4DE-7FFD\"></a> \n            <h2><a name=\"GUID-F96151AD-95BC-40E6-90AD-E3020A432AB7\"></a>Additive Reference mode\n            </h2> \n            <div><a name=\"WS73099CC142F4875535A241551166AC8792F-1BBB\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Additive Reference mode is only available if you are in Rotation mode. In addition, you cannot use it when you have selected\n                  a Control rig effector while in Full Body or Body Part keying mode. \n                  		\n               </div>\n            </div> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1BB8\"></a>Select Additive Reference mode if you want the selected object’s transformation values to reflect its actual local coordinates\n               on the current layer only. This is useful when you are working with FCurve values because it lets you work with each axis\n               independently. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1BB7\"></a>The Additive mode lets you perform individual and continuously incrementing axis rotations. It lets each axis rotate freely\n               to show the calculation behavior of the real Euler rotations, which can help identify why gimbal locks occur in your animation.\n               \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1BB6\"></a><ul>\n               <li> <span class=\"char_link\"><a href=\"GUID-DF7A7135-024B-4141-ADE9-8B94F8F6429A.htm#WSF00FE1F65A1E03F9-612B1C0911688C4C4DE-7FF1\">Scaling mode</a></span> \n               </li>\n            </ul> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";