var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-68575BCA-F847-4362-9515-500A990387B7\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Custom import options</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-68575BCA-F847-4362-9515-500A990387B7\"></a><div class=\"head\">\n            <h1>Custom import options</h1>\n         </div><a name=\"FIG_50F34B2D6D4F45C19155EF9EEA5176A4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C278B96D-8C65-49B8-9C35-90963C4F2173-low.png\"></div>\n         <p><a name=\"WS73099CC142F48755F2FC9DF120970276F7-6577\"></a> The area beneath the Create and Merge options displays additional options that are available depending on the file format\n            that you are importing. This topic lists the more commonly used file formats and their options. \n            	 \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F48755F2FC9DF120970276F7-6573\"></a> \n            <h2><a name=\"GUID-B37B9D2F-3BC4-4210-897D-A7373164562D\"></a>Acclaim (*.asf and *.amc)\n            </h2> \n            <p><a name=\"WS73099CC142F48755F2FC9DF120970276F7-6572\"></a>The Acclaim format is a dual file format where the \n               		  <em class=\"mild\">.asf</em> file contains a definition of the skeleton and the \n               		  <em class=\"mild\">.amc</em> file contains the motion data used by the skeleton. It is possible to have multiple \n               		  <em class=\"mild\">.amc</em> files for a single \n               		  <em class=\"mild\">.asf</em> file. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F48755F2FC9DF120970276F7-6571\"></a>When importing any Acclaim file format files, you can select only one \n               		  <em class=\"mild\">.asf</em> file and zero or more \n               		  <em class=\"mild\">.amc</em> files. If you choose to select no \n               		  <em class=\"mild\">.amc</em> files, a dialog box warns you that you are loading a skeleton with no data. If you continue, a skeleton structure is imported\n               without animation. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F48755F2FC9DF120970276F7-6570\"></a>When importing this file format, three additional import options appear: \n               		\n            </p> <a name=\"WS73099CC142F48755F2FC9DF120970276F7-656F\"></a><ul>\n               <li>Create a Reference Node \n                  		  \n               </li>\n               <li>Import Base rotation as Pre Rotation \n                  		  \n               </li>\n               <li>Import Base translation as Rotation pivot offsets \n                  		  \n               </li>\n            </ul> \n            <p><a name=\"WS73099CC142F48755F2FC9DF120970276F7-656B\"></a>Acclaim ASF and AMC file import and export support the following: \n               		\n            </p> <a name=\"WS73099CC142F48755F2FC9DF120970276F7-656A\"></a><ul>\n               <li>Base rotation is imported as Pre-Rotation, and Pre-Rotation is exported as Base Rotation. \n                  		  \n               </li>\n               <li>Base translation is imported as Rotation Offset and Rotation offset is exported as Base Translation. \n                  		  \n               </li>\n               <li>Rotation order \n                  		  \n               </li>\n            </ul> \n            <div><a name=\"WS73099CC142F48755F2FC9DF120970276F7-6566\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If you do not activate the Base Translation on Rotation Offset option, no translation limits are applied to the file export.\n                  If you do not activate the Base Rotation on Pre Rotation, no rotation limits are applied to the file export. This is because\n                  limits are applied to the original animation data. When these options are disabled, the animation is resampled and the original\n                  limits are lost. See \n                  		  <span class=\"char_link\"><a href=\"GUID-B4179528-405F-413F-94E3-35731E9B80D2.htm\">Acclaim .asf and .amc file format limitations</a></span>. \n                  		\n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755F2FC9DF120970276F7-6564\"></a> \n            <h2><a name=\"GUID-645ED3C2-6BFA-4654-ABC4-0B5B297BD5FB\"></a>Autodesk (*.fbx)\n            </h2> \n            <p><a name=\"WS73099CC142F48755F2FC9DF120970276F7-6563\"></a>The Autodesk \n               		  <em class=\"mild\">.fbx</em> file format, in this context, refers to an \n               		  <em class=\"mild\">.fbx</em> animation file format. An \n               		  <em class=\"mild\">.fbx</em> animation file format contains only skeleton-based animation that are commonly created for the Animation Trigger window.\n               See \n               		  <span class=\"char_link\"><a href=\"GUID-4C69F545-9ED6-42CC-9A8F-5F336C6B72E1.htm\">Animation Trigger window</a></span>. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F48755F2FC9DF120970276F7-6562\"></a>When importing \n               		  <em class=\"mild\">.fbx</em> animation files, the Import table contains only the start and end columns. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755F2FC9DF120970276F7-655E\"></a> \n            <h2><a name=\"GUID-BC75BFE0-923B-4EE2-A4E0-DB841DDD1BA9\"></a>Motion Analysis (*.htr)\n            </h2> \n            <p><a name=\"WS73099CC142F48755F2FC9DF120970276F7-655D\"></a>The Motion Analysis \n               		  <em class=\"mild\">.htr</em> file format stands for Hierarchical Transformation Rotation. It is a hierarchical skeleton data format captured using Motion\n               Analysis capture hardware. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F48755F2FC9DF120970276F7-655C\"></a>When importing this file format, an additional import option (Create Reference Node) lets you create a reference node when\n               importing your \n               		  <em class=\"mild\">.bvh</em> or \n               		  <em class=\"mild\">.htr</em> skeleton. \n               		\n            </p> \n            <div><a name=\"WS73099CC142F48755F2FC9DF120970276F7-655B\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If a green property appears on an imported bone, it represents the Bone Length Data (HTR_BoneLength). \n                  		   \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755F2FC9DF120970276F7-6560\"></a> \n            <h2><a name=\"GUID-D38A364E-18BA-48DE-BBAC-F62F9799AF19\"></a>Biovision (*.bvh)\n            </h2> \n            <p><a name=\"WS73099CC142F48755F2FC9DF120970276F7-655F\"></a>The Biovision file format is a file format for hierarchical or skeletal-based data. When importing this format, an additional\n               import option (Create Reference Node) lets you create a reference node when importing your \n               		  <em class=\"mild\">.bvh</em> or \n               		  <em class=\"mild\">.htr</em> skeleton. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755F2FC9DF120970276F7-655A\"></a> \n            <h2><a name=\"GUID-24BF650D-C441-45E0-B484-BEFFDC7ED621\"></a>Motion Analysis (*.trc)\n            </h2> \n            <p><a name=\"WS73099CC142F48755F2FC9DF120970276F7-6559\"></a>The Motion Analysis \n               		  <em class=\"mild\">.trc</em> file format is an optical capture file format. When importing this file format, an additional option lets you import data\n               as optical segments. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755F2FC9DF120970276F7-6558\"></a> \n            <h2><a name=\"GUID-5E12B4BB-0730-4B3C-8099-098F0392A8B2\"></a>Vicon (*.c3d)\n            </h2> \n            <p>The Vicon \n               		  <em class=\"mild\">.c3d</em> file format is an optical data file format captured using Vicon capture hardware. The following import option are specific\n               to the import of .c3D files: \n               		\n               <dl><a name=\"GUID-ED4A16D6-61D6-46D4-A602-14CBDC851194\"></a><dt><span class=\"term\">Create Optical Segments \n                        			 </span></dt>\n                  <dd>\n                     <div class=\"definition\">Lets you import data as optical segments. \n                        			 \n                     </div>\n                  </dd><a name=\"GUID-2F8FDF25-A2BB-4C33-8D3C-824075A4099D\"></a><dt><span class=\"term\">Keep Actor Prefix \n                        			 </span></dt>\n                  <dd>\n                     <div class=\"definition\">Lets yoiu retain the Actor prefix when naming each optical marker \n                        			 \n                     </div>\n                  </dd><a name=\"GUID-A92F1937-EB9B-4D17-B457-079B4A4BEAF7\"></a><dt><span class=\"term\">Up Axis used in file \n                        			 </span></dt>\n                  <dd>\n                     <div class=\"definition\"> <a name=\"FIG_D504F4DBFCCD49A58438C0C9DA056D6D\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-AE204160-1BB4-47B8-AC4E-F18E62EEC600-low.png\"></div> \n                     </div>\n                     <div class=\"definition\">Lets you pick the up axis to use for the C3D file (Y-axis or Z-axis). \n                        				\n                        <div><a name=\"GUID-B2FB7572-313C-4463-A0E3-AA47DE296110\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You must choose the axis on import; axis information is not stored in the file. \n                              				\n                           </div>\n                        </div> \n                     </div>\n                  </dd>\n               </dl> \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";