var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-6941B2C9-BEF3-446B-8C13-0DB4207C9FDE\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Manually mapping and characterizing a character</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-6941B2C9-BEF3-446B-8C13-0DB4207C9FDE\"></a><div class=\"head\">\n            <h1>Manually mapping and characterizing a character</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DED\"></a> When the bones in a model are named differently from the names recognized by <span class=\"charspan-msgph\">MotionBuilder</span>, you need to map each bone manually before the model can be characterized. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DEB\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DEA\"></a>To manually map and characterize a character:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Load a character model into the scene. </li>\n            <li>From the Asset browser &gt; Templates &gt; Characters folder, drag a Character asset into the scene. \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DE7\"></a>A Character asset is added in the Scene browser and the Character Settings open in the Navigator window. \n               </p> \n            </li>\n            <li>Activate the Lock option in the Scene browser to keep the Character Settings open for the duration of this procedure. </li>\n            <li>Switch to the Character Definition pane and view the Mapping List. Expand the Base (required) group of slots. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DE4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B3C51D13-8025-4811-B148-ABC7CF598650-low.png\"><p></p>\n                  <p class=\"figure-title\">Character Definition pane <em class=\"mild\">A.</em> Base (required) objects\n                  </p>\n               </div> \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DE2\"></a>The words &lt;Drop Object Here&gt; currently display for each required slot in the Mapping List because the bones in the model have\n                  not yet been mapped. \n               </p> \n            </li>\n            <li>In the Viewer window, switch to the Schematic view (Ctrl-W), then press A to frame the hierarchy. Each of the bones in your\n               character’s hierarchy are represented by rectangular nodes. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DE0\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-23EE90A9-7C4F-4C7F-9261-ECD89E8077DC-low.png\"><p></p>\n                  <p class=\"figure-title\">Character hierarchy in the Schematic view</p>\n               </div> \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DDE\"></a>You may find it easier to select bones using these nodes in the Schematic view. \n               </p> \n            </li>\n            <li>Select a bone, then <span class=\"keyboardEntry\">Alt</span>-drag it into the Mapping List of the Mapping List. Drop each of the bones in the character into the corresponding slot of\n               the Mapping List. \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DDC\"></a>For example, if you select the left thigh bone in your character model, you would <span class=\"keyboardEntry\">Alt</span>-drag it into the LeftUpLeg field in the Mapping List. \n               </p> \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DDB\"></a>Repeat this step until you have dragged all of the required bones into the Mapping List. The Character mapping is now complete.\n                  \n               </p> \n            </li>\n            <li>Activate the Characterize option at the top of the Mapping List. </li>\n            <li>A dialog box appears to remind you that your model must be in a stance facing the positive Z-axis. Choose between two types\n               of postures for your character (Biped or Quadruped) to continue. \n            </li>\n         </ol>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DD8\"></a>After characterizing your character, you cannot make any changes to the Mapping List. To make changes, you must disable the\n            Characterize option to remove characterization. \n         </p>\n         <div><a name=\"GUID-B6219916-9A8C-4D90-9DAC-4D5758A1A6B3\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can also use the options in the Character Controls window &gt; Definition tab to manually map and characterize a character.\n               See <span class=\"char_link\"><a href=\"GUID-25126449-FAA8-4F6C-B033-B93816140182.htm\">Define a skeleton for HIK</a></span>. \n            </div>\n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-81EE03EF-066C-4442-B47A-25E4D43E0203.htm\">Character mapping </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-66E8AAFC-54D7-4ADD-9304-58BC3F77C0BF.htm\">Stance </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-A9E1388D-40B1-4D3D-B2BD-A4715C126814.htm\">Characterizing a character model </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-01F4E635-93BD-44C9-8773-72FD413B54F0.htm\">Bone naming conventions </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-59DB7A91-7DF2-42CA-A015-4CC26C6B91AD.htm\">Character Definition pane </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-CEAF58F3-FC25-4E1D-A71D-5344969CD11D.htm\">Troubleshoot characterizing a character </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";