var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-6D43452D-E354-4E1A-B63A-654A7F99844B\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Advanced material settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-6D43452D-E354-4E1A-B63A-654A7F99844B\"></a><div class=\"head\">\n            <h1>Advanced material settings</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-4BD6\"></a> The advanced material settings are those that require a shader to display results in the Viewer window. When you disable\n            the Advanced Mode option in the Material settings, the settings that become grayed are the advanced ones that require shaders.\n            Activate the Advanced Mode option to access these settings. To see the results of these settings in the Viewer window, you\n            must also apply the shaders with corresponding settings. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-7628\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Shaders do not necessarily let you see the result of every setting for a property. For example, the Flat shader lets you set\n               the level of the model’s transparency but does not take the Transparency RGB settings into account. For complete results,\n               use custom shaders. \n            </div>\n         </div><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-1044\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"37.10407239819004%\">\n                  <col width=\"62.89592760180995%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\">Shader </th>\n                  <th class=\"table-heading\">Advanced Material settings </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Flat, Light, and Dynamic Lighting </td>\n                  <td class=\"table-body\">Transparency </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Reflection </td>\n                  <td class=\"table-body\">Reflectivity </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Bump Map or Dynamic Lighting </td>\n                  <td class=\"table-body\">Bump Map and Normal Map </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Dynamic Lighting or Custom shaders </td>\n                  <td class=\"table-body\">Displacement </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Custom shaders </td>\n                  <td class=\"table-body\">Texture attached to a Material property. Only the Diffuse property does not need a shader. </td>\n               </tr>\n            </table>\n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F914EEB56011688C41DD6-7FF6\"></a> \n            <h2><a name=\"GUID-E930E2B1-32DD-437B-82A3-A57191E51438\"></a>Transparency settings\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EB9\"></a> The Transparency settings let you define the level of opacity for a material. Adjust the settings to increase or decrease\n               the transparency of an object. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EB6\"></a>The Transparency settings can only be used with the Flat, Lighted, or Dynamic Lighting shaders. These shaders also have Transparency\n               settings. Use the Transparency settings in the Shader and Material settings together to achieve the result transparency on\n               the model. The Transparency values in the Shader and Material settings work independently to give you more flexibility when,\n               for example, a shader is attached to multiple models. See <span class=\"char_link\"><a href=\"GUID-F72CC4A6-7B02-4EB3-B2F5-2B0A6CB24F29.htm\">Making an object transparent</a></span>. \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1EB8\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-F6854A39-B9EF-4C27-830E-EFF8AC325A19-low.png\"><p class=\"figure-title\">Material proxy: Transparency settings</p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1EB5\"></a> \n            <h2><a name=\"GUID-A1BE9C19-F65F-4672-9D11-982F137E43CE\"></a>Reflectivity settings\n            </h2>  \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EB4\"></a> The Reflectivity settings let you define the amount of light that bounces off a model to create reflection effects. The Reflectivity\n               settings have an effect only in the Viewer when a shader is applied. See <span class=\"char_link\"><a href=\"GUID-D45F1033-7594-409B-83DC-D5CD67F87A15.htm\">Reflection effects</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF11D4ED1B128F2317A0893B\"></a> \n            <h2><a name=\"GUID-422F23F4-0CA0-4FDF-A415-B544EFB94A65\"></a>Displacement settings\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF11D4ED1B128F2317A0893C\"></a> The Displacement settings let you use and adjust displacement maps. \n            </p> \n            <div><a name=\"WS1A9193826455F5FF11D4ED1B128F2317A0893E\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Use custom shaders to see the results of the Displacement settings in the Viewer window. \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-1041\"></a> \n            <h2><a name=\"GUID-4CAA501A-6AD5-4DDD-9E1E-97DFAE59999B\"></a>Bump Map settings\n            </h2> \n            <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-1040\"></a> The Bump Map settings let you apply a bump map to a model. To see its effect in the Viewer window, apply the Bump Map shader\n               or Dynamic Lighting shader to the model and add at least one light to the scene. When you use the Bump Map shader, you can\n               adjust the relief effect in the Bump Map shader settings. See <span class=\"char_link\"><a href=\"GUID-6311A401-6EE8-4F71-94A8-1F7A5983B751.htm\">Creating a Bump Map</a></span> and <span class=\"char_link\"><a href=\"GUID-B903259D-1E5B-4679-B297-65E2DBB92138.htm\">Normal Map effect</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-103F\"></a> \n            <h2><a name=\"GUID-73C7CEEA-1E9E-44A8-BA0C-8EF272CFC4E4\"></a>Normal Map settings\n            </h2> \n            <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-103E\"></a> The Normal Map settings let you apply a normal map to a model. To see its effect in the Viewer window, apply the Bump Map\n               shader or Dynamic Lighting to the model and add at least one light to the scene. When you use the Bump Map shader, you can\n               adjust the relief effect in the Bump Map shader settings. See <span class=\"char_link\"><a href=\"GUID-6311A401-6EE8-4F71-94A8-1F7A5983B751.htm\">Creating a Bump Map</a></span> and <span class=\"char_link\"><a href=\"GUID-B903259D-1E5B-4679-B297-65E2DBB92138.htm\">Normal Map effect</a></span>. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";