var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-6D67BEC3-6586-4FB1-917D-19FFC9C80B65\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Character assets</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-6D67BEC3-6586-4FB1-917D-19FFC9C80B65\"></a><div class=\"head\">\n            <h1>Character assets</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2E4C\"></a> Character asset helps you create a complete map of the structure of your character model and link it to a motion source for\n            animation. The topics in this section include information on working with the Character asset to bring your character models\n            into <span class=\"charspan-msgph\">MotionBuilder</span> and animate them. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF6026605B1181C8F4F2E-171B\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> <span class=\"charspan-msgph\">MotionBuilder</span> also includes a Character asset designed specifically for 3ds Max Bipeds. See <span class=\"char_link\"><a href=\"GUID-1CDBA10F-750F-4B2C-84BC-CFEED8C08598.htm\">Characterizing a 3ds Max biped</a></span>. \n            </div>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2E4A\"></a>Before animating a model, use the Mapping List in the Character asset to introduce different bones of the skeleton in your\n            model to <span class=\"charspan-msgph\">MotionBuilder</span>. This process is called Character mapping. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2E49\"></a>The Character asset is in the Asset browser &gt; Templates &gt; Characters folder. You can add a Character asset to the scene to\n            begin creating a map of your character model, or you can use it to automatically map and characterize your character. See\n            <span class=\"char_link\"><a href=\"GUID-853F8AB9-FD71-430E-85D0-6641F64CB1A5.htm\">About Characterizing</a></span> for more information. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2E48\"></a>When you add a Character asset to the scene, the Character Settings appear in the Navigator window. \n         </p>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-E0564EF6-5C56-4FC6-B34C-1FE6F1F28C91.htm\">Models </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-01F4E635-93BD-44C9-8773-72FD413B54F0.htm\">Bone naming conventions </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-7C0455EB-A67A-4B8D-AE04-5139DC676D50.htm\">Animating Characters </a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-E55E3560-C84B-4A36-9E81-EEE39E084B47.htm\">Adding a Character asset</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-67ADC69A-9BE4-41ED-A067-FCCE433E283D.htm\">Viewing Character settings</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-81EE03EF-066C-4442-B47A-25E4D43E0203.htm\">Character mapping</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-CD5ED9F8-52DE-4DAA-BABA-38A196BF2466.htm\">Spine mapping behavior</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-34BBF212-141D-4FC9-8FFE-9A8C4BA8EACB.htm\">Defining toe behavior</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-0AFB9286-450F-4C8D-A966-841B86BE0A43.htm\">Defining a spine</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D9A0CD78-AC68-4B4C-912B-320F89EB39BB.htm\">Resetting character properties</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C88580A3-EE93-4154-9574-656389135244.htm\">Character properties</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-4BE8359C-7CAF-47F6-BF81-7F941EE5A373.htm\">Customizing the 3ds Max Biped template</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";