var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-6F79B7DD-D606-41D2-98CE-C3CCA45BC74A\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Nodes</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-6F79B7DD-D606-41D2-98CE-C3CCA45BC74A\"></a><div class=\"head\">\n            <h1>Nodes</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-23CE\"></a> In the Schematic view, behind the scenes in <span class=\"charspan-msgph\">MotionBuilder</span>, every 3D object is represented by a rectangular node. For example, each bone in a character model’s skeleton is represented\n            by a node. You can switch to the Schematic view in the Viewer window to see the nodes that make up your scene.\n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-23CC\"></a>Nodes are always arranged in a hierarchy that reflects how they are constructed. Each node has a label that indicates what\n            it represents, and if you zoom out far enough, only the labels of the root nodes display. Since nodes graphically represent\n            every object in your scene as a simple rectangle, they make it easy to focus on the relationships between objects.\n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-23CB\"></a>Nodes that represent models are light gray by default or they are the color of their material, as shown in the following graphic.\n            Nodes that represent markers, nulls, camera interests, and skeleton roots are red by default.\n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-23CA\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-AE84EBB4-18D3-47AB-B7B9-EB5004E97B2D-low.png\"><p class=\"figure-title\">Three models represented by nodes in the Schematic view.</p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-23C8\"></a>Nodes that represent hidden assets display in dark gray. To make hidden assets visible, select them and press Shift-S. Nodes\n            that represent visible assets are light gray or the color of their designated material.\n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-23C7\"></a>You can use the Schematic view to arrange nodes into parent-child relationships, and create hierarchies to represent more\n            complex objects.\n         </p>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-45A9C1A8-1E1E-49BC-8579-EA11686AD583.htm#WSF00FE1F65A1E03F9-1124194E11688C33A30-8000\">Setting up your scene</a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-60EC070C-D68C-4BE9-9207-1F79190B4A51.htm\">Display scene hierarchies using Schematic view</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-F79E2909-8216-48FD-8068-41E0B71C0545.htm\">Accessing the Schematic view</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-481F08F7-BC39-4D16-B5D6-2CE2E237C138.htm\">Work with nodes in the Schematic view</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-79831650-FD1E-40D2-97E9-172A77EF8E5C.htm\">Schematic view context menu</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-226A5CBD-1EAF-4D8D-BD58-9146F31E9CF4.htm\">Schematic View keyboard shortcuts</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-DC111F01-AE65-40FB-9699-3769997B94EC.htm\">Parenting and hierarchies</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-A60EC837-BC0C-4D83-B382-C239D3543CD5.htm\">Creating parent-child relationships</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-7922D237-B63D-441B-9B8E-FE1024706B02.htm\">Organizing hierarchies</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-F8DAEF7A-4602-4267-8AAC-D5A986418DA0.htm\">Disconnecting parent-child objects</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-71585488-5BF7-4BD3-80D3-5ACB35090969.htm\">Parenting context menu</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-CFDF3ABD-FE49-44A9-ADFB-BC96207C1ADA.htm\">Creating bookmarks in the Schematic view</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";