var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-6FC595C9-C1BC-4CFD-A901-B0F037CC3097\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Animating with poses</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-6FC595C9-C1BC-4CFD-A901-B0F037CC3097\"></a><div class=\"head\">\n            <h1>Animating with poses</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755-FD8AF8D1204C8F5D90-6ABE\"></a>A “pose” is a snapshot of an object (or character) in 3d space in a scene at a specific moment in time. The snapshot will\n            consist of the values recorded for a set of properties (keying mode or group) which is active at the time you create the pose.\n            For example, you can place an object in your scene, transform it (translation, rotation, scale properties) and then create\n            your pose. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383013\"></a>See <span class=\"char_link\"><a href=\"GUID-03106479-6557-43CD-8C45-4B6B2130DD2C.htm\">Keying Mode menu</a></span> for information about what the standard keying modes are. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383014\"></a>See <span class=\"char_link\"><a href=\"GUID-D6EE4044-305C-4505-8FEE-4374484B532D.htm#WS1A9193826455F5FF-3859B43C1209703A8383020\">Creating a custom keying group</a></span> and <span class=\"char_link\"><a href=\"GUID-6FC595C9-C1BC-4CFD-A901-B0F037CC3097.htm#WS1A9193826455F5FF-3859B43C1209703A8383021\">Mapping pose and keying group properties</a></span> for more information about how you can key properties for objects. \n         </p>\n         <div><a name=\"WS73099CC142F48755-35A0330E12075ABE904-711D\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>When you create a pose, the only properties that are recorded are the ones contained in the keying group that was active at\n               the time you captured the pose. \n            </div>\n         </div><a name=\"WS73099CC142F48755-35A0330E12075ABE904-711C\"></a><ol type=\"1\" start=\"1\">\n            <li>Select an object in a scene </li>\n            <li>Choose the keying group of properties you require from the keying mode menu in the Key Controls window </li>\n            <li>Select the Pose Controls tab in the Asset Browser </li>\n            <li>Click Create <a name=\"WS73099CC142F48755-35A0330E12075ABE904-7117\"></a><ul>\n                  <li><span class=\"charspan-msgph\">MotionBuilder</span> will take a thumbnail picture of the pose and add the pose to the Pose browser. \n                  </li>\n                  <li>The new pose will take the name of the object on which it was based—and will be numbered incrementally for each pose created\n                     for an object. If more than one object is selected for the pose, the names of the objects will be concatenated for the name\n                     of the pose. \n                  </li>\n               </ul> \n            </li>\n         </ol>\n         <p><a name=\"WS73099CC142F48755-FD8AF8D1204C8F5D90-6ABC\"></a>See <span class=\"char_link\"><a href=\"GUID-61DFF5F6-653E-4EE7-B933-6F12B3B62760.htm\">Poses</a></span>. \n         </p>\n         <div><a name=\"WS73099CC142F48755F2FC9DF120970276F7-488E\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>An object-pose limitation exists around creating an object-pose when you have no object selected. If you have four or more\n               primitives in your scene, and do not have any one of them selected when you try to create a pose, <span class=\"charspan-msgph\">MotionBuilder</span> doesn’t know which object on which to base the pose, and so no pose is created. \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383015\"></a> \n            <h2><a name=\"GUID-B576DAF2-24F5-472B-9B24-C1CF97884E49\"></a>Object pose workflow\n            </h2> \n            <p><a name=\"WS73099CC142F48755-FD8AF8D1204C8F5D90-6ABA\"></a>You can apply a pose to an object also—the property values from the pose’s keying group will be applied to the object(s) selected\n               in the scene. \n            </p> <a name=\"WS1A9193826455F5FF-3859B43C1209703A8383016\"></a><ol type=\"1\" start=\"1\">\n               <li>Move the timeline indicator to point when you want to create a keyframe. </li>\n               <li>Select an object in the scene. </li>\n               <li>Select the Pose Controls from the Asset browser. </li>\n               <li>Select a pose from the Pose browser. </li>\n               <li>Click Paste. </li>\n               <li>Press “K” to create a keyframe. </li>\n            </ol> \n            <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A838301D\"></a>See also \n            </p> <a name=\"WS1A9193826455F5FF-3859B43C1209703A838301E\"></a><ul>\n               <li> <span class=\"char_link\"><a href=\"GUID-67DA016E-CCDD-46BC-B9F1-68BDEB0A1D7C.htm\">Creating a Ragdoll solve with poses</a></span> \n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383021\"></a> \n            <h2><a name=\"GUID-7CB44991-16CF-442D-AE2C-3CBC4441D572\"></a>Mapping pose and keying group properties\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF3D6161141208A8044F3-7FAE\"></a>Use the Connection Editor to map channels between a custom object keying group (either “Object Type” or “Global”) and a pose—so\n               that when you apply that particular pose to another object, the only properties that are keyed are the specific ones you’ve\n               selected. You can create many object poses with the same keying group—and then use the Connection Editor to create a mapping\n               of object keying group properties to pose properties that is unique for each pair (keying group and pose). \n            </p> \n            <p><a name=\"WS73099CC142F48755F2FC9DF120970276F7-4B4E\"></a>This feature is particularly useful if you’re keying many different instances of the same type of object or character movement.\n               For example, your scene may have two different gun props in it—each with bolts and triggers. The action (or poses) of each\n               gun may be the same (the bolts and triggers may move the same way), but some properties will be different (textures, rotation\n               and translation may be “local” for each gun). Using the Connection Editor, you can map specific properties that will always\n               be the same for some keying groups and poses, while the gun objects can still have their own local keying groups maintained.\n               \n            </p> <a name=\"WS1A9193826455F5FF3D6161141208A8044F3-7FAD\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755F2FC9DF120970276F72072\"></a>To customize the mapping between keying group properties and a pose:\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Create an Object Keying Group of either “object type” or “global”. See <span class=\"char_link\"><a href=\"GUID-D6EE4044-305C-4505-8FEE-4374484B532D.htm#WS1A9193826455F5FF-3859B43C1209703A8383020\">Creating a custom keying group</a></span>. \n               </li>\n               <li>Create a pose that uses the custom keying group created above. </li>\n               <li>In the Pose Controls window, right-click the new pose in the Pose browser, and select Display Connection Editor. </li>\n               <li>Select a Pose Information property from the left column, and then in the right column, click the Keying Group property you\n                  want to map it to. <a name=\"WS1A9193826455F5FF3D6161141208A8044F3-7FA8\"></a><ul>\n                     <li>You can undo your mappings by clicking Reset. This will restore the default mappings that were created automatically for the\n                        pose between corresponding properties. \n                     </li>\n                  </ul> \n               </li>\n               <li>Click OK to close the Connection Editor and save the relationship between the pose and the keying group. <a name=\"WS1A9193826455F5FF3D6161141208A8044F3-7FA4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-10987F7F-F834-40C5-ADDE-010ADC799F52-low.png\"></div> \n               </li>\n            </ol> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-D6EE4044-305C-4505-8FEE-4374484B532D.htm#WS1A9193826455F5FF-3859B43C1209703A8383020\">Creating a custom keying group </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-6FC595C9-C1BC-4CFD-A901-B0F037CC3097.htm#WS1A9193826455F5FF-3859B43C1209703A8383015\">Object pose workflow </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-A3C4C042-0B00-4E70-85AF-18321C3C5032.htm\">Creating a pose </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";