var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-6FD84BDA-2936-4142-B547-B2205EA0306E\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Character Mapping List</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-6FD84BDA-2936-4142-B547-B2205EA0306E\"></a><div class=\"head\">\n            <h1>Character 	 Mapping List</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F4D5\"></a>Lets you define the structure of a character. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F4D6\"></a>The names of all objects that \n            		<span class=\"charspan-msgph\">MotionBuilder</span> recognizes as part of the structure of a character model are listed to the left. To define an object as part of your character,\n            select it from the skeleton of your character (in the Viewer window, Scene browser, or Schematic view) and Alt-drag it into\n            the corresponding slot of the \n            		<span class=\"MenuCascade\" id=\"GUID-9CB04DA4-48E5-4906-8822-1AFD235B100E\">Mapping List</span>. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F4D7\"></a>For example, to define the Spine, Alt-drag the Spine object from the character skeleton into the Spine slot of the \n            		<span class=\"MenuCascade\" id=\"GUID-2FF8ECB6-8483-4862-96C6-228343160E3F\">Mapping List</span>. This is how you tell \n            		<span class=\"charspan-msgph\">MotionBuilder</span> “On this character model, this is the hips bone” and so on. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F4D8\"></a>The object you place in each slot of the \n            		<span class=\"MenuCascade\" id=\"GUID-6FD67420-EE6F-4C8E-98C6-6462E1201947\">Mapping List</span> can be a joint, bone, null, or any other object from your model skeleton. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F4D9\"></a>You can also automatically map objects in all the slots by dragging a Character asset on top of your model. This automatically\n            matches the joints or bones in your character skeleton with the appropriate slots, provided your skeleton follows the naming\n            conventions in the \n            		<span class=\"MenuCascade\" id=\"GUID-FE1E5C2A-EF86-441F-B3D0-EEE59C622874\">Mapping List</span>. See \n            		<span class=\"char_link\"><a href=\"GUID-81EE03EF-066C-4442-B47A-25E4D43E0203.htm\">Character mapping</a></span> for more information on mapping out the structure of a character. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F4DA\"></a>To link your model to a motion source successfully, define a joint or bone object in each slot in the Base group of the \n            		<span class=\"MenuCascade\" id=\"GUID-974A66BB-08FE-4784-AAD0-24D487565928\">Mapping List</span>. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F4DB\"></a>Depending on the method used to create your model, you might also have to specify a Reference object and additional Auxiliary,\n            Spine, and Roll objects. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F4DC\"></a>Slots that define particular body areas of a character are organized into groups that you can expand or collapse as you complete\n            the Character mapping process. The \n            		<span class=\"MenuCascade\" id=\"GUID-51600002-8796-4390-8A09-FECABA29C9B2\">Mapping List</span> is divided into the following slots or groups of slots: \n            	 \n         </p>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FFB\"></a> \n            <h2><a name=\"GUID-223A51D4-00CC-449B-9212-562EA8333849\"></a>Reference\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F4EC\"></a>While you do not need a Reference object during the mapping process, define an object in this slot to translate, scale, and\n               rotate your entire model. The Reference object acts as the root of your entire model. The ideal reference object is a null\n               or joint parented to the hips of your model. \n               		\n            </p> \n            <div><a name=\"GUID-CDA3C77B-D96D-4404-9C0E-A31FC8A7B658\"></a><div class=\"note-important\"><span class=\"label label-target-language\">IMPORTANT:</span>To ensure that you can select the Reference Object from the \n                  		  <span class=\"MenuCascade\">Character Controls</span>, map the node during the characterization process. Otherwise, selecting the Control Reference in the<span class=\"MenuCascade\"> Character Controls</span> has no effect. \n                  		\n               </div>\n            </div> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F4ED\"></a>You should define a Reference object in the following circumstances: \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F4EE\"></a><ul>\n               <li>When the hips of your model are parented to another object. This parent is commonly the root of the hierarchy, and is positioned\n                  on the floor. \n                  		  \n               </li>\n               <li>When you are using data from a specific file format to map to your model. Some file formats require a Reference object. \n                  		  \n               </li>\n            </ul> \n            <div><a name=\"WS1A9193826455F5FF-3859B43C1209703A8387E21\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Story Character Animation tracks cannot use data mapped to a Character Reference Node as part of its characterization. The\n                  Travelling Node in the Character Animation track prevents access to this data. \n                  		\n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FFA\"></a> \n            <h2><a name=\"GUID-E9495467-398D-4DAA-9C5F-7E3D29AEE3FD\"></a>Left Foot Floor and Right Foot Floor\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F4F1\"></a>The Left Foot Floor and Right Foot Floor slots are for markers or other objects that represent the floor. You can specify\n               different markers for each foot. Use these slots with the Feet Floor Contact settings (see \n               		  <span class=\"char_link\"><a href=\"GUID-623ADD0C-46D1-4366-B376-257CB3CAA522.htm\">Toes Floor Contact Setup properties</a></span>). \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FF9\"></a> \n            <h2><a name=\"GUID-E482A66D-9AC5-43F3-BA52-3FC7CE1B619F\"></a>Left Hand Floor and Right Hand Floor\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F4F2\"></a>The Left Hand Floor and Right Hand Floor slots are for markers or other objects that represent the floor for the left or right\n               hand of your character. You can specify different markers for each hand. Use these slots with the Hands Floor Contact settings\n               (see \n               		  <span class=\"char_link\"><a href=\"GUID-D0730CDE-1FC4-45EC-AA40-02C7631FA256.htm\">Feet Floor Contact Setup properties</a></span>). \n               		\n            </p> \n            <div><a name=\"WS73099CC142F4875535A241551166AC8792F4F3\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If you leave the floor slots blank, the plane at 0 on the Y-axis (the grid shown in the Producer Perspective camera view)\n                  is used for floor contact. \n                  		\n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FF8\"></a> \n            <h2><a name=\"GUID-325D81DE-FB95-43A6-B9CF-B54593EB1251\"></a>Base\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F4F6\"></a>The Base group of slots let you define the basic set of bones that are required for any skeleton loaded into \n               		  <span class=\"charspan-msgph\">MotionBuilder</span>. Map objects into this group of slots in order for \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> to understand the structure of your character model and its skeleton. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F4F7\"></a>You can name the bones of a skeleton according to the naming conventions in \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> to map objects to these slots automatically. You can also manually map bones to these slots, but either way, these 15 Base\n               bones must be defined. \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F4F8\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B3C51D13-8025-4811-B148-ABC7CF598650-low.png\"><p class=\"figure-title\">Base group of (required) objects in the Mapping List</p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F4FA\"></a>Refer to the following table for a description of each slot in the Base group. See \n               		  <span class=\"char_link\"><a href=\"GUID-01F4E635-93BD-44C9-8773-72FD413B54F0.htm\">Bone naming conventions</a></span> to view a simple skeleton illustrating the placement of these bones. \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F4FB\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"33.19023949389969%\">\n                     <col width=\"66.80976050610032%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Base slot \n                        				  \n                     </th>\n                     <th class=\"table-heading\">Description \n                        				  \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Hips \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that drives the hips of your model. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">LeftUpLeg/RightUpLeg \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that drives the upper left/upper right leg of your model. The LeftUpLeg/RightUpLeg joint or bone must be\n                        the child of the Hips joint or bone. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">LeftLeg/RightLeg \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that drives the left/right knee of your model. The LeftLeg/RightLeg joint or bone must be the child of the\n                        LeftUpLeg/RightUpLeg joint or bone. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">LeftFoot/RightFoot \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that drives the left/right foot of your model. The LeftFoot/RightFoot joint or bone must be the child of\n                        the LeftLeg/RightLeg joint or bone. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Spine \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that specifies the chest of the destination skeleton. You can use this slot with the optional Spine slots\n                        for characters with a spine. Do not position the Spine joint or bone in the same position as the hips or poor mapping might\n                        result. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">LeftArm/RightArm \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that drives the left/right arm of your model. The LeftArm/RightArm joint or bone must be the child of the\n                        Spine joint or bone. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">LeftForeArm/RightForeArm \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that drives the left/right elbow of your model. The LeftForeArm/RightForeArm joint or bone must be child\n                        of the LeftArm/RightArm joint or bone. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">LeftHand/RightHand \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that drives the left/right hand of your model. The LeftHand/RightHand joint or bone must be the child of\n                        the LeftForeArm/RightForeArm joint or bone. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Head \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that drives the head of your model. The Head joint or bone must be the child of the Spine joint or bone.\n                        \n                        				  \n                     </td>\n                  </tr>\n               </table>\n            </div> \n            <div><a name=\"WS73099CC142F4875535A241551166AC8792F4FC\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> You are not required to create your model skeleton using the parent to child relationships described in this section. These\n                  relationships describe the recommended method of structuring your model skeleton. Feel free to define custom skeleton structures\n                  in the mapping list. \n                  		\n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FF7\"></a> \n            <h2><a name=\"GUID-1238EDAC-7AAE-4926-A392-D8624E4D9827\"></a>Auxiliary\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F4FE\"></a>The slots in the Auxiliary group are optional. They let you enhance your character by defining objects for the base of the\n               toes and fingers, the neck, and the shoulders. \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F4FF\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-1940A4BC-D5EA-4C52-8C0D-BDA84527EA08-low.png\"><p class=\"figure-title\">Auxiliary group of slots in the Mapping List</p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F501\"></a>The following table describes each slot in the Auxiliary group. \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F502\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"38.62864901561439%\">\n                     <col width=\"61.37135098438561%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Auxiliary slot \n                        				  \n                     </th>\n                     <th class=\"table-heading\">Description \n                        				  \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">LeftToeBase/RightToeBase \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that drives the left/right toes of your model. This joint or bone must be the child of the LeftFoot/RightFoot\n                        joint or bone. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">LeftShoulder/RightShoulder \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that drives the left/right shoulder of your model. This joint or bone must be the child of the Spine joint\n                        or bone, and must be the parent of the LeftArm/RightArm joint or bone. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Neck \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that drives the neck of your model. This joint or bone must be the child of the Spine joint or bone, and\n                        must be the parent of the Head joint or bone. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">LeftFingerBase/RightFingerBase \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joints or bones that drive the left/right fingers of your model. This joint or bone must be the child of the finger base.\n                        \n                        				  \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FF6\"></a> \n            <h2><a name=\"GUID-EC702E1C-56E2-49CD-BE08-2DC50F733788\"></a>Spine\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F503\"></a>The Spine group of slots let you specify a spine with up to ten vertebrae (nine optional spines + 1 required Spine = 10).\n               See \n               		  <span class=\"char_link\"><a href=\"GUID-0AFB9286-450F-4C8D-A966-841B86BE0A43.htm\">Defining a spine</a></span> for more information. \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F504\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A7E2976B-8912-4A1B-875F-6BE08686AC3F-low.png\"><p class=\"figure-title\">Spine group</p>\n               </div> \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FF5\"></a> \n            <h2><a name=\"GUID-B140C768-88DC-4409-BF4F-79CEF8ADC26A\"></a>Roll\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F506\"></a>The slots in the Roll group let you define objects that influence the roll of the bones in the arms and legs. \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F507\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-863F7012-BB53-4DF2-B390-DD231592A7D9-low.png\"><p class=\"figure-title\">Roll group</p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F509\"></a>When you create your model skeleton, it is recommended to add roll bones to the skeleton structure. Roll bones let you achieve\n               more realistic envelope deformations by specifying a percentage of the roll axis movement on specific bones (see \n               		  <span class=\"char_link\"><a href=\"GUID-47D09D49-24AF-4F9A-AD20-81EB17ED835A.htm\">Modifiers</a></span> in the Character Settings &gt; Modifiers group of options.). \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F50A\"></a>To transfer the roll properly, your bones or joints must be arranged as described in the following table: \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F50B\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"40.31235853327297%\">\n                     <col width=\"59.68764146672703%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Roll slot \n                        				  \n                     </th>\n                     <th class=\"table-heading\">Description \n                        				  \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">LeftUpLegRoll/RightUpLegRoll \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that rolls the LeftUpLeg/RightUpLeg. The LeftUpLegRoll/RightUpLegRoll joint or bone must be the child of\n                        the LeftUpLeg/RightUpLeg joint or bone. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">LeftLegRoll/RightLegRoll \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that rolls the LeftLeg/RightLeg. The LeftLegRoll/RightLegRoll bone or joint must be the child of the LeftLeg/RightLeg\n                        joint or bone. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">LeftArmRoll/RightArmRoll \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that rolls the LeftArm/RightArm. The LeftArmRoll/RightArmRoll joint or bone must be the child of the LeftArm/RightArm\n                        joint or bone. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">LeftForeArmRoll/RightForeArmRoll \n                        				  \n                     </td>\n                     <td class=\"table-body\">The joint or bone that rolls the LeftForeArm/RightForeArm. The LeftForeArmRoll/RightForeArmRoll bone or joint must be the\n                        child of the LeftForeArm/RightForeArm joint or bone. \n                        				  \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FF4\"></a> \n            <h2><a name=\"GUID-77598B7C-2F35-4D38-8E8F-83222DC2C4FA\"></a>Special\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F50C\"></a>Depending on your model skeleton and the amount of control you want over your animation, you might want to split translation\n               and rotation of the hips between two different joints or bones. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F50D\"></a>The Special group of slots contains the Hips Translation slot that lets you define a second object for translating the hips\n               of your model. If you define a Hips Translation object, the hips translation data goes to that object, while the hips rotation\n               data goes to the original Hips object defined in the Base group. \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F50E\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-7268166A-EB4F-4C7D-89AB-8B6258EA5A29-low.png\"><p class=\"figure-title\">Special group with Hips Translation slot</p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F510\"></a>The object defined in the Hips Translation slot should be a child of the Reference object in your character. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F511\"></a>If you choose not to define an object in the Hips Translation slot, both translation and rotation data are sent to the object\n               defined in the Hips slot. See \n               		  <span class=\"char_link\"><a href=\"GUID-E40FA668-7F98-47CB-BDCE-F34C11E4B95E.htm#WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FE0\">Hips Translation Mode</a></span>. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F512\"></a>You can also select the method used to transfer rotation and translation to the Hips Translation and Hips objects using the\n               \n               		  <span class=\"char_link\"><a href=\"GUID-E40FA668-7F98-47CB-BDCE-F34C11E4B95E.htm#WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FE0\">Hips Translation Mode</a></span> option in the \n               		  <span class=\"char_link\"><a href=\"GUID-E40FA668-7F98-47CB-BDCE-F34C11E4B95E.htm\">Character Solving properties</a></span>. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FF3\"></a> \n            <h2><a name=\"GUID-3590645E-919C-4698-8D93-976270321876\"></a>Left Hand and Right Hand\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F513\"></a>The slots in the Left Hand and Right Hand groups let you define objects to add realistic hand and finger movements to your\n               character. These groups contain slots for thumb, index, middle, ring, and pinky finger objects, as well as slots for an extra\n               finger. \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F514\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-15980C74-A47E-4221-9850-A37E10924A72-low.png\"><p class=\"figure-title\">Left Hand group</p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F516\"></a>The number of each slot corresponds with each finger joint. For example, slots numbered with a “1” correspond to the finger\n               or toe’s first joint while slots numbered with a “4” correspond to the last joint of a finger. The last joint or bone in each\n               finger should be mapped to the fourth slot so that the finger tips are properly defined. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F517\"></a>To use these slots, your model skeleton must have hands with fingers. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FF2\"></a> \n            <h2><a name=\"GUID-F1DCBB4B-265F-4517-B4DA-845718A2EEF1\"></a>Left Foot and Right Foot\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F518\"></a>The slots in the Left Foot and Right Foot groups let you define the feet of your model and add realistic foot and toe movements\n               to your character. To use these slots, your model skeleton must have feet with toes. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F519\"></a>The Foot groups follow the same naming conventions as the Hand groups, so they contain slots for the thumb (big toe), index\n               (second toe), middle (third toe), ring (fourth toe), and pinky (baby toe), as well as slots for an extra toe. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F51A\"></a>For example, the following figure shows the Left Foot slots in the \n               		  <span class=\"MenuCascade\" id=\"GUID-C1CEF268-B53B-4713-AAAF-52252150AC23\">Mapping List</span> for a Beast character. \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F51B\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-FD80AC82-241A-47E4-ADCF-81C3ED74D50C-low.png\"><p class=\"figure-title\">Left Foot group of slots</p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F51D\"></a>The number of each group of slots corresponds with each toe joint. For example, slots numbered with a “1” correspond to the\n               toe’s first joint while slots numbered with a “4” correspond to the last joint of the toe. Each last joint or bone of the\n               toe should be mapped to an end slot to define toe tips properly. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F51E\"></a>See \n               		  <span class=\"char_link\"><a href=\"GUID-34BBF212-141D-4FC9-8FFE-9A8C4BA8EACB.htm\">Defining toe behavior</a></span> for more information. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FF1\"></a> \n            <h2><a name=\"GUID-DAF3B470-9BEE-4869-B83F-57AE09967504\"></a>Left In-Hand and Right In-Hand\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F51F\"></a>The Left In-Hand and Right In-Hand groups contain optional slots for defining the bones within each hand. These are the joints\n               or bones that link the first joint or bone of each finger to the LeftHandBase or RightHandBase slots. \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F520\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A540791E-7537-4A81-B12D-DE8F66A60118-low.png\"><p class=\"figure-title\">Left In-Hand group</p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F522\"></a>For example, the following figure shows a skeleton with bones that are defined in the Left In-Hand optional slots. \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F523\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-9FCBB373-F7CF-4423-9B80-0848E2D2A15E-low.png\"><p class=\"figure-title\">Model with left In-Hand bones</p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F525\"></a>The Left In-Hand and Right In-Hand groups contain in-hand slots for each finger (thumb, the index, middle, ring, and pinky),\n               as well as a slot for an extra finger. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F526\"></a>Each Left In-Hand/Right In-Hand object must be between the LeftFingerBase/RightFingerBase object and the first joint or bone\n               of each finger. For example, the LeftInRing object must be the child of the LeftFingerBase object. The LeftInRing object must\n               parent the LeftHandRing1 object. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FF0\"></a> \n            <h2><a name=\"GUID-A827D0DC-418B-490D-9BBB-F56BC3233C91\"></a>Left In-Foot and Right In-Foot\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F527\"></a>The Left In-Foot and Right In-Foot groups contain optional slots for defining the bones within each foot. These are the bones\n               that link the first joint of each toe to the LeftToeBase or RightToeBase. \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F528\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-2AE54325-5E67-418E-AEB0-1B50CB15DC6A-low.png\"><p class=\"figure-title\">Left In-Foot group</p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F52A\"></a>For example, the following figure shows a skeleton with bones defined in the Left In-Foot optional slots. \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F52B\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-42431E19-9416-4D2F-B649-C3F989567961-low.png\"><p class=\"figure-title\">Left In-Foot objects \n                     			 <em class=\"mild\">A.</em> LeftInFootIndex \n                     			 <em class=\"mild\">B.</em> LeftInFootMiddle \n                     			 <em class=\"mild\">C.</em> LeftInFootRing\n                  </p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F52D\"></a>The Left In-Foot and Right In-Foot groups contain in-foot slots for each toe (named thumb, index, middle, ring, and pinky),\n               as well as a slot for an extra toe. The naming of these slots is based on the Left In-Hand and Right In-Hand groups as these\n               groups are similar. The LeftInFootThumb slot represents the big toe on the left foot, the LeftInFootIndex represents the second\n               toe on the left foot, and so on. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F52E\"></a>Each Left In-Foot/Right In-Foot joint or bone must be between the LeftToeBase/RightToeBase and the first joint or bone of\n               each toe. For example, in the following figure, the LeftInFootRing object (B) must be the child of LeftToeBase (A) and the\n               LeftInFootRing object (B) must parent the LeftFootRing1 object (C). \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F52F\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E4626BEA-D20B-41B1-9219-D4373CD702F0-low.png\"><p class=\"figure-title\">Hierarchy of Left In-Foot objects \n                     			 <em class=\"mild\">A.</em> LeftToeBase object \n                     			 <em class=\"mild\">B.</em> LeftInFootRing object \n                     			 <em class=\"mild\">C.</em> LeftFootRing1 object\n                  </p>\n               </div> \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FEF\"></a> \n            <h2><a name=\"GUID-EAA57D63-2989-450D-8C04-9C7F387E94B7\"></a>Neck\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F531\"></a>The Neck group contains ten slots that let you define multiple neck bones. A biped commonly uses only one neck joint or bone,\n               while a quadruped commonly uses many neck joints or bones. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FEE\"></a> \n            <h2><a name=\"GUID-529C677A-E04F-4381-A9AF-8D45B512F7A2\"></a>Props\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F532\"></a>The slots in the Props group let you add up to five prop objects, such as a weapon, umbrella, cane, or other items associated\n               with your character. \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F533\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-35DF91EB-7331-4AF8-B466-D4EEF579FC6A-low.png\"><p class=\"figure-title\">Props group</p>\n               </div> \n            </p> \n         </div><a name=\"FIG_6D19C5476A4D4651BD586DF8F16DAE11\"></a><div class=\"figure-anchor\"></div>\n         <div class=\"section\"><a name=\"SECTION_2DD755A31BAF4F94BD2422BDEE025269\"></a> \n            <h2><a name=\"GUID-182A8874-4E44-4CB4-8824-1FAC69E015B7\"></a>Extra\n            </h2> \n            <p><a name=\"GUID-76686AF5-5B0F-4631-9A29-A03D35925C69\"></a>Lets you add the LeftShoulderExtra_Bone and the RightShoulderExtra_Bone asscoiated with your character. \n               		\n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";