var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-6FF57551-D962-4E85-A5E4-4FA6B0568E94\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>HUD element properties</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-6FF57551-D962-4E85-A5E4-4FA6B0568E94\"></a><div class=\"head\">\n            <h1>HUD element properties</h1>\n         </div>\n         <p><a name=\"GUID-755ED746-1CD8-4785-B84F-15295357EDD4\"></a>The properties of HUD element are useful to modify the appearance, position, and size of the content it displays in the <span class=\"MenuCascade\" id=\"GUID-047C0FE1-AC95-451D-8AFD-02B621F95DE7\">Viewer</span>. When you click a HUD element under a HUD asset, the element properties appear in the right pane of the <span class=\"MenuCascade\" id=\"GUID-2467DDA2-E99F-479D-AB5F-76A2A4B9D1E4\">Navigator</span> window. \n         </p>\n         <p><a name=\"GUID-8B0B30A4-DB2C-4A3C-826D-83D14517E819\"></a>The HUD element properties are organized into four categories. \n         </p><a name=\"FIG_2F916E62277D486A9CC0B972D4DF7790\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-DC75CE68-963F-4662-B26F-AA8705C70B91-low.png\"><p class=\"figure-title\"><em class=\"mild\">A. </em>Display <em class=\"mild\">B. </em>Position <em class=\"mild\">C. </em>Scale <em class=\"mild\">D. </em>Property References\n            </p>\n         </div><a name=\"UL_8307564A5AC64B2DB795A892FC969769\"></a><ul>\n            <li><span class=\"MenuCascade\" id=\"GUID-8132C792-E3D6-427C-9E9D-38D710F9B5E5\">Display</span> — To modify the appearance of an element \n            </li>\n            <li> <span class=\"MenuCascade\" id=\"GUID-E249E8E9-2E99-4128-A665-F4A9526B44F8\">Position</span> — To change the position of an element in the scene \n            </li>\n            <li> <span class=\"MenuCascade\" id=\"GUID-9ADC96BC-D43E-4B4F-A397-D5D4EA3D5641\">Scale</span> — To increase or decrease the size of an element, along the X and Y axis \n            </li>\n            <li><span class=\"MenuCascade\" id=\"GUID-194A611E-B3FB-4E3C-9885-3EE5FADC1595\"> Property References</span> — Displays the property name, which is referred by the HUD element to display the property value in the <span class=\"MenuCascade\" id=\"GUID-2C5F692C-FDEA-45C5-A6F1-39020FAEE36E\">Viewer</span>. For example, to display the current take name, the <span class=\"MenuCascade\" id=\"GUID-3F7D2D16-008D-4D54-8A82-D03E064A23D6\">TakeName</span> HUD element refers the value (Take 001) in the <em class=\"mild\">HUD.TakeName</em> property. \n               <div><a name=\"GUID-53CECA48-77F7-43A2-A8EE-E6B01BFD9437\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The <span class=\"MenuCascade\" id=\"GUID-D965E7A1-8056-40CC-93FA-8627266B8068\">Property References</span> category appears only for the dynamic HUD elements. \n                  </div>\n               </div> \n            </li>\n         </ul>\n         <p><a name=\"GUID-37F59BF7-9D75-427F-B8F8-AB2C7A08EA99\"></a> The following tables explain each property within the Display, Position, and Scale category: \n         </p><a name=\"TABLE_D59B9117BF8A4D8DB2716BE0195F75B6\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"29.411764705882355%\">\n                  <col width=\"70.58823529411765%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\">Display Properties </th>\n                  <th class=\"table-heading\"> Description </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Visibility </td>\n                  <td class=\"table-body\">To control the visibility of a HUD element content in the <span class=\"MenuCascade\" id=\"GUID-62840C20-45C5-4B50-947E-E0A12353E77B\">Viewer</span>. <a name=\"GUID-33067C9F-E3D6-4B19-A782-60D9E726E605\"></a><p class=\"table-body\">By default, this property is turned on for all HUD elements. </p> <a name=\"GUID-FC5D19EB-B733-4A08-9BFA-54D5E198EE4D\"></a><p class=\"table-body\">Turn off the checkbox to hide the content in the <span class=\"MenuCascade\" id=\"GUID-2D665CA3-F871-44B4-94DD-A04D17BF0390\">Viewer</span>. \n                     </p> \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Content </td>\n                  <td class=\"table-body\">To enter the text that you want to display. <a name=\"GUID-8B691740-AFA6-4B65-859F-C3D105ECAAB7\"></a><p class=\"table-body\"> For dynamic elements, enter text before or after the variable %s or %d. </p> \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Font </td>\n                  <td class=\"table-body\">To choose a font in which the text or dynamic content should appear. <a name=\"GUID-FBEAAD9B-6422-4D7F-A582-46BE495DF30B\"></a><p class=\"table-body\"> The default font is Arial. </p> \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Color RGB </td>\n                  <td class=\"table-body\">To increase or decrease the visibility of the HUD element content and change the font color. <a name=\"GUID-86DFD98E-CC0E-4D18-97C4-5DDAED39CC42\"></a><p class=\"table-body\">The default color of the content is white. </p> \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Background Color </td>\n                  <td class=\"table-body\">To increase or decrease the visibility of the HUD element content background and change the background color. <a name=\"GUID-C4E20CCB-3E43-4844-ACA0-47B146119127\"></a><p class=\"table-body\">Background for the content is visible, only if the value of A, in this property, is more than 0. </p> <a name=\"GUID-62BC41F9-1FFD-4C63-BCB6-87316E75F1AC\"></a><p class=\"table-body\">The dimensions of the background are directly proportional to the scaling of the content. </p> \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">r, g, b, a </td>\n                  <td class=\"table-body\"> <a name=\"GUID-C02FE51D-D8DE-42A4-B2C3-C7D87738AA2A\"></a><p class=\"table-body\">The r, g, b, a sub-properties are functionally similar to the R, G, B, and A color boxes in the <span class=\"MenuCascade\" id=\"GUID-B4DB95CB-F688-48BD-B0F5-5788F6C443D6\">Color RGB</span> and <span class=\"MenuCascade\" id=\"GUID-18EEDC20-5158-4FE0-B149-FBB00893246A\">Background Color</span> properties. \n                     </p> \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Force Display As Timecode </td>\n                  <td class=\"table-body\">To forcefully change the format of a HUD element content from Frames to Timecode. <a name=\"GUID-A63BF95E-AB94-4E71-B6F2-9E093D893F73\"></a><p class=\"table-body\">This property is enabled only for the <span class=\"MenuCascade\" id=\"GUID-D252B675-D94D-45F7-B287-B60B745E6F09\">EditTime</span> and <span class=\"MenuCascade\" id=\"GUID-99E6AD3B-687A-422F-BC85-113F8598E332\">ActionTime</span> HUD elements. \n                     </p> \n                  </td>\n               </tr>\n            </table>\n         </div>\n         <p><a name=\"GUID-1467F732-BBB5-4F1E-A242-1BF087DD9258\"></a>Consider that you create a scene in <span class=\"charspan-msgph\">MotionBuilder</span> installed on the Microsoft Windows operating system. The scene contains many HUD <span class=\"MenuCascade\" id=\"GUID-6D2006F4-62DD-4624-8940-741292F9E5F6\">Text</span> elements, each using different font (Garamond, Helevtica, and so on). Save the scene, and then load it using <span class=\"charspan-msgph\">MotionBuilder</span> installed on the UNIX operating system. If the UNIX operating system does not contain one or more fonts used in the scene\n            file, then the following <span class=\"MenuCascade\" id=\"GUID-1374F860-E0E9-49DB-976F-BEB88E08832D\">Warning</span> dialog box appears. <a name=\"FIG_6AFC6D8C7F3D4AC6AFDCC760E31566D3\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-ADCF29AD-0DB1-46D4-A78F-D4E46606CF3F-low.png\"></div> \n         </p><a name=\"OL_A7A0E14E6B1B44A2B839853E6C0B88B2\"></a><p><a name=\"GUID-528B8A43-8D58-47E3-AE9F-B3F780C07C14\"></a>This dialog box lists the fonts that are unavailable and informs which font is used, instead. At first, <span class=\"charspan-msgph\">MotionBuilder</span> checks for the availability of the (default) Arial font. If the Arial font is not available, then it checks for the availability\n            of the following fonts in the given order and uses them if available: \n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Helevtica </li>\n            <li>Sans </li>\n            <li>FreeSans </li>\n         </ol>\n         <p><a name=\"GUID-C9455319-2E66-4CBB-A19C-0506EA1399F9\"></a>If none of the four fonts (Arial, Helevtica, Sans, and FreeSans) are available, then the first font that appears in the HUD\n            <span class=\"MenuCascade\" id=\"GUID-95C91415-4D72-4039-85CB-88BFB56CCC9E\">Text</span> element font list is used. \n         </p><a name=\"UL_8EEE9309D57F494FB7861F61628721C7\"></a><p><a name=\"GUID-37DB5788-EE02-4AD9-A445-2ADA04D71B7C\"></a>To change the HUD element content font color: \n         </p>\n         <ul>\n            <li>Click on the R, G, or B color box and drag the cursor \n               <p><a name=\"GUID-A6D6B990-C8D9-442A-B8E7-3A2C65577101\"></a>or \n               </p> \n            </li>\n            <li>Double-click on any of the R, G, or B boxes and enter a value from 0.00 to 1.00 (default value is 1.00) \n               <p><a name=\"GUID-53FA93BC-3045-4F2D-9A39-80A297714E1B\"></a>or \n               </p> \n            </li>\n            <li>Click the <img src=\"../images/GUID-0EBEF66B-1310-4EC9-9E38-A67C31D3F0C6-low.png\"> button to open the <span class=\"MenuCascade\" id=\"GUID-CE62D1F4-EE06-4ACC-88BD-38F951C85C7E\">Color</span> window and pick a color of your choice. See the <span class=\"char_link\"><a href=\"GUID-E126F25B-81F7-4A07-98D8-80CAB26034B8.htm\">Color window</a></span> topic. \n            </li>\n         </ul>\n         <div><a name=\"GUID-C004C245-CCE5-4BDD-83C5-6F82E16525C8\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Perform any one of the above actions to change the background color of the HUD element content as well. \n            </div>\n         </div><a name=\"UL_B2D7A567E8E7481A9FDFA26F09955548\"></a><p><a name=\"GUID-29F7873C-0F6C-4D14-942F-064E1091A7CC\"></a>To increase or decrease the visibility level of the HUD element content: \n         </p>\n         <ul>\n            <li>Click on the A (Alpha) box and drag the cursor \n               <p><a name=\"GUID-9E06A77E-376A-45F1-BE69-D8C23969851A\"></a>or \n               </p> \n            </li>\n            <li>Double-click the A box and enter a value from 0.00 to 1.00 (default value is 1.00). </li>\n         </ul><a name=\"TABLE_12B1F1F308C84F71BF19E21CD09C0C2C\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"29.411764705882355%\">\n                  <col width=\"70.58823529411765%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\">Position Properties </th>\n                  <th class=\"table-heading\"> Description </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Justification </td>\n                  <td class=\"table-body\">To set the effective position for a HUD element content in the <span class=\"MenuCascade\" id=\"GUID-207B59A6-1428-4F87-96D2-9B9154F159AE\">Viewer</span>. For example, if you want to display the content of a HUD element at the center of the <span class=\"MenuCascade\" id=\"GUID-2C75125A-ED9E-4F30-9247-816613F6E900\">Viewer</span>, then you need to select <span class=\"MenuCascade\" id=\"GUID-064D404D-1F33-45E1-A009-0D81953C2C06\">Center</span> from the <span class=\"MenuCascade\" id=\"GUID-B5EC4BB3-7832-46F4-887E-7A38F50CE14A\">Justification</span> and <span class=\"MenuCascade\" id=\"GUID-24E08260-B359-4A25-8221-9263B1AEA380\">Horizontal Dock</span> drop down lists.. \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Horizontal Dock </td>\n                  <td class=\"table-body\">To dock an element content horizontally to the left, center, or right of the <span class=\"MenuCascade\" id=\"GUID-33DE6E9D-C7F2-40FD-875C-AE38AA40D4CF\">Viewer</span>. <a name=\"GUID-E3D6169F-B4BE-4A4F-9FB4-17CFDE178318\"></a><p class=\"table-body\">Docking is the global reference point, which is referred by the <span class=\"MenuCascade\" id=\"GUID-5EE718A8-B427-4AE4-A0D8-45F20CB01B7F\">Justification</span> property. \n                     </p> \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Vertical Dock </td>\n                  <td class=\"table-body\">To dock an element content vertically to the bottom, center, or top of the <span class=\"MenuCascade\" id=\"GUID-A497FD43-1669-4E02-A699-85F7836A2F8A\">Viewer</span>. \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">X </td>\n                  <td class=\"table-body\">To change the horizontal position of the HUD element content, relative to the docked and justified position. <a name=\"GUID-3B1ED882-EE04-47F4-A205-DA6BDEDB7931\"></a><p class=\"table-body\">Click on the property value and drag to change the position of an element along X axis. You can also double-click the box\n                        and enter a value. \n                     </p> \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Y </td>\n                  <td class=\"table-body\">To change the vertical position of the HUD element content, relative to the docked and justified position. <a name=\"GUID-D23A1149-F694-4C52-8C6C-5407C21B63F0\"></a><p class=\"table-body\">Click on the property value and drag to change the position of an element along Y axis. You can also double-click the box\n                        and enter a value. \n                     </p> \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Position by Percent </td>\n                  <td class=\"table-body\">To display the value of X and Y in percentage. X is the horizontal position of the HUD element as a percentage of the width\n                     of the <span class=\"MenuCascade\" id=\"GUID-E8799E3C-AFDE-4018-91B7-BD40336D7318\">Viewer</span>. <a name=\"GUID-E48CB027-0D4D-48B0-80ED-F171B739145A\"></a><p class=\"table-body\">Turn off the checkbox to display the value in pixels. </p> \n                  </td>\n               </tr>\n            </table>\n         </div><a name=\"TABLE_657186FFADFC4E399854422ED39406BC\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"29.411764705882355%\">\n                  <col width=\"70.58823529411765%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\">Scale Properties </th>\n                  <th class=\"table-heading\"> Description </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Width </td>\n                  <td class=\"table-body\">To increase or decrease the width (horizontal scaling) of a HUD element content or background. </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Height </td>\n                  <td class=\"table-body\">To increase or decrease the height (vertical scaling) of a HUD element content or background. </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Scale by Percent </td>\n                  <td class=\"table-body\">To scale the width and height of a HUD element content in percentage. Deselect this checkbox to scale the element in pixels.\n                     \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Scale Uniformly </td>\n                  <td class=\"table-body\">To uniformly increase or decrease the width and height of a HUD element content. </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Adjust Width to Fit Text </td>\n                  <td class=\"table-body\"> <a name=\"UL_4BCA44934E2F4886A8781F228E96B75E\"></a><p><a name=\"GUID-D62E332E-EF18-4FF3-8182-642216C08EB0\"></a>To: \n                     </p>\n                     <ul>\n                        <li>Maintain the size when you add or delete text </li>\n                        <li>Disable the <span class=\"MenuCascade\" id=\"GUID-00E94D1C-B6B7-430B-AC0D-72F86012F093\">Width</span> property \n                        </li>\n                        <li>Disallow to deselect the <span class=\"MenuCascade\" id=\"GUID-B6E70A54-956E-4C63-9FC5-0CCCCD0AF3F8\">Scale Uniformly</span> property \n                        </li>\n                     </ul> \n                  </td>\n               </tr>\n            </table>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";