var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-712916C2-B85D-49C5-8FEE-ACBE7D93CF93\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Edge Display area</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-712916C2-B85D-49C5-8FEE-ACBE7D93CF93\"></a><div class=\"head\">\n            <h1>Edge Display area</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1C18\"></a> The Edge Display area lets you activate the type of edge settings used with the selected model.\n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1C16\"></a>Activate options in the Edge Display area to choose edges that you want to draw from the list of buttons in the Display Edges\n            area. You can have more than one edge selected at a time.\n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-1C15\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"22.593764121102573%\">\n                  <col width=\"77.40623587889742%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\">Edge type</th>\n                  <th class=\"table-heading\">Effect</th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">All Edges</td>\n                  <td class=\"table-body\">Shows all edges, including polygon edges. Use this edge to see each polygon or combine it with other shaders for special effects.</td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Surface Edges</td>\n                  <td class=\"table-body\">Show the edges of the object.</td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Outline Edges</td>\n                  <td class=\"table-body\">Activate Outline Edges to draw an edge around the object where it curves away from the camera. If the object rotates, the\n                     edge changes with the curvature.\n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Antialiasing</td>\n                  <td class=\"table-body\">Activate Antialiasing to add an anti-aliased edge to the selected edges. For example, the following graphic shows the difference\n                     between the edges drawn without Anti-aliasing, and with Antialiasing activated. For both objects, the line width is set to\n                     4.0, and the Edge Cartoon shader is appended over a Flat shader. The Antialiasing option uses the material color of the object\n                     or the custom material you applied in the Materials settings. If you apply a Flat shader with the Edge Cartoon shader, make\n                     sure the Flat shader is set to Material Color.\n                  </td>\n               </tr>\n            </table>\n         </div><a name=\"WS73099CC142F4875535A241551166AC8792F-1C13\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-6024CA2C-A2FA-4D6B-A64C-F3B2629DF28E-low.png\"><p class=\"figure-title\">Anti-aliasing <em class=\"mild\">A.</em> Without anti-aliasing. <em class=\"mild\">B.</em> Anti-aliasing is activated.\n            </p>\n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1C11\"></a> \n            <h2><a name=\"GUID-30FCC0F9-9873-46A7-9DED-400C12B44840\"></a>Merge Field\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1C10\"></a>Use the Merge field menu to merge planes together before drawing the selected edge. Merging depends on how you created the\n               selected object before loading it into <span class=\"charspan-msgph\">MotionBuilder</span>. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1C0F\"></a>For example, in the preceding graphic, A shows a cube without any intersecting planes since different vertices are used for\n               each edge. The top and side planes are not connected, so no edge is drawn when Outline Edges is the only selected edge.\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1C0E\"></a>In the preceding figure B, merging is set to Merge in Model, which detects that the cube’s three planes use the same point,\n               even if the object says they are three different points. The outline of the cube is now drawn correctly. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1C0D\"></a>There are three merging options:\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1C0C\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"22.593764121102573%\">\n                     <col width=\"77.40623587889742%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Merge Option</th>\n                     <th class=\"table-heading\">Effect</th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">No Merge</td>\n                     <td class=\"table-body\">Disables merging.</td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Merge in Model</td>\n                     <td class=\"table-body\">Tries to find vertices at the same location as the shaded objects. </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Merge All</td>\n                     <td class=\"table-body\">Takes all objects with the Edge Cartoon shader and tries to find vertices at the same location between all objects. This means\n                        that when two objects overlap each other, they are drawn with the same edge. \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1C0B\"></a> \n            <h2><a name=\"GUID-C019CAD0-3DCA-46FD-8E94-E9956E13B932\"></a>Merge Tolerance\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1C0A\"></a>Enter a value in the Merge Tolerance field to find the maximum distance between vertices where surface merge.\n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";