var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-73DAADBC-B941-469B-B415-152C82C38719\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Activate and configure mirror matching</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-73DAADBC-B941-469B-B415-152C82C38719\"></a><div class=\"head\">\n            <h1>Activate and configure mirror matching</h1>\n         </div>\n         <p><a name=\"GUID-5E48D0BD-CBFB-4B7A-AC6D-48B1A884786E\"></a>Several bones in a typical biped skeleton are mirrored by another bone on the opposite side of the body. For example, the\n            right upper arm is mirrored by the left upper arm, the right foot is mirrored by the left foot. Many skeleton naming conventions\n            assign identical names to these mirrored bones, except for a part of the name that indicates whether it lies on the character’s\n            right side or left side. For example, the right forearm is Character_R_ForeArm, and the left forearm Character_L_ForeArm.\n            \n         </p>\n         <p><a name=\"GUID-6A8FD53C-5BBF-4054-A104-C6C26CF69954\"></a>If the naming convention you use in your skeleton follows this standard, you can use mirror matching mode to map mirrored\n            bones automatically. (See <span class=\"char_link\"><a href=\"GUID-25126449-FAA8-4F6C-B033-B93816140182.htm\">Define a skeleton for HIK</a></span>.) \n         </p><a name=\"OL_402F87AFA6AB42BE9410AF6F453E9A37\"></a><p class=\"list-intro\"><a name=\"GUID-8EAEFF7E-528D-4F03-BA25-3076D72C0A6E\"></a>To activate mirror matching mode:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Do one of the following in the <span class=\"MenuCascade\" id=\"GUID-1BCA42EA-2D25-4C72-A198-D9724D486C02\">Definition</span> tab: <a name=\"UL_E7574BB6172641D2AE95CF3D1CF1C212\"></a><ul>\n                  <li> Select <img src=\"../images/GUID-76906E2C-322D-4F92-9AB3-863BD7DC1D7C-low.png\"> <span class=\"MenuCascade\" id=\"GUID-852BC5A7-2065-4990-B1BC-B9DB6BC9616D\">&gt; Edit &gt; Definition &gt; Mirror Matching</span>. \n                  </li>\n                  <li>Click <img src=\"../images/GUID-148FA1BA-4A2A-4875-A80F-D9D29376FEC4-low.png\"> in the toolbar. \n                  </li>\n               </ul>\n               <p><a name=\"GUID-912480BC-AE4A-4F42-8C18-2301E7A7C31E\"></a>As you map bones with mirror pairs on the opposite side of the body, the tool checks the name of the selected bone to see\n                  whether it contains any of a preset list of substrings commonly used to indicate that a bone lies on the left or right side\n                  of the body. If it finds one of these substrings, it looks for another bone that has the same name as the current bone, but\n                  with the mirror pair substring corresponding to the other side of the body. If that bone is found in the skeleton, it is automatically\n                  mapped to the corresponding node on the other side of the body. \n               </p>\n               <p><a name=\"GUID-CCDA5355-CD91-4B5A-92DE-4CFE236A17AA\"></a> For example, if you map the right elbow node to a bone named Character_R_ForeArm, the <span class=\"MenuCascade\" id=\"GUID-E7019C26-232A-47F2-B13C-2B472494EF90\">Definition</span> tab replaces the R_ with L_, and maps the bone named Character_L_ForeArm (if it exists) to the left elbow node. \n               </p> \n            </li>\n         </ol>\n         <p><a name=\"GUID-4C536420-EC5F-487E-8454-803FFF68B901\"></a>If you use a different substring in your bone naming conventions to indicate the left and right sides of the body, you can\n            add a new pair of substrings to the list that are checked by the <span class=\"MenuCascade\" id=\"GUID-A43595D4-571A-4EE7-9EF6-B2BD5CB458D3\">Definition</span> tab. \n         </p><a name=\"OL_06C3633904C74BE6A71057540D158451\"></a><p class=\"list-intro\"><a name=\"GUID-491FD197-F150-40B7-AFD8-933B0555DE99\"></a>To configure the substring pairs used in mirror matching:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li> Select <img src=\"../images/GUID-76906E2C-322D-4F92-9AB3-863BD7DC1D7C-low.png\"> <span class=\"MenuCascade\" id=\"GUID-AD4497D2-27DA-472B-A260-AB411DADE53C\">&gt; Edit &gt; Definition &gt; Configure Mirror Matching</span> to open the <span class=\"MenuCascade\" id=\"GUID-2C302964-2715-46F6-85E7-ECFF3C2C02D0\">Mirror Configuration</span> window. \n               <p><a name=\"GUID-9D16782D-8FA3-4DF3-8F00-30B060D5CD00\"></a> This window contains a list of all sub-string pairs currently configured for mirror matching mode. \n               </p> \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-33C6F6B9-DB5C-436F-A693-C23F91A18FC3\">Mirror Configuration</span> window, do any of the following: <a name=\"UL_D377ADCE34B945BF800C6CB1F0B061C1\"></a><ul>\n                  <li>To add a new pair of substrings, click the <span class=\"MenuCascade\" id=\"GUID-15C5CF38-7B70-48F1-AF7A-06BC6FCF3764\">+</span> button to add a new row to the table. Enter the substrings for the left and right sides of the body in the new row. \n                  </li>\n                  <li>To remove a pair of substrings, select the row in the table that you want to remove, and click the <span class=\"MenuCascade\" id=\"GUID-2BBD9442-445E-4327-A6A5-275CF3D0973D\">-</span> button. \n                  </li>\n               </ul> \n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-3652D3EC-2922-46E5-951E-126B5482FBD0\">OK</span> when you have finished configuring the substring pairs. \n            </li>\n         </ol>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-F64BF823-CF5D-45AB-A1DD-1D38965D70C1.htm\">Edit menu </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-0CA89528-94E7-45EE-B604-EB6C1E7CD911.htm\">Definition tab </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";