var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-742B9277-4816-4139-A235-948E596AF61B\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Choosing texture types</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-742B9277-4816-4139-A235-948E596AF61B\"></a><div class=\"head\">\n            <h1>Choosing texture types</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DDE\"></a> When you open the Shading Elements folder in the Asset browser, you have different types of textures from which to choose.\n            The type of texture you choose depends on its purpose in the scene. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-1B23\"></a>There is one category of textures you add to materials, and another category that you apply directly to the model for use\n            with shaders. Additionally, in each category you have the option of creating a Layered texture or a standard single-layered\n            texture. \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F487551D68DD061249D36330F-5D14\"></a> \n            <h2><a name=\"GUID-F26828FA-1CA9-4D0B-9DF8-E6183DEFDCE9\"></a>Texture types for materials\n            </h2> \n            <p><a name=\"WS73099CC142F487551D68DD061249D36330F-5D13\"></a> Use a Texture asset or a Layered Texture asset to attach images or videos to a material. These assets are available in the\n               Asset browser when you select the Shading Elements folder. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF219F8B8B1249CF2CB82-2F7D\"></a>A Texture asset lets you add an individual image or video to a material. Its most common purpose is to add detail and color\n               to a material. See <span class=\"char_link\"><a href=\"GUID-616DFD1D-5907-405F-98C9-9EA6ED3F18C6.htm\">Adding a texture to a material</a></span>. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF219F8B8B1249CF2CB82-2F7C\"></a>A Layered Texture asset lets you blend multiple images and videos, then add them to a material as if they were a single media.\n               See <span class=\"char_link\"><a href=\"GUID-A47C13B7-9F19-4DC6-9C3D-2E395B3FF76E.htm\">Blending multiple textures</a></span>. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-1B22\"></a>See also <span class=\"char_link\"><a href=\"GUID-CDE267CA-CF45-43BE-BBF8-C10E36323869.htm\">About materials</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F487551D68DD061249D36330F-5D12\"></a> \n            <h2><a name=\"GUID-6D57B2E4-0D9E-49F2-9CD9-2C975887096B\"></a>Texture types for shaders\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-1B21\"></a> Some shaders require a Global Lighting-Based texture in order to work. These types of textures are available in the Asset\n               browser when you open Shading Elements &gt; Global Lighting-Based Textures. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-1B20\"></a>Each type of Global Lighting-Base texture is available as a standard single-layered texture or as a Layered texture. A Layered\n               texture lets you blend multiple images and videos, then apply them to a model as if they were a single media. See <span class=\"char_link\"><a href=\"GUID-A47C13B7-9F19-4DC6-9C3D-2E395B3FF76E.htm\">Blending multiple textures</a></span>. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DDC\"></a>Global Lighting-Based textures must be applied directly to a model and used with the appropriate shader, as described in the\n               following table: \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1DDA\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"30.88934147997285%\">\n                     <col width=\"69.11065852002716%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Type </th>\n                     <th class=\"table-heading\">Purpose </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Light Map </td>\n                     <td class=\"table-body\">Use with a Shadow Map shader, when the shader is set to the Light Map type in the shader settings. See <span class=\"char_link\"><a href=\"GUID-1B71E34F-1B5B-40E2-8213-B672A355320F.htm\">Shadows and lighting effects</a></span>. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Layered Light Map </td>\n                     <td class=\"table-body\">Same as the Light Map texture, but also lets you blend multiple images or videos, then apply them to the model as if they\n                        were a single media. See <span class=\"char_link\"><a href=\"GUID-A47C13B7-9F19-4DC6-9C3D-2E395B3FF76E.htm\">Blending multiple textures</a></span>. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Shadow Map </td>\n                     <td class=\"table-body\">Use with a Shadow Map shader, when the shader is set to Shadow Map type. See <span class=\"char_link\"><a href=\"GUID-1B71E34F-1B5B-40E2-8213-B672A355320F.htm\">Shadows and lighting effects</a></span>. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Layered Shadow Map </td>\n                     <td class=\"table-body\">Same as the Shadow Map texture, but also lets you blend multiple images or videos, then apply them to the model as if they\n                        were a single media. See <span class=\"char_link\"><a href=\"GUID-A47C13B7-9F19-4DC6-9C3D-2E395B3FF76E.htm\">Blending multiple textures</a></span>. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Spherical Reflection Map </td>\n                     <td class=\"table-body\">Use with a Reflection shader, when the shader is set to Spherical Map type. See <span class=\"char_link\"><a href=\"GUID-D45F1033-7594-409B-83DC-D5CD67F87A15.htm\">Reflection effects</a></span>. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Layered Spherical Reflection Map </td>\n                     <td class=\"table-body\">Same as the Spherical Reflection Map texture, but also lets you blend multiple images or videos, then apply them to the model\n                        as if they were a single media. See <span class=\"char_link\"><a href=\"GUID-A47C13B7-9F19-4DC6-9C3D-2E395B3FF76E.htm\">Blending multiple textures</a></span>. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Sphere Map </td>\n                     <td class=\"table-body\">Use with a Reflection shader, when the shader is set to Sphere Map type. See <span class=\"char_link\"><a href=\"GUID-D45F1033-7594-409B-83DC-D5CD67F87A15.htm\">Reflection effects</a></span>. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Layered Sphere Map </td>\n                     <td class=\"table-body\">Same as the Sphere Map texture, but also lets you blend multiple images or videos, then apply them to the model as if they\n                        were a single media. See <span class=\"char_link\"><a href=\"GUID-A47C13B7-9F19-4DC6-9C3D-2E395B3FF76E.htm\">Blending multiple textures</a></span>. \n                     </td>\n                  </tr>\n               </table>\n            </div> \n            <div><a name=\"WS1A9193826455F5FF219F8B8B1249CF2CB82-2F7B\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>When you generate a map using the Reflection or Shadow Map shaders, a texture of the relevant type is automatically created\n                  and you can access its Texture settings in the Navigator. \n               </div>\n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";