var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-74B56BB9-7A04-48C2-9EBE-F6AE0CC312F0\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Character Extensions</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-74B56BB9-7A04-48C2-9EBE-F6AE0CC312F0\"></a><div class=\"head\">\n            <h1>Character Extensions</h1>\n         </div>\n         <p> </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2C4F\"></a> Character Extensions can be created to associate any type of object with your character, whether it is an extra limb, a weapon\n            your character carries, a camera, or a spot light that follows your character around. Any type of object or property that\n            you want to control and key along with your character can be added as a Character Extension. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2C4D\"></a>Character Extensions are particularly useful with character models that have atypical features (such as the character with\n            wings and a tail in the following figure) because they let you easily include the added features with your character’s Full\n            Body keying group. \n            		<a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2C4C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-2B82447A-C7B4-4D5C-BABD-9DDB9E9FB22B-low.png\"><p class=\"figure-title\">A dragon character with wing and tail Character Extensions.</p>\n            </div> \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2C4A\"></a> \n            <h2><a name=\"GUID-0FDAB246-8BBC-43E6-B8C7-F3388D9B3C47\"></a>Using Character Extensions in poses\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2C49\"></a>When you create a pose with a character that has Character Extensions, the Character Extensions are included in the pose.\n               You can also paste poses based on objects in the Character Extension. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2C48\"></a>If you plan to create poses involving Character Extensions, make sure to define a Reference Object in the Character Extension\n               properties \n               		  <em class=\"mild\">before</em> you begin to create poses. See \n               		  <span class=\"char_link\"><a href=\"GUID-508A3760-4278-434D-98F4-CAAD8AF57BDB.htm\">Character Extension properties</a></span> for more information on the Reference Object. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2C47\"></a>With the proper setup, you can also mirror-paste poses on Character Extensions just as you can on the regular body parts of\n               a character. For example, if your character has symmetrical left and right wings, you can mirror poses from the left wing\n               onto the right wing, and so on. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-923908D11688C3AF47-7FFF\"></a> \n            <h2><a name=\"GUID-75C88FF4-1420-4374-8B25-B53CDA072437\"></a>Mirroring Character Extensions \n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2C46\"></a> Just like the right arm is the mirror of the left arm in a character structure, you can set up right and left mirror pairs\n               for Character Extensions. You can also mirror poses on a single Character Extension, such as a tail, the same way you can\n               mirror poses on the spine of a character. \n               		\n            </p> \n            <p>See \n               		  <span class=\"char_link\"><a href=\"GUID-F739CE9D-7B1A-4FAC-8573-06D5E5B6313D.htm\">Mirror character extension animation</a></span>.\n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2C3D\"></a> \n            <h2><a name=\"GUID-F7F61BE3-D5FD-44F7-9203-1BFC8D150140\"></a>Keying Character Extensions\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2C3C\"></a>Once you have created Character Extensions, you can use the Properties window to define exactly what is keyed when you set\n               keyframes on the Character Extension. By default, the translation and rotation properties for objects in the Character Extension\n               are keyframed. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2C3B\"></a>Activate the Add To Full Body option in the Properties window if you want the Character Extension to be keyed whenever you\n               set a Full Body keyframe on your character. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2C3A\"></a>If your Character Extension is composed of markers, cameras, lights, limbs, Skeleton roots, Skeleton nodes, or nulls, the\n               same visual feedback elements that you can activate for Control rigs are also available for your Character Extension. For\n               example, the HighLight Active Body Part and Outline Currently Keyed visual feedback elements also work with your Character\n               Extension if it is composed of these types of objects. See \n               		  <span class=\"char_link\"><a href=\"GUID-EBA1361E-3441-4C5D-85F2-DF3744E77EDC.htm\">Visual feedback on Control rigs</a></span> for more information on the types of visual feedback available. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_D8E5C114C42B44ECABF39B67724D0A43\"></a> \n            <h2><a name=\"GUID-2CD0E310-E5D2-4415-8FD9-4450DE6B66D9\"></a>Retarget Character Extension animation\n            </h2> \n            <p> </p> \n            <p>You can retarget animation from one character extension to another extension that is on the same character or on another character\n               in the scene Like character-to-character retargeting, you use the \n               		  <span class=\"MenuCascade\"> Character Controls</span> to select the target and source characters for the animation. \n               		\n            </p> \n            <p>See \n               		  <span class=\"char_link\"><a href=\"GUID-0D709253-D9BC-476E-B3A2-4B9AD28CD6DC.htm\">Retarget character extension animation</a></span>. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-923908D11688C3AF47-7FFE\"></a> \n            <h2><a name=\"GUID-701CA75A-E8BB-4A2B-9935-F841CF574FB4\"></a>Copying animation between two Character Extensions\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2C39\"></a>If you have two characters with equivalent Character Extensions, you can copy keyframe animation from Extension to Extension.\n               To create an equivalent set up on the source and target Character Extensions, both Extensions need to have the same Extension\n               Label, and the corresponding objects within the Extensions need to have the same Labels. \n               		  <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2C37\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-6A2982F1-D5F8-4FB5-A73A-AB366983766D-low.png\"><p class=\"figure-title\">Two Character Extensions set up for copying animation</p>\n               </div> \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2C35\"></a>See \n               		  <span class=\"char_link\"><a href=\"GUID-08E74F04-D18A-484C-BA87-4B4719226C00.htm\">Copying Character Extension animation</a></span> for more information. \n               		\n            </p> \n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-32E74802-5719-4C7E-9B9C-506096C6F1A5.htm\">Creating a Character Extension</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-08E74F04-D18A-484C-BA87-4B4719226C00.htm\">Copying Character Extension animation</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-32913435-B2B4-45A4-B43F-4541F2E12158.htm\">Attaching a Character Extension to a character</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-495150F1-0049-4836-A4F3-88B07BC14042.htm\">Detaching a Character Extension from a character</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-508A3760-4278-434D-98F4-CAAD8AF57BDB.htm\">Character Extension properties</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8796F2B1-75C2-4A1F-8854-3D4AA950B806.htm\">Properties for Character Extension objects</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-F739CE9D-7B1A-4FAC-8573-06D5E5B6313D.htm\">Mirror character extension animation</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";