var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-78D45F3F-DBB7-43CB-86F9-69C6BF2A88A2\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Character keyframing workflow</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-78D45F3F-DBB7-43CB-86F9-69C6BF2A88A2\"></a><div class=\"head\">\n            <h1>Character keyframing workflow</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-576\"></a> The basic process for animating characters involves changing the position and orientation of a character at different points\n            in time, then marking those points with keyframes. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-574\"></a>To animate a character, you choose where in time to change the position and orientation of your character, then set a keyframe\n            position on the character at that time. <span class=\"charspan-msgph\">MotionBuilder</span> then interpolates the movement between your keyframes, creating animation. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-573\"></a>For example, in the following illustration, six keyframes were set on different positions of a character in a walk cycle.\n            Playing the animation gives the impression of a continuous walking motion because of the interpolation. <a name=\"WS73099CC142F4875535A241551166AC8792F-572\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-8BBD8BF9-1A2A-44BE-9F7B-369C17D33755-low.png\"><p class=\"figure-title\">Poses in a keyframe animation cycle <em class=\"mild\">A.</em> Frame 0 <em class=\"mild\">B.</em> Frame 5 <em class=\"mild\">C.</em> Frame 10 <em class=\"mild\">D.</em> Frame 15 <em class=\"mild\">E.</em> Frame 20 <em class=\"mild\">F.</em> Frame 25\n               </p>\n            </div> \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-570\"></a> \n            <h2><a name=\"GUID-EB0FD7D1-597F-4079-B906-7A5992C3AA4F\"></a>Changing the current time\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-56F\"></a>Changing the current time involves choosing the frame on which to perform a key transformation. Setting the current time can\n               be done in a number of places that display the current timecode and a timeline. You can change the current time in various\n               places, such as the Transport Controls window, the FCurves window, and the Dopesheet window. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-56E\"></a>The following illustration, shows the current time at frame 16 in the Current time field and at the location of the Timeline\n               indicator. <a name=\"WS73099CC142F4875535A241551166AC8792F-56D\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-37490F4A-0BB1-4152-86A5-353F52528454-low.png\"><p class=\"figure-title\">Transport Controls <em class=\"mild\">A.</em> Timeline indicator <em class=\"mild\">B.</em> Timecode field\n                  </p>\n               </div> \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-56B\"></a> \n            <h2><a name=\"GUID-74ACC408-A026-4675-8F65-B0AA048A3BBC\"></a>Setting a keyframe\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-56A\"></a>To mark the transformations, or changes you make to the character over time, you set a keyframe. There are various ways you\n               can set keyframes, including pressing K, or using other keyboard shortcuts. The <span class=\"char_link\"><a href=\"GUID-FCA36CC5-1AD1-4928-879D-EFA6A5E40624.htm\">Key Controls window</a></span> contains the main keyframing options, but you can also set keyframes in the Blend and Pull area of the Character Controls\n               window. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-569\"></a>In the Character Controls window, select one of the Manipulation and Keying mode buttons (<img src=\"../images/GUID-C9995F98-66CD-4739-93EB-4463B978F4E1-low.png\">) to determine the parts of the character that are available for keyframing and transformation. Set a keyframe by choosing\n               one of the methods described above. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-565\"></a>When Show Key Hint is active in the Transport Controls, keyframes set in Body Part Keying mode display with a green tip, keyframes\n               set in Full Body mode display with a red tip, and when a Character Extension is keyed, the keyframe displays with a yellow\n               tip. See <span class=\"char_link\"><a href=\"GUID-EA53D407-5D4B-4352-BDE0-FD88DCCF411F.htm\">Keyframing a Control rig</a></span> for more information. <a name=\"WS73099CC142F4875535A241551166AC8792F-564\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-DAB66724-06DA-4D59-AA05-A71B94D0DA3E-low.png\"><p class=\"figure-title\">Transport Controls <em class=\"mild\">A.</em> Body Part keyframe <em class=\"mild\">B.</em> Character Extension keyframe <em class=\"mild\">C.</em> Full Body keyframe\n                  </p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-562\"></a>When you set more than one keyframe position of the character over time, you have created character animation. When you play\n               this animation, <span class=\"charspan-msgph\">MotionBuilder</span> interpolates the position of the character between the keyframes you have set, giving the impression of smooth continuous\n               motion. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-561\"></a>See <span class=\"char_link\"><a href=\"GUID-46368409-C878-4C2A-804E-739FBC1CD5F6.htm\">Working with keyframes</a></span> and <span class=\"char_link\"><a href=\"GUID-7E4641AA-9D59-4DB5-9A19-19D2D1A83718.htm\">Basic Keyframe Animation</a></span> for more information. \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-7C0455EB-A67A-4B8D-AE04-5139DC676D50.htm\">Animating Characters </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-82BC3586-9C55-4428-8BF5-369673BFC5F2.htm\">Visual keyframe feedback </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";