var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-79AA202D-45D2-4BBC-ACB6-DC9E07C01E58\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Shader effects</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-79AA202D-45D2-4BBC-ACB6-DC9E07C01E58\"></a><div class=\"head\">\n            <h1>Shader effects</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-507E\"></a> There are many shader types which provide various effects and are used for many purposes. There are equally as many ways\n            to categorize them. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-507C\"></a>Shaders can provide cartoon, reflection, and environmental effects. \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-507B\"></a> \n            <h2><a name=\"GUID-109C9D31-BF30-4889-B194-DDA9B601C8B8\"></a>Cartoon look\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-507A\"></a>While most shaders can make your models look more realistic, cartoon-style shaders give your character a comic book look.\n               \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5079\"></a>In the following figure, a character has shaders applied which flatten its color depth and outline its form, giving it a two-dimensional\n               cell-animation look to it, even though it is a 3D model. \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5078\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-38E42D2A-FAED-423C-9AB5-76BD4E28D5F4-low.png\"><p class=\"figure-title\">Cartoon Look <em class=\"mild\">A.</em> With no shaders <em class=\"mild\">B.</em> With Cartoon shading.\n               </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5076\"></a> \n            <h2><a name=\"GUID-86B8314B-A9E0-4719-9D30-D69CE4582821\"></a>Reflections\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5075\"></a>Textures and materials applied to a 3D model cannot give you the sharp reflection effects needed to imply glass, chrome, or\n               mirror. For these effects, you must use reflection shaders. \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5074\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B6D57305-BF2A-4EE4-9B47-CE2CD19DA917-low.png\"><p class=\"figure-title\">Reflection shader examples </p>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5072\"></a>Reflection shaders make your objects reflect the world around them, but their effects are not limited to creating mirrors.\n               Combine them with transparency to create a shiny glass look, or combine them with a dark material to create a brushed steel\n               look. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5071\"></a>You can use live reflections, which will accurately reflect animation in the scene, or a map shader to create a static reflection\n               that does not react to animation around it. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5070\"></a> \n            <h2><a name=\"GUID-F5743108-5D0E-4DF2-824B-2C632B252FCB\"></a>Environmental\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-506F\"></a>You can use shaders to create environmental effects such as clouds, fire, fog, and rain. \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-506E\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-17588157-7F8D-4E53-8506-EC4EB5F86919-low.png\"><p class=\"figure-title\">Environmental presets <em class=\"mild\">A.</em> Rain <em class=\"mild\">B.</em> Snow <em class=\"mild\">C.</em> Fireball <em class=\"mild\">D.</em> Cloud\n               </p>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-506C\"></a>Shaders can be applied to objects to create environmental effects like fire, fog, snow, and rain. Because the shader is meant\n               to create an environmental effect, it is applied to a simple object, such as a cube, that defines the area in which the environmental\n               effect occurs. Instead of appending the shader to the object, you replace the object with the shader, so that the model is\n               hidden and only the effect of the shader is visible. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-506B\"></a> \n            <h2><a name=\"GUID-AB64469E-4B39-41B0-A89E-E2D8A0201A31\"></a>Shadows and lighting\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-506A\"></a>Lighting alone does not convey atmosphere, but how objects react to light does. Use shaders to create realistic shadows and\n               lighting on planes and objects in your scene. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5069\"></a>Adjust the shadow intensity to create subtle differences between a ghostly or silhouette effect. \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5068\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-34C39A32-368A-4C4B-82FA-8AE56EB2BF15-low.png\"><p class=\"figure-title\">Shadow shader example </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5066\"></a> \n            <h2><a name=\"GUID-62FEEAB1-CEBF-44A2-A1FF-487BDD213A0F\"></a>Surface effects\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5065\"></a>You can use shaders to create surface effects on objects that imply that the models have depth and substance, even when the\n               original model was smooth. These effects create further depth and detail. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5064\"></a>Some surface effect shaders, such as Faceted and Wireframe, are derived from the model’s construction, while other shaders,\n               such as Bump Map, let you create the appearance of relief over simple geometry. \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5063\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-90E42780-D806-4DE9-9475-75A816284D10-low.png\"><p class=\"figure-title\">Surface effects <em class=\"mild\">A.</em> Bump map<em class=\"mild\"> B.</em> Wireframe <em class=\"mild\">C. </em>Faceted\n               </p>\n            </div> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-D42468F5-869D-47AB-BC1F-9EA321C1C622.htm\">Testing shaders textures and materials </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-FAD77D08-1FF5-43C6-A96E-FABF3CCC8845.htm\">Applying a shader to a model </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";