var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-7B5D2027-394B-4CD7-8F5F-9586470ACB14\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Segments and Labelling</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-7B5D2027-394B-4CD7-8F5F-9586470ACB14\"></a><div class=\"head\">\n            <h1>Segments and Labelling</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F47\"></a> Segments refer to the captured data from an optical motion capture session. Unlabeled segments are segments that have not\n            been labelled to markers. Unlabeled segments appear as an asterisk in the scene. Asterisks cannot be directly selected. <a name=\"WS73099CC142F4875535A241551166AC8792F49\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-7C15FD55-02D0-4F79-A52D-EC94F612A48A-low.png\"><p class=\"figure-title\">Unlabeled markers shown as a dark blue asterisk</p>\n            </div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F4B\"></a>When a segment is labelled, it is associated with a marker in the Marker list. A marker can be associated with more than one\n            segment, but not at the same time. This is how the Optical settings deal with occlusion: by labelling a segment before the\n            sensor is occluded and then labelling the segment when the sensor reappears. A marker then has all the data segments captured\n            for a certain sensor. <span class=\"charspan-msgph\">MotionBuilder</span> interpolates the missing data between two segments using a gap. Data in a gap is created using the extracted Rigid body information.\n            \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F4C\"></a>Markers are light blue if they contain a segment at the current time and dark blue if they are occluded. <a name=\"WS73099CC142F4875535A241551166AC8792F4D\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-49318CB1-16DD-4361-8934-798639982990-low.png\"><p class=\"figure-title\">Occluded segments shown as dark blue cubes</p>\n            </div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F4F\"></a>Markers show up as occluded only after they have been associated with at least two data segments, or have been connected to\n            other markers using a Rigid body. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F50\"></a>The dark blue markers serve as a mathematical estimate of where the occluded marker should be in the scene. This estimate\n            is based on interpolation between data segments and placement based on Rigid bodies. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F51\"></a>Most optical capture systems already create a Marker set. This Marker set is shown in the Label menu. If you are not satisfied\n            with the Marker set, <span class=\"charspan-msgph\">MotionBuilder</span> lets you remove and re-label them. \n         </p>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-88ED9A72-B5D3-470F-97BF-EB87C5F921EF.htm\">Optical systems and data </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";