var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-7BEA9BAB-9816-4A41-BCD8-2BDFA402E046\">\n      <meta name=\"description\" content=\"Use the Cycle Creator to automatically generate an animation cycle from marked start and end frames of animated segment in the timeline. The animation cycle is saved as a new take.\">\n      <meta name=\"indexterm\" content=\"create cycles\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Cycle Creator tool</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-7BEA9BAB-9816-4A41-BCD8-2BDFA402E046\"></a><div class=\"head\">\n            <h1>Cycle Creator tool</h1>\n         </div>\n         <p class=\"blurb\">Use the Cycle Creator to automatically generate an animation cycle from marked start and end frames of animated segment in\n            the timeline. The animation cycle is saved as a new take. \n            \n         </p>\n         <p> </p>\n         <p>By default, MotionBuilder generates the cycle by pasting the start frame pose to a key at the end frame of the marked segment.\n            It then determines which frame between the start and end frames has the pose which differs most from the start frame pose\n            and adds a zero key. This frame is used as midpoint in the cycle with the identical start and end frames of the animation\n            completing the cycle. \n            	 \n         </p>\n         <p>Access the \n            		<span class=\"MenuCascade\">Cycle Creator</span> tool by selecting \n            		<span class=\"char_link\"><a href=\"GUID-4A6D0587-E202-4781-A587-2A3815C1FC10.htm\">Window &gt; Cycle Creator</a></span>. See also \n            		<span class=\"char_link\"><a href=\"GUID-28C2DBC8-AFAA-4340-A20F-BD13735C438C.htm\">Creating animation cycles using the Cycle Creator tool</a></span>. \n            	 \n         </p>\n         <div class=\"section\"><a name=\"SECTION_F2CFBF17983D4B1FA6351A3540FE3003\"></a> \n            <h2><a name=\"GUID-9A486843-8997-4152-BC02-D2E261929E88\"></a><span class=\"MenuCascade\">Conditions</span></h2> \n            <p>Indicates that the preconditions for creating an animation cycle have been met: \n               		\n            </p> <a name=\"UL_9EB30688F3734FE9A02662864224BD17\"></a><ul>\n               <li><span class=\"MenuCascade\">Character/Control Rig</span>—A valid character driven by a control rig is selected. \n                  		  \n               </li>\n               <li><span class=\"MenuCascade\">Control Rig Animation</span>—The control rig is driven by animation data. \n                  		  \n               </li>\n               <li><span class=\"MenuCascade\">Local-marks Pair Selected</span>—A segment of animation is selected on the timeline using Local- marks. \n                  		  \n               </li>\n            </ul> \n            <p>If these preconditions are not met, the \n               		  <span class=\"MenuCascade\">Cycle Create</span> tool cannot generate the animation cycle. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_29FAD49C65A24FBC87BFA79578B798D9\"></a> \n            <h2><a name=\"GUID-631D8B2D-AF8F-4CDD-914F-F0CBCBB569C0\"></a>Options\n            </h2> \n            <dl><a name=\"GUID-83317476-4708-4C7A-A260-BCECECBED1E8\"></a><dt><span class=\"term\"><span class=\"MenuCascade\">T</span> (translation), \n                     				<span class=\"MenuCascade\">R</span> (rotation), and \n                     				<span class=\"MenuCascade\">G</span> (gravity) \n                     			 </span></dt>\n               <dd>\n                  <div class=\"definition\"> \n                     <p>These match options let you match the translation, rotation, and gravity values of the selected character\'s control rig effectors\n                        to the animation cycle. Theses options are based on the match options in the \n                        				  <span class=\"MenuCascade\"> Pose Controls</span> window. See \n                        				  <span class=\"char_link\"><a href=\"GUID-9964F053-7258-4AF5-8FA5-A2E19AE960DE.htm\">Match options</a></span>. \n                        				\n                     </p> \n                  </div>\n               </dd><a name=\"GUID-3B09C597-BDEE-45BF-A03F-D28AE4D973C6\"></a><dt><span class=\"term\"><span class=\"MenuCascade\">Move Start to Zero</span> </span></dt>\n               <dd>\n                  <div class=\"definition\"> \n                     <p>When on, the first frame of the cycle is reset to start on frame 0 of the timeline. \n                        				\n                     </p> \n                  </div>\n               </dd><a name=\"GUID-B486560E-893C-46DE-BD7F-CF19F7B69377\"></a><dt><span class=\"term\"><span class=\"MenuCascade\">Add zero key</span> </span></dt>\n               <dd>\n                  <div class=\"definition\"> \n                     <p> When on, a zero key is added on the frame where the pose is the most different from the start pose. A new animation layer\n                        is created for this keyframe. \n                        				  <span class=\"MenuCascade\">Add zero key</span> is on by default. \n                        				\n                     </p> \n                     <p> Adding a zero key allows the base animation to be retained from the start pose through to the zeroed frame, which is the\n                        frame with the greatest pose difference. After this point, the animation begins blending toward the end pose, which is identical\n                        to the start pose. When \n                        				  <span class=\"MenuCascade\">Add zero key</span> is off, the second pose is gradually blended from the first frame \n                        				\n                     </p> \n                  </div>\n               </dd><a name=\"GUID-B0B05BEA-EF12-4311-AF67-6A6ECB01DA26\"></a><dt><span class=\"term\"><span class=\"MenuCascade\">Reference IK Controller</span> </span></dt>\n               <dd>\n                  <div class=\"definition\"> \n                     <p>Lets you select which effector to reference for pasting the start pose on the last frame of the cycle. By default, this is\n                        set the control rig\'s Hips Effector. \n                        				\n                     </p> \n                  </div>\n               </dd><a name=\"GUID-2F760FFB-4540-40F2-AC85-8F63C9609FA8\"></a><dt><span class=\"term\">New Take Name \n                     			 </span></dt>\n               <dd>\n                  <div class=\"definition\">Take name that is given to the new cycle when it is saved. \n                     			 \n                  </div>\n               </dd>\n            </dl> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";