var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-7C0455EB-A67A-4B8D-AE04-5139DC676D50\">\n      <meta name=\"indexterm\" content=\"character: animation\">\n      <meta name=\"indexterm\" content=\"animating: characters\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Character Animation</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-7C0455EB-A67A-4B8D-AE04-5139DC676D50\"></a><div class=\"head\">\n            <h1>Character Animation</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-5AF\"></a> When you have brought a character model into MotionBuilder and set it up for animation, there are three different types of\n            motion sources you can use to animate the character: A Control rig, an Actor connected to motion data, or another character.\n            \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-5AC\"></a>The overall workflow for animating characters in \n            		<span class=\"charspan-msgph\">MotionBuilder</span> can be summarized as follows: \n            	 \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-5AB\"></a><ol type=\"1\" start=\"1\">\n            <li>Create a character model in your 3D package of choice and save it using the \n               		  <em class=\"mild\">.fbx</em> file format. (To do this, you need to have the appropriate FBX plug-in installed.) \n               		\n            </li>\n            <li>Load your character model in \n               		  <span class=\"charspan-msgph\">MotionBuilder</span>. \n               		\n            </li>\n            <li>Complete the Character mapping process and characterize the character model. \n               		  \n               <p><a name=\"GUID-D1E424FB-BCFD-4103-9FC4-2E21550731FB\"></a>See \n                  			 <span class=\"char_link\"><a href=\"GUID-81EE03EF-066C-4442-B47A-25E4D43E0203.htm\">Character mapping</a></span> and \n                  			 <span class=\"char_link\"><a href=\"GUID-853F8AB9-FD71-430E-85D0-6641F64CB1A5.htm\">About Characterizing</a></span>. \n                  		  \n               </p> \n            </li>\n            <li>Select the type of source you want to drive the character model. The motion source can be a Control rig, another character,\n               or motion data attached to an Actor asset. \n               		  \n               <p><a name=\"GUID-CB9F583A-A270-450E-B127-7F3231B74B77\"></a>See \n                  			 <span class=\"char_link\"><a href=\"GUID-27DFD255-F3B5-4325-AC3F-6AA309DE2769.htm\">Selecting a motion source</a></span>. \n                  		  \n               </p> \n            </li>\n            <li>Edit the animation by creating a Control rig and plotting the animation from the motion source to the Control rig. \n               		  \n               <p><a name=\"GUID-830F9262-F828-45DD-B410-4D6E317DCE4C\"></a>See \n                  			 <span class=\"char_link\"><a href=\"GUID-7461D9D8-5193-4372-A6EF-267D3E9EB534.htm\">Creating a Control rig</a></span> and \n                  			 <span class=\"char_link\"><a href=\"GUID-FFC123CA-62D6-440E-93F8-D9027C0D1B42.htm\">Plotting animation to a Control rig</a></span>. \n                  		  \n               </p> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-5A5\"></a>You can also use the Control rig alone to create poses and set keyframes to animate it. \n                  		  \n               </p> \n            </li>\n            <li>Refine your animation data with editing and filtering. \n               		  \n               <p><a name=\"GUID-F0A750A0-B3F5-4439-A10D-2F59D2F8BF6B\"></a>See \n                  			 <span class=\"char_link\"><a href=\"GUID-491C78A7-B179-4995-B07C-A2CF4ADF46F9.htm\">Refining Animation</a></span>. \n                  		  \n               </p> \n            </li>\n            <li>Plot animation from the Control rig to your model’s skeleton to prepare it for export. \n               		  \n               <p><a name=\"GUID-0E3D35D2-AD99-43C0-A7DB-A842C71C219F\"></a>See \n                  			 <span class=\"char_link\"><a href=\"GUID-FCEB92AA-3BDA-47F5-B95A-3BFD0CA28AC8.htm\">Plotting animation to a character’s skeleton</a></span>. \n                  		  \n               </p> \n            </li>\n            <li>Save the animated character model as an \n               		  <em class=\"mild\">.fbx</em> file. \n               		\n            </li>\n         </ol>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-12F7FCD3-004E-45E9-85B3-E42C7C51B2F7.htm\">Character setup \n                           		</a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-12F7FCD3-004E-45E9-85B3-E42C7C51B2F7.htm\">Character setup</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-5911BFC8-0DB4-4F59-B3DB-F02C65DBBCE6.htm\">HIK character in MotionBuilder</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8610F55D-7B55-4463-8D66-E207425A8603.htm\">About motion sources</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-3984BA55-578B-4D8B-9CB5-FAF8D7949C68.htm\">Retarget animation</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-27DFD255-F3B5-4325-AC3F-6AA309DE2769.htm\">Selecting a motion source</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-78D45F3F-DBB7-43CB-86F9-69C6BF2A88A2.htm\">Character keyframing workflow</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-0CC7458E-1F10-4714-BFD3-4465D4565A68.htm\">Control rigs</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-EA53D407-5D4B-4352-BDE0-FD88DCCF411F.htm\">Keyframing a Control rig</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-217EF33E-7E39-4AA8-8CEB-7998A7B23C86.htm\">Character motion capture workflow</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-65896E0D-8754-4081-9409-23A83B0FF88D.htm\">Refining character animation</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-4210D7E4-4E86-467B-A2CB-9C9865BF1549.htm\">Loading character animation</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-1E36F332-BA1A-4FEC-A232-21A34516A634.htm\">Troubleshoot loading character animation</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-23ED6826-5160-4FE3-9717-AB8A6138ABC8.htm\">Switching to HIK solving</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-F0E50A73-9E2C-4508-92AA-B2C45AC088AD.htm\">Creating realistic human movement</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D93DE8FE-E2DE-4DF1-B750-E03A6D6F02AB.htm\">Actor assets</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-24FF90A0-559B-4EAF-8320-4F30FA9E0062.htm\"> Flexible Mocap</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";