var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-7E4641AA-9D59-4DB5-9A19-19D2D1A83718\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <meta name=\"keywords\" content=\"Custom\">\n      <meta name=\"keyword\" content=\"Custom\">\n      <title>Basic Keyframe Animation</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-7E4641AA-9D59-4DB5-9A19-19D2D1A83718\"></a><div class=\"head\">\n            <h1>Basic Keyframe Animation</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E46\"></a> \n            		The animation process is the method by which an animator simulates movement in a sequence by displaying a series of pictures,\n            or frames. Traditional animation and computer-generated 3D animation are similar, but differ in some fundamental ways. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E44\"></a>Keyframing is the recording of a parameter’s value at a specific moment in time, advancing the time, then recording the value\n            again. The computer determines what has occurred between the recorded values, and fills in the blanks between keyframes. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E43\"></a>Animation simulates movement through a sequence of changing images in a scene. The scene holds all the elements of the animation,\n            and can contain one or multiple objects. \n            	 \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E42\"></a> \n            <h2><a name=\"GUID-40980B6C-7D1C-45BF-A621-02BB8B5CDD63\"></a>Traditional and computer-generated animation\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E41\"></a>In traditional animation, animators draw or paint individual pictures for the most important actions in a sequence. The action\n               between these key points is filled in with other pictures. The process of filling in the action between key points is referred\n               to as \n               		  <em class=\"mild\">in-betweening</em> or \n               		  <em class=\"mild\">tweening</em>. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E40\"></a>Once all the pictures are added, they are joined together in a sequence to complete the animation. When the animation plays,\n               the viewer sees continuous movement. This is because the eye does not differentiate between the separate images, and sees\n               only one image creating the illusion of continuous motion. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E3F\"></a>A simple example of one of the oldest forms of animation is the “flip book”. The flip book consists of a series of pages,\n               each page containing a picture subtly different from the previous picture. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E3E\"></a>For example, in the following illustration, each star represents a separate picture. Flipping through the pages creates the\n               illusion of the star moving up and down. \n               		\n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E3D\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-F542E5D3-B05B-4C69-8D19-2C9CBBE6A3F1-low.png\"><p class=\"figure-title\">Successive images in a “flip book” animation</p>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E3B\"></a>Animators using 3D software also emphasize key action points in a sequence at specific points in time (frames) by setting\n               a mark called a \n               		  <em class=\"mild\">keyframe</em>. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E3A\"></a>However, unlike traditional animation, the computer software simplifies the animation process by automatically filling in\n               the action between the keyframes with in-between frames. This process, called \n               		  <em class=\"mild\">interpolation, \n                  		  </em>is what lets you perceive smooth, continuous motion when you play your animation. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E39\"></a>For example, the following illustration shows the interpolation of a simple animation that starts with only two keyframes.\n               The first keyframe marks the cube’s position at the beginning of the animation, and the second keyframe marks the location\n               of the cube at the end of the animation. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E38\"></a>The computer program adds the additional frames between the two keyframes to provide the illusion of smooth, continuous motion\n               when the animation plays. \n               		\n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E37\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-AE6A23C9-F671-4B4F-BA3B-570CABC8551B-low.png\"><p class=\"figure-title\">Simple animation \n                  		  <em class=\"mild\">A. \n                     		  </em>Keyframe on frame 0 \n                  		  <em class=\"mild\">B.</em> Keyframe on frame 10 \n                  		  <em class=\"mild\">C.</em> Interpolation adding frames between the keyframes\n               </p>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E35\"></a>In \n               		  <span class=\"charspan-msgph\">MotionBuilder</span>, you can set keyframes manually, or you can use motion capture data. You can also use poses, constraints and devices to create\n               animation. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E2A\"></a>For example you can use services, such as joysticks and mouse, let you animate objects.\n               		\n            </p> \n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-FF6EAB33-B6B7-4374-B307-5DCEBBC5F1BC.htm\">About keyframes</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-084BDBCC-93EC-4769-916E-3627306F4167.htm\">Types of keyframes</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-46368409-C878-4C2A-804E-739FBC1CD5F6.htm\">Working with keyframes</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-FE28A4BA-ABB1-47C6-BEEB-381ECFD48457.htm\">Animating an object</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-6FC595C9-C1BC-4CFD-A901-B0F037CC3097.htm\">Animating with poses</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-3189CD1F-A201-44F6-B90C-960DA1FA6227.htm\">Animating with constraints</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-646873F5-547B-4F65-86DD-6E5C797C6ABC.htm\">Changing properties</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C3A7B857-9463-437C-9014-256702AA7AE4.htm\">Lock or mute properties and channels</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-4926208A-DC21-4996-9529-5706F09CA3D5.htm\">Selecting time</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-6F242CE7-8C31-4303-A59E-E4B6695A499B.htm\">Selecting takes</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-0EF3353E-DCD1-445F-A6E2-225E6295A8D8.htm\">Stop or loop animation playback using time marks</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-238B0ADE-4482-46EA-B999-86E546E7BC02.htm\">Showing and hiding objects in the Viewer window</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-17B56877-21CC-4518-A401-A9A2F7EB93FE.htm\">Work with editable motion trails</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";