var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-7EB707DB-3CFF-4419-A211-23294CE88FF5\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Animating on Layers</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-7EB707DB-3CFF-4419-A211-23294CE88FF5\"></a><div class=\"head\">\n            <h1>Animating on Layers</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-74A4\"></a>Create and blend multiple layers of animation in a scene. You can create layers to organize keyframe animation, or to keyframe\n            on top of animation without overwriting the original curves. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-74A3\"></a>Animation layers hold animation in your scene, with each layer containing the keyframes you set. The animation layers appear\n            stacked in the Animation Layer editor, and depending on various settings, blend to create the result animation that plays\n            in your scene. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-74A2\"></a>For example, you might load an animation sequence with a character running and jumping, then create an animation layer on\n            top to experiment with modifications to the jumping action. You can watch the original animation to identify a point where\n            you want to exaggerate the character’s movements on the Y-axis, then set keys on the new layer to see how changing the translation\n            along the Y-axis affect the jump. If you like the modified jump motion, you can choose to merge the animation layers. If you\n            decide to leave your original animation unchanged, you can discard the layer. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-74A1\"></a> <span class=\"charspan-msgph\">MotionBuilder</span> animation layers let you: \n            	 \n         </p><a name=\"WS73099CC142F48755527CC80126D167FFA2-74A0\"></a><ul>\n            <li>Modify animation without overwriting original keyframes \n               		\n            </li>\n            <li>Set whether layers override those that are lower in the stack \n               		\n            </li>\n            <li>Make incremental changes, and compare and preview the results on different layers \n               		\n            </li>\n            <li>Use \n               		  <span class=\"char_link\"><a href=\"GUID-A274F6E8-270F-45F0-9AB6-A6D13B5A6941.htm\">animation layers as objects in relations constraints</a></span> \n            </li>\n         </ul>\n         <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-749C\"></a>The Animation Layer editor lets you do the following: \n            	 \n         </p><a name=\"WS73099CC142F48755527CC80126D167FFA2-749B\"></a><ul>\n            <li>Change the order of layers \n               		\n            </li>\n            <li>Parent layers to one another \n               		\n            </li>\n            <li>Mute, solo, and weight the effect of each layer \n               		\n            </li>\n            <li>Compare animation using a combination of layer parenting, Override layers, and muting features \n               		\n            </li>\n            <li>Merge layers \n               		\n            </li>\n         </ul>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-D8AB0D52-CF52-4CC2-AC49-6A29FDE22DC7.htm\">Merging \n                           		</a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-AF280E14-9FEE-4303-8B56-101549763F05.htm\">Animation Layer editor \n                           		</a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-EF33D40F-DADC-4551-B28F-75BFC351E017.htm\">About layered animation</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-5B895EC9-0925-4AD0-A5D9-BBF85BA296A7.htm\">Creating animation layers</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8ADCC079-7CCF-4CBD-ABC8-D0CAAD7AADB0.htm\">Setting keyframes on layers</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-4E457C7F-C79B-4D47-AC5C-238D2466CE4E.htm\">Organizing animation layers</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-B2B9768E-10F1-494B-BFF0-2FCC23560E0F.htm\">Viewing layered animation </a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-9C0100BC-BC10-4CEE-8AF0-FF6B701D91F0.htm\">Manipulating animation layers</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-77281F2A-B600-464E-BD46-B76026848ACD.htm\">Layer animation workflows</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";