var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-7F65F88F-2EC1-4978-8EE2-E945FB65A340\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Exporting 3ds Max characters to MotionBuilder</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-7F65F88F-2EC1-4978-8EE2-E945FB65A340\"></a><div class=\"head\">\n            <h1>Exporting 3ds Max characters to MotionBuilder</h1>\n         </div>\n         <p><a name=\"GUID-AC102138-616F-464F-8DFD-FBCD3D031D54\"></a> This legacy workflow is for exporting a 3ds Max characters created in versions of 3ds Max 2011 and earlier. If you do not\n            have the 2012 versions of <span class=\"charspan-msgph\">MotionBuilder</span> and 3ds Max, you do not have access to the <span class=\"char_link\"><a href=\"GUID-D31AE5A1-2DEC-40B6-9645-522E8041A8C5.htm\">Send to 3ds Max</a></span> option which is detailed in the tutorials. \n         </p>\n         <p><a name=\"GUID-5C463385-5A4F-47C8-9D7E-262F3DEF6C48\"></a> If you have access to the current version of 3ds Max, or have downloaded a trial version from the Autodesk web site at: <a href=\"http://www.autodesk.com/3dsmax\">www.autodesk.com/3dsmax</a>, use the <span class=\"char_link\"><a href=\"GUID-B989247F-8578-49FD-B14D-8F92780473AE.htm\">Sending \n                  	 3ds Max Scenes to \n                  	 MotionBuilder</a></span> tutorial included in this Help. \n         </p>\n         <p><a name=\"WS73099CC142F48755-1257E12111BF108800E-58FA\"></a>The following procedure shows you how to export a 3ds Max character to <span class=\"charspan-msgph\">MotionBuilder</span>. \n         </p><a name=\"WS1A9193826455F5FF4E421D7D11BF108001D-78E0\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF4E421D7D11BF108001D-78DF\"></a>To export the 3ds Max Pepe character:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Launch the 3ds Max software. </li>\n            <li>In the Application menu, choose Reset to clear the scene/settings. </li>\n            <li>Select Open and open the your character file. </li>\n            <li>From the Application menu, select Export &gt; Export. </li>\n            <li> In the Select File To Export dialog box, name your file, choose <em class=\"mild\">Autodesk (*FBX)</em> as the file type, and click Save. \n               <div><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-75BE\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If you do not specify a location, the file is automatically saved in the FBX file format to the 3ds Max Export folder. \n                  </div>\n               </div> \n               <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-75BD\"></a>The FBX Export dialog box opens. This is where you specify how to convert the 3ds Max character to an FBX file that <span class=\"charspan-msgph\">MotionBuilder</span> can recognize. \n               </p> \n            </li>\n            <li>In the FBX Export Include rollout, activate the Animation, Bake Animation, and Embed Media options, then click OK. \n               <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-75BA\"></a>Activating these options enables you to export a mesh with your character, and export textures and materials assigned to it.\n                  \n               </p> \n               <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-75B9\"></a>Once your character is in FBX file format, you can use it file in any program that supports the FBX file format. \n               </p> \n            </li>\n            <li> Launch the MotionBuilder software. </li>\n            <li> From the MotionBuilder main menu, select File &gt; Open. </li>\n            <li>From the Open File dialog box, choose the 3ds Max Character file you exported, click Open, then click Open in the Open Options\n               dialog box. \n               <p><a name=\"GUID-7522FF1A-DCCE-417D-A625-42E404D08BFB\"></a>Your 3ds Max character appears in the MotionBuilder Viewer window. \n               </p> \n            </li>\n            <li>Position your cursor anywhere in the Viewer window and press <span class=\"keyboardEntry\">A</span> to frame all of the character. \n            </li>\n         </ol><a name=\"WS73099CC142F48755-385A98B012180D20F19-398C\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755-385A98B012180D20F19-398B\"></a>To characterize your Character:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>In the Viewer window, press <span class=\"keyboardEntry\">Ctrl</span>-<span class=\"keyboardEntry\">A</span> until you are in X-Ray mode. \n               <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-75B3\"></a>X-Ray mode lets you see through the character skin to the skeleton underneath. \n               </p> \n            </li>\n            <li>In the Asset browser, expand Templates &gt; Characters and drag the 3ds Max Biped Template asset on top of the your Character\n               skeleton. <a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-57FC\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-8C68795E-2FE3-4608-B5D3-73D28439C546-low.png\"><p></p>\n                  <p class=\"figure-title\">3ds Max Biped Template asset applied to the Character skeleton</p>\n               </div> \n               <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-75B2\"></a>The 3ds Max Biped template is specially designed for bipeds created in 3ds Max as they have a different naming structure that\n                  the <span class=\"charspan-msgph\">MotionBuilder</span> Character does not recognize automatically. \n               </p> \n            </li>\n            <li>Click Characterize in the menu that appears. </li>\n            <li>The Character representation in the Character Controls window &gt; Definition tab in <span class=\"charspan-msgph\">MotionBuilder</span> lets you verify that are no problems with the Control rig you matched to the skeleton. \n               <p><a name=\"GUID-BC2BF97A-3A05-43EF-A790-135575948061\"></a> The Character representation shows green if the characterization is correct, yellow if potential problems are detected, and\n                  red if there is an element of the skeleton matching that is incorrect. \n               </p> \n            </li>\n            <li> From the Character Controls menu button, select File &gt; Create &gt; Control Rig. <a name=\"FIG_90F8E7728D79449DB26CD4A8F8D64BF6\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-61B9166D-6E1D-4D66-8804-9D5D96E5E54E-low.png\"></div> \n               <p><a name=\"WS73099CC142F48755-385A98B012180D20F19-397E\"></a>You must use the Control Rig Input setting if you intend use keyframe animation on your biped. \n               </p> \n            </li>\n            <li>In the Create Control Rig dialog box, click FK/IK. \n               <p><a name=\"WS73099CC142F48755-385A98B012180D20F19-397C\"></a>FK/IK is the method commonly used to animate characters. \n               </p> \n            </li>\n            <li> From the Character Controls window &gt; Source drop-down list, select Ctrl Rig In (A). \n               <p><a name=\"GUID-89F1BE61-8E8A-448E-B94B-EE5FB3A20234\"></a>Effectors appear on the biped as shown in the following figure (B). <a name=\"FIG_C535541FD93C4DF9A107659FE37F1D65\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C9887339-C80A-4651-B18B-61FDF1EBF580-low.png\"><p></p>\n                     <p class=\"figure-title\"><em class=\"mild\">A.</em> Ctrl Rig selected <em class=\"mild\">B.</em> Effectors appear on the character\n                     </p>\n                  </div> \n               </p> \n            </li>\n            <li> The Character representation is a human form, meant to represent the character’s skeleton. It displays all the effectors\n               you need to animate the biped\'s Control rig. The biped is now rigged and ready to receive animation. \n            </li>\n            <li>Select Full Body icon in the Character Controls tollbar. Full Body mode lets you control the entire rig, instead of individual\n               body parts. \n            </li>\n            <li> On the Character representation, select the Right Wrist effector. <a name=\"FIG_B9EC43F7CED74326BA5C1BBC128CD43B\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-0991E176-8D32-4FA6-A2CF-62B503E437EA-low.png\"><p></p>\n                  <p class=\"figure-title\">Character Controls <em class=\"mild\">A. </em>Right Wrist effector selected <em class=\"mild\">B. </em>Full Body icon\n                  </p>\n               </div> \n            </li>\n            <li>Click in the Viewer window and press <span class=\"keyboardEntry\">T</span>. \n               <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-75AF\"></a>The transformation handles display. \n               </p> \n            </li>\n            <li>Translate (or move) the hand down as shown in the following figure. <a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-75AD\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-693EF5EB-7430-4D3E-8AE0-375F2518B6E2-low.png\"></div> \n               <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-75AC\"></a>As you move the hand, the arm extends and the rest of the body follows in a natural movement. \n               </p> \n               <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-57F7\"></a>You can now animate your character with motion capture and key frame animation. \n               </p> \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";