var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-81EE03EF-066C-4442-B47A-25E4D43E0203\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Character mapping</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-81EE03EF-066C-4442-B47A-25E4D43E0203\"></a><div class=\"head\">\n            <h1>Character mapping</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2E33\"></a> When you bring a character model into <span class=\"charspan-msgph\">MotionBuilder</span>, you must define the structure of that character by completing the Mapping List. This process is referred to as Character\n            mapping. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2E31\"></a>Essentially, Character mapping tells <span class=\"charspan-msgph\">MotionBuilder</span> that on this character skeleton, these are the arms, these are the legs, this is the head, and so on. Once you have completed\n            the Mapping List, you can link your character model to a motion source to animate it. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2E30\"></a>There are two ways to map out a character model and prepare it for animation: automatic and manual. Both methods use a Character\n            asset to help you complete the Mapping List. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2E2F\"></a>Whether you can automatically map your character depends on the naming of its bones. If you have named the bones using the\n            naming conventions found in the Mapping List, you can automatically complete the mapping. If you have a character with bones\n            that are named differently, you must manually map out the bones. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2E2E\"></a>If you plan to use several characters with bones that do not follow the <span class=\"charspan-msgph\">MotionBuilder</span> naming conventions, you can create a naming template of your own bone names. See <span class=\"char_link\"><a href=\"GUID-FE9605FF-D294-4BBA-BC64-B22284310A05.htm\">Creating a bone-naming template</a></span>. \n         </p>\n         <div><a name=\"GUID-3C14A1AD-1A4C-47BB-9D8D-9F74DB8F7AD8\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can also use the <span class=\"char_link\"><a href=\"GUID-0CA89528-94E7-45EE-B604-EB6C1E7CD911.htm\">Definition tab</a></span> to map a character. See <span class=\"char_link\"><a href=\"GUID-25126449-FAA8-4F6C-B033-B93816140182.htm\">Define a skeleton for HIK</a></span> for more information. \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-6DAC2B6311688C3A852-7FFD\"></a> \n            <h2><a name=\"GUID-6C2EA3AA-D01A-4EAC-9064-5A877CBE3892\"></a>About the Mapping List\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2E2D\"></a>The Mapping List in the Character Definition pane includes required and optional slots that let you define the skeleton of\n               your model. The Character asset uses the objects defined in this list to link your character model to a motion source. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2E2C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-6C82A127-81F7-4695-9D4E-191744496956-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> Mapping List <em class=\"mild\">B.</em> Naming Template column\n                  </p>\n               </div> \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2E2A\"></a>The Mapping List contains all the data that <span class=\"charspan-msgph\">MotionBuilder</span> needs to understand the structure of your character and how it can move. It contains the list of bone names that <span class=\"charspan-msgph\">MotionBuilder</span> understands. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2E29\"></a>For any skeleton that you introduce, <span class=\"charspan-msgph\">MotionBuilder</span> requires that you map a minimum of fifteen objects to the Base group of slots. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2E28\"></a>After you have completed the character mapping, you can characterize your character model to ready it for animation. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2E27\"></a>See <span class=\"char_link\"><a href=\"GUID-6FD84BDA-2936-4142-B547-B2205EA0306E.htm\">Character \n                     	 Mapping List</a></span> for a detailed description of all the slots in the Mapping List. \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-6D67BEC3-6586-4FB1-917D-19FFC9C80B65.htm\">Character assets </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-CBF838CE-2F65-4A26-B390-88BB891CEDC5.htm\">Character settings </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-A9E1388D-40B1-4D3D-B2BD-A4715C126814.htm\">Characterizing a character model </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-6941B2C9-BEF3-446B-8C13-0DB4207C9FDE.htm\">Manually mapping and characterizing a character </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-0008F9D7-A2A4-4A30-A149-BA6C03F9910A.htm\">Automatically mapping and characterizing a character </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-01F4E635-93BD-44C9-8773-72FD413B54F0.htm\">Bone naming conventions </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";