var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-828C246C-13C9-44EA-BDC5-BF1C457FFE30\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Selective Lighting shader settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-828C246C-13C9-44EA-BDC5-BF1C457FFE30\"></a><div class=\"head\">\n            <h1>Selective Lighting shader settings</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F35\"></a> The Selective Lighting shader lets you specify which lights illuminate an object in your scene. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F33\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-88964E9F-CD3F-4C5C-8EC2-752D692B9FC8-low.png\"><p class=\"figure-title\">Selective Lighting shader settings</p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-61FE\"></a>Since there is a maximum of eight lights available in any given <span class=\"charspan-msgph\">MotionBuilder</span> scene due to OpenGL limitations, you can use Selective Lighting shaders to add lights to the scene. For example, you can\n            use Selective Lighting shaders to set up association between lights and objects to increase the number of lights in your scene\n            to eight per object. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-398B\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Do not append a Selective Lighting shader on the same object to which a Dynamic Lighting shader is applied. To work around\n               the OpenGL limitation, you can use the Dynamic Lighting shader’s Affecting Lights field instead. See <span class=\"char_link\"><a href=\"GUID-0A0DB2AC-7239-4B49-BAE6-D120B3468FFC.htm\">Dynamic Lighting shader settings</a></span>. \n            </div>\n         </div>\n         <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F32\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can also perform selective lighting effects using the Cast Light On option in the light settings. See <span class=\"char_link\"><a href=\"GUID-DDB09876-E8D9-45D7-99E4-5569F171CC71.htm#WSF00FE1F65A1E03F9281B91E911688C3C36D-7FE2\">Cast Light on Object</a></span>. \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F2F\"></a> \n            <h2><a name=\"GUID-6DE60871-5BF6-45BF-BA56-1515D93B041D\"></a>Lights Used field\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F2E\"></a>The Lights Used field lets you select the lights you want to use with the Selective Lighting shader. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F2D\"></a>Alt-drag any lights in your scene into the Selective Lights field. You can also click the Selective Lights button next to\n               the field to display the Asset list, where you can choose from the lights used in your scene. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F2C\"></a>After applying the Selective Lighting shader to a model, you can select which lights you want to apply to the model using\n               the Selective Lights list. The default option is All. \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F2B\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-88A19912-A681-42F9-87A6-32658ADAE875-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> All lights <em class=\"mild\">B. </em>Left (red) light only <em class=\"mild\">C.</em> Right (yellow) light only\n               </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F29\"></a> \n            <h2><a name=\"GUID-0790368E-8CF4-4A53-8B60-AB2366D1A441\"></a>Cast Light On/Off buttons\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F28\"></a>The Cast Light On and Cast Light Off buttons are the same as the Cast Light On Object button in the Lights settings. Click\n               one of these buttons to change the settings for all lights in the Lights Producing Shadows list without modifying each light\n               separately in the Lights settings. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";