var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-82C48971-0DBA-444D-9609-DFFF25648D17\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Shaders</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-82C48971-0DBA-444D-9609-DFFF25648D17\"></a><div class=\"head\">\n            <h1>Shaders</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-51B2\"></a> This section is about using shaders to create effects in <span class=\"charspan-msgph\">MotionBuilder</span>. Like materials and textures, shaders also control the surface appearance of 3D models, creating further depth and detail.\n            \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-51B1\"></a>Unlike a texture, which is simply an image file placed on a 3D model, a shader gives your objects descriptive properties like\n            shadowing or reflectivity real time. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-51B0\"></a>Shaders control the way the surface interacts with the lighting in the scene, creating color, specularity, reflection, transparency,\n            shadowing, and refraction effects. Depending on the settings, these effects can change in real time. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-51AF\"></a>This section covers <span class=\"charspan-msgph\">MotionBuilder</span> shaders, their settings, properties, and how you can use them to create environmental and surface effects for your scenes.\n            \n         </p>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-AFAA0055-96E8-4E8F-93B8-F8F5023607DC.htm\">Lights Shaders and Surfaces Reference </a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-0DBC05BB-C285-4DFD-92CB-8E889719C800.htm\">About shaders</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-913EF4E1-86C4-4D45-9CBC-95EA6BF6D217.htm\">Using shaders with advanced material settings</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-CB5C6F48-63D0-4B2E-92BF-95E03A366F40.htm\">Using shaders with textures</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D7EA9A8B-5812-4C16-9CB5-8237E56E004B.htm\">Creating surface effects using shaders</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-AB834D35-7C47-40BA-8144-3007BA0469F1.htm\">Defining settings for a shader</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-607A138F-06CF-4BB7-9ECC-81FEEBFA7206.htm\">Cartoon effects</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-816F3E6B-9C43-42B8-8628-ABD20CD4D8A2.htm\">Environmental effects</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D45F1033-7594-409B-83DC-D5CD67F87A15.htm\">Reflection effects</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-5256CBD2-7BE6-462D-9C0A-0079EBD868D1.htm\">Surface effects</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-1B71E34F-1B5B-40E2-8213-B672A355320F.htm\">Shadows and lighting effects</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8E7F7D5E-C87D-41A0-909A-5457170EC991.htm\">Dynamic Lighting &amp; Shadow shader settings</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";