var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-8651B13A-3706-4F4E-B8E6-C3F9444375CD\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Adding and removing lights</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-8651B13A-3706-4F4E-B8E6-C3F9444375CD\"></a><div class=\"head\">\n            <h1>Adding and removing lights</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5323\"></a> Lights are used to light your scene, and create special effects. They behave exactly like theatrical lights except that you\n            can put them anywhere, even inside objects. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5321\"></a>To add a light to a scene, drag a Light asset from the Asset browser Elements folder into the Viewer window. The new light\n            is added to the Lights folder. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5320\"></a>When you add a light, it is a Point light by default and the Global (ambient) light is extinguished. For example, the following\n            figure shows the scene illuminated using the default Global light (A) and an added Point light (B). \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-531F\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-EB1B01AD-D214-4FDA-9BD0-5B00E5BC1908-low.png\"><p class=\"figure-title\">Default and added lights <em class=\"mild\">A.</em> Global light <em class=\"mild\">B.</em> Added Point light\n            </p>\n         </div>\n         <div style=\"margin-top: 9pt;\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-531E\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>Rename a light by right-clicking it in the Lights folder and selecting Rename from the context menu. \n            </div>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-531B\"></a>To remove a light from your scene, right-click the light in the Scene browser’s Lights folder and select Delete from the context\n            menu. You can also select the light in the Viewer window and press the Delete key. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-531A\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can add an unlimited number of lights to a scene, however due to graphics card limitations, you can see only the effects\n               of the first eight lights. \n            </div>\n         </div><a name=\"WSF00FE1F65A1E03F9281B91E911688C3C36D-7FF9\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5318\"></a> To add a light without lighting objects:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the light in the Viewer window or Scene browser. </li>\n            <li>In the Light Settings, disable Cast Light On Object. \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5314\"></a>This lets you use the light as an effect in the scene without illuminating objects. \n               </p> \n            </li>\n         </ol>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5313\"></a>For example, the following figure shows a model with Cast Light On Object disabled and activated. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5312\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C2BC0D54-BB2A-4E40-8BE8-1E55EA8A466A-low.png\"><p class=\"figure-title\">Cast Light On Objects <em class=\"mild\">A.</em> Disabled <em class=\"mild\">B.</em> Activated\n            </p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5310\"></a>When the Cast Light On Object option is activated, objects are lit. When the setting is disabled, the light effect exists\n            but does not affect the object. Disabling Cast Light On Object also speeds up the display time. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-530F\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The Cast Light On Object option is activated by default. \n            </div>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-530D\"></a>This effect can also be provided by the Selective Lighting shader. For more information, see <span class=\"char_link\"><a href=\"GUID-828C246C-13C9-44EA-BDC5-BF1C457FFE30.htm\">Selective Lighting shader settings</a></span>. \n         </p>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";