var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-8726D127-9796-47A5-AAC2-4CB309AA375C\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Joint Objects</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-8726D127-9796-47A5-AAC2-4CB309AA375C\"></a><div class=\"head\">\n            <h1>Joint Objects</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF211A40BE11DCC57291C-27CD\"></a>Use the Joint Objects asset list to specify the objects used in the solve.  \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F487557109353211EEADCAF73-769A\"></a> \n            <h2><a name=\"GUID-75251ECB-203C-459A-BD26-56AA61C43F49\"></a>Connections\n            </h2> \n            <p><a name=\"WS73099CC142F487557109353211EEADCAF73-7699\"></a>The Connections menu lists which connected object is considered the parent in the Joint relationship. \n            </p> \n            <div><a name=\"WS73099CC142F487557109353211EEADCAF73-6837\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> You can have one parent object and many child objects. \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F487557109353211EEADCAF73-7698\"></a> \n            <h2><a name=\"GUID-113C0BC5-BFF7-4E46-A45E-5663D541A9A5\"></a>Parent connections\n            </h2> \n            <p><a name=\"WS73099CC142F487557109353211EEADCAF73-7697\"></a>Lists the relationships the objects used in the solve can have with one another. See <span class=\"char_link\"><a href=\"GUID-A8D5A803-8427-4454-871C-E2671191C1FA.htm\">Joint object parenting</a></span> for examples of the different parent connects and how they affect a Joint solve. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F487557109353211EEADCAF73-7696\"></a> \n            <h2><a name=\"GUID-03A5C804-D8D9-4A4F-A1FA-E9E831920AA7\"></a>Collision Propagation\n            </h2> \n            <p><a name=\"WS73099CC142F487557109353211EEADCAF73-7695\"></a>The Collision Propagation menu lets you select a relationship between the Joint objects. The Collision propagation menu determines\n               how the motion of one link in the joint connection transfers to the others. Select a direction that the range of joint movement\n               is spread from the Collision Propagation menu. \n            </p> <a name=\"WS73099CC142F487557109353211EEADCAF73-7694\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"22.593764121102573%\">\n                     <col width=\"77.40623587889742%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Collision Propagation </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Two way </td>\n                     <td class=\"table-body\">A collision with to either the parent or child object affects the other. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Parent-to-child </td>\n                     <td class=\"table-body\">A collision with the parent object affects the child object, but a collision with the child object does not affect the parent\n                        object. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Child-to-Parent </td>\n                     <td class=\"table-body\">A collision with the child object affects the parent object, but a collision with the parent object does not affect the child\n                        object. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">No Propagation </td>\n                     <td class=\"table-body\">A collision does not pass from the affected object to any of the joined objects. </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF47B7AA4B11FBE75ECF1-5938\"></a> \n            <h2><a name=\"GUID-D7755ED1-CEC9-40FA-84EC-3B372FB2E673\"></a>Use Global Strength\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF47B7AA4B11FBE75ECF1-5937\"></a>Activate the Use Global Strength option to sets the amount of resistance, or the amount of force required to keep the joint\n               objects connected. This is a local override for the <span class=\"char_link\"><a href=\"GUID-31F3FBCE-29B0-4F67-B4F3-145CE25A7567.htm#WS73099CC142F48755556E0C5911DCC55A1EF-2BCD\">Global strength</a></span> settings. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF47B7AA4B11FBE75ECF1-5936\"></a> \n            <h2><a name=\"GUID-0E9E2814-B335-4B33-8AA3-29A52403A9DA\"></a>Use Global Elasticity\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF47B7AA4B11FBE75ECF1-5935\"></a>Activate the Use Global Elasticity to set how much “give” the solve causes in the connected objects. The Use Global Elasticity\n               setting lets you specify how flexible or rigid you want the solve. This is a local override for the <span class=\"char_link\"><a href=\"GUID-31F3FBCE-29B0-4F67-B4F3-145CE25A7567.htm#WS73099CC142F48755556E0C5911DCC55A1EF-2BCB\">Global Elasticity</a></span> settings. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";