var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-877F937B-21C2-472F-AA43-0099DBF08B75\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Character Retargeting properties</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-877F937B-21C2-472F-AA43-0099DBF08B75\"></a><div class=\"head\">\n            <h1>Character Retargeting properties</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F57A\"></a> \n            		The Retargeting group of properties lets you define special settings for Actor or character sources. The options in the\n            Actor folder apply only to Actors. \n            	 \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F57C\"></a> \n            <h2><a name=\"GUID-9EDFFE63-A77D-4DE8-8A51-A54813545229\"></a>Match Source\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F57D\"></a>Lets you adapt the stride and the position in space of a model to the selected source. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F57E\"></a>For example, a large model occupies more space when walking than a smaller model. Activating Match Source adapts the motion\n               so that the strides and space between the two models are the same. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F580\"></a>When Match Source is active, you can only scale your model. To translate, rotate, or scale your model, define a Reference\n               object (see \n               		  <span class=\"char_link\"><a href=\"GUID-6FD84BDA-2936-4142-B547-B2205EA0306E.htm#WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FFB\">Reference</a></span>). \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F57F\"></a>When Match Source is disabled, you can translate and rotate your model anywhere in your scene, and retain its mapping to the\n               selected source. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F581\"></a> \n            <h2><a name=\"GUID-9D0D44C5-9F1B-47DC-9F27-847AD72193CD\"></a>Action Space Compensation Mode\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F582\"></a>Lets you choose how you want the Action Space Compensation property to work. By default, the Action Space Compensation Mode\n               is set to Auto. \n               		\n            </p> <a name=\"WS73099CC142F48755360AA6ED11A9C1EFFAA-607B\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"24.824620954967184%\">\n                     <col width=\"75.17537904503281%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Option \n                        				  \n                     </th>\n                     <th class=\"table-heading\">Function \n                        				  \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Off \n                        				  \n                     </td>\n                     <td class=\"table-body\">Turns off Action Space Compensation. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Auto \n                        				  \n                     </td>\n                     <td class=\"table-body\">Action Space Compensation automatically calculates and applies action space to the character and source. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">User \n                        				  \n                     </td>\n                     <td class=\"table-body\">Lets you change the value of Action Space Compensation. The higher the value, the longer the character strides are when it\n                        walks. The smaller the value, the smaller the strides. \n                        				  \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F589\"></a> \n            <h2><a name=\"GUID-DF101DD2-C287-4934-8E74-9B08C96AB575\"></a>Action Space Compensation \n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F58A\"></a>Calculates and compensates for the action space between a character and its source. It moves the character’s feet and legs\n               with the feet movement of the source, but makes adjustments to the feet and leg movements based on scale differences. When\n               Match Source is active, Action Space Compensation is set to 100%. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F58B\"></a>Match Source must be active for Reach Hands, Reach Feet, and Reach Chest to reach for the source. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F58C\"></a> \n            <h2><a name=\"GUID-EEB28FAF-E175-4A2D-B060-1FFAEE331204\"></a>Mirror Animation\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F58D\"></a>Activate Mirror Animation to mirror then position of a character along the X-axis. For example, you can activate this option\n               to transfer the source data on the left arm to the right arm, and vice versa. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F58E\"></a>If your source is a Control rig, activating Mirror Animation mirrors your motion as your animation is plotted from your model\n               skeleton to the Control rig. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FE4\"></a> \n            <h2><a name=\"GUID-89859042-86E9-42EB-A0F7-EB9592DA378B\"></a>Reach \n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F58F\"></a>The Reach settings let you specify the percentage you want each specific bone on the skeleton of your character to reach toward\n               its motion source. Use the Reach settings when the source of your character is either an Actor or another character. \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F590\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-D7504F96-8154-42E6-BED4-DA88B3AB4501-low.png\"><p class=\"figure-title\">Character Settings pane \n                     			 <em class=\"mild\">A.</em> Retargeting &gt; Reach settings \n                  </p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F592\"></a>Almost all Reach T and Reach R settings are also accessible from the Character Controls window. Reach is different when your\n               character’s source is set to Control Rig In. See \n               		  <span class=\"char_link\"><a href=\"GUID-B784A3D0-A2A6-49D3-837F-B78BEC4BE8EB.htm\">Blend and Pull controls</a></span> for more information. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F593\"></a>To control the amount of reach, drag the setting’s slider, or type a value in the numerical field. Use the following guidelines\n               when manipulating reach with the sliders: \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F594\"></a><ul>\n               <li>At 100%, the body part of a character reaches fully toward the body part of the source. \n                  		  \n               </li>\n               <li>At 50%, the body part of a character averages between the body part of the source and the position of a character. \n                  		  \n               </li>\n               <li>At 0%, the effect on the specified body part of the model is the same as disabling the option. \n                  		  \n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F598\"></a> \n            <h2><a name=\"GUID-640ACA76-A8EE-43E1-9231-36A988750787\"></a>Offsets\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F599\"></a>Lets you offset the body parts of your character. \n               		  <a name=\"WS73099CC142F4875535A241551166AC8792F59A\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-8560CA59-63D8-46B7-BBE8-F3C44D21C024-low.png\"><p class=\"figure-title\">Retargeting &gt; Offsets settings</p>\n               </div> \n            </p> <a name=\"WS73099CC142F48755360AA6ED11A9C1EFFAA-607A\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"28.196424530436747%\">\n                     <col width=\"71.80357546956324%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Setting \n                        				  \n                     </th>\n                     <th class=\"table-heading\">Function \n                        				  \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Chest/Hips Offset T \n                        				  \n                     </td>\n                     <td class=\"table-body\">Lets you precisely apply and adjust offsets to the chest and hips. For the offset to affect the chest, the Reach Chest option\n                        must be set to any value other than 0. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Hips Level Mode \n                        				  \n                     </td>\n                     <td class=\"table-body\">When set to Off, Hips Level is disabled. When set to User, you can manually adjust the level of the hips by changing the value\n                        of the Hips Level. When set to Auto, Hips Level is automatic. By default, the Hips Level Mode is set to Auto. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Hips Level \n                        				  \n                     </td>\n                     <td class=\"table-body\">Lets you control the level of the hips relative to its center of gravity. You can select User, Off, and Auto options from\n                        the Hips Level Mode menu. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Feet Spacing Mode \n                        				  \n                     </td>\n                     <td class=\"table-body\">When set to Off, Feet Spacing is disabled. When set to User, you can manually adjust the spacing of the feet. When set to\n                        Auto, the Feet Spacing is automatic. By default, the Feet Spacing Mode is set to Auto. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Feet Spacing \n                        				  \n                     </td>\n                     <td class=\"table-body\">Lets you adjust the amount of spacing between the feet of the model relative to the spacing between the feet of the source.\n                        \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Ankle Height Compensation Mode \n                        				  \n                     </td>\n                     <td class=\"table-body\">When set to Off, Ankle Height Compensation is disabled. When set to User, you can adjust the distance between the feet of\n                        the model and the floor manually. By default, Auto mode ensures the feet relate correctly to the floor. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Ankle Height Compensation \n                        				  \n                     </td>\n                     <td class=\"table-body\">If the scale of your model and the selected source differ, use Ankle Height Compensation to adjust the distance between the\n                        model’s foot and the floor. You may also have to adjust this option if the feet of your model are large, or if your model\n                        has special height requirements (for example, shoes with high heels or boots). \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Mass Center Compensation \n                        				  \n                     </td>\n                     <td class=\"table-body\">Smooths leg movements by preventing the hips of a character from pulling down too quickly when the legs are moving, and by\n                        preventing heavy footfalls. \n                        				  \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F5AD\"></a> \n            <h2><a name=\"GUID-AAA9A2C2-9DF7-4A7B-A59C-3FBA53EE7941\"></a>Actor \n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5AE\"></a>The settings in the Actor group apply to an Actor input source. See \n               		  <span class=\"char_link\"><a href=\"GUID-8421D4B9-E5BE-41B7-B4C8-F563DB74DD6B.htm\">Retargeting Actor properties</a></span>. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_B83A4C6D3E0C4AB5B2E540C1E8760303\"></a> \n            <h2><a name=\"GUID-6CE661A5-A2B9-4079-B8EC-64E178B969A8\"></a>Related topics\n            </h2> <a name=\"UL_B9F447040C9940A2A2DDE6BFCB20409C\"></a><ul>\n               <li><span class=\"char_link\"><a href=\"GUID-1DF2078C-D578-48E5-A245-6ED20A23CBA8.htm\">Retargeting animation character-to-character</a></span> \n               </li>\n               <li><span class=\"char_link\"><a href=\"GUID-E288F0DA-EE4A-467D-8B9D-A6CA07A55884.htm\">Motion Reduction properties</a></span> \n               </li>\n            </ul> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";