var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-8E7F44C0-AE29-4DB6-B150-7D6084165DFE\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Creating and defining a Marker set with magnetic data</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-8E7F44C0-AE29-4DB6-B150-7D6084165DFE\"></a><div class=\"head\">\n            <h1>Creating and defining a Marker set with magnetic data</h1>\n         </div><a name=\"WS73099CC142F4875535A241551166AC8792F-56\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F4875535A241551166AC8792F-55\"></a> To create and define a Marker set with magnetic data:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Load a file containing set of magnetic motion data. \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-52\"></a>In the Viewer window, yellow markers containing magnetic motion data display as they were captured on the performer. \n               </p> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-51\"></a>Ideally, the markers should be in a T-stance facing the positive Z-axis. When capturing motion data, you should always start\n                  or end your take with the performer in a T-stance facing the positive Z-axis. \n               </p> \n            </li>\n            <li>Add an Actor asset to the scene. \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4F\"></a>The name Actor appears in the Navigator window &gt; Actors folder, the Actor Settings display in the right pane, and a gray model\n                  displays in the scene. \n               </p> \n            </li>\n            <li>In the Viewer window, select the hips of the Actor, and translate until the Actor appears inside the cloud of magnetic markers.\n               \n            </li>\n            <li>Translate, rotate, and scale the body parts of the Actor to better align with the markers. Use the various camera perspectives\n               and the Normal and X-Ray display modes as you adjust the Actor. \n               <div><a name=\"WS73099CC142F4875535A241551166AC8792F-4C\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>Try to position the Actor’s body so that the markers are placed exactly as they were on the performer’s body. \n                  </div>\n               </div> \n            </li>\n            <li>In the Actor settings, click the MarkerSet button and select Create in the Marker Set menu. \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-49\"></a>By default, the first Marker set you create is named Marker Set 1 in the Marker Set field. Additional Marker sets are numbered\n                  in sequential order. \n               </p> \n            </li>\n            <li>In the Navigator window, click the Lock button to keep the Actor settings. </li>\n            <li> <span class=\"keyboardEntry\">Alt</span>-drag each magnetic marker into the Actor representation in the Actor Settings, dropping them into the cell that represents\n               the associated body part. Each cell can have a maximum of five markers. \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-46\"></a>As you drag markers into the Actor representation, white markers representing the Marker set appear around the yellow magnetic\n                  sensors in the Viewer window. The cells in the Actor representation display the number of markers affecting each body part,\n                  and the names of the sensors appear in the Object(s) List. \n               </p> \n               <div><a name=\"WS73099CC142F4875535A241551166AC8792F-45\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Make sure to deselect each marker after you are finished dragging it, otherwise it is dragged into each successive cell. \n                  </div>\n               </div> \n            </li>\n            <li>In the Marker table, click the Oriented header, then click Ok in the dialog box that appears to activate all the Oriented\n               options in the Marker table. \n            </li>\n            <li>In the Actor settings, click Snap to calculate translation and rotation offsets, and to activate the mapping in the Actor\n               settings. \n            </li>\n            <li>Click TR in the dialog box that appears to indicate that you want to recalculate the Marker set offsets for translation and\n               rotation (TR). \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-40\"></a>The Actor is active, and the position of the sensors match the body parts of the Actor. The Marker set links the sensors and\n                  the Actor, letting the Actor move using the magnetic motion data. \n               </p> \n               <div><a name=\"WS73099CC142F4875535A241551166AC8792F-3F\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The mapping process is easy, but correctly tuning the Actor requires experience and intuition, especially if you do not remember\n                     exactly where the magnetic sensors were positioned on your performer. It is recommended that you keep a photographic record\n                     of your captures, and load an image of your performer in the Viewer window background to see the position of the sensors.\n                     \n                  </div>\n               </div> \n            </li>\n         </ol>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-D93DE8FE-E2DE-4DF1-B750-E03A6D6F02AB.htm\">Actor assets </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-D9A728ED-1E4A-419A-8BF7-A426C36C0A91.htm\">Creating an Actor </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";