var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-8E7F7D5E-C87D-41A0-909A-5457170EC991\">\n      <meta name=\"indexterm\" content=\"shaders: Dynamic Lighting &amp; Shadow shader\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Dynamic Lighting &amp; Shadow shader settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-8E7F7D5E-C87D-41A0-909A-5457170EC991\"></a><div class=\"head\">\n            <h1>Dynamic Lighting &amp; Shadow shader settings</h1>\n         </div>\n         <p><a name=\"GUID-68A178B8-2E65-4DC2-BBC8-8B1B3398C4A9\"></a> The Dynamic Lighting &amp; Shadows shader provides controls for various properties of the lighting and shadowing process. \n         </p><a name=\"OL_5A8880C192A34C62BFEEC373E82BF1D1\"></a><p class=\"list-intro\"><a name=\"GUID-EC38AFAC-305E-4BAC-A8E6-1D7FABCFA79C\"></a>To use the Dynamic Lighting &amp; Shadows shader in the scene objects:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>In the Asset Browser, navigate to the Templates &gt; Shading Elements &gt; Shaders folder. </li>\n            <li>Drag the Dynamic Lighting &amp; Shadow shader and drop it onto the object you want to receive shadows. </li>\n            <li>From the contextual menu, select Replace All by Type. </li>\n            <li>In the Navigator, select the newly created Dynamic Lighting &amp; Shadow shader under your object. \n               <p><a name=\"GUID-2682F080-217C-4D1C-8EF3-D448287E2B1E\"></a>You can also copy the same shader to any other objects you want to receive shadows. <a name=\"FIG_19B912413F494382BB39E9F9F9DC4FD8\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-174E88A8-03CD-4F29-AA9D-9A8C98542D96-low.png\"></div> \n               </p> \n               <p><a name=\"GUID-3082515A-A5E2-4D23-81CB-7F94B07ED767\"></a>In the following figure, you can visualize the first eight lights in the scene are automatically used by the shader to render\n                  shadow maps and project shadows onto the shaded objects. <a name=\"FIG_4E4E1A381E0E4E5689FCF3387BA845A1\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-9F00C9E1-1AD1-4CD7-BAE1-67B240260489-low.png\"></div> \n               </p> \n            </li>\n         </ol>\n         <div class=\"section\"><a name=\"SECTION_D458DEDDF69F485194938AC5CB4F4C92\"></a> \n            <h2><a name=\"GUID-22565D48-3E75-4046-AB41-67001E4B0626\"></a>Transparency Type menu\n            </h2> <a name=\"UL_C21E8E4602A74C1D92C4D144FBF62885\"></a><p><a name=\"GUID-43478119-4D39-4184-86BF-CB7653A9CB35\"></a>Provides the following properties to control the method for rendering transparency in the Dynamic Lighting &amp; Shadow shader.\n               \n            </p>\n            <ul>\n               <li>No Transparency </li>\n               <li>Accurate Transparency </li>\n               <li>Translucent </li>\n               <li>Matte </li>\n               <li>2D Transparency </li>\n               <li>Additive Transparency </li>\n               <li>Translucent (Models Z Sort) </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_F903A543479849C894A0E1C2894A285E\"></a> \n            <h2><a name=\"GUID-CB53BFBF-EB1F-4B7E-B78C-08A6783A5191\"></a>Transparency Factor\n            </h2> \n            <p><a name=\"GUID-B7B27507-0BA8-4C81-977F-20916F9BDEAE\"></a>Controls the opacity of the shaded objects. A value of 1.0 is fully opaque, while a value of 0.0 is fully transparent. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_2E1E94D4A09E436BBFE1219FDF55456D\"></a> \n            <h2><a name=\"GUID-8AE06183-32B5-4984-9EB9-E07FFD57EB0E\"></a>Affecting Lights\n            </h2> \n            <p><a name=\"GUID-92860F87-3208-451B-9FBA-BE2DFE2BDDDD\"></a>Defines the set of lights used to light the objects in addition to those which will cast shadows. If no objects are set, then\n               the shader automatically uses the first 8 lights in the scene. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_D1D8A01E6BD54162AAB0F2FFCFE7FACC\"></a> \n            <h2><a name=\"GUID-AB24C77F-5F7F-4216-B37E-5525870DAD17\"></a>Shadow Map Size\n            </h2> \n            <p><a name=\"GUID-C0EA43D8-CAC5-40D2-A73B-A1016E12FFCD\"></a>Defines the resolution of the depth map shadows used to store the depth information to compute the shadows. A higher resolution\n               shadow map improves the sharpness of the shadows at the cost of performance. \n            </p> \n            <p><a name=\"GUID-B6B2D0F7-955C-4B53-8D88-D6A3492C411E\"></a>A minimum shadow map size of 128 pixels is enforced. The maximum size is limited only by the graphics capabilities of the\n               system. \n            </p> \n            <div><a name=\"GUID-E81A8D0F-E048-4BCF-88B1-CAAF8CA9A5C1\"></a><div class=\"note-important\"><span class=\"label label-target-language\">IMPORTANT:</span>Do not use a shadow map size beyond 8192 pixels. \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_F5455056FE2A428AB8073F4ED1FD0167\"></a> \n            <h2><a name=\"GUID-D5FC0969-B8DB-4F43-9462-AC16B33AE8CF\"></a>Shadow Blur\n            </h2> \n            <p><a name=\"GUID-83D859E4-81EA-4CF3-B512-5063DB7DFE11\"></a>To reduce shadow aliasing, a Percentage Closer Filtering (PCF) algorithm is used to soften the shadow result. This is in effect\n               a blurring algorithm. By default, the shader takes 9 samples per shadow map read. Reducing this value greatly improves performance.\n               \n            </p> \n            <p><a name=\"GUID-60375735-0565-4942-9643-86EA0F839B77\"></a>The valid range of Shadow Blur is [1, 9]. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_986D878F240844588D0C885EFA6AC4A2\"></a> \n            <h2><a name=\"GUID-93F68B29-5762-4C5F-B553-E02513E68ED2\"></a>Shadow Casters\n            </h2> \n            <p><a name=\"GUID-1F710BDF-B04E-493F-A7EA-6A6820EF68AC\"></a>To control the set of objects that cast shadows, an object list property is exposed on the shader. If you do not specify objects,\n               then the shader assumes all objects in the scene are casters. To achieve the effect of no shadow casters, select only a model\n               that does not have associated geometry data such as a light. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_A35457DFBDAF468BAA95DC92B40D6A80\"></a> \n            <h2><a name=\"GUID-96FE1E65-2083-4F07-93D4-879A663603E1\"></a>Offset Scale\n            </h2> \n            <p><a name=\"GUID-B5BBB3E8-E1FF-45D1-94B8-4B7A6B7CDA46\"></a>To amplify the effect of Offset bias. This value is a multiplier for Offset Bias. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_24BA8F5954214E22B219235DC7BDA150\"></a> \n            <h2><a name=\"GUID-2742C50C-DFA5-475C-A33F-A5EDBEC65076\"></a>Offset Bias\n            </h2> \n            <p><a name=\"GUID-5D749F16-D65C-44B3-8B44-D96B0D44D68A\"></a> To move the shadow toward or away from the shadow-casting object(s). If this value is too low, then shadows can \"leak\" through\n               places where it should not occur, producing moire patterns or making out-of-place dark areas on meshes. If this value is too\n               high, then shadows can \"detach\" from an object. If this value is too extreme in either direction, then shadows might not be\n               rendered at all. \n            </p> \n            <p><a name=\"GUID-A8377A1D-6052-4D62-AAC4-E9490A0DD253\"></a>The Offset Bias value is in MotionBuilder units. You can adjust the Bias value depending on the size of the scene, and can\n               range from values close to zero to values in the hundreds. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";