var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-8EE5031A-D14C-4204-A973-C80D49862655\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>DOF Rotation Properties</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-8EE5031A-D14C-4204-A973-C80D49862655\"></a><div class=\"head\">\n            <h1>DOF Rotation Properties</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-198C\"></a> \n            		The DOF Rotation properties let you limit an object’s rotational movement. \n            	 \n         </p>\n         <div><a name=\"WS73099CC142F487553098682E12AC2FC2BC7-7A61\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> The MotionBuilder 5.5 Limits property has been removed from the User Interface. For compatibility, update your control rig.\n               How to update a Control rig. \n               	 \n            </div>\n         </div><a name=\"WS73099CC142F487553098682E12AC2FC2BC7-7A60\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-2EB6168B-FA93-417C-9551-D8F6A19AEE65-low.png\"><p class=\"figure-title\">Degrees of Freedom Rotation properties</p>\n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1988\"></a> \n            <h2><a name=\"GUID-11D09C2D-D078-4266-BD63-A45E97C8E91C\"></a>Enable Rotation DOF\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1987\"></a>This option lets you activate or disable the DOF rotation properties. When DOF rotation properties are disabled, the Min R\n               and Max R values are ignored and the object can rotate in any direction. When DOF Rotation properties are active, a wireframe\n               sphere displays on the selected object. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1986\"></a> \n            <h2><a name=\"GUID-61E58250-4091-4D4A-B6DE-44F3E9F386F5\"></a>Rotation Order\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1985\"></a>This menu lets you select the order of calculation for Euler rotations, which can help to prevent gimbal locks. The default\n               Rotation Order is X, Y, Z. These options are useful if you want to change the main axis of a bone after the bone structure\n               has already been created. You can also avoid problems such as gimbal locks by making the middle axis something other than\n               Y \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1984\"></a>When you select a Rotation Order for a bone, the first axis listed is used as the roll axis for that bone. For example, if\n               you select Euler XYZ, the X-axis is used for the roll axis on that bone. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1983\"></a>The Rotation Order you select, and thus the roll axis that is used should be an axis that aligns with the bone, as it allows\n               the bone to rotate, or twist on that axis. \n               		\n            </p> \n            <div><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571297A\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>It is highly recommended that you select a Rotation Order and thus a roll axis that points down the bone. \n                  		\n               </div>\n            </div> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1981\"></a>You can view the roll axis defined for each bone by turning on the Show DOF Icon property. The DOF rotational sphere also\n               shows you the roll axis. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1980\"></a>The following table illustrates the rotation order options you can choose from. \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-197F\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"22.670596236681025%\">\n                     <col width=\"77.32940376331898%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Rotation Order \n                        				  \n                     </th>\n                     <th class=\"table-heading\">Behavior \n                        				  \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Euler XYZ \n                        				  \n                     </td>\n                     <td class=\"table-body\">Rotation on the Z-axis is calculated first, Y second, and X last. This is the default Rotation Order. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Euler XZY \n                        				  \n                     </td>\n                     <td class=\"table-body\">Rotation on the Y-axis is calculated first, Z second, and X third. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Euler YZX \n                        				  \n                     </td>\n                     <td class=\"table-body\">Rotation on the X-axis is calculated first, Z second, and Y third. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Euler YXZ \n                        				  \n                     </td>\n                     <td class=\"table-body\">Rotation on the Z-axis is calculated first, X second, and Y third. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Euler ZXY \n                        				  \n                     </td>\n                     <td class=\"table-body\">Rotation on the Y-axis is calculated first, X second, and Z third. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Euler ZYX \n                        				  \n                     </td>\n                     <td class=\"table-body\">Rotation on the X-axis is calculated first, Y second, and Z third. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Spheric XYZ \n                        				  \n                     </td>\n                     <td class=\"table-body\">You can use this option for joints that have a wide area of rotation such as the shoulders.Only use this rotation order if\n                        you need to keep Spheric rotation limits created in earlier versions of \n                        					 <span class=\"charspan-msgph\">MotionBuilder</span>. This option is not recommended. \n                        				  \n                     </td>\n                  </tr>\n               </table>\n            </div> \n            <div><a name=\"WS73099CC142F4875535A241551166AC8792F-197E\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Spheric XYZ calculations are not supported by any other 3D package, and cannot be exported. Using this option is not recommended\n                  if you are exporting your scene to other software packages. \n                  		\n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-197C\"></a> \n            <h2><a name=\"GUID-C82E1122-3EF0-428B-8E23-2EBB33A2A7D9\"></a>Pre Rotation\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-197B\"></a>These values let you offset the rotation sphere orientation before the limits on rotation are calculated. As you adjust the\n               values in these fields, the rotation sphere in the Viewer window gives you visual feedback. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-197A\"></a> \n            <h2><a name=\"GUID-9600BDF0-28CA-43CC-B393-BDB65C79D979\"></a>Post Rotation\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1979\"></a>This option lets you offset the rotation pivot orientation after the limits on rotation are calculated. As you adjust the\n               Post Rotation values, the rotation sphere in the Viewer window gives you visual feedback. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1978\"></a> \n            <h2><a name=\"GUID-54C0D598-366C-48C6-A50D-34C7DD282459\"></a>Show DOF Icon\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1977\"></a>Shows or hides the DOF rotational sphere. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1976\"></a>The DOF rotation sphere displays on the selected object in the Viewer window, giving you visual feedback on the limits on\n               rotation you have set, and identifying which is the roll axis for the selected bone. \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1975\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A29FDBD8-C130-425F-967A-ED7DE77626A6-low.png\"><p class=\"figure-title\">DOF Rotation sphere displays on the LeftForeArm bone</p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1973\"></a> \n            <h2><a name=\"GUID-04AC2A5E-9F63-4669-B265-5DBFCAF0637F\"></a>DOF Icon Size\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1972\"></a>Defines the size of the DOF rotational sphere that appears in the Viewer window to visually represent the rotational DOF properties.\n               The default size is 10. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-196F\"></a> \n            <h2><a name=\"GUID-FCA10218-1C14-4CD3-A362-6C1322D4617E\"></a>Min R\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-196E\"></a>Contains a set of check boxes and fields that let you enable, disable, and define the minimum rotation values allowed per\n               axis for the selected object. The following table describes the options found in the Min R group of properties. \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-196D\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"32.06607829825753%\">\n                     <col width=\"67.93392170174248%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Option \n                        				  \n                     </th>\n                     <th class=\"table-heading\">Description \n                        				  \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Enable Min X, Y, Z \n                        				  \n                     </td>\n                     <td class=\"table-body\">Activate and disable the limits on rotation specified for each axis in the Min Freedom fields. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Min Freedom \n                        				  \n                     </td>\n                     <td class=\"table-body\">Specifies the minimum value the selected object can rotate to on each individual axis. If an object attempts to rotate past\n                        these values, its rotation clamps to the minimum value. \n                        				  \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-196C\"></a> \n            <h2><a name=\"GUID-2D02BB1F-2520-47B8-B6E1-B35A9C1DA831\"></a>Max R\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-196B\"></a>Contains options that let you activate, disable, and define the maximum rotation values allowed per axis for the selected\n               object. The following table illustrates the options found in the Max R group of properties. \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-196A\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"32.17529518619437%\">\n                     <col width=\"67.82470481380564%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Option \n                        				  \n                     </th>\n                     <th class=\"table-heading\">Description \n                        				  \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Enable Max X, Y, Z \n                        				  \n                     </td>\n                     <td class=\"table-body\">Activate and disable the limits on rotation specified for each axis in the Max Freedom fields. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Max Freedom \n                        				  \n                     </td>\n                     <td class=\"table-body\">Specifies the maximum values the selected object can rotate to on each individual axis. If an object attempts to rotate past\n                        any of these limits, its rotation clamps to the maximum value. \n                        				  \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <p><a name=\"WS1A9193826455F5FF3913A1A412260CA5929-6F08\"></a>If you load MotionBuilder scenes that contain a character or characters that use the “Enable MB 5.5 Limits” property option,\n            you need to update a Control rig to remain compatible with \n            		<span class=\"charspan-msgph\">MotionBuilder</span> scene files created in MotionBuilder versions post version 7.5 Extension 2. \n            	 \n         </p><a name=\"WS1A9193826455F5FF3913A1A412260CA5929-6F07\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF3913A1A412260CA5929-6F06\"></a>To update a Control rig to remain compatible with older versions:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Load in a version of \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> prior version 2009 your file containing the character that uses the “Enable MB 5.5 Limits” property. \n               		\n            </li>\n            <li>Select all the skeleton\'s bones and open the Properties window. \n               		\n            </li>\n            <li>Select the All (Type) view in the View menu to display all available properties. \n               		\n            </li>\n            <li>Expand Degrees of Freedom &gt; Rotation &gt; Post Rotation and disable the “Enable MB5.5 Limits” option. \n               		  \n               <p><a name=\"WS1A9193826455F5FF3913A1A412260CA5929-6F01\"></a>Once you disable the “Enable MB5.5 Limits” option, you are ready to update the rig. \n                  		  \n               </p> \n            </li>\n            <li>If there is no animation, follow the instructions in steps, 6, 7, and 8. If there is animation, proceed to step 9. \n               		\n            </li>\n            <li>Put the character in a T-stance. \n               		\n            </li>\n            <li>In the Navigator scene browser, delete the character constraint. \n               		\n            </li>\n            <li>From the Asset Browser’s \n               		  <em class=\"mild\">Templates</em> folder, drag and drop a new Character constraint on your character\'s bones in the Viewer window and choose Characterize.\n               \n               		\n            </li>\n            <li>If there is animation, plot the animation onto the skeleton. \n               		\n            </li>\n            <li>In the Character Controls window, put the character in a t-stance. \n               		\n            </li>\n            <li>In the Navigator scene browser, delete the character constraint. \n               		\n            </li>\n            <li>From the Asset Browser’s \n               		  <em class=\"mild\">Templates</em> folder, drag and drop a new Character constraint on your character\'s bones in the Viewer window and choose Characterize.\n               \n               		\n            </li>\n            <li>Scrub the timeline to verify the animation is still present. \n               		\n            </li>\n            <li>Plot animation to a new rig. \n               		\n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";