var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-8F050497-8200-4FBC-A726-605628D4F666\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Rotating your texture</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-8F050497-8200-4FBC-A726-605628D4F666\"></a><div class=\"head\">\n            <h1>Rotating your texture</h1>\n         </div>\n         <p><a name=\"GUID-2F06CE79-5AF7-41DC-81AA-E6900AFA5A46\"></a>You can animate the texture’s translation and rotation values. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-650C\"></a> Use the following steps to rotate and adjust a texture on your model. \n         </p><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-650B\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-650A\"></a>To rotate a texture:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Apply a texture so that it displays on the model in the Viewer window. \n               <p><a name=\"GUID-1DB4148F-F98D-458F-B6A9-75189C802A6E\"></a>See <span class=\"char_link\"><a href=\"GUID-742B9277-4816-4139-A235-948E596AF61B.htm\">Choosing texture types</a></span> and <span class=\"char_link\"><a href=\"GUID-616DFD1D-5907-405F-98C9-9EA6ED3F18C6.htm\">Adding a texture to a material</a></span>. \n               </p> \n            </li>\n            <li>Select the best mapping method for your texture and model. \n               <p><a name=\"GUID-060B0E6A-6007-4C2A-829B-2AB9836ADD36\"></a>See <span class=\"char_link\"><a href=\"GUID-4D39EDB0-F634-424F-BDC1-191446F63CE8.htm\">Choosing a mapping method</a></span>. \n               </p> \n            </li>\n            <li>In the Scene browser, expand the Textures folder and double-click the texture you want to tile. \n               <p><a name=\"GUID-BB483EE7-9B04-4206-AE06-5DC7E7F6918C\"></a>The Texture settings appear in the Navigator and Properties windows. \n               </p> \n            </li>\n            <li>Before or while you tile the texture, it can be useful to adjust its position on the model. Use the Translation values in\n               U and V directions. \n               <p><a name=\"GUID-26B4AE65-4FA5-49C2-BFB6-6555CAC2358E\"></a>The Translation values basically set the UV starting position of your texture. Changing the Translation values only moves\n                  the texture but does not tile it. \n               </p> \n            </li>\n            <li>Use the Rotation values to adjust and animate the rotation of your texture on the object to which it is applied. \n               <p><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-6503\"></a>The fields you use depends on whether you are using a 2D texture or a 3D texture. For 2D textures change the value of the\n                  Z field only. This value is the degree of rotation, so a value of 180, for example, would be half a rotation. For 3D textures,\n                  use all three Rotation fields in the Texture settings to adjust the texture. \n               </p> \n               <p><a name=\"GUID-DED6F897-42F6-4FAB-990C-7E9BD57039E4\"></a>When you rotate a texture, it rotates around a pivot point. By default, a texture’s rotation pivot point is one of its corners.\n                  \n               </p> \n            </li>\n            <li> If you prefer to rotate the texture from a different point, such as its center, you can change the texture’s rotation pivot\n               using the Rotation Pivot Offset properties in the Properties window. \n               <p><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-64FF\"></a>The Rotation Pivot Offset U and V values range from 0 to 1.00. Change the value of the Rotation Pivot Offset.u property to\n                  move the pivot along the width of the texture. Change the value of the Rotation Pivot Offset.v property to move the pivot\n                  along the height of the texture. For example, entering a value of 0.50 for both U and V properties places the texture’s rotation\n                  pivot in the center. \n               </p> <a name=\"WS1A9193826455F5FF-30857B3612671CDEC1815DF\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-56E5AC6E-0447-45E8-8A68-6C97F43511E1-low.png\"><p></p>\n                  <p class=\"figure-title\">A texture’s U and V values range from 0 to 1.</p>\n               </div> \n               <p><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-64FE\"></a>To rotate a texture from its center, for example, enter a value of 0.50 for both U and V properties, placing the texture’s\n                  rotation pivot in the middle of the texture. \n               </p> \n               <div><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-64FD\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can use the UV Swap option to change the direction of the texture’s UV map coordinates. \n                  </div>\n               </div> \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";