var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-8F766647-D7DB-40B4-A44A-21B91EB47AEF\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>About Handles</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-8F766647-D7DB-40B4-A44A-21B91EB47AEF\"></a><div class=\"head\">\n            <h1>About Handles</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A6A\"></a> \n            		Handles are 3D controls that give you quick access to the manipulation of objects in a scene. There are two ways you can\n            use a Handle. The first use is to let you select objects, and the second is to let you access specific manipulation modes\n            for the objects. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A68\"></a>For example, you can use the handle to select a group of objects that do not have a hierarchy relationship, for example, a\n            character’s hand model and a teapot model. \n            	 \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A67\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-62552477-823E-4012-8396-21FC3E22B4A1-low.png\"><p class=\"figure-title\">Handle attached to the character’s wrist.</p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A65\"></a>This way, a Handle lets you select and manipulate a group of unrelated objects. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A64\"></a>The second use of a Handle is that once you add a Handle to an object, it lets you create Follow objects which let you create\n            a Parent/Child relationship that can be used as an instant transformation pivot. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A63\"></a>With both of these uses, Handles let you quickly establish links between objects, and then use the Follow object as a pivot.\n            See \n            		<span class=\"char_link\"><a href=\"GUID-DE2EE60D-536C-49EA-B63F-EE919B3B9C98.htm\">Connecting a Handle to an object</a></span>. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A62\"></a>In the image above, a Handle is attached to the model’s wrist effector and a teapot model. You can then use the Handle to\n            move both objects together. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A61\"></a>Handles are Viewer window-based, which means the handle is applied directly to the object you want to affect in the Viewer\n            window, and are created so you can easily select or disable them. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A60\"></a>The Handle protrudes from the object, and always faces the camera. You can change the size, color, and position of the Handle,\n            or attach an image to it to make it more easy to identify and select in scenes with many objects. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A5F\"></a>You can only see Handles when you are in X-Ray viewing mode in the Viewer window. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A5E\"></a> When you create a Handle you must assign objects to the Follow and Manipulate fields in the Handle settings. \n            	 \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1A5C\"></a> \n            <h2><a name=\"GUID-94D3978E-CF74-4F02-A2F6-44AFD1DE44B3\"></a>Follow objects\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A5B\"></a>Creating a Handle requires you to assign objects to the Follow field in the Handle settings. The Follow object is used as\n               a Reference point for the Handle as well as a pivot point for the Manipulate object. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A5A\"></a>When you select a Handle, the Follow object is considered to be the only selected object within the Handle. This means that\n               if you activate pinning when a Handle is selected, pinning is activated only for the Follow object. If you paste a pose with\n               Match options activated, the pose is matched to the Follow object. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9464419CD11688C3FB68-7FFE\"></a> \n            <h2><a name=\"GUID-204837D2-ADAF-4051-B3C4-4053A6F0D7B5\"></a>Manipulate objects\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A59\"></a> \n               		  There are four kinds of Manipulate object types: Manipulate TR, Manipulate Translation, Manipulate Rotation, and Manipulate\n               Scaling. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A57\"></a>These are used to specify which way each object is transformed. \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1A56\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"22.593764121102573%\">\n                     <col width=\"77.40623587889742%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Object type \n                        				  \n                     </th>\n                     <th class=\"table-heading\">Description \n                        				  \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Manipulate TR \n                        				  \n                     </td>\n                     <td class=\"table-body\">Uses the Handle to influence translation and rotation of the Manipulate objects. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Manipulate Translation \n                        				  \n                     </td>\n                     <td class=\"table-body\">Limits the Handle’s influence to the translation of the Manipulate objects only. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Manipulate Rotation \n                        				  \n                     </td>\n                     <td class=\"table-body\">Limits the Handle’s influence to the rotation of the Manipulate objects only. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Manipulate Scaling \n                        				  \n                     </td>\n                     <td class=\"table-body\">Limits the Handle’s influence to the scaling of the Manipulate objects only. \n                        				  \n                     </td>\n                  </tr>\n               </table>\n            </div> \n            <div><a name=\"WS73099CC142F4875535A241551166AC8792F-1A55\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If you set an IK key with a Handle selected, a keyframe is set on all objects selected by the Handle. All Reach properties\n                  are keyed, but only the Reach of the Follow object is keyed at 100%. Reach values for all other objects are keyed at 0%. \n                  		\n               </div>\n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";