var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-92B15884-BCD7-4791-A8BF-BC8B8298FB50\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Work with 3 Points constraints</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-92B15884-BCD7-4791-A8BF-BC8B8298FB50\"></a><div class=\"head\">\n            <h1>Work with 3 Points constraints</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3769\"></a> \n            		The 3 Points constraint is a rotations constraint where the position of three objects is used to constrain the rotation\n            of another object. \n            	 \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3767\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E09FC2BA-520D-4F30-A09E-32E8876C6A25-low.png\"><p class=\"figure-title\">3 Points constraint</p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3765\"></a>When you perform optical motion capture, only the translation of each sensor is captured. Optical sensors do not send rotation\n            information. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3764\"></a>However, the rotation of a limb, for example, can be derived based on the translation of three sensor positions. \n            	 \n         </p>\n         <p><a name=\"GUID-F13E8BD8-F3CF-442B-AC36-A7D19DF67C49\"></a>See \n            		<span class=\"char_link\"><a href=\"GUID-EFD4831F-FE3A-4459-BCF9-03A11DD6CEF0.htm\">Optical motion data</a></span>. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3763\"></a>When you first activate or snap the Rotation From 3 Points constraint, it aligns the constrained object’s X-axis with the\n            vector defined by the Origin and Target sources. The constraint then attempts to align the Y-axis of the constrained object\n            to point towards the Up source. \n            	 \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3762\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-1C675188-6329-4812-A3D8-9B3B8895F723-low.png\"><p class=\"figure-title\">3 Points constraint \n               		<em class=\"mild\">A.</em> Constrained object \n               		<em class=\"mild\">B.</em> Up source object \n               		<em class=\"mild\">C.</em> Origin source object \n               		<em class=\"mild\">D.</em> Target source object.\n            </p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3760\"></a>In the following graphic, the cube A is the constrained object. When you move any of the three cubes (the sources) after the\n            constraint is active, the X, Y, and Z rotation of the constrained object changes. \n            	 \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-375F\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-620CA17A-D70D-428B-AAE1-1CD78FD53076-low.png\"><p class=\"figure-title\">3 Points constraint activated: Translating \n               		<em class=\"mild\">B</em>, \n               		<em class=\"mild\">C</em>, and \n               		<em class=\"mild\">D</em> rotates the constrained object (<em class=\"mild\">A</em>) in various directions.\n            </p>\n         </div>\n         <div style=\"margin-top: 9pt;\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-375D\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If you rotate or scale the source objects, it does not alter the constrained object. \n               	 \n            </div>\n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-320E433C-5D04-429E-8548-DB4AD2CB5421.htm\">3 Points constraint settings \n                           		</a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-BAA503A1-FC81-47A9-B5F8-452CA504D99B.htm\">Constraining an object’s rotation with another object</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";