var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-96650DF2-53B4-4547-9F37-02EBB6785E51\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <meta name=\"audience\" content=\"user\">\n      <meta name=\"experiencelevel\" content=\"general\">\n      <meta name=\"topic-subtype\" content=\"installing\">\n      <meta name=\"audience\" content=\"administrator\">\n      <meta name=\"experiencelevel\" content=\"general\">\n      <meta name=\"topic-subtype\" content=\"installing\">\n      <title>Install MotionBuilder on Linux using the rpm package</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"revit-legend\">\n         <ul></ul>\n      </div>\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-96650DF2-53B4-4547-9F37-02EBB6785E51\"></a><div class=\"head\">\n            <h1>Install 	 MotionBuilder on Linux using the rpm package</h1>\n         </div>\n         <p> The standard way to install \n            		<span class=\"charspan-msgph\">MotionBuilder</span> on Linux is by using the \n            		<span class=\"charspan-msgph\">MotionBuilder</span> installer. \n            	 \n         </p>\n         <p>However, you can also install \n            		<span class=\"charspan-msgph\">MotionBuilder</span> on Linux using the rpm files in the \n            		<span class=\"charspan-msgph\">MotionBuilder</span> installation package. You must have superuser privileges to install \n            		<span class=\"charspan-msgph\">MotionBuilder</span> from rpm. \n            	 \n         </p>\n         <p>Before installing \n            		<span class=\"charspan-msgph\">MotionBuilder</span>, ensure that \n            		<span class=\"char_link\"><a href=\"GUID-C445ABA8-4E74-4A01-942D-5FFD34034D95.htm\">all the additional required Linux packages are installed on your system</a></span>.\n            	 \n         </p><a name=\"OL_A16BBB75A2324D1C93AC8730933EDC74\"></a><ol type=\"1\" start=\"1\">\n            <li>Change the directory to \n               		  <span class=\"code\">install/Packages</span> in the \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> installation package. \n               		\n            </li>\n            <li>Install the licensing rpm packages: adsklicensing, adlmflexnetclient, adlmflexnetserverIPV6, and adlmapps17: \n               		  \n               <div class=\"codeBlock\"><pre>sudo dnf install adsklicensing13.0.0.8122-0-0.x86_64.rpm\n\nsudo dnf install adskflexnetclient-11.18.0-0.x86_64.rpm\n\nsudo dnf install adskflexnetserverIPV6-11.18.0-0.x86_64.rpm\n\nsudo dnf install adlmapps28-28.0.11-0.x86_64.rpm</pre></div> \n            </li>\n            <li>Verify that the licensing service is running: \n               		  \n               <div class=\"codeBlock\"><pre>sudo /usr/bin/systemctl status adsklicensing</pre></div>If the service is not running, run: \n               		  \n               <div class=\"codeBlock\"><pre>sudo getent group adsklic &amp;&gt;/dev/null || sudo groupadd adsklic\n\nsudo id -u adsklic &amp;&gt;/dev/null || sudo useradd -M -r -g adsklic adsklic -d / -s /usr/bin/nologin \n\nsudo /usr/bin/systemctl enable adsklicensing --quiet\n\nsudo /usr/bin/systemctl start adsklicensing  </pre></div>Then check that the licensing service has started and is running. \n               		  \n               <p>If the licensing service is still not running, run \n                  			 <span class=\"code\">/opt/Autodesk/AdskLicensingService --run</span> and check \n                  			 <span class=\"filePath\"> /var/opt/Autodesk/AdskLicensingService/Log/AdskLicensingService.log</span> for messages. \n                  		  \n               </p> \n            </li>\n            <li>Install \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> using the included \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> rpm \n               		  \n               <div class=\"codeBlock\"><pre>sudo rpm -vhi &lt;MotionBuilder_rpm_package&gt; --force </pre></div> \n            </li>\n            <li>Verify that \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> has been registered. It should appear in the list of products returned by \n               		  \n               <div class=\"codeBlock\"><pre>/opt/Autodesk/AdskLicensing/&lt;version_number&gt;/helper/AdskLicensingInstHelper list</pre></div> \n               <p>If it does not, manually register it using \n                  			 \n                  <div class=\"codeBlock\"><pre>sudo /opt/Autodesk/AdskLicensing/&lt;version_number&gt;/helper/AdskLicensingInstHelper register -pk 727P1 -pv 2024.0.0.F -el EN_US -cf /var/opt/Autodesk/Adlm/&lt;motionbuilderversion&gt;/MotionBuilderConfig.pit \n</pre></div>  \n               </p> \n            </li>\n            <li>Start \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> using \n               		  \n               <div class=\"codeBlock\"><pre>/usr/autodesk/&lt;motionbuilderversion&gt;/bin/linux_64/motionbuilder</pre></div> If \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> fails to start with \"error while loading shared library\", verify that you have installed \n               		  <span class=\"char_link\"><a href=\"GUID-C445ABA8-4E74-4A01-942D-5FFD34034D95.htm\">all the additional required Linux packages</a></span> needed to run \n               		  <span class=\"charspan-msgph\">MotionBuilder</span>.\n               		\n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";