var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-97CA53D7-044E-4CE2-8D87-27AF6A08E0A9\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Result animation</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-97CA53D7-044E-4CE2-8D87-27AF6A08E0A9\"></a><div class=\"head\">\n            <h1>Result animation</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-744A\"></a> The result animation is the animation you see in the Viewer window when you click Play in the Transport Controls. It is the\n            combination of animation set on all the layers in the stack. \n         </p>\n         <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7448\"></a>The result animation depends on the order of layers in the stack, the layer hierarchy, and a number of layer settings. \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F48755527CC80126D167FFA2-7447\"></a> \n            <h2><a name=\"GUID-3E74FC68-5493-4B80-B45C-F776F21934C8\"></a>Muted layers\n            </h2> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7446\"></a>When a layer is mute, its animation is not included in the result animation. The BaseAnimation layer cannot be muted. See\n               <span class=\"char_link\"><a href=\"GUID-2131C266-CD61-4DB1-858C-6C91641CB2D1.htm\">Animation layer stack</a></span> and <span class=\"char_link\"><a href=\"GUID-F9A36C4F-DD1D-4E6E-B353-33652435A9D8.htm\">Muting, Soloing, and Locking animation layers</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755527CC80126D167FFA2-7445\"></a> \n            <h2><a name=\"GUID-A4D623F0-8B81-43D2-B7E0-DB81B7FE5540\"></a>Layer weight\n            </h2> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7444\"></a>A layer’s Weight value determines how much of its animation plays in the result animation. See <span class=\"char_link\"><a href=\"GUID-A9EB4CC6-151E-4DE4-BF5F-C6EAFC65F07E.htm\">Animation layer weight</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755527CC80126D167FFA2-7443\"></a> \n            <h2><a name=\"GUID-A145AD8E-E591-4BD7-8B15-391F4EB35AFC\"></a>Order of evaluation\n            </h2> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7442\"></a>You can reorganize layers by changing the order of the layers in the stack (see <span class=\"char_link\"><a href=\"GUID-3B74DF16-35A4-493A-85FA-CA6939034D35.htm\">Reordering animation layers</a></span>). However, it is important to first understand how re-ordering layers can change the result animation. \n            </p> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7441\"></a>First consider which properties are animated on each layer, then consider each layer’s Animation layer mode and Accumulation\n               mode. \n            </p> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7440\"></a>For example, if none of your layers share animation of the same properties, the order of evaluation does not matter and re-ordering\n               the layers has no impact on the result animation. \n            </p> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-743F\"></a>If you have keyframed the same properties on more than one layer, there are two settings that can affect your result animation\n               when you re-order the layers: Animation layer modes and Accumulation modes. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755527CC80126D167FFA2-743E\"></a> \n            <h2><a name=\"GUID-91A6975E-17EA-4737-8B95-52B0650FBD91\"></a>Animation layer modes\n            </h2> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-743D\"></a>Animation layers in Override mode block the animation from any preceding layer with shared properties. Changing the position\n               of an Override layer changes which layers it overrides. \n            </p> \n            <div><a name=\"WS73099CC142F48755527CC80126D167FFA2-743C\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Changing the order of layers in Additive mode does not change the result, no matter what type of property is animated. Unlike\n                  in Maya, <span class=\"charspan-msgph\">MotionBuilder</span> calculates all properties animated on Additive layers in Additive mode, including boolean properties (such as Visibility)\n                  and Enum type properties (such as Layer Accumulation). \n               </div>\n            </div> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-743A\"></a>See <span class=\"char_link\"><a href=\"GUID-C68A451F-FD65-4CFB-ACBC-C663B6F3A649.htm\">Animation layer modes</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755527CC80126D167FFA2-7439\"></a> \n            <h2><a name=\"GUID-A6E27AF2-8E77-4DCD-9930-D2C96AC3BCDA\"></a>Accumulation modes\n            </h2> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7438\"></a>For layers with rotation properties, re-ordering layers only affects the result if you set the Accumulation option to Per\n               Layer. Re-ordering does not affect the result if you use Per Channel. \n            </p> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7437\"></a>See <span class=\"char_link\"><a href=\"GUID-C68A451F-FD65-4CFB-ACBC-C663B6F3A649.htm\">Animation layer modes</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755527CC80126D167FFA2-7436\"></a> \n            <h2><a name=\"GUID-AF19E754-E323-4F45-8364-56F476ECA4F1\"></a>Animation layer hierarchy\n            </h2> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7435\"></a>Like re-ordering layers, parenting layers that contain animation for the same properties can affect your result animation.\n               \n            </p> \n            <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-7434\"></a>See <span class=\"char_link\"><a href=\"GUID-06785921-5C77-4203-B32C-AA6F2447D539.htm\">Parent and child layers</a></span> and <span class=\"char_link\"><a href=\"GUID-DA3CD050-0F3F-4444-B915-2B2FA6BF5091.htm\">Parenting and unparenting animation layers</a></span>. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";