var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-9E50652A-B2AE-45BD-81DB-2E438847B81C\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Creating a capture area</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-9E50652A-B2AE-45BD-81DB-2E438847B81C\"></a><div class=\"head\">\n            <h1>Creating a capture area</h1>\n         </div><a name=\"WS73099CC142F4875535A241551166AC8792F220\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F4875535A241551166AC8792F221\"></a> To create a capture area:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Decide where to place the capture area in your studio. \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F224\"></a>The following steps describe how to create a capture area, and can give you an idea of the best location and a reliable way\n                  of testing the amount of magnetic interference. \n               </p> \n            </li>\n            <li>Place the floor grid. \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F226\"></a>Decide on the size of each square in your floor grid. Use tiles or tape on the floor to roughly mark each corner of a square\n                  grid. Each unit of the grid should use the same dimensions. A 12 x 12 foot grid is a good starting size, but this does not\n                  mean that your eventual capture grid is this large. If you have a small studio with only enough space for a 6 x 6 grid, measure\n                  this grid and mark the corners with tape. \n               </p> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F227\"></a>Place the emitter beside your floor grid about 2 feet (60 cm) off the floor. Keep the emitter in mind when deciding on the\n                  placement of your floor grid. \n               </p> \n            </li>\n            <li>Build the calibration pole using the following guidelines: <a name=\"WS73099CC142F4875535A241551166AC8792F229\"></a><ul>\n                  <li>Build your calibration pole using a non-metallic substance, such as wood or plastic. The pole should be as tall as the action\n                     you plan to capture. Avoid using cylindrical poles because the surface may produce ambiguous sensor positions, and it is also\n                     easier to place and align sensors on a flat, rather than a rounded, surface. \n                  </li>\n                  <li>Autodesk recommends that you use 8 sensors, although the number of sensors can be increased or decreased depending on the\n                     height of your studio and how high you want to capture data. \n                  </li>\n                  <li>To guard against interference from the pole’s wiring, you should place the first sensor about five centimeters from the bottom\n                     of the pole. The next and all subsequent sensors should be the same distance apart as the dimension of each tile on the floor\n                     grid. For example, if you are planning to set up a floor grid with 30 centimeter squares (roughly 1 foot), place the sensors\n                     on the pole 30 cm apart. \n                  </li>\n                  <li>When attaching the sensors to the pole, make sure they all face the same direction and align on the pole. In addition, arrange\n                     the sensors in ascending order. For example, if the sensor closest to the floor is sensor number 1, the next sensors should\n                     be 2, 3, 4, and so on. You can also skip sensors. For example, if the first sensor is number 2, the next can be 4, 6, 8, and\n                     10. \n                  </li>\n               </ul> \n            </li>\n            <li>Place the emitter. \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F22F\"></a>All magnetic systems work by radiating a magnetic field using an emitter. The placement of the emitter is one of the most\n                  important aspects of creating a successful motion capture area. \n               </p> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F230\"></a>Autodesk recommends that you place the emitter between 1.5 to 2 feet from the outer edge of the capture area, raised approximately\n                  two feet off the floor . You should place the emitter to take advantage of the largest possible capture area. \n               </p> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F231\"></a>You should also place the emitter away from machines or other devices that may cause magnetic interference, such as computer\n                  monitors. If your studio is small, you can place the emitter within the capture area under an elevated stage or hang it from\n                  the ceiling. <a name=\"WS73099CC142F4875535A241551166AC8792F232\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-72A34676-0C6D-4EC5-A1C4-4CF7B5B1B78C-low.png\"><p></p>\n                     <p class=\"figure-title\"><em class=\"mild\">A.</em> External Range limit <em class=\"mild\">B.</em> Internal Range limit\n                     </p>\n                  </div> \n               </p> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F234\"></a>The magnetic field is very strong; it is approximately 1.5 feet around all emitters. If the calibration pole or a wired performer\n                  stands within this area (Internal Range Limit), it is impossible for the position of the magnetic sensors to be accurately\n                  captured. \n               </p> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F235\"></a>The magnetic field from the emitter also has a physical range (External Range Limit). If the calibration pole or a wired performer\n                  gets too close to the limit or moves outside the range, the position of the sensors cannot be properly captured. \n               </p> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F236\"></a>Depending on the magnetic system and the number of emitters, the internal and external ranges may vary. Consult the documentation\n                  accompanying your magnetic device for more information on its capture range. \n               </p> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F237\"></a>It is important to place the emitter at the proper height. A magnetic field is circular, with its longest range near its horizontal\n                  or vertical middle. For best results, place the emitter at a height where the longest part of the magnetic field rests over\n                  the capture area. Problems may occur during motion capture if an emitter is too high or too low . <a name=\"WS73099CC142F4875535A241551166AC8792F238\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-AE917FF6-C497-4AFE-BFE4-78500B6913B7-low.png\"><p></p>\n                     <p class=\"figure-title\"><em class=\"mild\">A.</em> Emitter is too high. The performer’s feet may not be captured. <em class=\"mild\">B</em>. Emitter is too low. The performer’s hands may not be captured if they are raised over the head. Even more may be lost if\n                        the performer jumps.\n                     </p>\n                  </div> \n               </p> \n            </li>\n            <li>Test the capture area. \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F23B\"></a>After placing the floor grid, building the calibration pole, and placing the emitter, test the capture area to make sure it\n                  does not contain too much magnetic interference. \n               </p> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F23C\"></a>To test the area, <span class=\"charspan-msgph\">MotionBuilder</span> must be running and the appropriate magnetic device must be added and set up. Then move the pole around the edge of the proposed\n                  capture area and around arbitrary locations within the capture area. While you move the pole, watch the Viewer window to see\n                  how sensors react to your proposed capture area. \n               </p> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F23D\"></a>For example, in the following figure, A represents an ideal capture, because the sensors are straight, and are exactly as\n                  they appear on the pole. In the same figure, B shows that the sensors are not completely straight, but would be easy to calibrate.\n                  In the same figure, C shows that the sensors are limited for a capture but they can still be calibrated. However, in the same\n                  figure, D shows too much distortion produced by sensor 8 (second from top) relative to sensor 7 (top sensor). <a name=\"WS73099CC142F4875535A241551166AC8792F23E\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-AEDF21DA-635C-4F57-B019-9964B2B395B4-low.png\"><p></p>\n                     <p class=\"figure-title\"><em class=\"mild\">A.</em> Ideal capture <em class=\"mild\">B.</em> Suitable capture <em class=\"mild\">C.</em> Limited capture <em class=\"mild\">D.</em> Poor capture\n                     </p>\n                  </div> \n               </p> \n            </li>\n         </ol>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-29BA63D4-CAA4-452F-8873-5A5197D4668E.htm\">Magnetic capture and calibration </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";