var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-9F17BD46-3BFB-4FA3-8352-B6D22B744AB4\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>SpaceBall Recording Limitations</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-9F17BD46-3BFB-4FA3-8352-B6D22B744AB4\"></a><div class=\"head\">\n            <h1>SpaceBall Recording Limitations</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-30F9\"></a> You can record data from a SpaceBall as a device or as a manipulator. The way each method records data is outlined in the\n            following topic. \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-30F7\"></a> \n            <h2><a name=\"GUID-3B57A3DA-6CDF-4FA0-BF43-FCFA2B273C13\"></a>Recording data as a device\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-30F6\"></a>When using the SpaceBall as a device, the data is only recorded in the following connectors. \n            </p> <a name=\"WS1A9193826455F5FF-12BA6B3A11A9C207460-5C46\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"50%\">\n                     <col width=\"50%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Connector </th>\n                     <th class=\"table-heading\">Function </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">ButtonX (Bool) </td>\n                     <td class=\"table-body\">The state of the button (0 is Up, 1 is Down). </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Device Rotation Offset (Vector) </td>\n                     <td class=\"table-body\">The rotation offset given by the SpaceBall. </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Device Translation Offset (Vector) </td>\n                     <td class=\"table-body\">The rotation offset given by the SpaceBall. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Device Total Lcl Rotation (Vector) </td>\n                     <td class=\"table-body\">The total rotation computed with all the rotation offsets since the last reset. </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Device Total Lcl Translation (Vector) </td>\n                     <td class=\"table-body\">The total translation computed with all the translation offsets since the last reset. \n                        <div><a name=\"GUID-152E1A62-A6DB-4BF3-BC85-095D0E60260A\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can reset the Total values by pressing Button 3 of the SpaceBall. The button numbers shown in <span class=\"charspan-msgph\">MotionBuilder</span> correspond to “Function” numbers from the SpaceWare Configuration User Interface. \n                           </div>\n                        </div> \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-30E9\"></a> \n            <h2><a name=\"GUID-1C85D6F2-D08D-48A3-91C7-9A01C2134BC9\"></a>Recording Data as a Manipulator\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-30E8\"></a>When using the SpaceBall as a manipulator, the data is also recorded in the following connectors. \n            </p> <a name=\"WS1A9193826455F5FF-12BA6B3A11A9C207460-5C45\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"50%\">\n                     <col width=\"50%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Connector </th>\n                     <th class=\"table-heading\">Function </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Manipulator Camera Rotation (Vector) </td>\n                     <td class=\"table-body\">Rotation vector applied to the manipulated camera. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Manipulator Camera Translation (Vector) </td>\n                     <td class=\"table-body\">Translation vector applied to the manipulated camera. </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Manipulator Camera Lcl Rotation (Vector) </td>\n                     <td class=\"table-body\">Local rotation vector applied to the manipulated camera. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Manipulator Camera Lcl Translation (Vector) </td>\n                     <td class=\"table-body\">Local translation vector applied to the manipulated camera. </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Manipulator Camera Roll (Number) </td>\n                     <td class=\"table-body\">Roll value applied to the manipulated camera. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Manipulator Interest Translation (Vector) </td>\n                     <td class=\"table-body\">Translation vector applied to the interest of the manipulated camera. </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Manipulator Interest Lcl Translation (Vector) </td>\n                     <td class=\"table-body\">Local translation vector applied to the interest of the manipulated camera. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Manipulator Model Rotation (Vector) </td>\n                     <td class=\"table-body\">Rotation vector applied to the manipulated model. </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Manipulator Model Translation (Vector) </td>\n                     <td class=\"table-body\">Translation vector applied to the manipulated model. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Manipulator Model Lcl Rotation (Vector) </td>\n                     <td class=\"table-body\">Local rotation vector applied to the manipulated model. </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Manipulator Model Lcl Translation (Vector) </td>\n                     <td class=\"table-body\">Local translation vector applied to the manipulated model. </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";