var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-A125A106-B133-4A45-9324-2CDEED32837A\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Global lights</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-A125A106-B133-4A45-9324-2CDEED32837A\"></a><div class=\"head\">\n            <h1>Global lights</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-523F\"></a> When you first bring an object into <span class=\"charspan-msgph\">MotionBuilder</span>, no lights are in the scene, and yet you can see the object in the Viewer window. This is because of a generic lighting effect\n            created by the <em class=\"mild\">Global light</em>. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-523D\"></a>The Global light is the default light that illuminates your scene before you have added any lights. The Global Light is not\n            considered a light because it is simply an ambient “work light” that illuminates your models in a steady, ambient light. You\n            cannot select it, or make it brighter. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-523C\"></a>When a custom light is dragged into the scene, the Global Light is turned off as shown in the following figure (B). \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-523B\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-28F9A7BE-BF1F-4082-A741-BE4D49E40C6A-low.png\"><p class=\"figure-title\">Global Light versus custom light <em class=\"strong\">(A)</em> Global light in scene <em class=\"strong\">(B)</em> Custom light added to scene\n            </p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5239\"></a>The global light is useful as a general light while you work, but provides a characterless ambience for your scenes. The Global\n            light cannot display shaders or be animated, nor can you adjust the Global light’s position or intensity. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5238\"></a>If the Global light is selected, the Global Lighting settings display, which let you change the general color and brightness\n            of the scene. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5237\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-94F3FC30-69F8-422D-8841-17E806EE9602-low.png\"><p class=\"figure-title\">Global Light settings <em class=\"mild\">A.</em> Ambient Color settings <em class=\"mild\">B.</em> Fog settings\n            </p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5235\"></a>The Global Light settings are used to adjust the global lighting parameters, such as the overall ambient lighting effects\n            and fog settings. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5234\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-77BB6F5F-37D3-4794-8744-F66F45578E29-low.png\"><p class=\"figure-title\">Global lighting examples <em class=\"mild\">A. </em>Global lighting <em class=\"mild\">B.</em> Ambient color changed <em class=\"mild\">C.</em> Ambient color changed and Fog added <em class=\"mild\">D.</em> Ambient color changed, fog added, two custom lights added\n            </p>\n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-8651B13A-3706-4F4E-B8E6-C3F9444375CD.htm\">Adding and removing lights </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-C53433FC-0F5A-4CFF-9484-ED24FFC18BEE.htm\">Changing a scene’s ambient color </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-A125A106-B133-4A45-9324-2CDEED32837A.htm\">Global lights </a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C53433FC-0F5A-4CFF-9484-ED24FFC18BEE.htm\">Changing a scene’s ambient color</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-CCCF91D0-564B-4320-9808-8E5DD6EF9EBF.htm\">Adding fog to scenes</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-5610FAB7-7313-41FA-B2B3-FAF374263FC3.htm\">Setting fog color</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8EA8AE8A-938C-4DCB-9E53-886C43B0EDA6.htm\">Global Lighting settings</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";