var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-A46FCB56-68CD-4A25-83A4-852CF36BB66B\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Position constraint settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-A46FCB56-68CD-4A25-83A4-852CF36BB66B\"></a><div class=\"head\">\n            <h1>Position constraint settings</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-643\"></a> \n            		The Position constraint lets you apply at least one source object to constrain the translation of a target object. \n            	 \n         </p>\n         <p>See also \n            		<span class=\"char_link\"><a href=\"GUID-A97DEC00-81FB-49E2-B9F4-AE852D746FEE.htm\">Work with Position constraints</a></span>.\n            	 \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-641\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-10C7A1B4-5C0D-4FFA-8B70-FBDD0342436C-low.png\"><p class=\"figure-title\">The Position constraint</p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-63F\"></a>The Position constraint requires the following objects: \n            	 \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-63E\"></a> \n            <h2><a name=\"GUID-6C8671A9-34D7-48EC-8C6A-89701BB2F8AA\"></a>Constrained object\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-63D\"></a>An asset, model, or other object that is positioned and translated in the scene based on the position and movement of one\n               or multiple source objects. Also known as the “child” object. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-63C\"></a> \n            <h2><a name=\"GUID-55B26D73-8F6C-49AC-8628-614B41E33E4F\"></a>Source 1\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-63B\"></a>Sends translation information to the constrained object. Also known as the “parent” object. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-63A\"></a>When more than one source is specified, the constrained object is placed equidistant from all source objects. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_88585D3C42CA424E9A01C9A95C70F1A2\"></a> \n            <h2><a name=\"GUID-BF26E7C0-6065-4E43-BE69-FE9708BAA006\"></a>Properties settings\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-638\"></a>The following Position constraint settings are found only in the Properties window when the constraint is selected in the\n               Scene browser: \n               		\n            </p> \n            <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-637\"></a> \n               <h3><a name=\"GUID-96A42C4D-EB18-483E-A210-C986A9751334\"></a>Translation Offsets XYZ\n               </h3> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-636\"></a>Use these fields to move the constrained object from the Source object(s). You can set key animation on any of these settings.\n                  \n                  		  \n               </p> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-635\"></a>These fields are disabled if the Lock option is activated. \n                  		  \n               </p> \n            </div> \n            <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-634\"></a> \n               <h3><a name=\"GUID-B04CA005-AEE6-4493-B40F-F0DA7A18A03D\"></a>Constraint Axes \n               </h3> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-633\"></a>Activating or disabling these axes affects whether the constrained object is affected by the source objects’ movement in this\n                  direction. \n                  		  \n               </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-632\"></a><div class=\"table-ruled\">\n                  <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                     <colgroup>\n                        <col width=\"22.593764121102573%\">\n                        <col width=\"77.40623587889742%\">\n                     </colgroup>\n                     <tr class=\"ruled-heading\">\n                        <th class=\"table-heading\">Axis setting \n                           					 \n                        </th>\n                        <th class=\"table-heading\">Description \n                           					 \n                        </th>\n                     </tr>\n                     <tr class=\"ruled-odd-row\">\n                        <td class=\"table-body\">Affect X \n                           					 \n                        </td>\n                        <td class=\"table-body\">When active, the constrained object moves along the X-axis with the source object. \n                           					 \n                        </td>\n                     </tr>\n                     <tr class=\"ruled-even-row\">\n                        <td class=\"table-body\">Affect Y \n                           					 \n                        </td>\n                        <td class=\"table-body\">When active, the constrained object moves along the Y-axis with the source object. \n                           					 \n                        </td>\n                     </tr>\n                     <tr class=\"ruled-odd-row\">\n                        <td class=\"table-body\">Affect Z \n                           					 \n                        </td>\n                        <td class=\"table-body\">When active, the constrained object moves along the Z-axis with the source object. \n                           					 \n                        </td>\n                     </tr>\n                  </table>\n               </div> \n            </div> \n            <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-631\"></a> \n               <h3><a name=\"GUID-ABC97F55-5654-468B-A355-FC6E4C3F4A97\"></a>(Source Object) Weight\n               </h3> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-630\"></a>Use this setting to give different amounts of influence to source objects. \n                  		  \n               </p> \n               <div><a name=\"WS73099CC142F4875535A241551166AC8792F-62F\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>It is no longer necessary to drag the same object in the source field to create weighting for this constraint. If you are\n                     working on an earlier version of the Positions constraint where this has been done, this is compensated. \n                     		  \n                  </div>\n               </div> \n            </div> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-A97DEC00-81FB-49E2-B9F4-AE852D746FEE.htm\">Position constraint \n                           		</a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";