var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-A47C13B7-9F19-4DC6-9C3D-2E395B3FF76E\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Blending multiple textures</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-A47C13B7-9F19-4DC6-9C3D-2E395B3FF76E\"></a><div class=\"head\">\n            <h1>Blending multiple textures</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1E24\"></a> Blend multiple textures using Layered textures, then attach them to a material or model as if they were a single media. You\n            can set different Blend modes for each texture layer, and adjust and animate each texture individually to create interesting\n            results. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-15BE\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>To use a texture’s alpha channels, apply a shader with a Transparency setting, such as the Lighted shader, to the model. \n            </div>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-15BD\"></a>There is a type of Layered texture you can use with a material, and there are types of Layered textures you apply directly\n            to a model for use with a shader. See <span class=\"char_link\"><a href=\"GUID-742B9277-4816-4139-A235-948E596AF61B.htm\">Choosing texture types</a></span>. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-6521\"></a>The following steps describe using a Layered Texture asset for use with a material. \n         </p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-608E\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-47C8\"></a>To create a Layered texture for a material:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Open the Shading Elements folder in the Asset browser. </li>\n            <li>From the Asset browser, drag a Layered Texture asset onto a model in the Viewer window. </li>\n            <li>In the menu that appears, select Attach Texture to Material &gt; Diffuse. \n               <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-608A\"></a>A Layered texture is added to the scene and appears in the Scene browser’s Textures folder. If the model had no material applied\n                  to it, a new material is added to the scene; the material is automatically applied to the model and the Layered texture is\n                  attached to the material’s Diffuse property. \n               </p> \n            </li>\n            <li>In the Scene browser, expand the Textures folder and double-click the Layered texture. \n               <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-6088\"></a>The Layered Texture settings appear in the Navigator window. \n               </p> \n            </li>\n            <li>Click the Layer Settings tab to access the Layer Editor. </li>\n            <li>To add a new texture to a Layered texture, click the Add button in the Layer Editor. A new texture is added to the scene and\n               attached to the Layered texture. \n               <div><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-6085\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can also add a texture that is already in the scene. Drag the texture from the scene browser and drop it either into the\n                     Layer Editor or onto the name of the Layered texture in the Scene browser. \n                  </div>\n               </div> \n            </li>\n            <li>Double-click the new texture in the Scene browser. \n               <div><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-6083\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The new texture displays twice in the Textures folder; by itself and attached to the Layered Texture. \n                  </div>\n               </div> \n            </li>\n            <li>Select New Media in the Texture setting’s Media menu. A file browser opens. </li>\n            <li>Browse for a media file and click Open. \n               <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-6080\"></a>The texture displays in the Texture settings. \n               </p> \n            </li>\n            <li>Add a second texture to the Layered texture, then select new media for the second texture. </li>\n            <li>In the Layer Editor, adjust each layer’s Blend mode and Transparency. See <span class=\"char_link\"><a href=\"GUID-80D7A651-8A83-4D2B-8D4A-56023E3A68FE.htm#WS1A9193826455F5FF219F8B8B1249CF2CB82-36AE\">Blend Mode</a></span>. \n               <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-1B1D\"></a>The two textures display together on the model in the Viewer window. \n               </p> \n               <div><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-6909\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If your textures have alpha channels, you can create interesting blending effects, such as a grass texture giving way to a\n                     pavement texture. To use a texture’s alpha channels, apply a shader with a Transparency setting, such as the Lighted shader,\n                     to the model. \n                  </div>\n               </div> \n            </li>\n         </ol><a name=\"WS73099CC142F4875535A241551166AC8792F-1E22\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-1384F3E3-E524-4533-8856-B36B130A3C2B-low.png\"><p class=\"figure-title\">Blending textures <em class=\"mild\">A.</em> Tiling brick texture <em class=\"mild\">B.</em> Graffiti texture with alpha channel <em class=\"mild\">C.</em> Both textures combined on one model using a Layered texture\n            </p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1E20\"></a>For information on how to position your texture, see <span class=\"char_link\"><a href=\"GUID-4D39EDB0-F634-424F-BDC1-191446F63CE8.htm\">Choosing a mapping method</a></span>, <span class=\"char_link\"><a href=\"GUID-21999967-7DD0-4DE2-B4A0-1219B225F8BA.htm\">Tiling your texture</a></span>, and <span class=\"char_link\"><a href=\"GUID-8F050497-8200-4FBC-A726-605628D4F666.htm\">Rotating your texture</a></span>. \n         </p>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";