var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-A5AD4555-D78D-4ACC-81C4-75D1819A25AA\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Tangent options</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-A5AD4555-D78D-4ACC-81C4-75D1819A25AA\"></a><div class=\"head\">\n            <h1>Tangent options</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-C87\"></a> By default, <span class=\"charspan-msgph\">MotionBuilder</span> automatically manages the slope, or interpolation, of function curves. The Auto, Linear, and Step tangent options allow you\n            to manually change the interpolation values between keyframes in order to modify the animation. These three tangent options\n            appear in the FCurves pane normal mode, as shown in the following figure: <a name=\"WS73099CC142F4875535A241551166AC8792F-C85\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-92F0EF0A-0F5A-40FF-9298-80E9A0B61E06-low.png\"><p class=\"figure-title\">Tangent options in the FCurves pane normal mode<em class=\"mild\">A.</em> Auto <em class=\"mild\">B.</em> Linear <em class=\"mild\">C.</em> Step\n               </p>\n            </div> \n         </p>\n         <p><a name=\"GUID-1F85027B-2491-4836-A5F0-6C34A7A25D19\"></a>The FCurves pane in Classic Mode displays all five (Auto, TCB, Stepped, Linear, and Fixed) tangent options, as shown in the\n            following figure: <a name=\"FIG_52CDC9FCBA25418ABB08E1CDA2110802\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-CD63BD35-224E-4140-BC5E-2E92D02E3ECD-low.png\"></div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-C83\"></a>To change interpolation, select one or more keyframes, then select an interpolation option. Depending on the option you choose,\n            the interpolation between the selected keyframes changes. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-C82\"></a>When you change the interpolation of a keyframe region, you affect the shape of the curve between the keys in the region and\n            the next set of keys that follow the region. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-C80\"></a>For information on changing the mathematical algorithm that calculates the extrapolation of a curve, see <span class=\"char_link\"><a href=\"GUID-1F99F696-701C-4B79-9E13-886AC540CB3F.htm#WSF00FE1F65A1E03F91B1C956A11688C3E55E-7FDD\">Extrapolation</a></span>. \n         </p>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F91B1C956A11688C3E55E-7FFB\"></a> \n            <h2><a name=\"GUID-E952177E-7E2E-4DCE-AA69-C14310AC05BD\"></a>Auto option\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-C7F\"></a> Auto interpolation mode automatically adjusts the tangents of an Auto key type, based upon the interpolation of the previous\n               and next keys. How this tangent will be affected is based upon one of the Auto types, which you can choose from the FCurve\n               Preferences window. <a name=\"WS73099CC142F4875535A241551166AC8792F-C7E\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-5D6BF491-0959-4B6E-81E8-F2AF07A7C0FC-low.png\"><p class=\"figure-title\">Auto tangent default types in the Preferences window </p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-C7C\"></a>The following table describes the default types os Auto tangent: \n            </p> <a name=\"TABLE_50A72312DCE5444A9035633C5186C151\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"25%\">\n                     <col width=\"75%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Auto tangent default type </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Progressive Clamp </td>\n                     <td class=\"table-body\">This is the default Auto type. As an all-encompassing Auto key type, Progressive Clamp is a combination of spline, clamp,\n                        and flat behavior. Characteristics of this key type: <a name=\"UL_876A1CF3687D44EE8AC0E05E6F1CA1F7\"></a><ul>\n                           <li>Time independent </li>\n                           <li>Clamp with ease-in and ease-out behavior </li>\n                           <li>Flat overshooting and undershooting interpolation </li>\n                        </ul> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Spline </td>\n                     <td class=\"table-body\">Characteristics of this key type: <a name=\"UL_28DFBFD90FC446678DCB378765799F8E\"></a><ul>\n                           <li>Time independent </li>\n                           <li>Clamp (optional) </li>\n                        </ul> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Smooth </td>\n                     <td class=\"table-body\">Characteristics of this key type: <a name=\"UL_30BDF6B00A3D459EBC80801FF6360047\"></a><ul>\n                           <li>Time dependent </li>\n                           <li>Clamp (optional) </li>\n                        </ul> \n                     </td>\n                  </tr>\n               </table>\n            </div> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-C72\"></a>There are two options in the <span class=\"char_link\"><a href=\"GUID-1F99F696-701C-4B79-9E13-886AC540CB3F.htm\">FCurves context menu</a></span> that affect your use of Auto and Fixed modes. See <span class=\"char_link\"><a href=\"GUID-36D82911-85FC-4821-B354-E799F8545ED4.htm#WSF00FE1F65A1E03F91B1C956A11688C3E55E-7FD9\">Switch to Fixed on Edit</a></span> and <span class=\"char_link\"><a href=\"GUID-36D82911-85FC-4821-B354-E799F8545ED4.htm#WSF00FE1F65A1E03F91B1C956A11688C3E55E-7FD8\">Reset Tangents on Switch to Auto</a></span> for more information. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-C71\"></a> \n            <h2><a name=\"GUID-15BDA70F-F54E-4745-9D3D-F8CBA00DEB2C\"></a>TCB option\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-C70\"></a> Joins each keyframe using a Hermite-type curve. The slope on either side of a keyframe is changed using the TCB (Tension/Continuity/Bias)\n               values. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-C6F\"></a> \n            <h2><a name=\"GUID-D4AB8004-7282-4B40-BD02-C03E152B097E\"></a>Stepped option\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-C6E\"></a> Maintains the same keyframe value between keyframes. With Stepped interpolation mode active, there is no slope between keyframes.\n               This option replaces the behavior of Constant in previous versions of MotionBuilder. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-C6D\"></a>While working in Classic Mode, clicking the Stepped option on the FCurves window toolbar displays the Set Keys to Constant\n               Normal and Set Keys to Constant Next options (B and C in the figure). <a name=\"WS73099CC142F4875535A241551166AC8792F-C6C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-27D07ADD-9445-45F1-B7C3-D868EE17F2D8-low.png\"><p class=\"figure-title\">Tangent options <em class=\"mild\">A.</em> Stepped option is active <em class=\"mild\">B.</em> Set Keys to Constant Normal option <em class=\"mild\">C.</em> Set Keys to Constant Next option\n                  </p>\n               </div> \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F91B1C956A11688C3E55E-7FFA\"></a> \n            <h2><a name=\"GUID-C13132F3-2A4D-4562-AAD2-88ADD0A31495\"></a>Set Keys to Constant Normal option\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-C6A\"></a> When this option is active, Stepped interpolation maintains the value of the selected keyframe until the next keyframe. <a name=\"WS73099CC142F4875535A241551166AC8792F-C69\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-657E68B1-1F74-4DBB-9E94-B7036F59F943-low.png\"><p class=\"figure-title\">Step interpolation <em class=\"mild\">A.</em> Selected keyframe <em class=\"mild\">B.</em> Next keyframe\n                  </p>\n               </div> \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F91B1C956A11688C3E55E-7FF9\"></a> \n            <h2><a name=\"GUID-1686A8EE-92E0-4E2C-A717-010A7D4A3B69\"></a>Set Keys to Constant Next option\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-C67\"></a> When this option active, Stepped interpolation maintains the value of the next keyframe between the selected and next keyframes.\n               <a name=\"WS73099CC142F4875535A241551166AC8792F-C66\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C6488CC9-2E64-49ED-A107-AFDAE844C83B-low.png\"><p class=\"figure-title\">Step Next interpolation <em class=\"mild\">A.</em> Selected keyframe <em class=\"mild\">B.</em> Next keyframe\n                  </p>\n               </div> \n            </p> \n            <div><a name=\"WS73099CC142F4875535A241551166AC8792F-C64\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>The Set Keys to Constant Next interpolation is useful for marking the end of a referential when using the Multi-Referential\n                  constraint. \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-C62\"></a> \n            <h2><a name=\"GUID-262EC3BD-915F-486F-BF96-508B5711F494\"></a>Linear (Lin) option\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-C61\"></a> Joins the selected keyframe and the next keyframe with a straight line. The slope between keyframes, while this mode is active,\n               is constant. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_B5E76FF971054F43B0DB08C62C53087E\"></a> \n            <h2><a name=\"GUID-73782B71-7434-43D2-95E7-128CA04FCE7D\"></a>Fixed option\n            </h2> \n            <p><a name=\"GUID-CCEC7304-D1E6-464E-944F-39615F685BBC\"></a> Produces a cubic curve, whose slopes are not influenced by neighboring keyframes. When you edit neighboring keyframes, the\n               tangents of a Fixed keyframe do not change. In Fixed mode, moving one tangent handle moves the other tangent equally. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";