var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-A621244A-4B5B-47DC-A6AE-D745FC7D93A6\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Reconstructing optical data</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-A621244A-4B5B-47DC-A6AE-D745FC7D93A6\"></a><div class=\"head\">\n            <h1>Reconstructing optical data</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F34\"></a> This topic explains how to use the Optical settings to reconstruct and correct some common optical problems. A suggested\n            workflow is as follows. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F36\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F4875535A241551166AC8792F37\"></a>To reconstruct optical data:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Import an Optical motion file. \n               <p><a name=\"GUID-2ED66459-8F7A-4C0E-83EC-8EDA6A95F2EF\"></a>You can import files to transfer optical data, raw data and skeletal data files between <span class=\"charspan-msgph\">MotionBuilder</span> and other software packages, applications, and dedicated hardware. \n               </p> \n            </li>\n            <li>Make sure a Navigator window is open so that you can view the optical data for the selected optical marker. </li>\n            <li>Label all segments appearing at the beginning of your motion file, or at a location where the most segments are seen. \n               <p><a name=\"GUID-7777BBDA-C488-47A4-8AC2-B7F508C520FF\"></a>When you label a segment, it becomes a marker. \n               </p> \n               <p><a name=\"GUID-BAF1F779-26E6-4B0C-A922-724E84986BB7\"></a>See <span class=\"char_link\"><a href=\"GUID-7B5D2027-394B-4CD7-8F5F-9586470ACB14.htm\">Segments and Labelling</a></span>. \n               </p> \n            </li>\n            <li>Create Rigid bodies using the markers you labelled in step 3. \n               <p><a name=\"GUID-DB255A0E-B7FF-4F28-B6E4-CE6EC7E08234\"></a>See <span class=\"char_link\"><a href=\"GUID-2030D64C-F215-4C88-BE08-258996ABF42A.htm\">Creating a Rigid body</a></span>. \n               </p> \n            </li>\n            <li>Create an Actor and use the optical markers to define the Actor’s marker set. This is an optional step but highly recommended.\n               \n               <p><a name=\"GUID-97B0748A-0FE6-45D5-9D61-EE766BA9FBF9\"></a> Using an Actor makes it easier to view problems such as marker swapping and noise. \n               </p> \n               <p><a name=\"GUID-FB03BDCB-C95C-4FF0-AB77-7B4D1A1E4755\"></a>See <span class=\"char_link\"><a href=\"GUID-D9A728ED-1E4A-419A-8BF7-A426C36C0A91.htm\">Creating an Actor</a></span>. \n               </p> \n            </li>\n            <li>Eliminate marker swapping. While labelling markers, you may find that two markers that have passed close to one another have\n               been swapped. \n               <p><a name=\"GUID-9CC89723-5596-428C-A675-BD04ACEA7E5C\"></a> <span class=\"char_link\"><a href=\"GUID-15E20E6F-DB94-42BB-B826-F182B30E370C.htm\">Eliminating Swapping</a></span> \n               </p> \n            </li>\n            <li>Fix noise and partial occlusion by studying and correcting Rigid body quality. \n               <p><a name=\"GUID-2ECF51C2-9C85-4EF6-9F92-28793D6F5556\"></a>See <span class=\"char_link\"><a href=\"GUID-039242B4-5C51-4352-A1FE-8B511D494844.htm\">Correcting Rigid body quality</a></span>. \n               </p> \n            </li>\n            <li>Fill in gaps. <span class=\"charspan-msgph\">MotionBuilder</span> provides two methods of filling in gaps: filling with unlabeled segments and filling with interpolation. \n               <p><a name=\"GUID-62BF42E6-8457-4919-B24F-D4AD2DFAB7A6\"></a>See <span class=\"char_link\"><a href=\"GUID-D94E164C-B2BE-4C0D-85A2-99D4D1097BE3.htm\">Filling Gaps with Unlabeled Segments</a></span> and <span class=\"char_link\"><a href=\"GUID-CA53B9AF-3E06-483E-BD09-48F10872A460.htm\">Filling Gaps with Interpolation</a></span>. \n               </p> \n            </li>\n            <li>Switch all optical markers to Done so that further filtering may be applied using the FCurves window. </li>\n         </ol>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-88ED9A72-B5D3-470F-97BF-EB87C5F921EF.htm\">Optical systems and data </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-ACDBF488-F78C-4E43-93AF-63C88E55E304.htm\">Problems with Optical data </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-EFD4831F-FE3A-4459-BCF9-03A11DD6CEF0.htm\">Optical motion data </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";