var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-A76FF9AC-DE17-44C4-8F03-0F226068521A\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Creating a Multi-Referential constraint</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-A76FF9AC-DE17-44C4-8F03-0F226068521A\"></a><div class=\"head\">\n            <h1>Creating a Multi-Referential constraint</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3579\"></a> The Multi-Referential constraint lets you create a complex form of Parent/Child constraint that lets you use more than one\n            transformation reference as a Source object. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3577\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3576\"></a>To create a Multi-Referential constraint:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the model to be the Rigid object (or child) in the Scene browser or Viewer window and Alt-drag it into the Reference\n               (Ref) field of the Key Controls. \n               <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3574\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Unlike other constraints, the Multi-Referential constraint is created automatically when you drag objects into the Key Controls\n                     Reference field. \n                  </div>\n               </div> \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3572\"></a>In the following figure, the “Driver” (B) is assigned to the Reference (Ref) field. \n               </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3571\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-24C3448E-BF70-4138-B075-D211C7552DA8-low.png\"><p></p>\n                  <p class=\"figure-title\">A basic Multi-Referential constraint example <em class=\"mild\">A</em>. “Car” <em class=\"mild\">B</em>. “Driver”\n                  </p>\n               </div> \n            </li>\n            <li>Next, select the model you want to assign as the Source object, in this case, the “Car”, in the Scene browser or Viewer window,\n               Alt-drag it into the Reference (Ref) field of the Key Controls, and select Set as Source object from the menu that appears.\n               \n               <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-356E\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>When you drag a Source object into the Reference (Ref) field, the Reference field still shows the name of your Rigid object.\n                     If it does not, reselect the Source object in the Scene browser until you see it appear in the Reference (Ref) field. \n                  </div>\n               </div> \n            </li>\n            <li>Click the Key (K) button next to the Reference field in the Key Controls to set a keyframe for the child object. </li>\n            <li>Advance the scene to the moment where the Rigid object is to join the Source object . <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-356A\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-9E3352B6-70AE-4449-AE6B-C42EC24D1F1B-low.png\"><p></p>\n                  <p class=\"figure-title\">Advance the scene to the keyframe before the driver meets the car.</p>\n               </div> \n            </li>\n            <li>Select the Source object (Car) from the Key Controls Reference menu. A Key is automatically set. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3567\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-6E3EE353-E757-4F28-9665-5116900BFA5F-low.png\"><p></p>\n                  <p class=\"figure-title\"><em class=\"mild\">A.</em> Select the Source object from the Reference menu. <em class=\"mild\">B. </em>The “Driver” joins the “Car” and they drive off together.\n                  </p>\n               </div> \n               <div style=\"margin-top: 9pt;\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3565\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If you use the Key Controls window to create the constraint, the constraint is automatically activated. \n                  </div>\n               </div> \n            </li>\n            <li>To join the Rigid object to another source object, repeat Step 2 onwards, but select the other Source object from the Reference\n               menu in the Key Controls. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3562\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-38EDC7C7-F9CF-4DD7-BDA9-06A6B1C8E50B-low.png\"><p></p>\n                  <p class=\"figure-title\">Multi-Referential Constraint settings<em class=\"mild\"> A.</em> Active option\n                  </p>\n               </div> \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-3560\"></a>If there are any jumps in the animation, click Sync in the Key Controls to synchronize the animation of the two objects. \n               </p> \n               <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-355F\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can also use the Multi-Referential constraint with multiple Rigid objects and no Source object to create a multiple-pivot\n                     effect. The Rigid object currently selected in the Reference (Ref) field is used as the Source object. \n                  </div>\n               </div> \n            </li>\n            <li>To create another Multi-Referential constraint, simply drag a Multi-Referential constraint from the Asset browser into the\n               Viewer window and assign new Rigid and Source objects. \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";