var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-A8D5A803-8427-4454-871C-E2671191C1FA\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Joint object parenting</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-A8D5A803-8427-4454-871C-E2671191C1FA\"></a><div class=\"head\">\n            <h1>Joint object parenting</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF2566FFD511FF6F8C7CA-55AC\"></a> The relationship between Joint objects is important in determining the behavior of a joint and how much reaction is carried\n            through it. This relationship becomes even more important when you create a chain of multiple joints. Whether an object is\n            a parent or child object affects the direction that the reaction to the collision is spread, or propagated. \n         </p>\n         <p><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0-1B7A\"></a>For example, to make a door swing back and forth in a door frame, the door frame must be the parent and the door be the child.\n            If you assigned these Joint objects incorrectly, where the door was the parent and the door frame the child, the door would\n            remain stationary while the dry-farm would swing back and forth. \n         </p>\n         <p><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0-1B79\"></a>The Parent/Child relationship can also define the number of objects connected to the parent. For example, one parent object\n            can have many children that are linked to it by a joint, however you cannot have one child with many parents as this creates\n            solve conflicts. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-6E14\"></a>The following sections illustrate the reaction created by the collision propagation setting of each object when it is applied\n            to three teapot models in a chain. \n         </p><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-6E13\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-07D3E154-D9B7-43EE-826E-34ECC7081DC6-low.png\"><p class=\"figure-title\">Three models before collision. (First model is set to Passive.)</p>\n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0-1B78\"></a> \n            <h2><a name=\"GUID-AD1E65A2-ECFD-4228-AD23-11E21E91C468\"></a>Two way\n            </h2> \n            <p><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0-1B77\"></a>A collision with either parent or child object affects the other. The collision reaction is spread through every connection.\n               \n            </p> \n            <p><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-725D\"></a>In the following image, all objects in the chain are affected when the objects are set to Two Way propagation. \n            </p> <a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-725C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E372E210-C502-412D-AAB5-140812FC922B-low.png\"><p class=\"figure-title\">Two-way propagation <em class=\"mild\">A.</em> Collision with second object <em class=\"mild\">B.</em> Collision with third object\n               </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0-1B76\"></a> \n            <h2><a name=\"GUID-6069D781-2A14-49B9-8136-258269262C33\"></a>Parent-to-child\n            </h2> \n            <p><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0-1B75\"></a>The Parent-to-Child relationship creates a one-way collision where the parent object affects the child object, but a collision\n               with the child object does not affect the parent object. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-725B\"></a>The following image shows the result when an object is clicked in a chain where all objects are set to Parent-to-Child Propagation.\n               In A, a collision is triggered with the second object, the effect of which influences its child, the third object. In B, a\n               collision occurs with the third object, but it has no child to which it can pass its reaction, so only the third object is\n               affected. \n            </p> <a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-725A\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-319CB19A-4966-470A-ABE1-F56F1E49BE92-low.png\"><p class=\"figure-title\">Parent-to-child <em class=\"mild\">A.</em> Collision with second object <em class=\"mild\">B.</em> Collision with third object.\n               </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0-1B74\"></a> \n            <h2><a name=\"GUID-3BC2CADB-028C-4EBC-8716-DB10F8712CF2\"></a>Child-to-Parent\n            </h2> \n            <p><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0-1B73\"></a>The Child-to-Parent relationship creates a one-way collision where the child object affects the parent object, but a collision\n               with the parent object does not affect the child object. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-7259\"></a>The following image shows the result when an object is clicked in a chain where all objects are set to Child-to-Parent Propagation.\n               In A, a collision occurs with the second object where it cannot pass its reaction to the first object, its parent, because\n               it is set to passive. In this case, only the object that has the collision is affected. In B, a collision occurs with the\n               third object that is passed to its parent, the second object. \n            </p> <a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-7258\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-092B1ADC-F2D8-4D33-B628-B7862E6FCFFF-low.png\"><p class=\"figure-title\">Child-to-Parent <em class=\"mild\">A.</em> Collision with second object <em class=\"mild\">B.</em> Collision with third object\n               </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0-1B72\"></a> \n            <h2><a name=\"GUID-5DB7958E-7112-4130-987E-783C2E393650\"></a>No Propagation\n            </h2> \n            <p><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0-1B71\"></a>A collision does not pass from the affected object to any of the joined objects. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-7257\"></a>The following image shows the result when an object is clicked in a chain where all objects are set to No Propagation. The\n               collision behavior only affects the collision object and does not pass on the reaction to any other objects. \n            </p> <a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-7256\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B74786E6-7E7F-4CE0-AC0A-C0671C24613E-low.png\"><p class=\"figure-title\">No Propagation <em class=\"mild\">A.</em> Collision with second object <em class=\"mild\">B.</em> Collision with third object.\n               </p>\n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";