var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-A900A0BA-A1A6-4707-A6AE-26FE8F49BEC6\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>HIK character structure</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-A900A0BA-A1A6-4707-A6AE-26FE8F49BEC6\"></a><div class=\"head\">\n            <h1>HIK character structure</h1>\n         </div>\n         <p><a name=\"GUID-454055F3-E493-4A69-A10C-7DD3F96349B6\"></a>The HIK solver expects the nodes of a character to be connected in certain typical arrangements. For example, the right shoulder\n            is a parent node of the right elbow, which in turn is a parent node of the right wrist. The HIK bio-mechanical model is equipped\n            with knowledge about the ways these nodes are able to move; when the solvers need to move one or more nodes to meet the requirements\n            of an IK effect or a source animation at runtime, they use this built-in knowledge to construct new poses. \n            	 \n         </p>\n         <p><a name=\"GUID-8A715E46-D007-4B29-9AE4-D122DCED808B\"></a>In order for HIK to apply this bio-mechanical model to your characters, you need to map the nodes understood by HIK to joints\n            in the skeleton of your character. \n            	 \n         </p>\n         <p><a name=\"GUID-2AD05DB9-74E0-4F12-967A-40216BE59899\"></a>At a minimum, you must characterize all fifteen nodes required by HIK. This identifies the main elements of your character.\n            You cannot use HIK to control your character at runtime if you do not provide a characterization for these fifteen required\n            nodes. In the \n            		<span class=\"MenuCascade\" id=\"GUID-687F42B0-D402-4F84-8836-065A3408F8BE\">Definition</span> tab, you cannot save or lock a characterization until you have successfully mapped all of these required nodes. \n            	 \n         </p>\n         <p><a name=\"GUID-477D3C8A-2FE5-46C6-B29D-CDE1B006D0B6\"></a>It is recommended that you also map as many other bones in the skeleton of your character as possible to other optional HIK\n            nodes. This enhances the quality and believability of the poses constructed by HIK at runtime. The following sections guide\n            you on deciding what bones you should map to what nodes. \n            	 \n         </p>\n         <div class=\"section\"><a name=\"SECTION_6C6C405B96EF4A0FAA38B240DE9F130C\"></a> \n            <h2><a name=\"GUID-3194893E-3673-4371-AEF5-98D17FBE07EA\"></a>Required nodes\n            </h2> \n            <p><a name=\"GUID-445D6865-C15C-43A6-929E-2C8F5FF0E2E3\"></a>The fifteen nodes required by the HIK solver display in the full-body layout of the Character view, and are grouped together\n               in the Required group of the Name Match view. \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-B79\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-4F9DB7C0-7325-4A14-B351-934B7EFDB086-low.png\"></div> \n            <p><a name=\"GUID-85A5082C-A9B3-4F96-9415-FC4811A3339A\"></a>These required nodes identify the main joints in the skeleton of your character: its ankles, knees, hips, spine base, shoulders,\n               elbows, wrists and head. Figuring out which bone in your skeleton map to each of these nodes is straightforward: \n               		\n            </p> <a name=\"TABLE_B1C27353680A4CE88284A655B10730C5\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"23.148148148148145%\">\n                     <col width=\"76.85185185185183%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Node \n                        				  \n                     </th>\n                     <th class=\"table-heading\">Maps to \n                        				  \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Hips \n                        				  \n                     </td>\n                     <td class=\"table-body\">The bone that is the parent of spine and leg chains in your character. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">LeftUpLeg and RightUpLeg \n                        				  \n                     </td>\n                     <td class=\"table-body\">The first bones in upper legs of your character. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">LeftLeg and RightLeg \n                        				  \n                     </td>\n                     <td class=\"table-body\">The first bones in lower legs of your character. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">LeftFoot and RightFoot \n                        				  \n                     </td>\n                     <td class=\"table-body\">The first bones that extend from ankles of your character into its feet. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Spine \n                        				  \n                     </td>\n                     <td class=\"table-body\">The first bone in the spine that is above the bone you map to the hips node. Represents the base of the spine. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\"> LeftArm and RightArm \n                        				  \n                     </td>\n                     <td class=\"table-body\">The first bones in upper arms of your character. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">LeftForeArm and RightForeArm \n                        				  \n                     </td>\n                     <td class=\"table-body\">The first bones in forearms of your character. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">LeftHand and RightHand \n                        				  \n                     </td>\n                     <td class=\"table-body\">The first bones that extend from wrists of your character into its hands. \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Head \n                        				  \n                     </td>\n                     <td class=\"table-body\">The last full bone in spine of your character, not the tip of the head, but the last full bone in the neck chain. This is\n                        typically the bone that controls the skinning of the head. \n                        				  \n                     </td>\n                  </tr>\n               </table>\n            </div> \n            <div><a name=\"GUID-CFF5B2EC-FB6E-4E52-A292-DDF037E68943\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Two optional nodes are also shown in the full-body layout: the Reference and HipsTranslation nodes. For details on these optional\n                  nodes, see \n                  		  <span class=\"char_link\"><a href=\"GUID-A900A0BA-A1A6-4707-A6AE-26FE8F49BEC6.htm#SECTION_AFFED949B4494AAC97735591BC2556BA\">Special nodes</a></span> below. \n                  		\n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_002FD84A4FFB4344A032F773A31B3590\"></a> \n            <h2><a name=\"GUID-BC2BD2CB-55B0-4F14-80C9-ADC8E1FE0F6C\"></a>Spine and neck nodes\n            </h2> \n            <p><a name=\"GUID-57B703AE-B45B-424D-ABC9-50915636ADD9\"></a>The HIK solver supports up to nine additional spine nodes (Spine1 to Spine9), and up to ten neck nodes (Neck, plus Neck1 to\n               Neck9). These nodes are numbered from bottom up, with lower numbers closest to the hips and higher numbers closer to the head.\n               \n               		\n            </p> <a name=\"UL_3451F46EEB1E48238AF9440A7E6C2DC6\"></a><ul>\n               <li>Map the first bone in the spine of your character to the required Spine node (see Required nodes above). \n                  		  \n               </li>\n               <li>Map each succeeding bone in the spine of your character to the next available spine node (Spine1, Spine2, Spine3, and so on),\n                  up until the point at which the collar or shoulder bones of your character are connected to the spine. HIK assumes that the\n                  arms are connected to the last node characterized in the spine. \n                  		  \n               </li>\n               <li>Map the first bone in the spinal column of your character that is not mapped to a spine node to the Neck node. \n                  		  \n               </li>\n               <li>Map each succeeding bone that lies between the bones you have mapped to the Neck node and to the Head node to the next available\n                  neck node (Neck1, Neck2, Neck3, and so on). You cannot skip a number when defining spine or neck nodes. For example, you cannot\n                  map a bone to Spine3 if Spine1 and Spine2 nodes are empty. \n                  		  \n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_E46A7421D98C4E3D8E39D83EFE719160\"></a> \n            <h2><a name=\"GUID-71BB6156-F816-4017-924A-C7CDB4DF730F\"></a>Hand and foot nodes\n            </h2> \n            <p><a name=\"GUID-3F0DCB04-09D4-4686-AE23-12F97D70D342\"></a>Hands and feet are exactly equivalent in HIK; each foot and each hand can contain the same types of joints. However, you define\n               each of the feet and hands of your character independently. This allows for greater complexity within each character. For\n               example, a pirate character could have one peg-leg with no joints at all below the ankle, one booted foot with a single joint\n               at the base of the toes but without fully articulated toes, one fully articulated hand, and one injured hand missing some\n               fingers. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_D86C7F96F875444BADCB42D36A84856D\"></a> \n            <h2><a name=\"GUID-695D5E72-51D0-4B9D-86EB-5D4C43FBB521\"></a>Finger and toe nodes\n            </h2> \n            <p><a name=\"GUID-58C04151-ACD0-4004-B95B-23F492EFC106\"></a>The \n               		  <span class=\"MenuCascade\" id=\"GUID-00CF7432-8B88-4F4C-B563-9FD51DE8C6D1\">Definition</span> tab lets you configure up to six toes or fingers for each foot and each hand. From left to right, the usual fingers and toes\n               are referred to as the Thumb, Index, Middle, Ring and Pinky respectively. HIK also supports the use of an extra sixth toe\n               or finger, referred to as ExtraFinger. However, the joints in the remaining fingers, as well as those of the right hand, left\n               foot and right foot, follow the same naming conventions. \n               		\n            </p> <a name=\"UL_D7E0D77CADB1446B820B10E112B992C5\"></a><ul>\n               <li>Each finger and toe can have up to four main joints, identified as 1, 2, 3 and 4. You cannot skip a number when mapping these\n                  finger or toe nodes. For example, you cannot map the LeftHandIndex3 node without also mapping both the LeftHandIndex1 and\n                  LeftHandIndex2 nodes. \n                  		  \n               </li>\n               <li>For special effects, each finger also offers an additional extra in-hand joint (LeftInHandPinky and LeftInHandThumb). These\n                  nodes are optional, and can be left out. When these optional in-hand joints are omitted, the first joints of the fingers attach\n                  directly to the finger-base node (LeftHandFingerBase). When the finger-base node is also omitted, all fingers attach directly\n                  to the required wrist node. \n                  		  \n               </li>\n               <li>The thumb always connects directly to the wrist node, regardless of the presence of the finger-base node. \n                  		  \n               </li>\n               <li>When you characterize fingers and toes for your character, it is generally recommended that you map the tip of each finger\n                  and toe to a node. This is particularly useful when manipulating finger or toe IK effectors. \n                  		  \n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_DB099E9B3D0A49CCB5B06EECEE06DCDE\"></a> \n            <h2><a name=\"GUID-B41EBF9F-6101-47C1-8FC9-8234F59CB487\"></a>Finger-base and toe-base nodes\n            </h2> \n            <p><a name=\"GUID-BCD8363B-2D69-4B1E-97EF-E17A2B47472A\"></a>The optional finger-base and toe-base nodes provide joints inside the hands and feet of your character, at the points where\n               the fingers and toes bend. These nodes are used most often in situations where the full articulation of each toe or finger\n               is not required, but where bending the hand or foot at the location of the knuckles increases realism. For example, in the\n               case of a human character with a closed shoe, the toe-base node allows the foot to bend like a hinge at the base of the toes,\n               even though no nodes are defined for the individual toes. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_AFFED949B4494AAC97735591BC2556BA\"></a> \n            <h2><a name=\"GUID-51F785BE-11B1-474E-8CF7-17FFE4A220E2\"></a>Special nodes\n            </h2> \n            <p><a name=\"GUID-E1B507E5-7055-42A5-B27B-2CAF99CB38F4\"></a>In addition to the nodes discussed above, HIK supports the following nodes for special effects. \n               		\n            </p> \n            <div class=\"section\"><a name=\"SECTION_401E2ECEE3A640048566520834ACF361\"></a> \n               <h3><a name=\"GUID-CFED5426-1445-4A11-B388-9E5F4E5EE758\"></a>Shoulder and ShoulderExtra nodes\n               </h3> \n               <p><a name=\"GUID-B2C32C33-6621-4BCA-BE70-9BF7286EBF5E\"></a>HIK offers two shoulder nodes on each side of the body, which can help to simulate the movements of shoulder of a human as\n                  the arm rotates and raises. \n                  		  \n               </p> \n               <p><a name=\"GUID-87C6925A-02EE-4DCE-876A-4F72ABC88787\"></a>If your skeleton contains bones that lie between the spine and the bone that is mapped to the LeftArm or RightArm node, you\n                  can map those bones to the LeftShoulder, RightShoulder, LeftShoulderExtra and RightShoulderExtra nodes. You must map the shoulder\n                  node first; you can only map the LeftShoulderExtra node if you have already mapped the LeftShoulder node. \n                  		  \n               </p> \n            </div> \n            <div class=\"section\"><a name=\"SECTION_E0746FDF53224D9D92C97D5F0E8E44F5\"></a> \n               <h3><a name=\"GUID-A6BFFBB6-DA59-4F90-B535-37702C2FAF2F\"></a>Roll nodes\n               </h3> \n               <p><a name=\"GUID-E9901661-816D-486F-A313-E92A8EB11126\"></a>Roll nodes let you map bones of upper arms, lower arms, upper legs and lower legs for your character. Whenever a HIK solver\n                  applies roll rotation to a node that has a child roll node, a percentage of that roll rotation can be extracted from the parent\n                  node and applied to the child roll node instead. This process is referred to as roll extraction. Roll extraction simulates\n                  the way biped and quadruped arms and legs actually rotate around their axes. It can enhance the realism of the animations\n                  created for skinned characters by controlling skin deformations from more appropriate positions further along the limb.\n                  		  \n               </p> \n               <div><a name=\"GUID-D66CD744-E01A-40BD-80EA-7A2E6FD429E9\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> Roll nodes are supported by MotionBuilder 2018 and newer versions. In previous versions roll nodes are not supported, and\n                     the \n                     			 <span class=\"MenuCascade\">Roll Mode</span> menu is not available.\n                     		  \n                  </div>\n               </div> \n               <p>You can map a maximum of five leaf roll bones per limb. All leaf roll bones are parented to the same limb bone, and the placement\n                  of leaf roll bones along the bone and the percentage of rotation per leaf roll bone is determined by the number of leaf roll\n                  bones per limb. When limbs have more than one leaf roll bone, the percentage of rotation is divided between the bones. See\n                  also \n                  			 <span class=\"char_link\"><a href=\"GUID-53EA32FD-7C8D-4C25-AE00-01BEB934E205.htm\">Define roll bone behavior</a></span>. \n                  		  \n               </p> \n            </div> \n            <div class=\"section\"><a name=\"SECTION_964F01C11F8247D6805A562685A86DFC\"></a> \n               <h3><a name=\"GUID-3651BD5A-8E6C-4668-84F4-781D92D24C40\"></a>Reference\n               </h3> \n               <p><a name=\"GUID-BFB6DAFB-B618-40C9-805E-D4D1777EA18D\"></a>This node is intended as an optional repository for the overall translation, rotation and scale of your character. Consider\n                  it an abstract parent to the hips of your character. \n                  		  \n               </p> \n               <p><a name=\"GUID-A40FC88C-DF30-4F15-90DA-76A0DA95587C\"></a>In most cases, you do not need to use the Reference node. It is intended primarily for certain specific situations, such as:\n                  \n                  		  \n               </p> <a name=\"UL_66ADE8F9468A49F89EF33198F025FC5D\"></a><ul>\n                  <li>When the hips of your model have a parent that defines the overall translation, rotation and scaling of the character. In\n                     this case, it can be convenient to use the Reference node to synchronize data from that parent into HIK. \n                     			 \n                  </li>\n                  <li>When you are retargeting animation, you can instruct HIK to force the target character to follow the scale of the movements\n                     of your source character exactly. In this case, using the Reference node is the only way to modify the overall translation,\n                     rotation and scaling of the target character. \n                     			 \n                  </li>\n               </ul> \n            </div> \n            <div class=\"section\"><a name=\"SECTION_FE8B8EB682624E76BFF5A7E4148AA5EE\"></a> \n               <h3><a name=\"GUID-7F8FEE00-DA67-456B-983E-DFD649403BFF\"></a>HipsTranslation\n               </h3> \n               <p><a name=\"GUID-F0E8B2D3-7B82-43A5-A2CE-6335938E2DE0\"></a>This node is used as an independent repository for the translation of the hips of your character. If you characterize this\n                  node for your character, and the HIK solver needs to offset the translation of the Hips node of your character, the resulting\n                  translation is stored back in the bone that is mapped to the HipsTranslation node rather than the bone mapped to the Hips\n                  node. \n                  		  \n               </p> \n               <p><a name=\"GUID-33138DAB-7713-425E-BAE9-AE32E95EB1F7\"></a>The rotation of the hips remains stored by default in the Hips node, even when the HipsTranslation node is characterized.\n                  You can use the HipsTranslation node to retarget the trajectory of a source character to a target character. \n                  		  \n               </p> \n            </div> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-0CA89528-94E7-45EE-B604-EB6C1E7CD911.htm\">Definition tab \n                           		</a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-25126449-FAA8-4F6C-B033-B93816140182.htm\">Define a skeleton for HIK \n                           		</a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";