var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-ACDBAA97-3D86-4DE2-952B-F66C8B34CC4D\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Adding tabs to custom layouts</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-ACDBAA97-3D86-4DE2-952B-F66C8B34CC4D\"></a><div class=\"head\">\n            <h1>Adding tabs to custom layouts</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5A4F\"></a> Default layouts contain windows with tabs that combine two or more windows in the same window. For example, the following\n            figure combines the Pose Controls window, Properties window, Filters window, Asset browser, Groups window, and Sets window\n            in the same location. To switch between windows, click on the appropriate tab. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5A4D\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B4076C17-1D4C-4936-A6E2-083649CAFA04-low.png\"><p class=\"figure-title\">Window with tabs</p>\n         </div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5A4B\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5A4A\"></a>To add tabs to a custom layout:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Go to <span class=\"code\">config/Layouts</span> directory in your <span class=\"charspan-msgph\">MotionBuilder</span> folder after performing a Show Package Contents. \n            </li>\n            <li>Open and edit your custom layout using a text editor. </li>\n            <li>To create a window with two tabs, change the <span class=\"code\">NbTools</span> line to the number of tabs you want. \n               <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5A46\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>There is a limit of nine tabs per window. \n                  </div>\n               </div> \n            </li>\n            <li>For each tab, you must add a separate <span class=\"code\">ToolName_n = window_name</span>, where <span class=\"code\">n</span> is the number of the tab and <span class=\"code\">window_name</span> is the name of a <span class=\"charspan-msgph\">MotionBuilder</span> window. \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5A43\"></a>The following is an example of a window declaration: \n               </p> \n               <div class=\"codeBlock\"><pre>\n[Wnd_2]\nNbTools = 3\nToolName_1 = Asset Browser\nToolName_2 = Groups\nToolName_3 = Properties\nUsePix = true\nTabPos = top\nToolX = 8\nToolY = 7\nToolW = 240\nToolH = 998\n</pre></div> \n            </li>\n            <li>Change the position, width, and height of the window using the <span class=\"code\">ToolX</span>, <span class=\"code\">ToolY</span>, <span class=\"code\">ToolW</span>, and <span class=\"code\">ToolH</span> lines. Change the tab position by specifying either <span class=\"code\">Top</span> or <span class=\"code\">Bottom</span> beside <span class=\"code\">TabPos</span>. \n               <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5A41\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Be careful when you edit custom layouts. Typographical errors, bad numbering, and multiple windows with identical tabs can\n                     cause problems. \n                  </div>\n               </div> \n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5A3F\"></a><ul>\n            <li> <span class=\"char_link\"><a href=\"GUID-EC39970A-7263-4FED-8A4C-93747A8C4DF5.htm\">Creating, updating, renaming, and deleting a layout</a></span> \n            </li>\n         </ul>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";