var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-B0D839AF-599C-4D79-8885-1D1B890F136B\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Using Anti-aliasing with cameras</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-B0D839AF-599C-4D79-8885-1D1B890F136B\"></a><div class=\"head\">\n            <h1>Using Anti-aliasing with cameras</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1F9C\"></a> Anti-aliasing is used to blur the hard edges of your models in the display so they do not appear pixelated. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1F40\"></a> In the figure below, A is an illustration of a model’s edge without depending on pixels or scan lines is shown. Because the\n            smallest unit of measurement is a pixel, the model is adapted by splitting its image into pixels. This results in an aliased,\n            or jagged edge. To smooth this edge, each pixel is sampled at different locations to determine its color.\n            	 \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-1F3E\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-252AB920-6E33-4109-90D5-7D4CF196D4C6-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> With antialiasing applied. \n               		<em class=\"mild\">B.</em> Without antialiasing: the image is about to be over-sampled. \n            </p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1F9A\"></a>Remove the grid from your current camera when using anti-aliasing because \n            		<span class=\"charspan-msgph\">MotionBuilder</span> applies anti-aliasing to the grid as well as to models. See \n            		<span class=\"char_link\"><a href=\"GUID-EC69EB43-3179-4248-8EAB-E4CEBA826AF6.htm\">Showing the Viewer window grid</a></span> for more on how to disable the grid in the Viewer window. \n            	 \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-1F99\"></a><ol type=\"1\" start=\"1\">\n            <li>Hide objects such as Nulls, lights, cameras, and skeletons as these objects are also antialiased when anti-aliasing is activated,\n               and slow the frame rate and rendering time of your scene. \n               		\n            </li>\n            <li>Activate Use Antialiasing in the Camera settings Render options pane. \n               		  \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1F96\"></a>When this setting is activated, there is a brief pause as the scene is re-rendered. When this setting is disabled, anti-aliasing\n                  is not applied. \n                  		  \n               </p> \n            </li>\n            <li>Double-click in the Intensity field to enter an anti-aliasing value to increase or decrease the intensity of the antialias\n               blur. \n               		  \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1F94\"></a>For best results, use a low intensity. The default setting is 0.78. \n                  		  \n               </p> \n               <div><a name=\"WS73099CC142F4875535A241551166AC8792F-1F93\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Because anti-aliasing blurs the entire image, a high intensity value may blur important details. \n                     		  \n                  </div>\n               </div> \n            </li>\n            <li>Use the Sample Count field to enter the number of times each pixel is sampled to determine the pixel’s color. The higher the\n               number of samples the more accurate the pixel color, but the longer it takes to render. \n               		\n            </li>\n            <li>Activate the Use Accumulation Buffer option if you are using a computer with a hardware accumulation buffer. \n               		  \n               <div><a name=\"WS73099CC142F4875535A241551166AC8792F-1F8F\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If your computer is not equipped with a hardware accumulation buffer, a software emulation of the buffer is activated. \n                     		  \n                  </div>\n               </div> \n            </li>\n         </ol>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1F8D\"></a>The software emulation of the accumulation buffer may decrease computer performance. See \n            		<span class=\"char_link\"><a href=\"GUID-02996F75-D1C6-4743-80C4-6D689F1865BF.htm\">Anti-alisasing settings</a></span>. \n            	 \n         </p>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";