var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-B0EC0681-A3B3-4370-A96E-10D545831A3A\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Layouts</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-B0EC0681-A3B3-4370-A96E-10D545831A3A\"></a><div class=\"head\">\n            <h1>Layouts</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5A80\"></a> <span class=\"charspan-msgph\">MotionBuilder</span> includes the Editing, Scripting, and Preview layouts that are designed for specific tasks. For example, the Editing layout,\n            with a large Viewer and numerous animation editing tools, is ideal for creating and playing back animation. \n         </p>\n         <p><a name=\"GUID-29E0C26D-EA89-400C-9A16-E94F7DB5F6D4\"></a>Unlike the Scripting layout, the Preview layout, and the custom layout, the Editing layout remains consistent regardless of\n            your screen\'s resolution, thus providing a uniform layout experience on all systems. \n         </p><a name=\"FIG_BB10FDF511B2423FBBEE027E0DBEA876\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A9AB9267-CA42-4DEF-A80E-E49D274DFC7D-low.png\"><p class=\"figure-title\">Editing Layout</p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF7B1DE9F8127315F1B54-5FF2\"></a>The Preview layout is the suggested layout for playing back animation as it has a screen-wide Viewer and timeline. <a name=\"FIG_C8642412130542CEBFDF78EFA9683018\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-95C5B817-5B93-4ACC-B0CE-100800117339-low.png\"><p class=\"figure-title\">Preview layout</p>\n            </div> \n         </p>\n         <p><a name=\"GUID-F9BC0DCB-0C07-48F6-A9E6-EC8093377E2D\"></a>The Scripting layout contains tools that lend themselves to editing Python scripts such as the Python Editor, Python Tool\n            Manager, Navigator, Profiling Center, and Asset Browser. <a name=\"FIG_C235FFA65108439987956EAFFE2F4E1F\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-875161E8-8D20-45B4-9160-8D3AA2C9AD79-low.png\"><p class=\"figure-title\">Scripting layout</p>\n            </div> \n         </p>\n         <p><a name=\"WS1A9193826455F5FF7B1DE9F8127315F1B54-6087\"></a>The preset layouts support multiple screen resolutions. If your monitor settings do not match one of these resolutions, <span class=\"charspan-msgph\">MotionBuilder</span> uses the largest layout that fits within your current screen resolution. The following table describes the six screen resolutions:\n            \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5BD3\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"26.408689748811952%\">\n                  <col width=\"73.59131025118806%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\">Screen Resolution </th>\n                  <th class=\"table-heading\">Description </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">1024 x 768 </td>\n                  <td class=\"table-body\">This resolution causes the layouts to point to the Preview layout </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">1280 x 1024 </td>\n                  <td class=\"table-body\">This resolution causes some tools to re-position themselves on the screen to prevent being cropped. </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">1440 x 900 </td>\n                  <td class=\"table-body\">This resolution is common for laptops. </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">1440 x 960 </td>\n                  <td class=\"table-body\">This resolution is supported so all resolutions greater than 1280 x 1024 have the same widescreen layout look. </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">1600 x 1200 </td>\n                  <td class=\"table-body\">This resolution is common for non widescreen monitors. </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">1920 x 1200 </td>\n                  <td class=\"table-body\">This resolution includes the Profiling Center in Scripting layout and is the recommended minimum resolution for production\n                     use. \n                  </td>\n               </tr>\n            </table>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5A7C\"></a>You can also create, rename, update, and delete custom layouts using the Layout menu. Each layout saves the size and position\n            of currently opened windows. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5A7B\"></a>You can use an external text editor to add tabs to the windows in your custom layouts so that more than one window can occupy\n            the same screen space. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5A7A\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The windows in each pre-defined layout may change depending on your screen size. For example, the Preview and Scripting layouts\n               contain different windows when your display preferences are set to 1280 by 1024 compared to 1600 by 1200. \n            </div>\n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-D25BABF6-2031-4688-90FE-D6B31DF005F3.htm\">Layout menu </a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-EC39970A-7263-4FED-8A4C-93747A8C4DF5.htm\">Creating, updating, renaming, and deleting a layout</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-ACDBAA97-3D86-4DE2-952B-F66C8B34CC4D.htm\">Adding tabs to custom layouts</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-61EAAA51-7F95-4CC8-A208-2C0B46D4FCC3.htm\">Rearranging the interface</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";