var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-B237E1D6-4303-4B95-82BE-BD51EFDCA1C1\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Solver pane</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-B237E1D6-4303-4B95-82BE-BD51EFDCA1C1\"></a><div class=\"head\">\n            <h1>Solver pane</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755-1EB804411AF8B41570-6AE0\"></a>The Physics Solver pane contains controls to activate and record Rigid Body, Ragdoll, and Joint solving. \n         </p>\n         <div><a name=\"WS73099CC142F48755-191A86AC126720FA35433FF\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> On 64-bit systems, the Physics Solver cannot process objects that have degenerated polygons or invalid normals. When this\n               occurs, a warning message appears that identifies the models that have this problematic geometry, and bounding boxes are used\n               to approximate these shapes instead. Using these bounding boxes for the joint solve may produce solve results that differ\n               from the expected behavior. If possible, use the Cube, Capsule, or Sphere approximations to match your geometry with more\n               precision. For more complex geometry, reconstruct your model with 3D software to avoid these non-standard geometry problems.\n               This problem does not occur in the 32-bit version of <span class=\"charspan-msgph\">MotionBuilder</span>. \n            </div>\n         </div><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7EB8\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-CDACCCB2-41E6-4E25-9530-B7CBE5DBAC33-low.png\"></div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7EB7\"></a> \n            <h2><a name=\"GUID-A61C31B0-16D2-4B6D-B0EB-8818C50E7DCF\"></a>Physics solving indicators\n            </h2> \n            <p><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-1138\"></a>These indicators are also buttons you can use to activate or disable Physics solving.   \n            </p> <a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7EB6\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"20.11767368182847%\">\n                     <col width=\"79.88232631817154%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Indicator </th>\n                     <th class=\"table-heading\">Function </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Online </td>\n                     <td class=\"table-body\">Activates physics solving. In the <span class=\"MenuCascade\" id=\"GUID-CEE5CD41-0816-4E7C-8317-C7190E2DD8DA\">Navigator &gt; Properties</span> window, the Online option is referred to as <span class=\"MenuCascade\" id=\"GUID-CADF8A25-5D58-4D64-BA8D-A033E4873A54\">Active</span>. \n                        <div><a name=\"WS1A9193826455F5FF-697CA69811EB7D3FF67-7FF8\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You cannot add Physical properties (for example Rigid Body, Ragdoll or Joint) to objects while the Physics Solver is online.\n                              \n                           </div>\n                        </div> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Live </td>\n                     <td class=\"table-body\">Starts the physics solving behavior. Use this textbox as a testing area where you can activate the solve independently of\n                        the timeline so you can test the manipulations and interaction of the objects. When the physics solving behavior is tuned\n                        appropriately, click <span class=\"MenuCascade\" id=\"GUID-A513D59C-962C-4852-8794-7F1F12BADD9A\">Record</span> to record the key-frame data. In the <span class=\"MenuCascade\" id=\"GUID-B636C332-92C4-4769-9BC5-FE244DDA1071\">Navigator &gt; Properties</span> window, the Live option is referred to as <span class=\"MenuCascade\" id=\"GUID-336DA287-AAB6-4E76-A589-43204D03C3C1\">Live State</span>. \n                        <div><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C054E\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>When you set the Physics Solver to Live, if you select an object that has a Physical property, such as Ragdoll, Rigid Body,\n                              or Joint attached to it, you need to deselect the object otherwise the object will ignore the Physics Solver. If the Physical\n                              property object is selected when the Physics Solver is Live during recording, the FCurves are re-evaluated based on the Frame\n                              Rate shown in the Transport Controls. \n                           </div>\n                        </div> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Recording </td>\n                     <td class=\"table-body\">Indicates that the physics solving is ready for recording. In the <span class=\"MenuCascade\" id=\"GUID-86DC5BD6-3928-4830-B88A-CF56C7B46571\">Navigator &gt; Properties</span> window, the Recording option is referred to as <span class=\"MenuCascade\" id=\"GUID-ED161BC3-2708-4B0F-9E72-35AD989A9504\">Record State</span>. \n                     </td>\n                  </tr>\n               </table>\n            </div> \n            <div><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-1137\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>When you want to record solving, make sure that the Online, Live, and Recording indicators are active and then press the Record\n                  in the Transport controls. See <span class=\"char_link\"><a href=\"GUID-CC2F5FEE-6205-4DEB-A667-F28CD37902B1.htm\">Creating a character collapse with Ragdoll</a></span> ,<span class=\"char_link\"><a href=\"GUID-6836E400-D67A-4DF2-A3CF-2C1FE421F524.htm\">Creating collision effects</a></span>, and <span class=\"char_link\"><a href=\"GUID-1795C2F6-8583-467C-8C1D-D3DA59C54C79.htm\">Creating a Joint reaction</a></span> for how to record solving behavior. \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7EB3\"></a> \n            <h2><a name=\"GUID-B5E5E5B4-0115-4E5D-A60A-FFFACBBE4798\"></a>Reset to Start\n            </h2> \n            <p><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7EB2\"></a>Click this button to define the position from where your animation starts. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7EB1\"></a> \n            <h2><a name=\"GUID-FECE346F-CACE-459A-8F5F-133677D0E304\"></a>Set Start State\n            </h2> \n            <p><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7EB0\"></a>Click this button to restore the affect object or model to its Start State. \n            </p> \n            <div><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-1135\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If the <span class=\"MenuCascade\" id=\"GUID-1D7AE783-5E66-4D20-B2E4-7E1FFF9A3D31\">Live</span> button is active, the solving begins immediately after you click <span class=\"MenuCascade\" id=\"GUID-D9952C84-C6C0-488B-818C-2F1176832690\">Reset to Start</span>. To restore the object or model to the starting position without starting to immediately solve, disable the <span class=\"MenuCascade\" id=\"GUID-CEE2C1C0-1FEF-4F71-8B68-61ED9A10535F\">Live</span> button. \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7EAF\"></a> \n            <h2><a name=\"GUID-F7F02A12-5D71-4484-AF5A-CB39C6200B9D\"></a>Samples per Frame\n            </h2> \n            <p><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7EAE\"></a>Set a value in this field to increase or decrease the precision of the solve record. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF5CF1D02511B1D0009782B00\"></a>This field sets the number of keys or samples that you are going to take per frame. By default, it is set to 3 so that the\n               solve takes 3 keys per frame. \n            </p> \n            <div><a name=\"WS1A9193826455F5FF5CF1D02511B1D0009782B01\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>The more you capture, the better the solve, and you can avoid problems like tunnelling. However, setting a higher amount to\n                  create high-quality solve creates performance speed issues. \n               </div>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF5CF1D02511B1D0009782B02\"></a>Currently, this field does not support decimal values, such as 0.5, as it increases the occurrence of tunnelling problems.\n               \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7EAD\"></a> \n            <h2><a name=\"GUID-81FC808A-048F-4D88-89F1-4497C9384CEC\"></a>Ground Plane Model\n            </h2> \n            <p><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7EAC\"></a>Alt-drag an object or objects from the Viewer window or Schematic view into this field to define it as the “floor” to which\n               the Physics Solver will refer. You can also select an object from the Asset Selection list. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF4E421D7D11BF108001D-49B\"></a> \n            <h2><a name=\"GUID-5C42EF24-27A5-4031-9B45-724BC745D520\"></a>Global Scale Value\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF4E421D7D11BF108001D-49A\"></a>Sets a global scale. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7EAB\"></a> \n            <h2><a name=\"GUID-8FE035A5-1D72-4D00-A27B-3CB2EDCF9AFA\"></a>Unassigned Markers Become Passive Rigid\n            </h2> \n            <p><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7EAA\"></a>Turn on this option when you want to create rigid, non-active assets from any un-assigned objects in the scene. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-1134\"></a> \n            <h2><a name=\"GUID-F7A820F0-9598-4693-A0E5-6FBC1F1ED688\"></a>Selection Adds a Force\n            </h2> \n            <p><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-1133\"></a>When this option is active, the Physics solving creates a reaction whenever you click an object or model with the mouse. Activate\n               this option to “tickle” or “poke” the object or model to provoke action. This is useful for testing Physics settings; activate\n               Live, let objects fall, and click them to push them around. This way you can test things like friction, slip, and their interaction.\n               \n            </p> \n            <div><a name=\"WS1A9193826455F5FF2566FFD511FF6F8C7CA-65BB\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If you select an object in the Navigator window or Schematic view that has the Selection Adds a Force setting active, force\n                  is applied and the object moves. \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF4E421D7D11BF108001D-499\"></a> \n            <h2><a name=\"GUID-B37347E3-F853-4874-8D6F-54E910B06DFB\"></a>Record to Story\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF4E421D7D11BF108001D-498\"></a>Turn on this option to record the solve to the story window as an animation track. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";