var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-B989247F-8578-49FD-B14D-8F92780473AE\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Sending 3ds Max Scenes to MotionBuilder</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-B989247F-8578-49FD-B14D-8F92780473AE\"></a><div class=\"head\">\n            <h1>Sending 	 3ds Max Scenes to 	 MotionBuilder</h1>\n         </div>\n         <p>This tutorial guides you through the procedures necessary to create a biped in \n            		<span class=\"charspan-msgph\">3ds Max</span>, send a \n            		<span class=\"charspan-msgph\">3ds Max</span> skeleton, biped, and character to \n            		<span class=\"charspan-msgph\">MotionBuilder</span> and prepare them for animation, animate a \n            		<span class=\"charspan-msgph\">3ds Max</span> character in \n            		<span class=\"charspan-msgph\">MotionBuilder</span> and send the animated \n            		<span class=\"charspan-msgph\">3ds Max</span> character back to \n            		<span class=\"charspan-msgph\">3ds Max</span> as a fully-editable animated character. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-760F\"></a>The tutorial covers the following three kinds of animatable skeletons that originate from 3ds Max: \n            	 <a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-760E\"></a><ul>\n               <li>Conventional 3ds Max bone system skeleton \n                  		\n               </li>\n               <li>Biped system skeleton \n                  		\n               </li>\n               <li>Skinned character with skeleton \n                  		\n               </li>\n            </ul> \n         </p>\n         <p><a name=\"GUID-03445F0B-456A-4148-A3E7-3FA2FBC9C383\"></a>The tutorial shows you how to: \n            	 <a name=\"WS1A9193826455F5FF47B7AA4B11FBE75ECF1-73FC\"></a><ul>\n               <li>Send two kinds of \n                  		  <span class=\"charspan-msgph\">3ds Max</span> skeletons and a \n                  		  <span class=\"charspan-msgph\">3ds Max</span> character to \n                  		  <span class=\"charspan-msgph\">MotionBuilder</span> \n               </li>\n               <li>Characterize and add a Control rig to the \n                  		  <span class=\"charspan-msgph\">3ds Max</span> skeletons and character in \n                  		  <span class=\"charspan-msgph\">MotionBuilder</span> \n               </li>\n               <li>Animate the \n                  		  <span class=\"charspan-msgph\">3ds Max</span> character in \n                  		  <span class=\"charspan-msgph\">MotionBuilder</span> and send it back to \n                  		  <span class=\"charspan-msgph\">3ds Max</span> \n               </li>\n            </ul> \n         </p>\n         <p><a name=\"GUID-43B71B7F-DFD8-4C9D-91FB-6085BBD7BE09\"></a>The tutorial was written using the \n            		<span class=\"charspan-msgph\">3ds Max</span> software version 2014 and the \n            		<span class=\"charspan-msgph\">MotionBuilder</span> software version \n            		<span class=\"charspan-msgph\">2020</span>. \n            	 \n         </p>\n         <div><a name=\"WS1A9193826455F5FF3913A1A412260CA5929-749C\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> Although the procedures in this tutorial use the \n               		<span class=\"charspan-msgph\">MotionBuilder</span> keyboard shortcuts, you can use the \n               		<span class=\"charspan-msgph\">3ds Max</span> keyboard shortcuts in \n               		<span class=\"charspan-msgph\">MotionBuilder</span> if you select Settings <img class=\"adsk-glyph-arrow\" src=\"../images/ac.menuaro.gif\"> Keyboard Configuration <img class=\"adsk-glyph-arrow\" src=\"../images/ac.menuaro.gif\"> <span class=\"charspan-msgph\">3ds Max</span> from the \n               		<span class=\"charspan-msgph\">MotionBuilder</span> menu bar. See the \n               		<span class=\"charspan-msgph\">MotionBuilder</span> <span class=\"charspan-msgph\">3ds Max</span> keyboard shortcuts in the \n               		<em class=\"mild\">Keyboard Shortcuts</em> chapter of the \n               		<span class=\"charspan-msgph\">MotionBuilder</span> Help. \n               	 \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"SECTION_3032F7893B3246FD969EEFB2B61EC2BD\"></a> \n            <h2><a name=\"GUID-E815D70C-E80E-4E29-8A29-0FFAF1CA7FEE\"></a>About frame rates\n            </h2> \n            <p><span class=\"charspan-msgph\">MotionBuilder</span> adopts the native frame rate used in files imported from other software. \n               		\n            </p> \n            <p><a name=\"GUID-172F1528-271F-437C-AB95-8B8BA003A766\"></a>If you send a skeleton from \n               		  <span class=\"charspan-msgph\">3ds Max</span> to \n               		  <span class=\"charspan-msgph\">MotionBuilder</span>, \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> changes its default frame rate of 24 frames per second (FPS) to match the frame rate of the \n               		  <span class=\"charspan-msgph\">3ds Max</span> file (30 FPS) when the file is imported into \n               		  <span class=\"charspan-msgph\">MotionBuilder</span>. \n               		  \n               <div><a name=\"GUID-3E6739AC-1DAC-44A1-8296-43CC5713AFDC\"></a><div class=\"note-important\"><span class=\"label label-target-language\">IMPORTANT:</span><span class=\"charspan-msgph\">MotionBuilder</span> retains the new frame rate (30 FPS) as the default unless you restore it to its native frame rate of 24 FPS. \n                     		  \n                  </div>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F48755-49D92FDB129CC323221-6F34\"></a>For example, if you create a 90-frame animation for video, using an NTSC frame rate of 30 frames per second, the result will\n               be three seconds of animation. If you later need to output to PAL video (at 25 frames per second), you can switch to the PAL\n               frame rate. The 90 frames are converted to 75, and produce the same total animation time with a different number of frames.\n               You can later switch back to NTSC frame rate to restore the original 90 frames of animation. \n               		\n            </p> \n            <p><a name=\"WS73099CC142F48755-49D92FDB129CC323221-6F35\"></a> You can change the frame rate for your \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> output at any time, outputting the correct number of frames to maintain the correct playback speed for your animation, without\n               losing animation data. \n               		\n            </p> \n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-DD70BD75-E129-4544-8B74-CEB29CF774CE.htm\">Requirements</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8D411B02-B031-4435-9A44-4FCA647CF900.htm\">3ds Max skeletons</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-B2EB1569-639B-49A2-98F9-4BD4C6503614.htm\">3ds Max bipeds</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-438662F9-0711-48D5-867B-F09B0E8FA626.htm\">3ds Max characters</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";