var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-B9C0555C-8E6B-449E-B0C5-B825C29028A8\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Guidelines for creating a character model</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-B9C0555C-8E6B-449E-B0C5-B825C29028A8\"></a><div class=\"head\">\n            <h1>Guidelines for creating a character model</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-463\"></a>Character models are 3D objects that can resemble bipeds, quadrupeds, or any other type of figure. They are composed of a\n            skeleton covered by a geometric skin or mesh. The geometric skin is what gives a model its outer appearance. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-462\"></a>In many production pipelines, characters are modeled in other software such as Maya. This means that the geometric skin that\n            shapes the model, as well as the bones and joints of the model’s skeleton are laid out, and the whole model is exported to\n            <span class=\"charspan-msgph\">MotionBuilder</span>. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-461\"></a>To take advantage of the character and facial animation features in <span class=\"charspan-msgph\">MotionBuilder</span>, keep the following guidelines in mind when creating character models: \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-460\"></a><ul>\n            <li>Name your skeleton using <span class=\"charspan-msgph\">MotionBuilder</span> recognized naming conventions. See <span class=\"char_link\"><a href=\"GUID-01F4E635-93BD-44C9-8773-72FD413B54F0.htm\">Bone naming conventions</a></span>. \n            </li>\n            <li>Create your model in a T-stance to aid the characterization process. See <span class=\"char_link\"><a href=\"GUID-66E8AAFC-54D7-4ADD-9304-58BC3F77C0BF.htm\">Stance</a></span>. \n            </li>\n            <li>After creating your model’s geometry, your character model should be properly skinned. See <span class=\"char_link\"><a href=\"GUID-13C7962D-C337-457E-A4DF-776632534B7A.htm\">Skin</a></span>. \n            </li>\n            <li>If you intend to take advantage of <span class=\"charspan-msgph\">MotionBuilder</span>’s facial animation and voice recognition capabilities, you should also create specific shapes or clusters for your model’s\n               head. \n               <p><a name=\"GUID-6E4FA743-5DD6-403D-A393-EA66215CFC72\"></a>For a complete list of recommended shapes and more information on facial animation, see <span class=\"char_link\"><a href=\"GUID-BD8667AD-635F-45AE-B189-9F703A950B0B.htm\">Animating Faces</a></span>. \n               </p> \n            </li>\n         </ul>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-E0564EF6-5C56-4FC6-B34C-1FE6F1F28C91.htm\">Models </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-07B6B2CF-9297-43C1-9BA3-8FEAB5B651A7.htm\">Skeletons </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-66E8AAFC-54D7-4ADD-9304-58BC3F77C0BF.htm\">Stance </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";