var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-BA14C51F-20A1-4305-9273-E44022B8D389\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Creating and defining a Marker set with optical data</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-BA14C51F-20A1-4305-9273-E44022B8D389\"></a><div class=\"head\">\n            <h1>Creating and defining a Marker set with optical data</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-88\"></a> A Marker set links optical motion data to the Actor asset, matching the motion data to the body parts of an Actor. Linking\n            the Actor to the optical data through a Marker set lets you preview the optical motion data on the Actor. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-86\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F4875535A241551166AC8792F-85\"></a>To create and define a Marker set with optical data:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Load a file containing optical motion data. <a name=\"WS73099CC142F4875535A241551166AC8792F-83\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E26153AF-9220-4008-9285-FB9140712ED3-low.png\"><p></p>\n                  <p class=\"figure-title\">Motion capture data loaded in the scene</p>\n               </div> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-81\"></a>Ideally, the markers load in a T-stance facing the positive Z-axis. When capturing motion data, you should always start or\n                  end your take with the performer in a T-stance facing the positive Z-axis. \n               </p> \n            </li>\n            <li>From the Asset browser &gt; Characters folder, drag an Actor asset into the scene. <a name=\"WS73099CC142F4875535A241551166AC8792F-7F\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E0929E68-1ADE-49C2-9F50-3DEEFDD82D0F-low.png\"><p></p>\n                  <p class=\"figure-title\">Actor added to the scene</p>\n               </div> \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-7D\"></a>The name Actor appears in the Navigator window &gt; Actors folder, the Actor Settings display in the right pane, and a gray model\n                  displays in the scene. \n               </p> \n            </li>\n            <li>In the Viewer window, select the hips of the Actor and translate until the Actor appears inside the cloud of data markers.\n               \n            </li>\n            <li>Translate, scale, and rotate the Actor and its body parts until the data markers are appropriately aligned. \n               <div><a name=\"WS73099CC142F4875535A241551166AC8792F-7A\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>Try to position the body of the Actor so that the markers are placed exactly as they were on the body of the performer. \n                  </div>\n               </div> \n            </li>\n            <li>In the Actor settings, click the MarkerSet button and select Create in the Marker Set menu. </li>\n            <li>In the Navigator window, click the Lock button to keep the Actor settings. </li>\n            <li> <span class=\"keyboardEntry\">Alt</span>-drag each optical marker into the appropriate body part cell of the Actor representation. Each cell can have a maximum of\n               five markers. \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-75\"></a>As you drag markers into the Actor representation in the Actor Settings, white markers representing the Marker set appear\n                  around the light blue optical sensors in the Viewer window. The cells in the Actor representation display the number of markers\n                  affecting each body part, and the names of the sensors appear in the Object(s) List. \n               </p> \n               <div><a name=\"WS73099CC142F4875535A241551166AC8792F-74\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Make sure to deselect each marker after you are finished dragging it, otherwise it is dragged into each successive cell. When\n                     using a Glove device, place hand markers into the wrist cells, and the Glove reference into the Glove reference fields in\n                     the hand cells. To see the Glove reference fields, click the hand cell in the Actor representation. \n                  </div>\n               </div> \n            </li>\n            <li>In the Actor Settings, click Snap to calculate offsets and to activate the mapping in the Actor settings. </li>\n            <li>Click TR in the dialog box that appears asking how you want to recalculate the Marker set offsets. TR indicates that you want\n               to recalculate them based on both translation and rotation \n               <p><a name=\"WS73099CC142F4875535A241551166AC8792F-6F\"></a>The Actor is active, and the position of the sensors match the body parts of the Actor. The Marker set links the sensors and\n                  the Actor, letting the Actor move using the optical motion data. \n               </p> \n            </li>\n         </ol>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-6E\"></a>After you have created a Marker set for an Actor, you can select the Actor as a motion source for a characterized character.\n            \n         </p>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-EFD4831F-FE3A-4459-BCF9-03A11DD6CEF0.htm\">Optical motion data </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-D93DE8FE-E2DE-4DF1-B750-E03A6D6F02AB.htm\">Actor assets </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-5AF7A1EC-2F06-4F0D-B3E2-372734DEB7F3.htm\">Marker sets </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-E7FDBB87-D2D7-43C2-B201-9BB57CCAEDB0.htm\">Connecting an Actor to a character </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";