var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-BAF2821C-D131-4A2A-902D-C56480C1C288\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Auxiliary pivots</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-BAF2821C-D131-4A2A-902D-C56480C1C288\"></a><div class=\"head\">\n            <h1>Auxiliary pivots</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-29C5\"></a> Auxiliary pivots are objects that let you quickly define and animate multiple rotation pivot points for IK Control rig effectors.\n            You can use Auxiliary pivots for any character animation, and they are particularly useful if you want to manipulate the feet\n            or hands of a character using more than one rotational point. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-29C3\"></a>By creating multiple Auxiliary pivots for an IK effector in the foot of a character, for example, the feet can rotate around\n            multiple independent pivot points in order to create natural-looking walk cycles. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-29C2\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-D3BE1538-8C69-4787-BFB1-6FA332A58D6E-low.png\"><p class=\"figure-title\">Three Auxiliary pivots display for two IK effectors in a character’s foot</p>\n            </div> \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-29C0\"></a>As you set keyframes, you can switch between Auxiliary pivots, making the foot rotate around the ankle, the heel, the base\n            of the toes, the tip of the toes, and even the sides of the foot. For more information on switching between pivots, see <span class=\"char_link\"><a href=\"GUID-61833078-641A-4FC1-8BBF-A82089F59864.htm\">Setting a master Auxiliary pivot</a></span>. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-29BF\"></a>Auxiliary pivots are based on the position of the IK effector they are created for, so they do not have an independent position\n            in the scene. You can think of them as sub-controls that let you manipulate the IK effector from different vantage points.\n            Rotating any pivot also affects the effector, just as if the effector itself is manipulated. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-29BE\"></a>To manipulate Auxiliary pivots, select Pivot mode from the Selection Mode menu in the Viewer window. Pivot mode is automatically\n            selected when you create a new Auxiliary pivot. You can then select and define offsets for the pivots by dragging them to\n            new positions relative to the IK effector. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-29BD\"></a>When you are in Pivot mode, transforming the pivot affects only the Auxiliary pivot itself. To use the pivots to manipulate\n            an effector, switch to Model mode. For more information on the Selection Mode menu, see <span class=\"char_link\"><a href=\"GUID-56B836F0-2FD7-40C8-A7FE-A51EFDEFD2C4.htm\">Viewer window</a></span>. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-29BC\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-1D33899E-33ED-4C67-9400-C0DABBB69F58-low.png\"><p class=\"figure-title\">Viewer window <em class=\"mild\">A.</em> Select Pivot from the Object Mode menu\n               </p>\n            </div> \n         </p>\n         <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-29BA\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>You can base poses on selected Auxiliary pivots using the Pose Controls window. \n            </div>\n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-0CC7458E-1F10-4714-BFD3-4465D4565A68.htm\">Control rigs </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-748FD76B-6B84-4551-A9E0-E09446EEEFD5.htm\">Pose Controls window </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-9251A7FE-493D-4A01-9525-18511D5C521F.htm\">Creating Auxiliary effectors and pivots </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-61833078-641A-4FC1-8BBF-A82089F59864.htm\">Setting a master Auxiliary pivot </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-618A3C64-62E1-496F-977A-88DC4B8FFB86.htm\">Manipulating Auxiliary pivots </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";