var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-BB046265-3073-4FA9-9E07-1C1C03854526\">\n      <meta name=\"indexterm\" content=\"Spline IK constraint\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Work with Spline IK constraints</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-BB046265-3073-4FA9-9E07-1C1C03854526\"></a><div class=\"head\">\n            <h1>Work with 	 Spline IK 	 constraints</h1>\n         </div>\n         <p> Use \n            		<span class=\"MenuCascade\">Spline IK</span> constraints to manipulate a chain of skeleton bones, such as an animal tail or a rope. You can use the constraint\'s default\n            curve or use a custom spline curve such the 3D Curve from the \n            		<span class=\"MenuCascade\">Elements \n               		</span>folder of the \n            		<span class=\"MenuCascade\">Asset Browser</span>. Your skeleton joint chain must be exactly perpendicular to the Y-axis, otherwise, the \n            		<span class=\"MenuCascade\">Spline IK</span> constraint cannot be created. \n            	 \n         </p>\n         <div class=\"section\"><a name=\"SECTION_EDF4D672009C4FCAB69FDE68B2B51094\"></a> \n            <h2><a name=\"GUID-A513DBF6-B089-4BB6-B701-31472B10B436\"></a>Constrain bones using a Spline IK constraint\n            </h2> <a name=\"OL_AA2472B64E5E45399C84EEFAD92D1F74\"></a><ol type=\"1\" start=\"1\">\n               <li>In the scene, select the bones you want to constrain. \n                  		  \n               </li>\n               <li>In the<span class=\"MenuCascade\"> Constraints</span> folder of the<span class=\"MenuCascade\"> Asset Browser</span>, select the \n                  			 <span class=\"MenuCascade\"> Spline IK \n                     			 </span>icon \n                  			 <img src=\"../images/GUID-DBB2E856-1BF3-4C7F-BB6F-3F8AB8EE854F-low.png\"> and drag it into the scene. \n                  			 \n                  <p>The \n                     				<span class=\"MenuCascade\">Constraints Settings</span> tab now displays in the \n                     				<span class=\"MenuCascade\">Navigator</span>. \n                     			 \n                  </p> \n               </li>\n               <li>Drag the first bone of your skeleton to the \n                  			 <span class=\"MenuCascade\">First Joint</span> field of the \n                  			 <span class=\"MenuCascade\">Constraint Settings</span>. \n                  		  \n               </li>\n               <li>Drag the last bone to the<span class=\"MenuCascade\"> End Joint</span> field. \n                  		  \n               </li>\n               <li>Click the \n                  			 <span class=\"MenuCascade\">Setup</span> tab and insert a value for \n                  			 <span class=\"MenuCascade\">Number of control nodes</span>. \n                  			 \n                  <p>MotionBuilder creates evenly spaced control nodes along the constrained skeleton. You use the control nodes to manipulate\n                     the curve and constrained skeleton bones. \n                     			 \n                  </p> \n               </li>\n               <li>Click the \n                  			 <span class=\"MenuCascade\">Constraint Settings</span> and click \n                  			 <span class=\"MenuCascade\">Snap</span> to constrain the bones to the curve and activate the constraint. \n                  			 \n                  <p>A<em class=\"mild\"> Skeleton node_3DCurve</em> automatically populates the \n                     				<span class=\"MenuCascade\">Spline</span> field in the \n                     				<span class=\"MenuCascade\">Constraint Settings</span>. \n                     			 \n                  </p> \n                  <p>You can now manipulate the control nodes to translate the constraint curves and the constrained skeleton bones. \n                     			 \n                  </p> \n               </li>\n            </ol> \n            <p>See \n               		  <em class=\"mild\">Set up the control nodes and twist options</em> below. \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_79E296328615439F9440F31010E9EDF9\"></a> \n            <h2><a name=\"GUID-986F6EF2-94B3-44D4-BEF7-C51215C48398\"></a>Set up the Spline IK constraint with a custom 3D curve \n            </h2> <a name=\"OL_768C108BC0EF49359B0D0B66F52084FC\"></a><ol type=\"1\" start=\"1\">\n               <li>Either import a custom 3D spline curve into your scene or create one by using the \n                  			 <span class=\"MenuCascade\">3D Curve</span> in the<span class=\"MenuCascade\"> Elements</span> from the<span class=\"MenuCascade\"> Asset Browser</span>. \n                  			 \n                  <p>See \n                     				<span class=\"char_link\"><a href=\"GUID-4D8A7451-A6C5-46B6-8C10-D72224DDDD0F.htm\">Create a 3D curve</a></span>. \n                     			 \n                  </p> \n               </li>\n               <li>In the<span class=\"MenuCascade\"> Constraints</span> folder of the<span class=\"MenuCascade\"> Asset Browser</span>, select the \n                  			 <span class=\"MenuCascade\"> Spline IK \n                     			 </span>icon \n                  			 <img src=\"../images/GUID-DBB2E856-1BF3-4C7F-BB6F-3F8AB8EE854F-low.png\"> and drag it into the scene. \n                  			 \n                  <p>The \n                     				<span class=\"MenuCascade\">Constraints Settings</span> tab now displays in the \n                     				<span class=\"MenuCascade\">Navigator</span>. \n                     			 \n                  </p> \n               </li>\n               <li>Complete steps 3 and 4 from the \n                  			 <em class=\"mild\">Constrain bones using a Spline IK constraint</em> procedure above. \n                  		  \n               </li>\n               <li>In the scene, select and drag the 3D curve to the \n                  			 <span class=\"MenuCascade\">Spline</span> field of the \n                  			 <span class=\"MenuCascade\">Constraint Settings</span>. \n                  		  \n               </li>\n               <li>Click \n                  			 <span class=\"MenuCascade\">Snap \n                     			 </span>to constrain the skeleton to the 3D curve. \n                  		  \n               </li>\n               <li>In the \n                  			 <span class=\"MenuCascade\">Scene</span> browser, select the 3D curve you are using for the constraint. \n                  		  \n               </li>\n               <li>To setup control nodes on the curve, do the following: \n                  			 <a name=\"UL_3FDDDC20475A418CB9B455899F11868F\"></a><ul>\n                     <li>In the 3D curve\'s \n                        				  <span class=\"MenuCascade\"> Properties</span> pane, locate and expand the \n                        				  <span class=\"MenuCascade\">Viewer Options</span>. \n                        				\n                     </li>\n                     <li>Turn on<span class=\"MenuCascade\"> AutoControlNode</span>. \n                        				  \n                        <p>The curve is populated with control nodes. \n                           				  \n                        </p> \n                     </li>\n                     <li>In the \n                        				  <span class=\"MenuCascade\">Scene \n                           				  </span>browser, under \n                        				  <span class=\"MenuCascade\">3D Curve</span>, \n                        				  <em class=\"strong\">Crtl</em>-select the \n                        				  <em class=\"mild\">3D Curve:Points</em>. \n                        				\n                     </li>\n                     <li>In the \n                        				  <span class=\"MenuCascade\"> Properties</span> pane, locate and expand the \n                        				  <span class=\"MenuCascade\">Marker Settings</span>. \n                        				\n                     </li>\n                     <li>From the<span class=\"MenuCascade\"> Look</span> list, select a marker shape such as \n                        				  <span class=\"MenuCascade\">Hard Cross.</span> \n                     </li>\n                     <li>Set<span class=\"MenuCascade\"> Size \n                           				  </span> to a value between 1000 and 500. \n                        				\n                     </li>\n                  </ul> \n                  <p>You can now manipulate the control nodes to translate the constraint curves and the constrained skeleton bones. \n                     			 \n                  </p> \n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_D9EE26D0604246F7942548198674BE26\"></a> \n            <h2><a name=\"GUID-D3403C85-6D0F-4AB9-B9DF-7DF2A035008B\"></a>Set up the control nodes and twist options \n            </h2> \n            <p>You can add multiple control nodes for manipulating the constraint. \n               		\n            </p> <a name=\"OL_0DC67838FFAF4FC4B49BB246FEB35E26\"></a><p class=\"list-intro\">To add control nodes</p>\n            <ol type=\"1\" start=\"1\">\n               <li>In the \n                  			 <span class=\"MenuCascade\">Constraint Settings</span>, turn off<span class=\"MenuCascade\"> Activate</span>. \n                  		  \n               </li>\n               <li>Inset a value for \n                  			 <span class=\"MenuCascade\">Number of control nodes</span>. \n                  		  \n               </li>\n               <li>Turn on \n                  			 <span class=\"MenuCascade\">Lock control nodes</span>. \n                  		  \n               </li>\n               <li>Select the desired constraint Twist settings, and then click the \n                  			 <span class=\"MenuCascade\">Constraint Settings</span> tab. \n                  			 \n                  <p>See \n                     				<span class=\"char_link\"><a href=\"GUID-B05A1C9D-3B5A-4B57-87ED-A78BE66FCE42.htm\">Spline IK constraint settings</a></span>.\n                     			 \n                  </p> \n               </li>\n               <li>Turn on \n                  			 <span class=\"MenuCascade\">Activate</span>. \n                  		  \n               </li>\n               <li>Select the desired settings for \n                  			 <span class=\"MenuCascade\">Control node twist axis</span>, \n                  			 <span class=\"MenuCascade\">Reverse twist</span>, and \n                  			 <span class=\"MenuCascade\">Twist interpolation</span>. \n                  		  \n               </li>\n            </ol> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";