var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-BD8667AD-635F-45AE-B189-9F703A950B0B\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Animating Faces</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-BD8667AD-635F-45AE-B189-9F703A950B0B\"></a><div class=\"head\">\n            <h1>Animating Faces</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F7D3\"></a>In every day interactions with people, we look to a person’s face for visual cues to help us assess what they are thinking\n            or feeling. This is why facial animation is so important. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F7D4\"></a>The intricate movements of the face can make the difference between a character that is believable and a character that does\n            not engage the audience. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F7D5\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-DFA38245-1ED4-445D-9F3C-FDAD8BDEF528-low.png\"><p class=\"figure-title\">Various facial expressions on a bird character face</p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F7D7\"></a>Creating a face that moves in complex ways can convey realistic, believable emotion. <span class=\"charspan-msgph\">MotionBuilder</span> lets you accomplish this by animating head models with keyframes, voice recognition, and motion data using a combination\n            of the Character Face settings, Actor Face settings, and the Voice device. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F7D8\"></a>To create facial animation, you must create shapes on your character head models, then map those shapes to <span class=\"charspan-msgph\">MotionBuilder</span>’s pre-defined expressions. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F7D9\"></a>Once you have a head model with shapes set up, there are three main workflows possible when animating character faces: \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F7DA\"></a><ul>\n            <li> <span class=\"char_link\"><a href=\"GUID-518E07CE-63D3-486D-BFAE-598850E7026B.htm\">Facial keyframing workflow</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"GUID-B43F0421-BA0E-49F2-9EC1-C2C71EED67F1.htm\">Facial motion capture workflow</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"GUID-CAD62D87-DCE5-4DD2-8F57-EA5039D29C80.htm\">Audio-driven facial animation workflow</a></span> \n            </li>\n         </ul><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-3DF8E67C-A9E9-4ED0-84FF-DCFC30CE2F64.htm\">Channels</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C80E2086-D6E5-4B45-817C-87FC29D34421.htm\">Expression</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-518E07CE-63D3-486D-BFAE-598850E7026B.htm\">Facial keyframing workflow</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-B43F0421-BA0E-49F2-9EC1-C2C71EED67F1.htm\">Facial motion capture workflow</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-CAD62D87-DCE5-4DD2-8F57-EA5039D29C80.htm\">Audio-driven facial animation workflow</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-7BC02747-FD03-4312-A7DA-262D21A612CB.htm\">Connecting an Actor Face to a Character Face</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-51EE14FF-741B-4B88-A06F-01F7E15E925B.htm\">Defining a custom expression</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-2B93108B-6F98-4637-AA11-DEBAC519DCDE.htm\">Head models</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-73BDA6EF-F3CB-4901-B943-6F0C55633CBF.htm\">Actor Face asset</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-454B71D2-C20D-4730-9D9E-C24D666D5EB5.htm\">Character Face asset</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-CAACC176-46C9-408C-A36B-30F0E198C63B.htm\">Voice device</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";