var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-C3865E0A-25CF-4A79-A27D-11D61F8DB57B\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Creating hierarchy namespaces</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-C3865E0A-25CF-4A79-A27D-11D61F8DB57B\"></a><div class=\"head\">\n            <h1>Creating hierarchy namespaces</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-546B\"></a> You can add prefixes to any hierarchy to change its namespace. However, keep in mind that if you prepend a namespace to objects\n            or branches, this may affect the merge-back of the animation as the process is based on the name of the objects. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5468\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5467\"></a>To prepend namespaces for objects in a hierarchy:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select via the Scene browser or Viewer window the object(s) or branch you want to rename or replace prefixes. \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73E2\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>If you want to prepend namespaces at the top of an element’s branch to include all objects in the branch via the Viewer window,\n                     switch to the Schematic view by pressing <span class=\"keyboardEntry\">Ctrl</span>-<span class=\"keyboardEntry\">W</span>, or by selecting Schematic from the View menu. To switch back to the camera view, press <span class=\"keyboardEntry\">Ctrl</span>-<span class=\"keyboardEntry\">W</span>. \n                  </div>\n               </div> \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73E3\"></a>The following example shows objects with namespaces. \n               </p> <a name=\"WS73099CC142F48755F2FC9DF120970276F73E4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-2FB9F872-65EB-41C9-B271-74C7F93E104E-low.png\"><p></p>\n                  <p class=\"figure-title\">Scene browser displaying namespaces</p>\n               </div> \n            </li>\n            <li>From the <span class=\"charspan-msgph\">MotionBuilder</span> menu bar, select Edit &gt; Add/Remove Namespace. \n               <div><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C5C\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can also right-click object(s) (or nodes) or a branch and choose Add/Remove Namespace from the context menu. \n                  </div>\n               </div> \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5464\"></a>The Add/Remove Namespace dialog box appears, displaying in numeric alpha order the namespaces in the scene. \n               </p> <a name=\"WS73099CC142F48755F2FC9DF120970276F73E5\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-18333315-9D21-4448-BCB8-BF313414A1E7-low.png\"><p></p>\n                  <p class=\"figure-title\">Add/Remove Namespace dialog box displaying namespaces in scene</p>\n               </div> \n            </li>\n            <li>Click the “Add” tab. </li>\n            <li>To add a namespace after a prefix, Activate the “Add after other namespace” option. </li>\n            <li>Enter characters in the “New Namespace” field. <a name=\"WS73099CC142F48755F2FC9DF120970276F73E6\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-8F24F407-1EBC-4DDF-B797-BB2517EB8DDA-low.png\"><p></p>\n                  <p class=\"figure-title\">Add/Remove Namespace dialog box displaying namespaces to prepend to branch</p>\n               </div> \n            </li>\n            <li>Ensure the following options are enabled: <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-545F\"></a><ul>\n                  <li>Add after other namespace \n                     <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73E7\"></a>When this option is enabled, the name entered in the “New Namespace” field is prepended to the current namespace(s). \n                     </p> \n                  </li>\n                  <li>Apply to branch \n                     <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73E8\"></a>When this option is enabled, the name entered in the “New Namespace” field is prepended to the whole branch. \n                     </p> \n                     <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-545C\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>To change only the first occurrence of the prefix, leave the Apply to branch option disabled. \n                        </div>\n                     </div> \n                  </li>\n               </ul> \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73E9\"></a><div class=\"note-warning\"><span class=\"label label-target-language\">WARNING:</span>Prepending namespaces to objects or branches may affect the merge-back of the animation as this process is based on the names\n                     of objects and branches. \n                  </div>\n               </div> \n            </li>\n            <li>Click OK. \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5459\"></a>The namespace is applied throughout the selected object’s hierarchy as shown in the following figure. \n               </p> <a name=\"WS73099CC142F48755F2FC9DF120970276F73EA\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-822F77AE-8B1D-4AE4-9A2F-2DBA0AE6194E-low.png\"><p></p>\n                  <p class=\"figure-title\">Two namespaces prepended to selected branch</p>\n               </div> \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";