var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-C3A7B857-9463-437C-9014-256702AA7AE4\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Lock or mute properties and channels</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-C3A7B857-9463-437C-9014-256702AA7AE4\"></a><div class=\"head\">\n            <h1>Lock or mute properties and channels</h1>\n         </div>\n         <p> You can lock properties or channels to prevent any changes from happening on the selected property or channel. This is useful\n            for Technical Directors and animators who need to prevent body parts from receiving keys. For example, if there is more than\n            one animator working on a character rig and the Technical Director does not want animation to be created to parts of the character,\n            one way of achieving this is to lock or mute properties and channels. \n            	 \n         </p><a name=\"FIG_0607AA2FBBDF4FE4A5AB9B104D7D6ABC\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B699F6DA-2463-496E-BB0D-B52092D032AB-low.png\"><p class=\"figure-title\">Locked Properties and channels are displayed on a red background </p>\n         </div>\n         <p>When working with locked properties and channel, be aware of the following: \n            	 \n         </p><a name=\"UL_E03A0B7DF5BC40588257CE30CAFA78E2\"></a><ul>\n            <li>You cannot change values nor add keyframes on a locked property or a channel.\n               		\n            </li>\n            <li> Locked properties and channels display with a red background in the Resources, Properties, and Navigator windows and the\n               FCurves Property list. \n               		\n            </li>\n            <li>After you lock or unlock a property, you can undo (<span class=\"keyboardEntry\">Ctrl</span>-<span class=\"keyboardEntry\">Z</span>) your action. \n               		\n            </li>\n            <li>You can choose to lock to a local value a channel or property that is set as a global value by using a relation constraint.\n               \n               		\n            </li>\n            <li>Locked properties and channels are retained when the \n               		  <em class=\"mild\">.fbx</em> file is exported and imported to the \n               		  <span class=\"charspan-msgph\">Maya</span> software and re-imported to \n               		  <span class=\"charspan-msgph\">MotionBuilder</span>. \n               		\n            </li>\n            <li>Locked properties and channels are locked and reflected in all the applicable Viewer Reference modes (Global Reference mode\n               \n               		  <img src=\"../images/GUID-C304EE8C-017E-47CE-A6B1-3D9C8762401B-low.png\">, Local Reference mode \n               		  <img src=\"../images/GUID-ECC0D466-09ED-41F4-8C88-D56B3AF3D971-low.png\">, and Additive Reference mode \n               		  <img src=\"../images/GUID-79094FB4-2FF6-488A-AAED-56CDDCD4705F-low.png\"> ), even if you switch Reference modes as you work on the scene. \n               		\n            </li>\n         </ul>\n         <div><a name=\"GUID-8DC81932-AD83-494D-9C7E-7336F7DBD9F6\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Locked channels are not preserved on open scene elements when updating animation using the File &gt; Merge feature. When importing\n               animation, locked channels are automatically unlocked and overwritten with the data from the incoming imported file. \n               	 \n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"TOPIC_A4538FAFB9FC4563B5847AE76F2830F5.htm\">About muting animated Transforms</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8E27BD6E-EE9A-48B4-8B9C-FFA0C1DC778F.htm\">Display a locked Translation property or channel in the Viewer window</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-7A5CDF66-7F0C-41EB-9765-48ABEB611D81.htm\">Mute animated Transforms</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-3360EF77-804C-4B22-9222-DAA6E5D187A3.htm\">Lock a property or channel in the Resources window</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-ED21CF81-E456-490E-8239-925F3A8D608D.htm\">Baking (plotting) and clearing locked and muted properties</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-176B3413-1C5B-4ED0-B2F6-35E57B7A2666.htm\">Visual feedback of locked transforms on manipulators</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";