var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-C42E4E6A-5149-4128-873C-08B2353A44B9\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Optimizing 3ds Max skeletons for export to MotionBuilder</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-C42E4E6A-5149-4128-873C-08B2353A44B9\"></a><div class=\"head\">\n            <h1>Optimizing 3ds Max skeletons for export to MotionBuilder</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-56F0\"></a>This section describes how to create a skeleton in 3ds Max for use in MotionBuilder. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-56EF\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-56EE\"></a>To build a skeleton:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Create a skeleton in 3ds Max. Refer to the following example. \n               <div><a name=\"WS73099CC142F48755-49D92FDB129CC323221-6801\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>Use the Left or Right view to create your bone skeleton as it is easier to view the position of the bone objects as you create,\n                     move and rotate the objects.  \n                  </div>\n               </div> <a name=\"WS1A9193826455F5FF-29A01C2129CC3210CE-69D6\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-792D8459-1F73-4C91-995F-67D7482189EC-low.png\"><p></p>\n                  <p class=\"figure-title\">3ds Max Hierarchy example</p>\n               </div> \n               <p><a name=\"WS73099CC142F48755-49D92FDB129CC323221-68F8\"></a>The green bones represent bones that must be dropped into the base slots of the Define pane in the Character Tool in <span class=\"charspan-msgph\">MotionBuilder</span>. \n               </p> \n               <div><a name=\"WS73099CC142F48755-49D92FDB129CC323221-68F7\"></a><div class=\"note-important\"><span class=\"label label-target-language\">IMPORTANT:</span>Negative scaling of objects with weighting applied to them is not supported in <span class=\"charspan-msgph\">MotionBuilder</span>. \n                  </div>\n               </div> \n               <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-56EA\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If you are mirroring bone chains to prevent negative scaling on the bone, select the Bone Mirror option via the 3ds Max Animation\n                     &gt; Bone Tools &gt; Bone Editing Tools rollout. \n                  </div>\n               </div> \n            </li>\n            <li>Build the skeleton using a standard hierarchy such as the one shown in the following diagram.  <a name=\"FIG_49ACF623AF82427F81CA1A086F2C1C98\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-44306A5D-8043-48EF-82C0-9FA019C16A64-low.png\"><p></p>\n                  <p class=\"figure-title\">Skeleton hierarchy</p>\n               </div> \n            </li>\n            <li>Select the bones you want to mirror. \n               <p><a name=\"WS73099CC142F48755-57C0DE7D12A3860D2EC-7F78\"></a>For example, you may want to mirror the legs and arms. \n               </p> \n            </li>\n            <li>From the 3ds Max menu bar, select Animation &gt; Bone Tools. <a name=\"WS73099CC142F48755-49D92FDB129CC323221-68F5\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-1D7E5076-3AFE-4F9D-8306-55A5F2998D41-low.png\"></div> \n               <div style=\"margin-top: 9pt;\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-56DB\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Bones are considered Geometry, which lets you use Scale and Squash channels. However, these channels are not supported in\n                     MotionBuilder. \n                  </div>\n               </div> \n            </li>\n            <li>In the Bone Editing Tools rollout, click the Mirror option. <a name=\"WS73099CC142F48755-49D92FDB129CC323221-68F4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-92829A84-ACB9-4DA8-91DD-DBBC400D6CBA-low.png\"><p></p>\n                  <p class=\"figure-title\">Bone Mirror settings</p>\n               </div> \n            </li>\n            <li>Set the Mirror axis and Bone axis and click OK. \n               <div><a name=\"WS73099CC142F48755-49D92FDB129CC323221-68F2\"></a><div class=\"note-important\"><span class=\"label label-target-language\">IMPORTANT:</span>Negative scaling of objects with weighting applied to them is not supported in <span class=\"charspan-msgph\">MotionBuilder</span>. \n                  </div>\n               </div> \n               <div><a name=\"WS73099CC142F48755-49D92FDB129CC323221-68F1\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>We recommend that you export skeletons and mesh before skinning (vertex assignment) your characters so you can detect any\n                     negative and/or uniform scaling. \n                  </div>\n               </div> \n            </li>\n         </ol>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-56D9\"></a>The skeleton is now ready to be exported into <span class=\"charspan-msgph\">MotionBuilder</span>. Use the <em class=\"mild\">.fbx</em> file format for merging back into 3ds Max. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-56D8\"></a>You can export geometry as bones in <span class=\"charspan-msgph\">MotionBuilder</span>, but it is treated as bones and is only visible in X-Ray mode. \n         </p>\n         <div><a name=\"GUID-64C7267D-17CB-4025-A4C8-E048B4C1061B\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The workflow for exporting to <span class=\"charspan-msgph\">MotionBuilder</span> with pre-2012 versions of 3ds Max is described in <span class=\"char_link\"><a href=\"GUID-F60E3511-B819-440B-850A-4E931AE1C2B5.htm\">Exporting 3ds Max skeletons to MotionBuilder</a></span>. If you have 3ds Max 2012 or later, see the tutorial <span class=\"char_link\"><a href=\"GUID-8D411B02-B031-4435-9A44-4FCA647CF900.htm\">3ds Max skeletons</a></span>. \n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";