var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-C483CACC-0026-4921-815E-6721E24BEC2D\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Scaling Pivot properties</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-C483CACC-0026-4921-815E-6721E24BEC2D\"></a><div class=\"head\">\n            <h1>Scaling Pivot properties</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1AA1\"></a>Use the Scaling pivots to define the point from which you want a selected object to be scaled. <a name=\"FIG_9520DA43CEDB4F21A05E2759A1321769\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E85130BE-A2A1-48E1-B0E6-379048477CEC-low.png\"><p class=\"figure-title\">Property Resources: <em class=\"mild\">A.</em> Scaling Pivot Properties\n               </p>\n            </div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1AA0\"></a>For example, in the following figure, the mug on the left has a scaling pivot placed at its approximate center. The mug on\n            the right has a scaling pivot offset to the top of the mug. When both mugs are scaled the same amount, the one on the left\n            expands outward from the center, and the one on the right expands outward from the pivot. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A9E\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-0B88A8BB-8516-4419-8244-E9B0EB76CF2F-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> Scaling pivot is offset on the Y-axis. <em class=\"mild\">B.</em> Models scaled from the two different points\n            </p>\n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1A9C\"></a> \n            <h2><a name=\"GUID-A4AEDFC9-860D-4688-BFE1-989C4C962320\"></a>Scaling Pivot (Auto Offset)\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A9B\"></a>These values let you define where the scaling pivot is offset on the X-, Y-, and Z-axis. The selected object is scaled from\n               this point. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A9A\"></a>Adjusting the position of the scaling pivot does not affect the translation of the selected object, as an offset is automatically\n               calculated to keep the object in place. The values used to create this offset display in the Scaling Offset fields. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1A99\"></a> \n            <h2><a name=\"GUID-ABA6E95B-711E-4571-A0E6-CDBF46AF7B28\"></a>Scaling Pivot Manual Offset\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1A98\"></a>Exact Scaling Offset values are calculated by <span class=\"charspan-msgph\">MotionBuilder</span> when you adjust the Rotation Pivot (Auto Offset) values, and you do not need to adjust them manually. The following table\n               describes the options in the Manual Offset group of properties: \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1A97\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"22.6295541977823%\">\n                     <col width=\"77.37044580221769%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Option </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Scaling Offset </td>\n                     <td class=\"table-body\">Offsets the scaling pivots using the Scaling Pivot (Auto Offset) values without affecting the translation of the selected\n                        object. These fields display the values used to compensate for changes to the selected object’s translation caused when the\n                        “real” Scaling Pivot offset is calculated. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Scaling Pivot </td>\n                     <td class=\"table-body\">Display the real X, Y, and Z position of the scaling pivot, relative to the local translation point of the selected object.\n                        Adjusting these values can cause the selected object to move in translation. Instead of adjusting the position of scaling\n                        pivots using these values, you should use the Scaling Pivot (Auto Offset) values. The Scaling Pivot (Auto Offset) values automatically\n                        calculate Scaling Offset values to preserve the current location of the selected model. \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";