var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-C4AFB977-DC92-40F7-9B7D-695999DA96DA\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Degrees of Freedom (DOF)</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-C4AFB977-DC92-40F7-9B7D-695999DA96DA\"></a><div class=\"head\">\n            <h1>Degrees of Freedom (DOF)</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-19B5\"></a> Degrees of Freedom (DOF) are a set of properties that let you set limits on the translation, rotation, and scaling of any\n            selected object or animated hierarchy. Defining Degrees of Freedom for objects in a scene lets you restrict their range of\n            movement. \n         </p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-61CC\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-85D09FD5-1E0E-43B3-84F9-9791570F1DE2-low.png\"><p class=\"figure-title\">Properties window: Degrees of Freedom properties</p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-19B1\"></a>Degrees of Freedom for translation let you define the coordinates an object is allowed to occupy on the X-, Y-, and Z-axes.\n            For rotation, Degrees of Freedom properties let you define the angles an object can rotate through on the X-, Y-, and Z- axes.\n            Degrees of Freedom properties for scaling let you limit the size of the selected object. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-19B0\"></a>Although many objects can have DOF properties to limit their movement, these properties are commonly used with characters.\n            For example, you can define Degrees of Freedom for the bones in a skeleton so that the arms of a model do not rotate through\n            the body. You can also use DOF to prevent a character’s limbs from colliding with other limbs in the same chain, or to ensure\n            that their joints do not rotate in impossible directions. You can also define Degrees of Freedom for a glove device even if\n            no character is used. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-19AF\"></a>With Degrees of Freedom, you can set limits on both the axis and rotation of any bone in a model’s skeleton. You can retarget\n            animation including DOF from one character to another, keeping the amount of data required low. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-19AE\"></a>Degrees of Freedom are also important in terms of performance and overall efficiency, as they allow you to reduce the number\n            of keyframes going into a project. This is crucial if you are trying to create animation with lighter amounts of data, such\n            as in game development. \n         </p><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-AF4C6459-B0EC-46AF-BEDB-1D22C8C60687.htm\">Viewing and modifying Degrees of Freedom</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-1B8C721B-C829-424E-8E35-9B318B56A7D9.htm\">Rules for setting rotation DOF on a character</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";