var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-C4FFECD1-73F4-48DF-A225-66B54039071C\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>MotionBuilder Workflows</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-C4FFECD1-73F4-48DF-A225-66B54039071C\"></a><div class=\"head\">\n            <h1> 	 MotionBuilder Workflows</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-6237\"></a>There are two workflows you can use when working with the \n            		<span class=\"charspan-msgph\">MotionBuilder</span> software and the \n            		<span class=\"charspan-msgph\">3ds Max</span> software. The \n            		<span class=\"charspan-msgph\">Autodesk</span> interoperability workflow and the \n            		<span class=\"charspan-msgph\">Autodesk</span> generic workflow. Although some of the procedures in the last tutorial (<span class=\"char_link\"><a href=\"GUID-B989247F-8578-49FD-B14D-8F92780473AE.htm\">Sending \n                  	 3ds Max Scenes to \n                  	 MotionBuilder</a></span>) use the \n            		<span class=\"MenuCascade\" id=\"GUID-ECDDEB1C-CD39-42BC-9020-CB3CC7267010\"> Send To</span> single-step interoperability workflow, you can opt to use the generic workflow. \n            	 \n         </p>\n         <p>Use the Autodesk interoperability workflow when you are working on a project that includes interoperability with \n            		<span class=\"charspan-msgph\">MotionBuilder</span> and Maya or \n            		<span class=\"charspan-msgph\">MotionBuilder</span> and 3ds Max to streamline your process. \n            	 \n         </p>\n         <p><a name=\"GUID-82AF8CFC-6F2B-4EA7-9329-D77C22930A88\"></a> Use the generic workflow when you are using pre-2012 versions of Autodesk 3ds Max and Autodesk Maya, or when you are using\n            another 3D software package with \n            		<span class=\"charspan-msgph\">MotionBuilder</span>. See \n            		<span class=\"char_link\"><a href=\"GUID-C4FFECD1-73F4-48DF-A225-66B54039071C.htm#SECTION_8ED50C936C6442C39A1E048CD9AFB853\">Generic workflow</a></span>. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-6236\"></a>Although these tutorials assume you are using \n            		<span class=\"charspan-msgph\">MotionBuilder</span> for a character animation project, the workflows can be easily adapted to any animation project where \n            		<span class=\"charspan-msgph\">MotionBuilder</span> is used in conjunction with other 3D modeling or rendering software. \n            	 \n         </p>\n         <div class=\"section\"><a name=\"SECTION_974B59294DBE4671BCE55E8F740BCBC5\"></a> \n            <h2><a name=\"GUID-D85A664F-B47F-49E7-BFC4-02CF7F5E02E1\"></a>Autodesk interoperability workflow\n            </h2> \n            <p><a name=\"GUID-C8AA9D81-25D0-40FE-919E-11CC5807A385\"></a><span class=\"charspan-msgph\">MotionBuilder</span> has the Single-step interoperability feature that enables you to send your model to Maya or 3ds Max via the \n               		  <span class=\"MenuCascade\" id=\"GUID-2787FAFF-CD89-45E5-B294-F340E1BB4FB7\">File</span> <img class=\"adsk-glyph-arrow\" src=\"../images/ac.menuaro.gif\"> <span class=\"MenuCascade\" id=\"GUID-7F042F21-26B2-422C-AD66-5F61379CFC6D\">Send To Maya</span> and \n               		  <span class=\"MenuCascade\" id=\"GUID-DA6C7458-2BF1-4258-9A4E-A36F51B202FC\">File</span> <img class=\"adsk-glyph-arrow\" src=\"../images/ac.menuaro.gif\"> <span class=\"MenuCascade\" id=\"GUID-7C94664E-3CB3-4453-9504-1E5AE598B4CB\">Send To 3ds Max</span> menu options. \n               		\n            </p> \n            <p><a name=\"GUID-6F7DCF04-DAE9-4743-AC23-7C57C904CF2D\"></a><span class=\"charspan-msgph\">3ds Max</span> and \n               		  <span class=\"charspan-msgph\">Maya</span> both have the Single-step interoperability feature that enables you to send your model to \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> via the \n               		  <span class=\"MenuCascade\" id=\"GUID-AE23D2A4-7D32-429C-BBDD-652888C04837\">File</span> <img class=\"adsk-glyph-arrow\" src=\"../images/ac.menuaro.gif\"> <span class=\"MenuCascade\" id=\"GUID-399A3370-B610-4C03-ACFF-68CD7B1BBE9E\">Send To MotionBuilder</span> menu option. \n               		\n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-6234\"></a><p class=\"list-intro\"><a name=\"GUID-D13B8043-7764-4B9B-BBC6-AACA34222434\"></a>To use the interoperability workflow with \n               		  <span class=\"charspan-msgph\">3ds Max</span>:\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Create a character model in \n                  			 <span class=\"charspan-msgph\">3ds Max</span> and send it to \n                  			 <span class=\"charspan-msgph\">MotionBuilder</span>. \n                  			 \n                  <p><a name=\"GUID-766EF5C3-D53D-4797-8652-9FC028A4B4AC\"></a>For example, see \n                     				<span class=\"char_link\"><a href=\"GUID-35943384-2A2C-4D49-AF95-3A68794BA8D5.htm\">Create and send a \n                           	 3ds Max biped to \n                           	 MotionBuilder</a></span>. \n                     			 \n                  </p> \n               </li>\n               <li>Prepare the model for animation. \n                  			 \n                  <p><a name=\"GUID-B227F9C0-5C28-49FE-8CAB-FA8DB83A8A30\"></a>For example, see \n                     				<span class=\"char_link\"><a href=\"GUID-E65577D5-4627-4EB5-8300-A3525275DA05.htm\">Characterize the 3ds Max biped</a></span> and \n                     				<span class=\"char_link\"><a href=\"GUID-777F66F4-2230-4F74-8B44-F9E2B17F7297.htm\">Add a control rig to the characterized 3ds Max biped</a></span>. \n                     			 \n                  </p> \n                  <p><a name=\"GUID-E62E5DB1-BBBB-4D65-9520-CB65C8009D38\"></a>The first tutorial also shows you how to load character models into \n                     				<span class=\"charspan-msgph\">MotionBuilder</span> and prepare them for animation. See \n                     				<span class=\"char_link\"><a href=\"GUID-84A1329D-FBB5-483A-86BA-2F54248D0309.htm\">Loading and Characterizing Character Models</a></span>. \n                     			 \n                  </p> \n               </li>\n               <li>Add a Control rig and customize it to fit your character animation needs. \n                  			 \n                  <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-6226\"></a>Control rigs are an animation tool that make it easy to control and position your character model. \n                     			 \n                  </p> \n                  <p><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-766F\"></a>The second tutorial shows you how to customize a Control rig and add character animation features such as floor contacts and\n                     Auxiliary pivots. \n                     			 \n                  </p> \n                  <p><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-766E\"></a>See \n                     				<span class=\"char_link\"><a href=\"GUID-1F00421C-F64B-4C09-9EAB-E42A8D4B7FC8.htm\">Creating and Customizing a Control Rig</a></span>. \n                     			 \n                  </p> \n               </li>\n               <li>Add Character Extensions to support props or non-human body parts. \n                  			 \n                  <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-6224\"></a>The third tutorial shows you how to augment your character with an extra limb, in this case a “Servo arm” with giant pincers\n                     attached to the character’s right shoulder. \n                     			 \n                  </p> \n                  <p><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-766D\"></a>See \n                     				<span class=\"char_link\"><a href=\"GUID-A5B315E1-5AA6-4F63-A72C-393C76F4F0B0.htm\">Creating a Character Extension</a></span>. \n                     			 \n                  </p> \n               </li>\n               <li>Create your animation using keyframing and character animation features. \n                  			 <a name=\"UL_DDBADB4E1FFD41D5A00D77F35356C0EB\"></a><ul>\n                     <li>One efficient method of creating animation involves creating a set of poses that can be pasted onto your character at various\n                        points over time. The fourth tutorial shows you how to use the Control rig and the Pose Controls to create a walk cycle. \n                        				  \n                        <p><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-766B\"></a>See \n                           					 <span class=\"char_link\"><a href=\"GUID-E505DC4B-9B82-47A0-BECD-8869F77D041D.htm\">Creating a Walk Cycle</a></span>. \n                           				  \n                        </p> \n                     </li>\n                  </ul> <a name=\"UL_919C48627C4F46B1B8EB4EEA0EE8C559\"></a><ul>\n                     <li>The seventh tutorial shows you an alternative method for creating a walk cycle using clips in the Story window. \n                        				  \n                        <p><a name=\"WS1A9193826455F5FF47B7AA4B11FBE75ECF1-67B7\"></a>See \n                           					 <span class=\"char_link\"><a href=\"GUID-DA3D4A08-29EF-45B1-9C38-515683E1C355.htm\">Creating a Loop</a></span>. \n                           				  \n                        </p> \n                     </li>\n                  </ul> \n               </li>\n               <li>Edit and refine your animation. \n                  			 <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-621D\"></a><ul>\n                     <li>The sixth tutorial shows you how to use layers to edit animation. \n                        				  \n                        <p><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-7669\"></a>See \n                           					 <span class=\"char_link\"><a href=\"GUID-157F29C6-34CF-4BD3-9AF4-9092A866F2DA.htm\">Editing the Character Animation</a></span>. \n                           				  \n                        </p> \n                     </li>\n                     <li>The eighth tutorial shows you how to combine animations using the Story window. \n                        				  \n                        <p><a name=\"WS1A9193826455F5FF47B7AA4B11FBE75ECF1-67B6\"></a>See \n                           					 <span class=\"char_link\"><a href=\"GUID-43833017-9660-4E10-B448-D2E248D9FBBA.htm\">Manipulating Clips</a></span>. \n                           				  \n                        </p> \n                     </li>\n                  </ul> \n               </li>\n               <li>Retarget your animation between Character models. \n                  			 \n                  <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-6219\"></a>During animation projects, the Character model you use might change. Although not a required step for creating animation within\n                     \n                     				<span class=\"charspan-msgph\">MotionBuilder</span>, instead of re-creating the animation on a new model, you can simply apply the same animation to the desired model(s). \n                     			 \n                  </p> \n                  <p><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-7667\"></a>The fifth tutorial shows you how to transfer animation and Character Extensions between character models. \n                     			 \n                  </p> \n                  <p><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-7666\"></a>See \n                     				<span class=\"char_link\"><a href=\"GUID-5ADB4B76-11DE-4FAC-A62C-CB877375DE8B.htm\">Retargeting Character Animation</a></span>. \n                     			 \n                  </p> \n               </li>\n               <li>Animate a \n                  			 <span class=\"charspan-msgph\">3ds Max</span> character in \n                  			 <span class=\"charspan-msgph\">MotionBuilder</span> and send the animated character back to \n                  			 <span class=\"charspan-msgph\">3ds Max</span>. \n                  			 \n                  <p><a name=\"GUID-C770A28F-15D8-4BD8-84BD-49111A25D97D\"></a>The last tutorial \n                     				<span class=\"char_link\"><a href=\"GUID-B989247F-8578-49FD-B14D-8F92780473AE.htm\">Sending \n                           	 3ds Max Scenes to \n                           	 MotionBuilder</a></span> shows you the major steps for sending \n                     				<span class=\"charspan-msgph\">3ds Max</span> models to \n                     				<span class=\"charspan-msgph\">MotionBuilder</span>, animating in \n                     				<span class=\"charspan-msgph\">MotionBuilder</span>, and sending back animated models to \n                     				<span class=\"charspan-msgph\">3ds Max</span>. \n                     			 \n                  </p> \n                  <p><a name=\"WS1A9193826455F5FF-E569A012180CE589135B1\"></a>See the following topics: \n                     			 <a name=\"UL_5B8E9F50AFA740459ECC75AABE1AF187\"></a><ul>\n                        <li> <span class=\"char_link\"><a href=\"GUID-8D411B02-B031-4435-9A44-4FCA647CF900.htm\">3ds Max skeletons</a></span> \n                        </li>\n                        <li> <span class=\"char_link\"><a href=\"GUID-B2EB1569-639B-49A2-98F9-4BD4C6503614.htm\">3ds Max bipeds</a></span> \n                        </li>\n                        <li> <span class=\"char_link\"><a href=\"GUID-438662F9-0711-48D5-867B-F09B0E8FA626.htm\">3ds Max characters</a></span> \n                        </li>\n                     </ul> \n                  </p> \n               </li>\n            </ol> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_8ED50C936C6442C39A1E048CD9AFB853\"></a> \n            <h2><a name=\"GUID-067BA0AA-8A9B-44DD-AEB2-68BA7D545FBD\"></a>Generic workflow\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-622E\"></a>When you export your work from a modeling software package, the FBX Plug-in enables you to save your character model in the\n               \n               		  <em class=\"mild\">.fbx</em> file format. This format enables you to load your models in \n               		  <span class=\"charspan-msgph\">MotionBuilder</span>, animate the models in \n               		  <span class=\"charspan-msgph\">MotionBuilder</span>, and export them for rendering in the software of your choice using the appropriate FBX Plug-In. \n               		\n            </p> \n            <p><a name=\"GUID-2D033D29-E3ED-42EB-9B80-3769F235AC90\"></a>You can download the latest FBX Plug-ins from: \n               		  <a href=\"http://www.autodesk.com/fbx\">http://www.autodesk.com/fbx</a>. \n               		\n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";