var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-C51CE5E0-5A7D-4798-BE0D-C74CBCDF7364\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Replacing namespaces in a hierarchy</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-C51CE5E0-5A7D-4798-BE0D-C74CBCDF7364\"></a><div class=\"head\">\n            <h1>Replacing namespaces in a hierarchy</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5458\"></a> You can rename prefixes in any hierarchy at any given time during your project creation. However, keep in mind that if you\n            change an object’s or branch’s namespace, this may affect the merge-back of the animation as the process is based on the name\n            of the objects. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5455\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5454\"></a>To replace or rename an object’s namespace in a hierarchy:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select in the Scene browser or Viewer window the object(s) with prefixes you want to replace or rename. \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73EB\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>If you want to replace or rename namespaces at the top of an element’s branch to include all objects in the branch via the\n                     Viewer window, switch to the Schematic view by pressing <span class=\"keyboardEntry\">Ctrl</span>-<span class=\"keyboardEntry\">W</span>, or by selecting Schematic from the View menu. To switch back to the camera view, press <span class=\"keyboardEntry\">Ctrl</span>-<span class=\"keyboardEntry\">W</span>. \n                  </div>\n               </div> \n            </li>\n            <li>From the <span class=\"charspan-msgph\">MotionBuilder</span> menu bar, select Edit &gt; Add/Remove Namespace. \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73ED\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can also right-click objects (or nodes) or a branch and choose Add/Remove Namespace from the context menu. \n                  </div>\n               </div> \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73EE\"></a>The Add/Remove Namespace dialog box appears, displaying in numeric alpha order the namespaces in the scene. \n               </p> \n            </li>\n            <li>Click the “Replace” tab. \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73EF\"></a>The selected object’s or branch’s namespace is highlighted. \n               </p> <a name=\"WS73099CC142F48755F2FC9DF120970276F73F0\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-56852FB2-0ED8-4010-910C-453AFCCF0FA9-low.png\"><p></p>\n                  <p class=\"figure-title\">Selected object’s namespace highlighted in Add/Remove Namespace</p>\n               </div> \n            </li>\n            <li>Click in the “New” field and enter a prefix. \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73F1\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can enter multiple prefixes by separating them with a colon (:). For example, enter Leg:Arm to create a search for both\n                     Leg and Arm prefixes. \n                  </div>\n               </div> \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F77D3\"></a><div class=\"note-warning\"><span class=\"label label-target-language\">WARNING:</span>Replacing namespaces for objects or branches may affect the merge-back of the animation as this process is based on the names\n                     of objects and branches. \n                  </div>\n               </div> \n            </li>\n            <li>Click OK. \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73F4\"></a>The namespace for the selected object is replaced with the name specified in the Add/Remove Namespace “New” field. \n               </p> \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73F5\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If you selected a name that is identical to a name of object(s) in the current scene, a Name clash warning dialog appears,\n                     enabling you to proceed with the action or cancel the action. If you choose to proceed with the action, a prefix is prepended\n                     to the name to ensure the object carries a unique name. \n                  </div>\n               </div> \n            </li>\n         </ol><a name=\"WS73099CC142F48755F2FC9DF120970276F73F6\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755F2FC9DF120970276F73F7\"></a>To replace or rename a branch’s namespace in a hierarchy:\n         </p>\n         <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73F8\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>To select an element’s branch via the Viewer window, switch to the Schematic view by pressing <span class=\"keyboardEntry\">Ctrl</span>-<span class=\"keyboardEntry\">W</span>, or by selecting Schematic from the View menu. To switch back to the camera view, press <span class=\"keyboardEntry\">Ctrl</span>-<span class=\"keyboardEntry\">W</span>. \n            </div>\n         </div>\n         <ol type=\"1\" start=\"1\">\n            <li>Follow the preceding procedure (for replacing or renaming an object’s namespace in a hierarchy) up to step 5. </li>\n            <li>Enable the “Apply to branch” option. \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73FB\"></a>Applying a prefix to a branch enables you to search for every instance of the prefix(es) occurring on the selected object(s).\n                  \n               </p> \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F77D4\"></a><div class=\"note-warning\"><span class=\"label label-target-language\">WARNING:</span>Replacing namespaces for objects or branches may affect the merge-back of the animation as this process is based on the names\n                     of objects and branches. \n                  </div>\n               </div> \n            </li>\n            <li>Click OK. \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73FE\"></a>The namespace for the selected branch is replaced with the name specified in the Add/Remove Namespace “New” field. \n               </p> \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73FF\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If the result of the change requested gives a name that is identical to a name of object(s) in the current scene, a Name clash\n                     warning dialog appears, enabling you to proceed with the action or cancel the action. If you choose to proceed with the action,\n                     a prefix is prepended to the name to ensure the objects carry unique names. \n                  </div>\n               </div> \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";