var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-C5C11F50-D164-48BC-9362-D9D4C816FC3A\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>MoCap pane</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-C5C11F50-D164-48BC-9362-D9D4C816FC3A\"></a><div class=\"head\">\n            <h1>MoCap pane</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F857\"></a> The MoCap pane lets you map markers to drive the Actor Face. The markers can be, for example, a set of optical markers imported\n            from a Vicon <em class=\"mild\">.c3d </em>file, or a set of sensors connected to a live device. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F859\"></a>The mapping process involves defining nodes that control the movement of certain face regions. In the Actor Face settings,\n            these nodes control areas such as the eyebrows, eyes, cheeks, nose, mouth, and so on. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F85A\"></a>The MoCap pane consists of the following: \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F85B\"></a><ul>\n            <li> <span class=\"char_link\"><a href=\"GUID-C5C11F50-D164-48BC-9362-D9D4C816FC3A.htm#WSF00FE1F65A1E03F9-2F19D8A011688C37CDA-7FFA\">Mapping model</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"GUID-C5C11F50-D164-48BC-9362-D9D4C816FC3A.htm#WSF00FE1F65A1E03F9-2F19D8A011688C37CDA-7FF9\">Marker Set list</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"GUID-2C47A9AA-E1B6-4852-A214-E482DE5A2B4D.htm\">Regions area</a></span> \n            </li>\n            <li> <span class=\"char_link\"><a href=\"GUID-DB389FC0-60EB-4308-9D28-EE5CBE732814.htm\">Rest Pose area</a></span> <a name=\"WS73099CC142F4875535A241551166AC8792F860\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E3F8491A-92FB-4DE4-9DFD-006C226B9D6C-low.png\"><p></p>\n                  <p class=\"figure-title\">MoCap pane <em class=\"mild\">A.</em> Mapping model <em class=\"mild\">B.</em> Regions area <em class=\"mild\">C.</em> Rest Pose area <em class=\"mild\">D.</em> Marker Set list <em class=\"mild\">E.</em> Mocap Preview area\n                  </p>\n               </div> \n            </li>\n         </ul>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-2F19D8A011688C37CDA-7FFA\"></a> \n            <h2><a name=\"GUID-29BA4821-5815-4C91-88DB-F94EE23699C5\"></a>Mapping model\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F862\"></a>The Mapping model is a visual representation of the Actor Face that shows the number of markers affecting each facial part.\n               The mapped markers are collectively called a Marker set. The following figure identifies the cells in the Mapping model that\n               represent each facial part. \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F863\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-DA499A1B-2EF6-406F-B1DD-0C1804993A12-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> Right outer eyebrow<em class=\"mild\"> B.</em> Right inner eyebrow <em class=\"mild\">C.</em> Left inner eyebrow <em class=\"mild\">D. </em>Left outer eyebrow <em class=\"mild\">E. </em>Right upper eye <em class=\"mild\">F.</em> Left upper eye <em class=\"mild\">G.</em> Right lower eye <em class=\"mild\">H.</em>Left lower eye <em class=\"mild\">I.</em> Right cheek <em class=\"mild\">J.</em> Left cheek <em class=\"mild\">K. </em>Right nostril <em class=\"mild\">L.</em> Left nostril <em class=\"mild\">M.</em> Right mouth <em class=\"mild\">N.</em> Left mouth <em class=\"mild\">O.</em> Upper mouth <em class=\"mild\">P.</em> Lower mouth <em class=\"mild\">Q.</em> Chin\n               </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-2F19D8A011688C37CDA-7FF9\"></a> \n            <h2><a name=\"GUID-894DAA86-C7C7-4226-89C1-E69045BDC2FB\"></a>Marker Set list\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F865\"></a>The Marker set list lets you define a Marker set for mapping motion data to the Actor Face. The mapped areas define the facial\n               parts on your source model that relate to the motion sensors on a performer. \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F866\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-530536CD-F5F9-4938-AD49-4F077EB5CBB2-low.png\"><p class=\"figure-title\">MoCap pane <em class=\"mild\">A.</em> Marker set list \n               </p>\n            </div> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F868\"></a>For example, you can see motion sensors on the performer’s face in the following image. The marker names in the list indicate\n               where the sensors or markers drive the model, and where they eventually drives the Character’s facial shapes. \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F869\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-F6215A89-B86E-4195-9AA3-A44268E1A9B0-low.png\"><p class=\"figure-title\">Performer with facial motion sensors.</p>\n            </div> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F86B\"></a>The first item in the Marker Set list is the Reference field. Setting a reference with Rigid body sources lets you stabilize\n               the head movement. The reference represents the head bone from which the markers move. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F86C\"></a>To scroll through the Marker Set list, you can Shift-drag up or down. You can rename a marker in the Marker Set list by double-clicking\n               the marker to select it, typing a new name, and pressing Enter. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F86D\"></a>To delete a marker, select the marker in the Marker Set list, then press Delete. To delete all models in the Marker Set list,\n               click the Model heading at the top of the column. In the dialog box that appears, click Ok to delete all models in the list.\n               \n            </p> \n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-2C47A9AA-E1B6-4852-A214-E482DE5A2B4D.htm\">Regions area</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-DB389FC0-60EB-4308-9D28-EE5CBE732814.htm\">Rest Pose area</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";