var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-C68CFD79-B2F4-4427-B7C6-0310B917DB96\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Working with occluded textured geometric elements</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-C68CFD79-B2F4-4427-B7C6-0310B917DB96\"></a><div class=\"head\">\n            <h1>Working with occluded textured geometric elements</h1>\n         </div>\n         <p>Selecting textured geometric elements in a dense scene via the \n            		<span class=\"MenuCascade\">Viewer</span> window can be challenging and time consuming especially if the elements are occluded by other elements. You can change the\n            camera view or use the \n            		<span class=\"MenuCascade\">Navigator</span> window to access and select elements behind other elements but this workflow may be quite inefficient particularly with large\n            scenes. \n            	 \n         </p>\n         <p><a name=\"GUID-7B56E075-B140-424D-92E1-958CAEBC6132\"></a> This release optimized the selection of occluded textured geometric elements by providing the following capabilities: \n            	 <a name=\"UL_811D66F48F6B406A8CC21C1E01EF819C\"></a><ul>\n               <li> Selecting an occluded textured geometric element through alpha channels \n                  		\n               </li>\n               <li> Selecting an occluded textured geometric element through alpha channels and selection override color via the API \n                  		  \n                  <p><a name=\"GUID-65AB33F6-4113-4F1D-AAFE-1775FF07BA16\"></a>See \n                     			 <a href=\"http://help.autodesk.com/view/MOBPRO/2020/ENU/?guid=__files_GUID_CCCFD1BB_6875_4DC9_8433_4DF4B792E296_htm\" target=\"_blank\">http://help.autodesk.com/view/MOBPRO/2020/ENU/?guid=__files_GUID_CCCFD1BB_6875_4DC9_8433_4DF4B792E296_htm</a> \n                  </p> \n               </li>\n               <li> Selecting an occluded textured geometric element through partially transparent textures \n                  		\n               </li>\n               <li> Selecting an occluded textured geometric element by using a selection override color \n                  		\n               </li>\n            </ul> \n         </p>\n         <div class=\"section\"><a name=\"SECTION_6AF2068AEA8844D7872E0E9DFFDAD4B2\"></a> \n            <h2><a name=\"GUID-4E9E1C74-6650-4799-8381-FFF1F3B72291\"></a>Keyboard shortcuts for selecting and displaying occluded textured geometric elements in the Viewer window\n            </h2> \n            <p><a name=\"GUID-3B21E9AC-AB6B-4EB0-B539-7777AFD2A31B\"></a>The following table lists the keyboard shortcuts and User Interface (UI) elements associated with the selection and display\n               of occluded textured geometric elements in the \n               		  <span class=\"MenuCascade\" id=\"GUID-628E0489-4DB3-4A83-871E-C8D53324466B\">Viewer</span> window. The keyboard shortcuts are supported in all default and custom cameras. \n               		\n            </p> \n            <div><a name=\"GUID-0C19B89F-060D-41C5-AAC3-FD208955C65F\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>All keyboard shortcuts associated with actions within the \n                  		  <span class=\"MenuCascade\" id=\"GUID-D1CC36AC-3991-4996-8FC0-2A39942693EF\">Viewer</span> window require the \n                  		  <span class=\"MenuCascade\" id=\"GUID-20E762E8-0BD4-4EFE-9176-B695BAEE62A3\">Viewer</span> window to be in an active state. \n                  		\n               </div>\n            </div> <a name=\"TABLE_AAE65D207B8B4ED193409C5E228CB6BA\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"23.148148148148152%\">\n                     <col width=\"18.51851851851852%\">\n                     <col width=\"23.333333333333336%\">\n                     <col width=\"35%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Action \n                        				  \n                     </th>\n                     <th class=\"table-heading\"> Keyboard Shortcut \n                        				  \n                     </th>\n                     <th class=\"table-heading\">UI Element \n                        				  \n                     </th>\n                     <th class=\"table-heading\">State / Alternative to Keyboard Shortcut \n                        				  \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">To toggle the EZ Selection button on. \n                        				  \n                     </td>\n                     <td class=\"table-body\"><span class=\"keyboardEntry\">Alt</span> + \n                        					 <span class=\"keyboardEntry\">Shift</span> + \n                        					 <span class=\"keyboardEntry\">A</span> \n                     </td>\n                     <td class=\"table-body\">&nbsp; <a name=\"GUID-14C01F01-E94D-474F-B259-6AFFAA1E1635\"></a><p class=\"table-body\"> <a name=\"FIG_B23EC67C88EC4F49B65C7EB3B50F2B79\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-27A5A54B-25F8-47C1-A6EF-AA1AD193C068-low.png\"></div> \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-DE15514B-BA74-4E4B-987C-5A0BE8FCC9BE\"></a><p class=\"table-body\">Enable the \n                           						<span class=\"MenuCascade\" id=\"GUID-B38A342C-F74B-448B-88DF-7E753B174519\">IDBufferPicking</span> property in the Renderer Properties Resources. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">To toggle the EZ Selection button off. \n                        				  \n                     </td>\n                     <td class=\"table-body\"><span class=\"keyboardEntry\">Alt</span> + \n                        					 <span class=\"keyboardEntry\">Shift</span> + \n                        					 <span class=\"keyboardEntry\">A</span> \n                     </td>\n                     <td class=\"table-body\">&nbsp; <a name=\"GUID-2FF77EA8-51A5-4C6C-8F76-49B470934B77\"></a><p class=\"table-body\"> <a name=\"FIG_3639B7A42DFE4CF1B7FFEE0DB116DC39\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-0E2CAC37-B375-4854-A081-5E78FDD233ED-low.png\"></div> \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-FC277462-1C12-4ABA-AB29-03ADF3E496A8\"></a><p class=\"table-body\">Disable the \n                           						<span class=\"MenuCascade\" id=\"GUID-13D949E6-0FE5-4BCA-83FF-8F22EBB9A012\">IDBufferPicking</span> property in the Renderer Properties Resources. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">To display the transparency threshold of textures. \n                        				  \n                     </td>\n                     <td class=\"table-body\"><span class=\"keyboardEntry\">Shift</span> + \n                        					 <span class=\"keyboardEntry\">A</span> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-51611BAB-6675-4F03-8C8A-C8E1DB461926\"></a><p class=\"table-body\"> <span class=\"MenuCascade\" id=\"GUID-F14D6BC8-D635-4F1A-9BFE-077A764E5C7D\">IDBufferDisplay \n                              						</span> \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-9AC14F34-7FD6-43E5-8057-D9F076691EAC\"></a><p class=\"table-body\">Enable the \n                           						<span class=\"MenuCascade\" id=\"GUID-5BFCFF76-D02B-46E2-9DBE-D2D82191CD9F\">IDBufferDisplay \n                              						</span>property in the Renderer Properties Resources. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">To define the transparency threshold of textures. \n                        				  \n                     </td>\n                     <td class=\"table-body\"><span class=\"keyboardEntry\">Shift</span> + \n                        					 <span class=\"keyboardEntry\">A</span> + scroll mouse wheel \n                        				  \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-95A042E9-751D-4F92-A040-6F7BEE26322A\"></a><p class=\"table-body\"> <span class=\"MenuCascade\" id=\"GUID-7305CACF-5532-4926-9314-3071252C4C13\">IDBufferPickingAlpha</span> \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-A28B1315-62CC-40AB-BEF0-32B7FA131B08\"></a><p class=\"table-body\">Adjust the value of the \n                           						<span class=\"MenuCascade\" id=\"GUID-26E6F229-B687-43C9-8394-C8FE1BE8D72B\">IDBufferPickingAlpha</span> property in the Renderer Properties Resources. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">To enable the selection override color for selecting occluded geometric elements. \n                        				  \n                     </td>\n                     <td class=\"table-body\"><span class=\"keyboardEntry\">Alt</span> + \n                        					 <span class=\"keyboardEntry\">Shift</span> + \n                        					 <span class=\"keyboardEntry\">Q</span> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-11957150-182A-42FB-B941-F206AE228720\"></a><p class=\"table-body\"> <span class=\"MenuCascade\" id=\"GUID-AE47E11D-AB23-4B3E-A943-FD8A7B98A1AE\">SelectionOverride</span> \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-587732DB-E4B8-4782-BC45-113ABBBC404A\"></a><p class=\"table-body\">Enable the \n                           						<span class=\"MenuCascade\" id=\"GUID-2A8730A1-754D-4230-90BE-A1A4EE1F8358\">SelectionOverride</span> property in the Renderer Properties Resources. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">To disable the selection override color for selecting occluded geometric elements. \n                        				  \n                     </td>\n                     <td class=\"table-body\"><span class=\"keyboardEntry\">Alt</span> + \n                        					 <span class=\"keyboardEntry\">Shift</span> + \n                        					 <span class=\"keyboardEntry\">Q</span> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-1B79E05A-00E5-423E-8BE9-87C4F38BB5AD\"></a><p class=\"table-body\"> <span class=\"MenuCascade\" id=\"GUID-ECC7FBE3-EBD3-4731-9EB5-59145BEA7EFA\">SelectionOverride</span> \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-7FAE1E3D-EAAD-4570-97BA-80E7B7563C3D\"></a><p class=\"table-body\">Disable the \n                           						<span class=\"MenuCascade\" id=\"GUID-D93C7DCD-8CF9-40D4-962F-E327EDBF5DD8\">SelectionOverride</span> property in the Renderer Properties Resources. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">To define the selection override color for selecting occluded geometric elements. \n                        				  \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-9B4721E0-D2FF-44BD-A0F1-777B03158C09\"></a><p class=\"table-body\">None \n                           					 \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-A14E14BD-E378-4812-94DB-C5D879D1BD15\"></a><p class=\"table-body\"> <span class=\"MenuCascade\" id=\"GUID-29478B2D-2F7B-46F2-B3EE-4378124C78F7\">SelectionOverrideColor</span> \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-6D880414-BF45-44BC-AA11-7C6C84C65570\"></a><p class=\"table-body\">Define the selection override color in the \n                           						<span class=\"MenuCascade\" id=\"GUID-F2BF5CFF-B5BA-4B76-99AF-9041E4BE7F40\">SelectionOverrideColor</span> property fields or button in the Renderer Properties Resources. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">To define the selection override color transparency for selecting occluded geometric elements. \n                        				  \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-E457B051-2699-4D33-9F0A-A0E3F627781F\"></a><p class=\"table-body\">None \n                           					 \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-7DA50751-CE1A-4ED0-B759-7C526C4656B7\"></a><p class=\"table-body\"> <span class=\"MenuCascade\" id=\"GUID-C6725269-4A20-4D69-A8E4-40A606AF5A37\">SelectionOverideTransparency</span> \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-B2D3FF58-A77F-4DF5-A373-53CBB6B769D0\"></a><p class=\"table-body\">Adjust the value of the \n                           						<span class=\"MenuCascade\" id=\"GUID-C0F3ADBD-FAFB-4242-BECE-B681EECEB612\">SelectionOverrideTransparency</span> property in the Renderer Properties Resources. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">To select and cycle through textured geometric elements with a selection override color. \n                        				  \n                     </td>\n                     <td class=\"table-body\">Click a geometric element and press \n                        					 <span class=\"keyboardEntry\">Shift</span> + \n                        					 <span class=\"keyboardEntry\">1</span> + scroll mouse wheel \n                        				  \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-6E05D42D-A58F-4975-85D2-38F5BEDDF041\"></a><p class=\"table-body\">None \n                           					 \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">Define the selection override color in the \n                           						<span class=\"MenuCascade\">SelectionOverrideColor \n                              						</span>property fields or button in the Renderer Properties Resources. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">To cycle through textured geometric elements with a selection override color and hide the geometric elements in front of the\n                        selected geometric element. \n                        				  \n                     </td>\n                     <td class=\"table-body\">Click a geometric element and press \n                        					 <span class=\"keyboardEntry\">Shift</span> + \n                        					 <span class=\"keyboardEntry\">2</span> + scroll mouse wheel \n                        				  \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-63339AD1-DF38-4D25-BEBE-2A7A1961ADC8\"></a><p class=\"table-body\">None \n                           					 \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">Define the selection override color in the \n                           						<span class=\"MenuCascade\">SelectionOverrideColor \n                              						</span>property fields or button in the Renderer Properties Resources. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">To hide textured geometric elements with a selection override color in front of the selected textured geometric element. \n                        				  \n                     </td>\n                     <td class=\"table-body\">Click a geometric element and press \n                        					 <span class=\"keyboardEntry\">Shift</span> + \n                        					 <span class=\"keyboardEntry\">2</span> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-612FEA80-DC98-404D-9F86-5F3E3E2CE4C3\"></a><p class=\"table-body\">None \n                           					 \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">Define the selection override color in the \n                           						<span class=\"MenuCascade\">SelectionOverrideColor \n                              						</span>property fields or button in the Renderer Properties Resources. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">To show only the selected textured geometric element. \n                        				  \n                     </td>\n                     <td class=\"table-body\">Click a geometric element and press \n                        					 <span class=\"keyboardEntry\">Shift</span> + \n                        					 <span class=\"keyboardEntry\">3</span> \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-F18D2AD8-08B7-4296-91B3-14F7188F3A92\"></a><p class=\"table-body\">None \n                           					 \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">Define the selection override color in the \n                           						<span class=\"MenuCascade\">SelectionOverrideColor \n                              						</span>property fields or button in the Renderer Properties Resources. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">To isolate the selected textured geometric element with a selection override color and then scroll through all the geometric\n                        element with a selection override color (one by one). \n                        				  \n                     </td>\n                     <td class=\"table-body\">Click a geometric element and press \n                        					 <span class=\"keyboardEntry\">Shift</span> + \n                        					 <span class=\"keyboardEntry\">3</span> + scroll mouse wheel \n                        				  \n                     </td>\n                     <td class=\"table-body\"> <a name=\"GUID-EE2FA705-682B-4209-BCD1-3486E689C915\"></a><p class=\"table-body\">None \n                           					 \n                        </p> \n                     </td>\n                     <td class=\"table-body\"> \n                        <p class=\"table-body\">Define the selection override color in the \n                           						<span class=\"MenuCascade\">SelectionOverrideColor \n                              						</span>property fields or button in the Renderer Properties Resources. \n                           					 \n                        </p> \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_9BCC890629AE43F1984929996E73998A\"></a> \n            <h2><a name=\"GUID-EE3A5FA7-2319-4EFF-B73A-2E4655735AB6\"></a>Selecting an occluded textured geometric element by using a selection override color\n            </h2> \n            <p>imilarly to selecting occluded geometric elements through alpha channels, you can select a geometric element in the background\n               through partially transparent textured geometric elements in the foreground by using the Easy Selection button (<img src=\"../images/GUID-27A5A54B-25F8-47C1-A6EF-AA1AD193C068-low.png\">) in the Viewer toolbar or its keyboard shortcut (<span class=\"keyboardEntry\">Alt</span> + \n               		  <span class=\"keyboardEntry\">Shift</span> + \n               		  <span class=\"keyboardEntry\">A</span>), and by specifying the texture\'s selection override color. Setting a selection override color uses the textures\' diffuse\n               channel for the color override. \n               		\n            </p> \n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"TOPIC_2B1B60152A70454582A7014D341E377E.htm\">Selecting an occluded textured geometric element by using a selection override color</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-AD1FAE82-3832-4C2D-9809-BFC0250F1185.htm\">Selecting an occluded textured geometric element through alpha channels</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-47035C81-FF98-4FE2-91DD-B17072CDDD8D.htm\">Selecting an occluded textured geometric element through partially transparent textures</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";