var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-C6939070-DE27-4AC8-8DCD-94CA468D95A6\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Kinematics</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-C6939070-DE27-4AC8-8DCD-94CA468D95A6\"></a><div class=\"head\">\n            <h1>Kinematics</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F267\"></a>When you work with bones on a skeleton or effectors on a Control rig, the rules of kinematics are used to specify how the\n            relative motion between these objects is calculated. There are two main kinematic rules, <span class=\"char_link\"><a href=\"GUID-C6939070-DE27-4AC8-8DCD-94CA468D95A6.htm#WSF00FE1F65A1E03F9744866711688C360A6-7FFD\">Forward kinematics</a></span> and <span class=\"char_link\"><a href=\"GUID-C6939070-DE27-4AC8-8DCD-94CA468D95A6.htm#WSF00FE1F65A1E03F9744866711688C360A6-7FFC\">Inverse kinematics</a></span>. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F268\"></a>Most animators use a combination of Inverse Kinematics (IK) and Forward Kinematics (FK) to manipulate characters. You can\n            select and manipulate pivot points to affect individual bones using FK, or you can use IK to move a hierarchy of bones. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F269\"></a>Most situations require fine-tuning that is only possible using a combination of both FK and IK, so it is a good idea to have\n            a solid understanding of both. \n         </p>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9744866711688C360A6-7FFD\"></a> \n            <h2><a name=\"GUID-344CA10C-2E94-4F0C-8B3D-AB321CF6CF92\"></a>Forward kinematics\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F26A\"></a>Forward Kinematics is the method of transforming a group of connected joints where the movement of the root (or top) of the\n               chain influences all joints along the chain until reaching the end joint. All joints along the chain influence the succeeding\n               joints in the chain, but not the preceding joints. In other words, Forward Kinematics propagates down the chain. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F26B\"></a>The easiest way to explain this rule is to compare it to a simple chain. The following figure uses four joints to represent\n               an arm. <a name=\"WS73099CC142F4875535A241551166AC8792F26C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-9847A7F8-87B1-4DE8-A517-7F2F34E150F6-low.png\"><p class=\"figure-title\">Arm FK chain <em class=\"mild\">A.</em> Shoulder or root joint <em class=\"mild\">B.</em> Elbow joint <em class=\"mild\">C.</em> Wrist joint <em class=\"mild\">D.</em> Hand or end joint\n                  </p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F26E\"></a>In the arm FK chain, rotation of the shoulder joint (A) is propagated down through the elbow (B) and wrist (C) to the hand\n               (D). If only the elbow (B) is rotated, only the wrist (C) and hand (D) move, but not the shoulder (A). In other words, the\n               joints in an FK chain have a parent-child relationship in which the child node (B) follows the behavior of the parent node\n               (A). Usually, the animator must define these complex rules for all of the joint motions on a character, but in <span class=\"charspan-msgph\">MotionBuilder</span>, the work is done for you by the Control rig. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F26F\"></a>Forward Kinematics gives you complete control over individual bones in the skeleton, letting you manually position each individual\n               joint in a chain. Some situations may require this kind of fine tuning that may not be possible using Inverse Kinematics alone.\n               \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F270\"></a>For example, the following figure shows FK effectors on each finger of a character in <span class=\"charspan-msgph\">MotionBuilder</span>. These effectors were translated and rotated to close the hand, something that would not have been possible with IK. <a name=\"WS73099CC142F4875535A241551166AC8792F271\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A6233EF8-1DC3-4DE1-A2DC-4FFD1DCCFC37-low.png\"><p class=\"figure-title\">FK lets you manipulate individual joints such as those in the fingers.</p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F273\"></a>Thus, one of the features of FK is that it gives you complete control over individual bones in the skeleton, letting you manually\n               position each individual joint in a chain. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9744866711688C360A6-7FFC\"></a> \n            <h2><a name=\"GUID-89818AFE-87BC-452A-82EA-E645715C57E4\"></a>Inverse kinematics\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F274\"></a>Inverse Kinematics (IK) is the method of transforming a group of connected joints where the movement of the end joint influences\n               all the joints upwards through the chain. Since you are determining the goal of the action by positioning the end effector\n               of a chain, end effectors are sometimes referred to as goals, and IK as “goal-based movement”. All joints influence preceding\n               joints, but not succeeding joints. In other words, inverse kinematics propagates up the chain. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F275\"></a>The following figure uses three joints to represent an arm. This time, it is the rotation of the wrist joint (C) that is propagated\n               up through the elbow (B) to the shoulder (A). <a name=\"WS73099CC142F4875535A241551166AC8792F276\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-7C0D2C44-E7D4-4BCB-AD4D-A98AA840FBC2-low.png\"><p class=\"figure-title\">IK arm chain <em class=\"mild\">A.</em> Shoulder effector <em class=\"mild\">B.</em> Elbow effector <em class=\"mild\">C.</em> Wrist effector\n                  </p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F278\"></a>Any transformation of the IK chain, even a finger tip, is propagated up through the finger joints, hand, wrist, elbow, and\n               shoulder. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F279\"></a>Since IK is goal-based, there are an infinite number of positions the IK chain can take to reach the same goal. It is necessary\n               to specify additional effectors that give the main IK chain “hints” in which direction the joints should bend. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F27A\"></a> <span class=\"charspan-msgph\">MotionBuilder</span> calculates how to position the rest of the chain to reach this goal. This lets you create realistic movement, since all body\n               parts move in relation to other parts. You position the goal, and <span class=\"charspan-msgph\">MotionBuilder</span> positions the rest of the body. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F27B\"></a>For example, the following figure shows the result of moving the left wrist effector of a character in <span class=\"charspan-msgph\">MotionBuilder</span>. Since the wrist effector is the end effector for the arm hierarchy, the rest of the arm and consequently the body follow\n               and reach toward that effector. <a name=\"WS73099CC142F4875535A241551166AC8792F27C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-D20DEF40-D01D-4938-9A2E-4298F8FB0DDD-low.png\"><p class=\"figure-title\">Inverse Kinematics affects related body parts.</p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F27E\"></a>The Control rig is responsible for determining which way the joint is pointed. There are also supplementary effectors you\n               can add to a Control rig that correspond to an existing IK effector. Auxiliary effectors and pivots provide additional IK\n               control for the reach of a character, and display on the corresponding IK effector. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F27F\"></a>Essentially, the IK rig lets you position your character quickly and intuitively by moving effectors at the end of a chain\n               to manipulate a hierarchy of bones. Some situations may require fine tuning that may not be possible using Inverse Kinematics\n               alone. In this case, you can combine Inverse Kinematics with Forward Kinematics to create exactly the position you need. \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-0CC7458E-1F10-4714-BFD3-4465D4565A68.htm\">Control rigs </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-15AE92E1-337A-47D5-A1D9-300134493E25.htm\">Auxiliary objects </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";