var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-C7F502C9-F29E-4AAB-88CA-36BDACDC04E8\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Namespace</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-C7F502C9-F29E-4AAB-88CA-36BDACDC04E8\"></a><div class=\"head\">\n            <h1>Namespace</h1>\n         </div>\n         <p> </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5476\"></a> A namespace is a group of objects collected under a name. A namespace is also a unique path. Therefore, each item in a namespace\n            is identified by its name along with the namespace to which it belongs. For example, objects in the Namespace “Galaxy” could\n            be “Galaxy:Moon”, “Galaxy:Rocket”, or “Galaxy:Alien”. \n            	 \n         </p>\n         <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73AE\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>A colon (:) character is automatically added to separate the names of namespaces and nodes. \n               	 \n            </div>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5472\"></a>When namespaces are used, you can have two objects with the same name in a scene, as long as they have different namespaces.\n            For example, “Mars:Alien” and “Moon:Alien” objects can be in the same scene as long as the namespace is unique to each object.\n            \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73AF\"></a>When you merge an object into a scene that contains another object with the same name, you can choose to prepend a namespace\n            to the incoming object to resolve the naming conflict. \n            	 \n         </p>\n         <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73B0\"></a>An asset can be in any namespace, regardless of how they are in a scene. You can give nodes from a Control rig hierarchy one\n            or multiple namespaces, or give a parent object one namespace and a child object another. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C2B\"></a> Prepending namespaces to objects or objects’ branches can facilitate scene management optimization. This can be especially\n            useful if you have very large scene files. \n            	 \n         </p>\n         <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73B1\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Objects’ properties and property references also take into account namespaces. \n               	 \n            </div>\n         </div>\n         <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73B2\"></a>You can add, replace, and remove namespaces as you build a scene file. You can also append namespaces to other namespaces\n            in the scene. See \n            		<span class=\"char_link\"><a href=\"GUID-C7F502C9-F29E-4AAB-88CA-36BDACDC04E8.htm#WS1A9193826455F5FF-54F556CA1166AC9EE9E-5470\">Namespaces within namespaces</a></span>. \n            	 \n         </p>\n         <div><a name=\"WS1A9193826455F5FF3913A1A412260CA5929-5D0C\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>A namespace is limited to a length of 1024 characters. \n               		 \n            </div>\n         </div><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C2C\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C2D\"></a> To prepend a namespace to an object:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the object via the Scene browser or Viewer window. \n               		\n            </li>\n            <li>From the \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> menu bar, select Edit &gt; Add/Remove Namespace. \n               		  \n               <div><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C30\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can also right-click an object or node and choose Add/Remove Namespace from the context menu. \n                     		  \n                  </div>\n               </div> \n               <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C31\"></a>The Add/Remove Namespace dialog box appears, displaying namespaces in the current scene. \n                  		  \n               </p> <a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C32\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A5A7B93C-2E24-4D2D-A1DA-AA362E93B310-low.png\"><p></p>\n                  <p class=\"figure-title\">Add/Remove Namespace dialog box</p>\n               </div> \n            </li>\n            <li>Click the “Add” tab. \n               		\n            </li>\n            <li>Click in the “New Namespace” field and enter characters. \n               		  <a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C36\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-F73B38C4-E2ED-45C7-A5F4-8D543C3A50C5-low.png\"><p></p>\n                  <p class=\"figure-title\">Namespace specified for selected object</p>\n               </div> \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F77E3\"></a>Enabling or disabling the option “Add after other namespace” option when there are no namespaces in the scene has no effect.\n                  \n                  		  \n               </p> \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F77CE\"></a><div class=\"note-warning\"><span class=\"label label-target-language\">WARNING:</span>Adding namespaces to objects may affect the merge-back of the animation as this process is based on the names of objects.\n                     \n                     		  \n                  </div>\n               </div> \n            </li>\n            <li>Click OK. \n               		  \n               <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C38\"></a>The specified namespace is added to the object, giving the object a unique name. \n                  			 \n                  <div><a name=\"GUID-8D084C82-7AA7-4F82-812F-DD176DE4E7C7\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>If your namespace is not fully visible, resize the window. \n                        			 \n                     </div>\n                  </div> \n               </p> \n               <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C39\"></a>If you have two objects in a scene that carry the same name (for example “Cube”) but one of the objects has a namespace prepended\n                  (for example “Big:Cube”), prepending the same namespace (for example “Big”) to the object carrying the same name (for example\n                  “Cube”) gives the following warning message. \n                  		  \n               </p> <a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C3A\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-6642FCEA-E5BE-4F97-BC61-F9EA81B61B90-low.png\"><p></p>\n                  <p class=\"figure-title\">Name Clash Warning dialog box</p>\n               </div> \n               <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C3B\"></a>If you choose to proceed with the action, a number is prepended to the object’s name to give the object a unique name (for\n                  example “Big:Cube1”). \n                  		  \n               </p> \n            </li>\n         </ol><a name=\"WS73099CC142F48755F2FC9DF120970276F73B4\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755F2FC9DF120970276F73B5\"></a> To prepend a namespace to a branch:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the top object in a branch via the Scene browser or Viewer window. \n               		  \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73B7\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>To view the hierarchy of the objects in your scene and ensure you select the object at the top of the hierarchy via the Viewer\n                     window, switch to the Schematic view by pressing \n                     			 <span class=\"keyboardEntry\">Ctrl</span>-<span class=\"keyboardEntry\">W</span>, or by selecting Schematic from the View menu. To switch back to the camera view, press \n                     			 <span class=\"keyboardEntry\">Ctrl</span>-<span class=\"keyboardEntry\">W</span>. \n                     		  \n                  </div>\n               </div> \n            </li>\n            <li>From the \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> menu bar, select Edit &gt; Add/Remove Namespace. \n               		  \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73B9\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can also right-click an object or node and choose Add/Remove Namespace from the context menu. \n                     		  \n                  </div>\n               </div> \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73BA\"></a>The Add/Remove Namespace dialog box appears, displaying namespaces in the current scene. \n                  		  \n               </p> \n            </li>\n            <li>Click the “Add” tab. \n               		\n            </li>\n            <li>Click in the “New Namespace” field and enter characters. \n               		  <a name=\"WS73099CC142F48755F2FC9DF120970276F73BD\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-F73B38C4-E2ED-45C7-A5F4-8D543C3A50C5-low.png\"><p></p>\n                  <p class=\"figure-title\">Namespace specified for branch</p>\n               </div> \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F77E4\"></a>Enabling or disabling the option “Add after other namespace” option when there are no namespaces in the scene has no effect.\n                  \n                  		  \n               </p> \n            </li>\n            <li>Enable the “Apply to branch” option. \n               		  \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F77CF\"></a><div class=\"note-warning\"><span class=\"label label-target-language\">WARNING:</span>Adding namespaces to objects or branches may affect the merge-back of the animation as this process is based on the names\n                     of objects and branches. \n                     		  \n                  </div>\n               </div> \n            </li>\n            <li>Click OK. \n               		  \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73C2\"></a>The specified namespace is added to the object’s branch. \n                  		  \n               </p> \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73C3\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If the name is not unique, you get a warning message enabling you to either proceed with the action or cancel the action.\n                     If you proceed with the action, a number is prepended to each object within the branch to provide unique names. \n                     		  \n                  </div>\n               </div> \n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C3C\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C3D\"></a> To replace a namespace prepended to an object:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the object via the Scene browser or Viewer window. \n               		\n            </li>\n            <li>From the \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> menu bar, select Edit &gt; Add/Remove Namespace. \n               		  \n               <div><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C40\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can also right-click an object or node and choose Add/Remove Namespace from the context menu. \n                     		  \n                  </div>\n               </div> \n               <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C41\"></a>The Add/Remove Namespace dialog box appears displaying the namespaces in the current scene. \n                  		  \n               </p> <a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C42\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-152A847A-440F-4E44-B06E-4713DA697E42-low.png\"><p></p>\n                  <p class=\"figure-title\">Namespaces in current scene displayed</p>\n               </div> \n            </li>\n            <li>Click the “Replace” tab. \n               		  \n               <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C44\"></a>The selected object’s namespace is highlighted. \n                  		  \n               </p> <a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C45\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-1504AED4-AE3F-49F0-AF66-7D60A358B6C6-low.png\"></div> \n            </li>\n            <li>Click in the “New” field and enter a name. \n               		  \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F77D0\"></a><div class=\"note-warning\"><span class=\"label label-target-language\">WARNING:</span>Changing namespaces of objects may affect the merge-back of the animation as this process is based on the names of objects.\n                     \n                     		  \n                  </div>\n               </div> \n            </li>\n            <li>Click OK. \n               		  \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73C6\"></a>The object’s namespace is replaced by the specified name. \n                  		  \n               </p> \n            </li>\n         </ol><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C48\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C49\"></a> To replace a namespace prepended to an object’s branch:\n         </p>\n         <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73C7\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>To view the hierarchy of the objects in your scene and ensure you select the object at the top of the hierarchy via the Viewer\n               window, switch to the Schematic view by pressing \n               		  <span class=\"keyboardEntry\">Ctrl</span>-<span class=\"keyboardEntry\">W</span>, or by selecting Schematic from the View menu. To switch back to the camera view, press \n               		  <span class=\"keyboardEntry\">Ctrl</span>-<span class=\"keyboardEntry\">W</span>. \n               		\n            </div>\n         </div>\n         <ol type=\"1\" start=\"1\">\n            <li>Follow the preceding procedure (for replacing a namespace prepended to an object) up to step 5. \n               		\n            </li>\n            <li>Enable “Apply to branch” option. \n               		  \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F77D1\"></a><div class=\"note-warning\"><span class=\"label label-target-language\">WARNING:</span>Changing namespaces of objects or branches may affect the merge-back of the animation as this process is based on the names\n                     of objects and branches. \n                     		  \n                  </div>\n               </div> \n            </li>\n            <li>Click OK. \n               		  \n               <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383C4D\"></a>The object’s branch namespace is replaced by the specified name. \n                  		  \n               </p> \n            </li>\n         </ol><a name=\"WS73099CC142F48755F2FC9DF120970276F73C9\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755F2FC9DF120970276F73CA\"></a>To remove a namespace prepended to an object’s name:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the object via the Scene browser or Viewer window. \n               		\n            </li>\n            <li>From the \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> menu bar, select Edit &gt; Add/Remove Namespace. \n               		  \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73CD\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can also right-click an object or node and choose Add/Remove Namespace from the context menu. \n                     		  \n                  </div>\n               </div> \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73CE\"></a>The Add/Remove Namespace dialog box appears displaying the namespaces in the current scene. \n                  		  \n               </p> \n            </li>\n            <li>Click the “Remove” tab. \n               		  \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73D0\"></a>The selected object’s namespace is highlighted. \n                  		  \n               </p> \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F77D2\"></a><div class=\"note-warning\"><span class=\"label label-target-language\">WARNING:</span>Removing namespaces of objects may affect the merge-back of the animation as this process is based on the names of objects.\n                     \n                     		  \n                  </div>\n               </div> \n            </li>\n            <li>Click OK. \n               		  \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73D3\"></a>The namespace is removed from the selected object. \n                  		  \n               </p> \n            </li>\n         </ol><a name=\"WS73099CC142F48755F2FC9DF120970276F73D4\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755F2FC9DF120970276F73D5\"></a>To remove a namespace prepended to an object’s branch:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Select the object ‘s branch via the Scene browser or Viewer window. \n               		  \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73D7\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>To view the hierarchy of the objects in your scene and ensure you select the object at the top of the hierarchy via the Viewer\n                     window, switch to the Schematic view by pressing \n                     			 <span class=\"keyboardEntry\">Ctrl</span>-<span class=\"keyboardEntry\">W</span>, or by selecting Schematic from the View menu. To switch back to the camera view, press \n                     			 <span class=\"keyboardEntry\">Ctrl</span>-<span class=\"keyboardEntry\">W</span>. \n                     		  \n                  </div>\n               </div> \n            </li>\n            <li>From the \n               		  <span class=\"charspan-msgph\">MotionBuilder</span> menu bar, select Edit &gt; Add/Remove Namespace. \n               		  \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73D9\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can also right-click a branch or the top node of a branch and choose Add/Remove Namespace from the context menu. \n                     		  \n                  </div>\n               </div> \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73DA\"></a>The Add/Remove Namespace dialog box appears displaying the namespaces in the current scene. \n                  		  \n               </p> \n            </li>\n            <li>Click the “Remove” tab. \n               		  \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73DC\"></a>The selected branch’s namespace is highlighted. \n                  		  \n               </p> \n            </li>\n            <li>Enable “Apply to branch”. \n               		  \n               <div><a name=\"WS73099CC142F48755F2FC9DF120970276F73DE\"></a><div class=\"note-warning\"><span class=\"label label-target-language\">WARNING:</span>Removing namespaces prepended to branches may affect the merge-back of the animation as this process is based on the names\n                     of objects and branches. \n                     		  \n                  </div>\n               </div> \n            </li>\n            <li>Click OK. \n               		  \n               <p><a name=\"WS73099CC142F48755F2FC9DF120970276F73E1\"></a>The namespace is removed from the selected branch. \n                  		  \n               </p> \n            </li>\n         </ol>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5470\"></a> \n            <h2><a name=\"GUID-F43D68DC-31A2-446C-B846-D9D1CF6C8553\"></a>Namespaces within namespaces\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-546F\"></a>A namespace acts like a directory in a file system. It is the unique ID of an object or branch. The assets assigned to a namespace\n               are like files in a directory folder. You can store a namespace inside another namespace, just as you would store a directory\n               inside another directory. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A8381B5\"></a>A namespace is a unique path. The whole path is considered a namespace. So, Moon:Alien is a path, but Galaxy:Moon:Alien is\n               a separate path because it does not reference Moon:Alien in the Galaxy and therefore increments Moon. Moon:Alien and Galaxy:Moon:Alien\n               are two separate and cooperative elements that do not require renaming. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-546E\"></a>For example, the spine bone of an Alien character, shown as “Alien:Spine”, could be placed in the “Moon” namespace, which\n               would then be Moon:Alien:Spine. The Moon namespace and all its associated asset could then be stored in a “Galaxy” namespace,\n               creating Galaxy:Moon:Alien:Spine, and so on. \n               		\n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-546D\"></a>Just as you cannot have two subdirectories with the same name inside a directory, you cannot have two objects with the same\n               name in a namespace. For example, in the namespace “Galaxy”, there cannot be two “Galaxy:Moon” objects. Refer to the procedures\n               in the following topic (<span class=\"char_link\"><a href=\"GUID-C3865E0A-25CF-4A79-A27D-11D61F8DB57B.htm\">Creating hierarchy namespaces</a></span>). \n               		\n            </p> \n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-11156F58-B0ED-4A79-A80D-1615CDDB39B9.htm\">Selecting objects or branches by their namespaces</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C3865E0A-25CF-4A79-A27D-11D61F8DB57B.htm\">Creating hierarchy namespaces</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8E8809D1-D119-466A-B8C7-4A9497BC87A3.htm\">Deleting namespaces in a hierarchy</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C51CE5E0-5A7D-4798-BE0D-C74CBCDF7364.htm\">Replacing namespaces in a hierarchy</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";