var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-C99F93E3-3049-4D7B-A271-21A1604B83F7\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Chain IK properties</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-C99F93E3-3049-4D7B-A271-21A1604B83F7\"></a><div class=\"head\">\n            <h1>Chain IK properties</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-36A8\"></a> The following Chain IK constraint properties are included with bones when you use the Chain IK constraint. \n         </p>\n         <div><a name=\"WS73099CC142F48755-49D92FDB129CC323221-6658\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The list appears for Chain IK on bones created in Maya. \n            </div>\n         </div><a name=\"WS73099CC142F48755-49D92FDB129CC323221-675A\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-D4AFDC5C-9BE9-4914-9A91-B1E6A0682655-low.png\"><p class=\"figure-title\">Chain IK constraints bone properties</p>\n         </div><a name=\"WS73099CC142F48755-49D92FDB129CC323221-6657\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"21.581920903954803%\">\n                  <col width=\"35.2542372881356%\">\n                  <col width=\"43.163841807909606%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\">Chain IK Setting </th>\n                  <th class=\"table-heading\">Description </th>\n                  <th class=\"table-heading\">Note </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Rotation Stiffness X, Y, Z </td>\n                  <td class=\"table-body\">The current node\'s resistance to movement. </td>\n                  <td class=\"table-body\">Rotation Stiffness can be set in the X, Y, and Z axes. </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Min Damp Range X, Y, Z </td>\n                  <td class=\"table-body\">The angle used by the IK chain to create resistance for joint movement when it approaches the lower boundary or the minimum\n                     of its limits. \n                  </td>\n                  <td class=\"table-body\">The Min Damp Range can be set in the X, Y, and Z axes. Use the Min Damp Range setting to create slow joint motion until the\n                     joint reaches its movement limits and comes to a gradual stop. \n                     <div><a name=\"GUID-A6F2BA7A-A7A0-491B-BEDD-AB282290E4C5\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You must have Degrees of Freedom (DOF) set to use this property. \n                        </div>\n                     </div> \n                     <div><a name=\"GUID-EF7E3487-450C-419D-BAC7-9AC194E4179B\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Use the Min Damp Strength setting to set the rate of deceleration of the joint movement. \n                        </div>\n                     </div> \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Max Damp Range X, Y, Z </td>\n                  <td class=\"table-body\">The angle used by the IK chain to create resistance for joint movement when it approaches the upper boundary or the maximum\n                     of its limits. \n                  </td>\n                  <td class=\"table-body\">The Max Damp Range can be set in the X, Y, and Z axes. Use the Max Damp Range settings to create slow joint motion until the\n                     joint reaches its movement limits and comes to a gradual stop. \n                     <div><a name=\"GUID-06C14371-BD4D-426F-957C-DB3CA651D34F\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You must have Degrees of Freedom (DOF) set to use this property. Note: Use the Max Damp Strength settings to set the rate\n                           of deceleration. \n                        </div>\n                     </div> \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Max Damp Strength X, Y, Z </td>\n                  <td class=\"table-body\">The IK chain’s resistance to joint movement as it approaches the upper boundary or the maximum of its limits. </td>\n                  <td class=\"table-body\">The Max Damp Strength can be set in the X, Y, and Z axes. Use the Max Damp Strength setting to define the Max Damp Range’s\n                     deceleration. \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Min Damp Strength X, Y, Z </td>\n                  <td class=\"table-body\">The IK chain’s resistance to joint movement as it approaches the lower boundary or the minimum of its limits. </td>\n                  <td class=\"table-body\">The Min Damp Strength can be set in the X, Y, and Z axes. Use the Min Damp Strength setting to define the Min Damp Range’s\n                     deceleration. \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Preferred Angle X, Y, Z </td>\n                  <td class=\"table-body\">The preferred rotations of the joint. </td>\n                  <td class=\"table-body\">The Preferred Angle can be set in the X, Y, and Z axes. In the Chain IK Constraint Settings, click Snap to set all nodes to\n                     their current rotation value. \n                     <div><a name=\"GUID-272291F3-551F-44EB-88DC-ECAF706D7F54\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>These settings work only with chains containing more than two bones. \n                        </div>\n                     </div> \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Set Preferred Angle </td>\n                  <td class=\"table-body\">Defines and applies the preferred rotations of the joint in the X, Y, and Z axes that are defined in the Preferred Angle X,\n                     Y, and Z settings. \n                  </td>\n                  <td class=\"table-body\"> When you build a skeleton, you should create the joints so they are oriented at the angles you would want them to move in\n                     during IK. \n                  </td>\n               </tr>\n            </table>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";