var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-CAD62D87-DCE5-4DD2-8F57-EA5039D29C80\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Audio-driven facial animation workflow</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-CAD62D87-DCE5-4DD2-8F57-EA5039D29C80\"></a><div class=\"head\">\n            <h1>Audio-driven facial animation workflow</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F804\"></a> Using a Character Face and the Voice device, you can set up a character to “talk” with an audio file or live audio input\n            as its voice. Through the Voice device, the phonemes in the audio input drive the expressions on the character’s face. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F806\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-91EAA723-E65D-48E5-ACE6-7E1585BBB33F-low.png\"><p class=\"figure-title\">Audio-driven facial animation workflow</p>\n         </div><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0E70\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0E71\"></a>To drive facial expressions using audio data:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Load a head model with shapes or cluster shapes. \n               <p><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0E73\"></a>The shapes on your head model should be appropriate for the number of phonemes you need to make the character convey your\n                  audio input, and they should correspond with the sound parameters of the Voice device. See also <span class=\"char_link\"><a href=\"GUID-E3D27BE8-1392-4CC0-BD5D-17EE3D016EC3.htm\">Phoneme shapes</a></span>. \n               </p> \n            </li>\n            <li>Add a Character Face to the scene. \n               <p><a name=\"GUID-591E9498-C830-44AF-8B1E-1F6FC759AE30\"></a>See <span class=\"char_link\"><a href=\"GUID-0E51EC1B-EBF4-4307-88E0-09888DA55FA0.htm\">Adding a Character Face</a></span>. \n               </p> \n            </li>\n            <li>In the Character Face Definition pane, add a custom expression for each phoneme, then map the phoneme shapes you created for\n               your head model to these custom expressions. \n            </li>\n            <li>Link the Character Face to a Voice device. \n               <p><a name=\"GUID-A94CF321-A6B7-4D24-B871-A8BC9CA9DAED\"></a>See <span class=\"char_link\"><a href=\"GUID-6B937BF9-0095-4F0A-9B53-DB31A2A5A52D.htm\">Linking a Character Face to a Voice device</a></span>. \n               </p> \n            </li>\n            <li>Add sound parameters, or phoneme sounds, in the Voice device settings. \n               <p><a name=\"GUID-DAB69718-7D9C-4D41-A824-E3FAC5F9B738\"></a>See <span class=\"char_link\"><a href=\"GUID-5DCB287E-F89F-4A5E-B018-C2F3CF9D3F06.htm\">Adding sound parameters</a></span>. \n               </p> \n               <p><a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0E78\"></a>When you add additional sound parameters (phoneme sounds) to the Voice device, custom expressions automatically appear in\n                  the Expressions pane. \n               </p> \n               <div><a name=\"GUID-A925A1A3-6869-4E4E-8DA9-33B668F6ED6D\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>To fine-tune facial animation driven by the Voice device, change the values of automatically added operators, add additional\n                     operators, or add other devices to trigger facial expressions. \n                  </div>\n               </div> \n            </li>\n         </ol>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-E3D27BE8-1392-4CC0-BD5D-17EE3D016EC3.htm\">Phoneme shapes </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-CAACC176-46C9-408C-A36B-30F0E198C63B.htm#WSF00FE1F65A1E03F95F17306411688C4D7BB-8000\">Voice device </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-41DBD460-A159-4BB2-B8D8-658397CDE3D9.htm\">Specifying gender in the Voice device </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-AFD441CE-3924-4260-A53A-D71A605A07DD.htm\">Activating all phonemes and instruments </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-04216717-3431-4973-91CD-121D86D9EFFB.htm\">Refining a model’s face movements </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";