var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-CC2F5FEE-6205-4DEB-A667-F28CD37902B1\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Creating a character collapse with Ragdoll</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-CC2F5FEE-6205-4DEB-A667-F28CD37902B1\"></a><div class=\"head\">\n            <h1>Creating a character collapse with Ragdoll</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7735\"></a>You can add Ragdoll solving behavior to any character with a Control rig so that the character collapses in a realistic way.\n            \n         </p>\n         <div><a name=\"WS73099CC142F48755-35A0330E12075ABE904-71F5\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>This workflow illustrates the basic ragdoll setup. For a Ragdoll workflow that incorporates character poses for further realism,\n               see <span class=\"char_link\"><a href=\"GUID-67DA016E-CCDD-46BC-B9F1-68BDEB0A1D7C.htm\">Creating a Ragdoll solve with poses</a></span>. \n            </div>\n         </div><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7734\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-33FC\"></a>To create Ragdoll collision effects on a character:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Load a character or skeleton with a Control rig into your scene. \n               <p><a name=\"GUID-B5346D49-D0C2-46F5-B31D-029D75864C30\"></a>See <span class=\"char_link\"><a href=\"GUID-7461D9D8-5193-4372-A6EF-267D3E9EB534.htm\">Creating a Control rig</a></span>. \n               </p> \n            </li>\n            <li>Make sure they are in the default T-Stance position. \n               <p><a name=\"GUID-B95BD083-1298-4240-85D5-4270BA1F91C3\"></a>(See <span class=\"char_link\"><a href=\"GUID-66E8AAFC-54D7-4ADD-9304-58BC3F77C0BF.htm\">Stance</a></span>.) \n               </p> \n            </li>\n            <li>Press Ctrl-A until you are in X-Ray mode. <a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-1D20\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-CEC03625-5BBC-4397-ADFA-C80085C4CBDC-low.png\"></div> \n            </li>\n            <li>From the Asset browser Solvers folder, drag a Physics solver into the Viewer window. </li>\n            <li>From the Asset browser Physical Properties folder, drag the Ragdoll asset onto any part of a Control rig. This connects the\n               ragdoll data to the Character solver. \n               <div><a name=\"WS1A9193826455F5FF2566FFD511FF6F8C7CA-7E59\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> The Control rig “lights up” when you are able to drop the Solver on it. \n                  </div>\n               </div> \n            </li>\n            <li>In the Navigator window Scene browser, expand the Physical Properties folder and double-click the Ragdoll Physical property.\n               <a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-33F7\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-6940EEF3-7DBD-4F3E-A544-036C62306DEB-low.png\"></div> \n            </li>\n            <li>In the Ragdoll Setup pane Approximation area, click Create. A proxy body is created on top of the Control rig. \n               <p><a name=\"GUID-F57559E7-11E3-4F71-B44A-CFC7441153CA\"></a>See <span class=\"char_link\"><a href=\"GUID-138273AE-3C9A-4235-89F3-EBE925D25563.htm\">Creating a Ragdoll Approximation</a></span> \n               </p> \n               <div><a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-33F5\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> To hide the proxy, switch to Models Only mode (Ctrl-A). \n                  </div>\n               </div> <a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-33F4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-19F50F55-7C10-41A6-89ED-FC1EBA4CAAE5-low.png\"></div> \n            </li>\n            <li>Expand the Physical Properties and define specific properties for the object, as well as in the Solve, and Animation panes.\n               \n               <p><a name=\"WS1A9193826455F5FF4E421D7D11BF108001D-DAE\"></a>You can modify settings for individual body parts in the Properties area. \n               </p> \n            </li>\n            <li>Switch to the Navigator window Solver &gt; Physics Solver setup pane, and click Online. Or you can also click the Active option\n               in the Physics Solver properties in the Properties window. \n               <p><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-1D15\"></a>The Ragdoll solving is now active and you can test and tweak your scene. See <span class=\"char_link\"><a href=\"GUID-453F1673-69C4-474D-989B-286AE42D9E0A.htm\">Ragdoll settings</a></span> for information on the different settings. \n               </p> \n            </li>\n            <li>To test your scene, click Live. The Ragdoll solving occurs. To reset your scene after a test, click Reset to Start. <a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-33F3\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-61587859-50BD-41E4-83AA-E0C71258BA49-low.png\"></div> \n               <div style=\"margin-top: 9pt;\"><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-7711\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> When you set the Physics Solver to Live, if you select an object that has a Physical property, such as Ragdoll, Rigid Body,\n                     or Joint attached to it, you need to deselect the object otherwise the object will ignore the Physics Solver. If the Physical\n                     property object is selected when the Physics Solver is Live during recording, the FCurves are re-evaluated based on the Frame\n                     Rate shown in the Transport Controls. \n                  </div>\n               </div> \n            </li>\n            <li>When you are ready to start recording the Ragdoll action so you can convert it to keyframes, disable the Live option. </li>\n            <li>Click Reset to Start to set the Control rig in the pre-collapse position. </li>\n            <li>Press Record in the Transport controls. \n               <p><a name=\"GUID-80AB5841-E023-491C-96D8-BF1CEBD93EF9\"></a>A dialog box appears asking if you want to overwrite the take or create a take. \n               </p> \n            </li>\n            <li>Select an option. </li>\n            <li>Press Play in the Transport controls and Stop when the animation is over. \n               <p><a name=\"GUID-4D32BE17-E907-4EE2-9405-5493DC21CF2C\"></a>The character collapses. \n               </p> \n            </li>\n            <li>In the Physics Properties Setup pane, deactivate Online. </li>\n            <li>To view the recorded keyframes, select one of the animated objects. Keyframes appear in the Transport controls, and the FCurves\n               window. <a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-1D0B\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-67AF9336-1F61-40C1-83A2-2E7B0ECC1CF7-low.png\"></div> \n               <p><a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-1D0A\"></a>You can also press Ctrl-Home and then Play to replay your animation. \n               </p> \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";