var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-CEAF58F3-FC25-4E1D-A71D-5344969CD11D\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Troubleshoot characterizing a character</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-CEAF58F3-FC25-4E1D-A71D-5344969CD11D\"></a><div class=\"head\">\n            <h1>Troubleshoot characterizing a character</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DCF\"></a> This topic discusses common error messages that can occur when you attempt to characterize a character model. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DCD\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can only characterize a model that has a completed Character map. See <span class=\"char_link\"><a href=\"GUID-81EE03EF-066C-4442-B47A-25E4D43E0203.htm\">Character mapping</a></span>. \n            </div>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DCB\"></a>Depending on your model and the objects defined in the Mapping List, you may encounter errors when you attempt to characterize\n            a character. You can ignore some of these errors, while other errors prevent your model from becoming characterized. \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DCA\"></a> \n            <h2><a name=\"GUID-4069F27B-CD9B-47B3-A3D0-501194544A54\"></a>Roll Axis error\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DC9\"></a>For example, the following figure shows a warning that occurs when the roll axis of a certain bone on your skeleton is not\n               where it should be for accurate roll. If you do not think the difference in roll axis location affects your animation, choose\n               one of the Ignore options. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DC8\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-67193030-9DFB-4945-B704-E115149C3D66-low.png\"><p class=\"figure-title\">Roll axis warning</p>\n               </div> \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DC6\"></a> \n            <h2><a name=\"GUID-7FE3CF22-52E2-49E1-90D0-3D08BA799EBF\"></a>Missing required nodes error\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DC5\"></a>If you did not define objects in all of the slots required to successfully characterize your model, the following error dialog\n               appears and the characterize operation is not completed. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DC4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-9606FAD2-7B9D-4297-AB9A-F392FF351571-low.png\"><p class=\"figure-title\">Character Definition error dialog box</p>\n               </div> \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DC2\"></a>You must define objects in all the slots of the Base group of the Mapping List before you can characterize the character.\n               Click Ok in the Character Definition Error dialog box to view a list of required objects. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DC1\"></a> \n            <h2><a name=\"GUID-604F6F34-6D4C-47A9-8652-5A01DA845225\"></a>Unicity error\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DC0\"></a>If you have used the same bone in more than one slot of the Mapping List, a dialog box similar to the following image appears.\n               <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DBF\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C66560D6-52E3-4DF8-A377-0E099A265D20-low.png\"><p class=\"figure-title\">Character unicity error dialog box</p>\n               </div> \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DBD\"></a>Each bone can only be mapped to a single slot in the Mapping List, and the dialog box indicates which bone is currently duplicated.\n               In the previous figure, the dialog box indicates that the LeftArm bone is mapped in both the LeftArm slot and the Spine slot.\n               The LeftArm bone can only appear in one of those slots. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DBC\"></a>To avoid this problem, make sure that each bone is mapped to only one slot in the Mapping List, then characterize your character\n               model. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DBB\"></a> \n            <h2><a name=\"GUID-DBB6EDB6-616B-42A8-9C2A-243B96BEB77D\"></a>Body Part Definition error\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DBA\"></a>This warning message appears if you have left empty slots between the objects mapped for any body part composed of a single\n               continuous hierarchy, such as the fingers, toes, neck, or spine. As the dialog box explains, the objects defining these body\n               parts must be mapped sequentially with no empty slots in between. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DB9\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-79F6CC96-A306-4354-9BE1-9B9A229B7EA3-low.png\"><p class=\"figure-title\">Body Part Definition error</p>\n               </div> \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DB7\"></a>For example, if a character’s spine is made up of three objects, those objects must be mapped to the Spine1, Spine2, and Spine3\n               slots. If the objects are mapped to Spine1, Spine3, and Spine4, the empty slot at Spine2 causes the objects in Spine3 and\n               Spine4 to be ignored. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DB6\"></a>Because these slots are optional, you do not have to correct the problem to characterize your character. However, the affected\n               body part may not react as expected when manipulated. Click Continue if you want to characterize your character anyway, or\n               click Cancel to stop the operation and change the mapping. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DB5\"></a> \n            <h2><a name=\"GUID-9CD546E4-BE17-4EE4-A5C0-2E875760B198\"></a>Hierarchy warning\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DB4\"></a>The Hierarchy warning dialog box appears when <span class=\"charspan-msgph\">MotionBuilder</span> recognizes the bone object naming conventions on your character, but the bone objects are not in the expected hierarchical\n               order. For example if a LeftArm bone is detected but it is not a child of the Spine object, not below the Spine, Click Ok\n               to ignore the first warning message, or click Ok All to ignore all warning messages concerning the character hierarchy. Click\n               Cancel to stop the characterization process and adjust the mapping or hierarchy. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2DB3\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A4AB41BA-C05E-47CD-B067-5401C253EC94-low.png\"><p class=\"figure-title\">Hierarchy warning dialog box</p>\n               </div> \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-A9E1388D-40B1-4D3D-B2BD-A4715C126814.htm\">Characterizing a character model </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-81EE03EF-066C-4442-B47A-25E4D43E0203.htm\">Character mapping </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";