var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-D5C70A32-80AA-42B9-B87F-B656A0DB0E34\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Models settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-D5C70A32-80AA-42B9-B87F-B656A0DB0E34\"></a><div class=\"head\">\n            <h1>Models settings</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-44E\"></a> The Models settings list all the models and model components in your current scene. They let you adjust the level of detail\n            used by a model and activate its shapes or morph targets. <a name=\"WS73099CC142F4875535A241551166AC8792F-44C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-811C6441-2300-4623-91B1-EE60F1C31CE4-low.png\"><p class=\"figure-title\">Models settings</p>\n            </div> \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-449\"></a><p><a name=\"WS73099CC142F4875535A241551166AC8792F-44A\"></a>The Models settings let you do the following: \n         </p>\n         <ul>\n            <li>Change the name of a model (Models column) </li>\n            <li>Adjust the level of detail (Mode column) </li>\n            <li>Activate shape animation (Shape column) </li>\n         </ul>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-445\"></a>Models are created in other 3D software packages, exported, and loaded into <span class=\"charspan-msgph\">MotionBuilder</span>. Some models, such as cubes and planes, are added from the Asset browser &gt; Elements folder and are referred to as <em class=\"mild\">assets</em>. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-444\"></a>All models appears in the Scene browser &gt; Scene folder. The Models settings display in the Navigator window when you select\n            a model in your scene. The Models settings consist of the Models Chart. \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-443\"></a> \n            <h2><a name=\"GUID-71FAEBDE-3B8E-4DC5-A24C-EA23443500F1\"></a>Models Chart\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-442\"></a>The Models Chart lets you modify the properties and details of a model. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-441\"></a>The first column in the Models settings lists all of the selected models. Double-click a model name in this column to rename\n               it. Select the All Models entry to change all models. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-440\"></a>Use the Polygon Count, Record, PointCache, Custom, BlendShape, Skeleton, Accuracy, Mode, Step U and Step V columns to alter\n               models in your scene. \n            </p> <a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-7050\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"22.593764121102573%\">\n                     <col width=\"77.40623587889742%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Column </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Polygon Count </td>\n                     <td class=\"table-body\">Displays the number of polygons used to draw the model. You cannot change or reduce the number of polygons. You can, however,\n                        speed up the refresh rate by changing the level of detail used by the selected model. See Mode. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Vertex Count </td>\n                     <td class=\"table-body\">Displays the number of vertices used to draw the model. You cannot change the number of vertices. </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Record </td>\n                     <td class=\"table-body\">This option is only compatible with point cache. You must enable this option to record point cache data. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">PointCache </td>\n                     <td class=\"table-body\">Displays Point cache deformation. Check Activate in the PointCache column to turn on this type of deformation. </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Custom </td>\n                     <td class=\"table-body\">Displays Custom deformation. Check Activate in the Custom column to turn on this type of deformation </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">BlendShape </td>\n                     <td class=\"table-body\">Activate the BlendShape option if your model contains shapes or morph targets and you want to use these different shapes within\n                        <span class=\"charspan-msgph\">MotionBuilder</span>. For example, if you are using the Voice device and you have created different shapes for each phoneme, activate Shape to\n                        use these shapes. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Skeleton </td>\n                     <td class=\"table-body\">Displays Skeleton deformation. Check Activate in the Skeleton column to turn on this type of deformation. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Accuracy </td>\n                     <td class=\"table-body\">Use the Accuracy option to set the accuracy of skin deformations. 100% is full accuracy and 1% is a rough estimation of the\n                        envelope deformation. Lower accuracy increases the deformation evaluation speed, which increases the speed of <span class=\"charspan-msgph\">MotionBuilder</span>. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Mode </td>\n                     <td class=\"table-body\">Use the Mode column to set a model’s level of detail using a pre-defined mode. You can choose from three different modes:\n                        Raw, Low, and High. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Step U and Step V </td>\n                     <td class=\"table-body\">Use the Step U and Step V columns to reduce the number of tessellation steps used by the selected model. These columns only\n                        work with NURBS and patch-based models and have no effect on polygon-based models. The Step U column affects horizontal NURBS\n                        patches. The Step V column affects the vertical NURBS and patches. Ultimately, the manner in which the Step U and Step V settings\n                        affect your NURBS and patches depends on how your model was created. \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";