var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-D6EE4044-305C-4505-8FEE-4374484B532D\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Keying groups</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-D6EE4044-305C-4505-8FEE-4374484B532D\"></a><div class=\"head\">\n            <h1>Keying groups</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4BD3\"></a> Whenever you set a keyframe in <span class=\"charspan-msgph\">MotionBuilder</span>, you set it for at least one property of a selected object. For example, if you want to animate a cube moving across the\n            scene, you set keyframes for the cube’s translation property. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4BD1\"></a><p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4BD2\"></a>There are three ways you can choose the properties to be keyframed: \n         </p>\n         <ul>\n            <li>Select each property from a list of properties. </li>\n            <li>Select a keying group (pre-determined groups of properties) in the Key Controls. </li>\n            <li>Select keying groups for character animation. </li>\n            <li>Create custom keying groups that can be selected from the keying groups list in Key Controls. </li>\n         </ul>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4BCD\"></a> \n            <h2><a name=\"GUID-1BBDA461-5619-4F25-A701-5F99B7C8CC61\"></a>Selecting individual properties\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4BCC\"></a>You can select any property in the Properties window, the FCurves window, and the Dopesheet window. These windows list all\n               properties of selected objects, such as common properties (translation, rotation, and scaling) and object-specific properties\n               (a Light’s color or cone angle). See <span class=\"char_link\"><a href=\"GUID-00DC6A1A-AB25-4272-B001-ED47C304230D.htm\">Property list</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4BCB\"></a> \n            <h2><a name=\"GUID-15C12903-B987-46FB-AA06-261A1EA49607\"></a>Selecting keying groups in the Key Controls\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4BCA\"></a>Instead of selecting and deselecting frequently used properties one by one, you can select keying groups in the Key Control’s\n               Keying Group menu. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4BC9\"></a>Keying groups are pre-determined groups of properties. Selecting a keying group selects specific properties. For example,\n               if you select TRS in the Keying Group menu, keyframes are set for translation, rotation, and scaling properties for the selected\n               object. If you then select the T keying mode, keyframes are set only for the translation property, but not for rotation or\n               scaling. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4BC8\"></a>You can add individual properties to a keying group selection. For example, if TR is the keying group selected in the Key\n               Controls, you can select additional properties in the Properties window. You can also create custom keying groups for objects\n               and characters that let you choose what properties you want to key on. See <span class=\"char_link\"><a href=\"GUID-D6EE4044-305C-4505-8FEE-4374484B532D.htm#WS73099CC142F48755F2FC9DF120970276F72068\">Selecting keying groups for objects</a></span> or <span class=\"char_link\"><a href=\"GUID-D6EE4044-305C-4505-8FEE-4374484B532D.htm#WS1A9193826455F5FF-3859B43C1209703A8383020\">Creating a custom keying group</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4BC7\"></a> \n            <h2><a name=\"GUID-FECA1664-219C-4088-A1CE-05B1B5C69E7E\"></a>Selecting keying groups for characters\n            </h2> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4BC5\"></a><p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4BC6\"></a>Keyframing a character’s Control rig involves selecting many effectors and their properties. The Manipulation and keying mode\n               buttons on the Character Controls toolbar lets you do all of following at the same time: \n            </p>\n            <ul>\n               <li>Select all effectors or the group of effectors you want to animate. </li>\n               <li>Select a pre-determined group of properties for animating effectors. </li>\n               <li>Affect effector manipulation, to control effector movement. </li>\n            </ul> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4BC1\"></a>For more information, see <span class=\"char_link\"><a href=\"GUID-C388E5C4-F31B-4E6A-B567-046E38F33976.htm\">Manipulation and keying modes</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755F2FC9DF120970276F72068\"></a> \n            <h2><a name=\"GUID-DDA28BC1-344A-4104-BE75-C817304CE8E5\"></a>Selecting keying groups for objects\n            </h2> \n            <p><a name=\"WS73099CC142F48755F2FC9DF120970276F72069\"></a>Select keying groups to choose the properties you keyframe. \n            </p> <a name=\"WS73099CC142F48755F2FC9DF120970276F7206A\"></a><ol type=\"1\" start=\"1\">\n               <li>Select an object in the scene, such as a light. </li>\n               <li>In the Key Controls window, select a keying group in the Keying Group menu, such as TR to select translation and rotation\n                  properties. \n                  <p><a name=\"WS73099CC142F48755F2FC9DF120970276F7206D\"></a>When you set a keyframe, only the properties in the keying group are selected. If TR is the current keying group, only translation\n                     and rotation can be animated. \n                  </p> \n                  <div><a name=\"WS73099CC142F48755F2FC9DF120970276F7206E\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Properties that are selected as part of the current keying group display light blue in the Properties, FCurves, and Dopesheet\n                        windows. \n                     </div>\n                  </div> \n               </li>\n               <li>You can add to the keying group selection by clicking additional properties in the Properties window. \n                  <p><a name=\"WS73099CC142F48755F2FC9DF120970276F72070\"></a>For example, you can select a light’s Color property. When TR is the current keying group and the Color property is also selected,\n                     you set keyframes for the light’s translation, rotation, and color. \n                  </p> \n               </li>\n            </ol> \n            <p><a name=\"WS73099CC142F48755F2FC9DF120970276F72071\"></a>See <span class=\"char_link\"><a href=\"GUID-03106479-6557-43CD-8C45-4B6B2130DD2C.htm\">Keying Mode menu</a></span> for more information on the different keying groups, and see <span class=\"char_link\"><a href=\"GUID-D6EE4044-305C-4505-8FEE-4374484B532D.htm#WS1A9193826455F5FF-3859B43C1209703A8383020\">Creating a custom keying group</a></span> for more information about how to create a custom keying group for objects or characters. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-3859B43C1209703A8383020\"></a> \n            <h2><a name=\"GUID-C044266E-2BFD-4BDC-9CD7-E0BC3D77D5C0\"></a>Creating a custom keying group\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-414E5ED12075B5C5DC-7CC2\"></a>You can control an object’s animation with keying groups [also called keying modes], and <span class=\"charspan-msgph\">MotionBuilder</span> lets you create custom keying groups for objects. Keying groups contain information about which properties will be captured\n               when you create keyframes. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-414E5ED12075B5C5DC-7CC1\"></a>With any custom keying group, you can also edit relationships between the keying group’s properties and an object pose using\n               the Connection Editor. \n            </p> <a name=\"WS1A9193826455F5FF3D6161141208A8044F3-7FFE\"></a><p><a name=\"WS73099CC142F48755-35A0330E12075ABE904-76A5\"></a>The types of custom keying groups that can be created are: \n            </p>\n            <ul>\n               <li>“local” objects—the keying group will only belong to the object or objects selected at the time the keying group is created)\n                  \n               </li>\n               <li>“object types”—these keying groups can be assigned for objects of the same type which will usually contain the same properties\n                  information \n               </li>\n               <li>“global”—these keying group can be associated with any object in a scene, but only corresponding properties will be applied\n                  \n               </li>\n            </ul> \n            <div><a name=\"WS1A9193826455F5FF-E569A012180CE5891-24DB\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span><span class=\"charspan-msgph\">MotionBuilder</span> needs to have an object selected as a reference to know what Object Type keying group you want to create. If no object is\n                  selected (and there is nothing in the source column) when you create a keying group of Object Type, the keying group created\n                  is “Global” instead. \n               </div>\n            </div> <a name=\"WS1A9193826455F5FF3D6161141208A8044F3-7FFA\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF3D6161141208A8044F3-7FB2\"></a>To create a custom keying group:\n            </p>\n            <ol type=\"1\" start=\"1\">\n               <li>Do one of the following: <a name=\"WS73099CC142F48755-35A0330E12075ABE904-7127\"></a><ul>\n                     <li>Select one or more objects in a scene. </li>\n                     <li>If you have an object’s property view open, select one or more properties from it. </li>\n                  </ul> \n               </li>\n               <li>Select Window &gt; Add Property Editor. </li>\n               <li>Select the Keying Groups tab. <a name=\"WS73099CC142F48755-35A0330E12075ABE904-7123\"></a><ul>\n                     <li>If you have selected properties from another object’s property view, drop them in the source column of the Keying Groups tab\n                        \n                     </li>\n                  </ul> \n               </li>\n               <li>Click the right arrow next to the views menu, and select Create Keying Group as... </li>\n               <li>Choose which type of keying group you want to create (either local, object type or global). \n                  <div><a name=\"WS1A9193826455F5FF-E569A012180CE5891-24DA\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>To create an Object Type keying group, you need to select an object as a reference for <span class=\"charspan-msgph\">MotionBuilder</span> to know what type to create. If no object is selected (and there is nothing in the source column) when you create a keying\n                        group of Object Type, the custom keying group will be “Global” instead. \n                     </div>\n                  </div> \n               </li>\n               <li>Select the properties you want to include from the Source column and either drag them or click &gt;&gt; [Assign] to add them to\n                  the keying group. \n               </li>\n               <li>Close the Property Editor when you are finished adding properties to the keying group. </li>\n            </ol> \n            <div><a name=\"WS1A9193826455F5FF-E569A012180CE5891-25C6\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>From the Property View you can click the Editor button to open the Property Editor. The Property Editor will open on the tab\n                  you used last, and when you access the Keying Groups tab, it will automatically display the properties of any object(s) that\n                  you currently have selected in the Source column. \n               </div>\n            </div> \n            <p><a name=\"WS73099CC142F48755-385A98B012180D20F194237\"></a>See <span class=\"char_link\"><a href=\"GUID-3782EA2C-4CEA-4118-9EA9-AB744D1C6324.htm\">Loading custom local keying group data</a></span> for more information about how to apply a custom local keying group to many characters in a scene. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";