var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-D7EA9A8B-5812-4C16-9CB5-8237E56E004B\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Creating surface effects using shaders</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-D7EA9A8B-5812-4C16-9CB5-8237E56E004B\"></a><div class=\"head\">\n            <h1>Creating surface effects using shaders</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-48B\"></a>You can create various surface effects by applying shaders, textures, and setting material properties to objects and models.\n            \n         </p>\n         <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-48A\"></a>The following table is about shaders that work with materials and/or textures. \n         </p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-489\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"21.40422631220177%\">\n                  <col width=\"21.40422631220177%\">\n                  <col width=\"21.40422631220177%\">\n                  <col width=\"21.40422631220177%\">\n                  <col width=\"14.383094751192912%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\">Workflow </th>\n                  <th class=\"table-heading\">Material property </th>\n                  <th class=\"table-heading\">Texture </th>\n                  <th class=\"table-heading\">Shader </th>\n                  <th class=\"table-heading\">Additional asset </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\"> <span class=\"char_link\"><a href=\"GUID-F72CC4A6-7B02-4EB3-B2F5-2B0A6CB24F29.htm\">Making an object transparent</a></span> and <span class=\"char_link\"><a href=\"GUID-7C725701-AF43-405D-ACB8-56CEA1A72233.htm\">Creating transparent objects</a></span> \n                  </td>\n                  <td class=\"table-body\">Transparency property </td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">Flat, Lighted, and Dynamic Lighting </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\"> <span class=\"char_link\"><a href=\"GUID-F393E576-1421-4521-A7D8-C6D90DFB68B2.htm\">Making objects reflective</a></span> \n                  </td>\n                  <td class=\"table-body\">Reflectivity property </td>\n                  <td class=\"table-body\">Spherical Map, Sphere Map, Layered Spherical Map, Layered Sphere Map </td>\n                  <td class=\"table-body\">Reflection </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\"> <span class=\"char_link\"><a href=\"GUID-6311A401-6EE8-4F71-94A8-1F7A5983B751.htm\">Creating a Bump Map</a></span> \n                  </td>\n                  <td class=\"table-body\">Bump Map and Normal Map </td>\n                  <td class=\"table-body\">Texture or Layered Texture </td>\n                  <td class=\"table-body\">Bump Map or custom shader </td>\n                  <td class=\"table-body\">Light </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\"> <span class=\"char_link\"><a href=\"GUID-B903259D-1E5B-4679-B297-65E2DBB92138.htm\">Normal Map shader</a></span> &gt; To add relief with a normal map \n                  </td>\n                  <td class=\"table-body\">Bump Map or Normal Map </td>\n                  <td class=\"table-body\">Texture or Layered texture </td>\n                  <td class=\"table-body\">Dyanmic Lighting </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\"> <span class=\"char_link\"><a href=\"GUID-4C8D98EB-13C2-4897-8D1A-1921391CEFFB.htm\">Creating a 3D matte</a></span> \n                  </td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">need a Texture or Layered Texture, with video or image, as Camera Background </td>\n                  <td class=\"table-body\">Matte shader </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\" rowspan=\"3\"> <span class=\"char_link\"><a href=\"GUID-1A1C7E6E-0FCB-4FE7-AD41-56C7DBA1C3AD.htm\">Applying shadows to objects</a></span> \n                  </td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">Generates a Light Map. Layered Light Map, also. </td>\n                  <td class=\"table-body\">Live Shadow </td>\n                  <td class=\"table-body\">Light </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">Generates a Shadow Map. Also Layered Shadow Map. </td>\n                  <td class=\"table-body\">Shadow Map </td>\n                  <td class=\"table-body\">Light </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">Dynamic Lighting shader </td>\n                  <td class=\"table-body\">Light </td>\n               </tr>\n            </table>\n         </div>\n         <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-486\"></a>The following table is about shader workflows that stand alone: \n         </p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-485\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"21.40422631220177%\">\n                  <col width=\"21.40422631220177%\">\n                  <col width=\"21.40422631220177%\">\n                  <col width=\"21.40422631220177%\">\n                  <col width=\"14.383094751192912%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\">Workflow </th>\n                  <th class=\"table-heading\">Material property </th>\n                  <th class=\"table-heading\">Texture </th>\n                  <th class=\"table-heading\">Shader </th>\n                  <th class=\"table-heading\">Additional asset </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Applying a shader to a model </td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">all </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Hiding the Defualt shader </td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">Default shader </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Activating and disabling shaders </td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">all </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Applying the Flat shader </td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">Flat shader </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Applying the Multilevel Cartoon shader </td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">Multilevel Cartoon shader </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Applying the Edge Cartoon shader </td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">Edge Cartoon shader </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Creating environmental effects with shaders </td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">Particle shader </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Increasing the size, quantity, and color of particles </td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">Particle shader </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Drawing an object’s wireframe </td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">Wire Frame shader </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Displaying a model’s polygons </td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">Faceted </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Controlling a CgFX shader </td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">CgFX shader </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Defining settings for a shader (shader manager) </td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">&nbsp;</td>\n                  <td class=\"table-body\">Shader manager, all shaders </td>\n                  <td class=\"table-body\">&nbsp;</td>\n               </tr>\n            </table>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";