var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-D93B1217-EC70-468F-8D87-ACCC119CB045\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Simple IK constraint conversion</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-D93B1217-EC70-468F-8D87-ACCC119CB045\"></a><div class=\"head\">\n            <h1>Simple IK constraint conversion</h1>\n         </div>\n         <p><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-5957\"></a>When you load a scene that contains Simple IK constraints, a warning dialog appears stating the Simple IK constraint(s) will\n            be converted to Chain IK constraints. \n         </p><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-5956\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-1CBF5201-0274-43E7-B7D1-E1535B3530E3-low.png\"><p class=\"figure-title\">Warning: Simple IK constraints to Chain IK constraints conversion</p>\n         </div>\n         <p><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-5955\"></a>To continue, click <span class=\"MenuCascade\" id=\"GUID-B5914C0B-CD52-4254-B1E5-62F4300C3A27\">Convert all to Chain IK</span>. \n         </p>\n         <div><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-5954\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The Chain IK constraint is similar to the Simple IK constraint, but with additional control. \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-5953\"></a> \n            <h2><a name=\"GUID-C025564B-9DCB-404E-9439-85A98E216514\"></a>Simple IK conversion process\n            </h2> \n            <p><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-5952\"></a>When a Simple IK constraint is converted into a Chain IK constraint the following occurs: \n            </p> <a name=\"WS73099CC142F487553E2D9C8311FBC15C932-5951\"></a><ul>\n               <li>Objects are re-assigned in the corresponding object list properties. </li>\n               <li>The solver type is switched to ikRPsolver. </li>\n               <li>The constraint snaps so it can calculate the pole vector and twist angle. </li>\n            </ul> \n            <p><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-594D\"></a>A new floor property has been created for the Chain IK constraint so that it can interpret converted Simple IK constraint\n               behaviors correctly. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-594C\"></a> \n            <h2><a name=\"GUID-A7696431-18A7-4A09-A642-39086F06B537\"></a>Limitations\n            </h2> <a name=\"WS73099CC142F487553E2D9C8311FBC15C932-594B\"></a><ul>\n               <li>Because the iKRP solver is used, chains may be solved differently in some situations. </li>\n               <li>Certain conversions of the Simple IK constraint into a Chain IK constraint cause inconsistencies in the Twist values of the\n                  Chain IK constraint. \n               </li>\n               <li>Effector offsets are not supported. Unlike the Simple IK constraint, the Chain IK constraint does not create offsets between\n                  the end joint and the effector. With the Chain IK constraint, the end joint always reaches the effector. \n                  <div><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-5947\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can recreate the original offset behavior by adding a Null child-object to the end point and then using it as the end\n                        point. \n                     </div>\n                  </div> \n               </li>\n               <li>The Pole Vector may cause the chain to flip. \n                  <div><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-5945\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>If the chain flips when it should not, adjust the Pole Vector to fix the problem. You can also try changing the solver type\n                        to ikSCsolver or tweaking the Twist value. \n                     </div>\n                  </div> \n               </li>\n               <li>When the End Point is not a direct child of the Last Limb object, the conversion process of the Simple IK constraint to a\n                  Chain IK constraint makes the first child of the Last Limb object become the End Joint object for the Chain IK constraint.\n                  This causes the End Joint to reach the effector, creating a different result. \n                  <div><a name=\"WS73099CC142F487553E2D9C8311FBC15C932-5943\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>To recreate the original Simple IK behavior, create a Null and make it a child of the original Last Limb object. Set it at\n                        the position of the original End Point object, and use it instead as the End Joint object of the Chain IK constraint. \n                     </div>\n                  </div> \n               </li>\n            </ul> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";