var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-D93DE8FE-E2DE-4DF1-B750-E03A6D6F02AB\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Actor assets</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-D93DE8FE-E2DE-4DF1-B750-E03A6D6F02AB\"></a><div class=\"head\">\n            <h1>Actor assets</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F1EF6\"></a> An Actor is an asset used to preview motion data, and to connect motion data to a character model. It is one of three types\n            of motion source that can be used to drive a character. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F1EF8\"></a>During a motion capture session, a live performer wears a set of sensors that detect and record their movements as motion\n            data. This motion data can be attached to an Actor using a Marker set. The Actor is then linked to a Character asset so it\n            can drive the movement of the character model. <a name=\"WS73099CC142F4875535A241551166AC8792F1EF9\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E141B887-CD1E-46C9-8EE8-FA6C1E3A41B4-low.png\"><p class=\"figure-title\">Motion capture data driving character animation <em class=\"mild\">A.</em> Optical data markers <em class=\"mild\">B.</em> Actor with Marker set <em class=\"mild\">C.</em> Animated character model\n               </p>\n            </div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F1EFB\"></a>Actors are visually represented in <span class=\"charspan-msgph\">MotionBuilder</span> by a gray humanoid model with detachable body segments. This generic model lets you preview how the motion data will drive\n            your character. You can even use the same Actor to drive more than one character in a scene. <a name=\"WS73099CC142F4875535A241551166AC8792F1EFC\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-40AF0775-C281-4A42-9307-9ABA3AA41333-low.png\"><p class=\"figure-title\">Actor asset</p>\n            </div> \n         </p>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-6D67BEC3-6586-4FB1-917D-19FFC9C80B65.htm\">Character assets </a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D9A728ED-1E4A-419A-8BF7-A426C36C0A91.htm\">Creating an Actor</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-803ED700-594F-4F99-B44B-227BB8E59D40.htm\">Renaming an Actor</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-0A9F573B-3E5A-40E0-B99F-276FDEB543E0.htm\">Changing the look of an Actor</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-A09130C6-8799-4789-B1A1-D16AFE36CFA2.htm\">Manipulating Actors</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-E7FDBB87-D2D7-43C2-B201-9BB57CCAEDB0.htm\">Connecting an Actor to a character</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D8DBE30C-B265-4923-9F41-960C60E51E8C.htm\">Adjusting a character connected to an Actor </a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-CDC3A2A6-8D91-4F5C-A62F-803BF26D7196.htm\">Activating all markers on an Actor</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C0439E3D-7EEA-48E9-9C04-ABE3DDF02CED.htm\">Creating motion using a glove device</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-46D2D53D-351E-494B-9947-9877FF51346C.htm\">Actor settings</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-1310AFCC-C598-4865-B0BD-9AD494760617.htm\">Actor Finger Settings and Properties</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8262D032-D026-4DD2-B5A7-C28B2A54477D.htm\">Actor properties</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-9D660758-3A6F-4E0E-9100-AB60211D3893.htm\">Actor Controls window</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-5AF7A1EC-2F06-4F0D-B3E2-372734DEB7F3.htm\">Marker sets</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-EFD4831F-FE3A-4459-BCF9-03A11DD6CEF0.htm\">Optical motion data</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-19EC6C3D-A49F-49B5-8F1D-777AA1A38430.htm\">Optical Settings</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C3A2231F-10E8-4765-985E-1268AC0BA46A.htm\">Magnetic motion data</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";