var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-D991C49E-41AB-4529-95C4-1409A1ED0E0C\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Parent-child constraint settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-D991C49E-41AB-4529-95C4-1409A1ED0E0C\"></a><div class=\"head\">\n            <h1>Parent-child constraint settings</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34F3\"></a> The Parent-Child constraint creates a parent-to-child relationship between any two objects, from any two hierarchies. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34F1\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-AEBD6971-F6FF-4DA0-8882-344E3A7C7E2F-low.png\"><p class=\"figure-title\">Parent Child constraint</p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34EF\"></a>The Parent/Child constraint requires the following objects: \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34EE\"></a> \n            <h2><a name=\"GUID-7D505634-B1C6-4305-B1B7-28E07ADAAB55\"></a>Constrained object (child object)\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34ED\"></a>Inherits translation and rotation from the source object (parent), but not scaling. \n            </p> \n            <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34EC\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can have multiple Constrained (child) objects in this constraint. \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34EA\"></a> \n            <h2><a name=\"GUID-13E11AEA-5E28-41B0-A4F6-E34B0E373E53\"></a>Source (parent object) \n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34E9\"></a>Sends translation and rotation information to the constrained object (child). \n            </p> \n            <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34E8\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can have multiple Source (parent) objects in this constraint. \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34E6\"></a> \n            <h2><a name=\"GUID-5E294A37-28FA-45B3-8829-5E9D15F6E322\"></a>Properties settings\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-34E5\"></a>The following Parent/Child constraint settings are found only in the Properties window when the constraint is selected in\n               the Scene browser: \n            </p> <a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-7585\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"50%\">\n                     <col width=\"50%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Setting </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Constraint Axes </td>\n                     <td class=\"table-body\">The Constraint Axes settings in the properties window let you choose on which axis the Parent/Child constraint takes effect.\n                        For example, you can activate only the translation on the X-axis and the rotation on the Y-axis, so that the constrained object\n                        is only affected when the Source (parent) object is moved from side to side or rotated up and down. You can also activate\n                        the Affect Scaling X, Y, and Z options so you can constrain the Scaling of the child object to the parent. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Scaling Affects Translation </td>\n                     <td class=\"table-body\">Activate this option if you want the Child object’s position to be affected when the Parent object is scaled. </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">(Parent) Offset T/R/S </td>\n                     <td class=\"table-body\">The (Parent) Offset T/R/S settings let you offset the Source (parent) object’s translation, rotation and scaling from the\n                        Child object. Expand each setting to enter values for the x, y, and z- positions. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">(Parent) Weight </td>\n                     <td class=\"table-body\">The Constraint Source Weight settings let you set the weighting for the Source (parent) object(s) or the entire constraint,\n                        letting you create blends. You can also use these setting to create an offset between the child and parent object(s). \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-058DA848-99EA-4D29-8318-B93854C25418.htm\">Parent-child constraint </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";