var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-DA7A0393-F983-4CDC-BE4D-AE0302748C76\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Rotation Pivot properties</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-DA7A0393-F983-4CDC-BE4D-AE0302748C76\"></a><div class=\"head\">\n            <h1>Rotation Pivot properties</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1AAF\"></a>Use the Rotation Pivot properties to define the placement and behavior of Rotation pivots. <a name=\"FIG_DD20E16373FD44AABE4015FDE71C2AA5\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-65B5AE6A-2F4C-426D-892B-E2CBFF32C772-low.png\"><p class=\"figure-title\">Property Resources: <em class=\"mild\">A.</em> Rotation Pivot Properties\n               </p>\n            </div> \n         </p><a name=\"FIG_04170CDB427145C1B3D7525E6AF18C3C\"></a><div class=\"figure-anchor\"></div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1AAC\"></a>Rotation pivots let you rotate an object from a point other than its default pivot. When you rotate an object without adjusting\n            its pivots, it rotates around itself. If you use the Pivots properties to offset the Rotation pivot for the object, you can\n            define a new point from which you want the object to rotate. Instead of rotating in place, the object rotates around the offset\n            pivot. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-1AAB\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-DE7631F4-B61D-4917-B139-F0E682599E18-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> A tea pot rotates in place on the Z-axis. <em class=\"mild\">B.</em> Tea pot Rotation pivot is offset <em class=\"mild\">C.</em> Tea pot rotates around the offset pivot\n            </p>\n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1AA9\"></a> \n            <h2><a name=\"GUID-FFA4B924-98C6-49E1-9B25-9C87178A08D6\"></a>Rotation Pivot (Auto Offset)\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1AA8\"></a>These values let you define where the rotation pivot is offset on the X-, Y-, and Z-axis. The selected object is rotated around\n               this point. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1AA7\"></a>Adjusting the position of the rotation pivot does not affect the translation of the selected object, as an offset is automatically\n               calculated to keep the object in place. The values used to create this offset display in the Rotation Offset fields. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1AA6\"></a> \n            <h2><a name=\"GUID-C1BA9FFB-5DDD-44B2-AAC7-7EAA4E77AC83\"></a>Rotation Pivot Manual Offset\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1AA5\"></a>Exact Rotation Offset values are calculated by <span class=\"charspan-msgph\">MotionBuilder</span> when you adjust the Rotation Pivot (Auto Offset) values, and you do not need to adjust them manually. The following table\n               describes the options in the Manual Offset group of properties: \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1AA4\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"22.6295541977823%\">\n                     <col width=\"77.37044580221769%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Option </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Rotation Offset </td>\n                     <td class=\"table-body\">Offsets rotation pivots using the Rotation Pivot (Auto Offset) values without affecting the translation of the selected object.\n                        These fields display the values used to compensate for changes to the selected object’s translation caused when the “real”\n                        Rotation Pivot offset is calculated. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Rotation Pivot </td>\n                     <td class=\"table-body\">Displays the real X, Y, and Z position of the rotation pivot, relative to the local translation point of the selected object.\n                        Adjusting these values can cause the selected object to move in translation. Instead of adjusting the position of rotation\n                        pivots using these values, you should use the Rotation Pivot (Auto Offset) values. The Rotation Pivot (Auto Offset) values\n                        automatically calculate Rotation Offset values to preserve the current location of the selected model. \n                     </td>\n                  </tr>\n               </table>\n            </div> <a name=\"WS73099CC142F4875535A241551166AC8792F-1AA3\"></a><ul>\n               <li> <span class=\"char_link\"><a href=\"GUID-ACC37C38-5833-4A56-87EE-EC0804999FC5.htm\">Rotate objects</a></span> \n               </li>\n            </ul> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";