var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-DC111F01-AE65-40FB-9699-3769997B94EC\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Parenting and hierarchies</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-DC111F01-AE65-40FB-9699-3769997B94EC\"></a><div class=\"head\">\n            <h1>Parenting and hierarchies</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2346\"></a> Parenting is a way of linking objects together so that they are connected by reference. When you move one connected object,\n            it affects the other object. Linking objects in this way is called Parenting, as the source object is considered a “Parent”\n            and the target object a “Child”.\n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2344\"></a>When you connect a parent and child, the child object goes wherever its parent object goes. The translation, scaling, and\n            rotation of the parent object applies equally to the child object. A local offset is often added to the child object so that\n            it does not occupy the same space as its parent.\n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2343\"></a>By parenting many objects together and adding the appropriate offsets to each, you can create hierarchies of objects that\n            compose more complex objects, such as human models and skeletons.\n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2342\"></a>In the Viewer window, you can view the hierarchies in your scene using the Schematic view. The Schematic view uses rectangular\n            nodes to represent the objects in your scene, making it easy to arrange and manipulate your hierarchies.\n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2341\"></a>For example, in the following figure, sugar bowl, lid, and spoon models are shown as separate objects. In the hierarchy, they\n            are shown as equals. Each model can be moved independently.\n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-2340\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-6AAEC717-FAA8-4129-B5C4-4072F9D98B94-low.png\"><p class=\"figure-title\">Unparented sugar bowl, lid, and spoon models <em class=\"mild\">A.</em> Viewer window <em class=\"mild\">B.</em> Schematic view of the same objects.\n            </p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-233E\"></a>In the following figure, the sugar bowl is parented to the lid and the spoon. When you rotate the bowl, the spoon and the\n            lid follow it. In a hierarchy, the spoon and lid are shown as children of the sugar bowl node.\n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-233D\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A8C529F0-6492-4248-B3A0-921D81914500-low.png\"><p class=\"figure-title\">Parented sugar bowl, lid, and spoon models <em class=\"mild\">A.</em> Viewer window <em class=\"mild\">B.</em> Hierarchical Schematic view of the same objects.\n            </p>\n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-6F79B7DD-D606-41D2-98CE-C3CCA45BC74A.htm#WSF00FE1F65A1E03F9-4039FFA311688C43557-8000\">Nodes</a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-60EC070C-D68C-4BE9-9207-1F79190B4A51.htm\">Schematic view</a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-A60EC837-BC0C-4D83-B382-C239D3543CD5.htm\">Creating Parent-Child relationships</a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-7461D9D8-5193-4372-A6EF-267D3E9EB534.htm\">Creating a Control rig</a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";