var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-DDB09876-E8D9-45D7-99E4-5569F171CC71\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Light settings area</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-DDB09876-E8D9-45D7-99E4-5569F171CC71\"></a><div class=\"head\">\n            <h1>Light settings area</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5261\"></a>The light settings area contains options for customizing the look and behavior of your lights. \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5260\"></a> \n            <h2><a name=\"GUID-A5DE9DBA-E8E4-4BB6-A7E1-AE3F5ADC6030\"></a>Light type menu\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-525F\"></a>Lets you select one of three light types: Infinite, Point and Spot. For more information about these lights see <span class=\"char_link\"><a href=\"GUID-3F01F825-6992-4C37-8FD4-C71E6D6599E0.htm\">Light types</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-1EB804411AF8B41570-71AF\"></a> \n            <h2><a name=\"GUID-40C68D15-EE85-4D80-B731-4EC40C8701D3\"></a>Attenuation\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-4BAB\"></a> The Attenuation settings lets you specify how the intensity of a light drops off in relation to the distance from the source.\n               Once you add a Dynamic lighting shader, use this setting to set how <span class=\"charspan-msgph\">MotionBuilder</span> calculates the light falloff. There are two options, Linear and Quadratic, that affect lighting falloff. No Attenuation disables\n               the falloff effect. \n            </p> <a name=\"WS73099CC142F48755-4607E7CC11B1CFFF571-35F2\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-7099E517-D5A4-4B3E-B369-BC85A2FE76AB-low.png\"><p class=\"figure-title\">Light attenuation setting: A. None B. Linear C. Quadratic. Compare the edges of the shadow.</p>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-4BAA\"></a>Do not change the attenuation setting if you do not want to the lighting influenced by its distance from the source. \n            </p> \n            <div><a name=\"WS1A9193826455F5FF5CF1D02511B1D000978-4BA9\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You must apply a Dynamic Lighting shader to the scene to see attenuation effects. See <span class=\"char_link\"><a href=\"GUID-0A0DB2AC-7239-4B49-BAE6-D120B3468FFC.htm\">Dynamic Lighting shader settings</a></span>for more information. \n               </div>\n            </div> <a name=\"WS73099CC142F48755-1EB804411AF8B41570-71AD\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"22.593764121102573%\">\n                     <col width=\"77.40623587889742%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Setting </th>\n                     <th class=\"table-heading\">Function </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Linear </td>\n                     <td class=\"table-body\">This setting produces an even falloff. The equation is (intensity/x). The light will drop off in an even fashion from the\n                        point it leaves the light until it illuminates an object. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Quadratic </td>\n                     <td class=\"table-body\">This setting produces an uneven falloff. The equation is (intensity / x squared). The light will make a rapid drop off close\n                        to the object and the falloff will then slow the further it gets from an object. \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-525E\"></a> \n            <h2><a name=\"GUID-83D374AD-F51D-4BF9-9E55-DD612A45D133\"></a>Interest field\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-525D\"></a>Lets you define a “look-at point” or target for the selected light. When the light is translated, the light’s interest follows\n               it. \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-525C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-00C4486F-4C14-43F8-B8B0-AAD4057E6461-low.png\"><p class=\"figure-title\">Spot light interest <em class=\"mild\">A.</em> Spot light with Interest not set. <em class=\"mild\">B.</em> Spot light with Interest set on the guitar.\n               </p>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-525A\"></a>See <span class=\"char_link\"><a href=\"GUID-F08E907E-832C-4CF1-833A-56F0EB6D8FDD.htm\">Defining a light’s Interest</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5259\"></a> \n            <h2><a name=\"GUID-619E82F0-7B81-4F70-9FAF-BBCC92965299\"></a>Up Vector field\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5258\"></a>Lets you add and use a model as the Up Vector of a selected light. An Up Vector is a model that controls the orientation of\n               a given light. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5257\"></a>This is done by constraining the light to orient its movement toward the Up Vector model\'s position and prevents the light\n               from flipping, providing more realistic movement of an animated light’s projections. See <span class=\"char_link\"><a href=\"GUID-80E16AE6-17D6-4007-8755-9796E21E42AD.htm\">Defining a light’s Up vector</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5256\"></a> \n            <h2><a name=\"GUID-8F33C585-1C7E-4A99-9984-C8E52D33AE9F\"></a>Color \n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5255\"></a>Lets you specify the color of the selected light. By default, the color of the light source is pure white. You can animate\n               this setting. See <span class=\"char_link\"><a href=\"GUID-6CEA80BA-2AF5-4E2E-8D51-8B39A47E1387.htm\">Adjusting light color</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5254\"></a> \n            <h2><a name=\"GUID-4F0D0070-F7EC-49A4-94CA-9BDDD7B1E38E\"></a>Intensity\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5253\"></a>Lets you adjust the brightness of the selected light. You can animate this setting. See <span class=\"char_link\"><a href=\"GUID-55F9A90B-BE36-497F-8ED1-B0D0185B03F9.htm\">Intensifying a light</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5252\"></a> \n            <h2><a name=\"GUID-3455CB46-B053-4EA7-AE18-3854B8F4D8A6\"></a>Cone Angle\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5251\"></a>Active only for Spot lights, the Cone angle slider lets you adjust the spread or range of light from a Spot light. The smaller\n               the cone angle, the smaller the area of the scene that is illuminated by the light. You can animate this setting. See <span class=\"char_link\"><a href=\"GUID-B435E5F2-74A3-45C2-B630-9BC0159BA335.htm\">Defining Spot lights</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5250\"></a> \n            <h2><a name=\"GUID-E28400CF-7963-4EBD-ABF7-62A4C4E8A069\"></a>Fog intensity\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-524F\"></a>Active only for Spot lights, the Fog intensity slider lets you increase or decrease the amount of fog shown in the light’s\n               beam. You can animate this setting. See <span class=\"char_link\"><a href=\"GUID-B435E5F2-74A3-45C2-B630-9BC0159BA335.htm\">Defining Spot lights</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9281B91E911688C3C36D-7FE2\"></a> \n            <h2><a name=\"GUID-7D48784C-5F6B-4D78-AA47-CA652FEE4499\"></a>Cast Light on Object\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-524E\"></a>Lets you use the light as an effect in the scene without illuminating objects. For example, the following figure shows a model\n               with Cast Light On Object activated and disabled. \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-524D\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C2BC0D54-BB2A-4E40-8BE8-1E55EA8A466A-low.png\"><p class=\"figure-title\">Cast Light On Objects <em class=\"mild\">A.</em> Disabled <em class=\"mild\">B.</em> Activated\n               </p>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-524B\"></a>When the Cast Light On Object option is activated, objects are lit. When the setting is disabled, the light effect exists\n               but does not affect the object. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-524A\"></a>Disabling Cast Light On Object speeds up the display time. The Cast Light On Object option is activated by default. If you\n               want only to have some objects affected by particular lights in your scene, see <span class=\"char_link\"><a href=\"GUID-828C246C-13C9-44EA-BDC5-BF1C457FFE30.htm\">Selective Lighting shader settings</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5249\"></a> \n            <h2><a name=\"GUID-C76E4713-5B2D-43AF-BC26-10E1FBF299CB\"></a>Draw Ground Projection\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5248\"></a>Active only for Spot lights, this setting makes the beam of the Spot light shine on the ground. See <span class=\"char_link\"><a href=\"GUID-B435E5F2-74A3-45C2-B630-9BC0159BA335.htm\">Defining Spot lights</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5247\"></a> \n            <h2><a name=\"GUID-B1BC7E90-9D0A-4EF4-8E0D-25E9B35F10E8\"></a>Draw Volumetric Light\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5246\"></a>Active only for Spot lights, this setting lets you see the actual beam that the Spot light emits and is often used with Fog\n               effects. See <span class=\"char_link\"><a href=\"GUID-B435E5F2-74A3-45C2-B630-9BC0159BA335.htm\">Defining Spot lights</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5245\"></a> \n            <h2><a name=\"GUID-6829CEF5-223E-4F6F-AFDC-942C5B886B2B\"></a>Draw Front-Facing Volumetric light\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5244\"></a>Active only for Spot lights, this setting lets you see the effect of the light when it is facing directly into the camera.\n               See <span class=\"char_link\"><a href=\"GUID-B435E5F2-74A3-45C2-B630-9BC0159BA335.htm\">Defining Spot lights</a></span>. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";