var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-E0564EF6-5C56-4FC6-B34C-1FE6F1F28C91\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Models</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-E0564EF6-5C56-4FC6-B34C-1FE6F1F28C91\"></a><div class=\"head\">\n            <h1>Models</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-47E\"></a> A 3D model can be any object in a scene, created using geometry to resemble an object we find in real life. Models can represent\n            objects as simple as cubes, objects such as furniture, or they can be more complex objects such as characters. <a name=\"WS73099CC142F4875535A241551166AC8792F-47C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-66957E52-2491-4D35-AE24-36197B5EB109-low.png\"><p class=\"figure-title\">Components of a character model</p>\n            </div> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-47A\"></a>A character model is a 3D model that resembles biped, quadruped, or any other type of figure, and is composed of a skeleton\n            covered by a geometric skin or mesh. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-479\"></a>What a character looks like, its outer appearance and shape, is determined when the model is built. The geometric skin gives\n            the model its outer appearance, and the underlying skeleton structure moves the geometric skin. The ways a character can move\n            are not determined until you introduce it into <span class=\"charspan-msgph\">MotionBuilder</span>. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-478\"></a>Before importing a character model into <span class=\"charspan-msgph\">MotionBuilder</span>, ensure that the skeleton of your model follows certain naming conventions, that you have created the appropriate shapes\n            or clusters, and that your model is created in a <span class=\"term\"><a name=\"GUID-29B6FD94-5912-4865-9531-1A2A1F880762\"></a> <span class=\"char_link\"><a href=\"GUID-956B9373-F4C7-471A-B3CD-E149855D9095.htm#WS1A9193826455F5FF-56C0CD8012A8003217A-2C04\">T-stance</a></span> </span>. See <span class=\"char_link\"><a href=\"GUID-01F4E635-93BD-44C9-8773-72FD413B54F0.htm\">Bone naming conventions</a></span> and <span class=\"char_link\"><a href=\"GUID-A9BBD6EC-BC88-4FE1-8ABD-2CDCEC8A16E0.htm\">Skins window</a></span>. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-477\"></a>In <span class=\"charspan-msgph\">MotionBuilder</span>, a complete character model can be connected to motion data using the Character asset in order to create motion. \n         </p>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-01F4E635-93BD-44C9-8773-72FD413B54F0.htm\">Bone naming conventions </a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-F2EF9156-5A94-4124-9DF5-8601FDB95B09.htm\">Bipeds and quadrupeds</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-B9C0555C-8E6B-449E-B0C5-B825C29028A8.htm\">Guidelines for creating a character model</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-66E8AAFC-54D7-4ADD-9304-58BC3F77C0BF.htm\">Stance</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D5C70A32-80AA-42B9-B87F-B656A0DB0E34.htm\">Models settings</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D9EC05C9-81B5-4017-AE1D-295870E5C348.htm\">Model properties</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-13C7962D-C337-457E-A4DF-776632534B7A.htm\">Skin</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-50EA231C-6FA6-4B6F-B592-948F16BF597F.htm\">Adjusting the weighting of vertices</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-F9F4666B-00A2-4FB9-B250-ABF933A5F0E8.htm\">Selecting and preselecting vertices</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-B0EFAD00-3EF0-45A6-A3BB-95864B46804E.htm\">Selecting vertices for immediate weighting</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-C55A87B6-AD22-42B2-9EDD-9B0EBA1C5EBF.htm\">Preselecting vertices for future weighting</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-A9BBD6EC-BC88-4FE1-8ABD-2CDCEC8A16E0.htm\">Skins window</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";