var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-E0E382B7-4B57-4A10-A207-74B5A4058670\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Constraints basics</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-E0E382B7-4B57-4A10-A207-74B5A4058670\"></a><div class=\"head\">\n            <h1>Constraints basics</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081EE8\"></a> In the real world, we are surrounded by constraints; for example gravity constrains us to the ground, or a dog is constrained\n            by the length of his leash. \n         </p>\n         <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081EEA\"></a>To simulate these limits in the 3D animation world, these relationships between objects must be established by the animator.\n            \n         </p>\n         <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081EEB\"></a>Constraints are tools used to create relationships between objects. You can use constraints to make a character pick up an\n            object, have a camera follow a character, or use the keyboard or mouse to trigger events. For example, in the image below,\n            a lantern is constrained to the character’s hand, so that however he moves his arm. the lantern follows. \n         </p><a name=\"WS73099CC142F48755602CAF041189DA6B6081EEC\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-0CB63094-C567-488D-9F7B-13F2A19C0435-low.png\"><p class=\"figure-title\">The lantern is constrained to the character’s hand.</p>\n         </div>\n         <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081EED\"></a>Another way to think of constraints is that they are a restriction of the translation, rotation, and other data of an object\n            based on the position, translation, rotation, and other data of another object. So, in the image above, the transformation\n            information of the character’s hand informs the behavior of the lantern. \n         </p>\n         <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081EEE\"></a>The equation x&lt;3 is a mathematical constraint of the variable x, limiting it to any value smaller than 3. \n         </p>\n         <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081EEF\"></a>You can use these limits to simulate real-world relationships between objects. For example, the constraint on a dog attached\n            to a five-foot leash is X&lt;5, meaning that x, representing the dog’s area of motion, must be less than 5, which is the full\n            length of the leash. This simple constraint ensures that your dog behaves like it is on a leash. \n         </p>\n         <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081EF0\"></a>Similar constraints can be used to restrain a model’s arm motion to an area defined by the shoulder joint, and so on. In fact,\n            the whole Control rig is actually a series of many constraints. The rig’s hand is constrained by the motion of the arm, which\n            is constrained by the elbow joint, which in turn is constrained by the upper arm, and so on. \n         </p>\n         <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081EF1\"></a>Each of these connections form complex relationships that work to create a recognizable simulation of the human body in motion.\n            \n         </p>\n         <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081EF2\"></a>In the Asset browser, the Constraints folder lets view and access constraint assets you can add to your scene. \n         </p><a name=\"WS73099CC142F48755602CAF041189DA6B6081EF3\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C563B86B-535F-4707-9E67-2390E6B76358-low.png\"><p class=\"figure-title\">Asset browser: Constraints folder</p>\n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755602CAF041189DA6B6081EF4\"></a> \n            <h2><a name=\"GUID-4629A858-E0E6-483B-851B-F474A99E7956\"></a>Constraints in the Scene browser\n            </h2> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081EF5\"></a> The Scene browser in the Navigator window lists all the constraints used in the scene. This is where you add and remove constraints.\n               \n            </p> <a name=\"WS73099CC142F48755602CAF041189DA6B6081EF7\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-D1797899-3A19-4235-B109-027BA2FE4A4B-low.png\"><p class=\"figure-title\">Constraints in the Scene browser.</p>\n            </div> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081EF8\"></a>You can add a constraint to your scene by right-clicking the Constraints folder in the Scene browser and selecting Insert\n               Constraint from the context menu. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755602CAF041189DA6B6081EF9\"></a> \n            <h2><a name=\"GUID-4FB0C9B3-999C-41AD-83F5-930A8E0D422E\"></a>Import and export of constraints\n            </h2> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081EFA\"></a> Constraints can be exchanged between <span class=\"charspan-msgph\">MotionBuilder</span> and Maya using the FBX file format. \n            </p> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081EFC\"></a>For example, you can import a Parent constraint created in Maya or into <span class=\"charspan-msgph\">MotionBuilder</span> and vice-versa. \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-F3A2C04C-C1D9-49C6-9023-C42A47E26DA7.htm\">Common constraint settings </a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-52AE8A71-3DA9-45BC-ADB9-332EA9578D00.htm\">Constraint types</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D962E9FA-C489-45D6-AB27-AAEEE9822EAA.htm\">Adding a constraint asset</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-19CD573C-E18F-4B17-82D0-4173AF87E5F4.htm\">Activating a constraint</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-DF96C821-1C39-492C-A6B0-003E736BD47C.htm\">Setting basic constraint commands in the Root folder</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8568BA65-01CF-442F-B2C9-ED4CB61ED41E.htm\">Grouping constraints</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D7CAD565-FF0F-416B-B709-C8DAD7A42E52.htm\">Changing constraint priority</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-639DF20B-25AD-408F-8228-935B896D655D.htm\">Duplicating constraints</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8D4A9E09-B42A-4449-A62D-89C384CF94CE.htm\">Creating and removing constraint offsets</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-5DDAE889-C3D2-45A9-9AF3-29ED42BC4956.htm\">Blending constraints</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";