var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-E2314FC7-8603-4400-A48C-04BCDBF14335\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Mapping method types</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-E2314FC7-8603-4400-A48C-04BCDBF14335\"></a><div class=\"head\">\n            <h1>Mapping method types</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32F5\"></a> Map your texture on a model according to its UV coordinates, using a designated wrap option (XY, YZ, XZ, Spherical or Cylindrical),\n            or by projecting it (Projection or Environment). \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32F7\"></a> You can specify the mapping settings for your texture using the Mapping Method menu. See <span class=\"char_link\"><a href=\"GUID-4D39EDB0-F634-424F-BDC1-191446F63CE8.htm\">Choosing a mapping method</a></span> and <span class=\"char_link\"><a href=\"GUID-1AFE5C14-1E09-46E8-A9CC-9EDE269F98A5.htm#WS73099CC142F48755-63C0748611A1FA08F71-E7E\">Mapping Method</a></span>. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DF0\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-D80F20FB-6610-4EA3-BE50-2CA0B722336D-low.png\"><p class=\"figure-title\">Texture mapping methods<em class=\"mild\"> A.</em> XZ map <em class=\"mild\">B.</em> Projection map <em class=\"mild\">C. </em>Spherical map\n            </p>\n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32F4\"></a> \n            <h2><a name=\"GUID-F4471574-981F-48A1-BA92-9A8025F9FC11\"></a>UV option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32F3\"></a> This option uses the model’s UV coordinates that are assigned to the vertices of your model and is most useful when the model\n               was unwrapped. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-15C2\"></a>A model can have different sets of UV coordinates, which are referred to as <em class=\"mild\">UV sets</em> or <em class=\"mild\">Map channels</em>. To select a different UV set, see <span class=\"char_link\"><a href=\"GUID-1AFE5C14-1E09-46E8-A9CC-9EDE269F98A5.htm#WS73099CC142F48755-575EAB4C124F5234AA8-5928\">UV Set</a></span>. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32F2\"></a> \n            <h2><a name=\"GUID-63E301ED-8CA5-40EC-8DBC-67937656F454\"></a>XY, YZ, and XZ options\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-15C1\"></a> Use the XY, YZ, or XZ options to map a selected texture to a specific face (XY, YZ or XZ) of the model’s bounding box, and\n               then project the face onto your model. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32F0\"></a>An example of each mapping style is shown below. \n            </p> <a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32EF\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-094AF5F7-046E-4102-9CDF-C46B46971A9D-low.png\"><p class=\"figure-title\">Texture mapping methods <em class=\"mild\">A.</em> UV mapping <em class=\"mild\">B.</em> YZ mapping <em class=\"mild\">C. </em>XY mapping <em class=\"mild\">D.</em> XZ mapping\n               </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32EE\"></a> \n            <h2><a name=\"GUID-2DF2BFC7-5729-4E98-88DE-E705390D48F0\"></a>Spherical and Cylindrical mapping options\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32ED\"></a> Use the Spherical or Cylindrical mapping options to wrap your texture around a model that has a shape similar to a sphere\n               or cylinder. Each method distorts the image in different ways and introduces a different seam. In the following image, a simple\n               striped texture is mapped to two spheres, one using Spherical wrapping and one using Cylindrical mapping. \n            </p> <a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32EC\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-ED7BCD01-AC86-41D1-957D-CFBFD898272B-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A. </em>Spherical mapping<em class=\"mild\"> B. </em>Cylindrical mapping\n               </p>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32EB\"></a>When you wrap a texture around a model, there is always an area where the sides of the image meet. This area is called the\n               seam. The visibility of the seam depends not only on the selected mapping type (Spherical or Cylindrical), but also on the\n               model and the image. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32EA\"></a>It is recommended that you use an image that can be tiled to reduce the size of the seam. An image you can tile has opposite\n               sides that match each other. You can easily create a tiling image with most common commercial paint programs. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32E2\"></a> \n            <h2><a name=\"GUID-CC8F05BD-6849-4B29-B2DB-85CDFA3CFEAB\"></a>Projection mapping\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32E1\"></a> Projection mapping projects the image straight onto the object, like a slide projector, creating a two-dimensional image\n               that does not “wrap” around the object. The following figure shows the result of Projection textures that do not work well\n               with curved objects. \n            </p> <a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32E0\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-0A66D1EC-AFA0-4D64-AB25-D0A20A194342-low.png\"><p class=\"figure-title\">Projection textures on curved object</p>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32DF\"></a>The image is always projected from the current camera’s viewpoint. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32E9\"></a> \n            <h2><a name=\"GUID-76B43A33-2E51-4DE3-9285-21809FBD99E6\"></a>Environment mapping\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32E8\"></a> Use the Environment mapping option to project spheroid textures. You can use this mapping method to create special effects\n               such as skyscapes, or to simulate reflections on objects. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32E7\"></a>Environment mapping is best suited for situations when you are filming a model or scene from a single point of view. This\n               mapping method sacrifices realism that may be noticeable from many different angles or when filming the model using a moving\n               camera. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32E4\"></a>For example, the following figure shows a spheroid image applied to a sphere. The Environment mapping method adds extra curvature\n               to the image. Also, when the camera or object moves, Environment mapping allows the texture to move with the model, without\n               the need to adjust the texture further. To obtain the most realistic results, the camera or object should only be moved slightly\n               if moved at all. \n            </p> <a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32E3\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-88AF729C-5E05-424D-848E-388A67ED9C7E-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> Original spheroid image <em class=\"mild\">B.</em> Applied to sphere using Environment mapping method\n               </p>\n            </div> \n            <div style=\"margin-top: 9pt;\"><a name=\"WS1A9193826455F5FF-30857B3612671CDEC1815DC\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>You can create an image that reflects your scene using the Reflection shader. See <span class=\"char_link\"><a href=\"GUID-D45F1033-7594-409B-83DC-D5CD67F87A15.htm\">Reflection effects</a></span>. \n               </div>\n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";