var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-E288F0DA-EE4A-467D-8B9D-A6CA07A55884\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Motion Reduction property settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-E288F0DA-EE4A-467D-8B9D-A6CA07A55884\"></a><div class=\"head\">\n            <h1>Motion Reduction property settings</h1>\n         </div>\n         <p>The Motion Reduction property settings enable you to reduce the amount of motion transferred between the chest, neck, head,\n            and shoulder body parts of your source Actor or Character to the corresponding object of your target character. \n            	 \n         </p>\n         <p>You can use Motion Reduction after Character-to- Character and Actor-to-Character retargeting. For example, use it if the\n            chest, neck, head, or shoulder sensors of your Actor are poorly captured, or when the Actor\'s Marker set does not provide\n            good capture data. Increasing the Motion Reduction percentage is similar to applying damping. \n            	 \n         </p>\n         <div><a name=\"GUID-8278FAAC-25CB-46CA-9787-7C9691879570\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> Motion Reduction for character-to-character retargeting is only supported by HumanIK 2016. \n               	 \n            </div>\n         </div>\n         <p>After completing character-to-character or actor-to-character retargeting, access the \n            		<span class=\"MenuCascade\">Motion Reduction</span> controls in the Character Settings tab by selecting \n            		<span class=\"MenuCascade\">Retargeting &gt; Motion Reduction</span>. \n            	 \n         </p>\n         <p><a name=\"GUID-14C4AF3C-8F33-439D-A829-466D4385C8B2\"></a>For each \n            		<span class=\"MenuCascade\">Motion Reduction \n               		</span>property, use the following guidelines: \n            	 \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F630\"></a><ul>\n            <li>At 0%, the full movement is transferred between the Actor and character. There is no motion reduction. \n               		\n            </li>\n            <li>At 50%, half the movement is transferred resulting in damping between Actor and character. The other half of the movement\n               is based on other objects in the character hierarchy. \n               		\n            </li>\n            <li>At 100%, no movement is transferred, and the character’s movement is based entirely on the other objects in the hierarchy.\n               \n               		\n            </li>\n         </ul>\n         <p class=\"table-title\">Motion Reduction property settings</p><a name=\"WS73099CC142F48755-FD8AF8D1204C8F5D90-705A\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"17.6480276702627%\">\n                  <col width=\"41.17598616486865%\">\n                  <col width=\"41.17598616486865%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\"> <a name=\"GUID-87CE4236-C399-4F7D-B09F-FBBF58D13BE8\"></a><p class=\"table-heading\">Motion Reduction property settings \n                        			 \n                     </p> \n                  </th>\n                  <th class=\"table-heading\"> <a name=\"GUID-223FD650-C5BA-4DF9-A21C-10107E2C72D5\"></a><p class=\"table-heading\">Description \n                        			 \n                     </p> \n                  </th>\n                  <th class=\"table-heading\"> \n                     <p class=\"table-heading\">Character nodes affected \n                        			 \n                     </p> \n                  </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\"> <a name=\"GUID-FA654DD2-FC08-48C5-A3B9-EE0F8D09E01D\"></a><p class=\"table-body\"> <span class=\"MenuCascade\" id=\"GUID-45A2C489-75AE-4E61-B9DF-9EBE3317F9D3\">Chest Reduction</span> \n                     </p> \n                  </td>\n                  <td class=\"table-body\"> <a name=\"GUID-15201761-8EBF-4F61-8C19-0B03E8C19DF9\"></a><p class=\"table-body\">A reduction percentage between 0% and 100% averages the movement between the chest object and the Hips object. Chest refers\n                        to all required and optional Spine objects. Chest Reduction affects all Spine objects. \n                        			 \n                     </p> \n                  </td>\n                  <td class=\"table-body\"> \n                     <p class=\"table-body\">Source character\'s Spine nodes: Spine1, Spine2, Spine3, Spine4, Spine5, Spine6, Spine7, Spine8, Spine9. \n                        			 \n                     </p> \n                     <div><a name=\"GUID-91ABDC63-84A7-4F2F-9CD8-61E0DAEBBF09\"></a><div class=\"note-important\"><span class=\"label label-target-language\">IMPORTANT:</span>For Character-to-Character retargeting, the first Spine node, that being the first Spine node after Hip and before Spine1,\n                           is excluded from the Chest Reduction. This makes character-to-character and actor-to-character work consistently with Motion\n                           Reduction. For example, a character\'s Spine node is the equivalent of an actor\'s Waist bone, and actor\'s Waist bone is excluded\n                           from reduction. \n                           			 \n                        </div>\n                     </div> \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\"> <a name=\"GUID-42707F00-FF98-4B5C-9612-8383AE7FB2B1\"></a><p class=\"table-body\"> <span class=\"MenuCascade\" id=\"GUID-29CB6435-18C3-4524-9752-47A6F62170BB\">Neck Reduction</span> \n                     </p> \n                  </td>\n                  <td class=\"table-body\"> <a name=\"GUID-07FD6A15-55AB-43C0-AD17-2E8DF909A850\"></a><p class=\"table-body\">A reduction percentage between 0% and 100% averages the movement between the Neck object and the chest. When set to 100%,\n                        the neck moves at a set distance from the chest and may result in stiff, unnatural movement since no movement is transferred\n                        to the Neck object. \n                        			 \n                     </p> \n                  </td>\n                  <td class=\"table-body\">Source character\'s Neck nodes: Neck, Neck1, Neck2, Neck3, Neck4, Neck5, Neck6, Neck7, Neck8, Neck9. \n                     		  \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\"> <a name=\"GUID-0A9B395F-6B30-40F8-9449-A847F6D52ABC\"></a><p class=\"table-body\"> <span class=\"MenuCascade\" id=\"GUID-D0E2E12E-071C-438E-8428-E225CC7180EB\">Head Reduction</span> \n                     </p> \n                  </td>\n                  <td class=\"table-body\"> <a name=\"GUID-1CD437B6-3B9A-436B-A054-A5435975DAE8\"></a><p class=\"table-body\">Adjusts the percentage of reduction when transferring motion from the Actor’s head to the character’s head object. \n                        			 \n                     </p> \n                  </td>\n                  <td class=\"table-body\">Source character\'s Head node. \n                     		  \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\"> <a name=\"GUID-705768E6-1CAE-42F6-A908-2824A391D7AE\"></a><p class=\"table-body\"> <span class=\"MenuCascade\" id=\"GUID-AC17EB34-9D4E-42DF-996E-F56D324F490B\">Shoulder Reduction</span> \n                     </p> \n                  </td>\n                  <td class=\"table-body\"> <a name=\"GUID-AF200E96-152D-4ADB-A65F-4020F0B1AB43\"></a><p class=\"table-body\">A reduction percentage between 0% and 100% averages the shoulder movement between each Shoulder object and the Chest object.\n                        \n                        			 \n                     </p> \n                  </td>\n                  <td class=\"table-body\">Source character\'s Shoulder/Collar nodes: LeftShoulder, RightShoulder, LeftShoulderExtra, RightShoulderExtra. \n                     		  \n                  </td>\n               </tr>\n            </table>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";