var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-E3D27BE8-1392-4CC0-BD5D-17EE3D016EC3\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Phoneme shapes</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-E3D27BE8-1392-4CC0-BD5D-17EE3D016EC3\"></a><div class=\"head\">\n            <h1>Phoneme shapes</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2859\"></a>Phonemes are the smallest individual units of sound that are combined to form speech. A phoneme shape refers to the position\n            of the lips, teeth, tongue, and jaw required to utter a phoneme, or a specific sound of speech. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2858\"></a>For example, the phoneme shape for the phoneme /m/ consists of lips that are pressed together, whereas the phoneme shape for\n            /l/ consists of lips that are not round and that are slightly apart, with the tip of the tongue pressed lightly to the gums\n            behind the upper teeth. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2857\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B1FCA855-F109-4F3C-8024-F936045AC6C8-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> /m/ phoneme shape <em class=\"mild\">B.</em> /l/ phoneme shape\n            </p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2855\"></a>Phoneme shapes are needed when you use the Voice device, in conjunction with the Character Face asset, to drive your facial\n            animation. Refer to the <span class=\"char_link\"><a href=\"GUID-E3D27BE8-1392-4CC0-BD5D-17EE3D016EC3.htm#WS1A9193826455F5FF-54F556CA1166AC9EE9E-284A\">Phoneme shapes</a></span> figure as a guide for creating phoneme shapes supported by the Voice device. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2854\"></a>However, you can also drive phoneme shapes as you would custom shapes, using keyframes or devices such as joysticks and keyboards.\n            \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2853\"></a>Create as many phoneme shapes as you need. If you create only a few phoneme shapes, they can be blended to simulate other\n            shapes. However, the more phoneme shapes you create for a model, the better quality the final animation. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2852\"></a>In speech, vowels are particularly important because they comprise the majority of visual cues in spoken language. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2851\"></a>How vowels are articulated depends on the different movements of the mouth and tongue, such as the front or back placement\n            of the tongue and the movement of the lips. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-3859B43C1209703A83847A1\"></a>The following figure shows the English vowel system (partial) in a scale ranging from front unrounded (IY) to back rounded\n            (UW) vowels. Most other vowels fall in between these two extremes (IY and UW). AX is approximately in the middle, and represents\n            the sound that is made when the tongue and mouth are at complete rest. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2850\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-F20C0D2A-CFB0-4428-9FEC-02540B01CBE5-low.png\"><p class=\"figure-title\">Partial English Vowel System</p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-284E\"></a>Phonemes are not always pronounced in the same way and may fall between vowels. To compensate for this, or if your model was\n            created without a specific shape, <span class=\"charspan-msgph\">MotionBuilder</span> weights the nearest vowels to generate a mix of shapes that approximates the position of your model’s lips. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-284D\"></a>If your model says a vowel that falls outside the range that your shapes cover, <span class=\"charspan-msgph\">MotionBuilder</span> chooses the closest vowel. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-284C\"></a>You should select the vowels that correspond to your shapes. Ideally, you should create your model with the shapes for the\n            extreme ends of the vowel range, then uniformly space more vowels in between. See the following figure for a visual example\n            of phonemes and their shapes. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-284A\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-29E16F03-DE87-4CE6-BE0C-6F0368FF97D6-low.png\"><p class=\"figure-title\">Various phoneme shapes</p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2849\"></a>For example, if you want your character to slightly open and close its mouth, you could use only one vowel such as AX (as\n            in “the”). If you want more subtle movement to represent the sound between different vowels, use more than one. Accordingly,\n            if your model has three shapes that say “beat”, “bat”, and “boot”, use IY, AE, and UW. If your model has six shapes saying\n            “bit”, “bet”, “bob”, “boat”, “book”, and “seat”, use IH, EH, AA, OW, UH, and S respectively. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2848\"></a>The following table lists the phoneme shapes available in <span class=\"charspan-msgph\">MotionBuilder</span> and gives an example illustrating their pronunciation. <a name=\"WS1A9193826455F5FF-56C0CD8012A8003217A1C5\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"48.29875518672198%\">\n                     <col width=\"51.701244813278%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Phoneme </th>\n                     <th class=\"table-heading\">Example </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">AE </td>\n                     <td class=\"table-body\">cat </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">AO </td>\n                     <td class=\"table-body\">fought </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">AX </td>\n                     <td class=\"table-body\">alas </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">B </td>\n                     <td class=\"table-body\">bike </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">D </td>\n                     <td class=\"table-body\">dam </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">F </td>\n                     <td class=\"table-body\">fox </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">G </td>\n                     <td class=\"table-body\">gate </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">H </td>\n                     <td class=\"table-body\">hat </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">IY </td>\n                     <td class=\"table-body\">heat </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">K </td>\n                     <td class=\"table-body\">cake </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">KG </td>\n                     <td class=\"table-body\">concur </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">L </td>\n                     <td class=\"table-body\">lock </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">M </td>\n                     <td class=\"table-body\">moon </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">N </td>\n                     <td class=\"table-body\">new </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">OW </td>\n                     <td class=\"table-body\">goat </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">P </td>\n                     <td class=\"table-body\">point </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">S </td>\n                     <td class=\"table-body\">site </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">SH </td>\n                     <td class=\"table-body\">shape </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">T </td>\n                     <td class=\"table-body\">tap </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">UH </td>\n                     <td class=\"table-body\">look </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">UW </td>\n                     <td class=\"table-body\">loot </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">V </td>\n                     <td class=\"table-body\">veer </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Z </td>\n                     <td class=\"table-body\">zoo </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">ZH </td>\n                     <td class=\"table-body\">pleasure </td>\n                  </tr>\n               </table>\n            </div> \n         </p>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";