var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-E40FA668-7F98-47CB-BDCE-F34C11E4B95E\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Character Solving properties</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-E40FA668-7F98-47CB-BDCE-F34C11E4B95E\"></a><div class=\"head\">\n            <h1>Character Solving properties</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F5D7\"></a> Let you define how specific movements are solved. \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F5D9\"></a> \n            <h2><a name=\"GUID-8EA5330F-644C-4B5F-88A7-D724611A6492\"></a>Character Type\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5DA\"></a>Switches your Control rig and Character type between a biped or quadruped posture type. Since biped and quadruped characters\n               are different in structure, changing the posture type may produce unexpected results. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F5DB\"></a> \n            <h2><a name=\"GUID-E72AADC4-0298-4EE4-B4FC-BAD6A3AC3A68\"></a>Fingers Solving\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5DC\"></a>Enables or disables IK solving for fingers. In certain cases, for performance reasons, you may want to disable IK solving.\n               \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F5DD\"></a> \n            <h2><a name=\"GUID-57D8C98D-CFA5-4707-8B5D-382E4CDBA830\"></a>Realistic Shoulder Solving\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5DE\"></a>When human shoulders rotate, they move upwards. To replicate this behavior, use this setting to adjust the amount of rotation\n               that is applied to the shoulders when the upper arms rotate. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5DF\"></a>For example, in the following figure (A), displays a character when its upper arm is rotated with Realistic Shoulder Solving\n               set to 0 (disabled). When the upper arm rotates, the rotation is not properly transferred to the shoulder bone, resulting\n               in poor movement. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5E0\"></a>In the following figure (B), the upper arm in the character is rotated with Realistic Shoulder Solving set to 100 (full).\n               When the upper arm rotates, 100 percent of the rotation is transferred to the shoulders. Since the shoulder bones rotate,\n               the shoulders of the character appear to translate upwards in the same manner as human shoulders. \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F5E1\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-18BB927C-C26B-4B8A-8D40-52450E6BB264-low.png\"><p class=\"figure-title\">Upper arm rotated <em class=\"mild\">A.</em> Realistic Shoulder Solving disabled (set to zero) <em class=\"mild\">B.</em> Realistic Shoulder Solving set to full (100)\n               </p>\n            </div> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5E3\"></a>By default, Realistic Shoulder Solving is set to 0. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FE0\"></a> \n            <h2><a name=\"GUID-B8607B4C-107A-47CE-99CE-1BBF312E7957\"></a>Hips Translation Mode\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5E4\"></a>If you have defined a Hips Translation object in the Special group of slots, the Hips Translation Mode setting lets you select\n               whether rotation data is applied to that object. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5E5\"></a>If you select World Rigid as the Hips Translation mode, rotation data is applied only to the Hips object defined in the Base\n               group of slots. If you select Body Rigid as the Hips Translation mode, rotation data is applied to both the Hips object defined\n               in the Base group of slots, and to the Hips Translation object defined in the Special group of slots. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5E7\"></a>This is useful when you have defined a second object for translating the hips of your model and you do not want the second\n               object to receive rotation data. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5E8\"></a>To use this setting, you must define a Hips Translation object (see <span class=\"char_link\"><a href=\"GUID-6FD84BDA-2936-4142-B547-B2205EA0306E.htm#WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FF4\">Special</a></span>). \n            </p> <a name=\"WS73099CC142F48755258D2DC211BC18227AE-7424\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"18.79392428020857%\">\n                     <col width=\"81.20607571979144%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Setting </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Body Rigid </td>\n                     <td class=\"table-body\">Sends rotation to both the Hips and Hips Translation objects. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">World Rigid </td>\n                     <td class=\"table-body\">Sends rotation only to the Hips object, but not the Hips Translation object. </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FDF\"></a> \n            <h2><a name=\"GUID-507482F5-1B72-406E-9223-BC37A6218D6E\"></a>Constrain References\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5ED\"></a>Turn on this option if you are working with a project created in a previous version of <span class=\"charspan-msgph\">MotionBuilder</span>. Turning on this option constrains the Control rig reference object to the character Reference object. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-5C4A547B11688C3B8FC-7FDE\"></a> \n            <h2><a name=\"GUID-564726DD-FEB2-4C1C-88BE-9AF2F2AD292C\"></a>Inverted joint options\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5EE\"></a>Let you change the way the knees and elbows of a character bend as you manipulate the legs and arms. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F5EF\"></a>These options are useful if you are animating a bird, such as a flamingo or ostrich. <a name=\"WS73099CC142F4875535A241551166AC8792F5F0\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A8F1C9CF-1390-4AC6-8781-F65AA5C4BFA6-low.png\"><p class=\"figure-title\">Character Settings <em class=\"mild\">A.</em> Inverted joint options\n                  </p>\n               </div> \n            </p> \n            <div><a name=\"WS73099CC142F4875535A241551166AC8792F5F2\"></a><div class=\"note-important\"><span class=\"label label-target-language\">IMPORTANT:</span>Always turn the Inverted joint options on or off before manipulating your character. \n               </div>\n            </div> <a name=\"WS73099CC142F48755258D2DC211BC18227AE-7423\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"27.682209144409235%\">\n                     <col width=\"72.31779085559076%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Option </th>\n                     <th class=\"table-heading\">Description </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Inverted Left/Right Elbow </td>\n                     <td class=\"table-body\">When activated, the left/right elbow of the character bends backward as you manipulate the arm. When disabled, the left/right\n                        elbow of the character bends normally. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Inverted Left/Right Knee </td>\n                     <td class=\"table-body\">When activated, the left/right knee of the character bends backward as you manipulate the leg. When disabled, the left/right\n                        knee of the character bends normally. \n                     </td>\n                  </tr>\n               </table>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-7273\"></a>In the following figure, the left leg is manipulated with the Inverted Left Knee turned on (see A) and with the Inverted Left\n               Knee turned off (see B). <a name=\"WS73099CC142F4875535A241551166AC8792F5FC\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-1E554906-06B5-4693-BA29-018F896D4BCA-low.png\"><p class=\"figure-title\">Left leg manipulated <em class=\"mild\">A.</em> Inverted Left Knee turned on <em class=\"mild\">B.</em> Inverted Left Knee turned off\n                  </p>\n               </div> \n            </p> \n            <p><a name=\"WS1A9193826455F5FF79F44A0A120254C3E48-7272\"></a>In the following figure, the left arm is manipulated with the Inverted Left Elbow turned on (see A) and with the Inverted\n               Left Elbow turned off (see B). <a name=\"WS73099CC142F4875535A241551166AC8792F5F6\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-EBA0B766-0331-4224-94A2-2A421F520793-low.png\"><p class=\"figure-title\">Left arm manipulated <em class=\"mild\">A.</em> Inverted Left Elbow turned on <em class=\"mild\">B.</em> Inverted Left Elbow turned off\n                  </p>\n               </div> \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";