var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-E505DC4B-9B82-47A0-BECD-8869F77D041D\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Creating a Walk Cycle</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-E505DC4B-9B82-47A0-BECD-8869F77D041D\"></a><div class=\"head\">\n            <h1>Creating a Walk Cycle</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2B70\"></a>This tutorial guides you through the procedures necessary to create and use poses to create a walk cycle. \n         </p><a name=\"WS73099CC142F48755-385A98B012180D20F1934C1\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755-385A98B012180D20F1934C2\"></a>The following asset is required for this tutorial:\n         </p>\n         <ul>\n            <li> <em class=\"mild\">mia_servo.fbx</em> \n            </li>\n         </ul>\n         <div><a name=\"GUID-31EB7DB9-FEC8-418E-A646-9D176D4BA6A7\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The tutorial assets can be found in the <span class=\"MenuCascade\" id=\"GUID-12E48203-DEA9-4BA4-B3C5-38A8AACDA1DB\">Asset Browser</span> under the <em class=\"mild\">Tutorials</em> folder and in the <span class=\"charspan-msgph\">MotionBuilder</span> <em class=\"mild\">Tutorials</em> directory on your system. \n            </div>\n         </div>\n         <div><a name=\"GUID-6989F4D8-A27D-41C9-BCB9-72C5EFF6509E\"></a><div class=\"note-bestpractice\"><span class=\"label label-target-language\">Best Practice</span>Ensure you always use the latest update of the tutorials and tutorial assets to complete the tutorials. You can download the\n               latest update from: <a href=\"http://www.autodesk.com/motionbuilder-tutorials\" target=\"_blank\">http://www.autodesk.com/motionbuilder-tutorials</a>. If you download the tutorial assets to a location other than the <span class=\"charspan-msgph\">MotionBuilder</span> default location, remember to add this location (add a favorite path) in the <span class=\"MenuCascade\" id=\"GUID-F7385F06-8FA3-42F0-BE99-A1300329EC92\">Asset browser</span> so you can access the assets via the <span class=\"MenuCascade\" id=\"GUID-0C2BDF19-E8A4-469B-A0F7-7F0024B0CD96\">Asset Browser</span>. \n            </div>\n         </div><a name=\"GUID-D5ACA91F-670E-429B-A56C-3CC4A5D6BD3C\"></a><p class=\"list-intro\"><a name=\"GUID-DF9F036E-20CA-407B-953E-91D70B6A4789\"></a>To add a favorite path to the <span class=\"MenuCascade\" id=\"GUID-237FE7B1-15E2-4739-88A9-1D59A6909546\">Asset Browser</span> pane:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-1491BF2B-6EF8-4F75-A8F4-9ED524F46213\">Resources</span> window, make sure the <span class=\"MenuCascade\" id=\"GUID-2EECC7CC-3F51-45AC-83F8-98D9E63023E9\">Asset Browser</span> tab is selected. \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-E7339D74-D163-42B1-911A-60ED5F07BEF8\">Asset Browser</span>, right-click the <span class=\"MenuCascade\" id=\"GUID-B60FD2DC-EBC1-4DBC-ACA1-79EECD2007A3\">Asset Browser</span> pane. \n               <p><a name=\"GUID-84987D08-1387-449A-A9F1-1874632D4903\"></a>A context menu displays. \n               </p> \n               <p><a name=\"GUID-FBBF8F83-2F5E-4792-ABFD-A5DF866ECA43\"></a> <a name=\"FIG_8527A21334CA4753B0B6ABA7875C4F7A\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-BB839420-1120-42EC-B51F-85F29F999087-low.png\"></div> \n               </p> \n            </li>\n            <li>Click <span class=\"MenuCascade\" id=\"GUID-D6E4CA7F-9F8A-462C-94CB-B2C06F788616\">Add favorite path</span> from the context menu. \n            </li>\n            <li>In the <span class=\"MenuCascade\" id=\"GUID-2E00A101-03DA-4935-9B96-0AF6550CD9AC\">Open directory</span> window, navigate to the directory you would like to add in the <span class=\"MenuCascade\" id=\"GUID-A2E3C279-7FFD-414E-8D3F-FE2F9F15E2AD\">Asset Browser</span>. \n            </li>\n            <li>Click the directory and then click <span class=\"MenuCascade\" id=\"GUID-614067AE-05CD-400A-A870-1A74C32DBA4E\">OK</span>. \n               <p><a name=\"GUID-A9ED1396-BEC6-4CAC-AE95-831D4943A0A6\"></a>The directory is added to the <span class=\"MenuCascade\" id=\"GUID-89B9C3B2-B951-412B-94EE-37424F937F70\">Asset Browser</span> pane in numeric alpha order. \n               </p> \n            </li>\n         </ol><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-0023C555-2B16-4474-9B7C-C5F3CD7B5AAF.htm\">Prepare the scene</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-B3428E8E-1310-4C91-A8D8-D67348177503.htm\">Create poses </a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-CDEEAD5A-79A2-4961-9687-4FE00CEC8DD5.htm\">Create animation with poses</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-58C79D88-14B8-46B6-824E-8A49D0C0F436.htm\">Mirror poses</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-ED6D0009-1716-45A1-B51C-9E6A85B6C082.htm\">Play the animation</a><p>To view the result of the animation you created in the previous procedures, play the animation. </p>\n                  </li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";