var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-E53DD910-DA20-4400-8BB1-0114AD0D4F41\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Working with Time Discontinuity</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-E53DD910-DA20-4400-8BB1-0114AD0D4F41\"></a><div class=\"head\">\n            <h1>Working with 	 Time Discontinuity</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2325\"></a>Normally, animation plays in chronological order. For example, a scene where you see character walking and then slipping is\n            chronological. The actions in the scene unfold from start to end in a linear fashion. \n            		<a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2324\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-9ABA831A-E096-4A32-8018-23AB11425252-low.png\"><p class=\"figure-title\">Three events in chronological order</p>\n            </div> \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2322\"></a>Time discontinuity happens whenever action is shown out of chronological order, for example, when you start a story with its\n            end. The Time Discontinuity option in the Story window lets you re-order events in a scene so that they occur out of chronological\n            sequence. \n            		<a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2321\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-81CFD01B-F562-418B-A790-121D49556F14-low.png\"><p class=\"figure-title\">Time Discontinuity lets you edit the original sequence of events \n                  		  <em class=\"mild\">A.</em> Third event (C) plays second \n                  		  <em class=\"mild\">B.</em> First event (A) plays last \n                  		  <em class=\"mild\">C.</em> Second event (B) plays first\n               </p>\n            </div> \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-231F\"></a>Activating Time Discontinuity lets you play events in the animation in a different order, edit out parts, or loop the same\n            segment more than once, without altering your source animation. For example, you could take the scene of the character walking\n            and slipping and have the character slip first, followed by a shot of him walking. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-231E\"></a>Once you have edited the sequence of events in your scene, you can plot it for export. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-231D\"></a>When you activate Time Discontinuity, the shot clips and Shot slider tabs disconnect so you can move them individually to\n            rearrange the sequence of events. You can drag a shot clip to a different time in the scene, or resize a Slider tab so that\n            the segment of action repeats itself. \n            	 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-231C\"></a>In the following figure, the scene of the character walking and slipping is shown in regular sequence. Each shot clip covers\n            part of the action on the Character track below: the character starting to walk is covered by the first Camera shot clip,\n            the character slipping by the second Camera shot clip and the character falling is covered by the third Camera shot clip.\n            \n            		<a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-231B\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-764B3A8D-CDC6-49BB-9419-B37CF9ED429F-low.png\"><p class=\"figure-title\">Shot track showing three Camera shot clips and Character track showing an action of a character slipping</p>\n            </div> \n         </p>\n         <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2319\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>The Timeline indicators for both the Shot track and Character tracks play from left to right simultaneously to show that the\n               Camera shots are reading the Character track’s motion in order. \n               	 \n            </div>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2317\"></a>In the next figure, Time Discontinuity is activated in the same scene. Now, the position of the first and last shot clips\n            have been swapped. Even though the action on the character track has not changed, because the shot clips that have been moved\n            with Time DIscontinuity activated, the first shot refers to the end of the action and the last shot refers to the beginning\n            of the action. \n            		<a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2316\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-2492CCDB-005D-4B5C-8548-2808AC718EEB-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> Last shot clip of character falling is at the beginning of the take \n                  		  <em class=\"mild\">B.</em> First shot of the character walking is at the end of the action \n                  		  <em class=\"mild\">C.</em> Action in Character track remains unchanged\n               </p>\n            </div> \n         </p>\n         <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-2314\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>When Time Discontinuity is active, the Timeline indicator for both the Shot track and Character tracks play from left to right\n               on the Shot track, but the Character track indicator jumps back and forth through the Character track animation. \n               	 \n            </div>\n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-A8884721-E0C5-4192-919A-E8BCF27B38A2.htm\">Changing the order of events in a scene with Time Discontinuity \n                           		</a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";