var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-E68FBB8C-DD28-4A22-8D6B-6F0568ECDBE0\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Basic material settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-E68FBB8C-DD28-4A22-8D6B-6F0568ECDBE0\"></a><div class=\"head\">\n            <h1>Basic material settings</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-4BD8\"></a> The basic material settings let you see results in the Viewer window without applying shaders. When you disable the Advanced\n            Mode option in the Material settings, the settings that are still active are the basic ones that do not require shaders. The\n            results of these basic material settings always display on the model to which the material is applied. \n         </p>\n         <div><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-762A\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>You can attach a texture to the Diffuse property and see the results on the model in the Viewer without needing to apply shaders.\n               To see the results of textures attached to the other basic material properties, apply a corresponding shader. See <span class=\"char_link\"><a href=\"GUID-2695068C-7D7E-49EE-88CE-61B201A0EAC6.htm\">Materials working with shaders and textures</a></span>. \n            </div>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-7629\"></a>To use the basic material settings effectively, see <span class=\"char_link\"><a href=\"GUID-B05484E3-4C5F-4B8E-BBB2-406C18BB1681.htm\">Adjusting material color</a></span> and <span class=\"char_link\"><a href=\"GUID-616DFD1D-5907-405F-98C9-9EA6ED3F18C6.htm\">Adding a texture to a material</a></span>. \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1ECC\"></a> \n            <h2><a name=\"GUID-B6D8B753-BA8D-4888-B5CE-1022737250FD\"></a>Emissive settings\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1ECB\"></a> The Emissive settings let you define the RGB color and intensity for the glow of a material. The Emissive color of an object\n               is constant and uniform. \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1ECA\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-FC120A97-FA02-42F9-BF4C-E89F5A215E5B-low.png\"><p class=\"figure-title\">Material proxy <em class=\"mild\">A.</em> Emissive color set to a bright yellow-green\n               </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1EC8\"></a> \n            <h2><a name=\"GUID-BF11D411-A9E6-4D59-A118-4C11167FBA0C\"></a>Ambient settings\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EC7\"></a> The Ambient settings let you define the RGB color and intensity of the light reflected by a material. Ambient color is the\n               general brightness of the material and comprises the dark range of color in a material’s contrast. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EC4\"></a>The Ambient color of an object depends on the lighting in your scene. \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1EC6\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-6AA2C367-B4BD-4246-B6A1-9AFA57A2C691-low.png\"><p class=\"figure-title\">Material proxy <em class=\"mild\">A.</em> Ambient color set to a dark green\n               </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1EC3\"></a> \n            <h2><a name=\"GUID-3D28FC82-3FB3-476E-A50D-722C430B300E\"></a>Diffuse settings\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EC2\"></a> The Diffuse settings let you define the base RGB color and intensity of a material. Diffuse color comprises the light range\n               of color in a material’s contrast. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EC1\"></a>The Diffuse color of an object is uniform and constant. It relies on the position and color of the lights in your scene and\n               is not affected if you change the current camera view. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EC0\"></a>The Diffuse color settings define the main color of the model. The Diffuse color settings interact with any texture attached\n               to the Diffuse property. \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1EBF\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E51DD5E5-BFF2-40FD-90F1-B8E7171C3326-low.png\"><p class=\"figure-title\">Material proxy <em class=\"mild\">A.</em> Diffuse color set to a shade of blue\n               </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F914EEB56011688C41DD6-7FF7\"></a> \n            <h2><a name=\"GUID-3BCB94E0-878D-452B-A6D8-D9F019872E07\"></a>Specularity settings\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EBD\"></a> The Specularity settings let you define the RGB color and intensity of a model’s specular highlights, or “shiny” areas. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EBC\"></a>The specular color of an object depends on the shine of an object, the position of your light sources, and the current camera\n               view. \n            </p> \n            <div><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-6A41\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Use the Shininess slider to change the spread of the specular highlight. \n               </div>\n            </div> <a name=\"WS73099CC142F4875535A241551166AC8792F-1EBB\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-52178D1E-479B-41F7-8E8E-0183AEFE3893-low.png\"><p class=\"figure-title\">Material proxy <em class=\"mild\">A.</em> Specular highlight set to a light blue\n               </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1EB2\"></a> \n            <h2><a name=\"GUID-6F8C350A-5896-4873-AF0E-BFCAFD34BC41\"></a>Shininess slider\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EB1\"></a> The Shininess slider lets you define the level of light reflected on a material. Adjust this slider to control the distribution\n               of an object’s specular highlight. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EB0\"></a>Low values result in a large, soft glow, and high values define a smaller, sharper highlight. For the best results when adjusting\n               the Shininess value, also play with the color and intensity of the Specularity settings. \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1EAF\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-9B92DC9A-73AD-47B9-B3DF-636908C48702-low.png\"><p class=\"figure-title\">Material proxy <em class=\"mild\">A.</em> Material with low Shininess value <em class=\"mild\">B.</em> Material with a high Shininess value\n               </p>\n            </div> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";