var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-E6B603D9-248A-45D4-8BCE-5C17341F124D\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Auto interpolation</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-E6B603D9-248A-45D4-8BCE-5C17341F124D\"></a><div class=\"head\">\n            <h1>Auto interpolation</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-ED3\"></a> Auto interpolation is a cubic curve which you can modify using tangent handles or angle and weight settings. The tangents\n            of an Auto key type will automatically be adjusted based upon the interpolation of the previous and next keys. When editing\n            Auto interpolation, you can work in three modes-Progressive Clamp, Smooth and Spline. \n         </p>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F94C29952011688C4057A-7FFD\"></a> \n            <h2><a name=\"GUID-BE5DB6A0-71B9-47E3-8B10-06D47CA85EBC\"></a>Progressive Clamp\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-ED1\"></a>Progressive Clamp is the default Auto key type. This is a time independent interpolation; tangents of this type are not affected\n               by a change in time value. A Progressive Clamp tangent is automatically calculated based upon the slope between the previous\n               and the next key values. This type will ease-in and ease-out of a clamp behavior to avoid the snapping of tangents during\n               key manipulation. In order to avoid overshooting and/or undershooting interpolations, this auto type will also flatten the\n               tangent handles when the key value goes over or under the previous and next key values. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-ED0\"></a>See <span class=\"char_link\"><a href=\"GUID-929F5FCE-7B22-4B60-9B16-30F7B0D70BD6.htm\">Key Interpolation Type menu</a></span>, <span class=\"char_link\"><a href=\"GUID-A5AD4555-D78D-4ACC-81C4-75D1819A25AA.htm\">Tangent options</a></span>, and <span class=\"char_link\"><a href=\"GUID-2F6225B3-3218-46D7-A7EB-B47855DB0001.htm\">Auto interpolation settings</a></span> for setting keys with Progressive Clamp interpolation. \n            </p> <a name=\"WS73099CC142F48755602CAF041189DA6B60821A1\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755602CAF041189DA6B60821A2\"></a>To edit keyframes in Progressive Clamp mode:\n            </p>\n            <ul>\n               <li>Set the Auto tangent default type to Progressive Clamp in the FCurves preferences. See <span class=\"char_link\"><a href=\"GUID-DA4391E9-6C0C-4423-9CD9-C09D0C8C78B6.htm\">FCurves preferences</a></span>. \n               </li>\n               <li>Select the keyframes you want to edit, then click the Auto option in the FCurves window toolbar. </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755602CAF041189DA6B60821A5\"></a> \n            <h2><a name=\"GUID-22A59D82-7C55-49B0-9C42-D74F28AAB360\"></a>Spline\n            </h2> \n            <p><a name=\"GUID-79849DC0-14D9-4FF0-B49E-7D5A8C771877\"></a>This is a time-independent interpolation; tangents of this type are not affected by a change in time value. A Spline tangent\n               is automatically calculated based upon the slope between the previous and next key values. When used in combination with optional\n               clamp behavior, this tangent type will snap tangents\' handles during key manipulation. This behavior facilitates linear interpolations\n               between equal values without having to change the key type. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755602CAF041189DA6B60821A7\"></a> \n            <h2><a name=\"GUID-80CA1401-29CB-48BD-8710-D62BF4790DD3\"></a>Smooth\n            </h2> \n            <p><a name=\"GUID-30CEB6DB-BB0B-4FCC-8C78-9C2B0347E428\"></a>This is a time-dependent interpolation; tangents of this type are directly affected by a change in time value. When used in\n               combination with optional clamp behavior, this tangent type will snap tangents\' handles during key manipulation. This behavior\n               facilitates linear interpolations between equal values without having to change the key type. \n            </p> \n            <div><a name=\"GUID-2DD98E78-FF02-4AC3-9533-9E750128E13E\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>A clamp option appears on the FCurves window classic toolbar only when a Spline or Smooth Auto default tangent type has been\n                  selected in the FCurves preferences. <a name=\"WS73099CC142F48755602CAF041189DA6B60821B8\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-6300DAA0-ECB4-4C95-AEBE-CF83CE14A8F5-low.png\"><p class=\"figure-title\">FCurves window classic toolbar <em class=\"mild\">A.</em> Auto key type selected <em class=\"mild\">B.</em> Optional clamp option \n                     </p>\n                  </div> \n               </div>\n            </div>  \n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">Topics in this section</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-BE546CA4-48AF-47E0-A484-7B439A1E5A36.htm\">Creating Auto interpolation</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-6C6BEB22-561C-4427-B42F-AD21C8AE74CC.htm\">Editing Auto interpolation</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";