var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-E6E05469-DD42-4DBE-BC53-C0FDEBDD809E\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Shading preferences</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-E6E05469-DD42-4DBE-BC53-C0FDEBDD809E\"></a><div class=\"head\">\n            <h1>Shading preferences</h1>\n         </div><a name=\"WS73099CC142F48755-FD8AF8D1204C8F5D90-6FCC\"></a><p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-58FF\"></a> In the Preferences window, the default Shading preference settings consist of the following: \n         </p>\n         <ul>\n            <li>Light settings </li>\n            <li>Mesh Tessellation settings </li>\n            <li>Surface settings </li>\n         </ul><a name=\"WS1A9193826455F5FF7718A51C1204C8F42FA-5C95\"></a><p class=\"list-intro\"><a name=\"WS1A9193826455F5FF7718A51C1204C8F42FA-5C94\"></a>To access the Shading preferences:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>From the menu bar, select Settings &gt; Preferences. </li>\n            <li>In the Preferences window, click the Shading preference option. \n               <p><a name=\"WS1A9193826455F5FF7718A51C1204C8F42FA-5C91\"></a>The Shading preference settings display. <a name=\"WS73099CC142F48755F2FC9DF120970276F7-216C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-05E6684F-B860-4845-A844-8BE17525E428-low.png\"></div> \n               </p> \n            </li>\n         </ol>\n         <p><a name=\"WS73099CC142F48755-FD8AF8D1204C8F5D90-6FC7\"></a>The Lights preference settings lets you set default preferences for Light assets. The following table describes the Lights\n            preference settings. \n         </p><a name=\"WS73099CC142F48755-FD8AF8D1204C8F5D90-6FC5\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"26.36343064041638%\">\n                  <col width=\"73.6365693595836%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\">Lights settings </th>\n                  <th class=\"table-heading\">Purpose </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Use Volumic Light Optimization </td>\n                  <td class=\"table-body\">The Use Volumic Light Optimization option lets you select a slower display method which is necessary for some OpenGL drivers.\n                     The default option is active. \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Use Additive Specular Lighting </td>\n                  <td class=\"table-body\">The Use Additive Specular Lighting option improves and saturates specular highlights if your video driver or card can support\n                     it. The majority of graphics cards support this setting. Disable this option only when using problematic video drivers or\n                     cards. When this option is disabled, the standard OpenGL lighting equation is used. The default option is active. See Specularity\n                     slider for more information. \n                  </td>\n               </tr>\n            </table>\n         </div>\n         <p><a name=\"WS73099CC142F48755-FD8AF8D1204C8F5D90-6FC4\"></a>The Mesh Tessellation preference settings lets you choose the way <span class=\"charspan-msgph\">MotionBuilder</span> tessellates quad to triangle strips: right or left ( |/| or |\\| ). Most video drivers or cards support the conversion of\n            quad to triangle strips. Activate these options only when using the Edge Cartoon shader when you need to match the edge of\n            a quad perfectly. \n         </p>\n         <div><a name=\"WS73099CC142F48755-FD8AF8D1204C8F5D90-6FC3\"></a><div class=\"note-tip\"><span class=\"label label-target-language\">TIP:</span>If seams between the geometry and shader appear when you use Patches or NURBS with Edge Cartoon shader, try setting this option\n               to Left. The default option is Right. \n            </div>\n         </div>\n         <p><a name=\"WS73099CC142F48755-FD8AF8D1204C8F5D90-6FC2\"></a>See <span class=\"char_link\"><a href=\"GUID-31BDE8D8-70D5-4E4D-AF13-5CC8D4D0B842.htm\">Edge Cartoon shader settings</a></span> for more information. \n         </p>\n         <p><a name=\"WS73099CC142F48755-FD8AF8D1204C8F5D90-6FC1\"></a>The Surfaces preference settings let you select default preferences for polygon geometry and NURBS or Patch tessellation.\n            The following table describes the Surfaces preference settings. \n         </p><a name=\"WS73099CC142F48755-FD8AF8D1204C8F5D90-6FBF\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"26.479256404443436%\">\n                  <col width=\"73.52074359555657%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\">Surface settings </th>\n                  <th class=\"table-heading\">Purpose </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Use Strip For Mesh </td>\n                  <td class=\"table-body\">Activate the Use Strip For Mesh option to convert polygon geometry to triangle strips to speed up display. Disable this option\n                     when using problematic or old video drivers, old video cards, or geometry with strip algorithms. The default option is active\n                     \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Surfaces Optimization </td>\n                  <td class=\"table-body\">The Surfaces Optimization option represents the tessellation of Patches and NURBS. This option maximizes Patch and NURBS processing\n                     speeds with no loss of quality. Activate this option to avoid having a deformed patch or NURBS evaluated at each frame. Disable\n                     this option only if activation causes problems. The default option is active. \n                  </td>\n               </tr>\n            </table>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";