var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-E6F9ECE5-6286-4F95-B38C-B4E79D8C1264\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Blend options</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-E6F9ECE5-6286-4F95-B38C-B4E79D8C1264\"></a><div class=\"head\">\n            <h1>Blend options</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E88\"></a>The Blend options affect blends that occur when two cuts from different tracks overlap. \n         </p>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-69E843DC11688C351B1-7FE9\"></a> \n            <h2><a name=\"GUID-0A9F9534-1726-4CD3-9536-EE87BD0E53F7\"></a>Match Pivot\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E87\"></a>Match Pivot matches the position and rotation of two ghosts based on a specific pivot point, called a stabilizing object.\n               This process creates a smooth blend without jumps or other anomalies in the animation sequence. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E86\"></a>A stabilizing object is a sensor, a node from a skeleton, or a model from a hierarchy of models that stabilizes the entire\n               blending object and corrects problems such as foot sliding. The stabilizing object must be part of the blending object. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E85\"></a> <span class=\"keyboardEntry\">Alt</span>-drag the stabilizing object into a blend or interpolation in the Result track during the Match Pivot process. Match Pivot\n               rotates the character along the Y-axis and translates the character along the X- and Z-axes so that the location of both characters\n               match. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E84\"></a>Match Pivot is only available when the Timeline indicator is over a blend or interpolation containing a pivot. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E83\"></a>It is best to use Match Pivot for an edit that has many blends in need of stabilizing. Match Pivot always matches the first\n               part of the last cut to the last part of the first cut that frames your blend or interpolation. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E82\"></a>To use Match Pivot, you must define a stabilizing object (which must be part of the blending object) and the Timeline indicator\n               must be within a blend or interpolation. Match Pivot updates automatically if you drag a stabilizing object into the blend\n               or interpolation in your Result track. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E81\"></a>You can perform one Match Pivot per blend or interpolation in your Result track. You cannot use Match Pivot with poses. See\n               <span class=\"char_link\"><a href=\"GUID-B1E2B409-A836-4946-B07D-48050BF2FBA0.htm\">Match Selection</a></span>” if you are using poses. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E80\"></a> \n            <h2><a name=\"GUID-D761BD27-ABBA-4E11-AD81-57FCF83E341B\"></a>Clear Pivot\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E7F\"></a>Removes the pivot point from the current blend. This button is only available when the Timeline indicator is over a blend\n               or interpolation containing a pivot. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E7E\"></a> \n            <h2><a name=\"GUID-CC36D854-F1C9-4100-9D2E-08D97C479EBB\"></a>Local Blending\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E7D\"></a>Snaps the blending object to the take of the skeleton in the Current Take field. \n            </p> \n            <div><a name=\"WS1A9193826455F5FF-4855151011E22F624431765\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span> Local blending only works on skeletons with plotted animation. \n               </div>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E7A\"></a>Local blending is a special method of blending takes. It creates blends by replacing the motion plotted to part of a hierarchy\n               in one take with motion from another take. Local blending lets you blend part of the body, such as an arm or the torso, with\n               the rest of the body. \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E79\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-E10D876D-F1C0-4677-8D75-9500CE8A7661-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> Local Blending option disabled <em class=\"mild\">B.</em> Local Blending option activated\n               </p>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E77\"></a>For example, the previous figure shows a character before and after the Local Blending option is active. One cut animates\n               the character’s lower body, while another cut animates the character’s upper body. When the Local Blending option is disabled,\n               the animation of the upper body and the lower body do not blend properly. When the Local Blending option is active, the animation\n               blends without distorting the character. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E76\"></a>All the takes you use during a Local blend must contain motion data plotted to the same skeleton. For best results, the take\n               in the Current Take field should be the same as the take in the Result track’s Take menu. You should select a stabilizing\n               object for your local blend if the blending object is made up of the bones or nodes of a character’s leg. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E75\"></a>Local blending can occur only when the Local Blending option is active. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-69E843DC11688C351B1-7FE8\"></a> \n            <h2><a name=\"GUID-E2C3241F-147F-4C3A-9D78-6D2AE8E47561\"></a>Tile All Cuts and Ghosts\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E74\"></a>Offsets all tracks in the Cut area so that there are no blends or interpolations between your cuts. Tile All Cuts and Ghosts\n               automatically triggers the Adjust Take Start &amp; End feature to adjust the start and end times of the Result take and of the\n               Current take. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-1E73\"></a>After you create an animation cycle, you should test it to make sure that the last pose matches the first pose. You can accomplish\n               this by creating an edit and using the Tile All Cuts and Ghosts feature. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";