var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-EBA55746-828C-4BD7-A1EF-FFC540D34979\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Flat Shader transparency types</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-EBA55746-828C-4BD7-A1EF-FFC540D34979\"></a><div class=\"head\">\n            <h1>Flat Shader transparency types</h1>\n         </div>\n         <p><a name=\"GUID-AEDFA272-CF96-4455-91B5-24627DAB7A30\"></a>The Transparency menu in the Flat shader lets you select a method of calculating transparency and of adjusting the percentage\n            used to boost the object’s texture or material opacity. \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-1C57\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-CEBB7BAD-3C7F-4F79-8B87-0DD360BD0AF4-low.png\"><p class=\"figure-title\"><em class=\"mild\">A.</em> No Transparency <em class=\"mild\">B.</em> Accurate Transparency <em class=\"mild\">C.</em> Translucent <em class=\"mild\">D.</em> Matte (set to 0.00) <em class=\"mild\">E.</em> 2D Transparency <em class=\"mild\">F.</em> Additive Transparency<em class=\"mild\"> G. </em>Translucent (Z Sort Models)\n            </p>\n         </div><a name=\"WS73099CC142F4875535A241551166AC8792F-1C55\"></a><div class=\"table-ruled\">\n            <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n               <colgroup>\n                  <col width=\"22.593764121102573%\">\n                  <col width=\"77.40623587889742%\">\n               </colgroup>\n               <tr class=\"ruled-heading\">\n                  <th class=\"table-heading\"> Transparency type </th>\n                  <th class=\"table-heading\">Effect </th>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">No Transparency </td>\n                  <td class=\"table-body\">Select the No Transparency option to disable the object or texture’s opacity. Applying No Transparency results in a fully\n                     opaque object. The Opacity Multiplier is not activated with this selection. \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Accurate Transparency </td>\n                  <td class=\"table-body\">Select the Accurate Transparency option to calculate the transparency of the object or texture’s opacity using a more accurate,\n                     but slower algorithm. Accurate Transparency is intended for objects that are only slightly transparent.Use the Opacity slider\n                     to boost the amount of accurate transparency. Low values may show layering problems. \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Translucent </td>\n                  <td class=\"table-body\">Select the Translucent option to calculate the transparency of the object or texture’s opacity using a less accurate but faster\n                     algorithm. Use Translucent for very transparent objects. Use the Opacity slider to boost or reduce the amount of transparency.\n                     A value of 0% makes the shaded object invisible. \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Matte </td>\n                  <td class=\"table-body\">Select the Matte option to use the quickest method of applying transparency. Use the Matte option for objects with textures\n                     that have an Alpha matte. The Opacity Multiplier functions differently for the Matte setting. Changing the percentage boosts\n                     or diminishes the matte, changing which Alpha channel values are included in the matte. This creates a thinning or thickening\n                     effect on the matte. \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">2D Transparency </td>\n                  <td class=\"table-body\">Select the 2D Transparency option to apply transparency to the visible surface of the object. When an object has 2D Transparency\n                     applied to it, solid objects are visible while partially transparent objects are not. Use the Opacity slider to increase the\n                     amount of 2D transparency. \n                  </td>\n               </tr>\n               <tr class=\"ruled-even-row\">\n                  <td class=\"table-body\">Additive Transparency </td>\n                  <td class=\"table-body\">Select the Additive Transparency option to apply transparency to the whole object. This option incrementally increases the\n                     color value of the object. Use the Opacity slider to change the object’s level of transparency. A value of 0% makes the object\n                     completely transparent. \n                  </td>\n               </tr>\n               <tr class=\"ruled-odd-row\">\n                  <td class=\"table-body\">Translucent (Models Z Sort) </td>\n                  <td class=\"table-body\">Select the Translucent (Models Z Sort) option for more accurate effects whenever you have objects in front of one another\n                     using transparency. This Transparency type is the only one that sorts models according to their distance from the camera.\n                     In cases where the models are very close to each other or overlapping, the algorithm may not be able to determine which model\n                     is in front. \n                  </td>\n               </tr>\n            </table>\n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-F72CC4A6-7B02-4EB3-B2F5-2B0A6CB24F29.htm\">Making an object transparent </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";