var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-F0E50A73-9E2C-4508-92AA-B2C45AC088AD\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Creating realistic human movement</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-F0E50A73-9E2C-4508-92AA-B2C45AC088AD\"></a><div class=\"head\">\n            <h1>Creating realistic human movement</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4DD\"></a> <span class=\"charspan-msgph\">MotionBuilder</span> provides you with many tools that make it easy to create realistic movement for a character. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4DC\"></a>For the sake of simplicity, this topic discusses how the <span class=\"charspan-msgph\">MotionBuilder</span> character engine works with biped or human skeletons. There are special conditions and exceptions when animating quadrupeds\n            that are beyond the scope of this section. \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4DB\"></a>Before you can successfully animate a character, it is important to understand how skeletons move and how <span class=\"charspan-msgph\">MotionBuilder</span> can help you recreate believable motion. \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-4DA\"></a> \n            <h2><a name=\"GUID-AFD6003D-97FC-4824-99AC-C569E0504895\"></a>Studying the human skeleton\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4D9\"></a>In order to create believable human movement, you must first look at the human skeleton and how it operates. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4D8\"></a>A human skeleton is basically composed of a series of joints. The joints are connected by bones which are moved by muscles\n               and tendons. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4D7\"></a>In order to create realistic movement in animation, 3D skeletons mimic the movement of human skeletons using a series of joints,\n               rather than actually replicating the complex system of muscles, tendons, and bones. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4D6\"></a>A simple 3D skeleton is composed of the main joints, such as the shoulder, elbow, wrist, knee, and so on. Since muscles and\n               tendons move the joints that move a real skeleton, we can achieve an accurate recreation on a model by manipulating the joints\n               directly, without replicating muscles and tendons. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4D5\"></a>Each point is placed in 3D space and connected together to resemble the joints of a human skeleton. For example, the following\n               illustration shows a very simplistic skeleton created with dots representing the joints, and lines representing the bones.\n               What is drawn between the joints is not important at this stage. <a name=\"WS73099CC142F4875535A241551166AC8792F-4D4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-FC9567A1-C35E-43F1-98DB-D74D0A8A295C-low.png\"></div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4D2\"></a>The series of dots represent joints that are connected with lines (representing bones). The next section discusses the relationships\n               and rules needed to make this series of points act like a human skeleton. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-4D1\"></a> \n            <h2><a name=\"GUID-FAC02020-D214-43A6-B9A7-85A8CA9E76D7\"></a>Basic rules of creating human movement\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4D0\"></a>When you characterize a character, the character engine automatically defines a group of settings that govern human movement,\n               so you do not need to create your own. Still, it is important to have a good idea of what is involved in creating realistic\n               human movement. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4CF\"></a>Making a series of points act like a human skeleton involves setting up rules to determine the ways in which the points can\n               interact with each other. For proper interaction, it is necessary to create relationships to govern how each point influences\n               the other. Otherwise, when the series of joints moves, it does not behave like a human skeleton. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4CE\"></a>Refer again to which uses dots to represent joints. With no relationships established, each joint moves independently. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4CD\"></a>For example, if you move the dot representing an elbow, only the elbow moves and the wrist and hand do not move. On a human\n               skeleton, if you move your elbow, the wrist and hand move as well. <a name=\"WS73099CC142F4875535A241551166AC8792F-4CC\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-38EA7A27-CE96-452B-BE2D-77267B7E744B-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> If no relationships are established to define the movement of the right arm on the simple skeleton, it moves in an unnatural\n                     fashion. <em class=\"mild\">B.</em> A rule is created to make the wrist and hand move when the elbow moves, resulting in natural movement.\n                  </p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4CA\"></a>To create natural movement, you need a rule that says “when the right elbow moves, the right wrist and hand must also move”.\n               \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4C9\"></a>You also need a rule to govern the rotation of joints. Through studying human movement, it is obvious that when, for example,\n               the right elbow moves, the wrist and hand also move, and the right shoulder rotates. So you create a rule that says “when\n               the right elbow moves, the right shoulder rotates.” \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4C8\"></a>After studying all of the movements of a human skeleton, you can discover hundreds of rules governing translation and rotation.\n               Fortunately, <span class=\"charspan-msgph\">MotionBuilder</span> already has most of these rules figured out for you. \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-568F71B5-7C76-4F3C-8388-AAABA97DA71E.htm\">Interpolation </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-A05E7B2F-2E12-4CFF-8589-31E13332884A.htm\">Dynamic Editor </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-0E400563-9AEA-4041-8921-977A13E2F8AF.htm\">Floor contact </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";