var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-F3A2C04C-C1D9-49C6-9023-C42A47E26DA7\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Common constraint settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-F3A2C04C-C1D9-49C6-9023-C42A47E26DA7\"></a><div class=\"head\">\n            <h1>Common constraint settings</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F7B\"></a> The Constraint settings contain controls that let you activate, offset, lock, and set other factors that govern the behavior\n            of your constraints. These features are found in both the Navigator and Properties window constraint settings (see the following\n            figure, A and B). \n         </p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F7D\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-CB427217-6DB7-4C56-8906-B3DE8C8D5274-low.png\"><p class=\"figure-title\">Constraint settings <em class=\"mild\">A.</em> Navigator window <em class=\"mild\">B.</em> Properties window\n            </p>\n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755602CAF041189DA6B6081F7E\"></a> \n            <h2><a name=\"GUID-7ACB330F-642A-4F42-9811-C5480E8F1B39\"></a>Constraint Type field\n            </h2> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F7F\"></a>The Constraint Type field shows the kind of constraint that is selected, for example “Relations” or “Position”. This is useful\n               if you have renamed the constraint, as it always shows you what kind of constraint it was originally. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755602CAF041189DA6B6081F80\"></a> \n            <h2><a name=\"GUID-E6EF96CE-15D4-4FFF-874E-C810FE98AF18\"></a>Used In Story indicator\n            </h2> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F81\"></a>The Used In Story indicator displays if the current constraint is used by the Story window. The Story window lets you schedule\n               when constraints are active. \n            </p> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F82\"></a>By changing a constraint’s status when it is active, you can simulate changes in a character’s environment, switch and blend\n               between different constraints, and fade constraints in and out. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755602CAF041189DA6B6081F83\"></a> \n            <h2><a name=\"GUID-287EE6E4-3D8F-41EA-ADCE-034B9AF8D1EF\"></a>Active option\n            </h2> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F84\"></a>Enable Active if activating the constraint changes the position of the object being constrained. For example, when you activate\n               a Range constraint, the constrained object moves on top of the source object when Active is enabled. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755602CAF041189DA6B6081F85\"></a> \n            <h2><a name=\"GUID-AA881EE2-2DAF-4324-97CA-DC15AD00121E\"></a>Lock option\n            </h2> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F86\"></a>Activate Lock to lock the position or rotation of the constrained object. This locks the constrained object so you cannot\n               move it while the constraint is activated. \n            </p> \n            <div><a name=\"WS73099CC142F48755602CAF041189DA6B6081F87\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Relations and Expressions constraints do not use the Lock button. \n               </div>\n            </div> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F88\"></a>For example, in a Position constraint where two markers influence the position of a third marker, you can translate the third\n               marker after the constraint is activated. You can do this in order to add a local offset to the constrained object. \n            </p> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F89\"></a>Once you have applied an offset to the constrained object, activate the Lock option to save the offset. If you disable the\n               constraint, translate the constrained object, then activate the constraint again. The constrained object returns to the position\n               it was in when you originally enabled the Lock option. This is illustrated below. \n            </p> <a name=\"WS73099CC142F48755602CAF041189DA6B6081F8A\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-30CF95C4-C56F-4895-A78F-6D2BA8CC46F0-low.png\"><p class=\"figure-title\">You can move the constrained object after activating the constraint. <em class=\"mild\">A.</em> Before activating the constraint <em class=\"mild\">B.</em> After activating the constraint.\n               </p>\n            </div> \n            <div style=\"margin-top: 9pt;\"><a name=\"WS73099CC142F48755602CAF041189DA6B6081F8B\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>When you lock a constraint, you cannot use any of the other constraint options such as Snap or Zero. No translation or rotation\n                  of the constrained object is allowed as long as the constraint is active. \n               </div>\n            </div> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F8C\"></a>Locking a constraint stops you from accidentally moving an object, which would prove unfortunate if you had spent time fine-tuning\n               its position or rotation. \n            </p> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F8D\"></a>If you have plotted data to a model used in a constraint, it is recommended that you disable the constraint. Otherwise, the\n               source object controls the model and not the model’s data. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755602CAF041189DA6B6081F8E\"></a> \n            <h2><a name=\"GUID-A6F81281-1610-4908-8DBD-812DB90A9225\"></a>Snap button\n            </h2> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F8F\"></a>Click Snap to create an offset between the position, rotation, or scale of the constraint and the current position of the\n               object being constrained. Snap is used when repositioning the constrained object and adding offsets. \n            </p> <a name=\"WS73099CC142F48755602CAF041189DA6B6081F90\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-2BAE0DDA-8031-4FAB-9EFA-E9E6B7233EB4-low.png\"><p class=\"figure-title\">Snap example <em class=\"mild\">A.</em> The ice cube in a parent/child constraint before Snap is activated <em class=\"mild\">B.</em> The ice cube after Snap is activated, inside the glass.\n               </p>\n            </div> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F91\"></a>When you click Snap, the constraint is activated, but the offset between the constrained object’s current translation and\n               rotation and its constrained translation and rotation is kept. This is useful when you want to activate a constraint, but\n               you do not want to change its current position or rotation. \n            </p> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F92\"></a>When a constraint is active, you can translate and rotate the constrained object to change its local offset. Click Snap to\n               save the new offset. Disable the constraint, translate the constrained object, and then activate the constraint again. The\n               constrained object returns to its position from the last time you clicked the Snap option. \n            </p> <a name=\"WS73099CC142F48755360AA6ED11A9C1EFFAA-5C00\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"100%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Snap and the Chain IK constraint </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Clicking Snap with a Chain IK constraint does not move Pole objects. If you set the Chain IK Pole Type to Object in the Chain\n                        IK settings’ Pole Type menu manually overrides the Pole Vector, causing the chain to flip or move after Snap is activated.\n                        \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755602CAF041189DA6B6081F95\"></a> \n            <h2><a name=\"GUID-6B94538F-04E5-4D41-8ED0-E19807C72B24\"></a>Zero button\n            </h2> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F96\"></a>Click Zero to remove the translation and rotation offset between the source and the constrained object. \n            </p> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F97\"></a>For example, if two markers are constrained using the Position constraint, an offset is established between the markers. \n            </p> <a name=\"WS73099CC142F48755602CAF041189DA6B6081F98\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-4D2F9C42-BC76-42AE-B5BF-2C946797D1BC-low.png\"><p class=\"figure-title\">A cube is constrained and offset from its source object, the rod.</p>\n            </div> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F99\"></a>If you click the Zero option for this constraint, the offset is removed and the constrained object is placed at the position\n               of the source object. \n            </p> <a name=\"WS73099CC142F48755602CAF041189DA6B6081F9A\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-7EC2A4B4-450B-4160-82E2-99AB041E27F4-low.png\"><p class=\"figure-title\">Click Zero to remove the offset and align the axes to the cube and rod.</p>\n            </div> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F9B\"></a>Zero works only with constraints that use source and constrained objects. \n            </p> \n            <div><a name=\"WS73099CC142F48755602CAF041189DA6B6081F9C\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>Relations and Expressions do not use the Zero button. \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755602CAF041189DA6B6081F9D\"></a> \n            <h2><a name=\"GUID-EBC6C3AB-810A-4C7B-B147-C055182CADB8\"></a>Weight setting\n            </h2> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F9E\"></a>Use the Weight setting to control the level of activity of the constraint and create constraint “blends”. The default Weight\n               value is 100%, meaning that the constraint is fully active. \n            </p> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081F9F\"></a>A weight value of 50% indicates that the affected constraint is half as active, and a value of 0% would makes the constraint\n               completely inactive. \n            </p> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081FA0\"></a>For example, if you set the weight for a Position constraint at 50%, the position of the constrained object is halfway between\n               its original position and the position of its source object. \n            </p> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081FA1\"></a>The Weight value can also be animated or used in a Relations constraint. \n            </p> \n            <p><a name=\"WS73099CC142F48755602CAF041189DA6B6081FA2\"></a>The Story window can be used to perform the same function on multiple constraints. \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-716BCDA2-4D3E-4187-830E-F792FCFA02BB.htm\">Animating Using Constraints </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";