var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-F56BAF28-6155-4509-9FF2-3FA79AE0C488\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Modifying animation</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-F56BAF28-6155-4509-9FF2-3FA79AE0C488\"></a><div class=\"head\">\n            <h1>Modifying animation</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-72EB\"></a>  Animation layers make it easy to exaggerate, lessen, or otherwise edit animation, without the risk of losing your original\n            work. \n         </p>\n         <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-72E9\"></a>For example, if your production pipeline requires that you have rough animation sequences signed off before you complete detail\n            work, you can use animation layers to keep your approved animation separate and locked from editing as you continue to add\n            detail on another layer. \n         </p>\n         <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-72E8\"></a>The following steps describe a general workflow using animation layers to modify animation. \n         </p><a name=\"WS73099CC142F48755527CC80126D167FFA2-72E7\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F48755527CC80126D167FFA2-72E6\"></a>To modify animation:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>Load a scene with your animation and assets. This animation is contained in the BaseAnimation layer. </li>\n            <li> In the Animation Layer editor, select AnimLayer1, which is an empty layer already in your scene by default, or create another\n               layer. \n               <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-72E3\"></a>The new layer appears above the BaseAnimation layer. \n               </p> \n            </li>\n            <li>Select the keying mode in the Key Controls and the properties you want to animate. \n               <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-72E1\"></a>For example, you if you plan to modify only the object’s Translation property, you can select the T keying mode from the Key\n                  Controls window. \n               </p> \n            </li>\n            <li>Select the object in your scene whose animation you want to modify. \n               <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-72DF\"></a>If the original animation was never set on multiple layers, its keyframes display in the Transport Controls when you select\n                  the BaseAnimation layer in the Animation Layer editor. \n               </p> \n            </li>\n            <li>Select the layer on which you want to set keyframes. \n               <div><a name=\"WS73099CC142F48755527CC80126D167FFA2-72DD\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>By default, a layer is set to the Additive layer mode. Layer modes affect how the keyframes set on layers affect the original\n                     animation on the BaseAnimation layer. You can either select the Layer mode you want at this point, or change it layer. See\n                     <span class=\"char_link\"><a href=\"GUID-C68A451F-FD65-4CFB-ACBC-C663B6F3A649.htm\">Animation layer modes</a></span>. \n                  </div>\n               </div> \n            </li>\n            <li>Animate the object as you would normally. See <span class=\"char_link\"><a href=\"GUID-FE28A4BA-ABB1-47C6-BEEB-381ECFD48457.htm\">Animating an object</a></span>. \n               <p><a name=\"WS73099CC142F48755527CC80126D167FFA2-72DB\"></a>As you keyframe, the new keyframes are set on the animation layer. \n               </p> \n            </li>\n            <li>Select the Layer mode you need to get the animation result you want. See <span class=\"char_link\"><a href=\"GUID-C68A451F-FD65-4CFB-ACBC-C663B6F3A649.htm\">Animation layer modes</a></span>. \n            </li>\n            <li>Play the result animation in your scene, viewing the effect of your modified animation from the layer. </li>\n            <li>Us e the animation layer controls to compare the result with and without your modified animation. For example, toggle the\n               layer’s Mute button. See <span class=\"char_link\"><a href=\"GUID-F9A36C4F-DD1D-4E6E-B353-33652435A9D8.htm\">Muting, Soloing, and Locking animation layers</a></span>. \n            </li>\n            <li>(Optional) If you are satisfied with the modified animation, you can merge your layered animation with the original animation\n               on the BaseAnimation layer, and save the result. See <span class=\"char_link\"><a href=\"GUID-04FB639B-F07F-41A5-80CA-EFC66D2548DF.htm\">Merging animation layers</a></span> and <span class=\"char_link\"><a href=\"GUID-471561AD-57D6-4FF8-9DD2-B5CCA239BAF2.htm\">Saving and exporting animation layers</a></span>. \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";