var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-F8BAD121-7481-47D0-AB6E-8B6B695A66E9\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Matte shader settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-F8BAD121-7481-47D0-AB6E-8B6B695A66E9\"></a><div class=\"head\">\n            <h1>Matte shader settings</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F89\"></a> Use the Matte shader to create a 3D matte for a scene. When you apply the Matte shader to an object, the object turns into\n            a colorless 3D matte. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F87\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-7EA200AF-2B38-4842-8462-6BD3CDE1235A-low.png\"><p class=\"figure-title\">Matte shader settings</p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F85\"></a>A 3D matte has depth, and is therefore respected by all other 3D objects in the scene. A 3D matte lets you block out parts\n            of a scene to be replaced by video footage. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F84\"></a>For example, the following figure shows the Matte shader applied to objects representing chairs and a film projector. This\n            gives the illusion that the lizard character named Bill Gecko is walking behind the chairs and talent. The image of chairs\n            and talent is a video applied to the current camera’s back plate. \n         </p>\n         <p><a name=\"GUID-F45FF29F-9D71-4323-A10A-108F0C47BAC5\"></a>There are no objects representing the chairs. Bill Gecko walks in front of the video clip that is being broadcast on the back\n            plane of the current camera. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F83\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C9FC2AE2-311A-404C-8454-ABD491A463C4-low.png\"></div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F81\"></a>In the following image, you can see how after the models of the chair are added to the scene, and then had the Matte shader\n            applied to them. This creates them as matte objects. The video clip is not applied to the back plane of the current camera.\n            \n         </p>\n         <p><a name=\"GUID-C5E366F6-4863-4AB2-847B-BA72A49CF118\"></a>Models are added to the scene. The Matte shader is applied to the chairs, making them matte objects. The video clip is not\n            applied to the back plane of the current camera. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F80\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-C2FBB383-BE16-49FA-9935-735DFFB05DCD-low.png\"></div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F7E\"></a>In the next image, you can see the composite image, and how the gecko character interacts with the matted chair models, giving\n            the impression that he has walked behind them. \n         </p>\n         <p><a name=\"GUID-95B12285-B452-408A-9EFB-50756C460E2F\"></a>The left chair obstructs Bill Gecko. Bill Gecko now appears to walk behind the chairs in the video clip as if they were 3D\n            objects. \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F7D\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-4E8207B2-DC1C-4790-825E-1B07F6AF3E81-low.png\"></div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F7B\"></a> \n            <h2><a name=\"GUID-C42368CA-D2C0-453D-A03C-5310FA5DE45D\"></a>Highlight Matted Objects option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F7A\"></a>When you apply the Matte shader to an object, the object becomes invisible against the background of your screen. For example,\n               you would not be able to see the objects in the preceding figure if there was not a wireframe outlining them. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F79\"></a>Activate Highlight Matted Objects to make it easier to locate the objects in your scene. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F78\"></a> \n            <h2><a name=\"GUID-EBC5BE03-F9C7-420A-B59A-38F2454F93C9\"></a>Enable 3D Masking option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F77\"></a>The Enable 3D Masking option allows the 3D Matte shader to be applied to the selected object. When Enable 3D Masking is not\n               active, the shader appears as a wireframe. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F76\"></a> \n            <h2><a name=\"GUID-0C53D7F2-AAB1-487D-A12A-B4A15C980E77\"></a>Adjust Alpha option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F75\"></a>The Adjust Alpha option lets you control the video Alpha channel sent either through your video option board or viewed in\n               the Render window. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F74\"></a>Activate Adjust Alpha to create an Alpha channel matte for the model shaded with the Matte shader. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F73\"></a> \n            <h2><a name=\"GUID-1397864E-ADAB-4012-8184-CCDEDF8E2346\"></a>Alpha slider\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F72\"></a>The Alpha slider lets you manipulate the transparency of the Alpha channel so you can, for example, make the output slightly\n               transparent so you can pre-visualize characters interacting with live Actors. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F71\"></a>Using Alpha Matte and its slider does not affect what displays in the Viewer window. To use this feature, you must render\n               your scene using a 32-bit format (such as <em class=\"mild\">.tiff</em>), or send your output through a video board that supports the Alpha channel. \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-8D8B0B63-7A0C-4BED-B236-18E8B00DE55C.htm\">Setting a camera Front or Back Plane </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";