var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-F92E1A9C-681F-4F59-9BD7-7E85DCFEB7FD\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Live Shadow shader settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-F92E1A9C-681F-4F59-9BD7-7E85DCFEB7FD\"></a><div class=\"head\">\n            <h1>Live Shadow shader settings</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F27\"></a> Use the Live Shadow shader to apply real-time shadows to models. You can specify shadow intensity as well as the lights and\n            objects that cast shadows in a scene. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F25\"></a>Adjust the Live Shadow shader settings and apply or append the Live Shadow shader to the plane. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F24\"></a>When you apply the Live Shadow shader to your plane, this new layer of real-time shadows replaces the selected plane’s texture,\n            material, and other shaders. The areas of your plane that are without shadows become transparent. \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F23\"></a>When you append the Live Shadow shader to a plane, a layer of real-time shadows generates on top of the shaders already present\n            on the plane. Use the Append option when you want to retain the selected plane’s material, textures, or previously created\n            shaders. \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F22\"></a> \n            <h2><a name=\"GUID-B61A15D1-0D29-451C-B4E2-F38C66F2400D\"></a>Shadow Type menu\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F21\"></a>The Shadow Type menu lets you select from five different kinds of shadow: \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F20\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"29.538252602987775%\">\n                     <col width=\"70.46174739701222%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">Shadow type </th>\n                     <th class=\"table-heading\">Effect </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Planar Shadow </td>\n                     <td class=\"table-body\">The default shadow setting. Use this shadow type to create darkened shadow areas only on planar surfaces. </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Projective Shadow </td>\n                     <td class=\"table-body\">Uses a texture projection to create a shadow. Like the Planar shadow, it darkens the shadowed areas, but you can apply this\n                        shadow to non-planar surfaces. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Projective Light Map </td>\n                     <td class=\"table-body\">Uses a texture projection as a shadow, like the Projective Shadow, but instead of darkening the shadow area, it remains the\n                        same and the areas hit by light are brightened. The Projective Light Map can be applied to non-planar surfaces. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Projective Z Shadow </td>\n                     <td class=\"table-body\">Similar to the Projective Shadow, except that it uses a boolean algorithm to create a self-shadow. This shadow does not work\n                        with translucent objects. \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Projective Z Light Map </td>\n                     <td class=\"table-body\">Similar to the Projective Light Map except that it uses a boolean algorithm to create a self-shadow. </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F1F\"></a> \n            <h2><a name=\"GUID-6CB3EF95-33DA-4632-9B83-9B0348EC98C0\"></a>Shadow Intensity slider\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F1E\"></a>The Shadow Intensity slider lets you manipulate the darkness of shadows cast by a selected object. The default intensity is\n               100%. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F1D\"></a>The Shadow Intensity affects the intensity of all shadows created in the Live Shadow shader because shadow intensity is a\n               global value. The strength of a shadow is also affected by the Light Intensity option in the Lights settings. Light Intensity\n               is a local value specified for each individual light. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F1C\"></a> \n            <h2><a name=\"GUID-F3A82C67-0D9A-4824-A328-051C3AA05F19\"></a>Shadow Z Offset field\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F1B\"></a>The Shadow Z Offset field is available only when the Shadow Type is set to Projective Z Shadow or Projective Z Light Map.\n               \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F1A\"></a>The Shadow Z Offset field lets you specify the offset of the Live Shadow shader’s plane from the original selected plane.\n               It alters the direction in which the object’s shadow falls on the plane. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F19\"></a>This is useful when two planes, objects, or shaders are too close to each other and there is a conflict between the two locations.\n               \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F18\"></a> \n            <h2><a name=\"GUID-C4B3336A-5A5F-45AC-BEC1-50C0367DB245\"></a>Local (Per Object Shadow) option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F17\"></a>The Local (Per object shadow) option is available only when the Shadow Type is set to Projective Shadow or Projective Light\n               Map. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F16\"></a>Activate the Local (Per object shadow) option to create an accurate projection of a shadow for each object. This allows for\n               more precision but creates a slower display. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F15\"></a>If you disable the Local (Per object shadow) option, all the shadows cast are combined into one large projection. This method\n               is less accurate but does not slow down the display, as one shadow is created instead of many. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F14\"></a> \n            <h2><a name=\"GUID-2FA189B7-6AC7-4CDA-84D9-C7A01A80AD5F\"></a>Use gobo option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F13\"></a>The Use Gobo option is available only when the Shadow Type is set to Projective Shadow or Projective Light Map. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F12\"></a>Activate the Use Gobo option if you want the gobo to be included in the shadow map calculation. See <span class=\"char_link\"><a href=\"GUID-F8ACB58F-2E74-4761-958E-A7E64758DDEE.htm\">Attaching a gobo to a spot light</a></span> for more on Gobos. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F11\"></a> \n            <h2><a name=\"GUID-FCEAD75F-7BF4-4E81-BDAB-35AAD400E95B\"></a>Framing Type menu\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F10\"></a>The Framing Type menu is available only when the Shadow Type is set to Projective Shadow or Projective Light Map. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F0F\"></a>Use the Framing Type menu to select the shadow calculation method. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F0E\"></a> \n            <h2><a name=\"GUID-F122EDF8-5D13-44A8-9D1C-E79BA7444143\"></a>Shadow Receiver option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F0D\"></a>Select Shadow Receiver to base the shadow calculation on the size of the Shadow Receiver. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F0C\"></a> \n            <h2><a name=\"GUID-E0AF0D92-FD27-48A8-9F2F-49568A364982\"></a>Shadow Caster option\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F0B\"></a>Select Shadow Caster to base the shadow calculation on the size of the Shadow Caster. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F0A\"></a> \n            <h2><a name=\"GUID-6C2FCCE8-384F-4E13-8069-72FAE108A5D4\"></a>Lights Producing Shadows field\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F09\"></a>Alt-drag any lights in your scene that you want to produce shadows into the Lights Producing Shadows field. You can also click\n               the Lights Producing Shadows button next to the field to display the Asset list, where you can choose from the lights in your\n               scene. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F08\"></a>The Lights Producing Shadows area lists all the lights in your scene that produce shadows. If you want a light to produce\n               shadows on a plane that uses the Live Shadow shader, select and Alt-drag each light into this list. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F07\"></a> \n            <h2><a name=\"GUID-30747721-A5A5-43E8-9008-D99EE76A40D8\"></a>Models Casting Shadows field\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F06\"></a>Alt-drag any models in your scene that you want to produce shadows into the Models Casting Shadows field. You can also click\n               the Models Casting Shadows button next to the field to display the Asset list, where you can choose from the models in your\n               scene. \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F05\"></a>The Models Casting Shadows area lists all the objects in a scene that cast shadows. If you want an object to cast shadows\n               on a plane that uses the Live Shadow shader, select and Alt-drag each object into this list. \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";