var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"GUID-FE28A4BA-ABB1-47C6-BEEB-381ECFD48457\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Animating an object</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-FE28A4BA-ABB1-47C6-BEEB-381ECFD48457\"></a><div class=\"head\">\n            <h1>Animating an object</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E25\"></a>This topic describes the basic procedure to animate a simple cube (available in the Asset browser). While there are many ways\n            to use <span class=\"charspan-msgph\">MotionBuilder</span> as an animation tool, you can use the following procedure as a basic guide and introduction to important tools and windows.\n            \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E24\"></a><ol type=\"1\" start=\"1\">\n            <li>Drag two cubes from the Elements folder of the Asset browser into the scene, positioning them similar to the cubes in the\n               following picture. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E22\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-318BECCF-025B-4079-B9EA-4DF49D25EBE1-low.png\"></div> \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E20\"></a>Optional: You can change the color of the two cubes by adding a material to each, then changing the Diffuse property. \n               </p> \n            </li>\n            <li>Select the cube on the left, then open the FCurves window if it is not already open in the current layout. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E1E\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-07A33ACE-3CD5-4D83-9D14-1F13E0FA86ED-low.png\"><p></p>\n                  <p class=\"figure-title\">FCurves window</p>\n               </div> \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E1C\"></a>The properties of the selected cube display in the FCurves properties pane as well as in the Properties window. \n               </p> \n            </li>\n            <li>In the FCurves window Properties pane, click the Translation (Lcl) header to select the cube’s Translation properties. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E1A\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-74640681-2FFD-436F-908A-E9D41EA9D216-low.png\"><p></p>\n                  <p class=\"figure-title\">Cube’s Translation properties selected, showing the function curves</p>\n               </div> \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E18\"></a>The cube’s translation properties are selected and their representative function curves display. Right now, the function curves\n                  are flat because the cube is not yet animated. \n               </p> \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E17\"></a>The color of the function curves correspond with the color of the axis they represent. By default, the function curve for\n                  the X-axis is red, the Y-axis is green, and the Z-axis is blue. \n               </p> \n            </li>\n            <li>With the Translation (Lcl) properties still selected, set a keyframe by doing one of the following: <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E15\"></a><ul>\n                  <li>In the Properties pane, click the Keyframe (K) button next to the Translation (Lcl) header to set keyframes for the X, Y,\n                     and Z translation properties simultaneously. \n                  </li>\n                  <li>Press K on your keyboard. </li>\n                  <li>Click Key in the Key Controls window. If the Key Controls window is not available in your current layout, click Window &gt; Key\n                     Controls in the <span class=\"charspan-msgph\">MotionBuilder</span> menu bar. \n                  </li>\n                  <li>Click the Key (K) buttons in the Properties window. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E10\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-CEC9E2F7-FB36-4B43-82E9-2DC18B4B57DF-low.png\"><p></p>\n                        <p class=\"figure-title\">Properties pane <em class=\"mild\">A.</em> K button for Translation properties\n                        </p>\n                     </div> \n                  </li>\n               </ul> \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E0E\"></a>One keyframe displays on each function curve. On the Action timeline, one visual keyframe represents all three translation\n                  properties. \n               </p> \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E0D\"></a>Now that you’ve set a keyframe, you can also modify the function curves by manipulating the keyframes on the function curves\n                  themselves, or change the time or value in the FCurves Options pane. \n               </p> \n            </li>\n            <li>Advance the Timeline indicator to frame 15. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E0B\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-A6F56A38-8853-4291-9393-34475CE91670-low.png\"><p></p>\n                  <p class=\"figure-title\">Transport Controls window</p>\n               </div> \n            </li>\n            <li>Do one of the following to translate the selected cube higher and to the right: <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E08\"></a><ul>\n                  <li>Click in the Viewer window and press T to activate Translation mode, then translate the selected cube upward on the Y-axis.\n                     <a name=\"WS73099CC142F48755-5C83E7B1120018DE8C0C21\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-022A4856-B34D-4DE8-9D05-51582532B05E-low.png\"></div> \n                  </li>\n                  <li>In the FCurves window, drag in the value fields next to a property in the Properties pane. </li>\n                  <li>Translate the first cube higher and to the right. </li>\n               </ul> \n            </li>\n            <li>With the Translation properties still selected in the FCurves window, set a keyframe. </li>\n            <li>Go to frame 30 and translate the first cube until it sits on top of the second as shown in the following figure, then set\n               another keyframe. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4E01\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-833B2D1F-3105-4AE7-851E-32D5DF9CBBBD-low.png\"></div> \n            </li>\n            <li>Click in the FCurves pane, then press A to frame the function curves. <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4DFE\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-9A632984-00C3-474C-A0C4-6ACB58132531-low.png\"><p></p>\n                  <p class=\"figure-title\">Function curves framed</p>\n               </div> \n            </li>\n            <li>Drag around the three keyframes on frame zero to select them. \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4DFB\"></a>Tangent handles display on the selected keyframes, and their coordinates display in boxes on the horizontal (time) and vertical\n                  (value) axes. \n               </p> \n            </li>\n            <li>In the Transport Controls window, drag the right Stretch handle on the Zoom bar to 60. \n               <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4DF9\"></a>This zooms on the animation from frame 0 to 60, adjusting the Action timeline to the length specified by the Zoom time codes.\n                  \n               </p> \n            </li>\n            <li>Play the animation using the Play Controls in the Transport Controls. \n               <p><a name=\"GUID-4037CC05-0410-43CC-957D-6331004D64E5\"></a>See <span class=\"char_link\"><a href=\"GUID-F377EAB6-8EBD-4024-8F30-38930CCF9404.htm\">Transport Controls</a></span>. \n               </p> \n            </li>\n         </ol>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";