var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-15\">\n      <meta name=\"topicid\" content=\"TOPIC_ED3B1BC3BFC44A6A8EDA00B706C502EC\">\n      <meta name=\"description\" content=\"You can render a Flash .swf file using shaders, with a few exceptions.\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Flash Renderer shader limitations</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"TOPIC_ED3B1BC3BFC44A6A8EDA00B706C502EC\"></a><div class=\"head\">\n            <h1>Flash Renderer shader limitations</h1>\n         </div>\n         <p class=\"blurb\">You can render a Flash <em class=\"mild\">.swf</em> file using shaders, with a few exceptions. \n         </p>\n         <p><a name=\"GUID-4213DAFB-CEAD-4956-BF16-59E1E054052A\"></a>The following shaders do not work with the Flash Renderer: <a name=\"WS73099CC142F4875535A241551166AC8792F-260E\"></a><ul>\n               <li>Live Shadow shader </li>\n               <li>Matte shader </li>\n               <li>Reflection shader </li>\n               <li>Selective Lighting shader </li>\n               <li>Shadow Map shader </li>\n               <li>Wire Frame shader </li>\n            </ul> \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2607\"></a>To render a file using the remaining shaders, follow the procedures provided for each shader, in the following sections. \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-2606\"></a> \n            <h2><a name=\"GUID-D2BA5D48-5371-4678-90EF-573FBF4CF140\"></a>Edge Cartoon Shader\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2605\"></a>Before you use an Edge Cartoon shader for rendering, try to generate edges with the Use Edge Generator option in the Flash\n               Render Options dialog box. Edges created in this way take up less space than those rendered with the Edge Cartoon shader.\n               See <span class=\"char_link\"><a href=\"GUID-398F6642-FBCB-408F-AA45-D62487405797.htm\">Flash Render Options window</a></span> for more information on Edge generation. \n            </p> \n            <div><a name=\"WS73099CC142F4875535A241551166AC8792F-2604\"></a><div class=\"note-note\"><span class=\"label label-target-language\">NOTE:</span>If you use the Edge Cartoon shader with Flash rendering, you can get better results if you set a larger Minimum Width value.\n                  The larger the Minimum Width value, the more pixel space the Edge Generator uses to create a uniform region for the entire\n                  continuous edge. \n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-2602\"></a> \n            <h2><a name=\"GUID-9A8727DA-002C-4A86-BFFB-66F237BA2A65\"></a>Flat Shader\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-2601\"></a>There are no issues with the Flat shader when you use the Flash Renderer. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-2600\"></a> \n            <h2><a name=\"GUID-589EF121-59D1-4F44-998B-0BDE4C122E51\"></a>Lighted Shader\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-25FF\"></a>Rendering with the Lighted shader is good for low polygon models. No gradients appear when you render with a Lighted shader;\n               they appear only as a flat color. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-25FE\"></a> \n            <h2><a name=\"GUID-B9E0F186-0F24-4173-9D88-35B746DCF0E3\"></a>Multilevel Cartoon Shader\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-25FD\"></a>The Multilevel Cartoon shader lets you apply a posterized effect with full control over the luminosity, contrast, and number\n               of steps in the gradient between the shadow and highlight colors. \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-25FC\"></a>The Flash Renderer only supports up to four Color Steps between the Shadow Color and Highlight Color. If you specify more\n               than four steps, the gradient between the Shadow and Highlight Color adjusts automatically to only four steps. \n            </p> \n            <p><a name=\"GUID-0BBC1AFB-D5A2-4026-8682-339D9EF55C09\"></a> <a name=\"FIG_0C655ABD0B7142EFA39E03763A2E6E6D\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-39D9F46D-A094-4CCE-845B-59B0A55E0BCF-low.png\"><p class=\"figure-title\">MultiLevel Cartoon Shader Settings</p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-25F9\"></a>For the best results, use two or three steps, with increased steps resulting in a complex rendering of the <em class=\"mild\">.swf</em> file. \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-25F8\"></a> \n            <h2><a name=\"GUID-EF57704D-1B65-42AC-8D76-665F11B70CCE\"></a>Particle Shader\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-25F7\"></a>If you use the Particle shader when rendering, always use the Matte Display Mode, as the Flash Renderer is vector-based and\n               cannot support particles. \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>See Also</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-B4B29FF6-926B-4D6D-86DB-121C1489C2B1.htm\">Render window </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-398F6642-FBCB-408F-AA45-D62487405797.htm\">Flash Render Options dialog </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br></div>\n   </body>\n</html>";